{ config, lib, pkgs, options }:

with lib;

let
  cfg = config.services.prometheus.exporters.statsd;
in
{
  port = 9102;
  serviceOpts = {
    serviceConfig = {
      ExecStart = ''
        ${pkgs.prometheus-statsd-exporter}/bin/statsd_exporter \
          --web.listen-address ${cfg.listenAddress}:${toString cfg.port} \
          ${concatStringsSep " \\\n  " cfg.extraFlags}
      '';
    };
  };
}
