{ lib, stdenv, fetchFromGitHub, autoconf, automake, pkg-config, cairo, poppler, wxGTK, Cocoa }:

stdenv.mkDerivation rec {
  pname = "diff-pdf";
  version = "0.5.1";

  src = fetchFromGitHub {
    owner = "vslavik";
    repo = "diff-pdf";
    rev = "v${version}";
    sha256 = "sha256-jt11wssl8cH2cH3NXF+iWHxVNxPJm0I8toignBHq3q0=";
  };

  nativeBuildInputs = [ autoconf automake pkg-config ];
  buildInputs = [ cairo poppler wxGTK ]
    ++ lib.optionals stdenv.isDarwin [ Cocoa ];

  preConfigure = "./bootstrap";

  meta = with lib; {
    homepage = "https://vslavik.github.io/diff-pdf/";
    description = "Simple tool for visually comparing two PDF files";
    license = licenses.gpl2;
    platforms = platforms.all;
    maintainers = with maintainers; [ dtzWill ];
  };
}
