{ buildPecl, lib, fetchFromGitHub }:

let
  version = "1.1.0";
in buildPecl {
  inherit version;
  pname = "ast";

  src = fetchFromGitHub {
    owner = "nikic";
    repo = "php-ast";
    rev = "v${version}";
    sha256 = "sha256-e9J6O4A+8xRBlR9m4OK1kTVpzgzsviD0Eqi0iY4AgkY=";
  };

  meta = with lib; {
    changelog = "https://github.com/nikic/php-ast/releases/tag/v${version}";
    description = "Exposes the abstract syntax tree generated by PHP";
    license = licenses.bsd3;
    homepage = "https://pecl.php.net/package/ast";
    maintainers = teams.php.members;
  };
}
