{ lib, rustPlatform, fetchFromGitHub }:

rustPlatform.buildRustPackage rec {
  pname = "cargo-sweep";
  version = "0.7.0";

  src = fetchFromGitHub {
    owner = "holmgr";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-L9tWTgW8PIjxeby+wa71NPp3kWMYH5D7PNtpk8Bmeyc=";
  };

  cargoSha256 = "sha256-aalB7gHLc3YIgSOg68wc2fyzXFGfHO5x5YdzhuRmyro=";

  checkFlags = [
    # Requires a rustup toolchain to be installed.
    "--skip check_toolchain_listing_on_multiple_projects"
  ];

  meta = with lib; {
    description = "A Cargo subcommand for cleaning up unused build files generated by Cargo";
    homepage = "https://github.com/holmgr/cargo-sweep";
    license = licenses.mit;
    maintainers = with maintainers; [ xrelkd matthiasbeyer ];
  };
}
