{ lib, buildGoModule, fetchFromGitHub }:

buildGoModule rec {
  pname = "ssl-proxy";
  version = "0.2.7";

  src = fetchFromGitHub {
    owner = "suyashkumar";
    repo = "ssl-proxy";
    rev = "v${version}";
    hash = "sha256-c9BLdDlkrg1z1QrO+vEAVyPtrV/nQcYlGXFmwfAOSpQ=";
  };

  vendorHash = "sha256-310K9ZSxy/OQ4HYFCcHQaj4NQwzATrOZ2YkhiSkhY5I=";

  checkTarget = "test";

  meta = with lib; {
    homepage = "https://github.com/suyashkumar/ssl-proxy";
    description = "Simple single-command SSL reverse proxy with autogenerated certificates (LetsEncrypt, self-signed)";
    longDescription = ''
      A handy and simple way to add SSL to your thing running on a VM--be it your personal jupyter
      notebook or your team jenkins instance. ssl-proxy autogenerates SSL certs and proxies
      HTTPS traffic to an existing HTTP server in a single command.
    '';
    license = licenses.mit;
    mainProgram = "ssl-proxy";
    maintainers = [ maintainers.konst-aa ];
    platforms = platforms.linux ++ platforms.darwin ++ platforms.windows ;
  };
}
