
# This file was auto-generated by nix-quicklisp.lisp

{ runCommand, fetchzip, pkgs, ... }:

# Ensures that every non-slashy `system` exists in a unique .asd file.
# (Think cl-async-base being declared in cl-async.asd upstream)
#
# This is required because we're building and loading a system called
# `system`, not `asd`, so otherwise `system` would not be loadable
# without building and loading `asd` first.
#
let createAsd = { url, sha256, asd, system }:
   let
     src = fetchzip { inherit url sha256; };
   in runCommand "source" {} ''
      mkdir -pv $out
      cp -r ${src}/* $out
      find $out -name "${asd}.asd" | while read f; do mv -fv $f $(dirname $f)/${system}.asd || true; done
  '';

getAttr = builtins.getAttr;

in {
  _1am = {
    pname = "1am";
    version = "20141106-git";
    asds = [ "1am" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/1am/2014-11-06/1am-20141106-git.tgz";
      sha256 = "05ss4nz1jb9kb796295482b62w5cj29msfj8zis33sp2rw2vmv2g";
      system = "1am";
      asd = "1am";
    });
    systems = [ "1am" ];
    lispLibs = [  ];
  };
  _2d-array = {
    pname = "2d-array";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "2d-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "2d-array";
      asd = "2d-array";
    });
    systems = [ "2d-array" ];
    lispLibs = [  ];
  };
  _2d-array-test = {
    pname = "2d-array-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "2d-array-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "2d-array-test";
      asd = "2d-array-test";
    });
    systems = [ "2d-array-test" ];
    lispLibs = [ (getAttr "_2d-array" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  _3b-bmfont = {
    pname = "3b-bmfont";
    version = "20220331-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2022-03-31/3b-bmfont-20220331-git.tgz";
      sha256 = "0v4lcrlpx60ayg0g5b10q2hjh1iaanln4ck0hm1rvjxm39gl2d86";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  _3b-bmfont_slash_common = {
    pname = "3b-bmfont_common";
    version = "20220331-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2022-03-31/3b-bmfont-20220331-git.tgz";
      sha256 = "0v4lcrlpx60ayg0g5b10q2hjh1iaanln4ck0hm1rvjxm39gl2d86";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont/common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  _3b-bmfont_slash_json = {
    pname = "3b-bmfont_json";
    version = "20220331-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2022-03-31/3b-bmfont-20220331-git.tgz";
      sha256 = "0v4lcrlpx60ayg0g5b10q2hjh1iaanln4ck0hm1rvjxm39gl2d86";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont/json" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "jsown" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  _3b-bmfont_slash_text = {
    pname = "3b-bmfont_text";
    version = "20220331-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2022-03-31/3b-bmfont-20220331-git.tgz";
      sha256 = "0v4lcrlpx60ayg0g5b10q2hjh1iaanln4ck0hm1rvjxm39gl2d86";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont/text" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  _3b-bmfont_slash_xml = {
    pname = "3b-bmfont_xml";
    version = "20220331-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2022-03-31/3b-bmfont-20220331-git.tgz";
      sha256 = "0v4lcrlpx60ayg0g5b10q2hjh1iaanln4ck0hm1rvjxm39gl2d86";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont/xml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cxml" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  _3b-hdr = {
    pname = "3b-hdr";
    version = "20200925-git";
    asds = [ "3b-hdr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-hdr/2020-09-25/3b-hdr-20200925-git.tgz";
      sha256 = "0bvpdzz88xjwvqapjnkdr44ds3gh5xl3r6r1c2y7x9d6lnvc38jq";
      system = "3b-hdr";
      asd = "3b-hdr";
    });
    systems = [ "3b-hdr" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  _3b-hdr_slash_test = {
    pname = "3b-hdr_test";
    version = "20200925-git";
    asds = [ "3b-hdr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-hdr/2020-09-25/3b-hdr-20200925-git.tgz";
      sha256 = "0bvpdzz88xjwvqapjnkdr44ds3gh5xl3r6r1c2y7x9d6lnvc38jq";
      system = "3b-hdr";
      asd = "3b-hdr";
    });
    systems = [ "3b-hdr/test" ];
    lispLibs = [ (getAttr "_3b-hdr" pkgs) (getAttr "nibbles" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  _3b-swf = {
    pname = "3b-swf";
    version = "20120107-git";
    asds = [ "3b-swf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-swf/2012-01-07/3b-swf-20120107-git.tgz";
      sha256 = "1d74045b6zfxjf0as8n5ji14j5cxsdi3qkqkzcdy3i83whbxkcbm";
      system = "3b-swf";
      asd = "3b-swf";
    });
    systems = [ "3b-swf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "chipz" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "cxml" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "salza2" pkgs) (getAttr "vecto" pkgs) (getAttr "zpng" pkgs) ];
  };
  _3b-swf-swc = {
    pname = "3b-swf-swc";
    version = "20120107-git";
    asds = [ "3b-swf-swc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-swf/2012-01-07/3b-swf-20120107-git.tgz";
      sha256 = "1d74045b6zfxjf0as8n5ji14j5cxsdi3qkqkzcdy3i83whbxkcbm";
      system = "3b-swf-swc";
      asd = "3b-swf-swc";
    });
    systems = [ "3b-swf-swc" ];
    lispLibs = [ (getAttr "_3b-swf" pkgs) (getAttr "cxml" pkgs) (getAttr "zip" pkgs) ];
  };
  _3bgl-shader = {
    pname = "3bgl-shader";
    version = "20200427-git";
    asds = [ "3bgl-shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bgl-shader/2020-04-27/3bgl-shader-20200427-git.tgz";
      sha256 = "0ykfylmmpcc1kh617c4zbq26r5nf1kgf7cb426fnffhp31pp2xkw";
      system = "3bgl-shader";
      asd = "3bgl-shader";
    });
    systems = [ "3bgl-shader" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  _3bgl-shader-example = {
    pname = "3bgl-shader-example";
    version = "20200427-git";
    asds = [ "3bgl-shader-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bgl-shader/2020-04-27/3bgl-shader-20200427-git.tgz";
      sha256 = "0ykfylmmpcc1kh617c4zbq26r5nf1kgf7cb426fnffhp31pp2xkw";
      system = "3bgl-shader-example";
      asd = "3bgl-shader-example";
    });
    systems = [ "3bgl-shader-example" ];
    lispLibs = [ (getAttr "_3bgl-shader" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "mathkit" pkgs) ];
  };
  _3bmd = {
    pname = "3bmd";
    version = "20220707-git";
    asds = [ "3bmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd";
      asd = "3bmd";
    });
    systems = [ "3bmd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  _3bmd-ext-code-blocks = {
    pname = "3bmd-ext-code-blocks";
    version = "20220707-git";
    asds = [ "3bmd-ext-code-blocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-ext-code-blocks";
      asd = "3bmd-ext-code-blocks";
    });
    systems = [ "3bmd-ext-code-blocks" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "alexandria" pkgs) (getAttr "colorize" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  _3bmd-ext-definition-lists = {
    pname = "3bmd-ext-definition-lists";
    version = "20220707-git";
    asds = [ "3bmd-ext-definition-lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-ext-definition-lists";
      asd = "3bmd-ext-definition-lists";
    });
    systems = [ "3bmd-ext-definition-lists" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "alexandria" pkgs) (getAttr "colorize" pkgs) ];
  };
  _3bmd-ext-math = {
    pname = "3bmd-ext-math";
    version = "20220707-git";
    asds = [ "3bmd-ext-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-ext-math";
      asd = "3bmd-ext-math";
    });
    systems = [ "3bmd-ext-math" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "esrap" pkgs) ];
  };
  _3bmd-ext-tables = {
    pname = "3bmd-ext-tables";
    version = "20220707-git";
    asds = [ "3bmd-ext-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-ext-tables";
      asd = "3bmd-ext-tables";
    });
    systems = [ "3bmd-ext-tables" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) ];
  };
  _3bmd-ext-wiki-links = {
    pname = "3bmd-ext-wiki-links";
    version = "20220707-git";
    asds = [ "3bmd-ext-wiki-links" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-ext-wiki-links";
      asd = "3bmd-ext-wiki-links";
    });
    systems = [ "3bmd-ext-wiki-links" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) ];
  };
  _3bmd-youtube = {
    pname = "3bmd-youtube";
    version = "20220707-git";
    asds = [ "3bmd-youtube" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-youtube";
      asd = "3bmd-youtube";
    });
    systems = [ "3bmd-youtube" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "esrap" pkgs) ];
  };
  _3bmd-youtube-tests = {
    pname = "3bmd-youtube-tests";
    version = "20220707-git";
    asds = [ "3bmd-youtube-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2022-07-07/3bmd-20220707-git.tgz";
      sha256 = "14q2csgmxy5ddmmcrp9wqx7dkzk6685zby9qc04yr9y3c1szvdlr";
      system = "3bmd-youtube-tests";
      asd = "3bmd-youtube-tests";
    });
    systems = [ "3bmd-youtube-tests" ];
    lispLibs = [ (getAttr "_3bmd-youtube" pkgs) (getAttr "fiasco" pkgs) ];
  };
  _3bz = {
    pname = "3bz";
    version = "20201220-git";
    asds = [ "3bz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bz/2020-12-20/3bz-20201220-git.tgz";
      sha256 = "0kvvlvf50jhhw1s510f3clpr1a68632bq6d698yxcrx722igcrg4";
      system = "3bz";
      asd = "3bz";
    });
    systems = [ "3bz" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "mmap" pkgs) (getAttr "nibbles" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  _3d-matrices = {
    pname = "3d-matrices";
    version = "20220331-git";
    asds = [ "3d-matrices" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-matrices/2022-03-31/3d-matrices-20220331-git.tgz";
      sha256 = "1s8b4zlmqwyplghs73riz1khf0c5sk64w6b12jd599091d5nr6sr";
      system = "3d-matrices";
      asd = "3d-matrices";
    });
    systems = [ "3d-matrices" ];
    lispLibs = [ (getAttr "_3d-vectors" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  _3d-matrices-test = {
    pname = "3d-matrices-test";
    version = "20220331-git";
    asds = [ "3d-matrices-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-matrices/2022-03-31/3d-matrices-20220331-git.tgz";
      sha256 = "1s8b4zlmqwyplghs73riz1khf0c5sk64w6b12jd599091d5nr6sr";
      system = "3d-matrices-test";
      asd = "3d-matrices-test";
    });
    systems = [ "3d-matrices-test" ];
    lispLibs = [ (getAttr "_3d-matrices" pkgs) (getAttr "parachute" pkgs) ];
  };
  _3d-quaternions = {
    pname = "3d-quaternions";
    version = "20221106-git";
    asds = [ "3d-quaternions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-quaternions/2022-11-06/3d-quaternions-20221106-git.tgz";
      sha256 = "1mrq6yhb90mhvxdkg3fx58ci5yj5xlixbbzf1q6p76wyq40qjv76";
      system = "3d-quaternions";
      asd = "3d-quaternions";
    });
    systems = [ "3d-quaternions" ];
    lispLibs = [ (getAttr "_3d-matrices" pkgs) (getAttr "_3d-vectors" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  _3d-quaternions-test = {
    pname = "3d-quaternions-test";
    version = "20221106-git";
    asds = [ "3d-quaternions-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-quaternions/2022-11-06/3d-quaternions-20221106-git.tgz";
      sha256 = "1mrq6yhb90mhvxdkg3fx58ci5yj5xlixbbzf1q6p76wyq40qjv76";
      system = "3d-quaternions-test";
      asd = "3d-quaternions-test";
    });
    systems = [ "3d-quaternions-test" ];
    lispLibs = [ (getAttr "_3d-quaternions" pkgs) (getAttr "parachute" pkgs) ];
  };
  _3d-transforms = {
    pname = "3d-transforms";
    version = "20220331-git";
    asds = [ "3d-transforms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-transforms/2022-03-31/3d-transforms-20220331-git.tgz";
      sha256 = "1j7rvkj30z303f875l4qa4b79f9ckc0gr83wclmpvsk2gwiqmwwq";
      system = "3d-transforms";
      asd = "3d-transforms";
    });
    systems = [ "3d-transforms" ];
    lispLibs = [ (getAttr "_3d-matrices" pkgs) (getAttr "_3d-quaternions" pkgs) (getAttr "_3d-vectors" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  _3d-transforms-test = {
    pname = "3d-transforms-test";
    version = "20220331-git";
    asds = [ "3d-transforms-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-transforms/2022-03-31/3d-transforms-20220331-git.tgz";
      sha256 = "1j7rvkj30z303f875l4qa4b79f9ckc0gr83wclmpvsk2gwiqmwwq";
      system = "3d-transforms-test";
      asd = "3d-transforms-test";
    });
    systems = [ "3d-transforms-test" ];
    lispLibs = [ (getAttr "_3d-transforms" pkgs) (getAttr "parachute" pkgs) ];
  };
  _3d-vectors = {
    pname = "3d-vectors";
    version = "20221106-git";
    asds = [ "3d-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-vectors/2022-11-06/3d-vectors-20221106-git.tgz";
      sha256 = "0vmf7nycc49ydcy0dfs25cgs655kwjc6jcjvpwxw61jq4gl2fh7x";
      system = "3d-vectors";
      asd = "3d-vectors";
    });
    systems = [ "3d-vectors" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  _3d-vectors-test = {
    pname = "3d-vectors-test";
    version = "20221106-git";
    asds = [ "3d-vectors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-vectors/2022-11-06/3d-vectors-20221106-git.tgz";
      sha256 = "0vmf7nycc49ydcy0dfs25cgs655kwjc6jcjvpwxw61jq4gl2fh7x";
      system = "3d-vectors-test";
      asd = "3d-vectors-test";
    });
    systems = [ "3d-vectors-test" ];
    lispLibs = [ (getAttr "_3d-vectors" pkgs) (getAttr "parachute" pkgs) ];
  };
  _40ants-asdf-system = {
    pname = "40ants-asdf-system";
    version = "20221106-git";
    asds = [ "40ants-asdf-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-asdf-system/2022-11-06/40ants-asdf-system-20221106-git.tgz";
      sha256 = "11k1pa1mpcm63n5acqb805266xs8wb4nxm00ac8i8abbp2pflama";
      system = "40ants-asdf-system";
      asd = "40ants-asdf-system";
    });
    systems = [ "40ants-asdf-system" ];
    lispLibs = [ (getAttr "_40ants-doc" pkgs) (getAttr "uiop" pkgs) ];
  };
  _40ants-ci = {
    pname = "40ants-ci";
    version = "20221106-git";
    asds = [ "40ants-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci/2022-11-06/ci-20221106-git.tgz";
      sha256 = "0m735ciq3nkr928d5kfa9x9dv3w0yprj8i0xznih4pzkjvj93f5c";
      system = "40ants-ci";
      asd = "40ants-ci";
    });
    systems = [ "40ants-ci" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "docs-config" pkgs) (getAttr "yason" pkgs) ];
  };
  _40ants-ci-test = {
    pname = "40ants-ci-test";
    version = "20221106-git";
    asds = [ "40ants-ci-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci/2022-11-06/ci-20221106-git.tgz";
      sha256 = "0m735ciq3nkr928d5kfa9x9dv3w0yprj8i0xznih4pzkjvj93f5c";
      system = "40ants-ci-test";
      asd = "40ants-ci-test";
    });
    systems = [ "40ants-ci-test" ];
    lispLibs = [ (getAttr "hamcrest" pkgs) (getAttr "rove" pkgs) ];
  };
  _40ants-doc = {
    pname = "40ants-doc";
    version = "20221106-git";
    asds = [ "40ants-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2022-11-06/doc-20221106-git.tgz";
      sha256 = "1myf27502i7mkwb9dqywdbwlpprx7zwp4l7a6vc654h6f1zf65xv";
      system = "40ants-doc";
      asd = "40ants-doc";
    });
    systems = [ "40ants-doc" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) (getAttr "uiop" pkgs) ];
  };
  _40ants-doc-full = {
    pname = "40ants-doc-full";
    version = "20221106-git";
    asds = [ "40ants-doc-full" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2022-11-06/doc-20221106-git.tgz";
      sha256 = "1myf27502i7mkwb9dqywdbwlpprx7zwp4l7a6vc654h6f1zf65xv";
      system = "40ants-doc-full";
      asd = "40ants-doc-full";
    });
    systems = [ "40ants-doc-full" ];
    lispLibs = [  ];
  };
  _40ants-doc-test = {
    pname = "40ants-doc-test";
    version = "20221106-git";
    asds = [ "40ants-doc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2022-11-06/doc-20221106-git.tgz";
      sha256 = "1myf27502i7mkwb9dqywdbwlpprx7zwp4l7a6vc654h6f1zf65xv";
      system = "40ants-doc-test";
      asd = "40ants-doc-test";
    });
    systems = [ "40ants-doc-test" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "rove" pkgs) ];
  };
  a-cl-cairo2-loader = {
    pname = "a-cl-cairo2-loader";
    version = "20211020-git";
    asds = [ "a-cl-cairo2-loader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "a-cl-cairo2-loader";
      asd = "a-cl-cairo2-loader";
    });
    systems = [ "a-cl-cairo2-loader" ];
    lispLibs = [ (getAttr "cl-cairo2" pkgs) ];
  };
  a-cl-logger = {
    pname = "a-cl-logger";
    version = "20220331-git";
    asds = [ "a-cl-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger";
      asd = "a-cl-logger";
    });
    systems = [ "a-cl-logger" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-json" pkgs) (getAttr "closer-mop" pkgs) (getAttr "exit-hooks" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  a-cl-logger-logstash = {
    pname = "a-cl-logger-logstash";
    version = "20220331-git";
    asds = [ "a-cl-logger-logstash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger-logstash";
      asd = "a-cl-logger-logstash";
    });
    systems = [ "a-cl-logger-logstash" ];
    lispLibs = [ (getAttr "a-cl-logger" pkgs) (getAttr "cl-json" pkgs) (getAttr "zmq" pkgs) ];
  };
  a-cl-logger-tests = {
    pname = "a-cl-logger-tests";
    version = "20220331-git";
    asds = [ "a-cl-logger-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger-tests";
      asd = "a-cl-logger";
    });
    systems = [ "a-cl-logger-tests" ];
    lispLibs = [ (getAttr "a-cl-logger" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  aabbcc = {
    pname = "aabbcc";
    version = "20200427-git";
    asds = [ "aabbcc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "aabbcc";
      asd = "aabbcc";
    });
    systems = [ "aabbcc" ];
    lispLibs = [ (getAttr "quads" pkgs) (getAttr "utility" pkgs) ];
  };
  able = {
    pname = "able";
    version = "20171227-git";
    asds = [ "able" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/able/2017-12-27/able-20171227-git.tgz";
      sha256 = "1fbcmr6hy7bwlnsnrml3j4b2jkkj8ddxw27l8hr2z6l3fi3qw4hh";
      system = "able";
      asd = "able";
    });
    systems = [ "able" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "ltk" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  abnf = {
    pname = "abnf";
    version = "20200325-git";
    asds = [ "abnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abnf/2020-03-25/cl-abnf-20200325-git.tgz";
      sha256 = "0f09nsndxa90acm71zd4qdnp40v705a4sqm04mnv9x76h6dlggmz";
      system = "abnf";
      asd = "abnf";
    });
    systems = [ "abnf" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) ];
  };
  abstract-arrays = {
    pname = "abstract-arrays";
    version = "20221106-git";
    asds = [ "abstract-arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/abstract-arrays/2022-11-06/abstract-arrays-20221106-git.tgz";
      sha256 = "0rz09fywsrg23g1l9mm0g4y8bw4hdff67wqs7nj5b352g9l9f0xa";
      system = "abstract-arrays";
      asd = "abstract-arrays";
    });
    systems = [ "abstract-arrays" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "polymorphic-functions" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  abstract-classes = {
    pname = "abstract-classes";
    version = "20190307-hg";
    asds = [ "abstract-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abstract-classes/2019-03-07/cl-abstract-classes-20190307-hg.tgz";
      sha256 = "0q03j3ksgn56j9xvs3d3hhasplj3hvg488f4cx1z97nlyqxr5w1d";
      system = "abstract-classes";
      asd = "abstract-classes";
    });
    systems = [ "abstract-classes" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  access = {
    pname = "access";
    version = "20220707-git";
    asds = [ "access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/access/2022-07-07/access-20220707-git.tgz";
      sha256 = "0jgq4xz4pmi7wrgiqvvpkl9k89dhnhsaac68x6mw0w2v7h31vzph";
      system = "access";
      asd = "access";
    });
    systems = [ "access" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) ];
  };
  access_slash_test = {
    pname = "access_test";
    version = "20220707-git";
    asds = [ "access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/access/2022-07-07/access-20220707-git.tgz";
      sha256 = "0jgq4xz4pmi7wrgiqvvpkl9k89dhnhsaac68x6mw0w2v7h31vzph";
      system = "access";
      asd = "access";
    });
    systems = [ "access/test" ];
    lispLibs = [ (getAttr "access" pkgs) (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  acclimation = {
    pname = "acclimation";
    version = "20221106-git";
    asds = [ "acclimation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/acclimation/2022-11-06/acclimation-20221106-git.tgz";
      sha256 = "04bk389p4fddh4vf9apry4a40ryfhcdf5fq23gh1ihvfdpv3b957";
      system = "acclimation";
      asd = "acclimation";
    });
    systems = [ "acclimation" ];
    lispLibs = [  ];
  };
  acclimation-temperature = {
    pname = "acclimation-temperature";
    version = "20221106-git";
    asds = [ "acclimation-temperature" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/acclimation/2022-11-06/acclimation-20221106-git.tgz";
      sha256 = "04bk389p4fddh4vf9apry4a40ryfhcdf5fq23gh1ihvfdpv3b957";
      system = "acclimation-temperature";
      asd = "acclimation-temperature";
    });
    systems = [ "acclimation-temperature" ];
    lispLibs = [  ];
  };
  acl-compat = {
    pname = "acl-compat";
    version = "20190813-git";
    asds = [ "acl-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "acl-compat";
      asd = "acl-compat";
    });
    systems = [ "acl-compat" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "ironclad" pkgs) (getAttr "puri" pkgs) ];
  };
  acm-random = {
    pname = "acm-random";
    version = "20191007-git";
    asds = [ "acm-random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "acm-random";
      asd = "acm-random";
    });
    systems = [ "acm-random" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "random" pkgs) ];
  };
  acm-random-test = {
    pname = "acm-random-test";
    version = "20191007-git";
    asds = [ "acm-random-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "acm-random-test";
      asd = "acm-random-test";
    });
    systems = [ "acm-random-test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "acm-random" pkgs) ];
  };
  action-list = {
    pname = "action-list";
    version = "20221106-git";
    asds = [ "action-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/action-list/2022-11-06/action-list-20221106-git.tgz";
      sha256 = "0w42wsk077lcv9hw62s8303fj4rpmrrx1xwsv1jachzd9alwnfcl";
      system = "action-list";
      asd = "action-list";
    });
    systems = [ "action-list" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "trivial-extensible-sequences" pkgs) ];
  };
  adhoc = {
    pname = "adhoc";
    version = "20220331-git";
    asds = [ "adhoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adhoc/2022-03-31/adhoc-20220331-git.tgz";
      sha256 = "1plpxrb41y0hpj9ai6g5cyw6p2v0md3gk35xvryq5mmkxnjfzyzj";
      system = "adhoc";
      asd = "adhoc";
    });
    systems = [ "adhoc" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  adhoc-tests = {
    pname = "adhoc-tests";
    version = "20220331-git";
    asds = [ "adhoc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adhoc/2022-03-31/adhoc-20220331-git.tgz";
      sha256 = "1plpxrb41y0hpj9ai6g5cyw6p2v0md3gk35xvryq5mmkxnjfzyzj";
      system = "adhoc-tests";
      asd = "adhoc-tests";
    });
    systems = [ "adhoc-tests" ];
    lispLibs = [ (getAttr "adhoc" pkgs) (getAttr "fiveam" pkgs) ];
  };
  adjuvant = {
    pname = "adjuvant";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "adjuvant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "adjuvant";
      asd = "adjuvant";
    });
    systems = [ "adjuvant" ];
    lispLibs = [  ];
  };
  adjuvant-test = {
    pname = "adjuvant-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "adjuvant-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "adjuvant-test";
      asd = "adjuvant-test";
    });
    systems = [ "adjuvant-test" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  adopt = {
    pname = "adopt";
    version = "20220331-hg";
    asds = [ "adopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt/2022-03-31/adopt-20220331-hg.tgz";
      sha256 = "0lfg12crl68nz0avdyx4j0x0p8vrysr2bl1817iaaa48jp6qp588";
      system = "adopt";
      asd = "adopt";
    });
    systems = [ "adopt" ];
    lispLibs = [ (getAttr "bobbin" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  adopt-subcommands = {
    pname = "adopt-subcommands";
    version = "v0.2.2";
    asds = [ "adopt-subcommands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt-subcommands/2021-05-31/adopt-subcommands-v0.2.2.tgz";
      sha256 = "0q35s3ihhlshakjalq5pgf14x502qnj8jimim8yf7bp1p9sn83h8";
      system = "adopt-subcommands";
      asd = "adopt-subcommands";
    });
    systems = [ "adopt-subcommands" ];
    lispLibs = [ (getAttr "adopt" pkgs) (getAttr "bobbin" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  adopt-subcommands-test = {
    pname = "adopt-subcommands-test";
    version = "v0.2.2";
    asds = [ "adopt-subcommands-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt-subcommands/2021-05-31/adopt-subcommands-v0.2.2.tgz";
      sha256 = "0q35s3ihhlshakjalq5pgf14x502qnj8jimim8yf7bp1p9sn83h8";
      system = "adopt-subcommands-test";
      asd = "adopt-subcommands-test";
    });
    systems = [ "adopt-subcommands-test" ];
    lispLibs = [ (getAttr "adopt-subcommands" pkgs) (getAttr "fiveam" pkgs) ];
  };
  adopt_slash_test = {
    pname = "adopt_test";
    version = "20220331-hg";
    asds = [ "adopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt/2022-03-31/adopt-20220331-hg.tgz";
      sha256 = "0lfg12crl68nz0avdyx4j0x0p8vrysr2bl1817iaaa48jp6qp588";
      system = "adopt";
      asd = "adopt";
    });
    systems = [ "adopt/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "adopt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  adp = {
    pname = "adp";
    version = "20221106-git";
    asds = [ "adp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adp/2022-11-06/adp-20221106-git.tgz";
      sha256 = "1g6mdcv4kprx111m1glppqd23n12bsca3q6bm0v25hp4qb08l1my";
      system = "adp";
      asd = "adp";
    });
    systems = [ "adp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "hyperspec" pkgs) ];
  };
  adp_slash_doc = {
    pname = "adp_doc";
    version = "20221106-git";
    asds = [ "adp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adp/2022-11-06/adp-20221106-git.tgz";
      sha256 = "1g6mdcv4kprx111m1glppqd23n12bsca3q6bm0v25hp4qb08l1my";
      system = "adp";
      asd = "adp";
    });
    systems = [ "adp/doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "hyperspec" pkgs) ];
    meta = {
      broken = true;
    };
  };
  adp_slash_github-md = {
    pname = "adp_github-md";
    version = "20221106-git";
    asds = [ "adp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adp/2022-11-06/adp-20221106-git.tgz";
      sha256 = "1g6mdcv4kprx111m1glppqd23n12bsca3q6bm0v25hp4qb08l1my";
      system = "adp";
      asd = "adp";
    });
    systems = [ "adp/github-md" ];
    lispLibs = [ (getAttr "adp" pkgs) ];
    meta = {
      broken = true;
    };
  };
  advanced = {
    pname = "advanced";
    version = "clon-1.0b25";
    asds = [ "advanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "advanced";
      asd = "advanced";
    });
    systems = [ "advanced" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon" pkgs) ];
  };
  advanced-readtable = {
    pname = "advanced-readtable";
    version = "20130720-git";
    asds = [ "advanced-readtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/advanced-readtable/2013-07-20/advanced-readtable-20130720-git.tgz";
      sha256 = "0dgm3lp9s6792g22swcb085f67q68jsyqj71vicb1wdr9qslvgwm";
      system = "advanced-readtable";
      asd = "advanced-readtable";
    });
    systems = [ "advanced-readtable" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  aether = {
    pname = "aether";
    version = "v1.1.0";
    asds = [ "aether" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aether/2021-12-09/aether-v1.1.0.tgz";
      sha256 = "0q60gc4lsxpvv4g572mnhpzkziq1412k1q0xm4y2d1zigryg30bb";
      system = "aether";
      asd = "aether";
    });
    systems = [ "aether" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-heap" pkgs) (getAttr "global-vars" pkgs) (getAttr "policy-cond" pkgs) ];
  };
  aether-tests = {
    pname = "aether-tests";
    version = "v1.1.0";
    asds = [ "aether-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aether/2021-12-09/aether-v1.1.0.tgz";
      sha256 = "0q60gc4lsxpvv4g572mnhpzkziq1412k1q0xm4y2d1zigryg30bb";
      system = "aether-tests";
      asd = "aether-tests";
    });
    systems = [ "aether-tests" ];
    lispLibs = [ (getAttr "aether" pkgs) (getAttr "fiasco" pkgs) (getAttr "uiop" pkgs) ];
  };
  agnostic-lizard = {
    pname = "agnostic-lizard";
    version = "20221106-git";
    asds = [ "agnostic-lizard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agnostic-lizard/2022-11-06/agnostic-lizard-20221106-git.tgz";
      sha256 = "13r1pzxkhci0pd8grhvim09lgvaykjyspnj58xq1rp1c017xnpmf";
      system = "agnostic-lizard";
      asd = "agnostic-lizard";
    });
    systems = [ "agnostic-lizard" ];
    lispLibs = [  ];
  };
  agnostic-lizard-debugger-prototype = {
    pname = "agnostic-lizard-debugger-prototype";
    version = "20221106-git";
    asds = [ "agnostic-lizard-debugger-prototype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agnostic-lizard/2022-11-06/agnostic-lizard-20221106-git.tgz";
      sha256 = "13r1pzxkhci0pd8grhvim09lgvaykjyspnj58xq1rp1c017xnpmf";
      system = "agnostic-lizard-debugger-prototype";
      asd = "agnostic-lizard-debugger-prototype";
    });
    systems = [ "agnostic-lizard-debugger-prototype" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "bordeaux-threads" pkgs) ];
  };
  agutil = {
    pname = "agutil";
    version = "20210531-git";
    asds = [ "agutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agutil/2021-05-31/agutil-20210531-git.tgz";
      sha256 = "10lccrqkaqq0h1p79gjqsqk1nqa6c25n0w7pj39y2gs14s5qr5q9";
      system = "agutil";
      asd = "agutil";
    });
    systems = [ "agutil" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "optima" pkgs) ];
  };
  ahungry-fleece = {
    pname = "ahungry-fleece";
    version = "20200610-git";
    asds = [ "ahungry-fleece" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ahungry-fleece/2020-06-10/ahungry-fleece-20200610-git.tgz";
      sha256 = "1l2rsy5qn5n456cxbd6kj0hpniy5vf35xcixzfj4j7lv00j0c5lz";
      system = "ahungry-fleece";
      asd = "ahungry-fleece";
    });
    systems = [ "ahungry-fleece" ];
    lispLibs = [ (getAttr "archive" pkgs) (getAttr "chipz" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-yaml" pkgs) (getAttr "md5" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  alexa = {
    pname = "alexa";
    version = "20180831-git";
    asds = [ "alexa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexa/2018-08-31/alexa-20180831-git.tgz";
      sha256 = "1y9jyz9gfmd02h492kf7v3mmpbhc0yfh4ka2rzd1vczq6fl8qgqv";
      system = "alexa";
      asd = "alexa";
    });
    systems = [ "alexa" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  alexa-tests = {
    pname = "alexa-tests";
    version = "20180831-git";
    asds = [ "alexa-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexa/2018-08-31/alexa-20180831-git.tgz";
      sha256 = "1y9jyz9gfmd02h492kf7v3mmpbhc0yfh4ka2rzd1vczq6fl8qgqv";
      system = "alexa-tests";
      asd = "alexa-tests";
    });
    systems = [ "alexa-tests" ];
    lispLibs = [ (getAttr "alexa" pkgs) (getAttr "fiasco" pkgs) (getAttr "uiop" pkgs) ];
  };
  alexandria = {
    pname = "alexandria";
    version = "20220707-git";
    asds = [ "alexandria" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria/2022-07-07/alexandria-20220707-git.tgz";
      sha256 = "1l3jb61in7gs3fihlvmcap51ij9s9j4p77n0rwc2c6qd43cv90ah";
      system = "alexandria";
      asd = "alexandria";
    });
    systems = [ "alexandria" ];
    lispLibs = [  ];
  };
  alexandria_plus = {
    pname = "alexandria+";
    version = "20221106-git";
    asds = [ "alexandria+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria-plus/2022-11-06/alexandria-plus-20221106-git.tgz";
      sha256 = "1w9r19610h599303gqlx2x5n8mmdynss2gyl7xilg5h6v8z3hkfl";
      system = "alexandria+";
      asd = "alexandria+";
    });
    systems = [ "alexandria+" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  alexandria_plus_slash_tests = {
    pname = "alexandria+_tests";
    version = "20221106-git";
    asds = [ "alexandria+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria-plus/2022-11-06/alexandria-plus-20221106-git.tgz";
      sha256 = "1w9r19610h599303gqlx2x5n8mmdynss2gyl7xilg5h6v8z3hkfl";
      system = "alexandria+";
      asd = "alexandria+";
    });
    systems = [ "alexandria+/tests" ];
    lispLibs = [ (getAttr "alexandria_plus" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  alexandria_slash_tests = {
    pname = "alexandria_tests";
    version = "20220707-git";
    asds = [ "alexandria" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria/2022-07-07/alexandria-20220707-git.tgz";
      sha256 = "1l3jb61in7gs3fihlvmcap51ij9s9j4p77n0rwc2c6qd43cv90ah";
      system = "alexandria";
      asd = "alexandria";
    });
    systems = [ "alexandria/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  algebraic-data-library = {
    pname = "algebraic-data-library";
    version = "20180831-git";
    asds = [ "algebraic-data-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/algebraic-data-library/2018-08-31/algebraic-data-library-20180831-git.tgz";
      sha256 = "0mmakfdwgfjl812ydzbbl81lkv41zfnqhw9ydjk1w63lq8c11cmn";
      system = "algebraic-data-library";
      asd = "algebraic-data-library";
    });
    systems = [ "algebraic-data-library" ];
    lispLibs = [ (getAttr "cl-algebraic-data-type" pkgs) ];
  };
  also-alsa = {
    pname = "also-alsa";
    version = "20220707-git";
    asds = [ "also-alsa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/also-alsa/2022-07-07/also-alsa-20220707-git.tgz";
      sha256 = "1az5agb5gmjjsp3sbpqnw20k46yss1d7d5xymy2mi1al5ksxyqmc";
      system = "also-alsa";
      asd = "also-alsa";
    });
    systems = [ "also-alsa" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  amazon-ecs = {
    pname = "amazon-ecs";
    version = "20110418-git";
    asds = [ "amazon-ecs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/amazon-ecs/2011-04-18/amazon-ecs-20110418-git.tgz";
      sha256 = "1gi3ybfkdfqvgmwgf0l77xpp5xgmkbycdpz6kn79vm0iga3kd2mz";
      system = "amazon-ecs";
      asd = "amazon-ecs";
    });
    systems = [ "amazon-ecs" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "net-telent-date" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-http" pkgs) (getAttr "xml-mop" pkgs) ];
  };
  amb = {
    pname = "amb";
    version = "20220220-git";
    asds = [ "amb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/amb/2022-02-20/amb-20220220-git.tgz";
      sha256 = "1klh1aakklj1famrff0sccnwlv8238b1q446288aqnqgxxw6pf21";
      system = "amb";
      asd = "amb";
    });
    systems = [ "amb" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  amb_slash_test = {
    pname = "amb_test";
    version = "20220220-git";
    asds = [ "amb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/amb/2022-02-20/amb-20220220-git.tgz";
      sha256 = "1klh1aakklj1famrff0sccnwlv8238b1q446288aqnqgxxw6pf21";
      system = "amb";
      asd = "amb";
    });
    systems = [ "amb/test" ];
    lispLibs = [ (getAttr "amb" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  anaphora = {
    pname = "anaphora";
    version = "20220220-git";
    asds = [ "anaphora" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anaphora/2022-02-20/anaphora-20220220-git.tgz";
      sha256 = "1ds5ab0rzkrhfl29xpvmvyxmkdyj9mi19p330pz603lx95njjc0b";
      system = "anaphora";
      asd = "anaphora";
    });
    systems = [ "anaphora" ];
    lispLibs = [  ];
  };
  anaphora_slash_test = {
    pname = "anaphora_test";
    version = "20220220-git";
    asds = [ "anaphora" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anaphora/2022-02-20/anaphora-20220220-git.tgz";
      sha256 = "1ds5ab0rzkrhfl29xpvmvyxmkdyj9mi19p330pz603lx95njjc0b";
      system = "anaphora";
      asd = "anaphora";
    });
    systems = [ "anaphora/test" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  anaphoric-variants = {
    pname = "anaphoric-variants";
    version = "1.0.1";
    asds = [ "anaphoric-variants" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anaphoric-variants/2012-10-13/anaphoric-variants-1.0.1.tgz";
      sha256 = "02ms01w09b9bzsdsr0icd3ggyl86kyxk164kf0759k2k9y6kjsp5";
      system = "anaphoric-variants";
      asd = "anaphoric-variants";
    });
    systems = [ "anaphoric-variants" ];
    lispLibs = [ (getAttr "map-bind" pkgs) ];
  };
  anatevka = {
    pname = "anatevka";
    version = "v1.0.0";
    asds = [ "anatevka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anatevka/2022-11-06/anatevka-v1.0.0.tgz";
      sha256 = "1c8y91nv1jln22j7b82qiad861zfjs9a8nxm18r1dxblszpyygsk";
      system = "anatevka";
      asd = "anatevka";
    });
    systems = [ "anatevka" ];
    lispLibs = [ (getAttr "aether" pkgs) (getAttr "alexandria" pkgs) ];
  };
  anatevka-tests = {
    pname = "anatevka-tests";
    version = "v1.0.0";
    asds = [ "anatevka-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anatevka/2022-11-06/anatevka-v1.0.0.tgz";
      sha256 = "1c8y91nv1jln22j7b82qiad861zfjs9a8nxm18r1dxblszpyygsk";
      system = "anatevka-tests";
      asd = "anatevka-tests";
    });
    systems = [ "anatevka-tests" ];
    lispLibs = [ (getAttr "anatevka" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fiasco" pkgs) (getAttr "uiop" pkgs) ];
  };
  ansi-escape = {
    pname = "ansi-escape";
    version = "20221106-git";
    asds = [ "ansi-escape" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2022-11-06/croatoan-20221106-git.tgz";
      sha256 = "0zfwcc40dpj88jvkm45d4snxjfxdsncd5pj10zrbj7lm4awm9b5s";
      system = "ansi-escape";
      asd = "ansi-escape";
    });
    systems = [ "ansi-escape" ];
    lispLibs = [  ];
  };
  ansi-escape-test = {
    pname = "ansi-escape-test";
    version = "20221106-git";
    asds = [ "ansi-escape-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2022-11-06/croatoan-20221106-git.tgz";
      sha256 = "0zfwcc40dpj88jvkm45d4snxjfxdsncd5pj10zrbj7lm4awm9b5s";
      system = "ansi-escape-test";
      asd = "ansi-escape-test";
    });
    systems = [ "ansi-escape-test" ];
    lispLibs = [ (getAttr "ansi-escape" pkgs) ];
  };
  antik = {
    pname = "antik";
    version = "master-df14cb8c-git";
    asds = [ "antik" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "antik";
      asd = "antik";
    });
    systems = [ "antik" ];
    lispLibs = [ (getAttr "physical-dimension" pkgs) (getAttr "gsll" pkgs) ];
  };
  antik-base = {
    pname = "antik-base";
    version = "master-df14cb8c-git";
    asds = [ "antik-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "antik-base";
      asd = "antik-base";
    });
    systems = [ "antik-base" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "named-readtables" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  anypool = {
    pname = "anypool";
    version = "20210531-git";
    asds = [ "anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "anypool";
      asd = "anypool";
    });
    systems = [ "anypool" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-speedy-queue" pkgs) ];
  };
  anypool_slash_middleware = {
    pname = "anypool_middleware";
    version = "20210531-git";
    asds = [ "anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "anypool";
      asd = "anypool";
    });
    systems = [ "anypool/middleware" ];
    lispLibs = [ (getAttr "anypool" pkgs) ];
    meta = {
      broken = true;
    };
  };
  anypool_slash_tests = {
    pname = "anypool_tests";
    version = "20210531-git";
    asds = [ "anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "anypool";
      asd = "anypool";
    });
    systems = [ "anypool/tests" ];
    lispLibs = [ (getAttr "anypool" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  aplesque = {
    pname = "aplesque";
    version = "20220707-git";
    asds = [ "aplesque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "aplesque";
      asd = "aplesque";
    });
    systems = [ "aplesque" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "lparallel" pkgs) (getAttr "parse-number" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  application = {
    pname = "application";
    version = "20200427-git";
    asds = [ "application" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "application";
      asd = "application";
    });
    systems = [ "application" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "deflazy" pkgs) (getAttr "glhelp" pkgs) (getAttr "scratch-buffer" pkgs) (getAttr "window" pkgs) (getAttr "utility" pkgs) ];
  };
  apply-argv = {
    pname = "apply-argv";
    version = "20150608-git";
    asds = [ "apply-argv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/apply-argv/2015-06-08/apply-argv-20150608-git.tgz";
      sha256 = "19qj847vyawjgm5iwk96469c0plnxj37948ac1bcd86hgpbm75w0";
      system = "apply-argv";
      asd = "apply-argv";
    });
    systems = [ "apply-argv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  apply-argv-tests = {
    pname = "apply-argv-tests";
    version = "20150608-git";
    asds = [ "apply-argv-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/apply-argv/2015-06-08/apply-argv-20150608-git.tgz";
      sha256 = "19qj847vyawjgm5iwk96469c0plnxj37948ac1bcd86hgpbm75w0";
      system = "apply-argv-tests";
      asd = "apply-argv";
    });
    systems = [ "apply-argv-tests" ];
    lispLibs = [ (getAttr "apply-argv" pkgs) (getAttr "fiveam" pkgs) ];
  };
  april = {
    pname = "april";
    version = "20220707-git";
    asds = [ "april" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april";
      asd = "april";
    });
    systems = [ "april" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "aplesque" pkgs) (getAttr "vex" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "lparallel" pkgs) (getAttr "parse-number" pkgs) (getAttr "prove" pkgs) (getAttr "random-state" pkgs) (getAttr "simple-date-time" pkgs) (getAttr "symbol-munger" pkgs) (getAttr "trivia" pkgs) ];
  };
  april-demo_dot_cnn = {
    pname = "april-demo.cnn";
    version = "20220707-git";
    asds = [ "april-demo.cnn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-demo.cnn";
      asd = "april-demo.cnn";
    });
    systems = [ "april-demo.cnn" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "lisp-binary" pkgs) ];
  };
  april-demo_dot_ncurses = {
    pname = "april-demo.ncurses";
    version = "20220707-git";
    asds = [ "april-demo.ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-demo.ncurses";
      asd = "april-demo.ncurses";
    });
    systems = [ "april-demo.ncurses" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "croatoan" pkgs) (getAttr "lparallel" pkgs) ];
  };
  april-lib_dot_dfns_dot_array = {
    pname = "april-lib.dfns.array";
    version = "20220707-git";
    asds = [ "april-lib.dfns.array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.array";
      asd = "april-lib.dfns.array";
    });
    systems = [ "april-lib.dfns.array" ];
    lispLibs = [ (getAttr "april" pkgs) ];
  };
  april-lib_dot_dfns_dot_graph = {
    pname = "april-lib.dfns.graph";
    version = "20220707-git";
    asds = [ "april-lib.dfns.graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.graph";
      asd = "april-lib.dfns.graph";
    });
    systems = [ "april-lib.dfns.graph" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "april-lib_dot_dfns_dot_array" pkgs) ];
  };
  april-lib_dot_dfns_dot_numeric = {
    pname = "april-lib.dfns.numeric";
    version = "20220707-git";
    asds = [ "april-lib.dfns.numeric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.numeric";
      asd = "april-lib.dfns.numeric";
    });
    systems = [ "april-lib.dfns.numeric" ];
    lispLibs = [ (getAttr "april" pkgs) ];
  };
  april-lib_dot_dfns_dot_power = {
    pname = "april-lib.dfns.power";
    version = "20220707-git";
    asds = [ "april-lib.dfns.power" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.power";
      asd = "april-lib.dfns.power";
    });
    systems = [ "april-lib.dfns.power" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "april-lib_dot_dfns_dot_array" pkgs) ];
  };
  april-lib_dot_dfns_dot_string = {
    pname = "april-lib.dfns.string";
    version = "20220707-git";
    asds = [ "april-lib.dfns.string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.string";
      asd = "april-lib.dfns.string";
    });
    systems = [ "april-lib.dfns.string" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "april-lib_dot_dfns_dot_array" pkgs) ];
  };
  april-lib_dot_dfns_dot_tree = {
    pname = "april-lib.dfns.tree";
    version = "20220707-git";
    asds = [ "april-lib.dfns.tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "april-lib.dfns.tree";
      asd = "april-lib.dfns.tree";
    });
    systems = [ "april-lib.dfns.tree" ];
    lispLibs = [ (getAttr "april" pkgs) (getAttr "april-lib_dot_dfns_dot_array" pkgs) (getAttr "april-lib_dot_dfns_dot_power" pkgs) ];
  };
  arc-compat = {
    pname = "arc-compat";
    version = "20220331-git";
    asds = [ "arc-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arc-compat/2022-03-31/arc-compat-20220331-git.tgz";
      sha256 = "0jdab12ywxk82ii9clwrcl9afp08yqzq5mgj099ykmad6m3q02lm";
      system = "arc-compat";
      asd = "arc-compat";
    });
    systems = [ "arc-compat" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "fiveam" pkgs) (getAttr "ironclad" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  architecture_dot_builder-protocol = {
    pname = "architecture.builder-protocol";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol";
      asd = "architecture.builder-protocol";
    });
    systems = [ "architecture.builder-protocol" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_inspection = {
    pname = "architecture.builder-protocol.inspection";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.inspection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.inspection";
      asd = "architecture.builder-protocol.inspection";
    });
    systems = [ "architecture.builder-protocol.inspection" ];
    lispLibs = [ (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "clouseau" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_json = {
    pname = "architecture.builder-protocol.json";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.json";
      asd = "architecture.builder-protocol.json";
    });
    systems = [ "architecture.builder-protocol.json" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "cl-json" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_json_slash_test = {
    pname = "architecture.builder-protocol.json_test";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.json";
      asd = "architecture.builder-protocol.json";
    });
    systems = [ "architecture.builder-protocol.json/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "architecture_dot_builder-protocol_dot_json" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_builder-protocol_dot_print-tree = {
    pname = "architecture.builder-protocol.print-tree";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.print-tree";
      asd = "architecture.builder-protocol.print-tree";
    });
    systems = [ "architecture.builder-protocol.print-tree" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "utilities_dot_print-tree" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_print-tree_slash_test = {
    pname = "architecture.builder-protocol.print-tree_test";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.print-tree";
      asd = "architecture.builder-protocol.print-tree";
    });
    systems = [ "architecture.builder-protocol.print-tree/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol_dot_print-tree" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_builder-protocol_dot_universal-builder = {
    pname = "architecture.builder-protocol.universal-builder";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.universal-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.universal-builder";
      asd = "architecture.builder-protocol.universal-builder";
    });
    systems = [ "architecture.builder-protocol.universal-builder" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_universal-builder_slash_test = {
    pname = "architecture.builder-protocol.universal-builder_test";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.universal-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.universal-builder";
      asd = "architecture.builder-protocol.universal-builder";
    });
    systems = [ "architecture.builder-protocol.universal-builder/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "architecture_dot_builder-protocol_dot_universal-builder" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_builder-protocol_dot_xpath = {
    pname = "architecture.builder-protocol.xpath";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.xpath";
      asd = "architecture.builder-protocol.xpath";
    });
    systems = [ "architecture.builder-protocol.xpath" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "xpath" pkgs) ];
  };
  architecture_dot_builder-protocol_dot_xpath_slash_test = {
    pname = "architecture.builder-protocol.xpath_test";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol.xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol.xpath";
      asd = "architecture.builder-protocol.xpath";
    });
    systems = [ "architecture.builder-protocol.xpath/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol_dot_xpath" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_builder-protocol_slash_test = {
    pname = "architecture.builder-protocol_test";
    version = "20221106-git";
    asds = [ "architecture.builder-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2022-11-06/architecture.builder-protocol-20221106-git.tgz";
      sha256 = "0nv5wmcf7nvh44148cvq6fvz8zjm212rzzn5r3bi72phpywjxc9v";
      system = "architecture.builder-protocol";
      asd = "architecture.builder-protocol";
    });
    systems = [ "architecture.builder-protocol/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_service-provider = {
    pname = "architecture.service-provider";
    version = "20191007-git";
    asds = [ "architecture.service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider";
      asd = "architecture.service-provider";
    });
    systems = [ "architecture.service-provider" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) (getAttr "utilities_dot_print-items" pkgs) ];
  };
  architecture_dot_service-provider-and-hooks = {
    pname = "architecture.service-provider-and-hooks";
    version = "20191007-git";
    asds = [ "architecture.service-provider-and-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider-and-hooks";
      asd = "architecture.service-provider-and-hooks";
    });
    systems = [ "architecture.service-provider-and-hooks" ];
    lispLibs = [ (getAttr "cl-hooks" pkgs) (getAttr "architecture_dot_service-provider" pkgs) ];
  };
  architecture_dot_service-provider-and-hooks_slash_test = {
    pname = "architecture.service-provider-and-hooks_test";
    version = "20191007-git";
    asds = [ "architecture.service-provider-and-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider-and-hooks";
      asd = "architecture.service-provider-and-hooks";
    });
    systems = [ "architecture.service-provider-and-hooks/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_service-provider" pkgs) (getAttr "architecture_dot_service-provider-and-hooks" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  architecture_dot_service-provider_slash_test = {
    pname = "architecture.service-provider_test";
    version = "20191007-git";
    asds = [ "architecture.service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider";
      asd = "architecture.service-provider";
    });
    systems = [ "architecture.service-provider/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_service-provider" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  archive = {
    pname = "archive";
    version = "20160318-git";
    asds = [ "archive" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/archive/2016-03-18/archive-20160318-git.tgz";
      sha256 = "0pvsc9fmybx7rxd0kmzq4shi6hszdpwdc1sfy7jwyfxf8n3hnv4p";
      system = "archive";
      asd = "archive";
    });
    systems = [ "archive" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  arith = {
    pname = "arith";
    version = "20170830-git";
    asds = [ "arith" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-test/2017-08-30/paren-test-20170830-git.tgz";
      sha256 = "0b2d3kcv3n4b0dm67pzhxx8wxjsgnb32bw2dsprblc7149gaczdr";
      system = "arith";
      asd = "arith";
    });
    systems = [ "arith" ];
    lispLibs = [ (getAttr "paren-files" pkgs) (getAttr "paren-test" pkgs) (getAttr "parenscript" pkgs) ];
  };
  arithmetic-operators-as-words = {
    pname = "arithmetic-operators-as-words";
    version = "20200610-git";
    asds = [ "arithmetic-operators-as-words" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arithmetic-operators-as-words/2020-06-10/arithmetic-operators-as-words-20200610-git.tgz";
      sha256 = "1bcfkbq3kqns2ng0cdmj81c72j63641pqlskg4xrzkgkh25bhkks";
      system = "arithmetic-operators-as-words";
      asd = "arithmetic-operators-as-words";
    });
    systems = [ "arithmetic-operators-as-words" ];
    lispLibs = [  ];
  };
  arnesi = {
    pname = "arnesi";
    version = "20170403-git";
    asds = [ "arnesi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arnesi/2017-04-03/arnesi-20170403-git.tgz";
      sha256 = "0jgj2xgd1gq6rf8ia43lkmbrbxnp8rgs053br9azfa25ygk3ikbh";
      system = "arnesi";
      asd = "arnesi";
    });
    systems = [ "arnesi" ];
    lispLibs = [ (getAttr "collectors" pkgs) ];
  };
  arnesi_slash_cl-ppcre-extras = {
    pname = "arnesi_cl-ppcre-extras";
    version = "20170403-git";
    asds = [ "arnesi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arnesi/2017-04-03/arnesi-20170403-git.tgz";
      sha256 = "0jgj2xgd1gq6rf8ia43lkmbrbxnp8rgs053br9azfa25ygk3ikbh";
      system = "arnesi";
      asd = "arnesi";
    });
    systems = [ "arnesi/cl-ppcre-extras" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  arnesi_slash_slime-extras = {
    pname = "arnesi_slime-extras";
    version = "20170403-git";
    asds = [ "arnesi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arnesi/2017-04-03/arnesi-20170403-git.tgz";
      sha256 = "0jgj2xgd1gq6rf8ia43lkmbrbxnp8rgs053br9azfa25ygk3ikbh";
      system = "arnesi";
      asd = "arnesi";
    });
    systems = [ "arnesi/slime-extras" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  array-operations = {
    pname = "array-operations";
    version = "1.0.0";
    asds = [ "array-operations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-operations/2022-07-07/array-operations-1.0.0.tgz";
      sha256 = "12rmijvz5gpri5f5vi5j49bngiy2c01f5755rl39kxpv1b886gvy";
      system = "array-operations";
      asd = "array-operations";
    });
    systems = [ "array-operations" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "let-plus" pkgs) ];
  };
  array-operations_slash_tests = {
    pname = "array-operations_tests";
    version = "1.0.0";
    asds = [ "array-operations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-operations/2022-07-07/array-operations-1.0.0.tgz";
      sha256 = "12rmijvz5gpri5f5vi5j49bngiy2c01f5755rl39kxpv1b886gvy";
      system = "array-operations";
      asd = "array-operations";
    });
    systems = [ "array-operations/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "array-operations" pkgs) (getAttr "clunit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  array-utils = {
    pname = "array-utils";
    version = "20221106-git";
    asds = [ "array-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-utils/2022-11-06/array-utils-20221106-git.tgz";
      sha256 = "0d7nddak8h2aa82z11vdbd97srk5bdgq41pzmibsz3ymspnndicd";
      system = "array-utils";
      asd = "array-utils";
    });
    systems = [ "array-utils" ];
    lispLibs = [  ];
  };
  array-utils-test = {
    pname = "array-utils-test";
    version = "20221106-git";
    asds = [ "array-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-utils/2022-11-06/array-utils-20221106-git.tgz";
      sha256 = "0d7nddak8h2aa82z11vdbd97srk5bdgq41pzmibsz3ymspnndicd";
      system = "array-utils-test";
      asd = "array-utils-test";
    });
    systems = [ "array-utils-test" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "parachute" pkgs) ];
  };
  arrival = {
    pname = "arrival";
    version = "20211209-git";
    asds = [ "arrival" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrival/2021-12-09/arrival-20211209-git.tgz";
      sha256 = "1iwdk5fdismw91ln5wdnn8c8xv06fbgiwbvdj2gy2hpp8f3qk00b";
      system = "arrival";
      asd = "arrival";
    });
    systems = [ "arrival" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_quasiquote" pkgs) ];
  };
  arrow-macros = {
    pname = "arrow-macros";
    version = "20201220-git";
    asds = [ "arrow-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrow-macros/2020-12-20/arrow-macros-20201220-git.tgz";
      sha256 = "1b7vldvhn8zx60h010573gmqv2igarpnb6h3pq8qydhwfza0xd4g";
      system = "arrow-macros";
      asd = "arrow-macros";
    });
    systems = [ "arrow-macros" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  arrow-macros-test = {
    pname = "arrow-macros-test";
    version = "20201220-git";
    asds = [ "arrow-macros-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrow-macros/2020-12-20/arrow-macros-20201220-git.tgz";
      sha256 = "1b7vldvhn8zx60h010573gmqv2igarpnb6h3pq8qydhwfza0xd4g";
      system = "arrow-macros-test";
      asd = "arrow-macros-test";
    });
    systems = [ "arrow-macros-test" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "fiveam" pkgs) ];
  };
  arrows = {
    pname = "arrows";
    version = "20181018-git";
    asds = [ "arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrows/2018-10-18/arrows-20181018-git.tgz";
      sha256 = "042k9vkssrqx9nhp14wdzm942zgdxvp35mba0p2syz98i75im2yy";
      system = "arrows";
      asd = "arrows";
    });
    systems = [ "arrows" ];
    lispLibs = [  ];
  };
  arrows_slash_test = {
    pname = "arrows_test";
    version = "20181018-git";
    asds = [ "arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrows/2018-10-18/arrows-20181018-git.tgz";
      sha256 = "042k9vkssrqx9nhp14wdzm942zgdxvp35mba0p2syz98i75im2yy";
      system = "arrows";
      asd = "arrows";
    });
    systems = [ "arrows/test" ];
    lispLibs = [ (getAttr "arrows" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ascii-strings = {
    pname = "ascii-strings";
    version = "20211209-git";
    asds = [ "ascii-strings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "ascii-strings";
      asd = "ascii-strings";
    });
    systems = [ "ascii-strings" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) ];
  };
  asd-generator = {
    pname = "asd-generator";
    version = "20190107-git";
    asds = [ "asd-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asd-generator/2019-01-07/asd-generator-20190107-git.tgz";
      sha256 = "0yiybl7b9x1f85v0drj0yw9821y3yfhya4n6gycnv5vvx6jp9by4";
      system = "asd-generator";
      asd = "asd-generator";
    });
    systems = [ "asd-generator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) ];
  };
  asd-generator-test = {
    pname = "asd-generator-test";
    version = "20190107-git";
    asds = [ "asd-generator-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asd-generator/2019-01-07/asd-generator-20190107-git.tgz";
      sha256 = "0yiybl7b9x1f85v0drj0yw9821y3yfhya4n6gycnv5vvx6jp9by4";
      system = "asd-generator-test";
      asd = "asd-generator-test";
    });
    systems = [ "asd-generator-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "iterate" pkgs) ];
  };
  asdf = {
    pname = "asdf";
    version = "3.3.6";
    asds = [ "asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uiop/2022-11-06/uiop-3.3.6.tgz";
      sha256 = "080lcdw90j30gg2vv9bnwj21aq08mp1kk4nax3ffkjssnrnjwhmr";
      system = "asdf";
      asd = "uiop";
    });
    systems = [ "asdf" ];
    lispLibs = [  ];
  };
  asdf-dependency-grovel = {
    pname = "asdf-dependency-grovel";
    version = "20170403-git";
    asds = [ "asdf-dependency-grovel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-dependency-grovel/2017-04-03/asdf-dependency-grovel-20170403-git.tgz";
      sha256 = "1y4kdqsda4ira4r9dws6kxzzv6mg45q3lkmb2c9mg9q7ksc5glif";
      system = "asdf-dependency-grovel";
      asd = "asdf-dependency-grovel";
    });
    systems = [ "asdf-dependency-grovel" ];
    lispLibs = [  ];
  };
  asdf-driver = {
    pname = "asdf-driver";
    version = "3.3.6";
    asds = [ "asdf-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uiop/2022-11-06/uiop-3.3.6.tgz";
      sha256 = "080lcdw90j30gg2vv9bnwj21aq08mp1kk4nax3ffkjssnrnjwhmr";
      system = "asdf-driver";
      asd = "asdf-driver";
    });
    systems = [ "asdf-driver" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  asdf-encodings = {
    pname = "asdf-encodings";
    version = "20191007-git";
    asds = [ "asdf-encodings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-encodings/2019-10-07/asdf-encodings-20191007-git.tgz";
      sha256 = "1yn77nhrz5w2s7nlafxjnk9j8fsrz7ivrm7nbj4r726bwc5knky6";
      system = "asdf-encodings";
      asd = "asdf-encodings";
    });
    systems = [ "asdf-encodings" ];
    lispLibs = [  ];
  };
  asdf-encodings_slash_test = {
    pname = "asdf-encodings_test";
    version = "20191007-git";
    asds = [ "asdf-encodings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-encodings/2019-10-07/asdf-encodings-20191007-git.tgz";
      sha256 = "1yn77nhrz5w2s7nlafxjnk9j8fsrz7ivrm7nbj4r726bwc5knky6";
      system = "asdf-encodings";
      asd = "asdf-encodings";
    });
    systems = [ "asdf-encodings/test" ];
    lispLibs = [ (getAttr "asdf-encodings" pkgs) (getAttr "fare-utils" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  asdf-finalizers = {
    pname = "asdf-finalizers";
    version = "20221106-git";
    asds = [ "asdf-finalizers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-finalizers/2022-11-06/asdf-finalizers-20221106-git.tgz";
      sha256 = "1w56c9yjjydjshsgqxz57qlp2v3r4ilbisnsgiqphvxnhvd41y0v";
      system = "asdf-finalizers";
      asd = "asdf-finalizers";
    });
    systems = [ "asdf-finalizers" ];
    lispLibs = [  ];
  };
  asdf-linguist = {
    pname = "asdf-linguist";
    version = "20150923-git";
    asds = [ "asdf-linguist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-linguist/2015-09-23/asdf-linguist-20150923-git.tgz";
      sha256 = "14jaqmxxh70f1jf58mxb117951iql2sjxymmbjyqniqwazznbd9a";
      system = "asdf-linguist";
      asd = "asdf-linguist";
    });
    systems = [ "asdf-linguist" ];
    lispLibs = [ (getAttr "inferior-shell" pkgs) (getAttr "parenscript" pkgs) ];
  };
  asdf-manager = {
    pname = "asdf-manager";
    version = "20160208-git";
    asds = [ "asdf-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-manager/2016-02-08/asdf-manager-20160208-git.tgz";
      sha256 = "0jw7d0vg13v1l1fwwhsw04n6w3c49vsbmq6vrlrkh95aayc5413w";
      system = "asdf-manager";
      asd = "asdf-manager";
    });
    systems = [ "asdf-manager" ];
    lispLibs = [ (getAttr "trivial-download" pkgs) (getAttr "trivial-extract" pkgs) (getAttr "uiop" pkgs) ];
  };
  asdf-manager-test = {
    pname = "asdf-manager-test";
    version = "20160208-git";
    asds = [ "asdf-manager-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-manager/2016-02-08/asdf-manager-20160208-git.tgz";
      sha256 = "0jw7d0vg13v1l1fwwhsw04n6w3c49vsbmq6vrlrkh95aayc5413w";
      system = "asdf-manager-test";
      asd = "asdf-manager-test";
    });
    systems = [ "asdf-manager-test" ];
    lispLibs = [ (getAttr "asdf-manager" pkgs) (getAttr "fiveam" pkgs) ];
  };
  asdf-nst = {
    pname = "asdf-nst";
    version = "20210807-git";
    asds = [ "asdf-nst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "asdf-nst";
      asd = "asdf-nst";
    });
    systems = [ "asdf-nst" ];
    lispLibs = [  ];
  };
  asdf-package-system = {
    pname = "asdf-package-system";
    version = "20150608-git";
    asds = [ "asdf-package-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-package-system/2015-06-08/asdf-package-system-20150608-git.tgz";
      sha256 = "1q4qgvbl64c4zdbq91by1la8licdgam7ybnhvg2bixdhq4v693sj";
      system = "asdf-package-system";
      asd = "asdf-package-system";
    });
    systems = [ "asdf-package-system" ];
    lispLibs = [  ];
  };
  asdf-system-connections = {
    pname = "asdf-system-connections";
    version = "20170124-git";
    asds = [ "asdf-system-connections" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-system-connections/2017-01-24/asdf-system-connections-20170124-git.tgz";
      sha256 = "06kg0m8bv383qq3r34x0f8hz6p6zxcw02qn7kj960vcnrp5a5b3y";
      system = "asdf-system-connections";
      asd = "asdf-system-connections";
    });
    systems = [ "asdf-system-connections" ];
    lispLibs = [  ];
  };
  asdf-viz = {
    pname = "asdf-viz";
    version = "20200610-git";
    asds = [ "asdf-viz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-viz/2020-06-10/asdf-viz-20200610-git.tgz";
      sha256 = "1hj9ac1m2kz8x65n62gd1s2k2x9pip9a85pnmib53qsks3a9sc4z";
      system = "asdf-viz";
      asd = "asdf-viz";
    });
    systems = [ "asdf-viz" ];
    lispLibs = [ (getAttr "cl-dot" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "swank" pkgs) (getAttr "trivia" pkgs) ];
  };
  aserve = {
    pname = "aserve";
    version = "20190813-git";
    asds = [ "aserve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "aserve";
      asd = "aserve";
    });
    systems = [ "aserve" ];
    lispLibs = [ (getAttr "acl-compat" pkgs) (getAttr "htmlgen" pkgs) ];
  };
  asn1 = {
    pname = "asn1";
    version = "20220331-git";
    asds = [ "asn1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asn1/2022-03-31/asn1-20220331-git.tgz";
      sha256 = "16gs4xznmg19ii0cg7g2yxrk9ls5vah8ynjj80s99rv8wi3789z1";
      system = "asn1";
      asd = "asn1";
    });
    systems = [ "asn1" ];
    lispLibs = [ (getAttr "fast-io" pkgs) (getAttr "ironclad" pkgs) (getAttr "trivia" pkgs) ];
  };
  asn1_slash_tests = {
    pname = "asn1_tests";
    version = "20220331-git";
    asds = [ "asn1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asn1/2022-03-31/asn1-20220331-git.tgz";
      sha256 = "16gs4xznmg19ii0cg7g2yxrk9ls5vah8ynjj80s99rv8wi3789z1";
      system = "asn1";
      asd = "asn1";
    });
    systems = [ "asn1/tests" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  assert-p = {
    pname = "assert-p";
    version = "20200610-git";
    asds = [ "assert-p" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assert-p/2020-06-10/assert-p-20200610-git.tgz";
      sha256 = "1x24rkqkqiw8zd26swi9rmhfplkmr5scz3bhjwccah9d2s36b1xs";
      system = "assert-p";
      asd = "assert-p";
    });
    systems = [ "assert-p" ];
    lispLibs = [ (getAttr "assertion-error" pkgs) (getAttr "simplet-asdf" pkgs) ];
  };
  assert-p_slash_test = {
    pname = "assert-p_test";
    version = "20200610-git";
    asds = [ "assert-p" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assert-p/2020-06-10/assert-p-20200610-git.tgz";
      sha256 = "1x24rkqkqiw8zd26swi9rmhfplkmr5scz3bhjwccah9d2s36b1xs";
      system = "assert-p";
      asd = "assert-p";
    });
    systems = [ "assert-p/test" ];
    lispLibs = [ (getAttr "assert-p" pkgs) (getAttr "simplet" pkgs) (getAttr "simplet-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  assertion-error = {
    pname = "assertion-error";
    version = "20191227-git";
    asds = [ "assertion-error" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assertion-error/2019-12-27/assertion-error-20191227-git.tgz";
      sha256 = "0ix23kkakmf4nwx852zsssb831jvajr3qyppqfyks7y1ls617svn";
      system = "assertion-error";
      asd = "assertion-error";
    });
    systems = [ "assertion-error" ];
    lispLibs = [ (getAttr "dissect" pkgs) ];
  };
  assertion-error_slash_test = {
    pname = "assertion-error_test";
    version = "20191227-git";
    asds = [ "assertion-error" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assertion-error/2019-12-27/assertion-error-20191227-git.tgz";
      sha256 = "0ix23kkakmf4nwx852zsssb831jvajr3qyppqfyks7y1ls617svn";
      system = "assertion-error";
      asd = "assertion-error";
    });
    systems = [ "assertion-error/test" ];
    lispLibs = [ (getAttr "assertion-error" pkgs) ];
    meta = {
      broken = true;
    };
  };
  assoc-utils = {
    pname = "assoc-utils";
    version = "20221106-git";
    asds = [ "assoc-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assoc-utils/2022-11-06/assoc-utils-20221106-git.tgz";
      sha256 = "0mqb5iw4qwga66y7flifb1n0y5hp4gc3x8xfg4cild46x7mjqxws";
      system = "assoc-utils";
      asd = "assoc-utils";
    });
    systems = [ "assoc-utils" ];
    lispLibs = [  ];
  };
  assoc-utils-test = {
    pname = "assoc-utils-test";
    version = "20221106-git";
    asds = [ "assoc-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assoc-utils/2022-11-06/assoc-utils-20221106-git.tgz";
      sha256 = "0mqb5iw4qwga66y7flifb1n0y5hp4gc3x8xfg4cild46x7mjqxws";
      system = "assoc-utils-test";
      asd = "assoc-utils-test";
    });
    systems = [ "assoc-utils-test" ];
    lispLibs = [ (getAttr "assoc-utils" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  asteroids = {
    pname = "asteroids";
    version = "20191007-git";
    asds = [ "asteroids" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asteroids/2019-10-07/asteroids-20191007-git.tgz";
      sha256 = "1wdzwpizgy477ny6pxjshj3q25phdxsjfq8cvrbx0x7k5w8fkg50";
      system = "asteroids";
      asd = "asteroids";
    });
    systems = [ "asteroids" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-gfx" pkgs) (getAttr "lispbuilder-sdl-mixer" pkgs) ];
  };
  astonish = {
    pname = "astonish";
    version = "20210124-git";
    asds = [ "astonish" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/astonish/2021-01-24/astonish-20210124-git.tgz";
      sha256 = "14qphx97q4gqcc71figc6r3cgy89rn9c43sh35fzxkln9ydk2pr6";
      system = "astonish";
      asd = "astonish";
    });
    systems = [ "astonish" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "uiop" pkgs) ];
  };
  astonish_slash_tests = {
    pname = "astonish_tests";
    version = "20210124-git";
    asds = [ "astonish" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/astonish/2021-01-24/astonish-20210124-git.tgz";
      sha256 = "14qphx97q4gqcc71figc6r3cgy89rn9c43sh35fzxkln9ydk2pr6";
      system = "astonish";
      asd = "astonish";
    });
    systems = [ "astonish/tests" ];
    lispLibs = [ (getAttr "astonish" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  async-process = {
    pname = "async-process";
    version = "20210531-git";
    asds = [ "async-process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/async-process/2021-05-31/async-process-20210531-git.tgz";
      sha256 = "0vlhyj4rrkb1bhl1xjf25d1nv09hzpfl6hwymqkn7h6gr2fdp8m1";
      system = "async-process";
      asd = "async-process";
    });
    systems = [ "async-process" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  atdoc = {
    pname = "atdoc";
    version = "20120305-git";
    asds = [ "atdoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atdoc/2012-03-05/atdoc-20120305-git.tgz";
      sha256 = "1w54phadjj00sy5qz5n0hmhzyjrx26h9hw06756zdpfbzk4f5il6";
      system = "atdoc";
      asd = "atdoc";
    });
    systems = [ "atdoc" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) (getAttr "swank" pkgs) (getAttr "split-sequence" pkgs) (getAttr "xuriella" pkgs) ];
  };
  atomics = {
    pname = "atomics";
    version = "20210630-git";
    asds = [ "atomics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atomics/2021-06-30/atomics-20210630-git.tgz";
      sha256 = "0mp5jdqq0aamdhgnvw149cqqi3zg7dkkibp25qi4rafw1fnpd40z";
      system = "atomics";
      asd = "atomics";
    });
    systems = [ "atomics" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  atomics-test = {
    pname = "atomics-test";
    version = "20210630-git";
    asds = [ "atomics-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atomics/2021-06-30/atomics-20210630-git.tgz";
      sha256 = "0mp5jdqq0aamdhgnvw149cqqi3zg7dkkibp25qi4rafw1fnpd40z";
      system = "atomics-test";
      asd = "atomics-test";
    });
    systems = [ "atomics-test" ];
    lispLibs = [ (getAttr "atomics" pkgs) (getAttr "parachute" pkgs) ];
  };
  audio-tag = {
    pname = "audio-tag";
    version = "20210531-git";
    asds = [ "audio-tag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/audio-tag/2021-05-31/audio-tag-20210531-git.tgz";
      sha256 = "1k9152wakazr34q4q5x8zzv3mjjkf0n9xdg7c2qqwigwws0ysgzh";
      system = "audio-tag";
      asd = "audio-tag";
    });
    systems = [ "audio-tag" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "osicat" pkgs) ];
  };
  audio-tag_slash_tests = {
    pname = "audio-tag_tests";
    version = "20210531-git";
    asds = [ "audio-tag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/audio-tag/2021-05-31/audio-tag-20210531-git.tgz";
      sha256 = "1k9152wakazr34q4q5x8zzv3mjjkf0n9xdg7c2qqwigwws0ysgzh";
      system = "audio-tag";
      asd = "audio-tag";
    });
    systems = [ "audio-tag/tests" ];
    lispLibs = [ (getAttr "audio-tag" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  authenticated-encryption = {
    pname = "authenticated-encryption";
    version = "20181018-git";
    asds = [ "authenticated-encryption" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/authenticated-encryption/2018-10-18/authenticated-encryption-20181018-git.tgz";
      sha256 = "0cvl4g0g59z5dicg7q3f9hhqshz2m0a6l2fzic75c3yv28q8m2vr";
      system = "authenticated-encryption";
      asd = "authenticated-encryption";
    });
    systems = [ "authenticated-encryption" ];
    lispLibs = [ (getAttr "ironclad" pkgs) ];
  };
  authenticated-encryption-test = {
    pname = "authenticated-encryption-test";
    version = "20181018-git";
    asds = [ "authenticated-encryption-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/authenticated-encryption/2018-10-18/authenticated-encryption-20181018-git.tgz";
      sha256 = "0cvl4g0g59z5dicg7q3f9hhqshz2m0a6l2fzic75c3yv28q8m2vr";
      system = "authenticated-encryption-test";
      asd = "authenticated-encryption-test";
    });
    systems = [ "authenticated-encryption-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "authenticated-encryption" pkgs) ];
  };
  auto-restart = {
    pname = "auto-restart";
    version = "20221106-git";
    asds = [ "auto-restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/auto-restart/2022-11-06/auto-restart-20221106-git.tgz";
      sha256 = "1kzcxq57s3qfshvlp9w2yxs6kiyrvssrl94pa3vdf3x7644swrzi";
      system = "auto-restart";
      asd = "auto-restart";
    });
    systems = [ "auto-restart" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  auto-restart_slash_tests = {
    pname = "auto-restart_tests";
    version = "20221106-git";
    asds = [ "auto-restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/auto-restart/2022-11-06/auto-restart-20221106-git.tgz";
      sha256 = "1kzcxq57s3qfshvlp9w2yxs6kiyrvssrl94pa3vdf3x7644swrzi";
      system = "auto-restart";
      asd = "auto-restart";
    });
    systems = [ "auto-restart/tests" ];
    lispLibs = [ (getAttr "auto-restart" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  autoexport = {
    pname = "autoexport";
    version = "20211020-git";
    asds = [ "autoexport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/autoexport/2021-10-20/autoexport-20211020-git.tgz";
      sha256 = "15kzq4hfsracxapxik3i6sxqqnwl7cb9lisgk9krrsk13d97l844";
      system = "autoexport";
      asd = "autoexport";
    });
    systems = [ "autoexport" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  automaton = {
    pname = "automaton";
    version = "20221106-git";
    asds = [ "automaton" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "automaton";
      asd = "automaton";
    });
    systems = [ "automaton" ];
    lispLibs = [  ];
  };
  avatar-api = {
    pname = "avatar-api";
    version = "20150608-git";
    asds = [ "avatar-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avatar-api/2015-06-08/avatar-api-20150608-git.tgz";
      sha256 = "026s8m0bl13iqyakfxc6zwacvpj2bxxipms1kl3k9ql99yn8imvr";
      system = "avatar-api";
      asd = "avatar-api";
    });
    systems = [ "avatar-api" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "crypto-shortcuts" pkgs) (getAttr "drakma" pkgs) ];
  };
  avatar-api-test = {
    pname = "avatar-api-test";
    version = "20150608-git";
    asds = [ "avatar-api-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avatar-api/2015-06-08/avatar-api-20150608-git.tgz";
      sha256 = "026s8m0bl13iqyakfxc6zwacvpj2bxxipms1kl3k9ql99yn8imvr";
      system = "avatar-api-test";
      asd = "avatar-api-test";
    });
    systems = [ "avatar-api-test" ];
    lispLibs = [ (getAttr "avatar-api" pkgs) (getAttr "fiveam" pkgs) ];
  };
  avl-tree = {
    pname = "avl-tree";
    version = "20220707-git";
    asds = [ "avl-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avl-tree/2022-07-07/avl-tree-20220707-git.tgz";
      sha256 = "1xvh5rpz0kwzx42jrnh3kgqa87z5kmgd7f3fkkydiqj04hknsj7k";
      system = "avl-tree";
      asd = "avl-tree";
    });
    systems = [ "avl-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  aws-foundation = {
    pname = "aws-foundation";
    version = "20180711-git";
    asds = [ "aws-foundation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-foundation/2018-07-11/aws-foundation-20180711-git.tgz";
      sha256 = "1f5af22qw583frqjhnkf9wcccdkkpjiv0bbnlqqk7fxzm9pqpvhb";
      system = "aws-foundation";
      asd = "aws-foundation";
    });
    systems = [ "aws-foundation" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-json-helper" pkgs) (getAttr "dexador" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) ];
  };
  aws-sign4 = {
    pname = "aws-sign4";
    version = "20201220-git";
    asds = [ "aws-sign4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "secret-values" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  aws-sign4-example = {
    pname = "aws-sign4-example";
    version = "20201220-git";
    asds = [ "aws-sign4-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4-example";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4-example" ];
    lispLibs = [ (getAttr "aws-sign4" pkgs) (getAttr "drakma" pkgs) ];
  };
  aws-sign4-tests = {
    pname = "aws-sign4-tests";
    version = "20201220-git";
    asds = [ "aws-sign4-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4-tests";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4-tests" ];
    lispLibs = [ (getAttr "aws-sign4" pkgs) ];
  };
  ayah-captcha = {
    pname = "ayah-captcha";
    version = "20180228-git";
    asds = [ "ayah-captcha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ayah-captcha/2018-02-28/ayah-captcha-20180228-git.tgz";
      sha256 = "1l9zg0hj5cd1yda1nnab7byrgkakh5vn3qcd4lmfidbijk6kiamw";
      system = "ayah-captcha";
      asd = "ayah-captcha";
    });
    systems = [ "ayah-captcha" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) ];
  };
  ayah-captcha-demo = {
    pname = "ayah-captcha-demo";
    version = "20180228-git";
    asds = [ "ayah-captcha-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ayah-captcha/2018-02-28/ayah-captcha-20180228-git.tgz";
      sha256 = "1l9zg0hj5cd1yda1nnab7byrgkakh5vn3qcd4lmfidbijk6kiamw";
      system = "ayah-captcha-demo";
      asd = "ayah-captcha-demo";
    });
    systems = [ "ayah-captcha-demo" ];
    lispLibs = [ (getAttr "ayah-captcha" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  babel = {
    pname = "babel";
    version = "20200925-git";
    asds = [ "babel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2020-09-25/babel-20200925-git.tgz";
      sha256 = "04frn19mngvsh8bh7fb1rfjm8mqk8bgzx5c43dg7z02nfsxkqqak";
      system = "babel";
      asd = "babel";
    });
    systems = [ "babel" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  babel-streams = {
    pname = "babel-streams";
    version = "20200925-git";
    asds = [ "babel-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2020-09-25/babel-20200925-git.tgz";
      sha256 = "04frn19mngvsh8bh7fb1rfjm8mqk8bgzx5c43dg7z02nfsxkqqak";
      system = "babel-streams";
      asd = "babel-streams";
    });
    systems = [ "babel-streams" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  babel-tests = {
    pname = "babel-tests";
    version = "20200925-git";
    asds = [ "babel-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2020-09-25/babel-20200925-git.tgz";
      sha256 = "04frn19mngvsh8bh7fb1rfjm8mqk8bgzx5c43dg7z02nfsxkqqak";
      system = "babel-tests";
      asd = "babel-tests";
    });
    systems = [ "babel-tests" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  base = {
    pname = "base";
    version = "master-1a957fb2-git";
    asds = [ "base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "base";
      asd = "base";
    });
    systems = [ "base" ];
    lispLibs = [  ];
  };
  base-blobs = {
    pname = "base-blobs";
    version = "stable-git";
    asds = [ "base-blobs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/base-blobs/2020-10-16/base-blobs-stable-git.tgz";
      sha256 = "06m8rvczj309wq8by697gvrklhff5mnn5n5sky7i11bnszrxysys";
      system = "base-blobs";
      asd = "base-blobs";
    });
    systems = [ "base-blobs" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  base64 = {
    pname = "base64";
    version = "20181018-git";
    asds = [ "base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/base64/2018-10-18/base64-20181018-git.tgz";
      sha256 = "0qkqcrgmcqshcsnzn4pcyk8d1j9c7pks2qf51p1hfybz5shxkqkh";
      system = "base64";
      asd = "base64";
    });
    systems = [ "base64" ];
    lispLibs = [  ];
  };
  basic-binary-ipc = {
    pname = "basic-binary-ipc";
    version = "20211209-git";
    asds = [ "basic-binary-ipc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/basic-binary-ipc/2021-12-09/basic-binary-ipc-20211209-git.tgz";
      sha256 = "0bsxy27mnmzr6vys96cs2is57zvk0n9hlif9llnp4q9m2wzycbwm";
      system = "basic-binary-ipc";
      asd = "basic-binary-ipc";
    });
    systems = [ "basic-binary-ipc" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) ];
  };
  basic-binary-ipc-tests = {
    pname = "basic-binary-ipc-tests";
    version = "20211209-git";
    asds = [ "basic-binary-ipc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/basic-binary-ipc/2021-12-09/basic-binary-ipc-20211209-git.tgz";
      sha256 = "0bsxy27mnmzr6vys96cs2is57zvk0n9hlif9llnp4q9m2wzycbwm";
      system = "basic-binary-ipc-tests";
      asd = "basic-binary-ipc-tests";
    });
    systems = [ "basic-binary-ipc-tests" ];
    lispLibs = [ (getAttr "basic-binary-ipc" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  bdef = {
    pname = "bdef";
    version = "20221106-git";
    asds = [ "bdef" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bdef/2022-11-06/bdef-20221106-git.tgz";
      sha256 = "1zqal3xhbcrbq182h15a5qxpqsxm82400xyq34svzmsrk2nfrh08";
      system = "bdef";
      asd = "bdef";
    });
    systems = [ "bdef" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "eager-future2" pkgs) (getAttr "jsown" pkgs) (getAttr "mutility" pkgs) (getAttr "parse-float" pkgs) ];
  };
  bdef_slash_cl-collider = {
    pname = "bdef_cl-collider";
    version = "20221106-git";
    asds = [ "bdef" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bdef/2022-11-06/bdef-20221106-git.tgz";
      sha256 = "1zqal3xhbcrbq182h15a5qxpqsxm82400xyq34svzmsrk2nfrh08";
      system = "bdef";
      asd = "bdef";
    });
    systems = [ "bdef/cl-collider" ];
    lispLibs = [ (getAttr "bdef" pkgs) (getAttr "cl-collider" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bdef_slash_cl-patterns = {
    pname = "bdef_cl-patterns";
    version = "20221106-git";
    asds = [ "bdef" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bdef/2022-11-06/bdef-20221106-git.tgz";
      sha256 = "1zqal3xhbcrbq182h15a5qxpqsxm82400xyq34svzmsrk2nfrh08";
      system = "bdef";
      asd = "bdef";
    });
    systems = [ "bdef/cl-patterns" ];
    lispLibs = [ (getAttr "bdef" pkgs) (getAttr "cl-patterns" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bdef_slash_tests = {
    pname = "bdef_tests";
    version = "20221106-git";
    asds = [ "bdef" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bdef/2022-11-06/bdef-20221106-git.tgz";
      sha256 = "1zqal3xhbcrbq182h15a5qxpqsxm82400xyq34svzmsrk2nfrh08";
      system = "bdef";
      asd = "bdef";
    });
    systems = [ "bdef/tests" ];
    lispLibs = [ (getAttr "bdef" pkgs) (getAttr "cl-patterns" pkgs) (getAttr "fiveam" pkgs) (getAttr "mutility" pkgs) ];
    meta = {
      broken = true;
    };
  };
  beast = {
    pname = "beast";
    version = "20211020-hg";
    asds = [ "beast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/beast/2021-10-20/beast-20211020-hg.tgz";
      sha256 = "0rb7yxr4clsdbgyjz9d8inxgj7zs0knrngl7gb6b8ky1vyrv12k4";
      system = "beast";
      asd = "beast";
    });
    systems = [ "beast" ];
    lispLibs = [  ];
  };
  beast_slash_test = {
    pname = "beast_test";
    version = "20211020-hg";
    asds = [ "beast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/beast/2021-10-20/beast-20211020-hg.tgz";
      sha256 = "0rb7yxr4clsdbgyjz9d8inxgj7zs0knrngl7gb6b8ky1vyrv12k4";
      system = "beast";
      asd = "beast";
    });
    systems = [ "beast/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "beast" pkgs) ];
    meta = {
      broken = true;
    };
  };
  beirc = {
    pname = "beirc";
    version = "20150505-git";
    asds = [ "beirc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/beirc/2015-05-05/beirc-20150505-git.tgz";
      sha256 = "1jmxihxln51vxy85r3zx0gfrzs9ng8nmj87j5ws1fg8bwv8b2zc4";
      system = "beirc";
      asd = "beirc";
    });
    systems = [ "beirc" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-irc" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "mcclim" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  bencode = {
    pname = "bencode";
    version = "20180228-git";
    asds = [ "bencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bencode/2018-02-28/cl-bencode-20180228-git.tgz";
      sha256 = "02n9cv5jbgzjwmw11c1a557r62m4i4gmmx38csscbq0cv6vzys1j";
      system = "bencode";
      asd = "bencode";
    });
    systems = [ "bencode" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) ];
  };
  bencode-test = {
    pname = "bencode-test";
    version = "20180228-git";
    asds = [ "bencode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bencode/2018-02-28/cl-bencode-20180228-git.tgz";
      sha256 = "02n9cv5jbgzjwmw11c1a557r62m4i4gmmx38csscbq0cv6vzys1j";
      system = "bencode-test";
      asd = "bencode";
    });
    systems = [ "bencode-test" ];
    lispLibs = [ (getAttr "check-it" pkgs) (getAttr "bencode" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  bermuda = {
    pname = "bermuda";
    version = "20150608-git";
    asds = [ "bermuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pal/2015-06-08/pal-20150608-git.tgz";
      sha256 = "0kn6jxirrn7wzqymzsi0kx2ivl0nrrcgbl4dm1714s48qw0jwhcw";
      system = "bermuda";
      asd = "bermuda";
    });
    systems = [ "bermuda" ];
    lispLibs = [ (getAttr "pal" pkgs) ];
  };
  bert = {
    pname = "bert";
    version = "20141106-git";
    asds = [ "bert" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bert/2014-11-06/cl-bert-20141106-git.tgz";
      sha256 = "18cyk63dmcqqwsld4h65mzscgjsc085ws69z097naqm1r70kkygr";
      system = "bert";
      asd = "bert";
    });
    systems = [ "bert" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "erlang-term" pkgs) ];
  };
  bibtex = {
    pname = "bibtex";
    version = "20181210-git";
    asds = [ "bibtex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bibtex/2018-12-10/cl-bibtex-20181210-git.tgz";
      sha256 = "1rb4yf1z0vvl6z4kyj0s81kq1pvxwpvbgiaraqllgj1wpf51m78h";
      system = "bibtex";
      asd = "bibtex";
    });
    systems = [ "bibtex" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  big-string = {
    pname = "big-string";
    version = "20190307-hg";
    asds = [ "big-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/big-string/2019-03-07/big-string-20190307-hg.tgz";
      sha256 = "1aqjs2l7wlkkgkz1wlqx3xbnk3iy0sy43kcxqi9a35fg6h223nyy";
      system = "big-string";
      asd = "big-string";
    });
    systems = [ "big-string" ];
    lispLibs = [  ];
  };
  bike = {
    pname = "bike";
    version = "20220707-git";
    asds = [ "bike" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike";
      asd = "bike";
    });
    systems = [ "bike" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bike-internals" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  bike-examples = {
    pname = "bike-examples";
    version = "20220707-git";
    asds = [ "bike-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-examples";
      asd = "bike-examples";
    });
    systems = [ "bike-examples" ];
    lispLibs = [ (getAttr "bike" pkgs) ];
  };
  bike-internals = {
    pname = "bike-internals";
    version = "20220707-git";
    asds = [ "bike-internals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-internals";
      asd = "bike-internals";
    });
    systems = [ "bike-internals" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  bike-tests = {
    pname = "bike-tests";
    version = "20220707-git";
    asds = [ "bike-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-tests";
      asd = "bike-tests";
    });
    systems = [ "bike-tests" ];
    lispLibs = [ (getAttr "bike" pkgs) (getAttr "fiveam" pkgs) ];
  };
  binary-io = {
    pname = "binary-io";
    version = "20201016-git";
    asds = [ "binary-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-io/2020-10-16/binary-io-20201016-git.tgz";
      sha256 = "0gxnl12nydh8aslw78jc4cmq8licj342y2f04jalqb4d9m9jbri2";
      system = "binary-io";
      asd = "binary-io";
    });
    systems = [ "binary-io" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ieee-floats" pkgs) ];
  };
  binary-io_slash_test = {
    pname = "binary-io_test";
    version = "20201016-git";
    asds = [ "binary-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-io/2020-10-16/binary-io-20201016-git.tgz";
      sha256 = "0gxnl12nydh8aslw78jc4cmq8licj342y2f04jalqb4d9m9jbri2";
      system = "binary-io";
      asd = "binary-io";
    });
    systems = [ "binary-io/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "binary-io" pkgs) ];
    meta = {
      broken = true;
    };
  };
  binary-lass = {
    pname = "binary-lass";
    version = "20211020-git";
    asds = [ "binary-lass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass/2021-10-20/lass-20211020-git.tgz";
      sha256 = "06wds1qzj8s862pmmza1427n7gdpplqplxqnxyqkrr0hgxdl4xbf";
      system = "binary-lass";
      asd = "binary-lass";
    });
    systems = [ "binary-lass" ];
    lispLibs = [ (getAttr "lass" pkgs) ];
  };
  binary-parser = {
    pname = "binary-parser";
    version = "20220707-git";
    asds = [ "binary-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-parser/2022-07-07/binary-parser-20220707-git.tgz";
      sha256 = "0h94jjid2a5fq5w6n2jx572q7alljmrs84p3xhsjnax3cmzqjr78";
      system = "binary-parser";
      asd = "binary-parser";
    });
    systems = [ "binary-parser" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bitio" pkgs) (getAttr "chipz" pkgs) (getAttr "fast-io" pkgs) ];
  };
  binary-search-tree = {
    pname = "binary-search-tree";
    version = "20220707-git";
    asds = [ "binary-search-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-search-tree/2022-07-07/binary-search-tree-20220707-git.tgz";
      sha256 = "1k7p5dgziwni5yma7q3sbnr23kk2730vzb7ap6knnazpp0smgclf";
      system = "binary-search-tree";
      asd = "binary-search-tree";
    });
    systems = [ "binary-search-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  binary-types = {
    pname = "binary-types";
    version = "20130615-git";
    asds = [ "binary-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-types/2013-06-15/binary-types-20130615-git.tgz";
      sha256 = "1bh65p9vg2kgh4m8q1a4jiyncnp5prdzh0d0l4pzh3jvfhgbm0gh";
      system = "binary-types";
      asd = "binary-types";
    });
    systems = [ "binary-types" ];
    lispLibs = [  ];
  };
  binascii = {
    pname = "binascii";
    version = "20150709-git";
    asds = [ "binascii" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binascii/2015-07-09/binascii-20150709-git.tgz";
      sha256 = "000rcdl8qshr7n48zq9bzrc4lkjx4ylb3r3w9x9syhiwfla9j4b7";
      system = "binascii";
      asd = "binascii";
    });
    systems = [ "binascii" ];
    lispLibs = [  ];
  };
  binascii-tests = {
    pname = "binascii-tests";
    version = "20150709-git";
    asds = [ "binascii-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binascii/2015-07-09/binascii-20150709-git.tgz";
      sha256 = "000rcdl8qshr7n48zq9bzrc4lkjx4ylb3r3w9x9syhiwfla9j4b7";
      system = "binascii-tests";
      asd = "binascii";
    });
    systems = [ "binascii-tests" ];
    lispLibs = [ (getAttr "binascii" pkgs) ];
  };
  binding-arrows = {
    pname = "binding-arrows";
    version = "20210630-git";
    asds = [ "binding-arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binding-arrows/2021-06-30/binding-arrows-20210630-git.tgz";
      sha256 = "0hqikgzic7kjq2n1d924yldfm30qz67cmsk6gghi9cbmxkwdlwp8";
      system = "binding-arrows";
      asd = "binding-arrows";
    });
    systems = [ "binding-arrows" ];
    lispLibs = [  ];
  };
  binding-arrows_slash_test = {
    pname = "binding-arrows_test";
    version = "20210630-git";
    asds = [ "binding-arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binding-arrows/2021-06-30/binding-arrows-20210630-git.tgz";
      sha256 = "0hqikgzic7kjq2n1d924yldfm30qz67cmsk6gghi9cbmxkwdlwp8";
      system = "binding-arrows";
      asd = "binding-arrows";
    });
    systems = [ "binding-arrows/test" ];
    lispLibs = [ (getAttr "binding-arrows" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  binfix = {
    pname = "binfix";
    version = "20190813-git";
    asds = [ "binfix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binfix/2019-08-13/binfix-20190813-git.tgz";
      sha256 = "07925kj32y7ppwmz62c08gd0s6yp12s6nz1wh0pzh0ccq9nwgzhz";
      system = "binfix";
      asd = "binfix";
    });
    systems = [ "binfix" ];
    lispLibs = [  ];
  };
  binfix_slash_5am = {
    pname = "binfix_5am";
    version = "20190813-git";
    asds = [ "binfix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binfix/2019-08-13/binfix-20190813-git.tgz";
      sha256 = "07925kj32y7ppwmz62c08gd0s6yp12s6nz1wh0pzh0ccq9nwgzhz";
      system = "binfix";
      asd = "binfix";
    });
    systems = [ "binfix/5am" ];
    lispLibs = [ (getAttr "binfix" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  binomial-heap = {
    pname = "binomial-heap";
    version = "20130420-git";
    asds = [ "binomial-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binomial-heap/2013-04-20/binomial-heap-20130420-git.tgz";
      sha256 = "1d4jrlkdjdppnvqpqkr7i7djpgmrvrbky4pc1pxvqci5jx7xlkk6";
      system = "binomial-heap";
      asd = "binomial-heap";
    });
    systems = [ "binomial-heap" ];
    lispLibs = [  ];
  };
  binpack = {
    pname = "binpack";
    version = "20220707-git";
    asds = [ "binpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2022-07-07/binpack-20220707-git.tgz";
      sha256 = "1pcnsg60pqywd3k72m5pwimq01sm3jyvc1c3rbkij740r7grdxi1";
      system = "binpack";
      asd = "binpack";
    });
    systems = [ "binpack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  binpack-test = {
    pname = "binpack-test";
    version = "20220707-git";
    asds = [ "binpack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2022-07-07/binpack-20220707-git.tgz";
      sha256 = "1pcnsg60pqywd3k72m5pwimq01sm3jyvc1c3rbkij740r7grdxi1";
      system = "binpack-test";
      asd = "binpack-test";
    });
    systems = [ "binpack-test" ];
    lispLibs = [ (getAttr "binpack" pkgs) (getAttr "parachute" pkgs) ];
  };
  binpack-test_slash_2 = {
    pname = "binpack-test_2";
    version = "20220707-git";
    asds = [ "binpack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2022-07-07/binpack-20220707-git.tgz";
      sha256 = "1pcnsg60pqywd3k72m5pwimq01sm3jyvc1c3rbkij740r7grdxi1";
      system = "binpack-test";
      asd = "binpack-test";
    });
    systems = [ "binpack-test/2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  binpack-test_slash_common = {
    pname = "binpack-test_common";
    version = "20220707-git";
    asds = [ "binpack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2022-07-07/binpack-20220707-git.tgz";
      sha256 = "1pcnsg60pqywd3k72m5pwimq01sm3jyvc1c3rbkij740r7grdxi1";
      system = "binpack-test";
      asd = "binpack-test";
    });
    systems = [ "binpack-test/common" ];
    lispLibs = [ (getAttr "binpack" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  binpack_slash_2 = {
    pname = "binpack_2";
    version = "20220707-git";
    asds = [ "binpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2022-07-07/binpack-20220707-git.tgz";
      sha256 = "1pcnsg60pqywd3k72m5pwimq01sm3jyvc1c3rbkij740r7grdxi1";
      system = "binpack";
      asd = "binpack";
    });
    systems = [ "binpack/2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  birch = {
    pname = "birch";
    version = "20220220-git";
    asds = [ "birch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/birch/2022-02-20/birch-20220220-git.tgz";
      sha256 = "0b2wh1n9b5r1dyvgg9hhh97plbj4j5anasfbii92s2g8h2ilb4yb";
      system = "birch";
      asd = "birch";
    });
    systems = [ "birch" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  birch_dot_test = {
    pname = "birch.test";
    version = "20220220-git";
    asds = [ "birch.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/birch/2022-02-20/birch-20220220-git.tgz";
      sha256 = "0b2wh1n9b5r1dyvgg9hhh97plbj4j5anasfbii92s2g8h2ilb4yb";
      system = "birch.test";
      asd = "birch.test";
    });
    systems = [ "birch.test" ];
    lispLibs = [ (getAttr "birch" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "prove" pkgs) ];
  };
  bit-ops = {
    pname = "bit-ops";
    version = "20180228-git";
    asds = [ "bit-ops" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-ops/2018-02-28/bit-ops-20180228-git.tgz";
      sha256 = "0rwmm438bgxfl5ab1vnrsxgimxnr3d5kjv9a0yzmlnbg9i2hyhz7";
      system = "bit-ops";
      asd = "bit-ops";
    });
    systems = [ "bit-ops" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "immutable-struct" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "trivia" pkgs) ];
  };
  bit-ops_dot_test = {
    pname = "bit-ops.test";
    version = "20180228-git";
    asds = [ "bit-ops.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-ops/2018-02-28/bit-ops-20180228-git.tgz";
      sha256 = "0rwmm438bgxfl5ab1vnrsxgimxnr3d5kjv9a0yzmlnbg9i2hyhz7";
      system = "bit-ops.test";
      asd = "bit-ops.test";
    });
    systems = [ "bit-ops.test" ];
    lispLibs = [ (getAttr "bit-ops" pkgs) (getAttr "fiveam" pkgs) ];
  };
  bit-smasher = {
    pname = "bit-smasher";
    version = "20221106-git";
    asds = [ "bit-smasher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-smasher/2022-11-06/bit-smasher-20221106-git.tgz";
      sha256 = "1dad4x9sjq45zz8rys6rflsklmw77631r3k4g248ynmaqkdaqjyd";
      system = "bit-smasher";
      asd = "bit-smasher";
    });
    systems = [ "bit-smasher" ];
    lispLibs = [ (getAttr "cl-base58" pkgs) (getAttr "cl-base64" pkgs) ];
  };
  bit-smasher-test = {
    pname = "bit-smasher-test";
    version = "20221106-git";
    asds = [ "bit-smasher-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-smasher/2022-11-06/bit-smasher-20221106-git.tgz";
      sha256 = "1dad4x9sjq45zz8rys6rflsklmw77631r3k4g248ynmaqkdaqjyd";
      system = "bit-smasher-test";
      asd = "bit-smasher-test";
    });
    systems = [ "bit-smasher-test" ];
    lispLibs = [ (getAttr "bit-smasher" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  bitfield = {
    pname = "bitfield";
    version = "20211230-git";
    asds = [ "bitfield" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitfield/2021-12-30/bitfield-20211230-git.tgz";
      sha256 = "1137kdj5imc5gj9g6hj4w6ksqnqppgm3knzv7j2f8r5qpfl8rfl2";
      system = "bitfield";
      asd = "bitfield";
    });
    systems = [ "bitfield" ];
    lispLibs = [  ];
  };
  bitfield-schema = {
    pname = "bitfield-schema";
    version = "20120107-git";
    asds = [ "bitfield-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitfield-schema/2012-01-07/bitfield-schema-20120107-git.tgz";
      sha256 = "08xkl7rbfhrx8vj98zj1lmhv6pfg2f5gk14xj7qys7mkj2iv4li6";
      system = "bitfield-schema";
      asd = "bitfield-schema";
    });
    systems = [ "bitfield-schema" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  bitio = {
    pname = "bitio";
    version = "20220220-git";
    asds = [ "bitio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitio/2022-02-20/bitio-20220220-git.tgz";
      sha256 = "0z2yn19nxg46j274nxzry255z86p0y3p68s1f2sg7rx9y2nx3rjg";
      system = "bitio";
      asd = "bitio";
    });
    systems = [ "bitio" ];
    lispLibs = [ (getAttr "checkl" pkgs) (getAttr "cl-package-locks" pkgs) (getAttr "fast-io" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  bk-tree = {
    pname = "bk-tree";
    version = "20130420-git";
    asds = [ "bk-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bk-tree/2013-04-20/bk-tree-20130420-git.tgz";
      sha256 = "1nrz6fwzvkzvs6ipc5rgas77p5hv5bnaw2in5760v240gg7lxqzz";
      system = "bk-tree";
      asd = "bk-tree";
    });
    systems = [ "bk-tree" ];
    lispLibs = [  ];
  };
  bknr_dot_data_dot_impex = {
    pname = "bknr.data.impex";
    version = "20220220-git";
    asds = [ "bknr.data.impex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.data.impex";
      asd = "bknr.data.impex";
    });
    systems = [ "bknr.data.impex" ];
    lispLibs = [ (getAttr "bknr_dot_datastore" pkgs) (getAttr "bknr_dot_impex" pkgs) (getAttr "bknr_dot_indices" pkgs) (getAttr "bknr_dot_utils" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "unit-test" pkgs) ];
  };
  bknr_dot_datastore = {
    pname = "bknr.datastore";
    version = "20220220-git";
    asds = [ "bknr.datastore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.datastore";
      asd = "bknr.datastore";
    });
    systems = [ "bknr.datastore" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bknr_dot_indices" pkgs) (getAttr "bknr_dot_utils" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "unit-test" pkgs) (getAttr "yason" pkgs) ];
  };
  bknr_dot_impex = {
    pname = "bknr.impex";
    version = "20220220-git";
    asds = [ "bknr.impex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.impex";
      asd = "bknr.impex";
    });
    systems = [ "bknr.impex" ];
    lispLibs = [ (getAttr "bknr_dot_indices" pkgs) (getAttr "bknr_dot_utils" pkgs) (getAttr "bknr_dot_xml" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) ];
  };
  bknr_dot_indices = {
    pname = "bknr.indices";
    version = "20220220-git";
    asds = [ "bknr.indices" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.indices";
      asd = "bknr.indices";
    });
    systems = [ "bknr.indices" ];
    lispLibs = [ (getAttr "bknr_dot_skip-list" pkgs) (getAttr "bknr_dot_utils" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  bknr_dot_modules = {
    pname = "bknr.modules";
    version = "20140713-git";
    asds = [ "bknr.modules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "bknr.modules";
      asd = "bknr.modules";
    });
    systems = [ "bknr.modules" ];
    lispLibs = [ (getAttr "bknr_dot_utils" pkgs) (getAttr "bknr_dot_web" pkgs) (getAttr "cl-gd" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-smtp" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) (getAttr "md5" pkgs) (getAttr "parenscript" pkgs) (getAttr "puri" pkgs) (getAttr "stem" pkgs) (getAttr "unit-test" pkgs) ];
  };
  bknr_dot_skip-list = {
    pname = "bknr.skip-list";
    version = "20220220-git";
    asds = [ "bknr.skip-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.skip-list";
      asd = "bknr.skip-list";
    });
    systems = [ "bknr.skip-list" ];
    lispLibs = [  ];
  };
  bknr_dot_skip-list_dot_test = {
    pname = "bknr.skip-list.test";
    version = "20220220-git";
    asds = [ "bknr.skip-list.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.skip-list.test";
      asd = "bknr.skip-list";
    });
    systems = [ "bknr.skip-list.test" ];
    lispLibs = [ (getAttr "bknr_dot_skip-list" pkgs) (getAttr "unit-test" pkgs) ];
  };
  bknr_dot_utils = {
    pname = "bknr.utils";
    version = "20220220-git";
    asds = [ "bknr.utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.utils";
      asd = "bknr.utils";
    });
    systems = [ "bknr.utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "md5" pkgs) ];
  };
  bknr_dot_web = {
    pname = "bknr.web";
    version = "20140713-git";
    asds = [ "bknr.web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "bknr.web";
      asd = "bknr.web";
    });
    systems = [ "bknr.web" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bknr_dot_data_dot_impex" pkgs) (getAttr "bknr_dot_datastore" pkgs) (getAttr "bknr_dot_utils" pkgs) (getAttr "bknr_dot_xml" pkgs) (getAttr "cl-gd" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "md5" pkgs) (getAttr "parenscript" pkgs) (getAttr "puri" pkgs) (getAttr "unit-test" pkgs) (getAttr "usocket" pkgs) (getAttr "xhtmlgen" pkgs) (getAttr "yason" pkgs) ];
  };
  bknr_dot_xml = {
    pname = "bknr.xml";
    version = "20220220-git";
    asds = [ "bknr.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.xml";
      asd = "bknr.xml";
    });
    systems = [ "bknr.xml" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cxml" pkgs) ];
  };
  black-tie = {
    pname = "black-tie";
    version = "20220707-git";
    asds = [ "black-tie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/black-tie/2022-07-07/black-tie-20220707-git.tgz";
      sha256 = "0a1zczxp4wkqs4cmwc4rnsgwwc2h4zqmg58cjykfzz4jh31fa43a";
      system = "black-tie";
      asd = "black-tie";
    });
    systems = [ "black-tie" ];
    lispLibs = [  ];
  };
  blackbird = {
    pname = "blackbird";
    version = "20221106-git";
    asds = [ "blackbird" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/blackbird/2022-11-06/blackbird-20221106-git.tgz";
      sha256 = "1r0f9473akzm6zyj494ma5p39hfkixa8aj17dhcdfa4kmqf9f6al";
      system = "blackbird";
      asd = "blackbird";
    });
    systems = [ "blackbird" ];
    lispLibs = [ (getAttr "vom" pkgs) ];
  };
  blackbird-test = {
    pname = "blackbird-test";
    version = "20221106-git";
    asds = [ "blackbird-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/blackbird/2022-11-06/blackbird-20221106-git.tgz";
      sha256 = "1r0f9473akzm6zyj494ma5p39hfkixa8aj17dhcdfa4kmqf9f6al";
      system = "blackbird-test";
      asd = "blackbird-test";
    });
    systems = [ "blackbird-test" ];
    lispLibs = [ (getAttr "blackbird" pkgs) (getAttr "cl-async" pkgs) (getAttr "fiveam" pkgs) ];
  };
  blas = {
    pname = "blas";
    version = "20200925-git";
    asds = [ "blas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas";
      asd = "blas";
    });
    systems = [ "blas" ];
    lispLibs = [ (getAttr "blas-complex" pkgs) (getAttr "blas-package" pkgs) (getAttr "blas-real" pkgs) ];
  };
  blas-complex = {
    pname = "blas-complex";
    version = "20200925-git";
    asds = [ "blas-complex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-complex";
      asd = "blas-complex";
    });
    systems = [ "blas-complex" ];
    lispLibs = [ (getAttr "blas-real" pkgs) (getAttr "f2cl" pkgs) ];
  };
  blas-hompack = {
    pname = "blas-hompack";
    version = "20200925-git";
    asds = [ "blas-hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-hompack";
      asd = "blas-hompack";
    });
    systems = [ "blas-hompack" ];
    lispLibs = [ (getAttr "blas-package" pkgs) (getAttr "f2cl" pkgs) ];
  };
  blas-package = {
    pname = "blas-package";
    version = "20200925-git";
    asds = [ "blas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-package";
      asd = "blas-package";
    });
    systems = [ "blas-package" ];
    lispLibs = [  ];
  };
  blas-real = {
    pname = "blas-real";
    version = "20200925-git";
    asds = [ "blas-real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-real";
      asd = "blas-real";
    });
    systems = [ "blas-real" ];
    lispLibs = [ (getAttr "blas-hompack" pkgs) (getAttr "f2cl" pkgs) ];
  };
  blocks-world = {
    pname = "blocks-world";
    version = "20120305-git";
    asds = [ "blocks-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atdoc/2012-03-05/atdoc-20120305-git.tgz";
      sha256 = "1w54phadjj00sy5qz5n0hmhzyjrx26h9hw06756zdpfbzk4f5il6";
      system = "blocks-world";
      asd = "blocks-world";
    });
    systems = [ "blocks-world" ];
    lispLibs = [  ];
  };
  bmas = {
    pname = "bmas";
    version = "20221106-git";
    asds = [ "bmas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bmas/2022-11-06/cl-bmas-20221106-git.tgz";
      sha256 = "1z167v5hh4cawms8khpm76q8g0pk1xlkh97gxdbwym0sz27qb81j";
      system = "bmas";
      asd = "bmas";
    });
    systems = [ "bmas" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "uiop" pkgs) ];
  };
  bmp-test = {
    pname = "bmp-test";
    version = "20211020-git";
    asds = [ "bmp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "bmp-test";
      asd = "bmp-test";
    });
    systems = [ "bmp-test" ];
    lispLibs = [ (getAttr "png" pkgs) ];
  };
  bnf = {
    pname = "bnf";
    version = "20220220-git";
    asds = [ "bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bnf/2022-02-20/bnf-20220220-git.tgz";
      sha256 = "1kr6k9qs9bbza591hi1c2mlxqd5yz3nrvyd3cw7139iz1z2m7dbg";
      system = "bnf";
      asd = "bnf";
    });
    systems = [ "bnf" ];
    lispLibs = [ (getAttr "trestrul" pkgs) (getAttr "uiop" pkgs) ];
  };
  bnf_dot_test = {
    pname = "bnf.test";
    version = "20220220-git";
    asds = [ "bnf.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bnf/2022-02-20/bnf-20220220-git.tgz";
      sha256 = "1kr6k9qs9bbza591hi1c2mlxqd5yz3nrvyd3cw7139iz1z2m7dbg";
      system = "bnf.test";
      asd = "bnf.test";
    });
    systems = [ "bnf.test" ];
    lispLibs = [ (getAttr "bnf" pkgs) (getAttr "jingoh" pkgs) ];
  };
  bobbin = {
    pname = "bobbin";
    version = "20201016-hg";
    asds = [ "bobbin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bobbin/2020-10-16/bobbin-20201016-hg.tgz";
      sha256 = "1yvx7d0cx5b119r4aays2rck33088bp7spaydnvkc329hfq1ahc2";
      system = "bobbin";
      asd = "bobbin";
    });
    systems = [ "bobbin" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  bobbin_slash_test = {
    pname = "bobbin_test";
    version = "20201016-hg";
    asds = [ "bobbin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bobbin/2020-10-16/bobbin-20201016-hg.tgz";
      sha256 = "1yvx7d0cx5b119r4aays2rck33088bp7spaydnvkc329hfq1ahc2";
      system = "bobbin";
      asd = "bobbin";
    });
    systems = [ "bobbin/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "bobbin" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-blobs-support = {
    pname = "bodge-blobs-support";
    version = "stable-git";
    asds = [ "bodge-blobs-support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-blobs-support/2020-10-16/bodge-blobs-support-stable-git.tgz";
      sha256 = "02nd1x6y1akp1ymv1y4z9ympwbnpd1drwi4f86xbjszxqff6jyj8";
      system = "bodge-blobs-support";
      asd = "bodge-blobs-support";
    });
    systems = [ "bodge-blobs-support" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  bodge-chipmunk = {
    pname = "bodge-chipmunk";
    version = "stable-git";
    asds = [ "bodge-chipmunk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-chipmunk/2020-10-16/bodge-chipmunk-stable-git.tgz";
      sha256 = "06zkia7rrhn1961jmayyvdbbbnf2rnr84lbd1x6gq8psfb2rif2f";
      system = "bodge-chipmunk";
      asd = "bodge-chipmunk";
    });
    systems = [ "bodge-chipmunk" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) ];
  };
  bodge-chipmunk_slash_example = {
    pname = "bodge-chipmunk_example";
    version = "stable-git";
    asds = [ "bodge-chipmunk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-chipmunk/2020-10-16/bodge-chipmunk-stable-git.tgz";
      sha256 = "06zkia7rrhn1961jmayyvdbbbnf2rnr84lbd1x6gq8psfb2rif2f";
      system = "bodge-chipmunk";
      asd = "bodge-chipmunk";
    });
    systems = [ "bodge-chipmunk/example" ];
    lispLibs = [ (getAttr "bodge-chipmunk" pkgs) (getAttr "chipmunk-blob" pkgs) (getAttr "float-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-concurrency = {
    pname = "bodge-concurrency";
    version = "stable-git";
    asds = [ "bodge-concurrency" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-concurrency/2020-10-16/bodge-concurrency-stable-git.tgz";
      sha256 = "06v2h7vassp5v50qsqxkmshcrlrzlhqaga4z7lnidfniw7f8d5vd";
      system = "bodge-concurrency";
      asd = "bodge-concurrency";
    });
    systems = [ "bodge-concurrency" ];
    lispLibs = [ (getAttr "bodge-memory" pkgs) (getAttr "bodge-queue" pkgs) (getAttr "bodge-utilities" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-flow" pkgs) (getAttr "cl-muth" pkgs) (getAttr "simple-flow-dispatcher" pkgs) (getAttr "trivial-main-thread" pkgs) ];
  };
  bodge-glad = {
    pname = "bodge-glad";
    version = "stable-git";
    asds = [ "bodge-glad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-glad/2020-10-16/bodge-glad-stable-git.tgz";
      sha256 = "0ghrg0z5pj36igp5wpvp1iwnvjbca3wfb60kvirhv3l9ww51jg9g";
      system = "bodge-glad";
      asd = "bodge-glad";
    });
    systems = [ "bodge-glad" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  bodge-glfw = {
    pname = "bodge-glfw";
    version = "stable-git";
    asds = [ "bodge-glfw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-glfw/2020-10-16/bodge-glfw-stable-git.tgz";
      sha256 = "1xjg75grndl2mbfql1g2qgx810kg6wxrnhxb406m9lisd112i0m8";
      system = "bodge-glfw";
      asd = "bodge-glfw";
    });
    systems = [ "bodge-glfw" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) ];
  };
  bodge-glfw_slash_example = {
    pname = "bodge-glfw_example";
    version = "stable-git";
    asds = [ "bodge-glfw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-glfw/2020-10-16/bodge-glfw-stable-git.tgz";
      sha256 = "1xjg75grndl2mbfql1g2qgx810kg6wxrnhxb406m9lisd112i0m8";
      system = "bodge-glfw";
      asd = "bodge-glfw";
    });
    systems = [ "bodge-glfw/example" ];
    lispLibs = [ (getAttr "bodge-glfw" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "claw" pkgs) (getAttr "glfw-blob" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-heap = {
    pname = "bodge-heap";
    version = "stable-git";
    asds = [ "bodge-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-heap/2020-10-16/bodge-heap-stable-git.tgz";
      sha256 = "1ngi9ccr9iz93mm3b4hgh2fj39vqpjrpkcfza5vly16z3r7gxca4";
      system = "bodge-heap";
      asd = "bodge-heap";
    });
    systems = [ "bodge-heap" ];
    lispLibs = [  ];
  };
  bodge-heap_slash_tests = {
    pname = "bodge-heap_tests";
    version = "stable-git";
    asds = [ "bodge-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-heap/2020-10-16/bodge-heap-stable-git.tgz";
      sha256 = "1ngi9ccr9iz93mm3b4hgh2fj39vqpjrpkcfza5vly16z3r7gxca4";
      system = "bodge-heap";
      asd = "bodge-heap";
    });
    systems = [ "bodge-heap/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-heap" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-host = {
    pname = "bodge-host";
    version = "stable-git";
    asds = [ "bodge-host" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-host/2021-12-09/bodge-host-stable-git.tgz";
      sha256 = "0piayirpbh91klrk3pg0g1vxhlk8yxvbr2wv923awdalwy0fn73n";
      system = "bodge-host";
      asd = "bodge-host";
    });
    systems = [ "bodge-host" ];
    lispLibs = [ (getAttr "bodge-concurrency" pkgs) (getAttr "bodge-glfw" pkgs) (getAttr "bodge-libc-essentials" pkgs) (getAttr "bodge-math" pkgs) (getAttr "bodge-utilities" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "float-features" pkgs) (getAttr "glfw-blob" pkgs) ];
  };
  bodge-libc-essentials = {
    pname = "bodge-libc-essentials";
    version = "stable-git";
    asds = [ "bodge-libc-essentials" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-libc-essentials/2020-10-16/bodge-libc-essentials-stable-git.tgz";
      sha256 = "1nkjhkaap78xk9rkvnnnkchphiz0qwrsfp4jsvcl6mvv3rb4gp2k";
      system = "bodge-libc-essentials";
      asd = "bodge-libc-essentials";
    });
    systems = [ "bodge-libc-essentials" ];
    lispLibs = [ (getAttr "claw" pkgs) ];
  };
  bodge-math = {
    pname = "bodge-math";
    version = "stable-git";
    asds = [ "bodge-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-math/2020-10-16/bodge-math-stable-git.tgz";
      sha256 = "0r3vnl9lywn4ksy34apcv6j825qp7l1naddawr14v4lwacndb80v";
      system = "bodge-math";
      asd = "bodge-math";
    });
    systems = [ "bodge-math" ];
    lispLibs = [ (getAttr "bodge-utilities" pkgs) (getAttr "rtg-math" pkgs) ];
  };
  bodge-memory = {
    pname = "bodge-memory";
    version = "stable-git";
    asds = [ "bodge-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-memory/2020-10-16/bodge-memory-stable-git.tgz";
      sha256 = "19fn3dw5z6f2kpar0jx7ysy5zvqjv7yv0ca7njgaam3p891yy2j9";
      system = "bodge-memory";
      asd = "bodge-memory";
    });
    systems = [ "bodge-memory" ];
    lispLibs = [ (getAttr "bodge-utilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  bodge-nanovg = {
    pname = "bodge-nanovg";
    version = "stable-git";
    asds = [ "bodge-nanovg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-nanovg/2020-10-16/bodge-nanovg-stable-git.tgz";
      sha256 = "0cg4rlsddjrn0ps891n29xnd14xiis20ka5gafbz9npbj6nrc4v1";
      system = "bodge-nanovg";
      asd = "bodge-nanovg";
    });
    systems = [ "bodge-nanovg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) (getAttr "uiop" pkgs) ];
  };
  bodge-nanovg_slash_example = {
    pname = "bodge-nanovg_example";
    version = "stable-git";
    asds = [ "bodge-nanovg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-nanovg/2020-10-16/bodge-nanovg-stable-git.tgz";
      sha256 = "0cg4rlsddjrn0ps891n29xnd14xiis20ka5gafbz9npbj6nrc4v1";
      system = "bodge-nanovg";
      asd = "bodge-nanovg";
    });
    systems = [ "bodge-nanovg/example" ];
    lispLibs = [ (getAttr "bodge-glad" pkgs) (getAttr "bodge-glfw" pkgs) (getAttr "bodge-nanovg" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "claw" pkgs) (getAttr "float-features" pkgs) (getAttr "glad-blob" pkgs) (getAttr "glfw-blob" pkgs) (getAttr "nanovg-blob" pkgs) (getAttr "trivial-main-thread" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-nuklear = {
    pname = "bodge-nuklear";
    version = "stable-git";
    asds = [ "bodge-nuklear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-nuklear/2020-10-16/bodge-nuklear-stable-git.tgz";
      sha256 = "15q89dz2zi99yyxhb90wyydy24y2lj5xm2mzh1mrw4v8rz9aqhc2";
      system = "bodge-nuklear";
      asd = "bodge-nuklear";
    });
    systems = [ "bodge-nuklear" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) ];
  };
  bodge-ode = {
    pname = "bodge-ode";
    version = "stable-git";
    asds = [ "bodge-ode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-ode/2020-10-16/bodge-ode-stable-git.tgz";
      sha256 = "1c051ljn5x7ssysia7lil0ykjdnbx8dfkr45ck77plv39acgicbs";
      system = "bodge-ode";
      asd = "bodge-ode";
    });
    systems = [ "bodge-ode" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) (getAttr "float-features" pkgs) ];
  };
  bodge-ode_slash_example = {
    pname = "bodge-ode_example";
    version = "stable-git";
    asds = [ "bodge-ode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-ode/2020-10-16/bodge-ode-stable-git.tgz";
      sha256 = "1c051ljn5x7ssysia7lil0ykjdnbx8dfkr45ck77plv39acgicbs";
      system = "bodge-ode";
      asd = "bodge-ode";
    });
    systems = [ "bodge-ode/example" ];
    lispLibs = [ (getAttr "bodge-ode" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "ode-blob" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-openal = {
    pname = "bodge-openal";
    version = "stable-git";
    asds = [ "bodge-openal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-openal/2020-10-16/bodge-openal-stable-git.tgz";
      sha256 = "0051pwifygj1ijv5b39ldmfrka2yrj8rpap04bw3w9cckbkp6bnw";
      system = "bodge-openal";
      asd = "bodge-openal";
    });
    systems = [ "bodge-openal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) ];
  };
  bodge-openal_slash_example = {
    pname = "bodge-openal_example";
    version = "stable-git";
    asds = [ "bodge-openal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-openal/2020-10-16/bodge-openal-stable-git.tgz";
      sha256 = "0051pwifygj1ijv5b39ldmfrka2yrj8rpap04bw3w9cckbkp6bnw";
      system = "bodge-openal";
      asd = "bodge-openal";
    });
    systems = [ "bodge-openal/example" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-openal" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "float-features" pkgs) (getAttr "openal-blob" pkgs) (getAttr "static-vectors" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-queue = {
    pname = "bodge-queue";
    version = "stable-git";
    asds = [ "bodge-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-queue/2020-10-16/bodge-queue-stable-git.tgz";
      sha256 = "0f4252i8pfy5s4v7w1bpjawysn4cw7di405mqsx2h7skv27hvpz6";
      system = "bodge-queue";
      asd = "bodge-queue";
    });
    systems = [ "bodge-queue" ];
    lispLibs = [  ];
  };
  bodge-queue_slash_tests = {
    pname = "bodge-queue_tests";
    version = "stable-git";
    asds = [ "bodge-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-queue/2020-10-16/bodge-queue-stable-git.tgz";
      sha256 = "0f4252i8pfy5s4v7w1bpjawysn4cw7di405mqsx2h7skv27hvpz6";
      system = "bodge-queue";
      asd = "bodge-queue";
    });
    systems = [ "bodge-queue/tests" ];
    lispLibs = [ (getAttr "bodge-queue" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-sndfile = {
    pname = "bodge-sndfile";
    version = "stable-git";
    asds = [ "bodge-sndfile" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-sndfile/2020-10-16/bodge-sndfile-stable-git.tgz";
      sha256 = "0chdasp4zvr5n34x037lhymh90wg5xwbpr5flwj8aw0cw2nlg485";
      system = "bodge-sndfile";
      asd = "bodge-sndfile";
    });
    systems = [ "bodge-sndfile" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-libc-essentials" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "claw" pkgs) (getAttr "claw-utils" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  bodge-sndfile_slash_example = {
    pname = "bodge-sndfile_example";
    version = "stable-git";
    asds = [ "bodge-sndfile" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-sndfile/2020-10-16/bodge-sndfile-stable-git.tgz";
      sha256 = "0chdasp4zvr5n34x037lhymh90wg5xwbpr5flwj8aw0cw2nlg485";
      system = "bodge-sndfile";
      asd = "bodge-sndfile";
    });
    systems = [ "bodge-sndfile/example" ];
    lispLibs = [ (getAttr "bodge-sndfile" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "sndfile-blob" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bodge-utilities = {
    pname = "bodge-utilities";
    version = "stable-git";
    asds = [ "bodge-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-utilities/2022-07-07/bodge-utilities-stable-git.tgz";
      sha256 = "0jmz7zb5ahg2kfd5nrh9nb7dda5szamjv7iv9skgcvf7rwn8qf0g";
      system = "bodge-utilities";
      asd = "bodge-utilities";
    });
    systems = [ "bodge-utilities" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "claw" pkgs) (getAttr "dissect" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "split-sequence" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  boondoggle = {
    pname = "boondoggle";
    version = "v1.26.0";
    asds = [ "boondoggle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "boondoggle";
      asd = "boondoggle";
    });
    systems = [ "boondoggle" ];
    lispLibs = [ (getAttr "command-line-arguments" pkgs) (getAttr "drakma" pkgs) (getAttr "cl-quil" pkgs) (getAttr "uiop" pkgs) ];
  };
  boondoggle-tests = {
    pname = "boondoggle-tests";
    version = "v1.26.0";
    asds = [ "boondoggle-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "boondoggle-tests";
      asd = "boondoggle-tests";
    });
    systems = [ "boondoggle-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "boondoggle" pkgs) (getAttr "cl-quil" pkgs) (getAttr "sapaclisp" pkgs) (getAttr "uiop" pkgs) ];
  };
  bordeaux-fft = {
    pname = "bordeaux-fft";
    version = "20150608-http";
    asds = [ "bordeaux-fft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bordeaux-fft/2015-06-08/bordeaux-fft-20150608-http.tgz";
      sha256 = "0kmz0wv34p8wixph5i6vj6p60xa48fflh9aq6kismlb0q4a1amp3";
      system = "bordeaux-fft";
      asd = "bordeaux-fft";
    });
    systems = [ "bordeaux-fft" ];
    lispLibs = [  ];
  };
  bordeaux-threads = {
    pname = "bordeaux-threads";
    version = "v0.8.8";
    asds = [ "bordeaux-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bordeaux-threads/2022-07-07/bordeaux-threads-v0.8.8.tgz";
      sha256 = "0h1b177fhwhv75p4jjxjffp334n8jbk93zm33vk78mv44v7jgxdm";
      system = "bordeaux-threads";
      asd = "bordeaux-threads";
    });
    systems = [ "bordeaux-threads" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  bordeaux-threads_slash_test = {
    pname = "bordeaux-threads_test";
    version = "v0.8.8";
    asds = [ "bordeaux-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bordeaux-threads/2022-07-07/bordeaux-threads-v0.8.8.tgz";
      sha256 = "0h1b177fhwhv75p4jjxjffp334n8jbk93zm33vk78mv44v7jgxdm";
      system = "bordeaux-threads";
      asd = "bordeaux-threads";
    });
    systems = [ "bordeaux-threads/test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bourbaki = {
    pname = "bourbaki";
    version = "20110110-http";
    asds = [ "bourbaki" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bourbaki/2011-01-10/bourbaki-20110110-http.tgz";
      sha256 = "0d222kjk1h60467bkjpxglds3gykily5pyrnb45yvx86shkiv4lp";
      system = "bourbaki";
      asd = "bourbaki";
    });
    systems = [ "bourbaki" ];
    lispLibs = [  ];
  };
  bp = {
    pname = "bp";
    version = "20221106-git";
    asds = [ "bp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bp/2022-11-06/bp-20221106-git.tgz";
      sha256 = "127gw3pyfx2vxprkbxc821923y6qmv3jd6r824m6zhalfya13w6k";
      system = "bp";
      asd = "bp";
    });
    systems = [ "bp" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "ironclad" pkgs) (getAttr "jsown" pkgs) (getAttr "aserve" pkgs) (getAttr "usocket" pkgs) ];
  };
  bp_slash_tests = {
    pname = "bp_tests";
    version = "20221106-git";
    asds = [ "bp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bp/2022-11-06/bp-20221106-git.tgz";
      sha256 = "127gw3pyfx2vxprkbxc821923y6qmv3jd6r824m6zhalfya13w6k";
      system = "bp";
      asd = "bp";
    });
    systems = [ "bp/tests" ];
    lispLibs = [ (getAttr "bp" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bst = {
    pname = "bst";
    version = "20221106-git";
    asds = [ "bst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bst/2022-11-06/bst-20221106-git.tgz";
      sha256 = "0y052jf3gkqhb7rfx72961kg42dnqhmizk7cxlv87d1jr2906d1d";
      system = "bst";
      asd = "bst";
    });
    systems = [ "bst" ];
    lispLibs = [  ];
  };
  bst_slash_test = {
    pname = "bst_test";
    version = "20221106-git";
    asds = [ "bst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bst/2022-11-06/bst-20221106-git.tgz";
      sha256 = "0y052jf3gkqhb7rfx72961kg42dnqhmizk7cxlv87d1jr2906d1d";
      system = "bst";
      asd = "bst";
    });
    systems = [ "bst/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bst" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  bt-semaphore = {
    pname = "bt-semaphore";
    version = "20180711-git";
    asds = [ "bt-semaphore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bt-semaphore/2018-07-11/bt-semaphore-20180711-git.tgz";
      sha256 = "0rl7yp36225z975hg069pywwlpchwn4086cgxwsi2db5mhghpr7l";
      system = "bt-semaphore";
      asd = "bt-semaphore";
    });
    systems = [ "bt-semaphore" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  bt-semaphore-test = {
    pname = "bt-semaphore-test";
    version = "20180711-git";
    asds = [ "bt-semaphore-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bt-semaphore/2018-07-11/bt-semaphore-20180711-git.tgz";
      sha256 = "0rl7yp36225z975hg069pywwlpchwn4086cgxwsi2db5mhghpr7l";
      system = "bt-semaphore-test";
      asd = "bt-semaphore-test";
    });
    systems = [ "bt-semaphore-test" ];
    lispLibs = [ (getAttr "bt-semaphore" pkgs) (getAttr "clunit" pkgs) ];
  };
  btrie = {
    pname = "btrie";
    version = "20140713-git";
    asds = [ "btrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/btrie/2014-07-13/btrie-20140713-git.tgz";
      sha256 = "0f1rs2zlpi2bcyba951h3cnyz2mfsxr2i6icmqbam5acqjdrmp30";
      system = "btrie";
      asd = "btrie";
    });
    systems = [ "btrie" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "lift" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  btrie-tests = {
    pname = "btrie-tests";
    version = "20140713-git";
    asds = [ "btrie-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/btrie/2014-07-13/btrie-20140713-git.tgz";
      sha256 = "0f1rs2zlpi2bcyba951h3cnyz2mfsxr2i6icmqbam5acqjdrmp30";
      system = "btrie-tests";
      asd = "btrie";
    });
    systems = [ "btrie-tests" ];
    lispLibs = [ (getAttr "btrie" pkgs) (getAttr "lift" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  bubble-operator-upwards = {
    pname = "bubble-operator-upwards";
    version = "1.0";
    asds = [ "bubble-operator-upwards" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bubble-operator-upwards/2012-11-25/bubble-operator-upwards-1.0.tgz";
      sha256 = "0hni8j17z3aqk67r3my1nkkjafaixvdm3cdmg89hb8hhgv0rm2x7";
      system = "bubble-operator-upwards";
      asd = "bubble-operator-upwards";
    });
    systems = [ "bubble-operator-upwards" ];
    lispLibs = [  ];
  };
  buildapp = {
    pname = "buildapp";
    version = "1.5.6";
    asds = [ "buildapp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildapp/2015-12-18/buildapp-1.5.6.tgz";
      sha256 = "020ipjfqa3l8skd97cj5kq837wgpj28ygfxnkv64cnjrlbnzh161";
      system = "buildapp";
      asd = "buildapp";
    });
    systems = [ "buildapp" ];
    lispLibs = [  ];
  };
  buildnode = {
    pname = "buildnode";
    version = "20170403-git";
    asds = [ "buildnode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode";
      asd = "buildnode";
    });
    systems = [ "buildnode" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closure-html" pkgs) (getAttr "collectors" pkgs) (getAttr "cxml" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "iterate" pkgs) (getAttr "swank" pkgs) (getAttr "split-sequence" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  buildnode-excel = {
    pname = "buildnode-excel";
    version = "20170403-git";
    asds = [ "buildnode-excel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-excel";
      asd = "buildnode-excel";
    });
    systems = [ "buildnode-excel" ];
    lispLibs = [ (getAttr "buildnode" pkgs) ];
  };
  buildnode-html5 = {
    pname = "buildnode-html5";
    version = "20170403-git";
    asds = [ "buildnode-html5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-html5";
      asd = "buildnode-html5";
    });
    systems = [ "buildnode-html5" ];
    lispLibs = [ (getAttr "buildnode" pkgs) ];
  };
  buildnode-kml = {
    pname = "buildnode-kml";
    version = "20170403-git";
    asds = [ "buildnode-kml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-kml";
      asd = "buildnode-kml";
    });
    systems = [ "buildnode-kml" ];
    lispLibs = [ (getAttr "buildnode" pkgs) ];
  };
  buildnode-test = {
    pname = "buildnode-test";
    version = "20170403-git";
    asds = [ "buildnode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-test";
      asd = "buildnode";
    });
    systems = [ "buildnode-test" ];
    lispLibs = [ (getAttr "buildnode" pkgs) (getAttr "buildnode-xhtml" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  buildnode-xhtml = {
    pname = "buildnode-xhtml";
    version = "20170403-git";
    asds = [ "buildnode-xhtml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-xhtml";
      asd = "buildnode-xhtml";
    });
    systems = [ "buildnode-xhtml" ];
    lispLibs = [ (getAttr "buildnode" pkgs) ];
  };
  buildnode-xul = {
    pname = "buildnode-xul";
    version = "20170403-git";
    asds = [ "buildnode-xul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-xul";
      asd = "buildnode-xul";
    });
    systems = [ "buildnode-xul" ];
    lispLibs = [ (getAttr "buildnode" pkgs) ];
  };
  burgled-batteries = {
    pname = "burgled-batteries";
    version = "20160825-git";
    asds = [ "burgled-batteries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries/2016-08-25/burgled-batteries-20160825-git.tgz";
      sha256 = "080ff1yrmfb87pqq1jqr35djjkh3fh8i6cbhv3d1md5qy7hhgdaj";
      system = "burgled-batteries";
      asd = "burgled-batteries";
    });
    systems = [ "burgled-batteries" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "parse-declarations-1_dot_0" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  burgled-batteries-tests = {
    pname = "burgled-batteries-tests";
    version = "20160825-git";
    asds = [ "burgled-batteries-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries/2016-08-25/burgled-batteries-20160825-git.tgz";
      sha256 = "080ff1yrmfb87pqq1jqr35djjkh3fh8i6cbhv3d1md5qy7hhgdaj";
      system = "burgled-batteries-tests";
      asd = "burgled-batteries-tests";
    });
    systems = [ "burgled-batteries-tests" ];
    lispLibs = [ (getAttr "burgled-batteries" pkgs) (getAttr "cl-quickcheck" pkgs) (getAttr "lift" pkgs) ];
  };
  burgled-batteries_dot_syntax = {
    pname = "burgled-batteries.syntax";
    version = "20210531-git";
    asds = [ "burgled-batteries.syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries.syntax/2021-05-31/burgled-batteries.syntax-20210531-git.tgz";
      sha256 = "1hx8w74cgx1qbk6r2p7lzygjqxs5mzxh7w73zrmdibny64akir9a";
      system = "burgled-batteries.syntax";
      asd = "burgled-batteries.syntax";
    });
    systems = [ "burgled-batteries.syntax" ];
    lispLibs = [ (getAttr "burgled-batteries" pkgs) (getAttr "esrap" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  burgled-batteries_dot_syntax-test = {
    pname = "burgled-batteries.syntax-test";
    version = "20210531-git";
    asds = [ "burgled-batteries.syntax-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries.syntax/2021-05-31/burgled-batteries.syntax-20210531-git.tgz";
      sha256 = "1hx8w74cgx1qbk6r2p7lzygjqxs5mzxh7w73zrmdibny64akir9a";
      system = "burgled-batteries.syntax-test";
      asd = "burgled-batteries.syntax-test";
    });
    systems = [ "burgled-batteries.syntax-test" ];
    lispLibs = [ (getAttr "burgled-batteries_dot_syntax" pkgs) (getAttr "lift" pkgs) ];
  };
  bus = {
    pname = "bus";
    version = "master-1a957fb2-git";
    asds = [ "bus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "bus";
      asd = "bus";
    });
    systems = [ "bus" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  bytecurry_dot_asdf-ext = {
    pname = "bytecurry.asdf-ext";
    version = "20150505-git";
    asds = [ "bytecurry.asdf-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bytecurry.asdf-ext/2015-05-05/bytecurry.asdf-ext-20150505-git.tgz";
      sha256 = "07w2lz9mq35sgzzvmz9084l1sia40zkhlvfblkpzxfwyzr6cxrxa";
      system = "bytecurry.asdf-ext";
      asd = "bytecurry.asdf-ext";
    });
    systems = [ "bytecurry.asdf-ext" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) ];
  };
  bytecurry_dot_mocks = {
    pname = "bytecurry.mocks";
    version = "20200325-git";
    asds = [ "bytecurry.mocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bytecurry.mocks/2020-03-25/bytecurry.mocks-20200325-git.tgz";
      sha256 = "0md2j6iggmfm1v7nzcmz7f0xy2jxrsg77iszpisdzmwnijfy8ks0";
      system = "bytecurry.mocks";
      asd = "bytecurry.mocks";
    });
    systems = [ "bytecurry.mocks" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "bytecurry_dot_asdf-ext" pkgs) ];
  };
  bytecurry_dot_mocks_slash_test = {
    pname = "bytecurry.mocks_test";
    version = "20200325-git";
    asds = [ "bytecurry.mocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bytecurry.mocks/2020-03-25/bytecurry.mocks-20200325-git.tgz";
      sha256 = "0md2j6iggmfm1v7nzcmz7f0xy2jxrsg77iszpisdzmwnijfy8ks0";
      system = "bytecurry.mocks";
      asd = "bytecurry.mocks";
    });
    systems = [ "bytecurry.mocks/test" ];
    lispLibs = [ (getAttr "bytecurry_dot_mocks" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  c2ffi-blob = {
    pname = "c2ffi-blob";
    version = "stable-git";
    asds = [ "c2ffi-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/c2ffi-blob/2020-10-16/c2ffi-blob-stable-git.tgz";
      sha256 = "1rk89nycdvcb4a50zm3wdmrbz8w5xk4jgvjg2wib1dnslwnwdivc";
      system = "c2ffi-blob";
      asd = "c2ffi-blob";
    });
    systems = [ "c2ffi-blob" ];
    lispLibs = [ (getAttr "claw-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cacau = {
    pname = "cacau";
    version = "20200610-git";
    asds = [ "cacau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau";
      asd = "cacau";
    });
    systems = [ "cacau" ];
    lispLibs = [ (getAttr "assertion-error" pkgs) (getAttr "eventbus" pkgs) ];
  };
  cacau-asdf = {
    pname = "cacau-asdf";
    version = "20200610-git";
    asds = [ "cacau-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-asdf";
      asd = "cacau-asdf";
    });
    systems = [ "cacau-asdf" ];
    lispLibs = [  ];
  };
  cacau-examples-asdf-integration = {
    pname = "cacau-examples-asdf-integration";
    version = "20200610-git";
    asds = [ "cacau-examples-asdf-integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-examples-asdf-integration";
      asd = "cacau-examples-asdf-integration";
    });
    systems = [ "cacau-examples-asdf-integration" ];
    lispLibs = [  ];
  };
  cacau-examples-asdf-integration-test = {
    pname = "cacau-examples-asdf-integration-test";
    version = "20200610-git";
    asds = [ "cacau-examples-asdf-integration-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-examples-asdf-integration-test";
      asd = "cacau-examples-asdf-integration-test";
    });
    systems = [ "cacau-examples-asdf-integration-test" ];
    lispLibs = [ (getAttr "assert-p" pkgs) (getAttr "cacau" pkgs) (getAttr "cacau-asdf" pkgs) (getAttr "cacau-examples-asdf-integration" pkgs) ];
  };
  cacau-test = {
    pname = "cacau-test";
    version = "20200610-git";
    asds = [ "cacau-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-test";
      asd = "cacau-test";
    });
    systems = [ "cacau-test" ];
    lispLibs = [ (getAttr "assert-p" pkgs) (getAttr "cacau" pkgs) (getAttr "cacau-asdf" pkgs) ];
  };
  cache-while = {
    pname = "cache-while";
    version = "20210807-git";
    asds = [ "cache-while" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cache-while/2021-08-07/cache-while-20210807-git.tgz";
      sha256 = "1qil68rfn5irmkb0jk1f6g1zy80wgc3skl8cr4rfgh7ywgm5izx3";
      system = "cache-while";
      asd = "cache-while";
    });
    systems = [ "cache-while" ];
    lispLibs = [  ];
  };
  cacle = {
    pname = "cacle";
    version = "20190521-git";
    asds = [ "cacle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacle/2019-05-21/cacle-20190521-git.tgz";
      sha256 = "0h0dk0sfkfl8g0sbrs76ydb9l4znssqhx8nc5k1sg7zxpni5a4qy";
      system = "cacle";
      asd = "cacle";
    });
    systems = [ "cacle" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  calispel = {
    pname = "calispel";
    version = "20170830-git";
    asds = [ "calispel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/calispel/2017-08-30/calispel-20170830-git.tgz";
      sha256 = "08bmf3pi7n5hadpmqqkg65cxcj6kbvm997wcs1f53ml1nb79d9z8";
      system = "calispel";
      asd = "calispel";
    });
    systems = [ "calispel" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "jpl-util" pkgs) (getAttr "jpl-queues" pkgs) ];
  };
  calispel-test = {
    pname = "calispel-test";
    version = "20170830-git";
    asds = [ "calispel-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/calispel/2017-08-30/calispel-20170830-git.tgz";
      sha256 = "08bmf3pi7n5hadpmqqkg65cxcj6kbvm997wcs1f53ml1nb79d9z8";
      system = "calispel-test";
      asd = "calispel";
    });
    systems = [ "calispel-test" ];
    lispLibs = [ (getAttr "calispel" pkgs) (getAttr "eager-future2" pkgs) ];
  };
  cambl = {
    pname = "cambl";
    version = "20181210-git";
    asds = [ "cambl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "cambl";
      asd = "cambl";
    });
    systems = [ "cambl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fprog" pkgs) (getAttr "cl-containers" pkgs) (getAttr "local-time" pkgs) (getAttr "periods" pkgs) ];
  };
  cambl-test = {
    pname = "cambl-test";
    version = "20181210-git";
    asds = [ "cambl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "cambl-test";
      asd = "cambl-test";
    });
    systems = [ "cambl-test" ];
    lispLibs = [ (getAttr "cambl" pkgs) (getAttr "uiop" pkgs) (getAttr "xlunit" pkgs) ];
  };
  camera-matrix = {
    pname = "camera-matrix";
    version = "20200427-git";
    asds = [ "camera-matrix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "camera-matrix";
      asd = "camera-matrix";
    });
    systems = [ "camera-matrix" ];
    lispLibs = [ (getAttr "nsb-cga" pkgs) (getAttr "uncommon-lisp" pkgs) ];
  };
  can = {
    pname = "can";
    version = "20180328-git";
    asds = [ "can" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/can/2018-03-28/can-20180328-git.tgz";
      sha256 = "0m3lqc56aw46cj2z379a19fh7f1h0vaxn78xpvbxq3bwar46jzqh";
      system = "can";
      asd = "can";
    });
    systems = [ "can" ];
    lispLibs = [  ];
  };
  can-test = {
    pname = "can-test";
    version = "20180328-git";
    asds = [ "can-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/can/2018-03-28/can-20180328-git.tgz";
      sha256 = "0m3lqc56aw46cj2z379a19fh7f1h0vaxn78xpvbxq3bwar46jzqh";
      system = "can-test";
      asd = "can-test";
    });
    systems = [ "can-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "can" pkgs) (getAttr "mito" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  canonicalized-initargs = {
    pname = "canonicalized-initargs";
    version = "2.0";
    asds = [ "canonicalized-initargs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/canonicalized-initargs/2021-04-11/canonicalized-initargs_2.0.tgz";
      sha256 = "0jmmjw86x9mmlfla4kdmdqf1fjrj0p2fmv1lc4k555mcf67mj2fq";
      system = "canonicalized-initargs";
      asd = "canonicalized-initargs";
    });
    systems = [ "canonicalized-initargs" ];
    lispLibs = [ (getAttr "cesdi" pkgs) (getAttr "closer-mop" pkgs) (getAttr "compatible-metaclasses" pkgs) (getAttr "enhanced-defclass" pkgs) (getAttr "enhanced-typep" pkgs) (getAttr "object-class" pkgs) ];
  };
  canonicalized-initargs_tests = {
    pname = "canonicalized-initargs_tests";
    version = "2.0";
    asds = [ "canonicalized-initargs_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/canonicalized-initargs/2021-04-11/canonicalized-initargs_2.0.tgz";
      sha256 = "0jmmjw86x9mmlfla4kdmdqf1fjrj0p2fmv1lc4k555mcf67mj2fq";
      system = "canonicalized-initargs_tests";
      asd = "canonicalized-initargs_tests";
    });
    systems = [ "canonicalized-initargs_tests" ];
    lispLibs = [ (getAttr "canonicalized-initargs" pkgs) (getAttr "enhanced-boolean" pkgs) (getAttr "enhanced-eval-when" pkgs) (getAttr "parachute" pkgs) ];
  };
  capstone = {
    pname = "capstone";
    version = "20220331-git";
    asds = [ "capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-capstone/2022-03-31/cl-capstone-20220331-git.tgz";
      sha256 = "1jbhp1sf7mr6yrqkdyjl93m1dl901ka6gkgdj20nv2bgp400ycmp";
      system = "capstone";
      asd = "capstone";
    });
    systems = [ "capstone" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  capstone_slash_raw = {
    pname = "capstone_raw";
    version = "20220331-git";
    asds = [ "capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-capstone/2022-03-31/cl-capstone-20220331-git.tgz";
      sha256 = "1jbhp1sf7mr6yrqkdyjl93m1dl901ka6gkgdj20nv2bgp400ycmp";
      system = "capstone";
      asd = "capstone";
    });
    systems = [ "capstone/raw" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) ];
    meta = {
      broken = true;
    };
  };
  capstone_slash_raw-test = {
    pname = "capstone_raw-test";
    version = "20220331-git";
    asds = [ "capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-capstone/2022-03-31/cl-capstone-20220331-git.tgz";
      sha256 = "1jbhp1sf7mr6yrqkdyjl93m1dl901ka6gkgdj20nv2bgp400ycmp";
      system = "capstone";
      asd = "capstone";
    });
    systems = [ "capstone/raw-test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  capstone_slash_test = {
    pname = "capstone_test";
    version = "20220331-git";
    asds = [ "capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-capstone/2022-03-31/cl-capstone-20220331-git.tgz";
      sha256 = "1jbhp1sf7mr6yrqkdyjl93m1dl901ka6gkgdj20nv2bgp400ycmp";
      system = "capstone";
      asd = "capstone";
    });
    systems = [ "capstone/test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "capstone" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  caramel = {
    pname = "caramel";
    version = "20130420-git";
    asds = [ "caramel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caramel/2013-04-20/caramel-20130420-git.tgz";
      sha256 = "08kyjxd8hyk5xnnq0p0w4aqpvisv278h38pqjkz04a032dn5b87a";
      system = "caramel";
      asd = "caramel";
    });
    systems = [ "caramel" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "buildnode" pkgs) (getAttr "closure-html" pkgs) (getAttr "css-selectors" pkgs) (getAttr "cxml" pkgs) (getAttr "cxml-dom" pkgs) (getAttr "iterate" pkgs) ];
  };
  cardioex = {
    pname = "cardioex";
    version = "20211020-git";
    asds = [ "cardioex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cardiogram/2021-10-20/cardiogram-20211020-git.tgz";
      sha256 = "08kqcj3c4vkx5s6ba9m67xh7w7paaavp2ds072crp1x7pjkh4n5i";
      system = "cardioex";
      asd = "cardioex";
    });
    systems = [ "cardioex" ];
    lispLibs = [ (getAttr "cardiogram" pkgs) ];
  };
  cardiogram = {
    pname = "cardiogram";
    version = "20211020-git";
    asds = [ "cardiogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cardiogram/2021-10-20/cardiogram-20211020-git.tgz";
      sha256 = "08kqcj3c4vkx5s6ba9m67xh7w7paaavp2ds072crp1x7pjkh4n5i";
      system = "cardiogram";
      asd = "cardiogram";
    });
    systems = [ "cardiogram" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cari3s = {
    pname = "cari3s";
    version = "20200325-git";
    asds = [ "cari3s" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cari3s/2020-03-25/cari3s-20200325-git.tgz";
      sha256 = "1adwrlwq48l1g9syi0nnm77x1rxv53x9zdhbr91nqqy8b8sxr674";
      system = "cari3s";
      asd = "cari3s";
    });
    systems = [ "cari3s" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "closer-mop" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "drakma" pkgs) (getAttr "pango-markup" pkgs) (getAttr "usocket" pkgs) (getAttr "yason" pkgs) ];
  };
  carrier = {
    pname = "carrier";
    version = "20181210-git";
    asds = [ "carrier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/carrier/2018-12-10/carrier-20181210-git.tgz";
      sha256 = "1xry7alc9x86y1g5k417vhvlgkwgfrl80zpsyfdwdsz7hrwff41d";
      system = "carrier";
      asd = "carrier";
    });
    systems = [ "carrier" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "blackbird" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-async-ssl" pkgs) (getAttr "cl-cookie" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "quri" pkgs) ];
  };
  cartesian-product-switch = {
    pname = "cartesian-product-switch";
    version = "2.0";
    asds = [ "cartesian-product-switch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cartesian-product-switch/2012-09-09/cartesian-product-switch-2.0.tgz";
      sha256 = "18cxslj2753k6h666j0mmzg0h0z9l6ddi24gqls6h5d5svd7l3xk";
      system = "cartesian-product-switch";
      asd = "cartesian-product-switch";
    });
    systems = [ "cartesian-product-switch" ];
    lispLibs = [ (getAttr "map-bind" pkgs) ];
  };
  caveman-middleware-dbimanager = {
    pname = "caveman-middleware-dbimanager";
    version = "20221106-git";
    asds = [ "caveman-middleware-dbimanager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman-middleware-dbimanager";
      asd = "caveman-middleware-dbimanager";
    });
    systems = [ "caveman-middleware-dbimanager" ];
    lispLibs = [ (getAttr "dbi" pkgs) ];
  };
  caveman2 = {
    pname = "caveman2";
    version = "20221106-git";
    asds = [ "caveman2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2";
      asd = "caveman2";
    });
    systems = [ "caveman2" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "cl-project" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-response" pkgs) (getAttr "myway" pkgs) (getAttr "ningle" pkgs) (getAttr "quri" pkgs) ];
  };
  caveman2-db = {
    pname = "caveman2-db";
    version = "20221106-git";
    asds = [ "caveman2-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2-db";
      asd = "caveman2-db";
    });
    systems = [ "caveman2-db" ];
    lispLibs = [ (getAttr "caveman-middleware-dbimanager" pkgs) (getAttr "dbi" pkgs) (getAttr "sxql" pkgs) ];
  };
  caveman2-test = {
    pname = "caveman2-test";
    version = "20221106-git";
    asds = [ "caveman2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2-test";
      asd = "caveman2-test";
    });
    systems = [ "caveman2-test" ];
    lispLibs = [ (getAttr "caveman2" pkgs) (getAttr "dexador" pkgs) (getAttr "lack-component" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  caveman2-widgets = {
    pname = "caveman2-widgets";
    version = "20180228-git";
    asds = [ "caveman2-widgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets/2018-02-28/caveman2-widgets-20180228-git.tgz";
      sha256 = "1rzb868m3f28z1hcr3nzlprgqqq1kwg3qyh24p36fv76b4g96wkq";
      system = "caveman2-widgets";
      asd = "caveman2-widgets";
    });
    systems = [ "caveman2-widgets" ];
    lispLibs = [ (getAttr "caveman2" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  caveman2-widgets-bootstrap = {
    pname = "caveman2-widgets-bootstrap";
    version = "20180228-git";
    asds = [ "caveman2-widgets-bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets-bootstrap/2018-02-28/caveman2-widgets-bootstrap-20180228-git.tgz";
      sha256 = "1xh3x7r7givxxyrkh4ngx098s35qz98gcz7yjyf4dp0psfkk65xj";
      system = "caveman2-widgets-bootstrap";
      asd = "caveman2-widgets-bootstrap";
    });
    systems = [ "caveman2-widgets-bootstrap" ];
    lispLibs = [ (getAttr "caveman2" pkgs) (getAttr "caveman2-widgets" pkgs) ];
  };
  caveman2-widgets-bootstrap-test = {
    pname = "caveman2-widgets-bootstrap-test";
    version = "20180228-git";
    asds = [ "caveman2-widgets-bootstrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets-bootstrap/2018-02-28/caveman2-widgets-bootstrap-20180228-git.tgz";
      sha256 = "1xh3x7r7givxxyrkh4ngx098s35qz98gcz7yjyf4dp0psfkk65xj";
      system = "caveman2-widgets-bootstrap-test";
      asd = "caveman2-widgets-bootstrap-test";
    });
    systems = [ "caveman2-widgets-bootstrap-test" ];
    lispLibs = [ (getAttr "caveman2-widgets-bootstrap" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  caveman2-widgets-test = {
    pname = "caveman2-widgets-test";
    version = "20180228-git";
    asds = [ "caveman2-widgets-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets/2018-02-28/caveman2-widgets-20180228-git.tgz";
      sha256 = "1rzb868m3f28z1hcr3nzlprgqqq1kwg3qyh24p36fv76b4g96wkq";
      system = "caveman2-widgets-test";
      asd = "caveman2-widgets-test";
    });
    systems = [ "caveman2-widgets-test" ];
    lispLibs = [ (getAttr "caveman2-widgets" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cblas = {
    pname = "cblas";
    version = "20221106-git";
    asds = [ "cblas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cblas/2022-11-06/cl-cblas-20221106-git.tgz";
      sha256 = "1bd2w51r71pgm6sc6m2fms4j1bbnli023j4w3rbxw9cln0g7badp";
      system = "cblas";
      asd = "cblas";
    });
    systems = [ "cblas" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "uiop" pkgs) ];
  };
  ccl-compat = {
    pname = "ccl-compat";
    version = "20171130-git";
    asds = [ "ccl-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccl-compat/2017-11-30/ccl-compat-20171130-git.tgz";
      sha256 = "15402373wprmyx4l7zgpv64vj3c11xvxnnpzqbmq4j6rljpb40da";
      system = "ccl-compat";
      asd = "ccl-compat";
    });
    systems = [ "ccl-compat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  ccldoc = {
    pname = "ccldoc";
    version = "20200427-git";
    asds = [ "ccldoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccldoc/2020-04-27/ccldoc-20200427-git.tgz";
      sha256 = "0pxjk07drvxrk65g46lbpz2y0xgxgn04k6yvirl0hk2dry0myinp";
      system = "ccldoc";
      asd = "ccldoc";
    });
    systems = [ "ccldoc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ccl-compat" pkgs) (getAttr "cl-who" pkgs) (getAttr "s-xml" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  ccldoc-libraries = {
    pname = "ccldoc-libraries";
    version = "20200427-git";
    asds = [ "ccldoc-libraries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccldoc/2020-04-27/ccldoc-20200427-git.tgz";
      sha256 = "0pxjk07drvxrk65g46lbpz2y0xgxgn04k6yvirl0hk2dry0myinp";
      system = "ccldoc-libraries";
      asd = "ccldoc-libraries";
    });
    systems = [ "ccldoc-libraries" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "s-xml" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cells = {
    pname = "cells";
    version = "20211020-git";
    asds = [ "cells" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cells/2021-10-20/cells-20211020-git.tgz";
      sha256 = "0rkzvwq38lwb1045w54kw020pb9i63hxiawwhqkf8k1inhak3fdk";
      system = "cells";
      asd = "cells";
    });
    systems = [ "cells" ];
    lispLibs = [ (getAttr "utils-kt" pkgs) ];
  };
  cephes = {
    pname = "cephes";
    version = "20221106-git";
    asds = [ "cephes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cephes.cl/2022-11-06/cephes.cl-20221106-git.tgz";
      sha256 = "07krprq23i9ncdkdq69lsvzswshhrfmjds4sk1kgicjxhm37l25h";
      system = "cephes";
      asd = "cephes";
    });
    systems = [ "cephes" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cepl = {
    pname = "cepl";
    version = "release-quicklisp-d1a10b6c-git";
    asds = [ "cepl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl/2021-02-28/cepl-release-quicklisp-d1a10b6c-git.tgz";
      sha256 = "0izbw2advqm3wailj3dpq6zqfrfirwn14pw5qmqh8i71r51xwmm2";
      system = "cepl";
      asd = "cepl";
    });
    systems = [ "cepl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cepl_dot_build" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "float-features" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) (getAttr "varjo" pkgs) ];
  };
  cepl_dot_build = {
    pname = "cepl.build";
    version = "release-quicklisp-d1a10b6c-git";
    asds = [ "cepl.build" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl/2021-02-28/cepl-release-quicklisp-d1a10b6c-git.tgz";
      sha256 = "0izbw2advqm3wailj3dpq6zqfrfirwn14pw5qmqh8i71r51xwmm2";
      system = "cepl.build";
      asd = "cepl.build";
    });
    systems = [ "cepl.build" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cepl_dot_camera = {
    pname = "cepl.camera";
    version = "release-quicklisp-1292212a-git";
    asds = [ "cepl.camera" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.camera/2018-02-28/cepl.camera-release-quicklisp-1292212a-git.tgz";
      sha256 = "0z73f95bxr2vn47g8qrvf9gzy1my25mkg7hl7kpib21yahfpzzvb";
      system = "cepl.camera";
      asd = "cepl.camera";
    });
    systems = [ "cepl.camera" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "cepl_dot_spaces" pkgs) (getAttr "rtg-math" pkgs) ];
  };
  cepl_dot_devil = {
    pname = "cepl.devil";
    version = "release-quicklisp-ea5f8514-git";
    asds = [ "cepl.devil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.devil/2018-02-28/cepl.devil-release-quicklisp-ea5f8514-git.tgz";
      sha256 = "1b64vfjchkwppcp3j4krwx2x9nj29llisqy1yc9ncbnmi9xs38a0";
      system = "cepl.devil";
      asd = "cepl.devil";
    });
    systems = [ "cepl.devil" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "cl-devil" pkgs) ];
  };
  cepl_dot_drm-gbm = {
    pname = "cepl.drm-gbm";
    version = "20190521-git";
    asds = [ "cepl.drm-gbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.drm-gbm/2019-05-21/cepl.drm-gbm-20190521-git.tgz";
      sha256 = "00csd2f6z13rjqipaf02w87phn2xynmzf1jcrrshbibs204m4nmy";
      system = "cepl.drm-gbm";
      asd = "cepl.drm-gbm";
    });
    systems = [ "cepl.drm-gbm" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "cl-drm" pkgs) (getAttr "cl-egl" pkgs) (getAttr "cl-gbm" pkgs) (getAttr "osicat" pkgs) ];
  };
  cepl_dot_glop = {
    pname = "cepl.glop";
    version = "release-quicklisp-8ec09801-git";
    asds = [ "cepl.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.glop/2018-02-28/cepl.glop-release-quicklisp-8ec09801-git.tgz";
      sha256 = "1dq727v2s22yna6ycxxs79pg13b0cyh1lfrk6hsb6vizgiks20jw";
      system = "cepl.glop";
      asd = "cepl.glop";
    });
    systems = [ "cepl.glop" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "glop" pkgs) ];
  };
  cepl_dot_sdl2 = {
    pname = "cepl.sdl2";
    version = "release-quicklisp-6da5a030-git";
    asds = [ "cepl.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2/2018-02-28/cepl.sdl2-release-quicklisp-6da5a030-git.tgz";
      sha256 = "0lz8yxm1g2ch0w779lhrs2xkfciy3iz6viz7cdgyd2824isvinjf";
      system = "cepl.sdl2";
      asd = "cepl.sdl2";
    });
    systems = [ "cepl.sdl2" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "sdl2" pkgs) ];
  };
  cepl_dot_sdl2-image = {
    pname = "cepl.sdl2-image";
    version = "release-quicklisp-94a77649-git";
    asds = [ "cepl.sdl2-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2-image/2018-02-28/cepl.sdl2-image-release-quicklisp-94a77649-git.tgz";
      sha256 = "16dzjk2q658xr1v9rk2iny70rjhxbgi4lcp59s5mkdfs2k3a2637";
      system = "cepl.sdl2-image";
      asd = "cepl.sdl2-image";
    });
    systems = [ "cepl.sdl2-image" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "sdl2" pkgs) (getAttr "sdl2-image" pkgs) ];
  };
  cepl_dot_sdl2-ttf = {
    pname = "cepl.sdl2-ttf";
    version = "release-quicklisp-11b498a3-git";
    asds = [ "cepl.sdl2-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2-ttf/2018-01-31/cepl.sdl2-ttf-release-quicklisp-11b498a3-git.tgz";
      sha256 = "1fxj3rdv2rlyks00h18dpd42xywgnydgyvb1s4d67hjk7fl19a5p";
      system = "cepl.sdl2-ttf";
      asd = "cepl.sdl2-ttf";
    });
    systems = [ "cepl.sdl2-ttf" ];
    lispLibs = [ (getAttr "cepl_dot_sdl2" pkgs) (getAttr "sdl2-ttf" pkgs) (getAttr "rtg-math" pkgs) ];
  };
  cepl_dot_skitter_dot_glop = {
    pname = "cepl.skitter.glop";
    version = "release-quicklisp-f52b9240-git";
    asds = [ "cepl.skitter.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.skitter/2018-02-28/cepl.skitter-release-quicklisp-f52b9240-git.tgz";
      sha256 = "1xz53q8klzrd7cr586jd16pypxgpy68vlvfirqhlv6jc7k99sjvs";
      system = "cepl.skitter.glop";
      asd = "cepl.skitter.glop";
    });
    systems = [ "cepl.skitter.glop" ];
    lispLibs = [ (getAttr "cepl_dot_glop" pkgs) (getAttr "skitter_dot_glop" pkgs) ];
  };
  cepl_dot_skitter_dot_sdl2 = {
    pname = "cepl.skitter.sdl2";
    version = "release-quicklisp-f52b9240-git";
    asds = [ "cepl.skitter.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.skitter/2018-02-28/cepl.skitter-release-quicklisp-f52b9240-git.tgz";
      sha256 = "1xz53q8klzrd7cr586jd16pypxgpy68vlvfirqhlv6jc7k99sjvs";
      system = "cepl.skitter.sdl2";
      asd = "cepl.skitter.sdl2";
    });
    systems = [ "cepl.skitter.sdl2" ];
    lispLibs = [ (getAttr "cepl_dot_sdl2" pkgs) (getAttr "skitter_dot_sdl2" pkgs) ];
  };
  cepl_dot_spaces = {
    pname = "cepl.spaces";
    version = "release-quicklisp-c7f83f26-git";
    asds = [ "cepl.spaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.spaces/2018-03-28/cepl.spaces-release-quicklisp-c7f83f26-git.tgz";
      sha256 = "0z74ipd4j2spjwl6h625azdczpds3v44iin77q685ldx9rwx3k8y";
      system = "cepl.spaces";
      asd = "cepl.spaces";
    });
    systems = [ "cepl.spaces" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "fn" pkgs) (getAttr "rtg-math" pkgs) (getAttr "rtg-math_dot_vari" pkgs) (getAttr "varjo" pkgs) ];
  };
  ceramic = {
    pname = "ceramic";
    version = "20210807-git";
    asds = [ "ceramic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ceramic/2021-08-07/ceramic-20210807-git.tgz";
      sha256 = "0hd553gj4cwmli45pfwhqpz7sg6kzn31iv8akaxr5ba3hssa1aap";
      system = "ceramic";
      asd = "ceramic";
    });
    systems = [ "ceramic" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "clack-handler-hunchentoot" pkgs) (getAttr "copy-directory" pkgs) (getAttr "electron-tools" pkgs) (getAttr "external-program" pkgs) (getAttr "remote-js" pkgs) (getAttr "trivial-build" pkgs) (getAttr "trivial-compress" pkgs) (getAttr "trivial-download" pkgs) (getAttr "trivial-exe" pkgs) (getAttr "trivial-extract" pkgs) (getAttr "uiop" pkgs) (getAttr "uuid" pkgs) ];
  };
  ceramic-test-app = {
    pname = "ceramic-test-app";
    version = "20210807-git";
    asds = [ "ceramic-test-app" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ceramic/2021-08-07/ceramic-20210807-git.tgz";
      sha256 = "0hd553gj4cwmli45pfwhqpz7sg6kzn31iv8akaxr5ba3hssa1aap";
      system = "ceramic-test-app";
      asd = "ceramic-test-app";
    });
    systems = [ "ceramic-test-app" ];
    lispLibs = [ (getAttr "ceramic" pkgs) (getAttr "drakma" pkgs) ];
  };
  cerberus = {
    pname = "cerberus";
    version = "20221106-git";
    asds = [ "cerberus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cerberus/2022-11-06/cerberus-20221106-git.tgz";
      sha256 = "04yi0wqykx5v8drdw7ln382gxdklv60mg4aqrxg2j5wlsyacs0kb";
      system = "cerberus";
      asd = "cerberus";
    });
    systems = [ "cerberus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "glass" pkgs) (getAttr "ironclad" pkgs) (getAttr "nibbles" pkgs) (getAttr "usocket" pkgs) ];
  };
  cerberus-kdc = {
    pname = "cerberus-kdc";
    version = "20221106-git";
    asds = [ "cerberus-kdc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cerberus/2022-11-06/cerberus-20221106-git.tgz";
      sha256 = "04yi0wqykx5v8drdw7ln382gxdklv60mg4aqrxg2j5wlsyacs0kb";
      system = "cerberus-kdc";
      asd = "cerberus";
    });
    systems = [ "cerberus-kdc" ];
    lispLibs = [ (getAttr "cerberus" pkgs) (getAttr "frpc" pkgs) (getAttr "pounds" pkgs) ];
  };
  cesdi = {
    pname = "cesdi";
    version = "1.0.1";
    asds = [ "cesdi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cesdi/2020-07-15/cesdi_1.0.1.tgz";
      sha256 = "02f2pz5rw79ljkkx1ywh8nkpjj4g3z3s1lyvzqb8krbnx11wl0q9";
      system = "cesdi";
      asd = "cesdi";
    });
    systems = [ "cesdi" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  cesdi_tests = {
    pname = "cesdi_tests";
    version = "1.0.1";
    asds = [ "cesdi_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cesdi/2020-07-15/cesdi_1.0.1.tgz";
      sha256 = "02f2pz5rw79ljkkx1ywh8nkpjj4g3z3s1lyvzqb8krbnx11wl0q9";
      system = "cesdi_tests";
      asd = "cesdi_tests";
    });
    systems = [ "cesdi_tests" ];
    lispLibs = [ (getAttr "cesdi" pkgs) (getAttr "parachute" pkgs) ];
  };
  cffi = {
    pname = "cffi";
    version = "20221106-git";
    asds = [ "cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi";
      asd = "cffi";
    });
    systems = [ "cffi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  cffi-c-ref = {
    pname = "cffi-c-ref";
    version = "stable-git";
    asds = [ "cffi-c-ref" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi-c-ref/2020-10-16/cffi-c-ref-stable-git.tgz";
      sha256 = "1a3pp6xcisabqir3rp1gvvjfdxcvpm8yr35p38nri9azsinmmc7z";
      system = "cffi-c-ref";
      asd = "cffi-c-ref";
    });
    systems = [ "cffi-c-ref" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  cffi-c-ref_slash_tests = {
    pname = "cffi-c-ref_tests";
    version = "stable-git";
    asds = [ "cffi-c-ref" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi-c-ref/2020-10-16/cffi-c-ref-stable-git.tgz";
      sha256 = "1a3pp6xcisabqir3rp1gvvjfdxcvpm8yr35p38nri9azsinmmc7z";
      system = "cffi-c-ref";
      asd = "cffi-c-ref";
    });
    systems = [ "cffi-c-ref/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-libc-essentials" pkgs) (getAttr "cffi-c-ref" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cffi-examples = {
    pname = "cffi-examples";
    version = "20221106-git";
    asds = [ "cffi-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-examples";
      asd = "cffi-examples";
    });
    systems = [ "cffi-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cffi-grovel = {
    pname = "cffi-grovel";
    version = "20221106-git";
    asds = [ "cffi-grovel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-grovel";
      asd = "cffi-grovel";
    });
    systems = [ "cffi-grovel" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-toolchain" pkgs) ];
  };
  cffi-libffi = {
    pname = "cffi-libffi";
    version = "20221106-git";
    asds = [ "cffi-libffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-libffi";
      asd = "cffi-libffi";
    });
    systems = [ "cffi-libffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cffi-tests = {
    pname = "cffi-tests";
    version = "20221106-git";
    asds = [ "cffi-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-tests";
      asd = "cffi-tests";
    });
    systems = [ "cffi-tests" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "rt" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cffi-tests_slash_example = {
    pname = "cffi-tests_example";
    version = "20221106-git";
    asds = [ "cffi-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-tests";
      asd = "cffi-tests";
    });
    systems = [ "cffi-tests/example" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cffi-toolchain = {
    pname = "cffi-toolchain";
    version = "20221106-git";
    asds = [ "cffi-toolchain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-toolchain";
      asd = "cffi-toolchain";
    });
    systems = [ "cffi-toolchain" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cffi-uffi-compat = {
    pname = "cffi-uffi-compat";
    version = "20221106-git";
    asds = [ "cffi-uffi-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi-uffi-compat";
      asd = "cffi-uffi-compat";
    });
    systems = [ "cffi-uffi-compat" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cffi_slash_c2ffi = {
    pname = "cffi_c2ffi";
    version = "20221106-git";
    asds = [ "cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi";
      asd = "cffi";
    });
    systems = [ "cffi/c2ffi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cffi_slash_c2ffi-generator = {
    pname = "cffi_c2ffi-generator";
    version = "20221106-git";
    asds = [ "cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2022-11-06/cffi-20221106-git.tgz";
      sha256 = "0199hzvvsflisp79zv6dpyfkm3d91h8f0ds8mkpijd5li5h17206";
      system = "cffi";
      asd = "cffi";
    });
    systems = [ "cffi/c2ffi-generator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  chain = {
    pname = "chain";
    version = "20211209-git";
    asds = [ "chain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chain/2021-12-09/chain-20211209-git.tgz";
      sha256 = "0x8b2cbp1xq61fpbk0mqwbksnfynlgai3782rafsywka8rgfhmjh";
      system = "chain";
      asd = "chain";
    });
    systems = [ "chain" ];
    lispLibs = [ (getAttr "metabang-bind" pkgs) ];
  };
  chameleon = {
    pname = "chameleon";
    version = "v2.1.1";
    asds = [ "chameleon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chameleon/2022-02-20/chameleon-v2.1.1.tgz";
      sha256 = "1bqminvhx3hlqzxvy2a105gm9d2dxl5cy6ls5rm9wmkvw7gyza6c";
      system = "chameleon";
      asd = "chameleon";
    });
    systems = [ "chameleon" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  chameleon_slash_tests = {
    pname = "chameleon_tests";
    version = "v2.1.1";
    asds = [ "chameleon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chameleon/2022-02-20/chameleon-v2.1.1.tgz";
      sha256 = "1bqminvhx3hlqzxvy2a105gm9d2dxl5cy6ls5rm9wmkvw7gyza6c";
      system = "chameleon";
      asd = "chameleon";
    });
    systems = [ "chameleon/tests" ];
    lispLibs = [ (getAttr "chameleon" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  chancery = {
    pname = "chancery";
    version = "20201016-hg";
    asds = [ "chancery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chancery/2020-10-16/chancery-20201016-hg.tgz";
      sha256 = "1g0jgrih7q14gizy481j9z2s15pmv6iwymnpddbyqfja9miv61lw";
      system = "chancery";
      asd = "chancery";
    });
    systems = [ "chancery" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  chancery_dot_test = {
    pname = "chancery.test";
    version = "20201016-hg";
    asds = [ "chancery.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chancery/2020-10-16/chancery-20201016-hg.tgz";
      sha256 = "1g0jgrih7q14gizy481j9z2s15pmv6iwymnpddbyqfja9miv61lw";
      system = "chancery.test";
      asd = "chancery.test";
    });
    systems = [ "chancery.test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "chancery" pkgs) ];
  };
  changed-stream = {
    pname = "changed-stream";
    version = "20130128-git";
    asds = [ "changed-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/changed-stream/2013-01-28/changed-stream-20130128-git.tgz";
      sha256 = "1cll7xclg9jr55swhi3g6z567bxvb9kmljh67091xazcfacz732i";
      system = "changed-stream";
      asd = "changed-stream";
    });
    systems = [ "changed-stream" ];
    lispLibs = [  ];
  };
  changed-stream_dot_test = {
    pname = "changed-stream.test";
    version = "20130128-git";
    asds = [ "changed-stream.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/changed-stream/2013-01-28/changed-stream-20130128-git.tgz";
      sha256 = "1cll7xclg9jr55swhi3g6z567bxvb9kmljh67091xazcfacz732i";
      system = "changed-stream.test";
      asd = "changed-stream.test";
    });
    systems = [ "changed-stream.test" ];
    lispLibs = [ (getAttr "changed-stream" pkgs) ];
  };
  chanl = {
    pname = "chanl";
    version = "20210411-git";
    asds = [ "chanl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chanl/2021-04-11/chanl-20210411-git.tgz";
      sha256 = "1faljdamw09fp5154i7vhqnipm1awn2q3712ir41j2yh05djhm0y";
      system = "chanl";
      asd = "chanl";
    });
    systems = [ "chanl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  chanl_slash_examples = {
    pname = "chanl_examples";
    version = "20210411-git";
    asds = [ "chanl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chanl/2021-04-11/chanl-20210411-git.tgz";
      sha256 = "1faljdamw09fp5154i7vhqnipm1awn2q3712ir41j2yh05djhm0y";
      system = "chanl";
      asd = "chanl";
    });
    systems = [ "chanl/examples" ];
    lispLibs = [ (getAttr "chanl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  chanl_slash_tests = {
    pname = "chanl_tests";
    version = "20210411-git";
    asds = [ "chanl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chanl/2021-04-11/chanl-20210411-git.tgz";
      sha256 = "1faljdamw09fp5154i7vhqnipm1awn2q3712ir41j2yh05djhm0y";
      system = "chanl";
      asd = "chanl";
    });
    systems = [ "chanl/tests" ];
    lispLibs = [ (getAttr "chanl" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  character-modifier-bits = {
    pname = "character-modifier-bits";
    version = "20200427-git";
    asds = [ "character-modifier-bits" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "character-modifier-bits";
      asd = "character-modifier-bits";
    });
    systems = [ "character-modifier-bits" ];
    lispLibs = [  ];
  };
  cheat-js = {
    pname = "cheat-js";
    version = "20121013-git";
    asds = [ "cheat-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cheat-js/2012-10-13/cheat-js-20121013-git.tgz";
      sha256 = "1h73kx0iii4y4gslz6f8kvf980bnypsras6xj38apm0fcwm93w03";
      system = "cheat-js";
      asd = "cheat-js";
    });
    systems = [ "cheat-js" ];
    lispLibs = [ (getAttr "cl-uglify-js" pkgs) (getAttr "fiveam" pkgs) ];
  };
  check-bnf = {
    pname = "check-bnf";
    version = "20220707-git";
    asds = [ "check-bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-bnf/2022-07-07/check-bnf-20220707-git.tgz";
      sha256 = "1dpp0xzj51a7fg9yw0xsipnsa54xj1axvkk55n0yxq9yv9ih3rb0";
      system = "check-bnf";
      asd = "check-bnf";
    });
    systems = [ "check-bnf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "matrix-case" pkgs) (getAttr "millet" pkgs) ];
  };
  check-bnf_dot_test = {
    pname = "check-bnf.test";
    version = "20220707-git";
    asds = [ "check-bnf.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-bnf/2022-07-07/check-bnf-20220707-git.tgz";
      sha256 = "1dpp0xzj51a7fg9yw0xsipnsa54xj1axvkk55n0yxq9yv9ih3rb0";
      system = "check-bnf.test";
      asd = "check-bnf.test";
    });
    systems = [ "check-bnf.test" ];
    lispLibs = [ (getAttr "check-bnf" pkgs) (getAttr "jingoh" pkgs) ];
  };
  check-it = {
    pname = "check-it";
    version = "20150709-git";
    asds = [ "check-it" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-it/2015-07-09/check-it-20150709-git.tgz";
      sha256 = "1kbjwpniffdpv003igmlz5r0vy65m7wpfnhg54fhwirp1227hgg7";
      system = "check-it";
      asd = "check-it";
    });
    systems = [ "check-it" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "optima" pkgs) ];
  };
  check-it-test = {
    pname = "check-it-test";
    version = "20150709-git";
    asds = [ "check-it-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-it/2015-07-09/check-it-20150709-git.tgz";
      sha256 = "1kbjwpniffdpv003igmlz5r0vy65m7wpfnhg54fhwirp1227hgg7";
      system = "check-it-test";
      asd = "check-it";
    });
    systems = [ "check-it-test" ];
    lispLibs = [ (getAttr "check-it" pkgs) (getAttr "stefil" pkgs) ];
  };
  checkl = {
    pname = "checkl";
    version = "20180328-git";
    asds = [ "checkl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl";
      asd = "checkl";
    });
    systems = [ "checkl" ];
    lispLibs = [ (getAttr "marshal" pkgs) ];
  };
  checkl-docs = {
    pname = "checkl-docs";
    version = "20180328-git";
    asds = [ "checkl-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl-docs";
      asd = "checkl-docs";
    });
    systems = [ "checkl-docs" ];
    lispLibs = [ (getAttr "checkl" pkgs) (getAttr "cl-gendoc" pkgs) ];
  };
  checkl-test = {
    pname = "checkl-test";
    version = "20180328-git";
    asds = [ "checkl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl-test";
      asd = "checkl-test";
    });
    systems = [ "checkl-test" ];
    lispLibs = [ (getAttr "checkl" pkgs) (getAttr "fiveam" pkgs) ];
  };
  chemical-compounds = {
    pname = "chemical-compounds";
    version = "1.0.2";
    asds = [ "chemical-compounds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chemical-compounds/2011-10-01/chemical-compounds-1.0.2.tgz";
      sha256 = "047z1lab08y4nsb32rnzqfpb6akyhibzjgmmr1bnwrh9pmhv3s2k";
      system = "chemical-compounds";
      asd = "chemical-compounds";
    });
    systems = [ "chemical-compounds" ];
    lispLibs = [ (getAttr "periodic-table" pkgs) ];
  };
  chillax = {
    pname = "chillax";
    version = "20150302-git";
    asds = [ "chillax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax";
      asd = "chillax";
    });
    systems = [ "chillax" ];
    lispLibs = [ (getAttr "chillax_dot_core" pkgs) (getAttr "chillax_dot_yason" pkgs) ];
  };
  chillax_dot_core = {
    pname = "chillax.core";
    version = "20150302-git";
    asds = [ "chillax.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.core";
      asd = "chillax.core";
    });
    systems = [ "chillax.core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  chillax_dot_jsown = {
    pname = "chillax.jsown";
    version = "20150302-git";
    asds = [ "chillax.jsown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.jsown";
      asd = "chillax.jsown";
    });
    systems = [ "chillax.jsown" ];
    lispLibs = [ (getAttr "chillax_dot_core" pkgs) (getAttr "jsown" pkgs) ];
  };
  chillax_dot_view-server = {
    pname = "chillax.view-server";
    version = "20150302-git";
    asds = [ "chillax.view-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.view-server";
      asd = "chillax.view-server";
    });
    systems = [ "chillax.view-server" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "yason" pkgs) ];
  };
  chillax_dot_yason = {
    pname = "chillax.yason";
    version = "20150302-git";
    asds = [ "chillax.yason" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.yason";
      asd = "chillax.yason";
    });
    systems = [ "chillax.yason" ];
    lispLibs = [ (getAttr "chillax_dot_core" pkgs) (getAttr "yason" pkgs) ];
  };
  chipmunk-blob = {
    pname = "chipmunk-blob";
    version = "stable-git";
    asds = [ "chipmunk-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chipmunk-blob/2020-10-16/chipmunk-blob-stable-git.tgz";
      sha256 = "0kdi1al1cn90hzjfnjhkxp3k5ibp6l73k3m04mkpzkzpjy7jc80d";
      system = "chipmunk-blob";
      asd = "chipmunk-blob";
    });
    systems = [ "chipmunk-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  chipz = {
    pname = "chipz";
    version = "20220220-git";
    asds = [ "chipz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chipz/2022-02-20/chipz-20220220-git.tgz";
      sha256 = "1n4f22i9j8iapjd6yx1z348rggcybvg9h794kx9libjgz4bs371h";
      system = "chipz";
      asd = "chipz";
    });
    systems = [ "chipz" ];
    lispLibs = [  ];
  };
  chirp = {
    pname = "chirp";
    version = "20211020-git";
    asds = [ "chirp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2021-10-20/chirp-20211020-git.tgz";
      sha256 = "0j12qbv6jd7rmk8zmb9pk54406hqk9vn9s83v3fy7amq84kghsvz";
      system = "chirp";
      asd = "chirp";
    });
    systems = [ "chirp" ];
    lispLibs = [ (getAttr "chirp-drakma" pkgs) ];
  };
  chirp-core = {
    pname = "chirp-core";
    version = "20211020-git";
    asds = [ "chirp-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2021-10-20/chirp-20211020-git.tgz";
      sha256 = "0j12qbv6jd7rmk8zmb9pk54406hqk9vn9s83v3fy7amq84kghsvz";
      system = "chirp-core";
      asd = "chirp-core";
    });
    systems = [ "chirp-core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uuid" pkgs) (getAttr "yason" pkgs) ];
  };
  chirp-dexador = {
    pname = "chirp-dexador";
    version = "20211020-git";
    asds = [ "chirp-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2021-10-20/chirp-20211020-git.tgz";
      sha256 = "0j12qbv6jd7rmk8zmb9pk54406hqk9vn9s83v3fy7amq84kghsvz";
      system = "chirp-dexador";
      asd = "chirp-dexador";
    });
    systems = [ "chirp-dexador" ];
    lispLibs = [ (getAttr "chirp-core" pkgs) (getAttr "dexador" pkgs) ];
  };
  chirp-drakma = {
    pname = "chirp-drakma";
    version = "20211020-git";
    asds = [ "chirp-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2021-10-20/chirp-20211020-git.tgz";
      sha256 = "0j12qbv6jd7rmk8zmb9pk54406hqk9vn9s83v3fy7amq84kghsvz";
      system = "chirp-drakma";
      asd = "chirp-drakma";
    });
    systems = [ "chirp-drakma" ];
    lispLibs = [ (getAttr "chirp-core" pkgs) (getAttr "drakma" pkgs) ];
  };
  chrome-native-messaging = {
    pname = "chrome-native-messaging";
    version = "20150302-git";
    asds = [ "chrome-native-messaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chrome-native-messaging/2015-03-02/chrome-native-messaging-20150302-git.tgz";
      sha256 = "1fw02w5brpwa0kl7sx5b13fbcfv1ny8rwcj11ayj2q528i2xmpx5";
      system = "chrome-native-messaging";
      asd = "chrome-native-messaging";
    });
    systems = [ "chrome-native-messaging" ];
    lispLibs = [ (getAttr "trivial-utf-8" pkgs) ];
  };
  chronicity = {
    pname = "chronicity";
    version = "20190202-git";
    asds = [ "chronicity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chronicity/2019-02-02/chronicity-20190202-git.tgz";
      sha256 = "1h5dlgvccffd8sqszqwilscysklzfcp374zl48rq14ywgv3rnwhl";
      system = "chronicity";
      asd = "chronicity";
    });
    systems = [ "chronicity" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) ];
  };
  chronicity-test = {
    pname = "chronicity-test";
    version = "20190202-git";
    asds = [ "chronicity-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chronicity/2019-02-02/chronicity-20190202-git.tgz";
      sha256 = "1h5dlgvccffd8sqszqwilscysklzfcp374zl48rq14ywgv3rnwhl";
      system = "chronicity-test";
      asd = "chronicity-test";
    });
    systems = [ "chronicity-test" ];
    lispLibs = [ (getAttr "chronicity" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  chtml-matcher = {
    pname = "chtml-matcher";
    version = "20111001-git";
    asds = [ "chtml-matcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chtml-matcher/2011-10-01/chtml-matcher-20111001-git.tgz";
      sha256 = "1q1ksy2w0c4dcmq8543scl11x4crh1m5w29p1wjpqhxk826jx7fd";
      system = "chtml-matcher";
      asd = "chtml-matcher";
    });
    systems = [ "chtml-matcher" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "stdutils" pkgs) (getAttr "closure-html" pkgs) (getAttr "f-underscore" pkgs) ];
  };
  chunga = {
    pname = "chunga";
    version = "20221106-git";
    asds = [ "chunga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chunga/2022-11-06/chunga-20221106-git.tgz";
      sha256 = "117qvvfszi4s6zfcxi7mpwx14dpgamir7n124p4whwyam04b0y1b";
      system = "chunga";
      asd = "chunga";
    });
    systems = [ "chunga" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  ci-utils = {
    pname = "ci-utils";
    version = "20221106-git";
    asds = [ "ci-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils";
      asd = "ci-utils";
    });
    systems = [ "ci-utils" ];
    lispLibs = [ (getAttr "ci-utils-features" pkgs) ];
  };
  ci-utils-features = {
    pname = "ci-utils-features";
    version = "20221106-git";
    asds = [ "ci-utils-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils-features";
      asd = "ci-utils-features";
    });
    systems = [ "ci-utils-features" ];
    lispLibs = [  ];
  };
  ci-utils_slash_coveralls = {
    pname = "ci-utils_coveralls";
    version = "20221106-git";
    asds = [ "ci-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils";
      asd = "ci-utils";
    });
    systems = [ "ci-utils/coveralls" ];
    lispLibs = [ (getAttr "ci-utils" pkgs) (getAttr "ci-utils-features" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ci-utils_slash_test = {
    pname = "ci-utils_test";
    version = "20221106-git";
    asds = [ "ci-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils";
      asd = "ci-utils";
    });
    systems = [ "ci-utils/test" ];
    lispLibs = [ (getAttr "ci-utils" pkgs) (getAttr "ci-utils-features" pkgs) (getAttr "fiveam" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  circular-streams = {
    pname = "circular-streams";
    version = "20161204-git";
    asds = [ "circular-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/circular-streams/2016-12-04/circular-streams-20161204-git.tgz";
      sha256 = "1wpw6d5cciyqcf92f7mvihak52pd5s47kk4qq6f0r2z2as68p5rs";
      system = "circular-streams";
      asd = "circular-streams";
    });
    systems = [ "circular-streams" ];
    lispLibs = [ (getAttr "fast-io" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  circular-streams-test = {
    pname = "circular-streams-test";
    version = "20161204-git";
    asds = [ "circular-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/circular-streams/2016-12-04/circular-streams-20161204-git.tgz";
      sha256 = "1wpw6d5cciyqcf92f7mvihak52pd5s47kk4qq6f0r2z2as68p5rs";
      system = "circular-streams-test";
      asd = "circular-streams-test";
    });
    systems = [ "circular-streams-test" ];
    lispLibs = [ (getAttr "circular-streams" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  city-hash = {
    pname = "city-hash";
    version = "20200925-git";
    asds = [ "city-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/city-hash/2020-09-25/city-hash-20200925-git.tgz";
      sha256 = "10ksl402aa37sn78hnvlvpqibr66qzpjvf2x4a789gnl411cf44a";
      system = "city-hash";
      asd = "city-hash";
    });
    systems = [ "city-hash" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "nibbles" pkgs) (getAttr "swap-bytes" pkgs) ];
  };
  city-hash-test = {
    pname = "city-hash-test";
    version = "20200925-git";
    asds = [ "city-hash-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/city-hash/2020-09-25/city-hash-20200925-git.tgz";
      sha256 = "10ksl402aa37sn78hnvlvpqibr66qzpjvf2x4a789gnl411cf44a";
      system = "city-hash-test";
      asd = "city-hash-test";
    });
    systems = [ "city-hash-test" ];
    lispLibs = [ (getAttr "city-hash" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  ckr-tables = {
    pname = "ckr-tables";
    version = "20221106-git";
    asds = [ "ckr-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-critic/2022-11-06/lisp-critic-20221106-git.tgz";
      sha256 = "000vp8jsvpw80by7c7nb5394akfcr6rzzpzw049am67fh5qk89rn";
      system = "ckr-tables";
      asd = "ckr-tables";
    });
    systems = [ "ckr-tables" ];
    lispLibs = [  ];
  };
  cl_plus_ssl = {
    pname = "cl+ssl";
    version = "20221106-git";
    asds = [ "cl+ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl+ssl/2022-11-06/cl+ssl-20221106-git.tgz";
      sha256 = "19v19mkkwnbd73aim7az8ciahz7x39k6l3f2acxnpps35kqx2ipq";
      system = "cl+ssl";
      asd = "cl+ssl";
    });
    systems = [ "cl+ssl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl_plus_ssl_dot_test = {
    pname = "cl+ssl.test";
    version = "20221106-git";
    asds = [ "cl+ssl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl+ssl/2022-11-06/cl+ssl-20221106-git.tgz";
      sha256 = "19v19mkkwnbd73aim7az8ciahz7x39k6l3f2acxnpps35kqx2ipq";
      system = "cl+ssl.test";
      asd = "cl+ssl.test";
    });
    systems = [ "cl+ssl.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-coveralls" pkgs) (getAttr "fiveam" pkgs) (getAttr "trivial-sockets" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl_plus_ssl_slash_config = {
    pname = "cl+ssl_config";
    version = "20221106-git";
    asds = [ "cl+ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl+ssl/2022-11-06/cl+ssl-20221106-git.tgz";
      sha256 = "19v19mkkwnbd73aim7az8ciahz7x39k6l3f2acxnpps35kqx2ipq";
      system = "cl+ssl";
      asd = "cl+ssl";
    });
    systems = [ "cl+ssl/config" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-6502 = {
    pname = "cl-6502";
    version = "20211020-git";
    asds = [ "cl-6502" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-6502/2021-10-20/cl-6502-20211020-git.tgz";
      sha256 = "1mzdx141ad1rf0di09glyibxbizbmhzd9l3cqd7r3cvrvf5gkj49";
      system = "cl-6502";
      asd = "cl-6502";
    });
    systems = [ "cl-6502" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-aa = {
    pname = "cl-aa";
    version = "20180228-git";
    asds = [ "cl-aa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-aa";
      asd = "cl-aa";
    });
    systems = [ "cl-aa" ];
    lispLibs = [  ];
  };
  cl-aa-misc = {
    pname = "cl-aa-misc";
    version = "20180228-git";
    asds = [ "cl-aa-misc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-aa-misc";
      asd = "cl-aa-misc";
    });
    systems = [ "cl-aa-misc" ];
    lispLibs = [  ];
  };
  cl-acronyms = {
    pname = "cl-acronyms";
    version = "20150302-git";
    asds = [ "cl-acronyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-acronyms/2015-03-02/cl-acronyms-20150302-git.tgz";
      sha256 = "1b827g6n87i81wbqzvmlq0yn41kfa502v5ssbh2wh1b4xznhn8cc";
      system = "cl-acronyms";
      asd = "cl-acronyms";
    });
    systems = [ "cl-acronyms" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-actors = {
    pname = "cl-actors";
    version = "20191130-git";
    asds = [ "cl-actors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-lisp-actors/2019-11-30/common-lisp-actors-20191130-git.tgz";
      sha256 = "0snf91yivxq6jcbvm3l6b05lcka7jrzciqd4m841amghfw32clfn";
      system = "cl-actors";
      asd = "cl-actors";
    });
    systems = [ "cl-actors" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  cl-advice = {
    pname = "cl-advice";
    version = "20220707-git";
    asds = [ "cl-advice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-advice/2022-07-07/cl-advice-20220707-git.tgz";
      sha256 = "1cxfdzlgh5vflc8yb9nv5diz6mg7xsc75897qdv9i562773khzaw";
      system = "cl-advice";
      asd = "cl-advice";
    });
    systems = [ "cl-advice" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  cl-advice-tests = {
    pname = "cl-advice-tests";
    version = "20220707-git";
    asds = [ "cl-advice-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-advice/2022-07-07/cl-advice-20220707-git.tgz";
      sha256 = "1cxfdzlgh5vflc8yb9nv5diz6mg7xsc75897qdv9i562773khzaw";
      system = "cl-advice-tests";
      asd = "cl-advice-tests";
    });
    systems = [ "cl-advice-tests" ];
    lispLibs = [ (getAttr "cl-advice" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-alc = {
    pname = "cl-alc";
    version = "20221106-git";
    asds = [ "cl-alc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-alc";
      asd = "cl-alc";
    });
    systems = [ "cl-alc" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-openal" pkgs) ];
  };
  cl-algebraic-data-type = {
    pname = "cl-algebraic-data-type";
    version = "20191007-git";
    asds = [ "cl-algebraic-data-type" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-algebraic-data-type/2019-10-07/cl-algebraic-data-type-20191007-git.tgz";
      sha256 = "1lnqxcv8pd5z8n0g5p2l0dbljx9pqiv18hxl0vhsh7ldhkrjv2jx";
      system = "cl-algebraic-data-type";
      asd = "cl-algebraic-data-type";
    });
    systems = [ "cl-algebraic-data-type" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "global-vars" pkgs) ];
  };
  cl-all = {
    pname = "cl-all";
    version = "20221106-git";
    asds = [ "cl-all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-all/2022-11-06/cl-all-20221106-git.tgz";
      sha256 = "0rvl5zhza5fz91spk308glsnh50waz0iri8brl1ij74bb30rwlgc";
      system = "cl-all";
      asd = "cl-all";
    });
    systems = [ "cl-all" ];
    lispLibs = [  ];
  };
  cl-alut = {
    pname = "cl-alut";
    version = "20221106-git";
    asds = [ "cl-alut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-alut";
      asd = "cl-alut";
    });
    systems = [ "cl-alut" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-openal" pkgs) ];
  };
  cl-amqp = {
    pname = "cl-amqp";
    version = "v0.4.1";
    asds = [ "cl-amqp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-amqp/2019-10-08/cl-amqp-v0.4.1.tgz";
      sha256 = "1ggd77ckfr54z7z5yi8d04k310x2dhf53qija8dzjhk1r9py20vz";
      system = "cl-amqp";
      asd = "cl-amqp";
    });
    systems = [ "cl-amqp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "collectors" pkgs) (getAttr "fast-io" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "nibbles" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "wu-decimal" pkgs) ];
  };
  cl-amqp_dot_test = {
    pname = "cl-amqp.test";
    version = "v0.4.1";
    asds = [ "cl-amqp.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-amqp/2019-10-08/cl-amqp-v0.4.1.tgz";
      sha256 = "1ggd77ckfr54z7z5yi8d04k310x2dhf53qija8dzjhk1r9py20vz";
      system = "cl-amqp.test";
      asd = "cl-amqp.test";
    });
    systems = [ "cl-amqp.test" ];
    lispLibs = [ (getAttr "cl-amqp" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-ana = {
    pname = "cl-ana";
    version = "20220707-git";
    asds = [ "cl-ana" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana";
      asd = "cl-ana";
    });
    systems = [ "cl-ana" ];
    lispLibs = [ (getAttr "cl-ana_dot_array-utils" pkgs) (getAttr "cl-ana_dot_binary-tree" pkgs) (getAttr "cl-ana_dot_calculus" pkgs) (getAttr "cl-ana_dot_clos-utils" pkgs) (getAttr "cl-ana_dot_columnar-table" pkgs) (getAttr "cl-ana_dot_csv-table" pkgs) (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_file-utils" pkgs) (getAttr "cl-ana_dot_fitting" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_hdf-table" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_int-char" pkgs) (getAttr "cl-ana_dot_linear-algebra" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_lorentz" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) (getAttr "cl-ana_dot_makeres-block" pkgs) (getAttr "cl-ana_dot_makeres-branch" pkgs) (getAttr "cl-ana_dot_makeres-graphviz" pkgs) (getAttr "cl-ana_dot_makeres-macro" pkgs) (getAttr "cl-ana_dot_makeres-progress" pkgs) (getAttr "cl-ana_dot_makeres-table" pkgs) (getAttr "cl-ana_dot_makeres-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_ntuple-table" pkgs) (getAttr "cl-ana_dot_package-utils" pkgs) (getAttr "cl-ana_dot_pathname-utils" pkgs) (getAttr "cl-ana_dot_plotting" pkgs) (getAttr "cl-ana_dot_quantity" pkgs) (getAttr "cl-ana_dot_reusable-table" pkgs) (getAttr "cl-ana_dot_serialization" pkgs) (getAttr "cl-ana_dot_spline" pkgs) (getAttr "cl-ana_dot_statistical-learning" pkgs) (getAttr "cl-ana_dot_statistics" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-ana_dot_table-utils" pkgs) (getAttr "cl-ana_dot_table-viewing" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) ];
  };
  cl-ana_dot_array-utils = {
    pname = "cl-ana.array-utils";
    version = "20220707-git";
    asds = [ "cl-ana.array-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.array-utils";
      asd = "cl-ana.array-utils";
    });
    systems = [ "cl-ana.array-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-ana_dot_binary-tree = {
    pname = "cl-ana.binary-tree";
    version = "20220707-git";
    asds = [ "cl-ana.binary-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.binary-tree";
      asd = "cl-ana.binary-tree";
    });
    systems = [ "cl-ana.binary-tree" ];
    lispLibs = [ (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) ];
  };
  cl-ana_dot_calculus = {
    pname = "cl-ana.calculus";
    version = "20220707-git";
    asds = [ "cl-ana.calculus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.calculus";
      asd = "cl-ana.calculus";
    });
    systems = [ "cl-ana.calculus" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_linear-algebra" pkgs) ];
  };
  cl-ana_dot_clos-utils = {
    pname = "cl-ana.clos-utils";
    version = "20220707-git";
    asds = [ "cl-ana.clos-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.clos-utils";
      asd = "cl-ana.clos-utils";
    });
    systems = [ "cl-ana.clos-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-ana_dot_columnar-table = {
    pname = "cl-ana.columnar-table";
    version = "20220707-git";
    asds = [ "cl-ana.columnar-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.columnar-table";
      asd = "cl-ana.columnar-table";
    });
    systems = [ "cl-ana.columnar-table" ];
    lispLibs = [ (getAttr "cl-ana_dot_reusable-table" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_csv-table = {
    pname = "cl-ana.csv-table";
    version = "20220707-git";
    asds = [ "cl-ana.csv-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.csv-table";
      asd = "cl-ana.csv-table";
    });
    systems = [ "cl-ana.csv-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "antik" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-csv" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-ana_dot_error-propogation = {
    pname = "cl-ana.error-propogation";
    version = "20220707-git";
    asds = [ "cl-ana.error-propogation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.error-propogation";
      asd = "cl-ana.error-propogation";
    });
    systems = [ "cl-ana.error-propogation" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) ];
  };
  cl-ana_dot_file-utils = {
    pname = "cl-ana.file-utils";
    version = "20220707-git";
    asds = [ "cl-ana.file-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.file-utils";
      asd = "cl-ana.file-utils";
    });
    systems = [ "cl-ana.file-utils" ];
    lispLibs = [ (getAttr "external-program" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-ana_dot_fitting = {
    pname = "cl-ana.fitting";
    version = "20220707-git";
    asds = [ "cl-ana.fitting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.fitting";
      asd = "cl-ana.fitting";
    });
    systems = [ "cl-ana.fitting" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "gsll" pkgs) ];
  };
  cl-ana_dot_functional-utils = {
    pname = "cl-ana.functional-utils";
    version = "20220707-git";
    asds = [ "cl-ana.functional-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.functional-utils";
      asd = "cl-ana.functional-utils";
    });
    systems = [ "cl-ana.functional-utils" ];
    lispLibs = [  ];
  };
  cl-ana_dot_generic-math = {
    pname = "cl-ana.generic-math";
    version = "20220707-git";
    asds = [ "cl-ana.generic-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.generic-math";
      asd = "cl-ana.generic-math";
    });
    systems = [ "cl-ana.generic-math" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_package-utils" pkgs) ];
  };
  cl-ana_dot_gnuplot-interface = {
    pname = "cl-ana.gnuplot-interface";
    version = "20220707-git";
    asds = [ "cl-ana.gnuplot-interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.gnuplot-interface";
      asd = "cl-ana.gnuplot-interface";
    });
    systems = [ "cl-ana.gnuplot-interface" ];
    lispLibs = [ (getAttr "external-program" pkgs) ];
  };
  cl-ana_dot_gsl-cffi = {
    pname = "cl-ana.gsl-cffi";
    version = "20220707-git";
    asds = [ "cl-ana.gsl-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.gsl-cffi";
      asd = "cl-ana.gsl-cffi";
    });
    systems = [ "cl-ana.gsl-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-ana_dot_hash-table-utils = {
    pname = "cl-ana.hash-table-utils";
    version = "20220707-git";
    asds = [ "cl-ana.hash-table-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hash-table-utils";
      asd = "cl-ana.hash-table-utils";
    });
    systems = [ "cl-ana.hash-table-utils" ];
    lispLibs = [  ];
  };
  cl-ana_dot_hdf-cffi = {
    pname = "cl-ana.hdf-cffi";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-cffi";
      asd = "cl-ana.hdf-cffi";
    });
    systems = [ "cl-ana.hdf-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-ana_dot_hdf-table = {
    pname = "cl-ana.hdf-table";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-table";
      asd = "cl-ana.hdf-table";
    });
    systems = [ "cl-ana.hdf-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_binary-tree" pkgs) (getAttr "cl-ana_dot_hdf-typespec" pkgs) (getAttr "cl-ana_dot_hdf-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-ana_dot_typed-table" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) ];
  };
  cl-ana_dot_hdf-typespec = {
    pname = "cl-ana.hdf-typespec";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-typespec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-typespec";
      asd = "cl-ana.hdf-typespec";
    });
    systems = [ "cl-ana.hdf-typespec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ana_dot_hdf-cffi" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) ];
  };
  cl-ana_dot_hdf-utils = {
    pname = "cl-ana.hdf-utils";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-utils";
      asd = "cl-ana.hdf-utils";
    });
    systems = [ "cl-ana.hdf-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ana_dot_hdf-cffi" pkgs) (getAttr "cl-ana_dot_hdf-typespec" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_pathname-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) ];
  };
  cl-ana_dot_histogram = {
    pname = "cl-ana.histogram";
    version = "20220707-git";
    asds = [ "cl-ana.histogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.histogram";
      asd = "cl-ana.histogram";
    });
    systems = [ "cl-ana.histogram" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_binary-tree" pkgs) (getAttr "cl-ana_dot_clos-utils" pkgs) (getAttr "cl-ana_dot_fitting" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-ana_dot_int-char = {
    pname = "cl-ana.int-char";
    version = "20220707-git";
    asds = [ "cl-ana.int-char" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.int-char";
      asd = "cl-ana.int-char";
    });
    systems = [ "cl-ana.int-char" ];
    lispLibs = [  ];
  };
  cl-ana_dot_linear-algebra = {
    pname = "cl-ana.linear-algebra";
    version = "20220707-git";
    asds = [ "cl-ana.linear-algebra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.linear-algebra";
      asd = "cl-ana.linear-algebra";
    });
    systems = [ "cl-ana.linear-algebra" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "gsll" pkgs) ];
  };
  cl-ana_dot_list-utils = {
    pname = "cl-ana.list-utils";
    version = "20220707-git";
    asds = [ "cl-ana.list-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.list-utils";
      asd = "cl-ana.list-utils";
    });
    systems = [ "cl-ana.list-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) ];
  };
  cl-ana_dot_lorentz = {
    pname = "cl-ana.lorentz";
    version = "20220707-git";
    asds = [ "cl-ana.lorentz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.lorentz";
      asd = "cl-ana.lorentz";
    });
    systems = [ "cl-ana.lorentz" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_linear-algebra" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-ana_dot_macro-utils = {
    pname = "cl-ana.macro-utils";
    version = "20220707-git";
    asds = [ "cl-ana.macro-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.macro-utils";
      asd = "cl-ana.macro-utils";
    });
    systems = [ "cl-ana.macro-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-ana_dot_makeres = {
    pname = "cl-ana.makeres";
    version = "20220707-git";
    asds = [ "cl-ana.makeres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres";
      asd = "cl-ana.makeres";
    });
    systems = [ "cl-ana.makeres" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_file-utils" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_hdf-utils" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_pathname-utils" pkgs) (getAttr "cl-ana_dot_plotting" pkgs) (getAttr "cl-ana_dot_reusable-table" pkgs) (getAttr "cl-ana_dot_serialization" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-fad" pkgs) (getAttr "external-program" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-ana_dot_makeres-block = {
    pname = "cl-ana.makeres-block";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-block" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-block";
      asd = "cl-ana.makeres-block";
    });
    systems = [ "cl-ana.makeres-block" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) ];
  };
  cl-ana_dot_makeres-branch = {
    pname = "cl-ana.makeres-branch";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-branch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-branch";
      asd = "cl-ana.makeres-branch";
    });
    systems = [ "cl-ana.makeres-branch" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) (getAttr "cl-ana_dot_map" pkgs) ];
  };
  cl-ana_dot_makeres-graphviz = {
    pname = "cl-ana.makeres-graphviz";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-graphviz";
      asd = "cl-ana.makeres-graphviz";
    });
    systems = [ "cl-ana.makeres-graphviz" ];
    lispLibs = [ (getAttr "cl-ana_dot_makeres" pkgs) (getAttr "external-program" pkgs) ];
  };
  cl-ana_dot_makeres-macro = {
    pname = "cl-ana.makeres-macro";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-macro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-macro";
      asd = "cl-ana.makeres-macro";
    });
    systems = [ "cl-ana.makeres-macro" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) ];
  };
  cl-ana_dot_makeres-progress = {
    pname = "cl-ana.makeres-progress";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-progress" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-progress";
      asd = "cl-ana.makeres-progress";
    });
    systems = [ "cl-ana.makeres-progress" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) ];
  };
  cl-ana_dot_makeres-table = {
    pname = "cl-ana.makeres-table";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-table";
      asd = "cl-ana.makeres-table";
    });
    systems = [ "cl-ana.makeres-table" ];
    lispLibs = [ (getAttr "cl-ana_dot_csv-table" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_hdf-table" pkgs) (getAttr "cl-ana_dot_hdf-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) (getAttr "cl-ana_dot_makeres-macro" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_ntuple-table" pkgs) (getAttr "cl-ana_dot_reusable-table" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_makeres-utils = {
    pname = "cl-ana.makeres-utils";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-utils";
      asd = "cl-ana.makeres-utils";
    });
    systems = [ "cl-ana.makeres-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_file-utils" pkgs) (getAttr "cl-ana_dot_fitting" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_makeres" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_pathname-utils" pkgs) (getAttr "cl-ana_dot_plotting" pkgs) (getAttr "cl-ana_dot_reusable-table" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_map = {
    pname = "cl-ana.map";
    version = "20220707-git";
    asds = [ "cl-ana.map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.map";
      asd = "cl-ana.map";
    });
    systems = [ "cl-ana.map" ];
    lispLibs = [ (getAttr "cl-ana_dot_hash-table-utils" pkgs) ];
  };
  cl-ana_dot_math-functions = {
    pname = "cl-ana.math-functions";
    version = "20220707-git";
    asds = [ "cl-ana.math-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.math-functions";
      asd = "cl-ana.math-functions";
    });
    systems = [ "cl-ana.math-functions" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "gsll" pkgs) ];
  };
  cl-ana_dot_memoization = {
    pname = "cl-ana.memoization";
    version = "20220707-git";
    asds = [ "cl-ana.memoization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.memoization";
      asd = "cl-ana.memoization";
    });
    systems = [ "cl-ana.memoization" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-ana_dot_ntuple-table = {
    pname = "cl-ana.ntuple-table";
    version = "20220707-git";
    asds = [ "cl-ana.ntuple-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.ntuple-table";
      asd = "cl-ana.ntuple-table";
    });
    systems = [ "cl-ana.ntuple-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ana_dot_gsl-cffi" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-ana_dot_typed-table" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) (getAttr "gsll" pkgs) ];
  };
  cl-ana_dot_package-utils = {
    pname = "cl-ana.package-utils";
    version = "20220707-git";
    asds = [ "cl-ana.package-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.package-utils";
      asd = "cl-ana.package-utils";
    });
    systems = [ "cl-ana.package-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-ana_dot_pathname-utils = {
    pname = "cl-ana.pathname-utils";
    version = "20220707-git";
    asds = [ "cl-ana.pathname-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.pathname-utils";
      asd = "cl-ana.pathname-utils";
    });
    systems = [ "cl-ana.pathname-utils" ];
    lispLibs = [  ];
  };
  cl-ana_dot_plotting = {
    pname = "cl-ana.plotting";
    version = "20220707-git";
    asds = [ "cl-ana.plotting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.plotting";
      asd = "cl-ana.plotting";
    });
    systems = [ "cl-ana.plotting" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_gnuplot-interface" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_pathname-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "external-program" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-ana_dot_quantity = {
    pname = "cl-ana.quantity";
    version = "20220707-git";
    asds = [ "cl-ana.quantity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.quantity";
      asd = "cl-ana.quantity";
    });
    systems = [ "cl-ana.quantity" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) ];
  };
  cl-ana_dot_reusable-table = {
    pname = "cl-ana.reusable-table";
    version = "20220707-git";
    asds = [ "cl-ana.reusable-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.reusable-table";
      asd = "cl-ana.reusable-table";
    });
    systems = [ "cl-ana.reusable-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_serialization = {
    pname = "cl-ana.serialization";
    version = "20220707-git";
    asds = [ "cl-ana.serialization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.serialization";
      asd = "cl-ana.serialization";
    });
    systems = [ "cl-ana.serialization" ];
    lispLibs = [ (getAttr "cl-ana_dot_error-propogation" pkgs) (getAttr "cl-ana_dot_hdf-table" pkgs) (getAttr "cl-ana_dot_hdf-utils" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_int-char" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) ];
  };
  cl-ana_dot_spline = {
    pname = "cl-ana.spline";
    version = "20220707-git";
    asds = [ "cl-ana.spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.spline";
      asd = "cl-ana.spline";
    });
    systems = [ "cl-ana.spline" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-ana_dot_fitting" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) (getAttr "gsll" pkgs) ];
  };
  cl-ana_dot_statistical-learning = {
    pname = "cl-ana.statistical-learning";
    version = "20220707-git";
    asds = [ "cl-ana.statistical-learning" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.statistical-learning";
      asd = "cl-ana.statistical-learning";
    });
    systems = [ "cl-ana.statistical-learning" ];
    lispLibs = [ (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_linear-algebra" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) (getAttr "cl-ana_dot_statistics" pkgs) ];
  };
  cl-ana_dot_statistics = {
    pname = "cl-ana.statistics";
    version = "20220707-git";
    asds = [ "cl-ana.statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.statistics";
      asd = "cl-ana.statistics";
    });
    systems = [ "cl-ana.statistics" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_map" pkgs) (getAttr "cl-ana_dot_math-functions" pkgs) ];
  };
  cl-ana_dot_string-utils = {
    pname = "cl-ana.string-utils";
    version = "20220707-git";
    asds = [ "cl-ana.string-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.string-utils";
      asd = "cl-ana.string-utils";
    });
    systems = [ "cl-ana.string-utils" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  cl-ana_dot_symbol-utils = {
    pname = "cl-ana.symbol-utils";
    version = "20220707-git";
    asds = [ "cl-ana.symbol-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.symbol-utils";
      asd = "cl-ana.symbol-utils";
    });
    systems = [ "cl-ana.symbol-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" pkgs) ];
  };
  cl-ana_dot_table = {
    pname = "cl-ana.table";
    version = "20220707-git";
    asds = [ "cl-ana.table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table";
      asd = "cl-ana.table";
    });
    systems = [ "cl-ana.table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_functional-utils" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) ];
  };
  cl-ana_dot_table-utils = {
    pname = "cl-ana.table-utils";
    version = "20220707-git";
    asds = [ "cl-ana.table-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table-utils";
      asd = "cl-ana.table-utils";
    });
    systems = [ "cl-ana.table-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_hash-table-utils" pkgs) (getAttr "cl-ana_dot_statistics" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_table-viewing = {
    pname = "cl-ana.table-viewing";
    version = "20220707-git";
    asds = [ "cl-ana.table-viewing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table-viewing";
      asd = "cl-ana.table-viewing";
    });
    systems = [ "cl-ana.table-viewing" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_histogram" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_plotting" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) ];
  };
  cl-ana_dot_tensor = {
    pname = "cl-ana.tensor";
    version = "20220707-git";
    asds = [ "cl-ana.tensor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.tensor";
      asd = "cl-ana.tensor";
    });
    systems = [ "cl-ana.tensor" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_generic-math" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_macro-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) ];
  };
  cl-ana_dot_typed-table = {
    pname = "cl-ana.typed-table";
    version = "20220707-git";
    asds = [ "cl-ana.typed-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.typed-table";
      asd = "cl-ana.typed-table";
    });
    systems = [ "cl-ana.typed-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_table" pkgs) (getAttr "cl-ana_dot_typespec" pkgs) ];
  };
  cl-ana_dot_typespec = {
    pname = "cl-ana.typespec";
    version = "20220707-git";
    asds = [ "cl-ana.typespec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.typespec";
      asd = "cl-ana.typespec";
    });
    systems = [ "cl-ana.typespec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ana_dot_int-char" pkgs) (getAttr "cl-ana_dot_list-utils" pkgs) (getAttr "cl-ana_dot_memoization" pkgs) (getAttr "cl-ana_dot_string-utils" pkgs) (getAttr "cl-ana_dot_symbol-utils" pkgs) (getAttr "cl-ana_dot_tensor" pkgs) ];
  };
  cl-android = {
    pname = "cl-android";
    version = "20150804-git";
    asds = [ "cl-android" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sl4a/2015-08-04/cl-sl4a-20150804-git.tgz";
      sha256 = "0lqla60apkc8xfiyi43w18dldf0m8z5q290wv3d89qf0n9gwk3cr";
      system = "cl-android";
      asd = "cl-android";
    });
    systems = [ "cl-android" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-annot = {
    pname = "cl-annot";
    version = "20150608-git";
    asds = [ "cl-annot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot/2015-06-08/cl-annot-20150608-git.tgz";
      sha256 = "1wq1gs9jjd5m6iwrv06c2d7i5dvqsfjcljgbspfbc93cg5xahk4n";
      system = "cl-annot";
      asd = "cl-annot";
    });
    systems = [ "cl-annot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-annot-prove = {
    pname = "cl-annot-prove";
    version = "20150923-git";
    asds = [ "cl-annot-prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-prove/2015-09-23/cl-annot-prove-20150923-git.tgz";
      sha256 = "000nlxxs1id1pccp3y5s9xnm76fc5r87q0bxmjrpklxwwf5y8wwy";
      system = "cl-annot-prove";
      asd = "cl-annot-prove";
    });
    systems = [ "cl-annot-prove" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "prove" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  cl-annot-prove-test = {
    pname = "cl-annot-prove-test";
    version = "20150923-git";
    asds = [ "cl-annot-prove-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-prove/2015-09-23/cl-annot-prove-20150923-git.tgz";
      sha256 = "000nlxxs1id1pccp3y5s9xnm76fc5r87q0bxmjrpklxwwf5y8wwy";
      system = "cl-annot-prove-test";
      asd = "cl-annot-prove-test";
    });
    systems = [ "cl-annot-prove-test" ];
    lispLibs = [ (getAttr "cl-annot-prove" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-annot-revisit = {
    pname = "cl-annot-revisit";
    version = "20221106-git";
    asds = [ "cl-annot-revisit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit";
      asd = "cl-annot-revisit";
    });
    systems = [ "cl-annot-revisit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-annot-revisit-compat = {
    pname = "cl-annot-revisit-compat";
    version = "20221106-git";
    asds = [ "cl-annot-revisit-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit-compat";
      asd = "cl-annot-revisit-compat";
    });
    systems = [ "cl-annot-revisit-compat" ];
    lispLibs = [ (getAttr "cl-annot-revisit" pkgs) ];
  };
  cl-annot-revisit-test = {
    pname = "cl-annot-revisit-test";
    version = "20221106-git";
    asds = [ "cl-annot-revisit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit-test";
      asd = "cl-annot-revisit-test";
    });
    systems = [ "cl-annot-revisit-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "cl-annot-revisit" pkgs) (getAttr "cl-annot-revisit-compat" pkgs) (getAttr "trivial-macroexpand-all" pkgs) ];
  };
  cl-anonfun = {
    pname = "cl-anonfun";
    version = "20111203-git";
    asds = [ "cl-anonfun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-anonfun/2011-12-03/cl-anonfun-20111203-git.tgz";
      sha256 = "086x2vjvasdy9bhikvdzx34nrq008c0sfkq3ncv0i9mhfk5xwp2j";
      system = "cl-anonfun";
      asd = "cl-anonfun";
    });
    systems = [ "cl-anonfun" ];
    lispLibs = [  ];
  };
  cl-ansi-term = {
    pname = "cl-ansi-term";
    version = "20211020-git";
    asds = [ "cl-ansi-term" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-term/2021-10-20/cl-ansi-term-20211020-git.tgz";
      sha256 = "1wz8xx1dk5v1v5cvfh4a5cf5mdrn8lnz8mpf55c34inb0bxjlx87";
      system = "cl-ansi-term";
      asd = "cl-ansi-term";
    });
    systems = [ "cl-ansi-term" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "str" pkgs) ];
  };
  cl-ansi-text = {
    pname = "cl-ansi-text";
    version = "20211020-git";
    asds = [ "cl-ansi-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-text/2021-10-20/cl-ansi-text-20211020-git.tgz";
      sha256 = "0nk7ajqfa937w1iy3zy86jjbw8yffm05cqs4wxkgl97v6kmmya14";
      system = "cl-ansi-text";
      asd = "cl-ansi-text";
    });
    systems = [ "cl-ansi-text" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-colors2" pkgs) ];
  };
  cl-ansi-text_dot_test = {
    pname = "cl-ansi-text.test";
    version = "20211020-git";
    asds = [ "cl-ansi-text.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-text/2021-10-20/cl-ansi-text-20211020-git.tgz";
      sha256 = "0nk7ajqfa937w1iy3zy86jjbw8yffm05cqs4wxkgl97v6kmmya14";
      system = "cl-ansi-text.test";
      asd = "cl-ansi-text.test";
    });
    systems = [ "cl-ansi-text.test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-colors2" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-apertium-stream = {
    pname = "cl-apertium-stream";
    version = "20220331-git";
    asds = [ "cl-apertium-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-apertium-stream-parser/2022-03-31/cl-apertium-stream-parser-20220331-git.tgz";
      sha256 = "1pyr6xppfly84y5662swgh43jchd56n1dwmdm6kr10gllms7lica";
      system = "cl-apertium-stream";
      asd = "cl-apertium-stream";
    });
    systems = [ "cl-apertium-stream" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) ];
  };
  cl-apple-plist = {
    pname = "cl-apple-plist";
    version = "20111105-git";
    asds = [ "cl-apple-plist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-apple-plist/2011-11-05/cl-apple-plist-20111105-git.tgz";
      sha256 = "104j5lvvp7apdx59kbwc6kpa8b82y20w03627ml91lpbqk9bq63f";
      system = "cl-apple-plist";
      asd = "cl-apple-plist";
    });
    systems = [ "cl-apple-plist" ];
    lispLibs = [ (getAttr "html-encode" pkgs) ];
  };
  cl-arff-parser = {
    pname = "cl-arff-parser";
    version = "20130421-git";
    asds = [ "cl-arff-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-arff-parser/2013-04-21/cl-arff-parser-20130421-git.tgz";
      sha256 = "0rn76r48b2y2richfy3si4r8kbwkvm7q15g34sxi0fkfmx15z4jx";
      system = "cl-arff-parser";
      asd = "cl-arff-parser";
    });
    systems = [ "cl-arff-parser" ];
    lispLibs = [  ];
  };
  cl-argparse = {
    pname = "cl-argparse";
    version = "20210531-git";
    asds = [ "cl-argparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-argparse/2021-05-31/cl-argparse-20210531-git.tgz";
      sha256 = "05vy2iaqr7yiaw0ykzwm0ml0mil5qagy87b8hqx4vvb3lq1qpn14";
      system = "cl-argparse";
      asd = "cl-argparse";
    });
    systems = [ "cl-argparse" ];
    lispLibs = [  ];
  };
  cl-aristid = {
    pname = "cl-aristid";
    version = "20200925-git";
    asds = [ "cl-aristid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aristid/2020-09-25/cl-aristid-20200925-git.tgz";
      sha256 = "0k573k3wydy6dd5pmvqdxmlwk0n5kq2wsk86syddhqyjgx2jmw98";
      system = "cl-aristid";
      asd = "cl-aristid";
    });
    systems = [ "cl-aristid" ];
    lispLibs = [ (getAttr "cl-colors" pkgs) (getAttr "cl-svg" pkgs) ];
  };
  cl-arxiv-api = {
    pname = "cl-arxiv-api";
    version = "20170403-git";
    asds = [ "cl-arxiv-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-arxiv-api/2017-04-03/cl-arxiv-api-20170403-git.tgz";
      sha256 = "1id95gszqxmmjydv1vjv2vyxz0svqvnx74bmgy63xnajb4kfnpq3";
      system = "cl-arxiv-api";
      asd = "cl-arxiv-api";
    });
    systems = [ "cl-arxiv-api" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-http" pkgs) ];
  };
  cl-ascii-art = {
    pname = "cl-ascii-art";
    version = "20171019-git";
    asds = [ "cl-ascii-art" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ascii-art/2017-10-19/cl-ascii-art-20171019-git.tgz";
      sha256 = "03d3bd8m7dd2l4170vky8y8ini3giqhjpd06rlswz287mkvzq8aa";
      system = "cl-ascii-art";
      asd = "cl-ascii-art";
    });
    systems = [ "cl-ascii-art" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "iterate" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-ascii-table = {
    pname = "cl-ascii-table";
    version = "20200610-git";
    asds = [ "cl-ascii-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ascii-table/2020-06-10/cl-ascii-table-20200610-git.tgz";
      sha256 = "1nclyypd2p06hyfydcv16m9lbj1xmrpmf00wp8mfyhwimv021zlp";
      system = "cl-ascii-table";
      asd = "cl-ascii-table";
    });
    systems = [ "cl-ascii-table" ];
    lispLibs = [  ];
  };
  cl-association-rules = {
    pname = "cl-association-rules";
    version = "20170403-git";
    asds = [ "cl-association-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-association-rules/2017-04-03/cl-association-rules-20170403-git.tgz";
      sha256 = "1d4sg9j30ydk1m17byacww8l2x9ggb82iay507g08ij0jxdky86z";
      system = "cl-association-rules";
      asd = "cl-association-rules";
    });
    systems = [ "cl-association-rules" ];
    lispLibs = [  ];
  };
  cl-association-rules-tests = {
    pname = "cl-association-rules-tests";
    version = "20170403-git";
    asds = [ "cl-association-rules-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-association-rules/2017-04-03/cl-association-rules-20170403-git.tgz";
      sha256 = "1d4sg9j30ydk1m17byacww8l2x9ggb82iay507g08ij0jxdky86z";
      system = "cl-association-rules-tests";
      asd = "cl-association-rules";
    });
    systems = [ "cl-association-rules-tests" ];
    lispLibs = [ (getAttr "cl-association-rules" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-async = {
    pname = "cl-async";
    version = "20221106-git";
    asds = [ "cl-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async";
      asd = "cl-async";
    });
    systems = [ "cl-async" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-async-base" pkgs) (getAttr "cl-async-util" pkgs) (getAttr "cl-libuv" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-async-await = {
    pname = "cl-async-await";
    version = "20201016-git";
    asds = [ "cl-async-await" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async-await/2020-10-16/cl-async-await-20201016-git.tgz";
      sha256 = "1slhn9z4hljvad3hd8jmvw4q4m6310s04yh3212wvbfar8q0yasj";
      system = "cl-async-await";
      asd = "cl-async-await";
    });
    systems = [ "cl-async-await" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "simple-actors" pkgs) ];
  };
  cl-async-base = {
    pname = "cl-async-base";
    version = "20221106-git";
    asds = [ "cl-async-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async-base";
      asd = "cl-async";
    });
    systems = [ "cl-async-base" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-libuv" pkgs) ];
  };
  cl-async-future = {
    pname = "cl-async-future";
    version = "20150113-git";
    asds = [ "cl-async-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async-future/2015-01-13/cl-async-future-20150113-git.tgz";
      sha256 = "0z0sc7qlzzxk99f4l26zp6rai9kv0kj0f599sxai5s44p17zbbvh";
      system = "cl-async-future";
      asd = "cl-async-future";
    });
    systems = [ "cl-async-future" ];
    lispLibs = [ (getAttr "blackbird" pkgs) ];
  };
  cl-async-repl = {
    pname = "cl-async-repl";
    version = "20221106-git";
    asds = [ "cl-async-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async-repl";
      asd = "cl-async-repl";
    });
    systems = [ "cl-async-repl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-async" pkgs) ];
  };
  cl-async-ssl = {
    pname = "cl-async-ssl";
    version = "20221106-git";
    asds = [ "cl-async-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async-ssl";
      asd = "cl-async-ssl";
    });
    systems = [ "cl-async-ssl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-async" pkgs) (getAttr "vom" pkgs) ];
  };
  cl-async-test = {
    pname = "cl-async-test";
    version = "20221106-git";
    asds = [ "cl-async-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async-test";
      asd = "cl-async-test";
    });
    systems = [ "cl-async-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-async-ssl" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-async-util = {
    pname = "cl-async-util";
    version = "20221106-git";
    asds = [ "cl-async-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2022-11-06/cl-async-20221106-git.tgz";
      sha256 = "1xl5dfq91dqx57hclq3m8kcndbfv5bbb4kissggmmmmrlnkd32cn";
      system = "cl-async-util";
      asd = "cl-async";
    });
    systems = [ "cl-async-util" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-async-base" pkgs) (getAttr "cl-libuv" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fast-io" pkgs) (getAttr "vom" pkgs) ];
  };
  cl-aubio = {
    pname = "cl-aubio";
    version = "20200427-git";
    asds = [ "cl-aubio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aubio/2020-04-27/cl-aubio-20200427-git.tgz";
      sha256 = "1xyflxy46z4487dbnizhv058y2mdka9iyikl097m60w42blidpn3";
      system = "cl-aubio";
      asd = "cl-aubio";
    });
    systems = [ "cl-aubio" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-aubio_slash_examples = {
    pname = "cl-aubio_examples";
    version = "20200427-git";
    asds = [ "cl-aubio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aubio/2020-04-27/cl-aubio-20200427-git.tgz";
      sha256 = "1xyflxy46z4487dbnizhv058y2mdka9iyikl097m60w42blidpn3";
      system = "cl-aubio";
      asd = "cl-aubio";
    });
    systems = [ "cl-aubio/examples" ];
    lispLibs = [ (getAttr "cl-aubio" pkgs) (getAttr "vgplot" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-aubio_slash_tests = {
    pname = "cl-aubio_tests";
    version = "20200427-git";
    asds = [ "cl-aubio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aubio/2020-04-27/cl-aubio-20200427-git.tgz";
      sha256 = "1xyflxy46z4487dbnizhv058y2mdka9iyikl097m60w42blidpn3";
      system = "cl-aubio";
      asd = "cl-aubio";
    });
    systems = [ "cl-aubio/tests" ];
    lispLibs = [ (getAttr "cl-aubio" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-authorize-net = {
    pname = "cl-authorize-net";
    version = "20150113-git";
    asds = [ "cl-authorize-net" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-authorize-net";
      asd = "cl-authorize-net";
    });
    systems = [ "cl-authorize-net" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-creditcard" pkgs) (getAttr "drakma" pkgs) (getAttr "split-sequence" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  cl-authorize-net-tests = {
    pname = "cl-authorize-net-tests";
    version = "20150113-git";
    asds = [ "cl-authorize-net-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-authorize-net-tests";
      asd = "cl-authorize-net";
    });
    systems = [ "cl-authorize-net-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-authorize-net" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-autorepo = {
    pname = "cl-autorepo";
    version = "20180711-git";
    asds = [ "cl-autorepo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autorepo/2018-07-11/cl-autorepo-20180711-git.tgz";
      sha256 = "01hpg3r3493mri44kxp8sjy8i5kfvjklmnksvm0727i6bhpf8cz9";
      system = "cl-autorepo";
      asd = "cl-autorepo";
    });
    systems = [ "cl-autorepo" ];
    lispLibs = [  ];
  };
  cl-autowrap = {
    pname = "cl-autowrap";
    version = "20221106-git";
    asds = [ "cl-autowrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-autowrap";
      asd = "cl-autowrap";
    });
    systems = [ "cl-autowrap" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "defpackage-plus" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-autowrap-test = {
    pname = "cl-autowrap-test";
    version = "20221106-git";
    asds = [ "cl-autowrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-autowrap-test";
      asd = "cl-autowrap-test";
    });
    systems = [ "cl-autowrap-test" ];
    lispLibs = [ (getAttr "cl-autowrap" pkgs) ];
  };
  cl-autowrap_slash_libffi = {
    pname = "cl-autowrap_libffi";
    version = "20221106-git";
    asds = [ "cl-autowrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-autowrap";
      asd = "cl-autowrap";
    });
    systems = [ "cl-autowrap/libffi" ];
    lispLibs = [ (getAttr "cl-autowrap" pkgs) (getAttr "cl-plus-c" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-azure = {
    pname = "cl-azure";
    version = "20160825-git";
    asds = [ "cl-azure" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-azure/2016-08-25/cl-azure-20160825-git.tgz";
      sha256 = "19sgzbvgs1f1h3qhx11xhpia2x3n8x729h9fsqkc7fap0ak1h31d";
      system = "cl-azure";
      asd = "cl-azure";
    });
    systems = [ "cl-azure" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "puri" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-base16 = {
    pname = "cl-base16";
    version = "20200925-git";
    asds = [ "cl-base16" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base16/2020-09-25/cl-base16-20200925-git.tgz";
      sha256 = "0m7ndmk4xhizn3q3ywjvw8sg4pfgp6lrd0wac5d1bf7wbw6afh5q";
      system = "cl-base16";
      asd = "cl-base16";
    });
    systems = [ "cl-base16" ];
    lispLibs = [ (getAttr "cl-mustache" pkgs) (getAttr "cl-slug" pkgs) (getAttr "cl-yaml" pkgs) (getAttr "trivial-shell" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-base32 = {
    pname = "cl-base32";
    version = "20130420-git";
    asds = [ "cl-base32" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base32/2013-04-20/cl-base32-20130420-git.tgz";
      sha256 = "17jrng8jb05d64ggyd11hp308c2fl5drvf9g175blgrkkl8l4mf8";
      system = "cl-base32";
      asd = "cl-base32";
    });
    systems = [ "cl-base32" ];
    lispLibs = [  ];
  };
  cl-base32-tests = {
    pname = "cl-base32-tests";
    version = "20130420-git";
    asds = [ "cl-base32-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base32/2013-04-20/cl-base32-20130420-git.tgz";
      sha256 = "17jrng8jb05d64ggyd11hp308c2fl5drvf9g175blgrkkl8l4mf8";
      system = "cl-base32-tests";
      asd = "cl-base32";
    });
    systems = [ "cl-base32-tests" ];
    lispLibs = [ (getAttr "cl-base32" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-base58 = {
    pname = "cl-base58";
    version = "20150113-git";
    asds = [ "cl-base58" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base58/2015-01-13/cl-base58-20150113-git.tgz";
      sha256 = "01wiiyz1jzxx3zhxi2hpq5n8hv28g1mn0adk793vwjzh4v5bi5zz";
      system = "cl-base58";
      asd = "cl-base58";
    });
    systems = [ "cl-base58" ];
    lispLibs = [  ];
  };
  cl-base58-test = {
    pname = "cl-base58-test";
    version = "20150113-git";
    asds = [ "cl-base58-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base58/2015-01-13/cl-base58-20150113-git.tgz";
      sha256 = "01wiiyz1jzxx3zhxi2hpq5n8hv28g1mn0adk793vwjzh4v5bi5zz";
      system = "cl-base58-test";
      asd = "cl-base58-test";
    });
    systems = [ "cl-base58-test" ];
    lispLibs = [ (getAttr "cl-base58" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-base64 = {
    pname = "cl-base64";
    version = "20201016-git";
    asds = [ "cl-base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base64/2020-10-16/cl-base64-20201016-git.tgz";
      sha256 = "12jj54h0fs6n237cvnp8v6hn0imfksammq22ys6pi0gwz2w47rbj";
      system = "cl-base64";
      asd = "cl-base64";
    });
    systems = [ "cl-base64" ];
    lispLibs = [  ];
  };
  cl-base64_slash_test = {
    pname = "cl-base64_test";
    version = "20201016-git";
    asds = [ "cl-base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base64/2020-10-16/cl-base64-20201016-git.tgz";
      sha256 = "12jj54h0fs6n237cvnp8v6hn0imfksammq22ys6pi0gwz2w47rbj";
      system = "cl-base64";
      asd = "cl-base64";
    });
    systems = [ "cl-base64/test" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "kmrcl" pkgs) (getAttr "ptester" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-bayesnet = {
    pname = "cl-bayesnet";
    version = "20130420-git";
    asds = [ "cl-bayesnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bayesnet/2013-04-20/cl-bayesnet-20130420-git.tgz";
      sha256 = "02as2isvgm89qpyj49ccs1cg4fl9iswxi26w4j0svsha0q1dh5m8";
      system = "cl-bayesnet";
      asd = "cl-bayesnet";
    });
    systems = [ "cl-bayesnet" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "s-xml" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  cl-bcrypt = {
    pname = "cl-bcrypt";
    version = "20200925-git";
    asds = [ "cl-bcrypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bcrypt/2020-09-25/cl-bcrypt-20200925-git.tgz";
      sha256 = "0hx9pzn5l1jx09j4pnsvd99byhz7izfn78i2aqr3hvq9indfjlxy";
      system = "cl-bcrypt";
      asd = "cl-bcrypt";
    });
    systems = [ "cl-bcrypt" ];
    lispLibs = [ (getAttr "binascii" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "ironclad" pkgs) ];
  };
  cl-bcrypt_dot_test = {
    pname = "cl-bcrypt.test";
    version = "20200925-git";
    asds = [ "cl-bcrypt.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bcrypt/2020-09-25/cl-bcrypt-20200925-git.tgz";
      sha256 = "0hx9pzn5l1jx09j4pnsvd99byhz7izfn78i2aqr3hvq9indfjlxy";
      system = "cl-bcrypt.test";
      asd = "cl-bcrypt.test";
    });
    systems = [ "cl-bcrypt.test" ];
    lispLibs = [ (getAttr "cl-bcrypt" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-beanstalk = {
    pname = "cl-beanstalk";
    version = "20220707-git";
    asds = [ "cl-beanstalk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-beanstalk/2022-07-07/cl-beanstalk-20220707-git.tgz";
      sha256 = "0vca8dw2l765m7g7xcpzi80m8f3145hhshh8ym602336fhiz61q1";
      system = "cl-beanstalk";
      asd = "cl-beanstalk";
    });
    systems = [ "cl-beanstalk" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-bip39 = {
    pname = "cl-bip39";
    version = "20180711-git";
    asds = [ "cl-bip39" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bip39/2018-07-11/cl-bip39-20180711-git.tgz";
      sha256 = "04h4lhppvavvqknp11gaj4ka2wpn9i883w1w27llblkg2vnn0816";
      system = "cl-bip39";
      asd = "cl-bip39";
    });
    systems = [ "cl-bip39" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "secure-random" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-bloggy = {
    pname = "cl-bloggy";
    version = "20211020-git";
    asds = [ "cl-bloggy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloggy/2021-10-20/cl-bloggy-20211020-git.tgz";
      sha256 = "1clz2a0s3g3jbsrpypb4byb432l0yb4658riqs6ckin57c4bzxc8";
      system = "cl-bloggy";
      asd = "cl-bloggy";
    });
    systems = [ "cl-bloggy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "lass" pkgs) (getAttr "local-time" pkgs) (getAttr "lorem-ipsum" pkgs) (getAttr "spinneret" pkgs) (getAttr "xml-emitter" pkgs) ];
  };
  cl-bloom = {
    pname = "cl-bloom";
    version = "20180228-git";
    asds = [ "cl-bloom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloom/2018-02-28/cl-bloom-20180228-git.tgz";
      sha256 = "1ircc5sa0a2xlx0fca0is6inwrk311hbj8jx6r4sas5pfv78k4am";
      system = "cl-bloom";
      asd = "cl-bloom";
    });
    systems = [ "cl-bloom" ];
    lispLibs = [ (getAttr "cl-murmurhash" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  cl-bloom-filter = {
    pname = "cl-bloom-filter";
    version = "20221106-git";
    asds = [ "cl-bloom-filter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloom-filter/2022-11-06/cl-bloom-filter-20221106-git.tgz";
      sha256 = "1s9m617fh3krh2klc2nx7jf89nk43cvvrnvqrhvw9jprw7gqanvq";
      system = "cl-bloom-filter";
      asd = "cl-bloom-filter";
    });
    systems = [ "cl-bloom-filter" ];
    lispLibs = [  ];
  };
  cl-bloom-filter_slash_tests = {
    pname = "cl-bloom-filter_tests";
    version = "20221106-git";
    asds = [ "cl-bloom-filter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloom-filter/2022-11-06/cl-bloom-filter-20221106-git.tgz";
      sha256 = "1s9m617fh3krh2klc2nx7jf89nk43cvvrnvqrhvw9jprw7gqanvq";
      system = "cl-bloom-filter";
      asd = "cl-bloom-filter";
    });
    systems = [ "cl-bloom-filter/tests" ];
    lispLibs = [ (getAttr "cl-bloom-filter" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-bnf = {
    pname = "cl-bnf";
    version = "20200925-git";
    asds = [ "cl-bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2020-09-25/cl-bnf-20200925-git.tgz";
      sha256 = "0z8qcywbyr1fdx122vpp0sdqywaqcwy2393ygqqznm5j3jv5dxii";
      system = "cl-bnf";
      asd = "cl-bnf";
    });
    systems = [ "cl-bnf" ];
    lispLibs = [  ];
  };
  cl-bnf-examples = {
    pname = "cl-bnf-examples";
    version = "20200925-git";
    asds = [ "cl-bnf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2020-09-25/cl-bnf-20200925-git.tgz";
      sha256 = "0z8qcywbyr1fdx122vpp0sdqywaqcwy2393ygqqznm5j3jv5dxii";
      system = "cl-bnf-examples";
      asd = "cl-bnf-examples";
    });
    systems = [ "cl-bnf-examples" ];
    lispLibs = [ (getAttr "cl-bnf" pkgs) ];
  };
  cl-bnf-tests = {
    pname = "cl-bnf-tests";
    version = "20200925-git";
    asds = [ "cl-bnf-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2020-09-25/cl-bnf-20200925-git.tgz";
      sha256 = "0z8qcywbyr1fdx122vpp0sdqywaqcwy2393ygqqznm5j3jv5dxii";
      system = "cl-bnf-tests";
      asd = "cl-bnf-tests";
    });
    systems = [ "cl-bnf-tests" ];
    lispLibs = [ (getAttr "cl-bnf" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-bootstrap = {
    pname = "cl-bootstrap";
    version = "20180831-git";
    asds = [ "cl-bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap";
      asd = "cl-bootstrap";
    });
    systems = [ "cl-bootstrap" ];
    lispLibs = [ (getAttr "cl-who" pkgs) (getAttr "parenscript" pkgs) ];
  };
  cl-bootstrap-demo = {
    pname = "cl-bootstrap-demo";
    version = "20180831-git";
    asds = [ "cl-bootstrap-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap-demo";
      asd = "cl-bootstrap-demo";
    });
    systems = [ "cl-bootstrap-demo" ];
    lispLibs = [ (getAttr "cl-bootstrap" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "parenscript" pkgs) ];
  };
  cl-bootstrap-test = {
    pname = "cl-bootstrap-test";
    version = "20180831-git";
    asds = [ "cl-bootstrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap-test";
      asd = "cl-bootstrap-test";
    });
    systems = [ "cl-bootstrap-test" ];
    lispLibs = [ (getAttr "cl-bootstrap" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-bplustree = {
    pname = "cl-bplustree";
    version = "20180328-git";
    asds = [ "cl-bplustree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bplustree/2018-03-28/cl-bplustree-20180328-git.tgz";
      sha256 = "1d9pm9fi9bhh73bhcgig0wq5i4fvc4551kxvny3di6x6yr7j2kbl";
      system = "cl-bplustree";
      asd = "cl-bplustree";
    });
    systems = [ "cl-bplustree" ];
    lispLibs = [  ];
  };
  cl-bplustree-test = {
    pname = "cl-bplustree-test";
    version = "20180328-git";
    asds = [ "cl-bplustree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bplustree/2018-03-28/cl-bplustree-20180328-git.tgz";
      sha256 = "1d9pm9fi9bhh73bhcgig0wq5i4fvc4551kxvny3di6x6yr7j2kbl";
      system = "cl-bplustree-test";
      asd = "cl-bplustree";
    });
    systems = [ "cl-bplustree-test" ];
    lispLibs = [ (getAttr "cl-bplustree" pkgs) ];
  };
  cl-bson = {
    pname = "cl-bson";
    version = "20170403-git";
    asds = [ "cl-bson" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bson/2017-04-03/cl-bson-20170403-git.tgz";
      sha256 = "107mx5kvqw7f7q9mw3qa120gz1z153fwv8jmn5qi2sbfnglkz2gy";
      system = "cl-bson";
      asd = "cl-bson";
    });
    systems = [ "cl-bson" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "babel" pkgs) (getAttr "cl-intbytes" pkgs) (getAttr "fast-io" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "let-over-lambda" pkgs) (getAttr "local-time" pkgs) (getAttr "named-readtables" pkgs) (getAttr "rutils" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  cl-bson-test = {
    pname = "cl-bson-test";
    version = "20170403-git";
    asds = [ "cl-bson-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bson/2017-04-03/cl-bson-20170403-git.tgz";
      sha256 = "107mx5kvqw7f7q9mw3qa120gz1z153fwv8jmn5qi2sbfnglkz2gy";
      system = "cl-bson-test";
      asd = "cl-bson-test";
    });
    systems = [ "cl-bson-test" ];
    lispLibs = [ (getAttr "cl-bson" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-buchberger = {
    pname = "cl-buchberger";
    version = "20201016-git";
    asds = [ "cl-buchberger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-buchberger/2020-10-16/cl-buchberger-20201016-git.tgz";
      sha256 = "105kwri3hjla1cydc323y8dfi4cjg0g4hxjzdh13inmvxwcf049w";
      system = "cl-buchberger";
      asd = "cl-buchberger";
    });
    systems = [ "cl-buchberger" ];
    lispLibs = [  ];
  };
  cl-bus = {
    pname = "cl-bus";
    version = "20211209-git";
    asds = [ "cl-bus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bus/2021-12-09/cl-bus-20211209-git.tgz";
      sha256 = "1galzqm1qv2slibn3awfyxnmlslxmzw09a8fidmbdy1r0ppp5r7z";
      system = "cl-bus";
      asd = "cl-bus";
    });
    systems = [ "cl-bus" ];
    lispLibs = [  ];
  };
  cl-ca = {
    pname = "cl-ca";
    version = "20161204-git";
    asds = [ "cl-ca" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ca/2016-12-04/cl-ca-20161204-git.tgz";
      sha256 = "0kpwpxw3c8q7b2ajyj9rzhs1r1h6kipdm9qjkgsn0sqrmx9acfnz";
      system = "cl-ca";
      asd = "cl-ca";
    });
    systems = [ "cl-ca" ];
    lispLibs = [  ];
  };
  cl-cache-tables = {
    pname = "cl-cache-tables";
    version = "20171019-git";
    asds = [ "cl-cache-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cache-tables/2017-10-19/cl-cache-tables-20171019-git.tgz";
      sha256 = "008m7v39mq2475y1f4if5iazb15rm02g22id4q4qgig1zx2vfpg1";
      system = "cl-cache-tables";
      asd = "cl-cache-tables";
    });
    systems = [ "cl-cache-tables" ];
    lispLibs = [  ];
  };
  cl-cache-tables-tests = {
    pname = "cl-cache-tables-tests";
    version = "20171019-git";
    asds = [ "cl-cache-tables-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cache-tables/2017-10-19/cl-cache-tables-20171019-git.tgz";
      sha256 = "008m7v39mq2475y1f4if5iazb15rm02g22id4q4qgig1zx2vfpg1";
      system = "cl-cache-tables-tests";
      asd = "cl-cache-tables";
    });
    systems = [ "cl-cache-tables-tests" ];
    lispLibs = [ (getAttr "cl-cache-tables" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-cairo2 = {
    pname = "cl-cairo2";
    version = "20211020-git";
    asds = [ "cl-cairo2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2";
      asd = "cl-cairo2";
    });
    systems = [ "cl-cairo2" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-colors" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-cairo2-demos = {
    pname = "cl-cairo2-demos";
    version = "20211020-git";
    asds = [ "cl-cairo2-demos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2-demos";
      asd = "cl-cairo2-demos";
    });
    systems = [ "cl-cairo2-demos" ];
    lispLibs = [ (getAttr "cl-cairo2" pkgs) ];
  };
  cl-cairo2-xlib = {
    pname = "cl-cairo2-xlib";
    version = "20211020-git";
    asds = [ "cl-cairo2-xlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2-xlib";
      asd = "cl-cairo2-xlib";
    });
    systems = [ "cl-cairo2-xlib" ];
    lispLibs = [ (getAttr "cl-cairo2" pkgs) (getAttr "cl-freetype2" pkgs) ];
  };
  cl-case-control = {
    pname = "cl-case-control";
    version = "20141106-git";
    asds = [ "cl-case-control" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-case-control/2014-11-06/cl-case-control-20141106-git.tgz";
      sha256 = "0510m1dfz4abw3s7w0axr1b1nsmi72avr850r0sn6p2pq091pc71";
      system = "cl-case-control";
      asd = "cl-case-control";
    });
    systems = [ "cl-case-control" ];
    lispLibs = [ (getAttr "trivial-types" pkgs) ];
  };
  cl-catmull-rom-spline = {
    pname = "cl-catmull-rom-spline";
    version = "20220220-git";
    asds = [ "cl-catmull-rom-spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-catmull-rom-spline/2022-02-20/cl-catmull-rom-spline-20220220-git.tgz";
      sha256 = "0702swja11zpfdx04l0901ipvi0acg17mk9ryvhibnbzq70npyjs";
      system = "cl-catmull-rom-spline";
      asd = "cl-catmull-rom-spline";
    });
    systems = [ "cl-catmull-rom-spline" ];
    lispLibs = [  ];
  };
  cl-catmull-rom-spline_slash_example = {
    pname = "cl-catmull-rom-spline_example";
    version = "20220220-git";
    asds = [ "cl-catmull-rom-spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-catmull-rom-spline/2022-02-20/cl-catmull-rom-spline-20220220-git.tgz";
      sha256 = "0702swja11zpfdx04l0901ipvi0acg17mk9ryvhibnbzq70npyjs";
      system = "cl-catmull-rom-spline";
      asd = "cl-catmull-rom-spline";
    });
    systems = [ "cl-catmull-rom-spline/example" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-catmull-rom-spline" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-gfx" pkgs) (getAttr "lispbuilder-sdl-ttf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-catmull-rom-spline_slash_test = {
    pname = "cl-catmull-rom-spline_test";
    version = "20220220-git";
    asds = [ "cl-catmull-rom-spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-catmull-rom-spline/2022-02-20/cl-catmull-rom-spline-20220220-git.tgz";
      sha256 = "0702swja11zpfdx04l0901ipvi0acg17mk9ryvhibnbzq70npyjs";
      system = "cl-catmull-rom-spline";
      asd = "cl-catmull-rom-spline";
    });
    systems = [ "cl-catmull-rom-spline/test" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "cl-catmull-rom-spline" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-cerf = {
    pname = "cl-cerf";
    version = "20210531-git";
    asds = [ "cl-cerf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cerf/2021-05-31/cl-cerf-20210531-git.tgz";
      sha256 = "0n1b6ig1d0dqkjn06iqsk0m4y7j7msi2gcq7niivcwc4s0ry0ljn";
      system = "cl-cerf";
      asd = "cl-cerf";
    });
    systems = [ "cl-cerf" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) ];
  };
  cl-cffi-gtk = {
    pname = "cl-cffi-gtk";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk";
      asd = "cl-cffi-gtk";
    });
    systems = [ "cl-cffi-gtk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" pkgs) (getAttr "cl-cffi-gtk-gdk" pkgs) (getAttr "cl-cffi-gtk-gdk-pixbuf" pkgs) (getAttr "cl-cffi-gtk-gio" pkgs) (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "cl-cffi-gtk-gobject" pkgs) (getAttr "cl-cffi-gtk-pango" pkgs) ];
  };
  cl-cffi-gtk-cairo = {
    pname = "cl-cffi-gtk-cairo";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-cairo";
      asd = "cl-cffi-gtk-cairo";
    });
    systems = [ "cl-cffi-gtk-cairo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" pkgs) ];
  };
  cl-cffi-gtk-demo-cairo = {
    pname = "cl-cffi-gtk-demo-cairo";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-demo-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-demo-cairo";
      asd = "cl-cffi-gtk-demo-cairo";
    });
    systems = [ "cl-cffi-gtk-demo-cairo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) ];
  };
  cl-cffi-gtk-demo-glib = {
    pname = "cl-cffi-gtk-demo-glib";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-demo-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-demo-glib";
      asd = "cl-cffi-gtk-demo-glib";
    });
    systems = [ "cl-cffi-gtk-demo-glib" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) ];
  };
  cl-cffi-gtk-demo-gobject = {
    pname = "cl-cffi-gtk-demo-gobject";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-demo-gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-demo-gobject";
      asd = "cl-cffi-gtk-demo-gobject";
    });
    systems = [ "cl-cffi-gtk-demo-gobject" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-gobject" pkgs) ];
  };
  cl-cffi-gtk-example-gtk = {
    pname = "cl-cffi-gtk-example-gtk";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-example-gtk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-example-gtk";
      asd = "cl-cffi-gtk-example-gtk";
    });
    systems = [ "cl-cffi-gtk-example-gtk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) ];
  };
  cl-cffi-gtk-gdk = {
    pname = "cl-cffi-gtk-gdk";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-gdk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-gdk";
      asd = "cl-cffi-gtk-gdk";
    });
    systems = [ "cl-cffi-gtk-gdk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" pkgs) (getAttr "cl-cffi-gtk-gdk-pixbuf" pkgs) (getAttr "cl-cffi-gtk-gio" pkgs) (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "cl-cffi-gtk-gobject" pkgs) (getAttr "cl-cffi-gtk-pango" pkgs) ];
  };
  cl-cffi-gtk-gdk-pixbuf = {
    pname = "cl-cffi-gtk-gdk-pixbuf";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-gdk-pixbuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-gdk-pixbuf";
      asd = "cl-cffi-gtk-gdk-pixbuf";
    });
    systems = [ "cl-cffi-gtk-gdk-pixbuf" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "cl-cffi-gtk-gobject" pkgs) ];
  };
  cl-cffi-gtk-gio = {
    pname = "cl-cffi-gtk-gio";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-gio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-gio";
      asd = "cl-cffi-gtk-gio";
    });
    systems = [ "cl-cffi-gtk-gio" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "cl-cffi-gtk-gobject" pkgs) ];
  };
  cl-cffi-gtk-glib = {
    pname = "cl-cffi-gtk-glib";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-glib";
      asd = "cl-cffi-gtk-glib";
    });
    systems = [ "cl-cffi-gtk-glib" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-cffi-gtk-gobject = {
    pname = "cl-cffi-gtk-gobject";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-gobject";
      asd = "cl-cffi-gtk-gobject";
    });
    systems = [ "cl-cffi-gtk-gobject" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-cffi-gtk-opengl-demo = {
    pname = "cl-cffi-gtk-opengl-demo";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-opengl-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-opengl-demo";
      asd = "cl-cffi-gtk-opengl-demo";
    });
    systems = [ "cl-cffi-gtk-opengl-demo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  cl-cffi-gtk-pango = {
    pname = "cl-cffi-gtk-pango";
    version = "20201220-git";
    asds = [ "cl-cffi-gtk-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2020-12-20/cl-cffi-gtk-20201220-git.tgz";
      sha256 = "1rcxv8abpvfbfvrq27h48rbhsvmp26cq7b27pcp8205mxvkdzam5";
      system = "cl-cffi-gtk-pango";
      asd = "cl-cffi-gtk-pango";
    });
    systems = [ "cl-cffi-gtk-pango" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" pkgs) (getAttr "cl-cffi-gtk-glib" pkgs) (getAttr "cl-cffi-gtk-gobject" pkgs) ];
  };
  cl-change-case = {
    pname = "cl-change-case";
    version = "20210411-git";
    asds = [ "cl-change-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-change-case/2021-04-11/cl-change-case-20210411-git.tgz";
      sha256 = "027qvcx261g0gwjvwn2n4w0biw1xq3c5s41smbb3ppxszyax82dx";
      system = "cl-change-case";
      asd = "cl-change-case";
    });
    systems = [ "cl-change-case" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-ppcre-unicode" pkgs) ];
  };
  cl-change-case_slash_test = {
    pname = "cl-change-case_test";
    version = "20210411-git";
    asds = [ "cl-change-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-change-case/2021-04-11/cl-change-case-20210411-git.tgz";
      sha256 = "027qvcx261g0gwjvwn2n4w0biw1xq3c5s41smbb3ppxszyax82dx";
      system = "cl-change-case";
      asd = "cl-change-case";
    });
    systems = [ "cl-change-case/test" ];
    lispLibs = [ (getAttr "cl-change-case" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-charms = {
    pname = "cl-charms";
    version = "20221106-git";
    asds = [ "cl-charms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2022-11-06/cl-charms-20221106-git.tgz";
      sha256 = "1xi2q3xl756wyallfbyfp2v0zvf8mhfkwb59y11ny9jj5cdhgwdh";
      system = "cl-charms";
      asd = "cl-charms";
    });
    systems = [ "cl-charms" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-charms-paint = {
    pname = "cl-charms-paint";
    version = "20221106-git";
    asds = [ "cl-charms-paint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2022-11-06/cl-charms-20221106-git.tgz";
      sha256 = "1xi2q3xl756wyallfbyfp2v0zvf8mhfkwb59y11ny9jj5cdhgwdh";
      system = "cl-charms-paint";
      asd = "cl-charms-paint";
    });
    systems = [ "cl-charms-paint" ];
    lispLibs = [ (getAttr "cl-charms" pkgs) ];
  };
  cl-charms-timer = {
    pname = "cl-charms-timer";
    version = "20221106-git";
    asds = [ "cl-charms-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2022-11-06/cl-charms-20221106-git.tgz";
      sha256 = "1xi2q3xl756wyallfbyfp2v0zvf8mhfkwb59y11ny9jj5cdhgwdh";
      system = "cl-charms-timer";
      asd = "cl-charms-timer";
    });
    systems = [ "cl-charms-timer" ];
    lispLibs = [ (getAttr "cl-charms" pkgs) ];
  };
  cl-cheshire-cat = {
    pname = "cl-cheshire-cat";
    version = "20121125-git";
    asds = [ "cl-cheshire-cat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cheshire-cat/2012-11-25/cl-cheshire-cat-20121125-git.tgz";
      sha256 = "1kgm1pa2c4r90nfs38x7fsw730nw13z7p6f11rv67hdjcydh2f11";
      system = "cl-cheshire-cat";
      asd = "cl-cheshire-cat";
    });
    systems = [ "cl-cheshire-cat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-store" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-clblas = {
    pname = "cl-clblas";
    version = "20181018-git";
    asds = [ "cl-clblas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clblas/2018-10-18/cl-clblas-20181018-git.tgz";
      sha256 = "0cn4hvywaw97ccnj2wxjf20lh7h7n5fs6rq6kgjyfs9cxcixmvrj";
      system = "cl-clblas";
      asd = "cl-clblas";
    });
    systems = [ "cl-clblas" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-clblas-test = {
    pname = "cl-clblas-test";
    version = "20181018-git";
    asds = [ "cl-clblas-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clblas/2018-10-18/cl-clblas-20181018-git.tgz";
      sha256 = "0cn4hvywaw97ccnj2wxjf20lh7h7n5fs6rq6kgjyfs9cxcixmvrj";
      system = "cl-clblas-test";
      asd = "cl-clblas-test";
    });
    systems = [ "cl-clblas-test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-clblas" pkgs) (getAttr "cl-oclapi" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-cli = {
    pname = "cl-cli";
    version = "20151218-git";
    asds = [ "cl-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cli/2015-12-18/cl-cli-20151218-git.tgz";
      sha256 = "0zlifq55r78vfdlqf8jy6rkny73438f1i9cp9a8vybmila5dij3q";
      system = "cl-cli";
      asd = "cl-cli";
    });
    systems = [ "cl-cli" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  cl-clsparse = {
    pname = "cl-clsparse";
    version = "20190813-git";
    asds = [ "cl-clsparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clsparse/2019-08-13/cl-clsparse-20190813-git.tgz";
      sha256 = "0cmmwx2ka1jp5711x21knw3zi6kcpkpcs39dm62w82s97bv794gz";
      system = "cl-clsparse";
      asd = "cl-clsparse";
    });
    systems = [ "cl-clsparse" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) ];
  };
  cl-cognito = {
    pname = "cl-cognito";
    version = "20181210-git";
    asds = [ "cl-cognito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cognito/2018-12-10/cl-cognito-20181210-git.tgz";
      sha256 = "0zy4yg4zggvxwbvkjkd89d2ps236kz6pvz90zn6gzq812wnidsd3";
      system = "cl-cognito";
      asd = "cl-cognito";
    });
    systems = [ "cl-cognito" ];
    lispLibs = [ (getAttr "aws-foundation" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-json-helper" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) ];
  };
  cl-coinpayments = {
    pname = "cl-coinpayments";
    version = "20210807-git";
    asds = [ "cl-coinpayments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coinpayments/2021-08-07/cl-coinpayments-20210807-git.tgz";
      sha256 = "1vgsh95vjqqg0a6lqg1ivs36yjx6ck8cqhsmlr5l3ldfd8yr65q7";
      system = "cl-coinpayments";
      asd = "cl-coinpayments";
    });
    systems = [ "cl-coinpayments" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) ];
  };
  cl-collider = {
    pname = "cl-collider";
    version = "20221106-git";
    asds = [ "cl-collider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-collider/2022-11-06/cl-collider-20221106-git.tgz";
      sha256 = "03z11hcjvbawkli0bw90h4za7vvpm9pk7rh9gi6m2k7wwq2rsxk5";
      system = "cl-collider";
      asd = "cl-collider";
    });
    systems = [ "cl-collider" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "sc-osc" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pileup" pkgs) (getAttr "simple-inferiors" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-colors = {
    pname = "cl-colors";
    version = "20180328-git";
    asds = [ "cl-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors/2018-03-28/cl-colors-20180328-git.tgz";
      sha256 = "0l446lday4hybsm9bq3jli97fvv8jb1d33abg79vbylpwjmf3y9a";
      system = "cl-colors";
      asd = "cl-colors";
    });
    systems = [ "cl-colors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "let-plus" pkgs) ];
  };
  cl-colors-tests = {
    pname = "cl-colors-tests";
    version = "20180328-git";
    asds = [ "cl-colors-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors/2018-03-28/cl-colors-20180328-git.tgz";
      sha256 = "0l446lday4hybsm9bq3jli97fvv8jb1d33abg79vbylpwjmf3y9a";
      system = "cl-colors-tests";
      asd = "cl-colors";
    });
    systems = [ "cl-colors-tests" ];
    lispLibs = [ (getAttr "cl-colors" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-colors2 = {
    pname = "cl-colors2";
    version = "20211020-git";
    asds = [ "cl-colors2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors2/2021-10-20/cl-colors2-20211020-git.tgz";
      sha256 = "0cpphlsscr1ks4fmji913xi9k3wcm2ndjb5923yjwx93ld1vfyhr";
      system = "cl-colors2";
      asd = "cl-colors2";
    });
    systems = [ "cl-colors2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-colors2_slash_tests = {
    pname = "cl-colors2_tests";
    version = "20211020-git";
    asds = [ "cl-colors2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors2/2021-10-20/cl-colors2-20211020-git.tgz";
      sha256 = "0cpphlsscr1ks4fmji913xi9k3wcm2ndjb5923yjwx93ld1vfyhr";
      system = "cl-colors2";
      asd = "cl-colors2";
    });
    systems = [ "cl-colors2/tests" ];
    lispLibs = [ (getAttr "cl-colors2" pkgs) (getAttr "clunit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-conllu = {
    pname = "cl-conllu";
    version = "20211209-git";
    asds = [ "cl-conllu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conllu/2021-12-09/cl-conllu-20211209-git.tgz";
      sha256 = "0n69k0apifnirs2g3rfdsxiwy6dimd9qqxaqywaingvbd7yn42jn";
      system = "cl-conllu";
      asd = "cl-conllu";
    });
    systems = [ "cl-conllu" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-log" pkgs) (getAttr "cl-markup" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "wilbur" pkgs) (getAttr "lispbuilder-lexer" pkgs) (getAttr "optima_dot_ppcre" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uuid" pkgs) (getAttr "xmls" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-conspack = {
    pname = "cl-conspack";
    version = "20170403-git";
    asds = [ "cl-conspack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conspack/2017-04-03/cl-conspack-20170403-git.tgz";
      sha256 = "0b7qzvsrpvnw12hqhjmz0b02sigj0kdjy55j4k7xzmj8684cs8bx";
      system = "cl-conspack";
      asd = "cl-conspack";
    });
    systems = [ "cl-conspack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fast-io" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-conspack-test = {
    pname = "cl-conspack-test";
    version = "20170403-git";
    asds = [ "cl-conspack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conspack/2017-04-03/cl-conspack-20170403-git.tgz";
      sha256 = "0b7qzvsrpvnw12hqhjmz0b02sigj0kdjy55j4k7xzmj8684cs8bx";
      system = "cl-conspack-test";
      asd = "cl-conspack-test";
    });
    systems = [ "cl-conspack-test" ];
    lispLibs = [ (getAttr "checkl" pkgs) (getAttr "cl-conspack" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-cont = {
    pname = "cl-cont";
    version = "20110219-darcs";
    asds = [ "cl-cont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cont/2011-02-19/cl-cont-20110219-darcs.tgz";
      sha256 = "1zf8zvb0i6jm3hhfks4w74hibm6avgc6f9s1qwgjrn2bcik8lrvz";
      system = "cl-cont";
      asd = "cl-cont";
    });
    systems = [ "cl-cont" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-cont-test = {
    pname = "cl-cont-test";
    version = "20110219-darcs";
    asds = [ "cl-cont-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cont/2011-02-19/cl-cont-20110219-darcs.tgz";
      sha256 = "1zf8zvb0i6jm3hhfks4w74hibm6avgc6f9s1qwgjrn2bcik8lrvz";
      system = "cl-cont-test";
      asd = "cl-cont-test";
    });
    systems = [ "cl-cont-test" ];
    lispLibs = [ (getAttr "cl-cont" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-containers = {
    pname = "cl-containers";
    version = "20200427-git";
    asds = [ "cl-containers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2020-04-27/cl-containers-20200427-git.tgz";
      sha256 = "18s6jfq11n8nv9k4biz32pm1s7y9zl054ry1gmdbcf39nisy377y";
      system = "cl-containers";
      asd = "cl-containers";
    });
    systems = [ "cl-containers" ];
    lispLibs = [ (getAttr "asdf-system-connections" pkgs) (getAttr "metatilities-base" pkgs) ];
  };
  cl-containers-test = {
    pname = "cl-containers-test";
    version = "20200427-git";
    asds = [ "cl-containers-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2020-04-27/cl-containers-20200427-git.tgz";
      sha256 = "18s6jfq11n8nv9k4biz32pm1s7y9zl054ry1gmdbcf39nisy377y";
      system = "cl-containers-test";
      asd = "cl-containers-test";
    });
    systems = [ "cl-containers-test" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-containers_slash_with-moptilities = {
    pname = "cl-containers_with-moptilities";
    version = "20200427-git";
    asds = [ "cl-containers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2020-04-27/cl-containers-20200427-git.tgz";
      sha256 = "18s6jfq11n8nv9k4biz32pm1s7y9zl054ry1gmdbcf39nisy377y";
      system = "cl-containers";
      asd = "cl-containers";
    });
    systems = [ "cl-containers/with-moptilities" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "moptilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-containers_slash_with-utilities = {
    pname = "cl-containers_with-utilities";
    version = "20200427-git";
    asds = [ "cl-containers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2020-04-27/cl-containers-20200427-git.tgz";
      sha256 = "18s6jfq11n8nv9k4biz32pm1s7y9zl054ry1gmdbcf39nisy377y";
      system = "cl-containers";
      asd = "cl-containers";
    });
    systems = [ "cl-containers/with-utilities" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "metatilities-base" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-cookie = {
    pname = "cl-cookie";
    version = "20220707-git";
    asds = [ "cl-cookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cookie/2022-07-07/cl-cookie-20220707-git.tgz";
      sha256 = "07hqamcdpdxmx2j7prawgl6cdr13b2jbrhrrhfik5n00ah4yw524";
      system = "cl-cookie";
      asd = "cl-cookie";
    });
    systems = [ "cl-cookie" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "proc-parse" pkgs) (getAttr "quri" pkgs) ];
  };
  cl-cookie-test = {
    pname = "cl-cookie-test";
    version = "20220707-git";
    asds = [ "cl-cookie-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cookie/2022-07-07/cl-cookie-20220707-git.tgz";
      sha256 = "07hqamcdpdxmx2j7prawgl6cdr13b2jbrhrrhfik5n00ah4yw524";
      system = "cl-cookie-test";
      asd = "cl-cookie-test";
    });
    systems = [ "cl-cookie-test" ];
    lispLibs = [ (getAttr "cl-cookie" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-coroutine = {
    pname = "cl-coroutine";
    version = "20160929-git";
    asds = [ "cl-coroutine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coroutine/2016-09-29/cl-coroutine-20160929-git.tgz";
      sha256 = "1cqdhdjxffgfs116l1swjlsmcbly0xgcgrckvaajd566idj9yj4l";
      system = "cl-coroutine";
      asd = "cl-coroutine";
    });
    systems = [ "cl-coroutine" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-cont" pkgs) ];
  };
  cl-coroutine-test = {
    pname = "cl-coroutine-test";
    version = "20160929-git";
    asds = [ "cl-coroutine-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coroutine/2016-09-29/cl-coroutine-20160929-git.tgz";
      sha256 = "1cqdhdjxffgfs116l1swjlsmcbly0xgcgrckvaajd566idj9yj4l";
      system = "cl-coroutine-test";
      asd = "cl-coroutine-test";
    });
    systems = [ "cl-coroutine-test" ];
    lispLibs = [ (getAttr "cl-coroutine" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-coveralls = {
    pname = "cl-coveralls";
    version = "20210411-git";
    asds = [ "cl-coveralls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coveralls/2021-04-11/cl-coveralls-20210411-git.tgz";
      sha256 = "1n4jks92827xbi2zzy6gsx3r2gl97difl04da9wz94n9rjj3bcz0";
      system = "cl-coveralls";
      asd = "cl-coveralls";
    });
    systems = [ "cl-coveralls" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "dexador" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "lquery" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-coveralls-test = {
    pname = "cl-coveralls-test";
    version = "20210411-git";
    asds = [ "cl-coveralls-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coveralls/2021-04-11/cl-coveralls-20210411-git.tgz";
      sha256 = "1n4jks92827xbi2zzy6gsx3r2gl97difl04da9wz94n9rjj3bcz0";
      system = "cl-coveralls-test";
      asd = "cl-coveralls-test";
    });
    systems = [ "cl-coveralls-test" ];
    lispLibs = [ (getAttr "cl-coveralls" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-covid19 = {
    pname = "cl-covid19";
    version = "20220331-git";
    asds = [ "cl-covid19" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-covid19/2022-03-31/cl-covid19-20220331-git.tgz";
      sha256 = "0nxdharz29nrdylrwnhgdayfsfwm0vd5g487mi4i5lly8q0i9vl0";
      system = "cl-covid19";
      asd = "cl-covid19";
    });
    systems = [ "cl-covid19" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ascii-table" pkgs) (getAttr "cl-csv" pkgs) (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_dbi" pkgs) (getAttr "cl-migratum_dot_provider_dot_local-path" pkgs) (getAttr "dexador" pkgs) (getAttr "djula" pkgs) (getAttr "jonathan" pkgs) (getAttr "quri" pkgs) (getAttr "tmpdir" pkgs) ];
  };
  cl-cpu-affinity = {
    pname = "cl-cpu-affinity";
    version = "20210411-git";
    asds = [ "cl-cpu-affinity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "cl-cpu-affinity";
      asd = "cl-cpu-affinity";
    });
    systems = [ "cl-cpu-affinity" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-cpus = {
    pname = "cl-cpus";
    version = "20180430-git";
    asds = [ "cl-cpus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cpus/2018-04-30/cl-cpus-20180430-git.tgz";
      sha256 = "0sdaff9hpsx7bpkkkqavmxmrrlc2d61gmqjjgn8xchncng4a0rf8";
      system = "cl-cpus";
      asd = "cl-cpus";
    });
    systems = [ "cl-cpus" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-cram = {
    pname = "cl-cram";
    version = "20220707-git";
    asds = [ "cl-cram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cram/2022-07-07/cl-cram-20220707-git.tgz";
      sha256 = "1j2a3jw01dyyc8wp4y1rhwafsl7l0sq78r4gh846f57wflcbvxvk";
      system = "cl-cram";
      asd = "cl-cram";
    });
    systems = [ "cl-cram" ];
    lispLibs = [  ];
  };
  cl-crc64 = {
    pname = "cl-crc64";
    version = "20140713-git";
    asds = [ "cl-crc64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-crc64/2014-07-13/cl-crc64-20140713-git.tgz";
      sha256 = "1cqky5ps28r49z6ib4vjwfjpq3ml81p2ayf0nqppf2lc4vf3kb20";
      system = "cl-crc64";
      asd = "cl-crc64";
    });
    systems = [ "cl-crc64" ];
    lispLibs = [  ];
  };
  cl-creditcard = {
    pname = "cl-creditcard";
    version = "20150113-git";
    asds = [ "cl-creditcard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-creditcard";
      asd = "cl-creditcard";
    });
    systems = [ "cl-creditcard" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  cl-cron = {
    pname = "cl-cron";
    version = "20221106-git";
    asds = [ "cl-cron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cron/2022-11-06/cl-cron-20221106-git.tgz";
      sha256 = "1yl7ajy8b2mf5i9f8x3458s4y00rkkpy70xbzz3fi08l9rp2sp3z";
      system = "cl-cron";
      asd = "cl-cron";
    });
    systems = [ "cl-cron" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  cl-css = {
    pname = "cl-css";
    version = "20140914-git";
    asds = [ "cl-css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-css/2014-09-14/cl-css-20140914-git.tgz";
      sha256 = "1lc42zi2sw11fl2589sc19nr5sd2p0wy7wgvgwaggxa5f3ajhsmd";
      system = "cl-css";
      asd = "cl-css";
    });
    systems = [ "cl-css" ];
    lispLibs = [  ];
  };
  cl-csv = {
    pname = "cl-csv";
    version = "20201016-git";
    asds = [ "cl-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv";
      asd = "cl-csv";
    });
    systems = [ "cl-csv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-csv-clsql = {
    pname = "cl-csv-clsql";
    version = "20201016-git";
    asds = [ "cl-csv-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv-clsql";
      asd = "cl-csv-clsql";
    });
    systems = [ "cl-csv-clsql" ];
    lispLibs = [ (getAttr "cl-csv" pkgs) (getAttr "clsql-helper" pkgs) (getAttr "data-table-clsql" pkgs) ];
  };
  cl-csv-data-table = {
    pname = "cl-csv-data-table";
    version = "20201016-git";
    asds = [ "cl-csv-data-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv-data-table";
      asd = "cl-csv-data-table";
    });
    systems = [ "cl-csv-data-table" ];
    lispLibs = [ (getAttr "cl-csv" pkgs) (getAttr "data-table" pkgs) ];
  };
  cl-csv_slash_speed-test = {
    pname = "cl-csv_speed-test";
    version = "20201016-git";
    asds = [ "cl-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv";
      asd = "cl-csv";
    });
    systems = [ "cl-csv/speed-test" ];
    lispLibs = [ (getAttr "cl-csv" pkgs) (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-csv_slash_test = {
    pname = "cl-csv_test";
    version = "20201016-git";
    asds = [ "cl-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv";
      asd = "cl-csv";
    });
    systems = [ "cl-csv/test" ];
    lispLibs = [ (getAttr "cl-csv" pkgs) (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-cuda = {
    pname = "cl-cuda";
    version = "20210807-git";
    asds = [ "cl-cuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda";
      asd = "cl-cuda";
    });
    systems = [ "cl-cuda" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-pattern" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "external-program" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-cuda-examples = {
    pname = "cl-cuda-examples";
    version = "20210807-git";
    asds = [ "cl-cuda-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-examples";
      asd = "cl-cuda-examples";
    });
    systems = [ "cl-cuda-examples" ];
    lispLibs = [ (getAttr "cl-cuda" pkgs) (getAttr "imago" pkgs) ];
  };
  cl-cuda-interop = {
    pname = "cl-cuda-interop";
    version = "20210807-git";
    asds = [ "cl-cuda-interop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-interop";
      asd = "cl-cuda-interop";
    });
    systems = [ "cl-cuda-interop" ];
    lispLibs = [ (getAttr "cl-cuda" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  cl-cuda-interop-examples = {
    pname = "cl-cuda-interop-examples";
    version = "20210807-git";
    asds = [ "cl-cuda-interop-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-interop-examples";
      asd = "cl-cuda-interop-examples";
    });
    systems = [ "cl-cuda-interop-examples" ];
    lispLibs = [ (getAttr "cl-cuda-interop" pkgs) ];
  };
  cl-cuda-misc = {
    pname = "cl-cuda-misc";
    version = "20210807-git";
    asds = [ "cl-cuda-misc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-misc";
      asd = "cl-cuda-misc";
    });
    systems = [ "cl-cuda-misc" ];
    lispLibs = [ (getAttr "cl-emb" pkgs) (getAttr "local-time" pkgs) ];
  };
  cl-custom-hash-table = {
    pname = "cl-custom-hash-table";
    version = "20201220-git";
    asds = [ "cl-custom-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-custom-hash-table/2020-12-20/cl-custom-hash-table-20201220-git.tgz";
      sha256 = "1lyp3lhqq3p2n04agaar5v50ai3vd6zvi6yq4phw3fcl2jzdjhk3";
      system = "cl-custom-hash-table";
      asd = "cl-custom-hash-table";
    });
    systems = [ "cl-custom-hash-table" ];
    lispLibs = [  ];
  };
  cl-custom-hash-table-test = {
    pname = "cl-custom-hash-table-test";
    version = "20201220-git";
    asds = [ "cl-custom-hash-table-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-custom-hash-table/2020-12-20/cl-custom-hash-table-20201220-git.tgz";
      sha256 = "1lyp3lhqq3p2n04agaar5v50ai3vd6zvi6yq4phw3fcl2jzdjhk3";
      system = "cl-custom-hash-table-test";
      asd = "cl-custom-hash-table-test";
    });
    systems = [ "cl-custom-hash-table-test" ];
    lispLibs = [ (getAttr "cl-custom-hash-table" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  cl-darksky = {
    pname = "cl-darksky";
    version = "20180711-git";
    asds = [ "cl-darksky" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-darksky/2018-07-11/cl-darksky-20180711-git.tgz";
      sha256 = "049rziv10z0ygvm0fi98jlxdd5xcqf9gp6ah7jwn9bcxwg5y0wcf";
      system = "cl-darksky";
      asd = "cl-darksky";
    });
    systems = [ "cl-darksky" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) ];
  };
  cl-darksky-test = {
    pname = "cl-darksky-test";
    version = "20180711-git";
    asds = [ "cl-darksky-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-darksky/2018-07-11/cl-darksky-20180711-git.tgz";
      sha256 = "049rziv10z0ygvm0fi98jlxdd5xcqf9gp6ah7jwn9bcxwg5y0wcf";
      system = "cl-darksky-test";
      asd = "cl-darksky-test";
    });
    systems = [ "cl-darksky-test" ];
    lispLibs = [ (getAttr "cl-darksky" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-data-frame = {
    pname = "cl-data-frame";
    version = "20210531-git";
    asds = [ "cl-data-frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-frame/2021-05-31/cl-data-frame-20210531-git.tgz";
      sha256 = "04x5xqf7kyvpm1qdmklp3hgpifl86nw5rjr0qd7r5d4lz6vh9da9";
      system = "cl-data-frame";
      asd = "cl-data-frame";
    });
    systems = [ "cl-data-frame" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-num-utils" pkgs) (getAttr "cl-slice" pkgs) (getAttr "let-plus" pkgs) ];
  };
  cl-data-frame-tests = {
    pname = "cl-data-frame-tests";
    version = "20210531-git";
    asds = [ "cl-data-frame-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-frame/2021-05-31/cl-data-frame-20210531-git.tgz";
      sha256 = "04x5xqf7kyvpm1qdmklp3hgpifl86nw5rjr0qd7r5d4lz6vh9da9";
      system = "cl-data-frame-tests";
      asd = "cl-data-frame";
    });
    systems = [ "cl-data-frame-tests" ];
    lispLibs = [ (getAttr "cl-data-frame" pkgs) (getAttr "clunit" pkgs) ];
  };
  cl-data-structures = {
    pname = "cl-data-structures";
    version = "20221106-git";
    asds = [ "cl-data-structures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-structures/2022-11-06/cl-data-structures-20221106-git.tgz";
      sha256 = "04m537pdkjcpr1fhkmdvn0bh77ilwqa2sf43s6gv52s63drfws3l";
      system = "cl-data-structures";
      asd = "cl-data-structures";
    });
    systems = [ "cl-data-structures" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "documentation-utils-extensions" pkgs) (getAttr "flexichain" pkgs) (getAttr "iterate" pkgs) (getAttr "lparallel" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "more-conditions" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-data-structures-tests = {
    pname = "cl-data-structures-tests";
    version = "20221106-git";
    asds = [ "cl-data-structures-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-structures/2022-11-06/cl-data-structures-20221106-git.tgz";
      sha256 = "04m537pdkjcpr1fhkmdvn0bh77ilwqa2sf43s6gv52s63drfws3l";
      system = "cl-data-structures-tests";
      asd = "cl-data-structures-tests";
    });
    systems = [ "cl-data-structures-tests" ];
    lispLibs = [ (getAttr "cl-data-structures" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-date-time-parser = {
    pname = "cl-date-time-parser";
    version = "20140713-git";
    asds = [ "cl-date-time-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-date-time-parser/2014-07-13/cl-date-time-parser-20140713-git.tgz";
      sha256 = "0dswpbbb57jm609xxfah25dxxhjzc7qh5lr1a1ffkpms84l0r7m5";
      system = "cl-date-time-parser";
      asd = "cl-date-time-parser";
    });
    systems = [ "cl-date-time-parser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-float" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-dbi = {
    pname = "cl-dbi";
    version = "20211020-git";
    asds = [ "cl-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "cl-dbi";
      asd = "cl-dbi";
    });
    systems = [ "cl-dbi" ];
    lispLibs = [ (getAttr "dbi" pkgs) ];
  };
  cl-debug-print = {
    pname = "cl-debug-print";
    version = "20210807-git";
    asds = [ "cl-debug-print" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-debug-print";
      asd = "cl-debug-print";
    });
    systems = [ "cl-debug-print" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) ];
  };
  cl-debug-print-test = {
    pname = "cl-debug-print-test";
    version = "20210807-git";
    asds = [ "cl-debug-print-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-debug-print-test";
      asd = "cl-debug-print-test";
    });
    systems = [ "cl-debug-print-test" ];
    lispLibs = [ (getAttr "cl-debug-print" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-dejavu = {
    pname = "cl-dejavu";
    version = "20210124-git";
    asds = [ "cl-dejavu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dejavu/2021-01-24/cl-dejavu-20210124-git.tgz";
      sha256 = "1lbxiq21bxj8r11c58cqskgn8gnl2p8q1ydkhdsv7i7xnhv2y7r0";
      system = "cl-dejavu";
      asd = "cl-dejavu";
    });
    systems = [ "cl-dejavu" ];
    lispLibs = [  ];
  };
  cl-devil = {
    pname = "cl-devil";
    version = "20150302-git";
    asds = [ "cl-devil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-devil";
      asd = "cl-devil";
    });
    systems = [ "cl-devil" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  cl-diceware = {
    pname = "cl-diceware";
    version = "20150923-git";
    asds = [ "cl-diceware" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-diceware/2015-09-23/cl-diceware-20150923-git.tgz";
      sha256 = "0560ji51ksp8kngn2pyi41vw9zlnwiqj64ici43lzjx0qgv5v84l";
      system = "cl-diceware";
      asd = "cl-diceware";
    });
    systems = [ "cl-diceware" ];
    lispLibs = [  ];
  };
  cl-difflib = {
    pname = "cl-difflib";
    version = "20130128-git";
    asds = [ "cl-difflib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-difflib/2013-01-28/cl-difflib-20130128-git.tgz";
      sha256 = "08if0abhqg191xcz9s7xv8faqq51nswzp8hw423fkqjzr24pmq48";
      system = "cl-difflib";
      asd = "cl-difflib";
    });
    systems = [ "cl-difflib" ];
    lispLibs = [  ];
  };
  cl-difflib-tests = {
    pname = "cl-difflib-tests";
    version = "20130128-git";
    asds = [ "cl-difflib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-difflib/2013-01-28/cl-difflib-20130128-git.tgz";
      sha256 = "08if0abhqg191xcz9s7xv8faqq51nswzp8hw423fkqjzr24pmq48";
      system = "cl-difflib-tests";
      asd = "cl-difflib-tests";
    });
    systems = [ "cl-difflib-tests" ];
    lispLibs = [ (getAttr "cl-difflib" pkgs) ];
  };
  cl-digraph = {
    pname = "cl-digraph";
    version = "20211020-hg";
    asds = [ "cl-digraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2021-10-20/cl-digraph-20211020-hg.tgz";
      sha256 = "1xzfrk86bp5k1d2kh4npnhmm8v4jy9dh0g0d2qcbz3n43j606zdp";
      system = "cl-digraph";
      asd = "cl-digraph";
    });
    systems = [ "cl-digraph" ];
    lispLibs = [  ];
  };
  cl-digraph_dot_dot = {
    pname = "cl-digraph.dot";
    version = "20211020-hg";
    asds = [ "cl-digraph.dot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2021-10-20/cl-digraph-20211020-hg.tgz";
      sha256 = "1xzfrk86bp5k1d2kh4npnhmm8v4jy9dh0g0d2qcbz3n43j606zdp";
      system = "cl-digraph.dot";
      asd = "cl-digraph.dot";
    });
    systems = [ "cl-digraph.dot" ];
    lispLibs = [ (getAttr "cl-digraph" pkgs) (getAttr "cl-dot" pkgs) ];
  };
  cl-digraph_dot_test = {
    pname = "cl-digraph.test";
    version = "20211020-hg";
    asds = [ "cl-digraph.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2021-10-20/cl-digraph-20211020-hg.tgz";
      sha256 = "1xzfrk86bp5k1d2kh4npnhmm8v4jy9dh0g0d2qcbz3n43j606zdp";
      system = "cl-digraph.test";
      asd = "cl-digraph.test";
    });
    systems = [ "cl-digraph.test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-digraph" pkgs) ];
  };
  cl-diskspace = {
    pname = "cl-diskspace";
    version = "20220331-git";
    asds = [ "cl-diskspace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-diskspace/2022-03-31/cl-diskspace-20220331-git.tgz";
      sha256 = "0l19hxqw6b8i5i1jdbr45k1xib9axcwdagsp3y8wkb35g6wwc0s7";
      system = "cl-diskspace";
      asd = "cl-diskspace";
    });
    systems = [ "cl-diskspace" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-disque = {
    pname = "cl-disque";
    version = "20171227-git";
    asds = [ "cl-disque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-disque/2017-12-27/cl-disque-20171227-git.tgz";
      sha256 = "0z26ls9vzlq43fwn307nb7xvqck5h3l9yygf93b0filki83krg3s";
      system = "cl-disque";
      asd = "cl-disque";
    });
    systems = [ "cl-disque" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "rutils" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-disque-test = {
    pname = "cl-disque-test";
    version = "20171227-git";
    asds = [ "cl-disque-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-disque/2017-12-27/cl-disque-20171227-git.tgz";
      sha256 = "0z26ls9vzlq43fwn307nb7xvqck5h3l9yygf93b0filki83krg3s";
      system = "cl-disque-test";
      asd = "cl-disque-test";
    });
    systems = [ "cl-disque-test" ];
    lispLibs = [ (getAttr "cl-disque" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-djula-svg = {
    pname = "cl-djula-svg";
    version = "20221106-git";
    asds = [ "cl-djula-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-svg/2022-11-06/cl-djula-svg-20221106-git.tgz";
      sha256 = "1jxgngr51ars234by4vnczfqmkwi2iy94sdxnj3pkjrdximy5any";
      system = "cl-djula-svg";
      asd = "cl-djula-svg";
    });
    systems = [ "cl-djula-svg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "xmls" pkgs) ];
  };
  cl-djula-svg_slash_tests = {
    pname = "cl-djula-svg_tests";
    version = "20221106-git";
    asds = [ "cl-djula-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-svg/2022-11-06/cl-djula-svg-20221106-git.tgz";
      sha256 = "1jxgngr51ars234by4vnczfqmkwi2iy94sdxnj3pkjrdximy5any";
      system = "cl-djula-svg";
      asd = "cl-djula-svg";
    });
    systems = [ "cl-djula-svg/tests" ];
    lispLibs = [ (getAttr "cl-djula-svg" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-djula-tailwind = {
    pname = "cl-djula-tailwind";
    version = "20221106-git";
    asds = [ "cl-djula-tailwind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-tailwind/2022-11-06/cl-djula-tailwind-20221106-git.tgz";
      sha256 = "059mfgh53gpj74rgr7b61fnm24bwx8hdrw15mjk687y9sna3avda";
      system = "cl-djula-tailwind";
      asd = "cl-djula-tailwind";
    });
    systems = [ "cl-djula-tailwind" ];
    lispLibs = [ (getAttr "cl-css" pkgs) (getAttr "cl-minify-css" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "djula" pkgs) ];
  };
  cl-djula-tailwind_slash_tests = {
    pname = "cl-djula-tailwind_tests";
    version = "20221106-git";
    asds = [ "cl-djula-tailwind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-tailwind/2022-11-06/cl-djula-tailwind-20221106-git.tgz";
      sha256 = "059mfgh53gpj74rgr7b61fnm24bwx8hdrw15mjk687y9sna3avda";
      system = "cl-djula-tailwind";
      asd = "cl-djula-tailwind";
    });
    systems = [ "cl-djula-tailwind/tests" ];
    lispLibs = [ (getAttr "cl-djula-tailwind" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-dot = {
    pname = "cl-dot";
    version = "20220707-git";
    asds = [ "cl-dot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dot/2022-07-07/cl-dot-20220707-git.tgz";
      sha256 = "0mcvzqfcg5rzr8rz8aa2yr2jl3ifflaksvps08zj71hbhiacqpxa";
      system = "cl-dot";
      asd = "cl-dot";
    });
    systems = [ "cl-dot" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  cl-dotenv = {
    pname = "cl-dotenv";
    version = "20181018-git";
    asds = [ "cl-dotenv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dotenv/2018-10-18/cl-dotenv-20181018-git.tgz";
      sha256 = "0cdbk886aizsnqqs3z4jfn8nyrnxj4yb3y00av49xc4h83h6xn53";
      system = "cl-dotenv";
      asd = "cl-dotenv";
    });
    systems = [ "cl-dotenv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
  };
  cl-dotenv-test = {
    pname = "cl-dotenv-test";
    version = "20181018-git";
    asds = [ "cl-dotenv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dotenv/2018-10-18/cl-dotenv-20181018-git.tgz";
      sha256 = "0cdbk886aizsnqqs3z4jfn8nyrnxj4yb3y00av49xc4h83h6xn53";
      system = "cl-dotenv-test";
      asd = "cl-dotenv-test";
    });
    systems = [ "cl-dotenv-test" ];
    lispLibs = [ (getAttr "cl-dotenv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-drawille = {
    pname = "cl-drawille";
    version = "20210807-git";
    asds = [ "cl-drawille" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drawille/2021-08-07/cl-drawille-20210807-git.tgz";
      sha256 = "0wmiz0c7h2zsfj7inzzn8jivnfsc94rq8pczfi44h36n2jg6hdys";
      system = "cl-drawille";
      asd = "cl-drawille";
    });
    systems = [ "cl-drawille" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "osicat" pkgs) ];
  };
  cl-drawille_slash_examples = {
    pname = "cl-drawille_examples";
    version = "20210807-git";
    asds = [ "cl-drawille" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drawille/2021-08-07/cl-drawille-20210807-git.tgz";
      sha256 = "0wmiz0c7h2zsfj7inzzn8jivnfsc94rq8pczfi44h36n2jg6hdys";
      system = "cl-drawille";
      asd = "cl-drawille";
    });
    systems = [ "cl-drawille/examples" ];
    lispLibs = [ (getAttr "cl-drawille" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-drawille_slash_examples-animations = {
    pname = "cl-drawille_examples-animations";
    version = "20210807-git";
    asds = [ "cl-drawille" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drawille/2021-08-07/cl-drawille-20210807-git.tgz";
      sha256 = "0wmiz0c7h2zsfj7inzzn8jivnfsc94rq8pczfi44h36n2jg6hdys";
      system = "cl-drawille";
      asd = "cl-drawille";
    });
    systems = [ "cl-drawille/examples-animations" ];
    lispLibs = [ (getAttr "cl-charms" pkgs) (getAttr "cl-drawille" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-drm = {
    pname = "cl-drm";
    version = "20161204-git";
    asds = [ "cl-drm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drm/2016-12-04/cl-drm-20161204-git.tgz";
      sha256 = "018jsdi9hs71x14mq18k08hwrgdvvbc2yqbqww6gara0bg9cl3l6";
      system = "cl-drm";
      asd = "cl-drm";
    });
    systems = [ "cl-drm" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-dropbox = {
    pname = "cl-dropbox";
    version = "20150608-git";
    asds = [ "cl-dropbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dropbox/2015-06-08/cl-dropbox-20150608-git.tgz";
      sha256 = "09giwr1wlz42flrpy71gv60p53nixjk9jaj4lirgf59dkh718f9x";
      system = "cl-dropbox";
      asd = "cl-dropbox";
    });
    systems = [ "cl-dropbox" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-oauth" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) ];
  };
  cl-dsl = {
    pname = "cl-dsl";
    version = "20130720-git";
    asds = [ "cl-dsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dsl/2013-07-20/cl-dsl-20130720-git.tgz";
      sha256 = "1bj5yp20r8z6gi6rpf88kpy4i06c8i2d3cg5sjlq7d1ninkb4gg4";
      system = "cl-dsl";
      asd = "cl-dsl";
    });
    systems = [ "cl-dsl" ];
    lispLibs = [  ];
  };
  cl-dsl-tests = {
    pname = "cl-dsl-tests";
    version = "20130720-git";
    asds = [ "cl-dsl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dsl/2013-07-20/cl-dsl-20130720-git.tgz";
      sha256 = "1bj5yp20r8z6gi6rpf88kpy4i06c8i2d3cg5sjlq7d1ninkb4gg4";
      system = "cl-dsl-tests";
      asd = "cl-dsl";
    });
    systems = [ "cl-dsl-tests" ];
    lispLibs = [ (getAttr "cl-dsl" pkgs) (getAttr "eos" pkgs) ];
  };
  cl-durian = {
    pname = "cl-durian";
    version = "20150608-git";
    asds = [ "cl-durian" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-durian/2015-06-08/cl-durian-20150608-git.tgz";
      sha256 = "0s89gr5gwwkyirrv7l5fzk9ws7fhy087c3myksblsh00z1xcrvng";
      system = "cl-durian";
      asd = "cl-durian";
    });
    systems = [ "cl-durian" ];
    lispLibs = [  ];
  };
  cl-earley-parser = {
    pname = "cl-earley-parser";
    version = "20211020-git";
    asds = [ "cl-earley-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-earley-parser/2021-10-20/cl-earley-parser-20211020-git.tgz";
      sha256 = "1pkry3ynxn2y3nf13lc3zjqgf4hx43d9zb0w0m34s51xd4xp2h1x";
      system = "cl-earley-parser";
      asd = "cl-earley-parser";
    });
    systems = [ "cl-earley-parser" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  cl-ecma-48 = {
    pname = "cl-ecma-48";
    version = "20200218-http";
    asds = [ "cl-ecma-48" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ecma-48/2020-02-18/cl-ecma-48-20200218-http.tgz";
      sha256 = "1y3srzahci25qp959b87m82d1i1i8jmq039yp9nf0hifxyhw6dgy";
      system = "cl-ecma-48";
      asd = "cl-ecma-48";
    });
    systems = [ "cl-ecma-48" ];
    lispLibs = [  ];
  };
  cl-egl = {
    pname = "cl-egl";
    version = "20190521-git";
    asds = [ "cl-egl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-egl/2019-05-21/cl-egl-20190521-git.tgz";
      sha256 = "19shhzmdc9f1128slc9m4ns6zraka99awqgb4dkrwzgv7w3miqfl";
      system = "cl-egl";
      asd = "cl-egl";
    });
    systems = [ "cl-egl" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-elastic = {
    pname = "cl-elastic";
    version = "20200218-git";
    asds = [ "cl-elastic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-elastic/2020-02-18/cl-elastic-20200218-git.tgz";
      sha256 = "107ha226n3mxzvm0cp8kvgybcv4rr0b4lwik4f4j7lrhz6xvnncq";
      system = "cl-elastic";
      asd = "cl-elastic";
    });
    systems = [ "cl-elastic" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "named-readtables" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-elastic-test = {
    pname = "cl-elastic-test";
    version = "20200218-git";
    asds = [ "cl-elastic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-elastic/2020-02-18/cl-elastic-20200218-git.tgz";
      sha256 = "107ha226n3mxzvm0cp8kvgybcv4rr0b4lwik4f4j7lrhz6xvnncq";
      system = "cl-elastic-test";
      asd = "cl-elastic-test";
    });
    systems = [ "cl-elastic-test" ];
    lispLibs = [ (getAttr "cl-elastic" pkgs) (getAttr "named-readtables" pkgs) (getAttr "parachute" pkgs) ];
  };
  cl-emacs-if = {
    pname = "cl-emacs-if";
    version = "20120305-git";
    asds = [ "cl-emacs-if" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emacs-if/2012-03-05/cl-emacs-if-20120305-git.tgz";
      sha256 = "0br3jvihq24ymqjn2r2qnl3l099r329bsqh18nmkk3yw3kclrcfv";
      system = "cl-emacs-if";
      asd = "cl-emacs-if";
    });
    systems = [ "cl-emacs-if" ];
    lispLibs = [  ];
  };
  cl-emb = {
    pname = "cl-emb";
    version = "20190521-git";
    asds = [ "cl-emb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emb/2019-05-21/cl-emb-20190521-git.tgz";
      sha256 = "1xcm31n7afh5316lwz8iqbjx7kn5lw0l11arg8mhdmkx42aj4gkk";
      system = "cl-emb";
      asd = "cl-emb";
    });
    systems = [ "cl-emb" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-emoji = {
    pname = "cl-emoji";
    version = "20200218-git";
    asds = [ "cl-emoji" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emoji/2020-02-18/cl-emoji-20200218-git.tgz";
      sha256 = "1v91kzx42qyjm936frvfsr0cgnj9g197x78xlda6x7x6xri2r9gm";
      system = "cl-emoji";
      asd = "cl-emoji";
    });
    systems = [ "cl-emoji" ];
    lispLibs = [  ];
  };
  cl-emoji-test = {
    pname = "cl-emoji-test";
    version = "20200218-git";
    asds = [ "cl-emoji-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emoji/2020-02-18/cl-emoji-20200218-git.tgz";
      sha256 = "1v91kzx42qyjm936frvfsr0cgnj9g197x78xlda6x7x6xri2r9gm";
      system = "cl-emoji-test";
      asd = "cl-emoji-test";
    });
    systems = [ "cl-emoji-test" ];
    lispLibs = [ (getAttr "cl-emoji" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-env = {
    pname = "cl-env";
    version = "20180430-git";
    asds = [ "cl-env" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-env/2018-04-30/cl-env-20180430-git.tgz";
      sha256 = "1r0d004gr1za9ib53jhxkx315wd4av0ar2063dcvs9g4nahk2d07";
      system = "cl-env";
      asd = "cl-env";
    });
    systems = [ "cl-env" ];
    lispLibs = [  ];
  };
  cl-env_slash_test = {
    pname = "cl-env_test";
    version = "20180430-git";
    asds = [ "cl-env" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-env/2018-04-30/cl-env-20180430-git.tgz";
      sha256 = "1r0d004gr1za9ib53jhxkx315wd4av0ar2063dcvs9g4nahk2d07";
      system = "cl-env";
      asd = "cl-env";
    });
    systems = [ "cl-env/test" ];
    lispLibs = [ (getAttr "cl-env" pkgs) (getAttr "lisp-unit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-environments = {
    pname = "cl-environments";
    version = "20211020-git";
    asds = [ "cl-environments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-environments/2021-10-20/cl-environments-20211020-git.tgz";
      sha256 = "0k3f1sldd6nwphz80vc4k28z9g56rylln4admag628cyswx4qz99";
      system = "cl-environments";
      asd = "cl-environments";
    });
    systems = [ "cl-environments" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "collectors" pkgs) (getAttr "optima" pkgs) (getAttr "parse-declarations-1_dot_0" pkgs) ];
  };
  cl-environments_slash_test = {
    pname = "cl-environments_test";
    version = "20211020-git";
    asds = [ "cl-environments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-environments/2021-10-20/cl-environments-20211020-git.tgz";
      sha256 = "0k3f1sldd6nwphz80vc4k28z9g56rylln4admag628cyswx4qz99";
      system = "cl-environments";
      asd = "cl-environments";
    });
    systems = [ "cl-environments/test" ];
    lispLibs = [ (getAttr "cl-environments" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-epoch = {
    pname = "cl-epoch";
    version = "20181210-git";
    asds = [ "cl-epoch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epoch/2018-12-10/cl-epoch-20181210-git.tgz";
      sha256 = "091p6j5l85afzcm3m9myxzr8j3hiwh0iyj8w0sgld85n2ykbbird";
      system = "cl-epoch";
      asd = "cl-epoch";
    });
    systems = [ "cl-epoch" ];
    lispLibs = [  ];
  };
  cl-etcd = {
    pname = "cl-etcd";
    version = "20220707-git";
    asds = [ "cl-etcd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-etcd/2022-07-07/cl-etcd-20220707-git.tgz";
      sha256 = "0g4lkmzddg5hbdxc407w5y7z71p1swrifih9hf3g9jx3hbj3ci37";
      system = "cl-etcd";
      asd = "cl-etcd";
    });
    systems = [ "cl-etcd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "async-process" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-events = {
    pname = "cl-events";
    version = "20160318-git";
    asds = [ "cl-events" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-events/2016-03-18/cl-events-20160318-git.tgz";
      sha256 = "1r847q1bwblnb2395dsydylr9nxgjx7gdwc9dx1051zhvi9in36g";
      system = "cl-events";
      asd = "cl-events";
    });
    systems = [ "cl-events" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "blackbird" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "lparallel" pkgs) ];
  };
  cl-events_dot_test = {
    pname = "cl-events.test";
    version = "20160318-git";
    asds = [ "cl-events.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-events/2016-03-18/cl-events-20160318-git.tgz";
      sha256 = "1r847q1bwblnb2395dsydylr9nxgjx7gdwc9dx1051zhvi9in36g";
      system = "cl-events.test";
      asd = "cl-events.test";
    });
    systems = [ "cl-events.test" ];
    lispLibs = [ (getAttr "cl-events" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-ewkb = {
    pname = "cl-ewkb";
    version = "20110619-git";
    asds = [ "cl-ewkb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ewkb/2011-06-19/cl-ewkb-20110619-git.tgz";
      sha256 = "1mk5j34m9gkwl7c4d464l42gclxlrcpifp2nq41z3fsfl8badn6w";
      system = "cl-ewkb";
      asd = "cl-ewkb";
    });
    systems = [ "cl-ewkb" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "ieee-floats" pkgs) ];
  };
  cl-ewkb-tests = {
    pname = "cl-ewkb-tests";
    version = "20110619-git";
    asds = [ "cl-ewkb-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ewkb/2011-06-19/cl-ewkb-20110619-git.tgz";
      sha256 = "1mk5j34m9gkwl7c4d464l42gclxlrcpifp2nq41z3fsfl8badn6w";
      system = "cl-ewkb-tests";
      asd = "cl-ewkb";
    });
    systems = [ "cl-ewkb-tests" ];
    lispLibs = [ (getAttr "cl-ewkb" pkgs) (getAttr "postmodern" pkgs) ];
  };
  cl-factoring = {
    pname = "cl-factoring";
    version = "20221106-git";
    asds = [ "cl-factoring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-factoring/2022-11-06/cl-factoring-20221106-git.tgz";
      sha256 = "0vn3kb8mmi93pr76lx1mbwp7qc2krzb0ayzcrffwq2aw2q201fhd";
      system = "cl-factoring";
      asd = "cl-factoring";
    });
    systems = [ "cl-factoring" ];
    lispLibs = [ (getAttr "cl-primality" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-fad = {
    pname = "cl-fad";
    version = "20220220-git";
    asds = [ "cl-fad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fad/2022-02-20/cl-fad-20220220-git.tgz";
      sha256 = "0a1xqldrq170lflnns3xp6swpnvsvllf5vq0h7sz8jqh4riqlny6";
      system = "cl-fad";
      asd = "cl-fad";
    });
    systems = [ "cl-fad" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) ];
  };
  cl-fad_slash_test = {
    pname = "cl-fad_test";
    version = "20220220-git";
    asds = [ "cl-fad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fad/2022-02-20/cl-fad-20220220-git.tgz";
      sha256 = "0a1xqldrq170lflnns3xp6swpnvsvllf5vq0h7sz8jqh4riqlny6";
      system = "cl-fad";
      asd = "cl-fad";
    });
    systems = [ "cl-fad/test" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "unit-test" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-fam = {
    pname = "cl-fam";
    version = "20121125-git";
    asds = [ "cl-fam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fam/2012-11-25/cl-fam-20121125-git.tgz";
      sha256 = "1imv87imhxvigghx3l28kbsldz6hpqd32280wjwffqwvadhx0gng";
      system = "cl-fam";
      asd = "cl-fam";
    });
    systems = [ "cl-fam" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-fastcgi = {
    pname = "cl-fastcgi";
    version = "20210124-git";
    asds = [ "cl-fastcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fastcgi/2021-01-24/cl-fastcgi-20210124-git.tgz";
      sha256 = "0xgmhx766q4nmrvn5z7ag3ikpr9phlh8ypi8b14azshq9lqbq0m7";
      system = "cl-fastcgi";
      asd = "cl-fastcgi";
    });
    systems = [ "cl-fastcgi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-fbclient = {
    pname = "cl-fbclient";
    version = "20140113-git";
    asds = [ "cl-fbclient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fbclient/2014-01-13/cl-fbclient-20140113-git.tgz";
      sha256 = "1q2dwizrjnal3fdcdgim4kdq0dma71p3s8w6i8bjkg4fs49k5p9j";
      system = "cl-fbclient";
      asd = "cl-fbclient";
    });
    systems = [ "cl-fbclient" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-feedparser = {
    pname = "cl-feedparser";
    version = "20211020-git";
    asds = [ "cl-feedparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-feedparser/2021-10-20/cl-feedparser-20211020-git.tgz";
      sha256 = "1g84w89c04d1r734bmrrmy0kazm8d5di85434byf319dq8zma29v";
      system = "cl-feedparser";
      asd = "cl-feedparser";
    });
    systems = [ "cl-feedparser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "cl-html5-parser" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fset" pkgs) (getAttr "fxml" pkgs) (getAttr "local-time" pkgs) (getAttr "net-telent-date" pkgs) (getAttr "plump" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) ];
  };
  cl-feedparser-tests = {
    pname = "cl-feedparser-tests";
    version = "20211020-git";
    asds = [ "cl-feedparser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-feedparser/2021-10-20/cl-feedparser-20211020-git.tgz";
      sha256 = "1g84w89c04d1r734bmrrmy0kazm8d5di85434byf319dq8zma29v";
      system = "cl-feedparser-tests";
      asd = "cl-feedparser-tests";
    });
    systems = [ "cl-feedparser-tests" ];
    lispLibs = [ (getAttr "cl-feedparser" pkgs) (getAttr "fiveam" pkgs) (getAttr "fxml" pkgs) (getAttr "local-time" pkgs) ];
  };
  cl-feedparser_slash_test = {
    pname = "cl-feedparser_test";
    version = "20211020-git";
    asds = [ "cl-feedparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-feedparser/2021-10-20/cl-feedparser-20211020-git.tgz";
      sha256 = "1g84w89c04d1r734bmrrmy0kazm8d5di85434byf319dq8zma29v";
      system = "cl-feedparser";
      asd = "cl-feedparser";
    });
    systems = [ "cl-feedparser/test" ];
    lispLibs = [ (getAttr "cl-feedparser" pkgs) (getAttr "fiveam" pkgs) (getAttr "fxml" pkgs) (getAttr "local-time" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-fix = {
    pname = "cl-fix";
    version = "20220220-git";
    asds = [ "cl-fix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fix/2022-02-20/cl-fix-20220220-git.tgz";
      sha256 = "19mfvv4d88nw8x0zmqdpaa98cc6w19ksi4ayxkkzgd7i6azknm8n";
      system = "cl-fix";
      asd = "cl-fix";
    });
    systems = [ "cl-fix" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrow-macros" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "parse-number" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-fix_slash_fix44 = {
    pname = "cl-fix_fix44";
    version = "20220220-git";
    asds = [ "cl-fix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fix/2022-02-20/cl-fix-20220220-git.tgz";
      sha256 = "19mfvv4d88nw8x0zmqdpaa98cc6w19ksi4ayxkkzgd7i6azknm8n";
      system = "cl-fix";
      asd = "cl-fix";
    });
    systems = [ "cl-fix/fix44" ];
    lispLibs = [ (getAttr "cl-fix" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-fix_slash_test = {
    pname = "cl-fix_test";
    version = "20220220-git";
    asds = [ "cl-fix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fix/2022-02-20/cl-fix-20220220-git.tgz";
      sha256 = "19mfvv4d88nw8x0zmqdpaa98cc6w19ksi4ayxkkzgd7i6azknm8n";
      system = "cl-fix";
      asd = "cl-fix";
    });
    systems = [ "cl-fix/test" ];
    lispLibs = [ (getAttr "cl-fix" pkgs) (getAttr "fiveam" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-fixtures = {
    pname = "cl-fixtures";
    version = "20200325-git";
    asds = [ "cl-fixtures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fixtures/2020-03-25/cl-fixtures-20200325-git.tgz";
      sha256 = "01z8brw32lv8lqn6r9srwrna5gkd4cyncpbpg6pc0khgdxzpzaag";
      system = "cl-fixtures";
      asd = "cl-fixtures";
    });
    systems = [ "cl-fixtures" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-fixtures-test = {
    pname = "cl-fixtures-test";
    version = "20200325-git";
    asds = [ "cl-fixtures-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fixtures/2020-03-25/cl-fixtures-20200325-git.tgz";
      sha256 = "01z8brw32lv8lqn6r9srwrna5gkd4cyncpbpg6pc0khgdxzpzaag";
      system = "cl-fixtures-test";
      asd = "cl-fixtures-test";
    });
    systems = [ "cl-fixtures-test" ];
    lispLibs = [ (getAttr "cl-fixtures" pkgs) (getAttr "incf-cl" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "rutils" pkgs) ];
  };
  cl-flac = {
    pname = "cl-flac";
    version = "20190710-git";
    asds = [ "cl-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flac/2019-07-10/cl-flac-20190710-git.tgz";
      sha256 = "1dgr5xqf175hzq3sxpbixxia2k2g3rz0pn6msch4dnvk7a1naqlc";
      system = "cl-flac";
      asd = "cl-flac";
    });
    systems = [ "cl-flac" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-flow = {
    pname = "cl-flow";
    version = "stable-git";
    asds = [ "cl-flow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flow/2022-07-07/cl-flow-stable-git.tgz";
      sha256 = "0mh9g0zj2kwnsq31zg4af5k9jvfbwp28zx02f0r1jlg2rha87vlg";
      system = "cl-flow";
      asd = "cl-flow";
    });
    systems = [ "cl-flow" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-muth" pkgs) ];
  };
  cl-flow_slash_tests = {
    pname = "cl-flow_tests";
    version = "stable-git";
    asds = [ "cl-flow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flow/2022-07-07/cl-flow-stable-git.tgz";
      sha256 = "0mh9g0zj2kwnsq31zg4af5k9jvfbwp28zx02f0r1jlg2rha87vlg";
      system = "cl-flow";
      asd = "cl-flow";
    });
    systems = [ "cl-flow/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-flow" pkgs) (getAttr "cl-muth" pkgs) (getAttr "fiveam" pkgs) (getAttr "simple-flow-dispatcher" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-flowd = {
    pname = "cl-flowd";
    version = "20140713-git";
    asds = [ "cl-flowd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flowd/2014-07-13/cl-flowd-20140713-git.tgz";
      sha256 = "0qppiqgy4fgvkm519bqjrw1mfp90q8fs1spvawf24d1nzslf51pj";
      system = "cl-flowd";
      asd = "cl-flowd";
    });
    systems = [ "cl-flowd" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) ];
  };
  cl-fluent-logger = {
    pname = "cl-fluent-logger";
    version = "20211020-git";
    asds = [ "cl-fluent-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluent-logger/2021-10-20/cl-fluent-logger-20211020-git.tgz";
      sha256 = "14q7ymdg3hsri2z2c8fb1syqgdlk8b288v4gw645dbaxfpava2qq";
      system = "cl-fluent-logger";
      asd = "cl-fluent-logger";
    });
    systems = [ "cl-fluent-logger" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-messagepack" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "pack" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-fluiddb = {
    pname = "cl-fluiddb";
    version = "20130312-git";
    asds = [ "cl-fluiddb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluiddb";
      asd = "cl-fluiddb";
    });
    systems = [ "cl-fluiddb" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-fluiddb-test = {
    pname = "cl-fluiddb-test";
    version = "20130312-git";
    asds = [ "cl-fluiddb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluiddb-test";
      asd = "cl-fluiddb-test";
    });
    systems = [ "cl-fluiddb-test" ];
    lispLibs = [ (getAttr "cl-fluiddb" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-fluidinfo = {
    pname = "cl-fluidinfo";
    version = "20130312-git";
    asds = [ "cl-fluidinfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluidinfo";
      asd = "cl-fluidinfo";
    });
    systems = [ "cl-fluidinfo" ];
    lispLibs = [ (getAttr "cl-fluiddb" pkgs) ];
  };
  cl-fond = {
    pname = "cl-fond";
    version = "20191130-git";
    asds = [ "cl-fond" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fond/2019-11-30/cl-fond-20191130-git.tgz";
      sha256 = "03ygcw1azb44bhdsqcq99xi4ci0by76ap5jf5l2d1vfxq04v8grq";
      system = "cl-fond";
      asd = "cl-fond";
    });
    systems = [ "cl-fond" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-form-types = {
    pname = "cl-form-types";
    version = "20221106-git";
    asds = [ "cl-form-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-form-types/2022-11-06/cl-form-types-20221106-git.tgz";
      sha256 = "063yylsdy9zp3gr3l1mw0rbhfy853m1x4yv3s8y3qwmxsxdfjs10";
      system = "cl-form-types";
      asd = "cl-form-types";
    });
    systems = [ "cl-form-types" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-environments" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "optima" pkgs) ];
  };
  cl-form-types_slash_test = {
    pname = "cl-form-types_test";
    version = "20221106-git";
    asds = [ "cl-form-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-form-types/2022-11-06/cl-form-types-20221106-git.tgz";
      sha256 = "063yylsdy9zp3gr3l1mw0rbhfy853m1x4yv3s8y3qwmxsxdfjs10";
      system = "cl-form-types";
      asd = "cl-form-types";
    });
    systems = [ "cl-form-types/test" ];
    lispLibs = [ (getAttr "cl-form-types" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-forms = {
    pname = "cl-forms";
    version = "20221106-git";
    asds = [ "cl-forms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms";
      asd = "cl-forms";
    });
    systems = [ "cl-forms" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "clavier" pkgs) (getAttr "fmt" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "uuid" pkgs) ];
  };
  cl-forms_dot_demo = {
    pname = "cl-forms.demo";
    version = "20221106-git";
    asds = [ "cl-forms.demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.demo";
      asd = "cl-forms.demo";
    });
    systems = [ "cl-forms.demo" ];
    lispLibs = [ (getAttr "cl-css" pkgs) (getAttr "cl-forms" pkgs) (getAttr "cl-forms_dot_djula" pkgs) (getAttr "cl-forms_dot_test" pkgs) (getAttr "cl-forms_dot_who" pkgs) (getAttr "cl-forms_dot_who_dot_bootstrap" pkgs) (getAttr "cl-who" pkgs) (getAttr "djula" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  cl-forms_dot_djula = {
    pname = "cl-forms.djula";
    version = "20221106-git";
    asds = [ "cl-forms.djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.djula";
      asd = "cl-forms.djula";
    });
    systems = [ "cl-forms.djula" ];
    lispLibs = [ (getAttr "cl-forms" pkgs) (getAttr "cl-forms_dot_who" pkgs) (getAttr "djula" pkgs) ];
  };
  cl-forms_dot_peppol = {
    pname = "cl-forms.peppol";
    version = "20221106-git";
    asds = [ "cl-forms.peppol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.peppol";
      asd = "cl-forms.peppol";
    });
    systems = [ "cl-forms.peppol" ];
    lispLibs = [ (getAttr "cl-forms" pkgs) (getAttr "peppol" pkgs) ];
  };
  cl-forms_dot_test = {
    pname = "cl-forms.test";
    version = "20221106-git";
    asds = [ "cl-forms.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.test";
      asd = "cl-forms.test";
    });
    systems = [ "cl-forms.test" ];
    lispLibs = [ (getAttr "cl-forms" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-forms_dot_who = {
    pname = "cl-forms.who";
    version = "20221106-git";
    asds = [ "cl-forms.who" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.who";
      asd = "cl-forms.who";
    });
    systems = [ "cl-forms.who" ];
    lispLibs = [ (getAttr "cl-forms" pkgs) (getAttr "cl-who" pkgs) ];
  };
  cl-forms_dot_who_dot_bootstrap = {
    pname = "cl-forms.who.bootstrap";
    version = "20221106-git";
    asds = [ "cl-forms.who.bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2022-11-06/cl-forms-20221106-git.tgz";
      sha256 = "11vcmi96x93npdga9hmpbhxi260bccgrllz6bzd0spkzazr3q0ap";
      system = "cl-forms.who.bootstrap";
      asd = "cl-forms.who.bootstrap";
    });
    systems = [ "cl-forms.who.bootstrap" ];
    lispLibs = [ (getAttr "cl-forms_dot_who" pkgs) ];
  };
  cl-freeimage = {
    pname = "cl-freeimage";
    version = "20170403-git";
    asds = [ "cl-freeimage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freeimage/2017-04-03/cl-freeimage-20170403-git.tgz";
      sha256 = "1333i8sh670nkb0c35xp511xjlafn5zh8a6gk3wnh19gffvj63hq";
      system = "cl-freeimage";
      asd = "cl-freeimage";
    });
    systems = [ "cl-freeimage" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-freetype2 = {
    pname = "cl-freetype2";
    version = "20220707-git";
    asds = [ "cl-freetype2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freetype2/2022-07-07/cl-freetype2-20220707-git.tgz";
      sha256 = "1nhq3qslja0bcgpbmzfycqhd4vw1l58zh4ia15m1h6535qxliy0q";
      system = "cl-freetype2";
      asd = "cl-freetype2";
    });
    systems = [ "cl-freetype2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-freetype2-tests = {
    pname = "cl-freetype2-tests";
    version = "20220707-git";
    asds = [ "cl-freetype2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freetype2/2022-07-07/cl-freetype2-20220707-git.tgz";
      sha256 = "1nhq3qslja0bcgpbmzfycqhd4vw1l58zh4ia15m1h6535qxliy0q";
      system = "cl-freetype2-tests";
      asd = "cl-freetype2-tests";
    });
    systems = [ "cl-freetype2-tests" ];
    lispLibs = [ (getAttr "cl-freetype2" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-fsnotify = {
    pname = "cl-fsnotify";
    version = "20150302-git";
    asds = [ "cl-fsnotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fsnotify/2015-03-02/cl-fsnotify-20150302-git.tgz";
      sha256 = "0693ga1xqcvi89j3aw0lmyi3a1yl3hrfwli2jiwxv0mgpcaxz0yr";
      system = "cl-fsnotify";
      asd = "cl-fsnotify";
    });
    systems = [ "cl-fsnotify" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-ftp = {
    pname = "cl-ftp";
    version = "20150608-http";
    asds = [ "cl-ftp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ftp/2015-06-08/cl-ftp-20150608-http.tgz";
      sha256 = "1m955rjpaynybzmb9q631mll764hm06lydvhra50mfjj75ynwsvw";
      system = "cl-ftp";
      asd = "cl-ftp";
    });
    systems = [ "cl-ftp" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-fuse = {
    pname = "cl-fuse";
    version = "20200925-git";
    asds = [ "cl-fuse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuse/2020-09-25/cl-fuse-20200925-git.tgz";
      sha256 = "1qxvf8ybn0v1hiaz11k1h47y0dksj8ah9v8jdfrjp9ad1rrrnxqs";
      system = "cl-fuse";
      asd = "cl-fuse";
    });
    systems = [ "cl-fuse" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-fuse-meta-fs = {
    pname = "cl-fuse-meta-fs";
    version = "20190710-git";
    asds = [ "cl-fuse-meta-fs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuse-meta-fs/2019-07-10/cl-fuse-meta-fs-20190710-git.tgz";
      sha256 = "1wbi7lvczfn09qb72rg1bps9w51mz42dwa7lyjl2hp8lbwc2a5a9";
      system = "cl-fuse-meta-fs";
      asd = "cl-fuse-meta-fs";
    });
    systems = [ "cl-fuse-meta-fs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fuse" pkgs) (getAttr "iterate" pkgs) (getAttr "pcall" pkgs) ];
  };
  cl-fuzz = {
    pname = "cl-fuzz";
    version = "20181018-git";
    asds = [ "cl-fuzz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuzz/2018-10-18/cl-fuzz-20181018-git.tgz";
      sha256 = "1zvlh0nh4iip75p6dblx5kajqaa3hhv6mdjbx9cids8491r388rz";
      system = "cl-fuzz";
      asd = "cl-fuzz";
    });
    systems = [ "cl-fuzz" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-fxml = {
    pname = "cl-fxml";
    version = "20220331-git";
    asds = [ "cl-fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fxml/2022-03-31/cl-fxml-20220331-git.tgz";
      sha256 = "0i5w3z0rgyi42rlhvf92k95w6bajf3m1x9g4zprwf602kp7abr3c";
      system = "cl-fxml";
      asd = "cl-fxml";
    });
    systems = [ "cl-fxml" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "alexandria" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-gamepad = {
    pname = "cl-gamepad";
    version = "20221106-git";
    asds = [ "cl-gamepad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gamepad/2022-11-06/cl-gamepad-20221106-git.tgz";
      sha256 = "00rd483p063wf8m18mpgbk09fxass2zfc6vmkx0c26f690g6a14z";
      system = "cl-gamepad";
      asd = "cl-gamepad";
    });
    systems = [ "cl-gamepad" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-gap-buffer = {
    pname = "cl-gap-buffer";
    version = "20190307-hg";
    asds = [ "cl-gap-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gap-buffer/2019-03-07/cl-gap-buffer-20190307-hg.tgz";
      sha256 = "0n46vbjsqva0ik5m4bh9k9vzzvixw755vql2bagq0sdxchmri2gw";
      system = "cl-gap-buffer";
      asd = "cl-gap-buffer";
    });
    systems = [ "cl-gap-buffer" ];
    lispLibs = [  ];
  };
  cl-gbm = {
    pname = "cl-gbm";
    version = "20180430-git";
    asds = [ "cl-gbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gbm/2018-04-30/cl-gbm-20180430-git.tgz";
      sha256 = "14bshi7q1hhyag8va9javjjn5cnhmwyjlw8vvvb4fyzfspz3kpdx";
      system = "cl-gbm";
      asd = "cl-gbm";
    });
    systems = [ "cl-gbm" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-gcrypt = {
    pname = "cl-gcrypt";
    version = "20211209-git";
    asds = [ "cl-gcrypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gcrypt/2021-12-09/cl-gcrypt-20211209-git.tgz";
      sha256 = "1f4gx5ssirr4f3n68i2da6ad7hbhgsk18zv0gfqy3q635zai0z3w";
      system = "cl-gcrypt";
      asd = "cl-gcrypt";
    });
    systems = [ "cl-gcrypt" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-gcrypt-test = {
    pname = "cl-gcrypt-test";
    version = "20211209-git";
    asds = [ "cl-gcrypt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gcrypt/2021-12-09/cl-gcrypt-20211209-git.tgz";
      sha256 = "1f4gx5ssirr4f3n68i2da6ad7hbhgsk18zv0gfqy3q635zai0z3w";
      system = "cl-gcrypt-test";
      asd = "cl-gcrypt-test";
    });
    systems = [ "cl-gcrypt-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-gcrypt" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-gd = {
    pname = "cl-gd";
    version = "20201220-git";
    asds = [ "cl-gd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gd/2020-12-20/cl-gd-20201220-git.tgz";
      sha256 = "1wa6nv5bdf0v38hzr6cfadkk6mhvvnj9lpl9igcxygdjbnn2a3y6";
      system = "cl-gd";
      asd = "cl-gd";
    });
    systems = [ "cl-gd" ];
    lispLibs = [ (getAttr "uffi" pkgs) ];
  };
  cl-gd-test = {
    pname = "cl-gd-test";
    version = "20201220-git";
    asds = [ "cl-gd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gd/2020-12-20/cl-gd-20201220-git.tgz";
      sha256 = "1wa6nv5bdf0v38hzr6cfadkk6mhvvnj9lpl9igcxygdjbnn2a3y6";
      system = "cl-gd-test";
      asd = "cl-gd-test";
    });
    systems = [ "cl-gd-test" ];
    lispLibs = [ (getAttr "cl-gd" pkgs) ];
  };
  cl-gdata = {
    pname = "cl-gdata";
    version = "20171130-git";
    asds = [ "cl-gdata" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gdata/2017-11-30/cl-gdata-20171130-git.tgz";
      sha256 = "0x2sq03nacjbq7p9baxlhr7bb0xg7v1ljq7qj1b3xrd4rbcibxi9";
      system = "cl-gdata";
      asd = "cl-gdata";
    });
    systems = [ "cl-gdata" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-number" pkgs) (getAttr "xpath" pkgs) (getAttr "split-sequence" pkgs) (getAttr "string-case" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "url-rewrite" pkgs) ];
  };
  cl-gearman = {
    pname = "cl-gearman";
    version = "20211020-git";
    asds = [ "cl-gearman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gearman/2021-10-20/cl-gearman-20211020-git.tgz";
      sha256 = "0cnkpqn43p55xlhdi8bws2ssa1ahvzbgggh3pam0zbqma2m525j6";
      system = "cl-gearman";
      asd = "cl-gearman";
    });
    systems = [ "cl-gearman" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-gearman-test = {
    pname = "cl-gearman-test";
    version = "20211020-git";
    asds = [ "cl-gearman-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gearman/2021-10-20/cl-gearman-20211020-git.tgz";
      sha256 = "0cnkpqn43p55xlhdi8bws2ssa1ahvzbgggh3pam0zbqma2m525j6";
      system = "cl-gearman-test";
      asd = "cl-gearman-test";
    });
    systems = [ "cl-gearman-test" ];
    lispLibs = [ (getAttr "cl-gearman" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-gendoc = {
    pname = "cl-gendoc";
    version = "20180831-git";
    asds = [ "cl-gendoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gendoc/2018-08-31/cl-gendoc-20180831-git.tgz";
      sha256 = "19f8fmz2hj332kh3y3fbil2dchpckdsqci6ljhadymd8p2h6w4ws";
      system = "cl-gendoc";
      asd = "cl-gendoc";
    });
    systems = [ "cl-gendoc" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "cl-who" pkgs) ];
  };
  cl-gendoc-docs = {
    pname = "cl-gendoc-docs";
    version = "20180831-git";
    asds = [ "cl-gendoc-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gendoc/2018-08-31/cl-gendoc-20180831-git.tgz";
      sha256 = "19f8fmz2hj332kh3y3fbil2dchpckdsqci6ljhadymd8p2h6w4ws";
      system = "cl-gendoc-docs";
      asd = "cl-gendoc";
    });
    systems = [ "cl-gendoc-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" pkgs) ];
  };
  cl-gene-searcher = {
    pname = "cl-gene-searcher";
    version = "20111001-git";
    asds = [ "cl-gene-searcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gene-searcher/2011-10-01/cl-gene-searcher-20111001-git.tgz";
      sha256 = "0n8p6yk600h7m050bjxazmcxdrcfrkcklrcj8ncflyshm72qv1yk";
      system = "cl-gene-searcher";
      asd = "cl-gene-searcher";
    });
    systems = [ "cl-gene-searcher" ];
    lispLibs = [ (getAttr "clsql-sqlite3" pkgs) ];
  };
  cl-generator = {
    pname = "cl-generator";
    version = "20221106-git";
    asds = [ "cl-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-generator/2022-11-06/cl-generator-20221106-git.tgz";
      sha256 = "0aa5prw6f4fqw9j8m6kvdb3h3lqyvi15dd1l6437p9408mmyxk30";
      system = "cl-generator";
      asd = "cl-generator";
    });
    systems = [ "cl-generator" ];
    lispLibs = [ (getAttr "cl-cont" pkgs) ];
  };
  cl-generator-test = {
    pname = "cl-generator-test";
    version = "20221106-git";
    asds = [ "cl-generator-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-generator/2022-11-06/cl-generator-20221106-git.tgz";
      sha256 = "0aa5prw6f4fqw9j8m6kvdb3h3lqyvi15dd1l6437p9408mmyxk30";
      system = "cl-generator-test";
      asd = "cl-generator-test";
    });
    systems = [ "cl-generator-test" ];
    lispLibs = [ (getAttr "cl-generator" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-geocode = {
    pname = "cl-geocode";
    version = "20190813-git";
    asds = [ "cl-geocode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geocode/2019-08-13/cl-geocode-20190813-git.tgz";
      sha256 = "17z0v29rrhsfjikg4sn9ynxckh5i3ahjn7c8qs381n1p9fbd668l";
      system = "cl-geocode";
      asd = "cl-geocode";
    });
    systems = [ "cl-geocode" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "acl-compat" pkgs) (getAttr "aserve" pkgs) ];
  };
  cl-geoip = {
    pname = "cl-geoip";
    version = "20130615-git";
    asds = [ "cl-geoip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geoip/2013-06-15/cl-geoip-20130615-git.tgz";
      sha256 = "0ys8wysppx06j3s0dc9lc9zjizr1fmj388fiigyn1wrdyyka41y2";
      system = "cl-geoip";
      asd = "cl-geoip";
    });
    systems = [ "cl-geoip" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-geometry = {
    pname = "cl-geometry";
    version = "20160531-git";
    asds = [ "cl-geometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geometry/2016-05-31/cl-geometry-20160531-git.tgz";
      sha256 = "188xrd8plvc34gz7q01zmkdrzxbpwzln103l5dl78pa4a6vzz34h";
      system = "cl-geometry";
      asd = "cl-geometry";
    });
    systems = [ "cl-geometry" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "trees" pkgs) ];
  };
  cl-geometry-tests = {
    pname = "cl-geometry-tests";
    version = "20160531-git";
    asds = [ "cl-geometry-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geometry/2016-05-31/cl-geometry-20160531-git.tgz";
      sha256 = "188xrd8plvc34gz7q01zmkdrzxbpwzln103l5dl78pa4a6vzz34h";
      system = "cl-geometry-tests";
      asd = "cl-geometry-tests";
    });
    systems = [ "cl-geometry-tests" ];
    lispLibs = [ (getAttr "cl-geometry" pkgs) (getAttr "iterate" pkgs) (getAttr "vecto" pkgs) ];
  };
  cl-geos = {
    pname = "cl-geos";
    version = "20180711-git";
    asds = [ "cl-geos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geos/2018-07-11/cl-geos-20180711-git.tgz";
      sha256 = "0igq2c1p82pbkyc7zg90fm3lbsmhwnfmb3q8jc8baklb958555ck";
      system = "cl-geos";
      asd = "cl-geos";
    });
    systems = [ "cl-geos" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) (getAttr "xarray" pkgs) ];
  };
  cl-geos_slash_test = {
    pname = "cl-geos_test";
    version = "20180711-git";
    asds = [ "cl-geos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geos/2018-07-11/cl-geos-20180711-git.tgz";
      sha256 = "0igq2c1p82pbkyc7zg90fm3lbsmhwnfmb3q8jc8baklb958555ck";
      system = "cl-geos";
      asd = "cl-geos";
    });
    systems = [ "cl-geos/test" ];
    lispLibs = [ (getAttr "cl-geos" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-getopt = {
    pname = "cl-getopt";
    version = "20211209-git";
    asds = [ "cl-getopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-getopt/2021-12-09/cl-getopt-20211209-git.tgz";
      sha256 = "16qkpg2qln7q9j5614py00zwsnmxcy3xcmhb4m8f0w0zbnpvkjxl";
      system = "cl-getopt";
      asd = "cl-getopt";
    });
    systems = [ "cl-getopt" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-getx = {
    pname = "cl-getx";
    version = "20200925-git";
    asds = [ "cl-getx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-getx/2020-09-25/cl-getx-20200925-git.tgz";
      sha256 = "07gi346vqrhnbkdk4l6g06z4shhnx7f4l44jgayzfdd0xkv02brv";
      system = "cl-getx";
      asd = "cl-getx";
    });
    systems = [ "cl-getx" ];
    lispLibs = [  ];
  };
  cl-gimei = {
    pname = "cl-gimei";
    version = "20211020-git";
    asds = [ "cl-gimei" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gimei/2021-10-20/cl-gimei-20211020-git.tgz";
      sha256 = "1405qbqrrrmanmg2dl7yfdj8z4vcsj1silpsa7i1y00pd18xgk8q";
      system = "cl-gimei";
      asd = "cl-gimei";
    });
    systems = [ "cl-gimei" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-yaml" pkgs) ];
  };
  cl-gimei_slash_test = {
    pname = "cl-gimei_test";
    version = "20211020-git";
    asds = [ "cl-gimei" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gimei/2021-10-20/cl-gimei-20211020-git.tgz";
      sha256 = "1405qbqrrrmanmg2dl7yfdj8z4vcsj1silpsa7i1y00pd18xgk8q";
      system = "cl-gimei";
      asd = "cl-gimei";
    });
    systems = [ "cl-gimei/test" ];
    lispLibs = [ (getAttr "cl-gimei" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-gists = {
    pname = "cl-gists";
    version = "20180228-git";
    asds = [ "cl-gists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gists/2018-02-28/cl-gists-20180228-git.tgz";
      sha256 = "1ipwapb71ls0gy4prg1j9x5ki4frf6l1f9iphjnsis7kdpbm2mi7";
      system = "cl-gists";
      asd = "cl-gists";
    });
    systems = [ "cl-gists" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-gists-test = {
    pname = "cl-gists-test";
    version = "20180228-git";
    asds = [ "cl-gists-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gists/2018-02-28/cl-gists-20180228-git.tgz";
      sha256 = "1ipwapb71ls0gy4prg1j9x5ki4frf6l1f9iphjnsis7kdpbm2mi7";
      system = "cl-gists-test";
      asd = "cl-gists-test";
    });
    systems = [ "cl-gists-test" ];
    lispLibs = [ (getAttr "cl-gists" pkgs) (getAttr "closer-mop" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-git = {
    pname = "cl-git";
    version = "20221106-git";
    asds = [ "cl-git" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-git/2022-11-06/cl-git-20221106-git.tgz";
      sha256 = "0pk8pnsndkp3mcxknbq41crdv75djz5s4f40i1j9xkl6a39q0arf";
      system = "cl-git";
      asd = "cl-git";
    });
    systems = [ "cl-git" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "closer-mop" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-git_slash_tests = {
    pname = "cl-git_tests";
    version = "20221106-git";
    asds = [ "cl-git" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-git/2022-11-06/cl-git-20221106-git.tgz";
      sha256 = "0pk8pnsndkp3mcxknbq41crdv75djz5s4f40i1j9xkl6a39q0arf";
      system = "cl-git";
      asd = "cl-git";
    });
    systems = [ "cl-git/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-git" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "local-time" pkgs) (getAttr "unix-options" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-github-v3 = {
    pname = "cl-github-v3";
    version = "20191227-git";
    asds = [ "cl-github-v3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-github-v3/2019-12-27/cl-github-v3-20191227-git.tgz";
      sha256 = "1xwfw6y3vm7236rd6pdmb5akk63gpzhllx99mv4r7ia3yyf9d4f8";
      system = "cl-github-v3";
      asd = "cl-github-v3";
    });
    systems = [ "cl-github-v3" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-glfw = {
    pname = "cl-glfw";
    version = "20150302-git";
    asds = [ "cl-glfw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw";
      asd = "cl-glfw";
    });
    systems = [ "cl-glfw" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-glfw-types" pkgs) ];
  };
  cl-glfw-ftgl = {
    pname = "cl-glfw-ftgl";
    version = "20150302-git";
    asds = [ "cl-glfw-ftgl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-ftgl";
      asd = "cl-glfw-ftgl";
    });
    systems = [ "cl-glfw-ftgl" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-glfw-glu = {
    pname = "cl-glfw-glu";
    version = "20150302-git";
    asds = [ "cl-glfw-glu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-glu";
      asd = "cl-glfw-glu";
    });
    systems = [ "cl-glfw-glu" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-glfw-types" pkgs) ];
  };
  cl-glfw-opengl-3dfx_multisample = {
    pname = "cl-glfw-opengl-3dfx_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_multisample";
      asd = "cl-glfw-opengl-3dfx_multisample";
    });
    systems = [ "cl-glfw-opengl-3dfx_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-3dfx_tbuffer = {
    pname = "cl-glfw-opengl-3dfx_tbuffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_tbuffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_tbuffer";
      asd = "cl-glfw-opengl-3dfx_tbuffer";
    });
    systems = [ "cl-glfw-opengl-3dfx_tbuffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-3dfx_texture_compression_fxt1 = {
    pname = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_texture_compression_fxt1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
      asd = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
    });
    systems = [ "cl-glfw-opengl-3dfx_texture_compression_fxt1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_blend_minmax_factor = {
    pname = "cl-glfw-opengl-amd_blend_minmax_factor";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_blend_minmax_factor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_blend_minmax_factor";
      asd = "cl-glfw-opengl-amd_blend_minmax_factor";
    });
    systems = [ "cl-glfw-opengl-amd_blend_minmax_factor" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_depth_clamp_separate = {
    pname = "cl-glfw-opengl-amd_depth_clamp_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_depth_clamp_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_depth_clamp_separate";
      asd = "cl-glfw-opengl-amd_depth_clamp_separate";
    });
    systems = [ "cl-glfw-opengl-amd_depth_clamp_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_draw_buffers_blend = {
    pname = "cl-glfw-opengl-amd_draw_buffers_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_draw_buffers_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_draw_buffers_blend";
      asd = "cl-glfw-opengl-amd_draw_buffers_blend";
    });
    systems = [ "cl-glfw-opengl-amd_draw_buffers_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_multi_draw_indirect = {
    pname = "cl-glfw-opengl-amd_multi_draw_indirect";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_multi_draw_indirect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_multi_draw_indirect";
      asd = "cl-glfw-opengl-amd_multi_draw_indirect";
    });
    systems = [ "cl-glfw-opengl-amd_multi_draw_indirect" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_name_gen_delete = {
    pname = "cl-glfw-opengl-amd_name_gen_delete";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_name_gen_delete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_name_gen_delete";
      asd = "cl-glfw-opengl-amd_name_gen_delete";
    });
    systems = [ "cl-glfw-opengl-amd_name_gen_delete" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_performance_monitor = {
    pname = "cl-glfw-opengl-amd_performance_monitor";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_performance_monitor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_performance_monitor";
      asd = "cl-glfw-opengl-amd_performance_monitor";
    });
    systems = [ "cl-glfw-opengl-amd_performance_monitor" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_sample_positions = {
    pname = "cl-glfw-opengl-amd_sample_positions";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_sample_positions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_sample_positions";
      asd = "cl-glfw-opengl-amd_sample_positions";
    });
    systems = [ "cl-glfw-opengl-amd_sample_positions" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_seamless_cubemap_per_texture = {
    pname = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_seamless_cubemap_per_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
      asd = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
    });
    systems = [ "cl-glfw-opengl-amd_seamless_cubemap_per_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-amd_vertex_shader_tesselator = {
    pname = "cl-glfw-opengl-amd_vertex_shader_tesselator";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_vertex_shader_tesselator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_vertex_shader_tesselator";
      asd = "cl-glfw-opengl-amd_vertex_shader_tesselator";
    });
    systems = [ "cl-glfw-opengl-amd_vertex_shader_tesselator" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_aux_depth_stencil = {
    pname = "cl-glfw-opengl-apple_aux_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_aux_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_aux_depth_stencil";
      asd = "cl-glfw-opengl-apple_aux_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-apple_aux_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_client_storage = {
    pname = "cl-glfw-opengl-apple_client_storage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_client_storage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_client_storage";
      asd = "cl-glfw-opengl-apple_client_storage";
    });
    systems = [ "cl-glfw-opengl-apple_client_storage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_element_array = {
    pname = "cl-glfw-opengl-apple_element_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_element_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_element_array";
      asd = "cl-glfw-opengl-apple_element_array";
    });
    systems = [ "cl-glfw-opengl-apple_element_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_fence = {
    pname = "cl-glfw-opengl-apple_fence";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_fence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_fence";
      asd = "cl-glfw-opengl-apple_fence";
    });
    systems = [ "cl-glfw-opengl-apple_fence" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_float_pixels = {
    pname = "cl-glfw-opengl-apple_float_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_float_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_float_pixels";
      asd = "cl-glfw-opengl-apple_float_pixels";
    });
    systems = [ "cl-glfw-opengl-apple_float_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_flush_buffer_range = {
    pname = "cl-glfw-opengl-apple_flush_buffer_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_flush_buffer_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_flush_buffer_range";
      asd = "cl-glfw-opengl-apple_flush_buffer_range";
    });
    systems = [ "cl-glfw-opengl-apple_flush_buffer_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_object_purgeable = {
    pname = "cl-glfw-opengl-apple_object_purgeable";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_object_purgeable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_object_purgeable";
      asd = "cl-glfw-opengl-apple_object_purgeable";
    });
    systems = [ "cl-glfw-opengl-apple_object_purgeable" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_rgb_422 = {
    pname = "cl-glfw-opengl-apple_rgb_422";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_rgb_422" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_rgb_422";
      asd = "cl-glfw-opengl-apple_rgb_422";
    });
    systems = [ "cl-glfw-opengl-apple_rgb_422" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_row_bytes = {
    pname = "cl-glfw-opengl-apple_row_bytes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_row_bytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_row_bytes";
      asd = "cl-glfw-opengl-apple_row_bytes";
    });
    systems = [ "cl-glfw-opengl-apple_row_bytes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_specular_vector = {
    pname = "cl-glfw-opengl-apple_specular_vector";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_specular_vector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_specular_vector";
      asd = "cl-glfw-opengl-apple_specular_vector";
    });
    systems = [ "cl-glfw-opengl-apple_specular_vector" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_texture_range = {
    pname = "cl-glfw-opengl-apple_texture_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_texture_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_texture_range";
      asd = "cl-glfw-opengl-apple_texture_range";
    });
    systems = [ "cl-glfw-opengl-apple_texture_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_transform_hint = {
    pname = "cl-glfw-opengl-apple_transform_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_transform_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_transform_hint";
      asd = "cl-glfw-opengl-apple_transform_hint";
    });
    systems = [ "cl-glfw-opengl-apple_transform_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_vertex_array_object = {
    pname = "cl-glfw-opengl-apple_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_array_object";
      asd = "cl-glfw-opengl-apple_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_vertex_array_range = {
    pname = "cl-glfw-opengl-apple_vertex_array_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_array_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_array_range";
      asd = "cl-glfw-opengl-apple_vertex_array_range";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_array_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_vertex_program_evaluators = {
    pname = "cl-glfw-opengl-apple_vertex_program_evaluators";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_program_evaluators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_program_evaluators";
      asd = "cl-glfw-opengl-apple_vertex_program_evaluators";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_program_evaluators" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-apple_ycbcr_422 = {
    pname = "cl-glfw-opengl-apple_ycbcr_422";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_ycbcr_422" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_ycbcr_422";
      asd = "cl-glfw-opengl-apple_ycbcr_422";
    });
    systems = [ "cl-glfw-opengl-apple_ycbcr_422" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_blend_func_extended = {
    pname = "cl-glfw-opengl-arb_blend_func_extended";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_blend_func_extended" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_blend_func_extended";
      asd = "cl-glfw-opengl-arb_blend_func_extended";
    });
    systems = [ "cl-glfw-opengl-arb_blend_func_extended" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_color_buffer_float = {
    pname = "cl-glfw-opengl-arb_color_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_color_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_color_buffer_float";
      asd = "cl-glfw-opengl-arb_color_buffer_float";
    });
    systems = [ "cl-glfw-opengl-arb_color_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_copy_buffer = {
    pname = "cl-glfw-opengl-arb_copy_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_copy_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_copy_buffer";
      asd = "cl-glfw-opengl-arb_copy_buffer";
    });
    systems = [ "cl-glfw-opengl-arb_copy_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_depth_buffer_float = {
    pname = "cl-glfw-opengl-arb_depth_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_buffer_float";
      asd = "cl-glfw-opengl-arb_depth_buffer_float";
    });
    systems = [ "cl-glfw-opengl-arb_depth_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_depth_clamp = {
    pname = "cl-glfw-opengl-arb_depth_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_clamp";
      asd = "cl-glfw-opengl-arb_depth_clamp";
    });
    systems = [ "cl-glfw-opengl-arb_depth_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_depth_texture = {
    pname = "cl-glfw-opengl-arb_depth_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_texture";
      asd = "cl-glfw-opengl-arb_depth_texture";
    });
    systems = [ "cl-glfw-opengl-arb_depth_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_draw_buffers = {
    pname = "cl-glfw-opengl-arb_draw_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_buffers";
      asd = "cl-glfw-opengl-arb_draw_buffers";
    });
    systems = [ "cl-glfw-opengl-arb_draw_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_draw_buffers_blend = {
    pname = "cl-glfw-opengl-arb_draw_buffers_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_buffers_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_buffers_blend";
      asd = "cl-glfw-opengl-arb_draw_buffers_blend";
    });
    systems = [ "cl-glfw-opengl-arb_draw_buffers_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_draw_elements_base_vertex = {
    pname = "cl-glfw-opengl-arb_draw_elements_base_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_elements_base_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_elements_base_vertex";
      asd = "cl-glfw-opengl-arb_draw_elements_base_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_draw_elements_base_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_draw_indirect = {
    pname = "cl-glfw-opengl-arb_draw_indirect";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_indirect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_indirect";
      asd = "cl-glfw-opengl-arb_draw_indirect";
    });
    systems = [ "cl-glfw-opengl-arb_draw_indirect" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_draw_instanced = {
    pname = "cl-glfw-opengl-arb_draw_instanced";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_instanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_instanced";
      asd = "cl-glfw-opengl-arb_draw_instanced";
    });
    systems = [ "cl-glfw-opengl-arb_draw_instanced" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_es2_compatibility = {
    pname = "cl-glfw-opengl-arb_es2_compatibility";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_es2_compatibility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_es2_compatibility";
      asd = "cl-glfw-opengl-arb_es2_compatibility";
    });
    systems = [ "cl-glfw-opengl-arb_es2_compatibility" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_fragment_program = {
    pname = "cl-glfw-opengl-arb_fragment_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_fragment_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_fragment_program";
      asd = "cl-glfw-opengl-arb_fragment_program";
    });
    systems = [ "cl-glfw-opengl-arb_fragment_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_fragment_shader = {
    pname = "cl-glfw-opengl-arb_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_fragment_shader";
      asd = "cl-glfw-opengl-arb_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-arb_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_framebuffer_object = {
    pname = "cl-glfw-opengl-arb_framebuffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_object";
      asd = "cl-glfw-opengl-arb_framebuffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_framebuffer_object_deprecated = {
    pname = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_object_deprecated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
      asd = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_object_deprecated" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_framebuffer_srgb = {
    pname = "cl-glfw-opengl-arb_framebuffer_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_srgb";
      asd = "cl-glfw-opengl-arb_framebuffer_srgb";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_geometry_shader4 = {
    pname = "cl-glfw-opengl-arb_geometry_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_geometry_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_geometry_shader4";
      asd = "cl-glfw-opengl-arb_geometry_shader4";
    });
    systems = [ "cl-glfw-opengl-arb_geometry_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_get_program_binary = {
    pname = "cl-glfw-opengl-arb_get_program_binary";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_get_program_binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_get_program_binary";
      asd = "cl-glfw-opengl-arb_get_program_binary";
    });
    systems = [ "cl-glfw-opengl-arb_get_program_binary" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_gpu_shader5 = {
    pname = "cl-glfw-opengl-arb_gpu_shader5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_gpu_shader5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_gpu_shader5";
      asd = "cl-glfw-opengl-arb_gpu_shader5";
    });
    systems = [ "cl-glfw-opengl-arb_gpu_shader5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_gpu_shader_fp64 = {
    pname = "cl-glfw-opengl-arb_gpu_shader_fp64";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_gpu_shader_fp64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_gpu_shader_fp64";
      asd = "cl-glfw-opengl-arb_gpu_shader_fp64";
    });
    systems = [ "cl-glfw-opengl-arb_gpu_shader_fp64" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_half_float_pixel = {
    pname = "cl-glfw-opengl-arb_half_float_pixel";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_half_float_pixel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_half_float_pixel";
      asd = "cl-glfw-opengl-arb_half_float_pixel";
    });
    systems = [ "cl-glfw-opengl-arb_half_float_pixel" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_half_float_vertex = {
    pname = "cl-glfw-opengl-arb_half_float_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_half_float_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_half_float_vertex";
      asd = "cl-glfw-opengl-arb_half_float_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_half_float_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_imaging = {
    pname = "cl-glfw-opengl-arb_imaging";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_imaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_imaging";
      asd = "cl-glfw-opengl-arb_imaging";
    });
    systems = [ "cl-glfw-opengl-arb_imaging" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_imaging_deprecated = {
    pname = "cl-glfw-opengl-arb_imaging_deprecated";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_imaging_deprecated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_imaging_deprecated";
      asd = "cl-glfw-opengl-arb_imaging_deprecated";
    });
    systems = [ "cl-glfw-opengl-arb_imaging_deprecated" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_instanced_arrays = {
    pname = "cl-glfw-opengl-arb_instanced_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_instanced_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_instanced_arrays";
      asd = "cl-glfw-opengl-arb_instanced_arrays";
    });
    systems = [ "cl-glfw-opengl-arb_instanced_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_map_buffer_range = {
    pname = "cl-glfw-opengl-arb_map_buffer_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_map_buffer_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_map_buffer_range";
      asd = "cl-glfw-opengl-arb_map_buffer_range";
    });
    systems = [ "cl-glfw-opengl-arb_map_buffer_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_matrix_palette = {
    pname = "cl-glfw-opengl-arb_matrix_palette";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_matrix_palette" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_matrix_palette";
      asd = "cl-glfw-opengl-arb_matrix_palette";
    });
    systems = [ "cl-glfw-opengl-arb_matrix_palette" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_multisample = {
    pname = "cl-glfw-opengl-arb_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_multisample";
      asd = "cl-glfw-opengl-arb_multisample";
    });
    systems = [ "cl-glfw-opengl-arb_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_multitexture = {
    pname = "cl-glfw-opengl-arb_multitexture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_multitexture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_multitexture";
      asd = "cl-glfw-opengl-arb_multitexture";
    });
    systems = [ "cl-glfw-opengl-arb_multitexture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_occlusion_query = {
    pname = "cl-glfw-opengl-arb_occlusion_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_occlusion_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_occlusion_query";
      asd = "cl-glfw-opengl-arb_occlusion_query";
    });
    systems = [ "cl-glfw-opengl-arb_occlusion_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_occlusion_query2 = {
    pname = "cl-glfw-opengl-arb_occlusion_query2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_occlusion_query2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_occlusion_query2";
      asd = "cl-glfw-opengl-arb_occlusion_query2";
    });
    systems = [ "cl-glfw-opengl-arb_occlusion_query2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_pixel_buffer_object = {
    pname = "cl-glfw-opengl-arb_pixel_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_pixel_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_pixel_buffer_object";
      asd = "cl-glfw-opengl-arb_pixel_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_pixel_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_point_parameters = {
    pname = "cl-glfw-opengl-arb_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_point_parameters";
      asd = "cl-glfw-opengl-arb_point_parameters";
    });
    systems = [ "cl-glfw-opengl-arb_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_point_sprite = {
    pname = "cl-glfw-opengl-arb_point_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_point_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_point_sprite";
      asd = "cl-glfw-opengl-arb_point_sprite";
    });
    systems = [ "cl-glfw-opengl-arb_point_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_provoking_vertex = {
    pname = "cl-glfw-opengl-arb_provoking_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_provoking_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_provoking_vertex";
      asd = "cl-glfw-opengl-arb_provoking_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_provoking_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_robustness = {
    pname = "cl-glfw-opengl-arb_robustness";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_robustness" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_robustness";
      asd = "cl-glfw-opengl-arb_robustness";
    });
    systems = [ "cl-glfw-opengl-arb_robustness" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_sample_shading = {
    pname = "cl-glfw-opengl-arb_sample_shading";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_sample_shading" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_sample_shading";
      asd = "cl-glfw-opengl-arb_sample_shading";
    });
    systems = [ "cl-glfw-opengl-arb_sample_shading" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_sampler_objects = {
    pname = "cl-glfw-opengl-arb_sampler_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_sampler_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_sampler_objects";
      asd = "cl-glfw-opengl-arb_sampler_objects";
    });
    systems = [ "cl-glfw-opengl-arb_sampler_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_seamless_cube_map = {
    pname = "cl-glfw-opengl-arb_seamless_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_seamless_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_seamless_cube_map";
      asd = "cl-glfw-opengl-arb_seamless_cube_map";
    });
    systems = [ "cl-glfw-opengl-arb_seamless_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_separate_shader_objects = {
    pname = "cl-glfw-opengl-arb_separate_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_separate_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_separate_shader_objects";
      asd = "cl-glfw-opengl-arb_separate_shader_objects";
    });
    systems = [ "cl-glfw-opengl-arb_separate_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shader_objects = {
    pname = "cl-glfw-opengl-arb_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shader_objects";
      asd = "cl-glfw-opengl-arb_shader_objects";
    });
    systems = [ "cl-glfw-opengl-arb_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shader_subroutine = {
    pname = "cl-glfw-opengl-arb_shader_subroutine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shader_subroutine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shader_subroutine";
      asd = "cl-glfw-opengl-arb_shader_subroutine";
    });
    systems = [ "cl-glfw-opengl-arb_shader_subroutine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shading_language_100 = {
    pname = "cl-glfw-opengl-arb_shading_language_100";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shading_language_100" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shading_language_100";
      asd = "cl-glfw-opengl-arb_shading_language_100";
    });
    systems = [ "cl-glfw-opengl-arb_shading_language_100" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shading_language_include = {
    pname = "cl-glfw-opengl-arb_shading_language_include";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shading_language_include" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shading_language_include";
      asd = "cl-glfw-opengl-arb_shading_language_include";
    });
    systems = [ "cl-glfw-opengl-arb_shading_language_include" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shadow = {
    pname = "cl-glfw-opengl-arb_shadow";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shadow";
      asd = "cl-glfw-opengl-arb_shadow";
    });
    systems = [ "cl-glfw-opengl-arb_shadow" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_shadow_ambient = {
    pname = "cl-glfw-opengl-arb_shadow_ambient";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shadow_ambient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shadow_ambient";
      asd = "cl-glfw-opengl-arb_shadow_ambient";
    });
    systems = [ "cl-glfw-opengl-arb_shadow_ambient" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_tessellation_shader = {
    pname = "cl-glfw-opengl-arb_tessellation_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_tessellation_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_tessellation_shader";
      asd = "cl-glfw-opengl-arb_tessellation_shader";
    });
    systems = [ "cl-glfw-opengl-arb_tessellation_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_border_clamp = {
    pname = "cl-glfw-opengl-arb_texture_border_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_border_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_border_clamp";
      asd = "cl-glfw-opengl-arb_texture_border_clamp";
    });
    systems = [ "cl-glfw-opengl-arb_texture_border_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_buffer_object = {
    pname = "cl-glfw-opengl-arb_texture_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_buffer_object";
      asd = "cl-glfw-opengl-arb_texture_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_texture_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_buffer_object_rgb32 = {
    pname = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_buffer_object_rgb32" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
      asd = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
    });
    systems = [ "cl-glfw-opengl-arb_texture_buffer_object_rgb32" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_compression = {
    pname = "cl-glfw-opengl-arb_texture_compression";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression";
      asd = "cl-glfw-opengl-arb_texture_compression";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_compression_bptc = {
    pname = "cl-glfw-opengl-arb_texture_compression_bptc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression_bptc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression_bptc";
      asd = "cl-glfw-opengl-arb_texture_compression_bptc";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression_bptc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_compression_rgtc = {
    pname = "cl-glfw-opengl-arb_texture_compression_rgtc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression_rgtc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression_rgtc";
      asd = "cl-glfw-opengl-arb_texture_compression_rgtc";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression_rgtc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_cube_map = {
    pname = "cl-glfw-opengl-arb_texture_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_cube_map";
      asd = "cl-glfw-opengl-arb_texture_cube_map";
    });
    systems = [ "cl-glfw-opengl-arb_texture_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_cube_map_array = {
    pname = "cl-glfw-opengl-arb_texture_cube_map_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_cube_map_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_cube_map_array";
      asd = "cl-glfw-opengl-arb_texture_cube_map_array";
    });
    systems = [ "cl-glfw-opengl-arb_texture_cube_map_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_env_combine = {
    pname = "cl-glfw-opengl-arb_texture_env_combine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_env_combine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_env_combine";
      asd = "cl-glfw-opengl-arb_texture_env_combine";
    });
    systems = [ "cl-glfw-opengl-arb_texture_env_combine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_env_dot3 = {
    pname = "cl-glfw-opengl-arb_texture_env_dot3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_env_dot3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_env_dot3";
      asd = "cl-glfw-opengl-arb_texture_env_dot3";
    });
    systems = [ "cl-glfw-opengl-arb_texture_env_dot3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_float = {
    pname = "cl-glfw-opengl-arb_texture_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_float";
      asd = "cl-glfw-opengl-arb_texture_float";
    });
    systems = [ "cl-glfw-opengl-arb_texture_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_gather = {
    pname = "cl-glfw-opengl-arb_texture_gather";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_gather" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_gather";
      asd = "cl-glfw-opengl-arb_texture_gather";
    });
    systems = [ "cl-glfw-opengl-arb_texture_gather" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_mirrored_repeat = {
    pname = "cl-glfw-opengl-arb_texture_mirrored_repeat";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_mirrored_repeat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_mirrored_repeat";
      asd = "cl-glfw-opengl-arb_texture_mirrored_repeat";
    });
    systems = [ "cl-glfw-opengl-arb_texture_mirrored_repeat" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_multisample = {
    pname = "cl-glfw-opengl-arb_texture_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_multisample";
      asd = "cl-glfw-opengl-arb_texture_multisample";
    });
    systems = [ "cl-glfw-opengl-arb_texture_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_rectangle = {
    pname = "cl-glfw-opengl-arb_texture_rectangle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rectangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rectangle";
      asd = "cl-glfw-opengl-arb_texture_rectangle";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rectangle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_rg = {
    pname = "cl-glfw-opengl-arb_texture_rg";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rg";
      asd = "cl-glfw-opengl-arb_texture_rg";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rg" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_rgb10_a2ui = {
    pname = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rgb10_a2ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
      asd = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rgb10_a2ui" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_texture_swizzle = {
    pname = "cl-glfw-opengl-arb_texture_swizzle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_swizzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_swizzle";
      asd = "cl-glfw-opengl-arb_texture_swizzle";
    });
    systems = [ "cl-glfw-opengl-arb_texture_swizzle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_timer_query = {
    pname = "cl-glfw-opengl-arb_timer_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_timer_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_timer_query";
      asd = "cl-glfw-opengl-arb_timer_query";
    });
    systems = [ "cl-glfw-opengl-arb_timer_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_transform_feedback2 = {
    pname = "cl-glfw-opengl-arb_transform_feedback2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_transform_feedback2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_transform_feedback2";
      asd = "cl-glfw-opengl-arb_transform_feedback2";
    });
    systems = [ "cl-glfw-opengl-arb_transform_feedback2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_transpose_matrix = {
    pname = "cl-glfw-opengl-arb_transpose_matrix";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_transpose_matrix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_transpose_matrix";
      asd = "cl-glfw-opengl-arb_transpose_matrix";
    });
    systems = [ "cl-glfw-opengl-arb_transpose_matrix" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_uniform_buffer_object = {
    pname = "cl-glfw-opengl-arb_uniform_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_uniform_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_uniform_buffer_object";
      asd = "cl-glfw-opengl-arb_uniform_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_uniform_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_array_bgra = {
    pname = "cl-glfw-opengl-arb_vertex_array_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_array_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_array_bgra";
      asd = "cl-glfw-opengl-arb_vertex_array_bgra";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_array_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_array_object = {
    pname = "cl-glfw-opengl-arb_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_array_object";
      asd = "cl-glfw-opengl-arb_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_attrib_64bit = {
    pname = "cl-glfw-opengl-arb_vertex_attrib_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_attrib_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_attrib_64bit";
      asd = "cl-glfw-opengl-arb_vertex_attrib_64bit";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_attrib_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_blend = {
    pname = "cl-glfw-opengl-arb_vertex_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_blend";
      asd = "cl-glfw-opengl-arb_vertex_blend";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_buffer_object = {
    pname = "cl-glfw-opengl-arb_vertex_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_buffer_object";
      asd = "cl-glfw-opengl-arb_vertex_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_program = {
    pname = "cl-glfw-opengl-arb_vertex_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_program";
      asd = "cl-glfw-opengl-arb_vertex_program";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_shader = {
    pname = "cl-glfw-opengl-arb_vertex_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_shader";
      asd = "cl-glfw-opengl-arb_vertex_shader";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev = {
    pname = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
      asd = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_viewport_array = {
    pname = "cl-glfw-opengl-arb_viewport_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_viewport_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_viewport_array";
      asd = "cl-glfw-opengl-arb_viewport_array";
    });
    systems = [ "cl-glfw-opengl-arb_viewport_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-arb_window_pos = {
    pname = "cl-glfw-opengl-arb_window_pos";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_window_pos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_window_pos";
      asd = "cl-glfw-opengl-arb_window_pos";
    });
    systems = [ "cl-glfw-opengl-arb_window_pos" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_draw_buffers = {
    pname = "cl-glfw-opengl-ati_draw_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_draw_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_draw_buffers";
      asd = "cl-glfw-opengl-ati_draw_buffers";
    });
    systems = [ "cl-glfw-opengl-ati_draw_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_element_array = {
    pname = "cl-glfw-opengl-ati_element_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_element_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_element_array";
      asd = "cl-glfw-opengl-ati_element_array";
    });
    systems = [ "cl-glfw-opengl-ati_element_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_envmap_bumpmap = {
    pname = "cl-glfw-opengl-ati_envmap_bumpmap";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_envmap_bumpmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_envmap_bumpmap";
      asd = "cl-glfw-opengl-ati_envmap_bumpmap";
    });
    systems = [ "cl-glfw-opengl-ati_envmap_bumpmap" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_fragment_shader = {
    pname = "cl-glfw-opengl-ati_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_fragment_shader";
      asd = "cl-glfw-opengl-ati_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-ati_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_map_object_buffer = {
    pname = "cl-glfw-opengl-ati_map_object_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_map_object_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_map_object_buffer";
      asd = "cl-glfw-opengl-ati_map_object_buffer";
    });
    systems = [ "cl-glfw-opengl-ati_map_object_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_meminfo = {
    pname = "cl-glfw-opengl-ati_meminfo";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_meminfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_meminfo";
      asd = "cl-glfw-opengl-ati_meminfo";
    });
    systems = [ "cl-glfw-opengl-ati_meminfo" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_pixel_format_float = {
    pname = "cl-glfw-opengl-ati_pixel_format_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_pixel_format_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_pixel_format_float";
      asd = "cl-glfw-opengl-ati_pixel_format_float";
    });
    systems = [ "cl-glfw-opengl-ati_pixel_format_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_pn_triangles = {
    pname = "cl-glfw-opengl-ati_pn_triangles";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_pn_triangles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_pn_triangles";
      asd = "cl-glfw-opengl-ati_pn_triangles";
    });
    systems = [ "cl-glfw-opengl-ati_pn_triangles" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_separate_stencil = {
    pname = "cl-glfw-opengl-ati_separate_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_separate_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_separate_stencil";
      asd = "cl-glfw-opengl-ati_separate_stencil";
    });
    systems = [ "cl-glfw-opengl-ati_separate_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_text_fragment_shader = {
    pname = "cl-glfw-opengl-ati_text_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_text_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_text_fragment_shader";
      asd = "cl-glfw-opengl-ati_text_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-ati_text_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_texture_env_combine3 = {
    pname = "cl-glfw-opengl-ati_texture_env_combine3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_env_combine3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_env_combine3";
      asd = "cl-glfw-opengl-ati_texture_env_combine3";
    });
    systems = [ "cl-glfw-opengl-ati_texture_env_combine3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_texture_float = {
    pname = "cl-glfw-opengl-ati_texture_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_float";
      asd = "cl-glfw-opengl-ati_texture_float";
    });
    systems = [ "cl-glfw-opengl-ati_texture_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_texture_mirror_once = {
    pname = "cl-glfw-opengl-ati_texture_mirror_once";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_mirror_once" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_mirror_once";
      asd = "cl-glfw-opengl-ati_texture_mirror_once";
    });
    systems = [ "cl-glfw-opengl-ati_texture_mirror_once" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_vertex_array_object = {
    pname = "cl-glfw-opengl-ati_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_array_object";
      asd = "cl-glfw-opengl-ati_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_vertex_attrib_array_object = {
    pname = "cl-glfw-opengl-ati_vertex_attrib_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_attrib_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_attrib_array_object";
      asd = "cl-glfw-opengl-ati_vertex_attrib_array_object";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_attrib_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ati_vertex_streams = {
    pname = "cl-glfw-opengl-ati_vertex_streams";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_streams";
      asd = "cl-glfw-opengl-ati_vertex_streams";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_streams" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-core = {
    pname = "cl-glfw-opengl-core";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-core";
      asd = "cl-glfw-opengl-core";
    });
    systems = [ "cl-glfw-opengl-core" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-glfw-types" pkgs) ];
  };
  cl-glfw-opengl-ext_422_pixels = {
    pname = "cl-glfw-opengl-ext_422_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_422_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_422_pixels";
      asd = "cl-glfw-opengl-ext_422_pixels";
    });
    systems = [ "cl-glfw-opengl-ext_422_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_abgr = {
    pname = "cl-glfw-opengl-ext_abgr";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_abgr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_abgr";
      asd = "cl-glfw-opengl-ext_abgr";
    });
    systems = [ "cl-glfw-opengl-ext_abgr" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_bgra = {
    pname = "cl-glfw-opengl-ext_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_bgra";
      asd = "cl-glfw-opengl-ext_bgra";
    });
    systems = [ "cl-glfw-opengl-ext_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_bindable_uniform = {
    pname = "cl-glfw-opengl-ext_bindable_uniform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_bindable_uniform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_bindable_uniform";
      asd = "cl-glfw-opengl-ext_bindable_uniform";
    });
    systems = [ "cl-glfw-opengl-ext_bindable_uniform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_blend_color = {
    pname = "cl-glfw-opengl-ext_blend_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_color";
      asd = "cl-glfw-opengl-ext_blend_color";
    });
    systems = [ "cl-glfw-opengl-ext_blend_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_blend_equation_separate = {
    pname = "cl-glfw-opengl-ext_blend_equation_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_equation_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_equation_separate";
      asd = "cl-glfw-opengl-ext_blend_equation_separate";
    });
    systems = [ "cl-glfw-opengl-ext_blend_equation_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_blend_func_separate = {
    pname = "cl-glfw-opengl-ext_blend_func_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_func_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_func_separate";
      asd = "cl-glfw-opengl-ext_blend_func_separate";
    });
    systems = [ "cl-glfw-opengl-ext_blend_func_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_blend_minmax = {
    pname = "cl-glfw-opengl-ext_blend_minmax";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_minmax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_minmax";
      asd = "cl-glfw-opengl-ext_blend_minmax";
    });
    systems = [ "cl-glfw-opengl-ext_blend_minmax" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_blend_subtract = {
    pname = "cl-glfw-opengl-ext_blend_subtract";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_subtract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_subtract";
      asd = "cl-glfw-opengl-ext_blend_subtract";
    });
    systems = [ "cl-glfw-opengl-ext_blend_subtract" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_clip_volume_hint = {
    pname = "cl-glfw-opengl-ext_clip_volume_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_clip_volume_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_clip_volume_hint";
      asd = "cl-glfw-opengl-ext_clip_volume_hint";
    });
    systems = [ "cl-glfw-opengl-ext_clip_volume_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_cmyka = {
    pname = "cl-glfw-opengl-ext_cmyka";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_cmyka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_cmyka";
      asd = "cl-glfw-opengl-ext_cmyka";
    });
    systems = [ "cl-glfw-opengl-ext_cmyka" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_color_subtable = {
    pname = "cl-glfw-opengl-ext_color_subtable";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_color_subtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_color_subtable";
      asd = "cl-glfw-opengl-ext_color_subtable";
    });
    systems = [ "cl-glfw-opengl-ext_color_subtable" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_compiled_vertex_array = {
    pname = "cl-glfw-opengl-ext_compiled_vertex_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_compiled_vertex_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_compiled_vertex_array";
      asd = "cl-glfw-opengl-ext_compiled_vertex_array";
    });
    systems = [ "cl-glfw-opengl-ext_compiled_vertex_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_convolution = {
    pname = "cl-glfw-opengl-ext_convolution";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_convolution" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_convolution";
      asd = "cl-glfw-opengl-ext_convolution";
    });
    systems = [ "cl-glfw-opengl-ext_convolution" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_coordinate_frame = {
    pname = "cl-glfw-opengl-ext_coordinate_frame";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_coordinate_frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_coordinate_frame";
      asd = "cl-glfw-opengl-ext_coordinate_frame";
    });
    systems = [ "cl-glfw-opengl-ext_coordinate_frame" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_copy_texture = {
    pname = "cl-glfw-opengl-ext_copy_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_copy_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_copy_texture";
      asd = "cl-glfw-opengl-ext_copy_texture";
    });
    systems = [ "cl-glfw-opengl-ext_copy_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_cull_vertex = {
    pname = "cl-glfw-opengl-ext_cull_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_cull_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_cull_vertex";
      asd = "cl-glfw-opengl-ext_cull_vertex";
    });
    systems = [ "cl-glfw-opengl-ext_cull_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_depth_bounds_test = {
    pname = "cl-glfw-opengl-ext_depth_bounds_test";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_depth_bounds_test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_depth_bounds_test";
      asd = "cl-glfw-opengl-ext_depth_bounds_test";
    });
    systems = [ "cl-glfw-opengl-ext_depth_bounds_test" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_direct_state_access = {
    pname = "cl-glfw-opengl-ext_direct_state_access";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_direct_state_access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_direct_state_access";
      asd = "cl-glfw-opengl-ext_direct_state_access";
    });
    systems = [ "cl-glfw-opengl-ext_direct_state_access" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_draw_buffers2 = {
    pname = "cl-glfw-opengl-ext_draw_buffers2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_buffers2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_buffers2";
      asd = "cl-glfw-opengl-ext_draw_buffers2";
    });
    systems = [ "cl-glfw-opengl-ext_draw_buffers2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_draw_instanced = {
    pname = "cl-glfw-opengl-ext_draw_instanced";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_instanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_instanced";
      asd = "cl-glfw-opengl-ext_draw_instanced";
    });
    systems = [ "cl-glfw-opengl-ext_draw_instanced" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_draw_range_elements = {
    pname = "cl-glfw-opengl-ext_draw_range_elements";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_range_elements" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_range_elements";
      asd = "cl-glfw-opengl-ext_draw_range_elements";
    });
    systems = [ "cl-glfw-opengl-ext_draw_range_elements" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_fog_coord = {
    pname = "cl-glfw-opengl-ext_fog_coord";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_fog_coord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_fog_coord";
      asd = "cl-glfw-opengl-ext_fog_coord";
    });
    systems = [ "cl-glfw-opengl-ext_fog_coord" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_framebuffer_blit = {
    pname = "cl-glfw-opengl-ext_framebuffer_blit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_blit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_blit";
      asd = "cl-glfw-opengl-ext_framebuffer_blit";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_blit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_framebuffer_multisample = {
    pname = "cl-glfw-opengl-ext_framebuffer_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_multisample";
      asd = "cl-glfw-opengl-ext_framebuffer_multisample";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_framebuffer_object = {
    pname = "cl-glfw-opengl-ext_framebuffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_object";
      asd = "cl-glfw-opengl-ext_framebuffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_framebuffer_srgb = {
    pname = "cl-glfw-opengl-ext_framebuffer_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_srgb";
      asd = "cl-glfw-opengl-ext_framebuffer_srgb";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_geometry_shader4 = {
    pname = "cl-glfw-opengl-ext_geometry_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_geometry_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_geometry_shader4";
      asd = "cl-glfw-opengl-ext_geometry_shader4";
    });
    systems = [ "cl-glfw-opengl-ext_geometry_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_gpu_program_parameters = {
    pname = "cl-glfw-opengl-ext_gpu_program_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_gpu_program_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_gpu_program_parameters";
      asd = "cl-glfw-opengl-ext_gpu_program_parameters";
    });
    systems = [ "cl-glfw-opengl-ext_gpu_program_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_gpu_shader4 = {
    pname = "cl-glfw-opengl-ext_gpu_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_gpu_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_gpu_shader4";
      asd = "cl-glfw-opengl-ext_gpu_shader4";
    });
    systems = [ "cl-glfw-opengl-ext_gpu_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_histogram = {
    pname = "cl-glfw-opengl-ext_histogram";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_histogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_histogram";
      asd = "cl-glfw-opengl-ext_histogram";
    });
    systems = [ "cl-glfw-opengl-ext_histogram" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_index_array_formats = {
    pname = "cl-glfw-opengl-ext_index_array_formats";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_array_formats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_array_formats";
      asd = "cl-glfw-opengl-ext_index_array_formats";
    });
    systems = [ "cl-glfw-opengl-ext_index_array_formats" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_index_func = {
    pname = "cl-glfw-opengl-ext_index_func";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_func" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_func";
      asd = "cl-glfw-opengl-ext_index_func";
    });
    systems = [ "cl-glfw-opengl-ext_index_func" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_index_material = {
    pname = "cl-glfw-opengl-ext_index_material";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_material" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_material";
      asd = "cl-glfw-opengl-ext_index_material";
    });
    systems = [ "cl-glfw-opengl-ext_index_material" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_light_texture = {
    pname = "cl-glfw-opengl-ext_light_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_light_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_light_texture";
      asd = "cl-glfw-opengl-ext_light_texture";
    });
    systems = [ "cl-glfw-opengl-ext_light_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_multi_draw_arrays = {
    pname = "cl-glfw-opengl-ext_multi_draw_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_multi_draw_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_multi_draw_arrays";
      asd = "cl-glfw-opengl-ext_multi_draw_arrays";
    });
    systems = [ "cl-glfw-opengl-ext_multi_draw_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_multisample = {
    pname = "cl-glfw-opengl-ext_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_multisample";
      asd = "cl-glfw-opengl-ext_multisample";
    });
    systems = [ "cl-glfw-opengl-ext_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_packed_depth_stencil = {
    pname = "cl-glfw-opengl-ext_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_depth_stencil";
      asd = "cl-glfw-opengl-ext_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-ext_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_packed_float = {
    pname = "cl-glfw-opengl-ext_packed_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_float";
      asd = "cl-glfw-opengl-ext_packed_float";
    });
    systems = [ "cl-glfw-opengl-ext_packed_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_packed_pixels = {
    pname = "cl-glfw-opengl-ext_packed_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_pixels";
      asd = "cl-glfw-opengl-ext_packed_pixels";
    });
    systems = [ "cl-glfw-opengl-ext_packed_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_paletted_texture = {
    pname = "cl-glfw-opengl-ext_paletted_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_paletted_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_paletted_texture";
      asd = "cl-glfw-opengl-ext_paletted_texture";
    });
    systems = [ "cl-glfw-opengl-ext_paletted_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_pixel_buffer_object = {
    pname = "cl-glfw-opengl-ext_pixel_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_pixel_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_pixel_buffer_object";
      asd = "cl-glfw-opengl-ext_pixel_buffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_pixel_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_pixel_transform = {
    pname = "cl-glfw-opengl-ext_pixel_transform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_pixel_transform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_pixel_transform";
      asd = "cl-glfw-opengl-ext_pixel_transform";
    });
    systems = [ "cl-glfw-opengl-ext_pixel_transform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_point_parameters = {
    pname = "cl-glfw-opengl-ext_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_point_parameters";
      asd = "cl-glfw-opengl-ext_point_parameters";
    });
    systems = [ "cl-glfw-opengl-ext_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_polygon_offset = {
    pname = "cl-glfw-opengl-ext_polygon_offset";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_polygon_offset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_polygon_offset";
      asd = "cl-glfw-opengl-ext_polygon_offset";
    });
    systems = [ "cl-glfw-opengl-ext_polygon_offset" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_provoking_vertex = {
    pname = "cl-glfw-opengl-ext_provoking_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_provoking_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_provoking_vertex";
      asd = "cl-glfw-opengl-ext_provoking_vertex";
    });
    systems = [ "cl-glfw-opengl-ext_provoking_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_secondary_color = {
    pname = "cl-glfw-opengl-ext_secondary_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_secondary_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_secondary_color";
      asd = "cl-glfw-opengl-ext_secondary_color";
    });
    systems = [ "cl-glfw-opengl-ext_secondary_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_separate_shader_objects = {
    pname = "cl-glfw-opengl-ext_separate_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_separate_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_separate_shader_objects";
      asd = "cl-glfw-opengl-ext_separate_shader_objects";
    });
    systems = [ "cl-glfw-opengl-ext_separate_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_separate_specular_color = {
    pname = "cl-glfw-opengl-ext_separate_specular_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_separate_specular_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_separate_specular_color";
      asd = "cl-glfw-opengl-ext_separate_specular_color";
    });
    systems = [ "cl-glfw-opengl-ext_separate_specular_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_shader_image_load_store = {
    pname = "cl-glfw-opengl-ext_shader_image_load_store";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_shader_image_load_store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_shader_image_load_store";
      asd = "cl-glfw-opengl-ext_shader_image_load_store";
    });
    systems = [ "cl-glfw-opengl-ext_shader_image_load_store" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_stencil_clear_tag = {
    pname = "cl-glfw-opengl-ext_stencil_clear_tag";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_clear_tag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_clear_tag";
      asd = "cl-glfw-opengl-ext_stencil_clear_tag";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_clear_tag" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_stencil_two_side = {
    pname = "cl-glfw-opengl-ext_stencil_two_side";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_two_side" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_two_side";
      asd = "cl-glfw-opengl-ext_stencil_two_side";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_two_side" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_stencil_wrap = {
    pname = "cl-glfw-opengl-ext_stencil_wrap";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_wrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_wrap";
      asd = "cl-glfw-opengl-ext_stencil_wrap";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_wrap" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_subtexture = {
    pname = "cl-glfw-opengl-ext_subtexture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_subtexture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_subtexture";
      asd = "cl-glfw-opengl-ext_subtexture";
    });
    systems = [ "cl-glfw-opengl-ext_subtexture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture = {
    pname = "cl-glfw-opengl-ext_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture";
      asd = "cl-glfw-opengl-ext_texture";
    });
    systems = [ "cl-glfw-opengl-ext_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture3d = {
    pname = "cl-glfw-opengl-ext_texture3d";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture3d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture3d";
      asd = "cl-glfw-opengl-ext_texture3d";
    });
    systems = [ "cl-glfw-opengl-ext_texture3d" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_array = {
    pname = "cl-glfw-opengl-ext_texture_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_array";
      asd = "cl-glfw-opengl-ext_texture_array";
    });
    systems = [ "cl-glfw-opengl-ext_texture_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_buffer_object = {
    pname = "cl-glfw-opengl-ext_texture_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_buffer_object";
      asd = "cl-glfw-opengl-ext_texture_buffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_texture_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_compression_latc = {
    pname = "cl-glfw-opengl-ext_texture_compression_latc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_latc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_latc";
      asd = "cl-glfw-opengl-ext_texture_compression_latc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_latc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_compression_rgtc = {
    pname = "cl-glfw-opengl-ext_texture_compression_rgtc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_rgtc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_rgtc";
      asd = "cl-glfw-opengl-ext_texture_compression_rgtc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_rgtc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_compression_s3tc = {
    pname = "cl-glfw-opengl-ext_texture_compression_s3tc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_s3tc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_s3tc";
      asd = "cl-glfw-opengl-ext_texture_compression_s3tc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_s3tc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_cube_map = {
    pname = "cl-glfw-opengl-ext_texture_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_cube_map";
      asd = "cl-glfw-opengl-ext_texture_cube_map";
    });
    systems = [ "cl-glfw-opengl-ext_texture_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_env_combine = {
    pname = "cl-glfw-opengl-ext_texture_env_combine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_env_combine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_env_combine";
      asd = "cl-glfw-opengl-ext_texture_env_combine";
    });
    systems = [ "cl-glfw-opengl-ext_texture_env_combine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_env_dot3 = {
    pname = "cl-glfw-opengl-ext_texture_env_dot3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_env_dot3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_env_dot3";
      asd = "cl-glfw-opengl-ext_texture_env_dot3";
    });
    systems = [ "cl-glfw-opengl-ext_texture_env_dot3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_filter_anisotropic = {
    pname = "cl-glfw-opengl-ext_texture_filter_anisotropic";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_filter_anisotropic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_filter_anisotropic";
      asd = "cl-glfw-opengl-ext_texture_filter_anisotropic";
    });
    systems = [ "cl-glfw-opengl-ext_texture_filter_anisotropic" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_integer = {
    pname = "cl-glfw-opengl-ext_texture_integer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_integer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_integer";
      asd = "cl-glfw-opengl-ext_texture_integer";
    });
    systems = [ "cl-glfw-opengl-ext_texture_integer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_lod_bias = {
    pname = "cl-glfw-opengl-ext_texture_lod_bias";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_lod_bias" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_lod_bias";
      asd = "cl-glfw-opengl-ext_texture_lod_bias";
    });
    systems = [ "cl-glfw-opengl-ext_texture_lod_bias" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_mirror_clamp = {
    pname = "cl-glfw-opengl-ext_texture_mirror_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_mirror_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_mirror_clamp";
      asd = "cl-glfw-opengl-ext_texture_mirror_clamp";
    });
    systems = [ "cl-glfw-opengl-ext_texture_mirror_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_object = {
    pname = "cl-glfw-opengl-ext_texture_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_object";
      asd = "cl-glfw-opengl-ext_texture_object";
    });
    systems = [ "cl-glfw-opengl-ext_texture_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_perturb_normal = {
    pname = "cl-glfw-opengl-ext_texture_perturb_normal";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_perturb_normal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_perturb_normal";
      asd = "cl-glfw-opengl-ext_texture_perturb_normal";
    });
    systems = [ "cl-glfw-opengl-ext_texture_perturb_normal" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_shared_exponent = {
    pname = "cl-glfw-opengl-ext_texture_shared_exponent";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_shared_exponent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_shared_exponent";
      asd = "cl-glfw-opengl-ext_texture_shared_exponent";
    });
    systems = [ "cl-glfw-opengl-ext_texture_shared_exponent" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_snorm = {
    pname = "cl-glfw-opengl-ext_texture_snorm";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_snorm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_snorm";
      asd = "cl-glfw-opengl-ext_texture_snorm";
    });
    systems = [ "cl-glfw-opengl-ext_texture_snorm" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_srgb = {
    pname = "cl-glfw-opengl-ext_texture_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_srgb";
      asd = "cl-glfw-opengl-ext_texture_srgb";
    });
    systems = [ "cl-glfw-opengl-ext_texture_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_srgb_decode = {
    pname = "cl-glfw-opengl-ext_texture_srgb_decode";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_srgb_decode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_srgb_decode";
      asd = "cl-glfw-opengl-ext_texture_srgb_decode";
    });
    systems = [ "cl-glfw-opengl-ext_texture_srgb_decode" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_texture_swizzle = {
    pname = "cl-glfw-opengl-ext_texture_swizzle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_swizzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_swizzle";
      asd = "cl-glfw-opengl-ext_texture_swizzle";
    });
    systems = [ "cl-glfw-opengl-ext_texture_swizzle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_timer_query = {
    pname = "cl-glfw-opengl-ext_timer_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_timer_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_timer_query";
      asd = "cl-glfw-opengl-ext_timer_query";
    });
    systems = [ "cl-glfw-opengl-ext_timer_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_transform_feedback = {
    pname = "cl-glfw-opengl-ext_transform_feedback";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_transform_feedback" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_transform_feedback";
      asd = "cl-glfw-opengl-ext_transform_feedback";
    });
    systems = [ "cl-glfw-opengl-ext_transform_feedback" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_vertex_array = {
    pname = "cl-glfw-opengl-ext_vertex_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_array";
      asd = "cl-glfw-opengl-ext_vertex_array";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_vertex_array_bgra = {
    pname = "cl-glfw-opengl-ext_vertex_array_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_array_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_array_bgra";
      asd = "cl-glfw-opengl-ext_vertex_array_bgra";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_array_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_vertex_attrib_64bit = {
    pname = "cl-glfw-opengl-ext_vertex_attrib_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_attrib_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_attrib_64bit";
      asd = "cl-glfw-opengl-ext_vertex_attrib_64bit";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_attrib_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_vertex_shader = {
    pname = "cl-glfw-opengl-ext_vertex_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_shader";
      asd = "cl-glfw-opengl-ext_vertex_shader";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ext_vertex_weighting = {
    pname = "cl-glfw-opengl-ext_vertex_weighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_weighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_weighting";
      asd = "cl-glfw-opengl-ext_vertex_weighting";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_weighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-gremedy_frame_terminator = {
    pname = "cl-glfw-opengl-gremedy_frame_terminator";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-gremedy_frame_terminator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-gremedy_frame_terminator";
      asd = "cl-glfw-opengl-gremedy_frame_terminator";
    });
    systems = [ "cl-glfw-opengl-gremedy_frame_terminator" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-gremedy_string_marker = {
    pname = "cl-glfw-opengl-gremedy_string_marker";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-gremedy_string_marker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-gremedy_string_marker";
      asd = "cl-glfw-opengl-gremedy_string_marker";
    });
    systems = [ "cl-glfw-opengl-gremedy_string_marker" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-hp_convolution_border_modes = {
    pname = "cl-glfw-opengl-hp_convolution_border_modes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_convolution_border_modes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_convolution_border_modes";
      asd = "cl-glfw-opengl-hp_convolution_border_modes";
    });
    systems = [ "cl-glfw-opengl-hp_convolution_border_modes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-hp_image_transform = {
    pname = "cl-glfw-opengl-hp_image_transform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_image_transform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_image_transform";
      asd = "cl-glfw-opengl-hp_image_transform";
    });
    systems = [ "cl-glfw-opengl-hp_image_transform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-hp_occlusion_test = {
    pname = "cl-glfw-opengl-hp_occlusion_test";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_occlusion_test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_occlusion_test";
      asd = "cl-glfw-opengl-hp_occlusion_test";
    });
    systems = [ "cl-glfw-opengl-hp_occlusion_test" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-hp_texture_lighting = {
    pname = "cl-glfw-opengl-hp_texture_lighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_texture_lighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_texture_lighting";
      asd = "cl-glfw-opengl-hp_texture_lighting";
    });
    systems = [ "cl-glfw-opengl-hp_texture_lighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ibm_cull_vertex = {
    pname = "cl-glfw-opengl-ibm_cull_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_cull_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_cull_vertex";
      asd = "cl-glfw-opengl-ibm_cull_vertex";
    });
    systems = [ "cl-glfw-opengl-ibm_cull_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ibm_multimode_draw_arrays = {
    pname = "cl-glfw-opengl-ibm_multimode_draw_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_multimode_draw_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_multimode_draw_arrays";
      asd = "cl-glfw-opengl-ibm_multimode_draw_arrays";
    });
    systems = [ "cl-glfw-opengl-ibm_multimode_draw_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ibm_rasterpos_clip = {
    pname = "cl-glfw-opengl-ibm_rasterpos_clip";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_rasterpos_clip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_rasterpos_clip";
      asd = "cl-glfw-opengl-ibm_rasterpos_clip";
    });
    systems = [ "cl-glfw-opengl-ibm_rasterpos_clip" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ibm_texture_mirrored_repeat = {
    pname = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_texture_mirrored_repeat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
      asd = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
    });
    systems = [ "cl-glfw-opengl-ibm_texture_mirrored_repeat" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ibm_vertex_array_lists = {
    pname = "cl-glfw-opengl-ibm_vertex_array_lists";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_vertex_array_lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_vertex_array_lists";
      asd = "cl-glfw-opengl-ibm_vertex_array_lists";
    });
    systems = [ "cl-glfw-opengl-ibm_vertex_array_lists" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ingr_blend_func_separate = {
    pname = "cl-glfw-opengl-ingr_blend_func_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_blend_func_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_blend_func_separate";
      asd = "cl-glfw-opengl-ingr_blend_func_separate";
    });
    systems = [ "cl-glfw-opengl-ingr_blend_func_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ingr_color_clamp = {
    pname = "cl-glfw-opengl-ingr_color_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_color_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_color_clamp";
      asd = "cl-glfw-opengl-ingr_color_clamp";
    });
    systems = [ "cl-glfw-opengl-ingr_color_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-ingr_interlace_read = {
    pname = "cl-glfw-opengl-ingr_interlace_read";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_interlace_read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_interlace_read";
      asd = "cl-glfw-opengl-ingr_interlace_read";
    });
    systems = [ "cl-glfw-opengl-ingr_interlace_read" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-intel_parallel_arrays = {
    pname = "cl-glfw-opengl-intel_parallel_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-intel_parallel_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-intel_parallel_arrays";
      asd = "cl-glfw-opengl-intel_parallel_arrays";
    });
    systems = [ "cl-glfw-opengl-intel_parallel_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_pack_invert = {
    pname = "cl-glfw-opengl-mesa_pack_invert";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_pack_invert" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_pack_invert";
      asd = "cl-glfw-opengl-mesa_pack_invert";
    });
    systems = [ "cl-glfw-opengl-mesa_pack_invert" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_packed_depth_stencil = {
    pname = "cl-glfw-opengl-mesa_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_packed_depth_stencil";
      asd = "cl-glfw-opengl-mesa_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-mesa_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_program_debug = {
    pname = "cl-glfw-opengl-mesa_program_debug";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_program_debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_program_debug";
      asd = "cl-glfw-opengl-mesa_program_debug";
    });
    systems = [ "cl-glfw-opengl-mesa_program_debug" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_resize_buffers = {
    pname = "cl-glfw-opengl-mesa_resize_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_resize_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_resize_buffers";
      asd = "cl-glfw-opengl-mesa_resize_buffers";
    });
    systems = [ "cl-glfw-opengl-mesa_resize_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_shader_debug = {
    pname = "cl-glfw-opengl-mesa_shader_debug";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_shader_debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_shader_debug";
      asd = "cl-glfw-opengl-mesa_shader_debug";
    });
    systems = [ "cl-glfw-opengl-mesa_shader_debug" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_trace = {
    pname = "cl-glfw-opengl-mesa_trace";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_trace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_trace";
      asd = "cl-glfw-opengl-mesa_trace";
    });
    systems = [ "cl-glfw-opengl-mesa_trace" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_window_pos = {
    pname = "cl-glfw-opengl-mesa_window_pos";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_window_pos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_window_pos";
      asd = "cl-glfw-opengl-mesa_window_pos";
    });
    systems = [ "cl-glfw-opengl-mesa_window_pos" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesa_ycbcr_texture = {
    pname = "cl-glfw-opengl-mesa_ycbcr_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_ycbcr_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_ycbcr_texture";
      asd = "cl-glfw-opengl-mesa_ycbcr_texture";
    });
    systems = [ "cl-glfw-opengl-mesa_ycbcr_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-mesax_texture_stack = {
    pname = "cl-glfw-opengl-mesax_texture_stack";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesax_texture_stack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesax_texture_stack";
      asd = "cl-glfw-opengl-mesax_texture_stack";
    });
    systems = [ "cl-glfw-opengl-mesax_texture_stack" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_conditional_render = {
    pname = "cl-glfw-opengl-nv_conditional_render";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_conditional_render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_conditional_render";
      asd = "cl-glfw-opengl-nv_conditional_render";
    });
    systems = [ "cl-glfw-opengl-nv_conditional_render" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_copy_depth_to_color = {
    pname = "cl-glfw-opengl-nv_copy_depth_to_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_copy_depth_to_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_copy_depth_to_color";
      asd = "cl-glfw-opengl-nv_copy_depth_to_color";
    });
    systems = [ "cl-glfw-opengl-nv_copy_depth_to_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_copy_image = {
    pname = "cl-glfw-opengl-nv_copy_image";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_copy_image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_copy_image";
      asd = "cl-glfw-opengl-nv_copy_image";
    });
    systems = [ "cl-glfw-opengl-nv_copy_image" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_depth_buffer_float = {
    pname = "cl-glfw-opengl-nv_depth_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_depth_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_depth_buffer_float";
      asd = "cl-glfw-opengl-nv_depth_buffer_float";
    });
    systems = [ "cl-glfw-opengl-nv_depth_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_depth_clamp = {
    pname = "cl-glfw-opengl-nv_depth_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_depth_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_depth_clamp";
      asd = "cl-glfw-opengl-nv_depth_clamp";
    });
    systems = [ "cl-glfw-opengl-nv_depth_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_evaluators = {
    pname = "cl-glfw-opengl-nv_evaluators";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_evaluators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_evaluators";
      asd = "cl-glfw-opengl-nv_evaluators";
    });
    systems = [ "cl-glfw-opengl-nv_evaluators" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_explicit_multisample = {
    pname = "cl-glfw-opengl-nv_explicit_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_explicit_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_explicit_multisample";
      asd = "cl-glfw-opengl-nv_explicit_multisample";
    });
    systems = [ "cl-glfw-opengl-nv_explicit_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_fence = {
    pname = "cl-glfw-opengl-nv_fence";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fence";
      asd = "cl-glfw-opengl-nv_fence";
    });
    systems = [ "cl-glfw-opengl-nv_fence" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_float_buffer = {
    pname = "cl-glfw-opengl-nv_float_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_float_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_float_buffer";
      asd = "cl-glfw-opengl-nv_float_buffer";
    });
    systems = [ "cl-glfw-opengl-nv_float_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_fog_distance = {
    pname = "cl-glfw-opengl-nv_fog_distance";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fog_distance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fog_distance";
      asd = "cl-glfw-opengl-nv_fog_distance";
    });
    systems = [ "cl-glfw-opengl-nv_fog_distance" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_fragment_program = {
    pname = "cl-glfw-opengl-nv_fragment_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fragment_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fragment_program";
      asd = "cl-glfw-opengl-nv_fragment_program";
    });
    systems = [ "cl-glfw-opengl-nv_fragment_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_fragment_program2 = {
    pname = "cl-glfw-opengl-nv_fragment_program2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fragment_program2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fragment_program2";
      asd = "cl-glfw-opengl-nv_fragment_program2";
    });
    systems = [ "cl-glfw-opengl-nv_fragment_program2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_framebuffer_multisample_coverage = {
    pname = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_framebuffer_multisample_coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
      asd = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
    });
    systems = [ "cl-glfw-opengl-nv_framebuffer_multisample_coverage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_geometry_program4 = {
    pname = "cl-glfw-opengl-nv_geometry_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_geometry_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_geometry_program4";
      asd = "cl-glfw-opengl-nv_geometry_program4";
    });
    systems = [ "cl-glfw-opengl-nv_geometry_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_gpu_program4 = {
    pname = "cl-glfw-opengl-nv_gpu_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_program4";
      asd = "cl-glfw-opengl-nv_gpu_program4";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_gpu_program5 = {
    pname = "cl-glfw-opengl-nv_gpu_program5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_program5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_program5";
      asd = "cl-glfw-opengl-nv_gpu_program5";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_program5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_gpu_shader5 = {
    pname = "cl-glfw-opengl-nv_gpu_shader5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_shader5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_shader5";
      asd = "cl-glfw-opengl-nv_gpu_shader5";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_shader5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_half_float = {
    pname = "cl-glfw-opengl-nv_half_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_half_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_half_float";
      asd = "cl-glfw-opengl-nv_half_float";
    });
    systems = [ "cl-glfw-opengl-nv_half_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_light_max_exponent = {
    pname = "cl-glfw-opengl-nv_light_max_exponent";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_light_max_exponent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_light_max_exponent";
      asd = "cl-glfw-opengl-nv_light_max_exponent";
    });
    systems = [ "cl-glfw-opengl-nv_light_max_exponent" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_multisample_coverage = {
    pname = "cl-glfw-opengl-nv_multisample_coverage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_multisample_coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_multisample_coverage";
      asd = "cl-glfw-opengl-nv_multisample_coverage";
    });
    systems = [ "cl-glfw-opengl-nv_multisample_coverage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_multisample_filter_hint = {
    pname = "cl-glfw-opengl-nv_multisample_filter_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_multisample_filter_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_multisample_filter_hint";
      asd = "cl-glfw-opengl-nv_multisample_filter_hint";
    });
    systems = [ "cl-glfw-opengl-nv_multisample_filter_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_occlusion_query = {
    pname = "cl-glfw-opengl-nv_occlusion_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_occlusion_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_occlusion_query";
      asd = "cl-glfw-opengl-nv_occlusion_query";
    });
    systems = [ "cl-glfw-opengl-nv_occlusion_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_packed_depth_stencil = {
    pname = "cl-glfw-opengl-nv_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_packed_depth_stencil";
      asd = "cl-glfw-opengl-nv_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-nv_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_parameter_buffer_object = {
    pname = "cl-glfw-opengl-nv_parameter_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_parameter_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_parameter_buffer_object";
      asd = "cl-glfw-opengl-nv_parameter_buffer_object";
    });
    systems = [ "cl-glfw-opengl-nv_parameter_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_pixel_data_range = {
    pname = "cl-glfw-opengl-nv_pixel_data_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_pixel_data_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_pixel_data_range";
      asd = "cl-glfw-opengl-nv_pixel_data_range";
    });
    systems = [ "cl-glfw-opengl-nv_pixel_data_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_point_sprite = {
    pname = "cl-glfw-opengl-nv_point_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_point_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_point_sprite";
      asd = "cl-glfw-opengl-nv_point_sprite";
    });
    systems = [ "cl-glfw-opengl-nv_point_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_present_video = {
    pname = "cl-glfw-opengl-nv_present_video";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_present_video" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_present_video";
      asd = "cl-glfw-opengl-nv_present_video";
    });
    systems = [ "cl-glfw-opengl-nv_present_video" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_primitive_restart = {
    pname = "cl-glfw-opengl-nv_primitive_restart";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_primitive_restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_primitive_restart";
      asd = "cl-glfw-opengl-nv_primitive_restart";
    });
    systems = [ "cl-glfw-opengl-nv_primitive_restart" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_register_combiners = {
    pname = "cl-glfw-opengl-nv_register_combiners";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_register_combiners" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_register_combiners";
      asd = "cl-glfw-opengl-nv_register_combiners";
    });
    systems = [ "cl-glfw-opengl-nv_register_combiners" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_register_combiners2 = {
    pname = "cl-glfw-opengl-nv_register_combiners2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_register_combiners2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_register_combiners2";
      asd = "cl-glfw-opengl-nv_register_combiners2";
    });
    systems = [ "cl-glfw-opengl-nv_register_combiners2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_shader_buffer_load = {
    pname = "cl-glfw-opengl-nv_shader_buffer_load";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_shader_buffer_load" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_shader_buffer_load";
      asd = "cl-glfw-opengl-nv_shader_buffer_load";
    });
    systems = [ "cl-glfw-opengl-nv_shader_buffer_load" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_shader_buffer_store = {
    pname = "cl-glfw-opengl-nv_shader_buffer_store";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_shader_buffer_store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_shader_buffer_store";
      asd = "cl-glfw-opengl-nv_shader_buffer_store";
    });
    systems = [ "cl-glfw-opengl-nv_shader_buffer_store" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_tessellation_program5 = {
    pname = "cl-glfw-opengl-nv_tessellation_program5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_tessellation_program5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_tessellation_program5";
      asd = "cl-glfw-opengl-nv_tessellation_program5";
    });
    systems = [ "cl-glfw-opengl-nv_tessellation_program5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texgen_emboss = {
    pname = "cl-glfw-opengl-nv_texgen_emboss";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texgen_emboss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texgen_emboss";
      asd = "cl-glfw-opengl-nv_texgen_emboss";
    });
    systems = [ "cl-glfw-opengl-nv_texgen_emboss" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texgen_reflection = {
    pname = "cl-glfw-opengl-nv_texgen_reflection";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texgen_reflection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texgen_reflection";
      asd = "cl-glfw-opengl-nv_texgen_reflection";
    });
    systems = [ "cl-glfw-opengl-nv_texgen_reflection" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_barrier = {
    pname = "cl-glfw-opengl-nv_texture_barrier";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_barrier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_barrier";
      asd = "cl-glfw-opengl-nv_texture_barrier";
    });
    systems = [ "cl-glfw-opengl-nv_texture_barrier" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_env_combine4 = {
    pname = "cl-glfw-opengl-nv_texture_env_combine4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_env_combine4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_env_combine4";
      asd = "cl-glfw-opengl-nv_texture_env_combine4";
    });
    systems = [ "cl-glfw-opengl-nv_texture_env_combine4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_expand_normal = {
    pname = "cl-glfw-opengl-nv_texture_expand_normal";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_expand_normal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_expand_normal";
      asd = "cl-glfw-opengl-nv_texture_expand_normal";
    });
    systems = [ "cl-glfw-opengl-nv_texture_expand_normal" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_multisample = {
    pname = "cl-glfw-opengl-nv_texture_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_multisample";
      asd = "cl-glfw-opengl-nv_texture_multisample";
    });
    systems = [ "cl-glfw-opengl-nv_texture_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_rectangle = {
    pname = "cl-glfw-opengl-nv_texture_rectangle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_rectangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_rectangle";
      asd = "cl-glfw-opengl-nv_texture_rectangle";
    });
    systems = [ "cl-glfw-opengl-nv_texture_rectangle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_shader = {
    pname = "cl-glfw-opengl-nv_texture_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader";
      asd = "cl-glfw-opengl-nv_texture_shader";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_shader2 = {
    pname = "cl-glfw-opengl-nv_texture_shader2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader2";
      asd = "cl-glfw-opengl-nv_texture_shader2";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_texture_shader3 = {
    pname = "cl-glfw-opengl-nv_texture_shader3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader3";
      asd = "cl-glfw-opengl-nv_texture_shader3";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_transform_feedback = {
    pname = "cl-glfw-opengl-nv_transform_feedback";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_transform_feedback" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_transform_feedback";
      asd = "cl-glfw-opengl-nv_transform_feedback";
    });
    systems = [ "cl-glfw-opengl-nv_transform_feedback" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_transform_feedback2 = {
    pname = "cl-glfw-opengl-nv_transform_feedback2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_transform_feedback2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_transform_feedback2";
      asd = "cl-glfw-opengl-nv_transform_feedback2";
    });
    systems = [ "cl-glfw-opengl-nv_transform_feedback2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_array_range = {
    pname = "cl-glfw-opengl-nv_vertex_array_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_array_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_array_range";
      asd = "cl-glfw-opengl-nv_vertex_array_range";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_array_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_array_range2 = {
    pname = "cl-glfw-opengl-nv_vertex_array_range2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_array_range2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_array_range2";
      asd = "cl-glfw-opengl-nv_vertex_array_range2";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_array_range2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_attrib_integer_64bit = {
    pname = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_attrib_integer_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
      asd = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_attrib_integer_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_buffer_unified_memory = {
    pname = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_buffer_unified_memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
      asd = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_buffer_unified_memory" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_program = {
    pname = "cl-glfw-opengl-nv_vertex_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program";
      asd = "cl-glfw-opengl-nv_vertex_program";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_program2_option = {
    pname = "cl-glfw-opengl-nv_vertex_program2_option";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program2_option" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program2_option";
      asd = "cl-glfw-opengl-nv_vertex_program2_option";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program2_option" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_program3 = {
    pname = "cl-glfw-opengl-nv_vertex_program3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program3";
      asd = "cl-glfw-opengl-nv_vertex_program3";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-nv_vertex_program4 = {
    pname = "cl-glfw-opengl-nv_vertex_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program4";
      asd = "cl-glfw-opengl-nv_vertex_program4";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-oes_read_format = {
    pname = "cl-glfw-opengl-oes_read_format";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oes_read_format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oes_read_format";
      asd = "cl-glfw-opengl-oes_read_format";
    });
    systems = [ "cl-glfw-opengl-oes_read_format" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-oml_interlace = {
    pname = "cl-glfw-opengl-oml_interlace";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_interlace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_interlace";
      asd = "cl-glfw-opengl-oml_interlace";
    });
    systems = [ "cl-glfw-opengl-oml_interlace" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-oml_resample = {
    pname = "cl-glfw-opengl-oml_resample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_resample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_resample";
      asd = "cl-glfw-opengl-oml_resample";
    });
    systems = [ "cl-glfw-opengl-oml_resample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-oml_subsample = {
    pname = "cl-glfw-opengl-oml_subsample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_subsample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_subsample";
      asd = "cl-glfw-opengl-oml_subsample";
    });
    systems = [ "cl-glfw-opengl-oml_subsample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-pgi_misc_hints = {
    pname = "cl-glfw-opengl-pgi_misc_hints";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-pgi_misc_hints" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-pgi_misc_hints";
      asd = "cl-glfw-opengl-pgi_misc_hints";
    });
    systems = [ "cl-glfw-opengl-pgi_misc_hints" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-pgi_vertex_hints = {
    pname = "cl-glfw-opengl-pgi_vertex_hints";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-pgi_vertex_hints" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-pgi_vertex_hints";
      asd = "cl-glfw-opengl-pgi_vertex_hints";
    });
    systems = [ "cl-glfw-opengl-pgi_vertex_hints" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-rend_screen_coordinates = {
    pname = "cl-glfw-opengl-rend_screen_coordinates";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-rend_screen_coordinates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-rend_screen_coordinates";
      asd = "cl-glfw-opengl-rend_screen_coordinates";
    });
    systems = [ "cl-glfw-opengl-rend_screen_coordinates" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-s3_s3tc = {
    pname = "cl-glfw-opengl-s3_s3tc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-s3_s3tc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-s3_s3tc";
      asd = "cl-glfw-opengl-s3_s3tc";
    });
    systems = [ "cl-glfw-opengl-s3_s3tc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgi_color_table = {
    pname = "cl-glfw-opengl-sgi_color_table";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgi_color_table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgi_color_table";
      asd = "cl-glfw-opengl-sgi_color_table";
    });
    systems = [ "cl-glfw-opengl-sgi_color_table" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgi_depth_pass_instrument = {
    pname = "cl-glfw-opengl-sgi_depth_pass_instrument";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgi_depth_pass_instrument" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgi_depth_pass_instrument";
      asd = "cl-glfw-opengl-sgi_depth_pass_instrument";
    });
    systems = [ "cl-glfw-opengl-sgi_depth_pass_instrument" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_detail_texture = {
    pname = "cl-glfw-opengl-sgis_detail_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_detail_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_detail_texture";
      asd = "cl-glfw-opengl-sgis_detail_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_detail_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_fog_function = {
    pname = "cl-glfw-opengl-sgis_fog_function";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_fog_function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_fog_function";
      asd = "cl-glfw-opengl-sgis_fog_function";
    });
    systems = [ "cl-glfw-opengl-sgis_fog_function" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_multisample = {
    pname = "cl-glfw-opengl-sgis_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_multisample";
      asd = "cl-glfw-opengl-sgis_multisample";
    });
    systems = [ "cl-glfw-opengl-sgis_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_pixel_texture = {
    pname = "cl-glfw-opengl-sgis_pixel_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_pixel_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_pixel_texture";
      asd = "cl-glfw-opengl-sgis_pixel_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_pixel_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_point_parameters = {
    pname = "cl-glfw-opengl-sgis_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_point_parameters";
      asd = "cl-glfw-opengl-sgis_point_parameters";
    });
    systems = [ "cl-glfw-opengl-sgis_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_sharpen_texture = {
    pname = "cl-glfw-opengl-sgis_sharpen_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_sharpen_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_sharpen_texture";
      asd = "cl-glfw-opengl-sgis_sharpen_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_sharpen_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_texture4d = {
    pname = "cl-glfw-opengl-sgis_texture4d";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture4d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture4d";
      asd = "cl-glfw-opengl-sgis_texture4d";
    });
    systems = [ "cl-glfw-opengl-sgis_texture4d" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_texture_color_mask = {
    pname = "cl-glfw-opengl-sgis_texture_color_mask";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_color_mask" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_color_mask";
      asd = "cl-glfw-opengl-sgis_texture_color_mask";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_color_mask" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_texture_filter4 = {
    pname = "cl-glfw-opengl-sgis_texture_filter4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_filter4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_filter4";
      asd = "cl-glfw-opengl-sgis_texture_filter4";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_filter4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgis_texture_select = {
    pname = "cl-glfw-opengl-sgis_texture_select";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_select";
      asd = "cl-glfw-opengl-sgis_texture_select";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_select" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_async = {
    pname = "cl-glfw-opengl-sgix_async";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_async";
      asd = "cl-glfw-opengl-sgix_async";
    });
    systems = [ "cl-glfw-opengl-sgix_async" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_depth_texture = {
    pname = "cl-glfw-opengl-sgix_depth_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_depth_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_depth_texture";
      asd = "cl-glfw-opengl-sgix_depth_texture";
    });
    systems = [ "cl-glfw-opengl-sgix_depth_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_flush_raster = {
    pname = "cl-glfw-opengl-sgix_flush_raster";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_flush_raster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_flush_raster";
      asd = "cl-glfw-opengl-sgix_flush_raster";
    });
    systems = [ "cl-glfw-opengl-sgix_flush_raster" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_fog_scale = {
    pname = "cl-glfw-opengl-sgix_fog_scale";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_fog_scale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_fog_scale";
      asd = "cl-glfw-opengl-sgix_fog_scale";
    });
    systems = [ "cl-glfw-opengl-sgix_fog_scale" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_fragment_lighting = {
    pname = "cl-glfw-opengl-sgix_fragment_lighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_fragment_lighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_fragment_lighting";
      asd = "cl-glfw-opengl-sgix_fragment_lighting";
    });
    systems = [ "cl-glfw-opengl-sgix_fragment_lighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_framezoom = {
    pname = "cl-glfw-opengl-sgix_framezoom";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_framezoom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_framezoom";
      asd = "cl-glfw-opengl-sgix_framezoom";
    });
    systems = [ "cl-glfw-opengl-sgix_framezoom" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_igloo_interface = {
    pname = "cl-glfw-opengl-sgix_igloo_interface";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_igloo_interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_igloo_interface";
      asd = "cl-glfw-opengl-sgix_igloo_interface";
    });
    systems = [ "cl-glfw-opengl-sgix_igloo_interface" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_instruments = {
    pname = "cl-glfw-opengl-sgix_instruments";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_instruments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_instruments";
      asd = "cl-glfw-opengl-sgix_instruments";
    });
    systems = [ "cl-glfw-opengl-sgix_instruments" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_line_quality_hint = {
    pname = "cl-glfw-opengl-sgix_line_quality_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_line_quality_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_line_quality_hint";
      asd = "cl-glfw-opengl-sgix_line_quality_hint";
    });
    systems = [ "cl-glfw-opengl-sgix_line_quality_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_list_priority = {
    pname = "cl-glfw-opengl-sgix_list_priority";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_list_priority" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_list_priority";
      asd = "cl-glfw-opengl-sgix_list_priority";
    });
    systems = [ "cl-glfw-opengl-sgix_list_priority" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_pixel_texture = {
    pname = "cl-glfw-opengl-sgix_pixel_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_pixel_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_pixel_texture";
      asd = "cl-glfw-opengl-sgix_pixel_texture";
    });
    systems = [ "cl-glfw-opengl-sgix_pixel_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_polynomial_ffd = {
    pname = "cl-glfw-opengl-sgix_polynomial_ffd";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_polynomial_ffd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_polynomial_ffd";
      asd = "cl-glfw-opengl-sgix_polynomial_ffd";
    });
    systems = [ "cl-glfw-opengl-sgix_polynomial_ffd" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_reference_plane = {
    pname = "cl-glfw-opengl-sgix_reference_plane";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_reference_plane" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_reference_plane";
      asd = "cl-glfw-opengl-sgix_reference_plane";
    });
    systems = [ "cl-glfw-opengl-sgix_reference_plane" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_resample = {
    pname = "cl-glfw-opengl-sgix_resample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_resample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_resample";
      asd = "cl-glfw-opengl-sgix_resample";
    });
    systems = [ "cl-glfw-opengl-sgix_resample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_scalebias_hint = {
    pname = "cl-glfw-opengl-sgix_scalebias_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_scalebias_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_scalebias_hint";
      asd = "cl-glfw-opengl-sgix_scalebias_hint";
    });
    systems = [ "cl-glfw-opengl-sgix_scalebias_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_shadow = {
    pname = "cl-glfw-opengl-sgix_shadow";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_shadow";
      asd = "cl-glfw-opengl-sgix_shadow";
    });
    systems = [ "cl-glfw-opengl-sgix_shadow" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_shadow_ambient = {
    pname = "cl-glfw-opengl-sgix_shadow_ambient";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_shadow_ambient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_shadow_ambient";
      asd = "cl-glfw-opengl-sgix_shadow_ambient";
    });
    systems = [ "cl-glfw-opengl-sgix_shadow_ambient" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_slim = {
    pname = "cl-glfw-opengl-sgix_slim";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_slim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_slim";
      asd = "cl-glfw-opengl-sgix_slim";
    });
    systems = [ "cl-glfw-opengl-sgix_slim" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_sprite = {
    pname = "cl-glfw-opengl-sgix_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_sprite";
      asd = "cl-glfw-opengl-sgix_sprite";
    });
    systems = [ "cl-glfw-opengl-sgix_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_tag_sample_buffer = {
    pname = "cl-glfw-opengl-sgix_tag_sample_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_tag_sample_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_tag_sample_buffer";
      asd = "cl-glfw-opengl-sgix_tag_sample_buffer";
    });
    systems = [ "cl-glfw-opengl-sgix_tag_sample_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_texture_coordinate_clamp = {
    pname = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_coordinate_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
      asd = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_coordinate_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_texture_lod_bias = {
    pname = "cl-glfw-opengl-sgix_texture_lod_bias";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_lod_bias" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_lod_bias";
      asd = "cl-glfw-opengl-sgix_texture_lod_bias";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_lod_bias" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_texture_multi_buffer = {
    pname = "cl-glfw-opengl-sgix_texture_multi_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_multi_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_multi_buffer";
      asd = "cl-glfw-opengl-sgix_texture_multi_buffer";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_multi_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sgix_ycrcba = {
    pname = "cl-glfw-opengl-sgix_ycrcba";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_ycrcba" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_ycrcba";
      asd = "cl-glfw-opengl-sgix_ycrcba";
    });
    systems = [ "cl-glfw-opengl-sgix_ycrcba" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_convolution_border_modes = {
    pname = "cl-glfw-opengl-sun_convolution_border_modes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_convolution_border_modes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_convolution_border_modes";
      asd = "cl-glfw-opengl-sun_convolution_border_modes";
    });
    systems = [ "cl-glfw-opengl-sun_convolution_border_modes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_global_alpha = {
    pname = "cl-glfw-opengl-sun_global_alpha";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_global_alpha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_global_alpha";
      asd = "cl-glfw-opengl-sun_global_alpha";
    });
    systems = [ "cl-glfw-opengl-sun_global_alpha" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_mesh_array = {
    pname = "cl-glfw-opengl-sun_mesh_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_mesh_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_mesh_array";
      asd = "cl-glfw-opengl-sun_mesh_array";
    });
    systems = [ "cl-glfw-opengl-sun_mesh_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_slice_accum = {
    pname = "cl-glfw-opengl-sun_slice_accum";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_slice_accum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_slice_accum";
      asd = "cl-glfw-opengl-sun_slice_accum";
    });
    systems = [ "cl-glfw-opengl-sun_slice_accum" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_triangle_list = {
    pname = "cl-glfw-opengl-sun_triangle_list";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_triangle_list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_triangle_list";
      asd = "cl-glfw-opengl-sun_triangle_list";
    });
    systems = [ "cl-glfw-opengl-sun_triangle_list" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sun_vertex = {
    pname = "cl-glfw-opengl-sun_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_vertex";
      asd = "cl-glfw-opengl-sun_vertex";
    });
    systems = [ "cl-glfw-opengl-sun_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-sunx_constant_data = {
    pname = "cl-glfw-opengl-sunx_constant_data";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sunx_constant_data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sunx_constant_data";
      asd = "cl-glfw-opengl-sunx_constant_data";
    });
    systems = [ "cl-glfw-opengl-sunx_constant_data" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_0 = {
    pname = "cl-glfw-opengl-version_1_0";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_0";
      asd = "cl-glfw-opengl-version_1_0";
    });
    systems = [ "cl-glfw-opengl-version_1_0" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_1 = {
    pname = "cl-glfw-opengl-version_1_1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_1";
      asd = "cl-glfw-opengl-version_1_1";
    });
    systems = [ "cl-glfw-opengl-version_1_1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_2 = {
    pname = "cl-glfw-opengl-version_1_2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_2";
      asd = "cl-glfw-opengl-version_1_2";
    });
    systems = [ "cl-glfw-opengl-version_1_2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_3 = {
    pname = "cl-glfw-opengl-version_1_3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_3";
      asd = "cl-glfw-opengl-version_1_3";
    });
    systems = [ "cl-glfw-opengl-version_1_3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_4 = {
    pname = "cl-glfw-opengl-version_1_4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_4";
      asd = "cl-glfw-opengl-version_1_4";
    });
    systems = [ "cl-glfw-opengl-version_1_4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_1_5 = {
    pname = "cl-glfw-opengl-version_1_5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_5";
      asd = "cl-glfw-opengl-version_1_5";
    });
    systems = [ "cl-glfw-opengl-version_1_5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_2_0 = {
    pname = "cl-glfw-opengl-version_2_0";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_2_0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_2_0";
      asd = "cl-glfw-opengl-version_2_0";
    });
    systems = [ "cl-glfw-opengl-version_2_0" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-version_2_1 = {
    pname = "cl-glfw-opengl-version_2_1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_2_1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_2_1";
      asd = "cl-glfw-opengl-version_2_1";
    });
    systems = [ "cl-glfw-opengl-version_2_1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-win_phong_shading = {
    pname = "cl-glfw-opengl-win_phong_shading";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-win_phong_shading" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-win_phong_shading";
      asd = "cl-glfw-opengl-win_phong_shading";
    });
    systems = [ "cl-glfw-opengl-win_phong_shading" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-opengl-win_specular_fog = {
    pname = "cl-glfw-opengl-win_specular_fog";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-win_specular_fog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-win_specular_fog";
      asd = "cl-glfw-opengl-win_specular_fog";
    });
    systems = [ "cl-glfw-opengl-win_specular_fog" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" pkgs) ];
  };
  cl-glfw-types = {
    pname = "cl-glfw-types";
    version = "20150302-git";
    asds = [ "cl-glfw-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-types";
      asd = "cl-glfw-types";
    });
    systems = [ "cl-glfw-types" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-glfw3 = {
    pname = "cl-glfw3";
    version = "20210531-git";
    asds = [ "cl-glfw3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw3/2021-05-31/cl-glfw3-20210531-git.tgz";
      sha256 = "1wzr43nckdx4rlgxzhm1r4kfc264q969mc43y0js9ramh7l8gba5";
      system = "cl-glfw3";
      asd = "cl-glfw3";
    });
    systems = [ "cl-glfw3" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  cl-glfw3-examples = {
    pname = "cl-glfw3-examples";
    version = "20210531-git";
    asds = [ "cl-glfw3-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw3/2021-05-31/cl-glfw3-20210531-git.tgz";
      sha256 = "1wzr43nckdx4rlgxzhm1r4kfc264q969mc43y0js9ramh7l8gba5";
      system = "cl-glfw3-examples";
      asd = "cl-glfw3-examples";
    });
    systems = [ "cl-glfw3-examples" ];
    lispLibs = [ (getAttr "cl-glfw3" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "trivial-main-thread" pkgs) ];
  };
  cl-glib = {
    pname = "cl-glib";
    version = "20221106-git";
    asds = [ "cl-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2022-11-06/cl-glib-20221106-git.tgz";
      sha256 = "189w4flgjr6asqlb2zzm0c6b1ngdws4dkhq4ap458h5al33sxphg";
      system = "cl-glib";
      asd = "cl-glib";
    });
    systems = [ "cl-glib" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-gobject-introspection-wrapper" pkgs) ];
  };
  cl-glib_dot_gio = {
    pname = "cl-glib.gio";
    version = "20221106-git";
    asds = [ "cl-glib.gio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2022-11-06/cl-glib-20221106-git.tgz";
      sha256 = "189w4flgjr6asqlb2zzm0c6b1ngdws4dkhq4ap458h5al33sxphg";
      system = "cl-glib.gio";
      asd = "cl-glib.gio";
    });
    systems = [ "cl-glib.gio" ];
    lispLibs = [ (getAttr "cl-gobject-introspection-wrapper" pkgs) ];
  };
  cl-glib_dot_gobject = {
    pname = "cl-glib.gobject";
    version = "20221106-git";
    asds = [ "cl-glib.gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2022-11-06/cl-glib-20221106-git.tgz";
      sha256 = "189w4flgjr6asqlb2zzm0c6b1ngdws4dkhq4ap458h5al33sxphg";
      system = "cl-glib.gobject";
      asd = "cl-glib.gobject";
    });
    systems = [ "cl-glib.gobject" ];
    lispLibs = [ (getAttr "cl-gobject-introspection-wrapper" pkgs) ];
  };
  cl-gltf = {
    pname = "cl-gltf";
    version = "20220331-git";
    asds = [ "cl-gltf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gltf/2022-03-31/cl-gltf-20220331-git.tgz";
      sha256 = "1v5ki3bjd2sa9apna26faagqwf92bx54815zvsn5nq6dhckrz4mw";
      system = "cl-gltf";
      asd = "cl-gltf";
    });
    systems = [ "cl-gltf" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "mmap" pkgs) (getAttr "nibbles" pkgs) (getAttr "qbase64" pkgs) (getAttr "shasht" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-extensible-sequences" pkgs) ];
  };
  cl-glu = {
    pname = "cl-glu";
    version = "20191130-git";
    asds = [ "cl-glu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glu";
      asd = "cl-glu";
    });
    systems = [ "cl-glu" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  cl-glut = {
    pname = "cl-glut";
    version = "20191130-git";
    asds = [ "cl-glut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glut";
      asd = "cl-glut";
    });
    systems = [ "cl-glut" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  cl-glut-examples = {
    pname = "cl-glut-examples";
    version = "20191130-git";
    asds = [ "cl-glut-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glut-examples";
      asd = "cl-glut-examples";
    });
    systems = [ "cl-glut-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  cl-gobject-introspection = {
    pname = "cl-gobject-introspection";
    version = "20210124-git";
    asds = [ "cl-gobject-introspection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection/2021-01-24/cl-gobject-introspection-20210124-git.tgz";
      sha256 = "0dz0r73pq7yhz2iq2jnkq977awx2zws2qfxdcy33329sys1ii32p";
      system = "cl-gobject-introspection";
      asd = "cl-gobject-introspection";
    });
    systems = [ "cl-gobject-introspection" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-gobject-introspection-test = {
    pname = "cl-gobject-introspection-test";
    version = "20210124-git";
    asds = [ "cl-gobject-introspection-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection/2021-01-24/cl-gobject-introspection-20210124-git.tgz";
      sha256 = "0dz0r73pq7yhz2iq2jnkq977awx2zws2qfxdcy33329sys1ii32p";
      system = "cl-gobject-introspection-test";
      asd = "cl-gobject-introspection-test";
    });
    systems = [ "cl-gobject-introspection-test" ];
    lispLibs = [ (getAttr "cl-gobject-introspection" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-gobject-introspection-wrapper = {
    pname = "cl-gobject-introspection-wrapper";
    version = "20221106-git";
    asds = [ "cl-gobject-introspection-wrapper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection-wrapper/2022-11-06/cl-gobject-introspection-wrapper-20221106-git.tgz";
      sha256 = "1bxb0cs8b92ixigw1lmza8dm75hhc6qdcdkmz6rk77aq7zsp25w4";
      system = "cl-gobject-introspection-wrapper";
      asd = "cl-gobject-introspection-wrapper";
    });
    systems = [ "cl-gobject-introspection-wrapper" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-gobject-introspection" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-gopher = {
    pname = "cl-gopher";
    version = "20220331-git";
    asds = [ "cl-gopher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gopher/2022-03-31/cl-gopher-20220331-git.tgz";
      sha256 = "1ky4s33m5d0wvdaqji12pxr93qqfl5x62zjp3m4ihbdj0ws3yw2f";
      system = "cl-gopher";
      asd = "cl-gopher";
    });
    systems = [ "cl-gopher" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "quri" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-gpio = {
    pname = "cl-gpio";
    version = "20211209-git";
    asds = [ "cl-gpio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gpio/2021-12-09/cl-gpio-20211209-git.tgz";
      sha256 = "0kc8vi0rb9c3952p3qmc3c23pdb6yfg21bbrg4jrgdar0k0ldz5a";
      system = "cl-gpio";
      asd = "cl-gpio";
    });
    systems = [ "cl-gpio" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  cl-graph = {
    pname = "cl-graph";
    version = "20171227-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph" ];
    lispLibs = [ (getAttr "asdf-system-connections" pkgs) (getAttr "cl-containers" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "metatilities-base" pkgs) ];
  };
  cl-graph_plus_hu_dot_dwim_dot_graphviz = {
    pname = "cl-graph+hu.dwim.graphviz";
    version = "20171227-git";
    asds = [ "cl-graph+hu.dwim.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph+hu.dwim.graphviz";
      asd = "cl-graph+hu.dwim.graphviz";
    });
    systems = [ "cl-graph+hu.dwim.graphviz" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "hu_dot_dwim_dot_graphviz" pkgs) ];
  };
  cl-graph_slash_with-cl-mathstats = {
    pname = "cl-graph_with-cl-mathstats";
    version = "20171227-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph/with-cl-mathstats" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "cl-mathstats" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-graph_slash_with-dynamic-classes = {
    pname = "cl-graph_with-dynamic-classes";
    version = "20171227-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph/with-dynamic-classes" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "dynamic-classes" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-graph_slash_with-metacopy = {
    pname = "cl-graph_with-metacopy";
    version = "20171227-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph/with-metacopy" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "metacopy" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-graph_slash_with-moptilities = {
    pname = "cl-graph_with-moptilities";
    version = "20171227-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2017-12-27/cl-graph-20171227-git.tgz";
      sha256 = "1748rj52f2jmd5jvsy9jwhn0zf73sjzjhwhnljvq6yi2kdqr30kl";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph/with-moptilities" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "moptilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-grip = {
    pname = "cl-grip";
    version = "20211020-git";
    asds = [ "cl-grip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-grip/2021-10-20/cl-grip-20211020-git.tgz";
      sha256 = "1qplxq5082wai2blmq29a852jv5kdzwc8n9qlv0kqysjppph0hqz";
      system = "cl-grip";
      asd = "cl-grip";
    });
    systems = [ "cl-grip" ];
    lispLibs = [ (getAttr "cl-strings" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  cl-grnm = {
    pname = "cl-grnm";
    version = "20180131-git";
    asds = [ "cl-grnm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-grnm/2018-01-31/cl-grnm-20180131-git.tgz";
      sha256 = "1hb5n37n3x2ylrghcqsia2g9a6f5wg24l659jiz4ncpi5bsv4m3s";
      system = "cl-grnm";
      asd = "cl-grnm";
    });
    systems = [ "cl-grnm" ];
    lispLibs = [  ];
  };
  cl-growl = {
    pname = "cl-growl";
    version = "20161208-git";
    asds = [ "cl-growl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-growl/2016-12-08/cl-growl-20161208-git.tgz";
      sha256 = "1qgj3sq22dznwxj1b3rw0099fsf6wgfbc63r376pab74kdnji3n6";
      system = "cl-growl";
      asd = "cl-growl";
    });
    systems = [ "cl-growl" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-gss = {
    pname = "cl-gss";
    version = "20180228-git";
    asds = [ "cl-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gss/2018-02-28/cl-gss-20180228-git.tgz";
      sha256 = "0zhxxn3zarird255s9i56bz0fm6dkv00mn8bbsjrhskg3wpcg4pb";
      system = "cl-gss";
      asd = "cl-gss";
    });
    systems = [ "cl-gss" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-gtk2-gdk = {
    pname = "cl-gtk2-gdk";
    version = "20211020-git";
    asds = [ "cl-gtk2-gdk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-gdk";
      asd = "cl-gtk2-gdk";
    });
    systems = [ "cl-gtk2-gdk" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-gtk2-glib" pkgs) (getAttr "cl-gtk2-pango" pkgs) ];
  };
  cl-gtk2-glib = {
    pname = "cl-gtk2-glib";
    version = "20211020-git";
    asds = [ "cl-gtk2-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-glib";
      asd = "cl-gtk2-glib";
    });
    systems = [ "cl-gtk2-glib" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-gtk2-pango = {
    pname = "cl-gtk2-pango";
    version = "20211020-git";
    asds = [ "cl-gtk2-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-pango";
      asd = "cl-gtk2-pango";
    });
    systems = [ "cl-gtk2-pango" ];
    lispLibs = [ (getAttr "cl-gtk2-glib" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-haml = {
    pname = "cl-haml";
    version = "20180228-git";
    asds = [ "cl-haml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-haml/2018-02-28/cl-haml-20180228-git.tgz";
      sha256 = "017qr3509ha2680h3c8ip5rqyfaz7v9hfjmx0pg1wrjqw8vyjyb5";
      system = "cl-haml";
      asd = "cl-haml";
    });
    systems = [ "cl-haml" ];
    lispLibs = [ (getAttr "cl-who" pkgs) ];
  };
  cl-haml-test = {
    pname = "cl-haml-test";
    version = "20180228-git";
    asds = [ "cl-haml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-haml/2018-02-28/cl-haml-20180228-git.tgz";
      sha256 = "017qr3509ha2680h3c8ip5rqyfaz7v9hfjmx0pg1wrjqw8vyjyb5";
      system = "cl-haml-test";
      asd = "cl-haml";
    });
    systems = [ "cl-haml-test" ];
    lispLibs = [ (getAttr "cl-haml" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-hamt = {
    pname = "cl-hamt";
    version = "20200325-git";
    asds = [ "cl-hamt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt";
      asd = "cl-hamt";
    });
    systems = [ "cl-hamt" ];
    lispLibs = [ (getAttr "cl-murmurhash" pkgs) ];
  };
  cl-hamt-examples = {
    pname = "cl-hamt-examples";
    version = "20200325-git";
    asds = [ "cl-hamt-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt-examples";
      asd = "cl-hamt-examples";
    });
    systems = [ "cl-hamt-examples" ];
    lispLibs = [ (getAttr "cl-hamt" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) ];
  };
  cl-hamt-test = {
    pname = "cl-hamt-test";
    version = "20200325-git";
    asds = [ "cl-hamt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt-test";
      asd = "cl-hamt-test";
    });
    systems = [ "cl-hamt-test" ];
    lispLibs = [ (getAttr "cl-hamt" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-hash-table-destructuring = {
    pname = "cl-hash-table-destructuring";
    version = "20160531-git";
    asds = [ "cl-hash-table-destructuring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-table-destructuring/2016-05-31/cl-hash-table-destructuring-20160531-git.tgz";
      sha256 = "0za8jlqfvsilmnidk429509vbdd18w7ykcycni411pjpz0lxrh1v";
      system = "cl-hash-table-destructuring";
      asd = "cl-hash-table-destructuring";
    });
    systems = [ "cl-hash-table-destructuring" ];
    lispLibs = [ (getAttr "prove-asdf" pkgs) ];
  };
  cl-hash-table-destructuring-test = {
    pname = "cl-hash-table-destructuring-test";
    version = "20160531-git";
    asds = [ "cl-hash-table-destructuring-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-table-destructuring/2016-05-31/cl-hash-table-destructuring-20160531-git.tgz";
      sha256 = "0za8jlqfvsilmnidk429509vbdd18w7ykcycni411pjpz0lxrh1v";
      system = "cl-hash-table-destructuring-test";
      asd = "cl-hash-table-destructuring";
    });
    systems = [ "cl-hash-table-destructuring-test" ];
    lispLibs = [ (getAttr "cl-hash-table-destructuring" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-hash-util = {
    pname = "cl-hash-util";
    version = "20190107-git";
    asds = [ "cl-hash-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-util/2019-01-07/cl-hash-util-20190107-git.tgz";
      sha256 = "0dnd0405d81w25cqq4g8gk2r5wm03cis965c1pmb2f5p4ifwq87a";
      system = "cl-hash-util";
      asd = "cl-hash-util";
    });
    systems = [ "cl-hash-util" ];
    lispLibs = [  ];
  };
  cl-hash-util-test = {
    pname = "cl-hash-util-test";
    version = "20190107-git";
    asds = [ "cl-hash-util-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-util/2019-01-07/cl-hash-util-20190107-git.tgz";
      sha256 = "0dnd0405d81w25cqq4g8gk2r5wm03cis965c1pmb2f5p4ifwq87a";
      system = "cl-hash-util-test";
      asd = "cl-hash-util-test";
    });
    systems = [ "cl-hash-util-test" ];
    lispLibs = [ (getAttr "cl-hash-util" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-heap = {
    pname = "cl-heap";
    version = "0.1.6";
    asds = [ "cl-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heap/2013-03-12/cl-heap-0.1.6.tgz";
      sha256 = "01bss182x9i167lfv0lr8ylavk2m42s84vz6629kspgjhczm52w7";
      system = "cl-heap";
      asd = "cl-heap";
    });
    systems = [ "cl-heap" ];
    lispLibs = [  ];
  };
  cl-heap-tests = {
    pname = "cl-heap-tests";
    version = "0.1.6";
    asds = [ "cl-heap-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heap/2013-03-12/cl-heap-0.1.6.tgz";
      sha256 = "01bss182x9i167lfv0lr8ylavk2m42s84vz6629kspgjhczm52w7";
      system = "cl-heap-tests";
      asd = "cl-heap-tests";
    });
    systems = [ "cl-heap-tests" ];
    lispLibs = [ (getAttr "cl-heap" pkgs) (getAttr "xlunit" pkgs) ];
  };
  cl-heredoc = {
    pname = "cl-heredoc";
    version = "20220707-git";
    asds = [ "cl-heredoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heredoc/2022-07-07/cl-heredoc-20220707-git.tgz";
      sha256 = "0hj9y6drd93nwcbmwwhnc30flm48ppw4rhfgfyqfc02fq2wnc83z";
      system = "cl-heredoc";
      asd = "cl-heredoc";
    });
    systems = [ "cl-heredoc" ];
    lispLibs = [  ];
  };
  cl-heredoc-test = {
    pname = "cl-heredoc-test";
    version = "20220707-git";
    asds = [ "cl-heredoc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heredoc/2022-07-07/cl-heredoc-20220707-git.tgz";
      sha256 = "0hj9y6drd93nwcbmwwhnc30flm48ppw4rhfgfyqfc02fq2wnc83z";
      system = "cl-heredoc-test";
      asd = "cl-heredoc-test";
    });
    systems = [ "cl-heredoc-test" ];
    lispLibs = [ (getAttr "cl-heredoc" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-hooks = {
    pname = "cl-hooks";
    version = "20181210-git";
    asds = [ "cl-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.hooks/2018-12-10/architecture.hooks-20181210-git.tgz";
      sha256 = "0bg3l0a28lw5gqqjp6p6b5nhwqk46sgkb7184w5qbfngw1hk8x9y";
      system = "cl-hooks";
      asd = "cl-hooks";
    });
    systems = [ "cl-hooks" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "let-plus" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-hooks_slash_test = {
    pname = "cl-hooks_test";
    version = "20181210-git";
    asds = [ "cl-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.hooks/2018-12-10/architecture.hooks-20181210-git.tgz";
      sha256 = "0bg3l0a28lw5gqqjp6p6b5nhwqk46sgkb7184w5qbfngw1hk8x9y";
      system = "cl-hooks";
      asd = "cl-hooks";
    });
    systems = [ "cl-hooks/test" ];
    lispLibs = [ (getAttr "cl-hooks" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-html-diff = {
    pname = "cl-html-diff";
    version = "20130128-git";
    asds = [ "cl-html-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-diff/2013-01-28/cl-html-diff-20130128-git.tgz";
      sha256 = "1varnijivzd4jpimn1cz8p5ks713zzha5cgl4vmb0xr8ahravwzb";
      system = "cl-html-diff";
      asd = "cl-html-diff";
    });
    systems = [ "cl-html-diff" ];
    lispLibs = [ (getAttr "cl-difflib" pkgs) ];
  };
  cl-html-parse = {
    pname = "cl-html-parse";
    version = "20200925-git";
    asds = [ "cl-html-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-parse/2020-09-25/cl-html-parse-20200925-git.tgz";
      sha256 = "0d78slyqw6zshh72ppmxc85xdnd0jfhaqkzrf1cn7yjxl6h4lp7s";
      system = "cl-html-parse";
      asd = "cl-html-parse";
    });
    systems = [ "cl-html-parse" ];
    lispLibs = [  ];
  };
  cl-html-readme = {
    pname = "cl-html-readme";
    version = "quicklisp-current-release-fa304a63-git";
    asds = [ "cl-html-readme" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-readme/2021-02-28/cl-html-readme-quicklisp-current-release-fa304a63-git.tgz";
      sha256 = "01z2ykfhg7wx7sz4kp1c6cj9ffbpppnfgfd2jpizd7f5id2wi3cb";
      system = "cl-html-readme";
      asd = "cl-html-readme";
    });
    systems = [ "cl-html-readme" ];
    lispLibs = [  ];
  };
  cl-html-readme_slash_doc = {
    pname = "cl-html-readme_doc";
    version = "quicklisp-current-release-fa304a63-git";
    asds = [ "cl-html-readme" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-readme/2021-02-28/cl-html-readme-quicklisp-current-release-fa304a63-git.tgz";
      sha256 = "01z2ykfhg7wx7sz4kp1c6cj9ffbpppnfgfd2jpizd7f5id2wi3cb";
      system = "cl-html-readme";
      asd = "cl-html-readme";
    });
    systems = [ "cl-html-readme/doc" ];
    lispLibs = [ (getAttr "docparser" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-html-readme_slash_test = {
    pname = "cl-html-readme_test";
    version = "quicklisp-current-release-fa304a63-git";
    asds = [ "cl-html-readme" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-readme/2021-02-28/cl-html-readme-quicklisp-current-release-fa304a63-git.tgz";
      sha256 = "01z2ykfhg7wx7sz4kp1c6cj9ffbpppnfgfd2jpizd7f5id2wi3cb";
      system = "cl-html-readme";
      asd = "cl-html-readme";
    });
    systems = [ "cl-html-readme/test" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-html5-parser = {
    pname = "cl-html5-parser";
    version = "20190521-git";
    asds = [ "cl-html5-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser";
      asd = "cl-html5-parser";
    });
    systems = [ "cl-html5-parser" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "string-case" pkgs) ];
  };
  cl-html5-parser-cxml = {
    pname = "cl-html5-parser-cxml";
    version = "20190521-git";
    asds = [ "cl-html5-parser-cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser-cxml";
      asd = "cl-html5-parser-cxml";
    });
    systems = [ "cl-html5-parser-cxml" ];
    lispLibs = [ (getAttr "cl-html5-parser" pkgs) (getAttr "cxml" pkgs) ];
  };
  cl-html5-parser-tests = {
    pname = "cl-html5-parser-tests";
    version = "20190521-git";
    asds = [ "cl-html5-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser-tests";
      asd = "cl-html5-parser-tests";
    });
    systems = [ "cl-html5-parser-tests" ];
    lispLibs = [ (getAttr "cl-html5-parser" pkgs) (getAttr "json-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-htmlprag = {
    pname = "cl-htmlprag";
    version = "20160628-git";
    asds = [ "cl-htmlprag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-htmlprag/2016-06-28/cl-htmlprag-20160628-git.tgz";
      sha256 = "1akfy9rldx5a2h34vf7y02pj2j7b5anbxja53m41ism4vklgqg1c";
      system = "cl-htmlprag";
      asd = "cl-htmlprag";
    });
    systems = [ "cl-htmlprag" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "optima" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cl-httpsqs = {
    pname = "cl-httpsqs";
    version = "20180228-git";
    asds = [ "cl-httpsqs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-httpsqs/2018-02-28/cl-httpsqs-20180228-git.tgz";
      sha256 = "14nhr03lm8012crczjpgsmf0ydipqf3kggayshm7w72vkyf0haj7";
      system = "cl-httpsqs";
      asd = "cl-httpsqs";
    });
    systems = [ "cl-httpsqs" ];
    lispLibs = [ (getAttr "drakma" pkgs) ];
  };
  cl-hue = {
    pname = "cl-hue";
    version = "20150113-git";
    asds = [ "cl-hue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hue/2015-01-13/cl-hue-20150113-git.tgz";
      sha256 = "0d2qv60pih1xmk0zzbdwcsyk8k9abjzilcmhz3jdicinl8jinfr4";
      system = "cl-hue";
      asd = "cl-hue";
    });
    systems = [ "cl-hue" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-i18n = {
    pname = "cl-i18n";
    version = "20221106-git";
    asds = [ "cl-i18n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-i18n/2022-11-06/cl-i18n-20221106-git.tgz";
      sha256 = "0kj1wfvlbi7qwq61b0rcdxa0bmb4sfsnh1bj3n5jxp24sdib73w2";
      system = "cl-i18n";
      asd = "cl-i18n";
    });
    systems = [ "cl-i18n" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre-unicode" pkgs) ];
  };
  cl-ilu = {
    pname = "cl-ilu";
    version = "20150302-git";
    asds = [ "cl-ilu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-ilu";
      asd = "cl-ilu";
    });
    systems = [ "cl-ilu" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-devil" pkgs) ];
  };
  cl-ilut = {
    pname = "cl-ilut";
    version = "20150302-git";
    asds = [ "cl-ilut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-ilut";
      asd = "cl-ilut";
    });
    systems = [ "cl-ilut" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-devil" pkgs) ];
  };
  cl-incognia = {
    pname = "cl-incognia";
    version = "20211230-git";
    asds = [ "cl-incognia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-incognia/2021-12-30/cl-incognia-20211230-git.tgz";
      sha256 = "0c5v7vqh26vg4mzzz7rkq3r29ygj2q4fw6v56pi79bbszyklfs21";
      system = "cl-incognia";
      asd = "cl-incognia";
    });
    systems = [ "cl-incognia" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) ];
  };
  cl-incognia_slash_tests = {
    pname = "cl-incognia_tests";
    version = "20211230-git";
    asds = [ "cl-incognia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-incognia/2021-12-30/cl-incognia-20211230-git.tgz";
      sha256 = "0c5v7vqh26vg4mzzz7rkq3r29ygj2q4fw6v56pi79bbszyklfs21";
      system = "cl-incognia";
      asd = "cl-incognia";
    });
    systems = [ "cl-incognia/tests" ];
    lispLibs = [ (getAttr "cl-incognia" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-indentify = {
    pname = "cl-indentify";
    version = "20200925-git";
    asds = [ "cl-indentify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-indentify/2020-09-25/cl-indentify-20200925-git.tgz";
      sha256 = "0ha36bhg474vr76vfhr13szc8cfdj1ickg92k1icz791bqaqg67p";
      system = "cl-indentify";
      asd = "cl-indentify";
    });
    systems = [ "cl-indentify" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-indentify_slash_cli = {
    pname = "cl-indentify_cli";
    version = "20200925-git";
    asds = [ "cl-indentify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-indentify/2020-09-25/cl-indentify-20200925-git.tgz";
      sha256 = "0ha36bhg474vr76vfhr13szc8cfdj1ickg92k1icz791bqaqg67p";
      system = "cl-indentify";
      asd = "cl-indentify";
    });
    systems = [ "cl-indentify/cli" ];
    lispLibs = [ (getAttr "cl-indentify" pkgs) (getAttr "command-line-arguments" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-indentify_slash_tests = {
    pname = "cl-indentify_tests";
    version = "20200925-git";
    asds = [ "cl-indentify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-indentify/2020-09-25/cl-indentify-20200925-git.tgz";
      sha256 = "0ha36bhg474vr76vfhr13szc8cfdj1ickg92k1icz791bqaqg67p";
      system = "cl-indentify";
      asd = "cl-indentify";
    });
    systems = [ "cl-indentify/tests" ];
    lispLibs = [ (getAttr "cl-indentify" pkgs) (getAttr "rove" pkgs) (getAttr "trivial-escapes" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-inflector = {
    pname = "cl-inflector";
    version = "20150113-git";
    asds = [ "cl-inflector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inflector/2015-01-13/cl-inflector-20150113-git.tgz";
      sha256 = "1xwwlhik1la4fp984qnx2dqq24v012qv4x0y49sngfpwg7n0ya7y";
      system = "cl-inflector";
      asd = "cl-inflector";
    });
    systems = [ "cl-inflector" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-inflector-test = {
    pname = "cl-inflector-test";
    version = "20150113-git";
    asds = [ "cl-inflector-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inflector/2015-01-13/cl-inflector-20150113-git.tgz";
      sha256 = "1xwwlhik1la4fp984qnx2dqq24v012qv4x0y49sngfpwg7n0ya7y";
      system = "cl-inflector-test";
      asd = "cl-inflector";
    });
    systems = [ "cl-inflector-test" ];
    lispLibs = [ (getAttr "cl-inflector" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  cl-influxdb = {
    pname = "cl-influxdb";
    version = "20180131-git";
    asds = [ "cl-influxdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-influxdb/2018-01-31/cl-influxdb-20180131-git.tgz";
      sha256 = "0fqnsdw6x79qsvw7l6xp1gxgzcj6jwpa4mn0z2gbbipff4g7k527";
      system = "cl-influxdb";
      asd = "cl-influxdb";
    });
    systems = [ "cl-influxdb" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "cl-json" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-info = {
    pname = "cl-info";
    version = "20221106-git";
    asds = [ "cl-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-info/2022-11-06/cl-info-20221106-git.tgz";
      sha256 = "1mg58n6qizssm8wqxnxgkrxaabmjzbrfjh9qld69y5z60zrybg1f";
      system = "cl-info";
      asd = "cl-info";
    });
    systems = [ "cl-info" ];
    lispLibs = [ (getAttr "_40ants-doc" pkgs) (getAttr "docs-config" pkgs) ];
  };
  cl-info-test = {
    pname = "cl-info-test";
    version = "20221106-git";
    asds = [ "cl-info-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-info/2022-11-06/cl-info-20221106-git.tgz";
      sha256 = "1mg58n6qizssm8wqxnxgkrxaabmjzbrfjh9qld69y5z60zrybg1f";
      system = "cl-info-test";
      asd = "cl-info-test";
    });
    systems = [ "cl-info-test" ];
    lispLibs = [ (getAttr "hamcrest" pkgs) (getAttr "cl-info" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-ini = {
    pname = "cl-ini";
    version = "20201220-git";
    asds = [ "cl-ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ini/2020-12-20/cl-ini-20201220-git.tgz";
      sha256 = "12vy3gspqn0wmkyz5id1xrgv1scgb16m7pkvmbmi19vlpj2iyq7p";
      system = "cl-ini";
      asd = "cl-ini";
    });
    systems = [ "cl-ini" ];
    lispLibs = [ (getAttr "str" pkgs) ];
  };
  cl-ini-test = {
    pname = "cl-ini-test";
    version = "20201220-git";
    asds = [ "cl-ini-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ini/2020-12-20/cl-ini-20201220-git.tgz";
      sha256 = "12vy3gspqn0wmkyz5id1xrgv1scgb16m7pkvmbmi19vlpj2iyq7p";
      system = "cl-ini-test";
      asd = "cl-ini-test";
    });
    systems = [ "cl-ini-test" ];
    lispLibs = [ (getAttr "cl-ini" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-inotify = {
    pname = "cl-inotify";
    version = "20220707-git";
    asds = [ "cl-inotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inotify/2022-07-07/cl-inotify-20220707-git.tgz";
      sha256 = "0d3bvp5lqnddzhk1w9yyli03njbkhc8d129a058g0j49kgd47c7v";
      system = "cl-inotify";
      asd = "cl-inotify";
    });
    systems = [ "cl-inotify" ];
    lispLibs = [ (getAttr "binary-types" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "osicat" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-inotify-tests = {
    pname = "cl-inotify-tests";
    version = "20220707-git";
    asds = [ "cl-inotify-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inotify/2022-07-07/cl-inotify-20220707-git.tgz";
      sha256 = "0d3bvp5lqnddzhk1w9yyli03njbkhc8d129a058g0j49kgd47c7v";
      system = "cl-inotify-tests";
      asd = "cl-inotify-tests";
    });
    systems = [ "cl-inotify-tests" ];
    lispLibs = [ (getAttr "cl-inotify" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-intbytes = {
    pname = "cl-intbytes";
    version = "20150923-git";
    asds = [ "cl-intbytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-intbytes/2015-09-23/cl-intbytes-20150923-git.tgz";
      sha256 = "0chwfda7pi8mrgwj31li7f0x0hr5yrp4csiq8hwkgd4c1ag1z9fx";
      system = "cl-intbytes";
      asd = "cl-intbytes";
    });
    systems = [ "cl-intbytes" ];
    lispLibs = [ (getAttr "fast-io" pkgs) ];
  };
  cl-intbytes-test = {
    pname = "cl-intbytes-test";
    version = "20150923-git";
    asds = [ "cl-intbytes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-intbytes/2015-09-23/cl-intbytes-20150923-git.tgz";
      sha256 = "0chwfda7pi8mrgwj31li7f0x0hr5yrp4csiq8hwkgd4c1ag1z9fx";
      system = "cl-intbytes-test";
      asd = "cl-intbytes-test";
    });
    systems = [ "cl-intbytes-test" ];
    lispLibs = [ (getAttr "cl-intbytes" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-interpol = {
    pname = "cl-interpol";
    version = "20221106-git";
    asds = [ "cl-interpol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interpol/2022-11-06/cl-interpol-20221106-git.tgz";
      sha256 = "1nkjn8byyfdxhi84rbpqs87bb5m478lvphfgxqqv0q37rn75c946";
      system = "cl-interpol";
      asd = "cl-interpol";
    });
    systems = [ "cl-interpol" ];
    lispLibs = [ (getAttr "cl-unicode" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-interpol_slash_test = {
    pname = "cl-interpol_test";
    version = "20221106-git";
    asds = [ "cl-interpol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interpol/2022-11-06/cl-interpol-20221106-git.tgz";
      sha256 = "1nkjn8byyfdxhi84rbpqs87bb5m478lvphfgxqqv0q37rn75c946";
      system = "cl-interpol";
      asd = "cl-interpol";
    });
    systems = [ "cl-interpol/test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "flexi-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-interval = {
    pname = "cl-interval";
    version = "20200715-git";
    asds = [ "cl-interval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interval/2020-07-15/cl-interval-20200715-git.tgz";
      sha256 = "1425l6xmrqadjqgqb5qasisf14pbr6zpj30bpxfv8hhnxs5njq4p";
      system = "cl-interval";
      asd = "cl-interval";
    });
    systems = [ "cl-interval" ];
    lispLibs = [  ];
  };
  cl-interval-docs = {
    pname = "cl-interval-docs";
    version = "20200715-git";
    asds = [ "cl-interval-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interval/2020-07-15/cl-interval-20200715-git.tgz";
      sha256 = "1425l6xmrqadjqgqb5qasisf14pbr6zpj30bpxfv8hhnxs5njq4p";
      system = "cl-interval-docs";
      asd = "cl-interval-docs";
    });
    systems = [ "cl-interval-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" pkgs) (getAttr "cl-interval" pkgs) ];
  };
  cl-ipfs-api2 = {
    pname = "cl-ipfs-api2";
    version = "20210630-git";
    asds = [ "cl-ipfs-api2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ipfs-api2/2021-06-30/cl-ipfs-api2-20210630-git.tgz";
      sha256 = "1h0csxk4db1hid793mk5kz3nbjyl7z4ic1zk2wy46k1vz5lnnsph";
      system = "cl-ipfs-api2";
      asd = "cl-ipfs-api2";
    });
    systems = [ "cl-ipfs-api2" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "drakma" pkgs) (getAttr "uiop" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-irc = {
    pname = "cl-irc";
    version = "0.9.2";
    asds = [ "cl-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irc/2015-09-23/cl-irc-0.9.2.tgz";
      sha256 = "15h3ram8b6vyg4718ad2m92xgilda2x3zmkzbjnijk69kkqsq01r";
      system = "cl-irc";
      asd = "cl-irc";
    });
    systems = [ "cl-irc" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-irc-test = {
    pname = "cl-irc-test";
    version = "0.9.2";
    asds = [ "cl-irc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irc/2015-09-23/cl-irc-0.9.2.tgz";
      sha256 = "15h3ram8b6vyg4718ad2m92xgilda2x3zmkzbjnijk69kkqsq01r";
      system = "cl-irc-test";
      asd = "cl-irc-test";
    });
    systems = [ "cl-irc-test" ];
    lispLibs = [ (getAttr "cl-irc" pkgs) (getAttr "rt" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-irregsexp = {
    pname = "cl-irregsexp";
    version = "20160825-git";
    asds = [ "cl-irregsexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irregsexp/2016-08-25/cl-irregsexp-20160825-git.tgz";
      sha256 = "09pf3jlqskcs32shbj9q3m0zww5pxyrizbvk2nxiwwnbl1rdb406";
      system = "cl-irregsexp";
      asd = "cl-irregsexp";
    });
    systems = [ "cl-irregsexp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-isaac = {
    pname = "cl-isaac";
    version = "20221106-git";
    asds = [ "cl-isaac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-isaac/2022-11-06/cl-isaac-20221106-git.tgz";
      sha256 = "0ig1mf8iridfr7vci9gy499194h0hda0xki5s6g0y04g85ibnpw9";
      system = "cl-isaac";
      asd = "cl-isaac";
    });
    systems = [ "cl-isaac" ];
    lispLibs = [  ];
  };
  cl-iterative = {
    pname = "cl-iterative";
    version = "20160318-git";
    asds = [ "cl-iterative" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iterative/2016-03-18/cl-iterative-20160318-git.tgz";
      sha256 = "01h2fs7nq2wivjwh9swsmfdvsdmd7j9dvzgrq0ijbq456zm8vilq";
      system = "cl-iterative";
      asd = "cl-iterative";
    });
    systems = [ "cl-iterative" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "optima" pkgs) ];
  };
  cl-iterative-tests = {
    pname = "cl-iterative-tests";
    version = "20160318-git";
    asds = [ "cl-iterative-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iterative/2016-03-18/cl-iterative-20160318-git.tgz";
      sha256 = "01h2fs7nq2wivjwh9swsmfdvsdmd7j9dvzgrq0ijbq456zm8vilq";
      system = "cl-iterative-tests";
      asd = "cl-iterative-tests";
    });
    systems = [ "cl-iterative-tests" ];
    lispLibs = [ (getAttr "cl-iterative" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-itertools = {
    pname = "cl-itertools";
    version = "20160421-git";
    asds = [ "cl-itertools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-itertools/2016-04-21/cl-itertools-20160421-git.tgz";
      sha256 = "0m1g7nxqnz03bcj46skcr2d50pi3lb4hwizna5d4mvl5hk4zwbxr";
      system = "cl-itertools";
      asd = "cl-itertools";
    });
    systems = [ "cl-itertools" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-coroutine" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-itertools-tests = {
    pname = "cl-itertools-tests";
    version = "20160421-git";
    asds = [ "cl-itertools-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-itertools/2016-04-21/cl-itertools-20160421-git.tgz";
      sha256 = "0m1g7nxqnz03bcj46skcr2d50pi3lb4hwizna5d4mvl5hk4zwbxr";
      system = "cl-itertools-tests";
      asd = "cl-itertools";
    });
    systems = [ "cl-itertools-tests" ];
    lispLibs = [ (getAttr "cl-itertools" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-jpeg = {
    pname = "cl-jpeg";
    version = "20170630-git";
    asds = [ "cl-jpeg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jpeg/2017-06-30/cl-jpeg-20170630-git.tgz";
      sha256 = "1bkkiqz8fqldlj1wbmrccjsvxcwj98h6s4b6gslr3cg2wmdv5xmy";
      system = "cl-jpeg";
      asd = "cl-jpeg";
    });
    systems = [ "cl-jpeg" ];
    lispLibs = [  ];
  };
  cl-js = {
    pname = "cl-js";
    version = "20180131-git";
    asds = [ "cl-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js/2018-01-31/js-20180131-git.tgz";
      sha256 = "0f717358ax5sma53h4hzxx7l00r6ndv2zdpd5rhqv3v7dqqvl8h5";
      system = "cl-js";
      asd = "cl-js";
    });
    systems = [ "cl-js" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-js" pkgs) ];
  };
  cl-json = {
    pname = "cl-json";
    version = "20220707-git";
    asds = [ "cl-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json/2022-07-07/cl-json-20220707-git.tgz";
      sha256 = "12vakz47d1i7pywgb9cm2364fzykidc9m7l7b6n9lx0gn2qx9ar5";
      system = "cl-json";
      asd = "cl-json";
    });
    systems = [ "cl-json" ];
    lispLibs = [  ];
  };
  cl-json-helper = {
    pname = "cl-json-helper";
    version = "20181210-git";
    asds = [ "cl-json-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-helper/2018-12-10/cl-json-helper-20181210-git.tgz";
      sha256 = "1dhv5lh514m7bvl77xjhb4ky7nf4bskgpld7rqg3rq24k4y0c79a";
      system = "cl-json-helper";
      asd = "cl-json-helper";
    });
    systems = [ "cl-json-helper" ];
    lispLibs = [ (getAttr "cl-json" pkgs) ];
  };
  cl-json-pointer = {
    pname = "cl-json-pointer";
    version = "20221106-git";
    asds = [ "cl-json-pointer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-pointer/2022-11-06/cl-json-pointer-20221106-git.tgz";
      sha256 = "0b7a755wc2ghsd1pv7d32877b21h4nssp41xs017anbmj55czb2h";
      system = "cl-json-pointer";
      asd = "cl-json-pointer";
    });
    systems = [ "cl-json-pointer" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "st-json" pkgs) ];
  };
  cl-json-pointer_slash_core = {
    pname = "cl-json-pointer_core";
    version = "20221106-git";
    asds = [ "cl-json-pointer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-pointer/2022-11-06/cl-json-pointer-20221106-git.tgz";
      sha256 = "0b7a755wc2ghsd1pv7d32877b21h4nssp41xs017anbmj55czb2h";
      system = "cl-json-pointer";
      asd = "cl-json-pointer";
    });
    systems = [ "cl-json-pointer/core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-json-pointer_slash_st-json-support = {
    pname = "cl-json-pointer_st-json-support";
    version = "20221106-git";
    asds = [ "cl-json-pointer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-pointer/2022-11-06/cl-json-pointer-20221106-git.tgz";
      sha256 = "0b7a755wc2ghsd1pv7d32877b21h4nssp41xs017anbmj55czb2h";
      system = "cl-json-pointer";
      asd = "cl-json-pointer";
    });
    systems = [ "cl-json-pointer/st-json-support" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "st-json" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-json-pointer_slash_synonyms = {
    pname = "cl-json-pointer_synonyms";
    version = "20221106-git";
    asds = [ "cl-json-pointer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-pointer/2022-11-06/cl-json-pointer-20221106-git.tgz";
      sha256 = "0b7a755wc2ghsd1pv7d32877b21h4nssp41xs017anbmj55czb2h";
      system = "cl-json-pointer";
      asd = "cl-json-pointer";
    });
    systems = [ "cl-json-pointer/synonyms" ];
    lispLibs = [ (getAttr "cl-json-pointer" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-json-schema = {
    pname = "cl-json-schema";
    version = "20210228-git";
    asds = [ "cl-json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-schema/2021-02-28/cl-json-schema-20210228-git.tgz";
      sha256 = "1c90c9j6d2b02zyyqd07200waqa4saq0svps7vfy5a3lxp9vag9i";
      system = "cl-json-schema";
      asd = "cl-json-schema";
    });
    systems = [ "cl-json-schema" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "trivial-do" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-json-schema-tests = {
    pname = "cl-json-schema-tests";
    version = "20210228-git";
    asds = [ "cl-json-schema-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-schema/2021-02-28/cl-json-schema-20210228-git.tgz";
      sha256 = "1c90c9j6d2b02zyyqd07200waqa4saq0svps7vfy5a3lxp9vag9i";
      system = "cl-json-schema-tests";
      asd = "cl-json-schema-tests";
    });
    systems = [ "cl-json-schema-tests" ];
    lispLibs = [ (getAttr "cl-json-schema" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fiasco" pkgs) ];
  };
  cl-json_slash_test = {
    pname = "cl-json_test";
    version = "20220707-git";
    asds = [ "cl-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json/2022-07-07/cl-json-20220707-git.tgz";
      sha256 = "12vakz47d1i7pywgb9cm2364fzykidc9m7l7b6n9lx0gn2qx9ar5";
      system = "cl-json";
      asd = "cl-json";
    });
    systems = [ "cl-json/test" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-jsx = {
    pname = "cl-jsx";
    version = "20160208-git";
    asds = [ "cl-jsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jsx/2016-02-08/cl-jsx-20160208-git.tgz";
      sha256 = "1vkqs65sqnfkfka2p93ibfrgg3wps3qhlcgcd8j40h0bv3phcjp7";
      system = "cl-jsx";
      asd = "cl-jsx";
    });
    systems = [ "cl-jsx" ];
    lispLibs = [ (getAttr "cl-who" pkgs) (getAttr "esrap" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-jsx-test = {
    pname = "cl-jsx-test";
    version = "20160208-git";
    asds = [ "cl-jsx-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jsx/2016-02-08/cl-jsx-20160208-git.tgz";
      sha256 = "1vkqs65sqnfkfka2p93ibfrgg3wps3qhlcgcd8j40h0bv3phcjp7";
      system = "cl-jsx-test";
      asd = "cl-jsx-test";
    });
    systems = [ "cl-jsx-test" ];
    lispLibs = [ (getAttr "cl-jsx" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-junit-xml = {
    pname = "cl-junit-xml";
    version = "20150113-git";
    asds = [ "cl-junit-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml";
      asd = "cl-junit-xml";
    });
    systems = [ "cl-junit-xml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-junit-xml_dot_lisp-unit = {
    pname = "cl-junit-xml.lisp-unit";
    version = "20150113-git";
    asds = [ "cl-junit-xml.lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.lisp-unit";
      asd = "cl-junit-xml.lisp-unit";
    });
    systems = [ "cl-junit-xml.lisp-unit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-junit-xml" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-junit-xml_dot_lisp-unit2 = {
    pname = "cl-junit-xml.lisp-unit2";
    version = "20150113-git";
    asds = [ "cl-junit-xml.lisp-unit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.lisp-unit2";
      asd = "cl-junit-xml.lisp-unit2";
    });
    systems = [ "cl-junit-xml.lisp-unit2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-junit-xml" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  cl-junit-xml_dot_test = {
    pname = "cl-junit-xml.test";
    version = "20150113-git";
    asds = [ "cl-junit-xml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.test";
      asd = "cl-junit-xml";
    });
    systems = [ "cl-junit-xml.test" ];
    lispLibs = [ (getAttr "cl-junit-xml" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  cl-k8055 = {
    pname = "cl-k8055";
    version = "20190710-git";
    asds = [ "cl-k8055" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-k8055/2019-07-10/cl-k8055-20190710-git.tgz";
      sha256 = "069j5hrcpcm9vlh2f0myqwggp30inycxn61ivi1ppa97f8f1rrig";
      system = "cl-k8055";
      asd = "cl-k8055";
    });
    systems = [ "cl-k8055" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-kanren = {
    pname = "cl-kanren";
    version = "20191007-git";
    asds = [ "cl-kanren" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren/2019-10-07/cl-kanren-20191007-git.tgz";
      sha256 = "1r0qzvs92d7kgl83fx8c27jmsh17agr7jpb1nmmc56phjvq0z7ll";
      system = "cl-kanren";
      asd = "cl-kanren";
    });
    systems = [ "cl-kanren" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-kanren-test = {
    pname = "cl-kanren-test";
    version = "20191007-git";
    asds = [ "cl-kanren-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren/2019-10-07/cl-kanren-20191007-git.tgz";
      sha256 = "1r0qzvs92d7kgl83fx8c27jmsh17agr7jpb1nmmc56phjvq0z7ll";
      system = "cl-kanren-test";
      asd = "cl-kanren-test";
    });
    systems = [ "cl-kanren-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-kanren" pkgs) (getAttr "clunit" pkgs) ];
  };
  cl-keycloak = {
    pname = "cl-keycloak";
    version = "20190710-git";
    asds = [ "cl-keycloak" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-keycloak/2019-07-10/cl-keycloak-20190710-git.tgz";
      sha256 = "052x10xj951061xa80kp1ziwrr8hskjsr7q2ni1d1ab26rkmhb9q";
      system = "cl-keycloak";
      asd = "cl-keycloak";
    });
    systems = [ "cl-keycloak" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-kraken = {
    pname = "cl-kraken";
    version = "20220331-git";
    asds = [ "cl-kraken" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kraken/2022-03-31/cl-kraken-20220331-git.tgz";
      sha256 = "07a9a7yqii0gsiaf4r6jfz2nb2m8766rv4acqcdjm8zmsllwx7jz";
      system = "cl-kraken";
      asd = "cl-kraken";
    });
    systems = [ "cl-kraken" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "dexador" pkgs) (getAttr "ironclad" pkgs) (getAttr "jsown" pkgs) (getAttr "quri" pkgs) ];
  };
  cl-kraken_slash_tests = {
    pname = "cl-kraken_tests";
    version = "20220331-git";
    asds = [ "cl-kraken" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kraken/2022-03-31/cl-kraken-20220331-git.tgz";
      sha256 = "07a9a7yqii0gsiaf4r6jfz2nb2m8766rv4acqcdjm8zmsllwx7jz";
      system = "cl-kraken";
      asd = "cl-kraken";
    });
    systems = [ "cl-kraken/tests" ];
    lispLibs = [ (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-ksuid = {
    pname = "cl-ksuid";
    version = "20170830-git";
    asds = [ "cl-ksuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ksuid/2017-08-30/cl-ksuid-20170830-git.tgz";
      sha256 = "142fr8l6aa6wxnjxv04f61hy9504cx9x1r10byhmj475s5pfr6gl";
      system = "cl-ksuid";
      asd = "cl-ksuid";
    });
    systems = [ "cl-ksuid" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "ironclad" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-ksuid-test = {
    pname = "cl-ksuid-test";
    version = "20170830-git";
    asds = [ "cl-ksuid-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ksuid/2017-08-30/cl-ksuid-20170830-git.tgz";
      sha256 = "142fr8l6aa6wxnjxv04f61hy9504cx9x1r10byhmj475s5pfr6gl";
      system = "cl-ksuid-test";
      asd = "cl-ksuid";
    });
    systems = [ "cl-ksuid-test" ];
    lispLibs = [ (getAttr "cl-ksuid" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-kyoto-cabinet = {
    pname = "cl-kyoto-cabinet";
    version = "20191130-git";
    asds = [ "cl-kyoto-cabinet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kyoto-cabinet/2019-11-30/cl-kyoto-cabinet-20191130-git.tgz";
      sha256 = "0ayp87ggayaf8d1dblpv90a87fmgh9vhhcah3ch6jvcw6zzb9lcr";
      system = "cl-kyoto-cabinet";
      asd = "cl-kyoto-cabinet";
    });
    systems = [ "cl-kyoto-cabinet" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-l10n = {
    pname = "cl-l10n";
    version = "20211209-git";
    asds = [ "cl-l10n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-l10n/2021-12-09/cl-l10n-20211209-git.tgz";
      sha256 = "10yknvjcbgc82a6k6yzj2diki2z2s04q5kg642f2gfj2rl3bjyz7";
      system = "cl-l10n";
      asd = "cl-l10n";
    });
    systems = [ "cl-l10n" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-l10n-cldr" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  cl-l10n-cldr = {
    pname = "cl-l10n-cldr";
    version = "20120909-darcs";
    asds = [ "cl-l10n-cldr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-l10n-cldr/2012-09-09/cl-l10n-cldr-20120909-darcs.tgz";
      sha256 = "1mwkjdc51158v9rpdpsc1qzqqs0x8hb9k1k7b0pm8q7dp9rrb53v";
      system = "cl-l10n-cldr";
      asd = "cl-l10n-cldr";
    });
    systems = [ "cl-l10n-cldr" ];
    lispLibs = [  ];
  };
  cl-l10n_slash_test = {
    pname = "cl-l10n_test";
    version = "20211209-git";
    asds = [ "cl-l10n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-l10n/2021-12-09/cl-l10n-20211209-git.tgz";
      sha256 = "10yknvjcbgc82a6k6yzj2diki2z2s04q5kg642f2gfj2rl3bjyz7";
      system = "cl-l10n";
      asd = "cl-l10n";
    });
    systems = [ "cl-l10n/test" ];
    lispLibs = [ (getAttr "cl-l10n" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "parse-number" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-lambdacalc = {
    pname = "cl-lambdacalc";
    version = "20220331-git";
    asds = [ "cl-lambdacalc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lambdacalc/2022-03-31/cl-lambdacalc-20220331-git.tgz";
      sha256 = "0k2df6i5zrl9v1qx5cvznkzch1wc100zw5289zbl3vlq545z88gc";
      system = "cl-lambdacalc";
      asd = "cl-lambdacalc";
    });
    systems = [ "cl-lambdacalc" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-lambdacalc-test = {
    pname = "cl-lambdacalc-test";
    version = "20220331-git";
    asds = [ "cl-lambdacalc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lambdacalc/2022-03-31/cl-lambdacalc-20220331-git.tgz";
      sha256 = "0k2df6i5zrl9v1qx5cvznkzch1wc100zw5289zbl3vlq545z88gc";
      system = "cl-lambdacalc-test";
      asd = "cl-lambdacalc-test";
    });
    systems = [ "cl-lambdacalc-test" ];
    lispLibs = [ (getAttr "cl-lambdacalc" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-las = {
    pname = "cl-las";
    version = "20221106-git";
    asds = [ "cl-las" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-las/2022-11-06/cl-las-20221106-git.tgz";
      sha256 = "119v5mrvxhz8b3alqj9gzfbzhigdm1n1hmwyylncn5w5dkq3jc9k";
      system = "cl-las";
      asd = "cl-las";
    });
    systems = [ "cl-las" ];
    lispLibs = [ (getAttr "binary-io" pkgs) ];
  };
  cl-lastfm = {
    pname = "cl-lastfm";
    version = "0.2.1";
    asds = [ "cl-lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lastfm/2014-07-13/cl-lastfm-0.2.1.tgz";
      sha256 = "0f37b8swgfz57bffcypjhcgzj5dhanssiraahkianj65a6zbindl";
      system = "cl-lastfm";
      asd = "cl-lastfm";
    });
    systems = [ "cl-lastfm" ];
    lispLibs = [ (getAttr "cxml-stp" pkgs) (getAttr "drakma" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "url-rewrite" pkgs) ];
  };
  cl-lastfm-test = {
    pname = "cl-lastfm-test";
    version = "0.2.1";
    asds = [ "cl-lastfm-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lastfm/2014-07-13/cl-lastfm-0.2.1.tgz";
      sha256 = "0f37b8swgfz57bffcypjhcgzj5dhanssiraahkianj65a6zbindl";
      system = "cl-lastfm-test";
      asd = "cl-lastfm-test";
    });
    systems = [ "cl-lastfm-test" ];
    lispLibs = [ (getAttr "cl-lastfm" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-launch = {
    pname = "cl-launch";
    version = "4.1.4.1";
    asds = [ "cl-launch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-launch/2015-10-31/cl-launch-4.1.4.1.tgz";
      sha256 = "041nh1sh9rqdk9c1kr63n3g2pn11i68x9plzyfq36wmyhz2aypnr";
      system = "cl-launch";
      asd = "cl-launch";
    });
    systems = [ "cl-launch" ];
    lispLibs = [  ];
  };
  cl-ledger = {
    pname = "cl-ledger";
    version = "20200218-git";
    asds = [ "cl-ledger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ledger/2020-02-18/cl-ledger-20200218-git.tgz";
      sha256 = "1dpxna9s0rgshqbc58h698ihwyk34a3napb8zrm8vbq8aigjrrzs";
      system = "cl-ledger";
      asd = "cl-ledger";
    });
    systems = [ "cl-ledger" ];
    lispLibs = [ (getAttr "cambl" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "periods-series" pkgs) ];
  };
  cl-lex = {
    pname = "cl-lex";
    version = "20160929-git";
    asds = [ "cl-lex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lex/2016-09-29/cl-lex-20160929-git.tgz";
      sha256 = "1kg50f76bfpfxcv4dfivq1n9a0xlsra2ajb0vd68lxwgbidgyc2y";
      system = "cl-lex";
      asd = "cl-lex";
    });
    systems = [ "cl-lex" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-lexer = {
    pname = "cl-lexer";
    version = "20191007-git";
    asds = [ "cl-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lexer/2019-10-07/cl-lexer-20191007-git.tgz";
      sha256 = "182fnmazfmc3zdp14lvpxlaxrwwsjp8mbjn8sdzywjxcnvlpkdmk";
      system = "cl-lexer";
      asd = "cl-lexer";
    });
    systems = [ "cl-lexer" ];
    lispLibs = [ (getAttr "regex" pkgs) ];
  };
  cl-liballegro = {
    pname = "cl-liballegro";
    version = "20221106-git";
    asds = [ "cl-liballegro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-liballegro/2022-11-06/cl-liballegro-20221106-git.tgz";
      sha256 = "0x2q91s2242gw03w50l227llfb3hrsvjsyhjbc6dqarf1n1y3kw3";
      system = "cl-liballegro";
      asd = "cl-liballegro";
    });
    systems = [ "cl-liballegro" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "float-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-main-thread" pkgs) ];
  };
  cl-liballegro-nuklear = {
    pname = "cl-liballegro-nuklear";
    version = "20221106-git";
    asds = [ "cl-liballegro-nuklear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-liballegro-nuklear/2022-11-06/cl-liballegro-nuklear-20221106-git.tgz";
      sha256 = "196lyp469rdjkpkcqpy4h860nsjqfifrvm798xip93sxzcg9zkba";
      system = "cl-liballegro-nuklear";
      asd = "cl-liballegro-nuklear";
    });
    systems = [ "cl-liballegro-nuklear" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-libevent2 = {
    pname = "cl-libevent2";
    version = "20190107-git";
    asds = [ "cl-libevent2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libevent2/2019-01-07/cl-libevent2-20190107-git.tgz";
      sha256 = "18c8cxlh0vmyca7ihj8dz3f1j31h7y0kcis6qr6mpkzyi0k2cf0g";
      system = "cl-libevent2";
      asd = "cl-libevent2";
    });
    systems = [ "cl-libevent2" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-libevent2-ssl = {
    pname = "cl-libevent2-ssl";
    version = "20190107-git";
    asds = [ "cl-libevent2-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libevent2/2019-01-07/cl-libevent2-20190107-git.tgz";
      sha256 = "18c8cxlh0vmyca7ihj8dz3f1j31h7y0kcis6qr6mpkzyi0k2cf0g";
      system = "cl-libevent2-ssl";
      asd = "cl-libevent2-ssl";
    });
    systems = [ "cl-libevent2-ssl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-libevent2" pkgs) ];
  };
  cl-libfarmhash = {
    pname = "cl-libfarmhash";
    version = "20161031-git";
    asds = [ "cl-libfarmhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libfarmhash/2016-10-31/cl-libfarmhash-20161031-git.tgz";
      sha256 = "1r8rhwh4jdvvby15nzaxikzhd1q8ipsfylqbsq2m9q482vcxs6sb";
      system = "cl-libfarmhash";
      asd = "cl-libfarmhash";
    });
    systems = [ "cl-libfarmhash" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) ];
  };
  cl-libhoedown = {
    pname = "cl-libhoedown";
    version = "20161031-git";
    asds = [ "cl-libhoedown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libhoedown/2016-10-31/cl-libhoedown-20161031-git.tgz";
      sha256 = "1bm8iganj8533m5y46zjvai1fb0dw32hdfx22jjp5k31kyv9d42c";
      system = "cl-libhoedown";
      asd = "cl-libhoedown";
    });
    systems = [ "cl-libhoedown" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-libiio = {
    pname = "cl-libiio";
    version = "20191130-git";
    asds = [ "cl-libiio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libiio/2019-11-30/cl-libiio-20191130-git.tgz";
      sha256 = "1z1jslm303c22imhshr92j1mq7g3j81xa5rk5psj3x00papncwmr";
      system = "cl-libiio";
      asd = "cl-libiio";
    });
    systems = [ "cl-libiio" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-libinput = {
    pname = "cl-libinput";
    version = "20220707-git";
    asds = [ "cl-libinput" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libinput/2022-07-07/cl-libinput-20220707-git.tgz";
      sha256 = "18c3rl3d2bizbp3607gnn9j50x84f2mkypj9rqbry56i5gcw8zkh";
      system = "cl-libinput";
      asd = "cl-libinput";
    });
    systems = [ "cl-libinput" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "osicat" pkgs) ];
  };
  cl-liblinear = {
    pname = "cl-liblinear";
    version = "20211020-git";
    asds = [ "cl-liblinear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm/2021-10-20/cl-libsvm-20211020-git.tgz";
      sha256 = "0fpcw82hz6bp2hicjhvhxwcj4azprcl911n8q941lk8xcld3pmi0";
      system = "cl-liblinear";
      asd = "cl-liblinear";
    });
    systems = [ "cl-liblinear" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-libpuzzle = {
    pname = "cl-libpuzzle";
    version = "20150608-git";
    asds = [ "cl-libpuzzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libpuzzle/2015-06-08/cl-libpuzzle-20150608-git.tgz";
      sha256 = "0qgpdg4lni4sq6jp23qcd1jldsnrsn4h5b14ddmc8mb7va4qshlp";
      system = "cl-libpuzzle";
      asd = "cl-libpuzzle";
    });
    systems = [ "cl-libpuzzle" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-libpuzzle-test = {
    pname = "cl-libpuzzle-test";
    version = "20150608-git";
    asds = [ "cl-libpuzzle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libpuzzle/2015-06-08/cl-libpuzzle-20150608-git.tgz";
      sha256 = "0qgpdg4lni4sq6jp23qcd1jldsnrsn4h5b14ddmc8mb7va4qshlp";
      system = "cl-libpuzzle-test";
      asd = "cl-libpuzzle-test";
    });
    systems = [ "cl-libpuzzle-test" ];
    lispLibs = [ (getAttr "cl-libpuzzle" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-libsvm = {
    pname = "cl-libsvm";
    version = "20211020-git";
    asds = [ "cl-libsvm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm/2021-10-20/cl-libsvm-20211020-git.tgz";
      sha256 = "0fpcw82hz6bp2hicjhvhxwcj4azprcl911n8q941lk8xcld3pmi0";
      system = "cl-libsvm";
      asd = "cl-libsvm";
    });
    systems = [ "cl-libsvm" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-libsvm-format = {
    pname = "cl-libsvm-format";
    version = "20180711-git";
    asds = [ "cl-libsvm-format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm-format/2018-07-11/cl-libsvm-format-20180711-git.tgz";
      sha256 = "0284aj84xszhkhlivaigf9qj855fxad3mzmv3zfr0qzb5k0nzwrg";
      system = "cl-libsvm-format";
      asd = "cl-libsvm-format";
    });
    systems = [ "cl-libsvm-format" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-libsvm-format-test = {
    pname = "cl-libsvm-format-test";
    version = "20180711-git";
    asds = [ "cl-libsvm-format-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm-format/2018-07-11/cl-libsvm-format-20180711-git.tgz";
      sha256 = "0284aj84xszhkhlivaigf9qj855fxad3mzmv3zfr0qzb5k0nzwrg";
      system = "cl-libsvm-format-test";
      asd = "cl-libsvm-format-test";
    });
    systems = [ "cl-libsvm-format-test" ];
    lispLibs = [ (getAttr "cl-libsvm-format" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-libusb = {
    pname = "cl-libusb";
    version = "20210228-git";
    asds = [ "cl-libusb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libusb/2021-02-28/cl-libusb-20210228-git.tgz";
      sha256 = "0kyzgcflwb85q58fgn82sp0bipnq5bprg5i4h0h3jxafqqyagbnk";
      system = "cl-libusb";
      asd = "cl-libusb";
    });
    systems = [ "cl-libusb" ];
    lispLibs = [ (getAttr "libusb-ffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-libuv = {
    pname = "cl-libuv";
    version = "20221106-git";
    asds = [ "cl-libuv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libuv/2022-11-06/cl-libuv-20221106-git.tgz";
      sha256 = "0rdcg0grxmylxf547n1m8qn87zspld7aswz7bvajxjryhfq7hqxh";
      system = "cl-libuv";
      asd = "cl-libuv";
    });
    systems = [ "cl-libuv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-libuv-config = {
    pname = "cl-libuv-config";
    version = "20221106-git";
    asds = [ "cl-libuv-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libuv/2022-11-06/cl-libuv-20221106-git.tgz";
      sha256 = "0rdcg0grxmylxf547n1m8qn87zspld7aswz7bvajxjryhfq7hqxh";
      system = "cl-libuv-config";
      asd = "cl-libuv-config";
    });
    systems = [ "cl-libuv-config" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) ];
  };
  cl-libxml2 = {
    pname = "cl-libxml2";
    version = "20130615-git";
    asds = [ "cl-libxml2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "cl-libxml2";
      asd = "cl-libxml2";
    });
    systems = [ "cl-libxml2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "garbage-pools" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "puri" pkgs) ];
  };
  cl-libxml2-test = {
    pname = "cl-libxml2-test";
    version = "20130615-git";
    asds = [ "cl-libxml2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "cl-libxml2-test";
      asd = "cl-libxml2";
    });
    systems = [ "cl-libxml2-test" ];
    lispLibs = [ (getAttr "cl-libxml2" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-libyaml = {
    pname = "cl-libyaml";
    version = "20201220-git";
    asds = [ "cl-libyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libyaml/2020-12-20/cl-libyaml-20201220-git.tgz";
      sha256 = "06pvmackyhq03rjmihpx6w63m6cy8wx78ll5xpwwvd85bgrqq817";
      system = "cl-libyaml";
      asd = "cl-libyaml";
    });
    systems = [ "cl-libyaml" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-libyaml-test = {
    pname = "cl-libyaml-test";
    version = "20201220-git";
    asds = [ "cl-libyaml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libyaml/2020-12-20/cl-libyaml-20201220-git.tgz";
      sha256 = "06pvmackyhq03rjmihpx6w63m6cy8wx78ll5xpwwvd85bgrqq817";
      system = "cl-libyaml-test";
      asd = "cl-libyaml-test";
    });
    systems = [ "cl-libyaml-test" ];
    lispLibs = [ (getAttr "cl-libyaml" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-lite = {
    pname = "cl-lite";
    version = "master-1a957fb2-git";
    asds = [ "cl-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "cl-lite";
      asd = "cl-lite";
    });
    systems = [ "cl-lite" ];
    lispLibs = [ (getAttr "glisp" pkgs) ];
  };
  cl-locale = {
    pname = "cl-locale";
    version = "20151031-git";
    asds = [ "cl-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale";
      asd = "cl-locale";
    });
    systems = [ "cl-locale" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "arnesi" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) ];
  };
  cl-locale-syntax = {
    pname = "cl-locale-syntax";
    version = "20151031-git";
    asds = [ "cl-locale-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale-syntax";
      asd = "cl-locale-syntax";
    });
    systems = [ "cl-locale-syntax" ];
    lispLibs = [ (getAttr "cl-locale" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-locale-test = {
    pname = "cl-locale-test";
    version = "20151031-git";
    asds = [ "cl-locale-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale-test";
      asd = "cl-locale-test";
    });
    systems = [ "cl-locale-test" ];
    lispLibs = [ (getAttr "cl-locale" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-locatives = {
    pname = "cl-locatives";
    version = "20190307-hg";
    asds = [ "cl-locatives" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locatives/2019-03-07/cl-locatives-20190307-hg.tgz";
      sha256 = "0f1fqqdpxbyl1cshmz26g3bgnyi7g6nixfrqjab5sxwihk844yd6";
      system = "cl-locatives";
      asd = "cl-locatives";
    });
    systems = [ "cl-locatives" ];
    lispLibs = [  ];
  };
  cl-log = {
    pname = "cl-log";
    version = ".1.0.1";
    asds = [ "cl-log" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-log/2013-01-28/cl-log.1.0.1.tgz";
      sha256 = "0lfy3sxr2shhv8qpyry9kk9gcwwl6bhfgzv0pczibl70mgraqnys";
      system = "cl-log";
      asd = "cl-log";
    });
    systems = [ "cl-log" ];
    lispLibs = [  ];
  };
  cl-log-test = {
    pname = "cl-log-test";
    version = ".1.0.1";
    asds = [ "cl-log-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-log/2013-01-28/cl-log.1.0.1.tgz";
      sha256 = "0lfy3sxr2shhv8qpyry9kk9gcwwl6bhfgzv0pczibl70mgraqnys";
      system = "cl-log-test";
      asd = "cl-log-test";
    });
    systems = [ "cl-log-test" ];
    lispLibs = [ (getAttr "cl-log" pkgs) (getAttr "eos" pkgs) ];
  };
  cl-logic = {
    pname = "cl-logic";
    version = "20141217-git";
    asds = [ "cl-logic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-logic/2014-12-17/cl-logic-20141217-git.tgz";
      sha256 = "17n2wzqali3j6b7pqbydipwlxgwdrj4mdnsgwjdyz32n8jvfyjwh";
      system = "cl-logic";
      asd = "cl-logic";
    });
    systems = [ "cl-logic" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "quine-mccluskey" pkgs) ];
  };
  cl-ltsv = {
    pname = "cl-ltsv";
    version = "20140713-git";
    asds = [ "cl-ltsv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ltsv/2014-07-13/cl-ltsv-20140713-git.tgz";
      sha256 = "1bjvnwxyaaw3yrq5hws2fr4qmk5938hdh2np2bqpm4m3b2c94n22";
      system = "cl-ltsv";
      asd = "cl-ltsv";
    });
    systems = [ "cl-ltsv" ];
    lispLibs = [  ];
  };
  cl-ltsv-test = {
    pname = "cl-ltsv-test";
    version = "20140713-git";
    asds = [ "cl-ltsv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ltsv/2014-07-13/cl-ltsv-20140713-git.tgz";
      sha256 = "1bjvnwxyaaw3yrq5hws2fr4qmk5938hdh2np2bqpm4m3b2c94n22";
      system = "cl-ltsv-test";
      asd = "cl-ltsv-test";
    });
    systems = [ "cl-ltsv-test" ];
    lispLibs = [ (getAttr "cl-ltsv" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-lzma = {
    pname = "cl-lzma";
    version = "20191130-git";
    asds = [ "cl-lzma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzma/2019-11-30/cl-lzma-20191130-git.tgz";
      sha256 = "17fdinmi2ffdga17slv86van0sp9gkvlmjprfdwak2jzziz6fxx6";
      system = "cl-lzma";
      asd = "cl-lzma";
    });
    systems = [ "cl-lzma" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "fast-io" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  cl-m4 = {
    pname = "cl-m4";
    version = "20130312-git";
    asds = [ "cl-m4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-m4/2013-03-12/cl-m4-20130312-git.tgz";
      sha256 = "1dqdhxb45j4vqmx38xkq32gsckldca8rxpf2idg4b61wd21c0ci6";
      system = "cl-m4";
      asd = "cl-m4";
    });
    systems = [ "cl-m4" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "external-program" pkgs) (getAttr "graylex" pkgs) ];
  };
  cl-m4-test = {
    pname = "cl-m4-test";
    version = "20130312-git";
    asds = [ "cl-m4-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-m4/2013-03-12/cl-m4-20130312-git.tgz";
      sha256 = "1dqdhxb45j4vqmx38xkq32gsckldca8rxpf2idg4b61wd21c0ci6";
      system = "cl-m4-test";
      asd = "cl-m4-test";
    });
    systems = [ "cl-m4-test" ];
    lispLibs = [ (getAttr "cl-heredoc" pkgs) (getAttr "cl-m4" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  cl-mango = {
    pname = "cl-mango";
    version = "20200925-git";
    asds = [ "cl-mango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mango/2020-09-25/cl-mango-20200925-git.tgz";
      sha256 = "0ipa1azakzqigq103m1j2z597bp2i34kx4z1418kp2jn8zwbdz5s";
      system = "cl-mango";
      asd = "cl-mango";
    });
    systems = [ "cl-mango" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "json-mop" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-markdown = {
    pname = "cl-markdown";
    version = "20191227-git";
    asds = [ "cl-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown";
      asd = "cl-markdown";
    });
    systems = [ "cl-markdown" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "dynamic-classes" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "metatilities-base" pkgs) ];
  };
  cl-markdown-comparisons = {
    pname = "cl-markdown-comparisons";
    version = "20191227-git";
    asds = [ "cl-markdown-comparisons" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown-comparisons";
      asd = "cl-markdown-comparisons";
    });
    systems = [ "cl-markdown-comparisons" ];
    lispLibs = [ (getAttr "cl-html-diff" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "html-encode" pkgs) (getAttr "lift" pkgs) (getAttr "lml2" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  cl-markdown-test = {
    pname = "cl-markdown-test";
    version = "20191227-git";
    asds = [ "cl-markdown-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown-test";
      asd = "cl-markdown-test";
    });
    systems = [ "cl-markdown-test" ];
    lispLibs = [ (getAttr "cl-markdown" pkgs) (getAttr "lift" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  cl-markless = {
    pname = "cl-markless";
    version = "20220707-git";
    asds = [ "cl-markless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless";
      asd = "cl-markless";
    });
    systems = [ "cl-markless" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  cl-markless-epub = {
    pname = "cl-markless-epub";
    version = "20220707-git";
    asds = [ "cl-markless-epub" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless-epub";
      asd = "cl-markless-epub";
    });
    systems = [ "cl-markless-epub" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-markless-plump" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "trivial-indent" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "uiop" pkgs) (getAttr "zip" pkgs) ];
  };
  cl-markless-markdown = {
    pname = "cl-markless-markdown";
    version = "20220707-git";
    asds = [ "cl-markless-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless-markdown";
      asd = "cl-markless-markdown";
    });
    systems = [ "cl-markless-markdown" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "cl-markless" pkgs) ];
  };
  cl-markless-plump = {
    pname = "cl-markless-plump";
    version = "20220707-git";
    asds = [ "cl-markless-plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless-plump";
      asd = "cl-markless-plump";
    });
    systems = [ "cl-markless-plump" ];
    lispLibs = [ (getAttr "cl-markless" pkgs) (getAttr "plump-dom" pkgs) ];
  };
  cl-markless-standalone = {
    pname = "cl-markless-standalone";
    version = "20220707-git";
    asds = [ "cl-markless-standalone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless-standalone";
      asd = "cl-markless-standalone";
    });
    systems = [ "cl-markless-standalone" ];
    lispLibs = [ (getAttr "cl-markless" pkgs) (getAttr "cl-markless-epub" pkgs) (getAttr "cl-markless-markdown" pkgs) (getAttr "cl-markless-plump" pkgs) (getAttr "command-line-arguments" pkgs) ];
  };
  cl-markless-test = {
    pname = "cl-markless-test";
    version = "20220707-git";
    asds = [ "cl-markless-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2022-07-07/cl-markless-20220707-git.tgz";
      sha256 = "0v1h1sgn180ffhbnld7kwh6s33mls6p0iby4pdh32pj1py7ayw0l";
      system = "cl-markless-test";
      asd = "cl-markless-test";
    });
    systems = [ "cl-markless-test" ];
    lispLibs = [ (getAttr "cl-markless" pkgs) (getAttr "parachute" pkgs) ];
  };
  cl-marklogic = {
    pname = "cl-marklogic";
    version = "20210124-git";
    asds = [ "cl-marklogic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "cl-marklogic";
      asd = "cl-marklogic";
    });
    systems = [ "cl-marklogic" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "fiveam" pkgs) (getAttr "local-time" pkgs) ];
  };
  cl-markup = {
    pname = "cl-markup";
    version = "20131003-git";
    asds = [ "cl-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markup/2013-10-03/cl-markup-20131003-git.tgz";
      sha256 = "10l6k45971dl13fkdmva7zc6i453lmq9j4xax2ci6pjzlc6xjhp7";
      system = "cl-markup";
      asd = "cl-markup";
    });
    systems = [ "cl-markup" ];
    lispLibs = [  ];
  };
  cl-markup-test = {
    pname = "cl-markup-test";
    version = "20131003-git";
    asds = [ "cl-markup-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markup/2013-10-03/cl-markup-20131003-git.tgz";
      sha256 = "10l6k45971dl13fkdmva7zc6i453lmq9j4xax2ci6pjzlc6xjhp7";
      system = "cl-markup-test";
      asd = "cl-markup-test";
    });
    systems = [ "cl-markup-test" ];
    lispLibs = [ (getAttr "cl-markup" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  cl-match = {
    pname = "cl-match";
    version = "20121125-git";
    asds = [ "cl-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "cl-match";
      asd = "cl-match";
    });
    systems = [ "cl-match" ];
    lispLibs = [ (getAttr "standard-cl" pkgs) ];
  };
  cl-match-test = {
    pname = "cl-match-test";
    version = "20121125-git";
    asds = [ "cl-match-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "cl-match-test";
      asd = "cl-match-test";
    });
    systems = [ "cl-match-test" ];
    lispLibs = [ (getAttr "cl-match" pkgs) (getAttr "pcl-unit-test" pkgs) ];
  };
  cl-mathstats = {
    pname = "cl-mathstats";
    version = "20220220-git";
    asds = [ "cl-mathstats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mathstats/2022-02-20/cl-mathstats-20220220-git.tgz";
      sha256 = "0gsjvmkmnxc4hp5z9mkm5vsllywqyg7kx8jgz88vnx47yj3va1s8";
      system = "cl-mathstats";
      asd = "cl-mathstats";
    });
    systems = [ "cl-mathstats" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "metatilities-base" pkgs) ];
  };
  cl-mathstats-test = {
    pname = "cl-mathstats-test";
    version = "20220220-git";
    asds = [ "cl-mathstats-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mathstats/2022-02-20/cl-mathstats-20220220-git.tgz";
      sha256 = "0gsjvmkmnxc4hp5z9mkm5vsllywqyg7kx8jgz88vnx47yj3va1s8";
      system = "cl-mathstats-test";
      asd = "cl-mathstats-test";
    });
    systems = [ "cl-mathstats-test" ];
    lispLibs = [ (getAttr "cl-mathstats" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-maxminddb = {
    pname = "cl-maxminddb";
    version = "20210630-git";
    asds = [ "cl-maxminddb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxminddb/2021-06-30/cl-maxminddb-20210630-git.tgz";
      sha256 = "1mm7cpiygcka39pj4a0rvhayfl4wh0zfjkda60yshq24xmml84pw";
      system = "cl-maxminddb";
      asd = "cl-maxminddb";
    });
    systems = [ "cl-maxminddb" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "mmap" pkgs) ];
  };
  cl-maxsat = {
    pname = "cl-maxsat";
    version = "20200218-git";
    asds = [ "cl-maxsat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxsat/2020-02-18/cl-maxsat-20200218-git.tgz";
      sha256 = "0qy4hhi8y3wv88x3s88g2hl2cz25cjp26xapd3z4h7lrx7cy786i";
      system = "cl-maxsat";
      asd = "cl-maxsat";
    });
    systems = [ "cl-maxsat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-sat" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) ];
  };
  cl-maxsat_dot_test = {
    pname = "cl-maxsat.test";
    version = "20200218-git";
    asds = [ "cl-maxsat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxsat/2020-02-18/cl-maxsat-20200218-git.tgz";
      sha256 = "0qy4hhi8y3wv88x3s88g2hl2cz25cjp26xapd3z4h7lrx7cy786i";
      system = "cl-maxsat.test";
      asd = "cl-maxsat.test";
    });
    systems = [ "cl-maxsat.test" ];
    lispLibs = [ (getAttr "cl-maxsat" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-mdb = {
    pname = "cl-mdb";
    version = "20220707-git";
    asds = [ "cl-mdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mdb/2022-07-07/cl-mdb-20220707-git.tgz";
      sha256 = "1xkhk39485yv3j9bshnnv74c95asf9704g80wb8vwvwsvqi7ym2a";
      system = "cl-mdb";
      asd = "cl-mdb";
    });
    systems = [ "cl-mdb" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-mecab = {
    pname = "cl-mecab";
    version = "20181018-git";
    asds = [ "cl-mecab" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mecab/2018-10-18/cl-mecab-20181018-git.tgz";
      sha256 = "0lfan9p8dsniyp60g6n8awfjvv8lyickc40qdxiry6kmp65636ps";
      system = "cl-mecab";
      asd = "cl-mecab";
    });
    systems = [ "cl-mecab" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-mecab-test = {
    pname = "cl-mecab-test";
    version = "20181018-git";
    asds = [ "cl-mecab-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mecab/2018-10-18/cl-mecab-20181018-git.tgz";
      sha256 = "0lfan9p8dsniyp60g6n8awfjvv8lyickc40qdxiry6kmp65636ps";
      system = "cl-mecab-test";
      asd = "cl-mecab-test";
    });
    systems = [ "cl-mecab-test" ];
    lispLibs = [ (getAttr "cl-mecab" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-mechanize = {
    pname = "cl-mechanize";
    version = "20180711-git";
    asds = [ "cl-mechanize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mechanize/2018-07-11/cl-mechanize-20180711-git.tgz";
      sha256 = "0y86sdi2nl3jv6n535cd62jax0mpc0cckrhffaqacbgbdjc875sn";
      system = "cl-mechanize";
      asd = "cl-mechanize";
    });
    systems = [ "cl-mechanize" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closure-html" pkgs) (getAttr "cxml-stp" pkgs) (getAttr "drakma" pkgs) (getAttr "puri" pkgs) ];
  };
  cl-mediawiki = {
    pname = "cl-mediawiki";
    version = "20161204-git";
    asds = [ "cl-mediawiki" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mediawiki/2016-12-04/cl-mediawiki-20161204-git.tgz";
      sha256 = "1wrysj9l64k3xx152yw1arvn1glnx60j730qvj8prm65iid95xgm";
      system = "cl-mediawiki";
      asd = "cl-mediawiki";
    });
    systems = [ "cl-mediawiki" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) ];
  };
  cl-mediawiki-test = {
    pname = "cl-mediawiki-test";
    version = "20161204-git";
    asds = [ "cl-mediawiki-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mediawiki/2016-12-04/cl-mediawiki-20161204-git.tgz";
      sha256 = "1wrysj9l64k3xx152yw1arvn1glnx60j730qvj8prm65iid95xgm";
      system = "cl-mediawiki-test";
      asd = "cl-mediawiki-test";
    });
    systems = [ "cl-mediawiki-test" ];
    lispLibs = [ (getAttr "cl-mediawiki" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  cl-megolm = {
    pname = "cl-megolm";
    version = "20211020-git";
    asds = [ "cl-megolm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-megolm/2021-10-20/cl-megolm-20211020-git.tgz";
      sha256 = "1wxri9md61xl6bf9p9pm4hjsyd0mz6nf2lzwzbwsqy808s2w0xw6";
      system = "cl-megolm";
      asd = "cl-megolm";
    });
    systems = [ "cl-megolm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "str" pkgs) (getAttr "claw-olm" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "s-base64" pkgs) ];
  };
  cl-megolm_slash_tests = {
    pname = "cl-megolm_tests";
    version = "20211020-git";
    asds = [ "cl-megolm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-megolm/2021-10-20/cl-megolm-20211020-git.tgz";
      sha256 = "1wxri9md61xl6bf9p9pm4hjsyd0mz6nf2lzwzbwsqy808s2w0xw6";
      system = "cl-megolm";
      asd = "cl-megolm";
    });
    systems = [ "cl-megolm/tests" ];
    lispLibs = [ (getAttr "cl-megolm" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "s-base64" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-memcached = {
    pname = "cl-memcached";
    version = "20150608-git";
    asds = [ "cl-memcached" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-memcached/2015-06-08/cl-memcached-20150608-git.tgz";
      sha256 = "0g66m0yiazzh0447qbmgxjn4kxjcx9bk2l8cimyzmriz5d0j2q3i";
      system = "cl-memcached";
      asd = "cl-memcached";
    });
    systems = [ "cl-memcached" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "pooler" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-messagepack = {
    pname = "cl-messagepack";
    version = "20201016-git";
    asds = [ "cl-messagepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack/2020-10-16/cl-messagepack-20201016-git.tgz";
      sha256 = "0lhw8wz45q9jgh7fn5ihj7ccl3wm2c2x3vb4cijgg6vhbrwlw2qh";
      system = "cl-messagepack";
      asd = "cl-messagepack";
    });
    systems = [ "cl-messagepack" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "closer-mop" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  cl-messagepack-rpc = {
    pname = "cl-messagepack-rpc";
    version = "20171227-git";
    asds = [ "cl-messagepack-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack-rpc/2017-12-27/cl-messagepack-rpc-20171227-git.tgz";
      sha256 = "02nrnhav28v5vwig9mmmmax59nl0sbjkmdzwakzpj6y1gafiqgy9";
      system = "cl-messagepack-rpc";
      asd = "cl-messagepack-rpc";
    });
    systems = [ "cl-messagepack-rpc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-libuv" pkgs) (getAttr "cl-messagepack" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  cl-messagepack-rpc-tests = {
    pname = "cl-messagepack-rpc-tests";
    version = "20171227-git";
    asds = [ "cl-messagepack-rpc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack-rpc/2017-12-27/cl-messagepack-rpc-20171227-git.tgz";
      sha256 = "02nrnhav28v5vwig9mmmmax59nl0sbjkmdzwakzpj6y1gafiqgy9";
      system = "cl-messagepack-rpc-tests";
      asd = "cl-messagepack-rpc-tests";
    });
    systems = [ "cl-messagepack-rpc-tests" ];
    lispLibs = [ (getAttr "cl-messagepack-rpc" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-messagepack-tests = {
    pname = "cl-messagepack-tests";
    version = "20201016-git";
    asds = [ "cl-messagepack-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack/2020-10-16/cl-messagepack-20201016-git.tgz";
      sha256 = "0lhw8wz45q9jgh7fn5ihj7ccl3wm2c2x3vb4cijgg6vhbrwlw2qh";
      system = "cl-messagepack-tests";
      asd = "cl-messagepack-tests";
    });
    systems = [ "cl-messagepack-tests" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-messagepack" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-migrations = {
    pname = "cl-migrations";
    version = "20110110-http";
    asds = [ "cl-migrations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migrations/2011-01-10/cl-migrations-20110110-http.tgz";
      sha256 = "0mq3ir1kffw921q5a878964ghnrhcrh79p6yxsrb25bzkwpnfx02";
      system = "cl-migrations";
      asd = "cl-migrations";
    });
    systems = [ "cl-migrations" ];
    lispLibs = [ (getAttr "clsql" pkgs) ];
  };
  cl-migratum = {
    pname = "cl-migratum";
    version = "20221106-git";
    asds = [ "cl-migratum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum";
      asd = "cl-migratum";
    });
    systems = [ "cl-migratum" ];
    lispLibs = [ (getAttr "cl-ascii-table" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) ];
  };
  cl-migratum_dot_cli = {
    pname = "cl-migratum.cli";
    version = "20221106-git";
    asds = [ "cl-migratum.cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.cli";
      asd = "cl-migratum.cli";
    });
    systems = [ "cl-migratum.cli" ];
    lispLibs = [ (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_dbi" pkgs) (getAttr "cl-migratum_dot_driver_dot_rdbms-postgresql" pkgs) (getAttr "cl-migratum_dot_provider_dot_local-path" pkgs) (getAttr "clingon" pkgs) ];
  };
  cl-migratum_dot_driver_dot_dbi = {
    pname = "cl-migratum.driver.dbi";
    version = "20221106-git";
    asds = [ "cl-migratum.driver.dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.driver.dbi";
      asd = "cl-migratum.driver.dbi";
    });
    systems = [ "cl-migratum.driver.dbi" ];
    lispLibs = [ (getAttr "cl-dbi" pkgs) (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_mixins" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "log4cl" pkgs) ];
  };
  cl-migratum_dot_driver_dot_mixins = {
    pname = "cl-migratum.driver.mixins";
    version = "20221106-git";
    asds = [ "cl-migratum.driver.mixins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.driver.mixins";
      asd = "cl-migratum.driver.mixins";
    });
    systems = [ "cl-migratum.driver.mixins" ];
    lispLibs = [ (getAttr "cl-migratum" pkgs) ];
  };
  cl-migratum_dot_driver_dot_rdbms-postgresql = {
    pname = "cl-migratum.driver.rdbms-postgresql";
    version = "20221106-git";
    asds = [ "cl-migratum.driver.rdbms-postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.driver.rdbms-postgresql";
      asd = "cl-migratum.driver.rdbms-postgresql";
    });
    systems = [ "cl-migratum.driver.rdbms-postgresql" ];
    lispLibs = [ (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_mixins" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" pkgs) (getAttr "log4cl" pkgs) ];
  };
  cl-migratum_dot_provider_dot_local-path = {
    pname = "cl-migratum.provider.local-path";
    version = "20221106-git";
    asds = [ "cl-migratum.provider.local-path" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.provider.local-path";
      asd = "cl-migratum.provider.local-path";
    });
    systems = [ "cl-migratum.provider.local-path" ];
    lispLibs = [ (getAttr "cl-migratum" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "log4cl" pkgs) ];
  };
  cl-migratum_dot_test = {
    pname = "cl-migratum.test";
    version = "20221106-git";
    asds = [ "cl-migratum.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2022-11-06/cl-migratum-20221106-git.tgz";
      sha256 = "1f4lhj168garrncmif4i2zdvg3458ylihw6khayz1m1gyzb8v7fx";
      system = "cl-migratum.test";
      asd = "cl-migratum.test";
    });
    systems = [ "cl-migratum.test" ];
    lispLibs = [ (getAttr "dbd-sqlite3" pkgs) (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_dbi" pkgs) (getAttr "cl-migratum_dot_driver_dot_rdbms-postgresql" pkgs) (getAttr "cl-migratum_dot_provider_dot_local-path" pkgs) (getAttr "rove" pkgs) (getAttr "tmpdir" pkgs) ];
  };
  cl-mime = {
    pname = "cl-mime";
    version = "20201220-git";
    asds = [ "cl-mime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime/2020-12-20/cl-mime-20201220-git.tgz";
      sha256 = "0i2vyc1d4qp36f3c3qfpx9rkp3d2ka80r40wc9lsvhqn1hjxa2gv";
      system = "cl-mime";
      asd = "cl-mime";
    });
    systems = [ "cl-mime" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-qprint" pkgs) ];
  };
  cl-mime-from-string = {
    pname = "cl-mime-from-string";
    version = "20200427-git";
    asds = [ "cl-mime-from-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime-from-string/2020-04-27/cl-mime-from-string-20200427-git.tgz";
      sha256 = "1pzhfbv6j3b0vvf4rxxd56v54lh6v7cs16nq2d64cawn6qzmk4bp";
      system = "cl-mime-from-string";
      asd = "cl-mime-from-string";
    });
    systems = [ "cl-mime-from-string" ];
    lispLibs = [  ];
  };
  cl-mime-test = {
    pname = "cl-mime-test";
    version = "20201220-git";
    asds = [ "cl-mime-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime/2020-12-20/cl-mime-20201220-git.tgz";
      sha256 = "0i2vyc1d4qp36f3c3qfpx9rkp3d2ka80r40wc9lsvhqn1hjxa2gv";
      system = "cl-mime-test";
      asd = "cl-mime-test";
    });
    systems = [ "cl-mime-test" ];
    lispLibs = [ (getAttr "cl-mime" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-mimeparse = {
    pname = "cl-mimeparse";
    version = "20210531-git";
    asds = [ "cl-mimeparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mimeparse/2021-05-31/cl-mimeparse-20210531-git.tgz";
      sha256 = "0gdkpi3620va0a3q56svcn1q9f5w0pqfhx30lnldg8fjnrdfiwkk";
      system = "cl-mimeparse";
      asd = "cl-mimeparse";
    });
    systems = [ "cl-mimeparse" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cl-mimeparse-tests = {
    pname = "cl-mimeparse-tests";
    version = "20210531-git";
    asds = [ "cl-mimeparse-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mimeparse/2021-05-31/cl-mimeparse-20210531-git.tgz";
      sha256 = "0gdkpi3620va0a3q56svcn1q9f5w0pqfhx30lnldg8fjnrdfiwkk";
      system = "cl-mimeparse-tests";
      asd = "cl-mimeparse-tests";
    });
    systems = [ "cl-mimeparse-tests" ];
    lispLibs = [ (getAttr "cl-mimeparse" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-minify-css = {
    pname = "cl-minify-css";
    version = "20200925-git";
    asds = [ "cl-minify-css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-minify-css/2020-09-25/cl-minify-css-20200925-git.tgz";
      sha256 = "1wj1mh7qzr8ybqyx7kxnpsmj3d9lylnzmq1qmycdyf2llqkcdxgd";
      system = "cl-minify-css";
      asd = "cl-minify-css";
    });
    systems = [ "cl-minify-css" ];
    lispLibs = [  ];
  };
  cl-minify-css-test = {
    pname = "cl-minify-css-test";
    version = "20200925-git";
    asds = [ "cl-minify-css-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-minify-css/2020-09-25/cl-minify-css-20200925-git.tgz";
      sha256 = "1wj1mh7qzr8ybqyx7kxnpsmj3d9lylnzmq1qmycdyf2llqkcdxgd";
      system = "cl-minify-css-test";
      asd = "cl-minify-css-test";
    });
    systems = [ "cl-minify-css-test" ];
    lispLibs = [ (getAttr "assert-p" pkgs) (getAttr "cacau" pkgs) (getAttr "cacau-asdf" pkgs) (getAttr "cl-minify-css" pkgs) ];
  };
  cl-mixed = {
    pname = "cl-mixed";
    version = "20221106-git";
    asds = [ "cl-mixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed";
      asd = "cl-mixed";
    });
    systems = [ "cl-mixed" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-mixed-alsa = {
    pname = "cl-mixed-alsa";
    version = "20221106-git";
    asds = [ "cl-mixed-alsa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-alsa";
      asd = "cl-mixed-alsa";
    });
    systems = [ "cl-mixed-alsa" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-coreaudio = {
    pname = "cl-mixed-coreaudio";
    version = "20221106-git";
    asds = [ "cl-mixed-coreaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-coreaudio";
      asd = "cl-mixed-coreaudio";
    });
    systems = [ "cl-mixed-coreaudio" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) (getAttr "float-features" pkgs) ];
  };
  cl-mixed-examples = {
    pname = "cl-mixed-examples";
    version = "20221106-git";
    asds = [ "cl-mixed-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-examples";
      asd = "cl-mixed-examples";
    });
    systems = [ "cl-mixed-examples" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "cl-mixed-mpg123" pkgs) (getAttr "cl-mixed-out123" pkgs) ];
  };
  cl-mixed-flac = {
    pname = "cl-mixed-flac";
    version = "20221106-git";
    asds = [ "cl-mixed-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-flac";
      asd = "cl-mixed-flac";
    });
    systems = [ "cl-mixed-flac" ];
    lispLibs = [ (getAttr "cl-flac" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-jack = {
    pname = "cl-mixed-jack";
    version = "20221106-git";
    asds = [ "cl-mixed-jack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-jack";
      asd = "cl-mixed-jack";
    });
    systems = [ "cl-mixed-jack" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-mpg123 = {
    pname = "cl-mixed-mpg123";
    version = "20221106-git";
    asds = [ "cl-mixed-mpg123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-mpg123";
      asd = "cl-mixed-mpg123";
    });
    systems = [ "cl-mixed-mpg123" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "cl-mpg123" pkgs) ];
  };
  cl-mixed-mpt = {
    pname = "cl-mixed-mpt";
    version = "20221106-git";
    asds = [ "cl-mixed-mpt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-mpt";
      asd = "cl-mixed-mpt";
    });
    systems = [ "cl-mixed-mpt" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  cl-mixed-oss = {
    pname = "cl-mixed-oss";
    version = "20221106-git";
    asds = [ "cl-mixed-oss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-oss";
      asd = "cl-mixed-oss";
    });
    systems = [ "cl-mixed-oss" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-out123 = {
    pname = "cl-mixed-out123";
    version = "20221106-git";
    asds = [ "cl-mixed-out123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-out123";
      asd = "cl-mixed-out123";
    });
    systems = [ "cl-mixed-out123" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "cl-out123" pkgs) ];
  };
  cl-mixed-pulse = {
    pname = "cl-mixed-pulse";
    version = "20221106-git";
    asds = [ "cl-mixed-pulse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-pulse";
      asd = "cl-mixed-pulse";
    });
    systems = [ "cl-mixed-pulse" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-sdl2 = {
    pname = "cl-mixed-sdl2";
    version = "20221106-git";
    asds = [ "cl-mixed-sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-sdl2";
      asd = "cl-mixed-sdl2";
    });
    systems = [ "cl-mixed-sdl2" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "sdl2" pkgs) ];
  };
  cl-mixed-vorbis = {
    pname = "cl-mixed-vorbis";
    version = "20221106-git";
    asds = [ "cl-mixed-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-vorbis";
      asd = "cl-mixed-vorbis";
    });
    systems = [ "cl-mixed-vorbis" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) (getAttr "cl-vorbis" pkgs) ];
  };
  cl-mixed-wasapi = {
    pname = "cl-mixed-wasapi";
    version = "20221106-git";
    asds = [ "cl-mixed-wasapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-wasapi";
      asd = "cl-mixed-wasapi";
    });
    systems = [ "cl-mixed-wasapi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) (getAttr "com-on" pkgs) ];
  };
  cl-mixed-wav = {
    pname = "cl-mixed-wav";
    version = "20221106-git";
    asds = [ "cl-mixed-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-wav";
      asd = "cl-mixed-wav";
    });
    systems = [ "cl-mixed-wav" ];
    lispLibs = [ (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-winmm = {
    pname = "cl-mixed-winmm";
    version = "20221106-git";
    asds = [ "cl-mixed-winmm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-winmm";
      asd = "cl-mixed-winmm";
    });
    systems = [ "cl-mixed-winmm" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) ];
  };
  cl-mixed-xaudio2 = {
    pname = "cl-mixed-xaudio2";
    version = "20221106-git";
    asds = [ "cl-mixed-xaudio2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2022-11-06/cl-mixed-20221106-git.tgz";
      sha256 = "0xl3iss8mhxsyjsr6mbbf5x75cg893f2im1hywcj1mq8adsyxcf7";
      system = "cl-mixed-xaudio2";
      asd = "cl-mixed-xaudio2";
    });
    systems = [ "cl-mixed-xaudio2" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mixed" pkgs) (getAttr "com-on" pkgs) ];
  };
  cl-mock = {
    pname = "cl-mock";
    version = "20221106-git";
    asds = [ "cl-mock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock";
      asd = "cl-mock";
    });
    systems = [ "cl-mock" ];
    lispLibs = [ (getAttr "cl-mock-basic" pkgs) (getAttr "trivia" pkgs) ];
  };
  cl-mock-basic = {
    pname = "cl-mock-basic";
    version = "20221106-git";
    asds = [ "cl-mock-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-basic";
      asd = "cl-mock-basic";
    });
    systems = [ "cl-mock-basic" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-mock-tests = {
    pname = "cl-mock-tests";
    version = "20221106-git";
    asds = [ "cl-mock-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-tests";
      asd = "cl-mock-tests";
    });
    systems = [ "cl-mock-tests" ];
    lispLibs = [ (getAttr "cl-mock" pkgs) (getAttr "cl-mock-tests-basic" pkgs) ];
  };
  cl-mock-tests-basic = {
    pname = "cl-mock-tests-basic";
    version = "20221106-git";
    asds = [ "cl-mock-tests-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-tests-basic";
      asd = "cl-mock-tests-basic";
    });
    systems = [ "cl-mock-tests-basic" ];
    lispLibs = [ (getAttr "cl-mock-basic" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-monad-macros = {
    pname = "cl-monad-macros";
    version = "20110619-svn";
    asds = [ "cl-monad-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-monad-macros/2011-06-19/cl-monad-macros-20110619-svn.tgz";
      sha256 = "184p018xb07yd04bpscrwrnwv1cdxh9hxggmrnj95lhlr6r97l1z";
      system = "cl-monad-macros";
      asd = "cl-monad-macros";
    });
    systems = [ "cl-monad-macros" ];
    lispLibs = [  ];
  };
  cl-moneris = {
    pname = "cl-moneris";
    version = "20110418-git";
    asds = [ "cl-moneris" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moneris/2011-04-18/cl-moneris-20110418-git.tgz";
      sha256 = "1jvzssjb273ijbdcpxpl6ajh02k4h6l5j4vjxkh69cnrq3dcsvfc";
      system = "cl-moneris";
      asd = "cl-moneris";
    });
    systems = [ "cl-moneris" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "s-xml" pkgs) ];
  };
  cl-moneris-test = {
    pname = "cl-moneris-test";
    version = "20110418-git";
    asds = [ "cl-moneris-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moneris/2011-04-18/cl-moneris-20110418-git.tgz";
      sha256 = "1jvzssjb273ijbdcpxpl6ajh02k4h6l5j4vjxkh69cnrq3dcsvfc";
      system = "cl-moneris-test";
      asd = "cl-moneris-test";
    });
    systems = [ "cl-moneris-test" ];
    lispLibs = [ (getAttr "cl-moneris" pkgs) (getAttr "eos" pkgs) ];
  };
  cl-mongo = {
    pname = "cl-mongo";
    version = "20160531-git";
    asds = [ "cl-mongo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mongo/2016-05-31/cl-mongo-20160531-git.tgz";
      sha256 = "1l3kydbxbxhs1z76v6qpwjnabv8wf0mff1pfjkrpjfz6bia1svx6";
      system = "cl-mongo";
      asd = "cl-mongo";
    });
    systems = [ "cl-mongo" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-template" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "parenscript" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) (getAttr "uuid" pkgs) ];
  };
  cl-mongo-id = {
    pname = "cl-mongo-id";
    version = "20201220-git";
    asds = [ "cl-mongo-id" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mongo-id/2020-12-20/cl-mongo-id-20201220-git.tgz";
      sha256 = "1bpwmh5970rpr6ayygcgdg96hq2dlrksgpa1vdmy5l6vdbw9xrys";
      system = "cl-mongo-id";
      asd = "cl-mongo-id";
    });
    systems = [ "cl-mongo-id" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "local-time" pkgs) (getAttr "md5" pkgs) (getAttr "secure-random" pkgs) ];
  };
  cl-monitors = {
    pname = "cl-monitors";
    version = "20190710-git";
    asds = [ "cl-monitors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-monitors/2019-07-10/cl-monitors-20190710-git.tgz";
      sha256 = "0arwj7san3hsjws1fj3l8iqm92fipw0bfl3gzvvx6sa3cmy3m8vj";
      system = "cl-monitors";
      asd = "cl-monitors";
    });
    systems = [ "cl-monitors" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-mop = {
    pname = "cl-mop";
    version = "20150113-git";
    asds = [ "cl-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mop/2015-01-13/cl-mop-20150113-git.tgz";
      sha256 = "0wqjbp6jr868a89hklf1ppxkdfbznafrdpriakqiraicvr9kvksg";
      system = "cl-mop";
      asd = "cl-mop";
    });
    systems = [ "cl-mop" ];
    lispLibs = [  ];
  };
  cl-morse = {
    pname = "cl-morse";
    version = "v1.0.0";
    asds = [ "cl-morse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-morse/2022-07-07/cl-morse-v1.0.0.tgz";
      sha256 = "01sh34nhbsx2dsrb2r1vkd4j8lzm9gjd5jfi8a4cs4m3djjwhh5i";
      system = "cl-morse";
      asd = "cl-morse";
    });
    systems = [ "cl-morse" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-morse_slash_tests = {
    pname = "cl-morse_tests";
    version = "v1.0.0";
    asds = [ "cl-morse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-morse/2022-07-07/cl-morse-v1.0.0.tgz";
      sha256 = "01sh34nhbsx2dsrb2r1vkd4j8lzm9gjd5jfi8a4cs4m3djjwhh5i";
      system = "cl-morse";
      asd = "cl-morse";
    });
    systems = [ "cl-morse/tests" ];
    lispLibs = [ (getAttr "cl-morse" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-moss = {
    pname = "cl-moss";
    version = "20171019-git";
    asds = [ "cl-moss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moss/2017-10-19/cl-moss-20171019-git.tgz";
      sha256 = "1qxzppnyxc8lkhfbbp5m3dbhp4rfkyc2lfrry2448i5w5icrigzd";
      system = "cl-moss";
      asd = "cl-moss";
    });
    systems = [ "cl-moss" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  cl-mount-info = {
    pname = "cl-mount-info";
    version = "20200218-git";
    asds = [ "cl-mount-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mount-info/2020-02-18/cl-mount-info-20200218-git.tgz";
      sha256 = "0vza9gj9q42nzb5v8aj22lmn4aqx9vrddsb5a343nbwfz89hbh9x";
      system = "cl-mount-info";
      asd = "cl-mount-info";
    });
    systems = [ "cl-mount-info" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-mpg123 = {
    pname = "cl-mpg123";
    version = "20211209-git";
    asds = [ "cl-mpg123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpg123/2021-12-09/cl-mpg123-20211209-git.tgz";
      sha256 = "0hw2jpvi85cz9p1ibzycfk84j1l2m3f2hl6mifmmd1xfsajbs6l0";
      system = "cl-mpg123";
      asd = "cl-mpg123";
    });
    systems = [ "cl-mpg123" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-mpg123-example = {
    pname = "cl-mpg123-example";
    version = "20211209-git";
    asds = [ "cl-mpg123-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpg123/2021-12-09/cl-mpg123-20211209-git.tgz";
      sha256 = "0hw2jpvi85cz9p1ibzycfk84j1l2m3f2hl6mifmmd1xfsajbs6l0";
      system = "cl-mpg123-example";
      asd = "cl-mpg123-example";
    });
    systems = [ "cl-mpg123-example" ];
    lispLibs = [ (getAttr "cl-mpg123" pkgs) (getAttr "cl-out123" pkgs) (getAttr "verbose" pkgs) ];
  };
  cl-mpi = {
    pname = "cl-mpi";
    version = "20190710-git";
    asds = [ "cl-mpi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi";
      asd = "cl-mpi";
    });
    systems = [ "cl-mpi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-mpi-asdf-integration" pkgs) (getAttr "static-vectors" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-mpi-asdf-integration = {
    pname = "cl-mpi-asdf-integration";
    version = "20190710-git";
    asds = [ "cl-mpi-asdf-integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-asdf-integration";
      asd = "cl-mpi-asdf-integration";
    });
    systems = [ "cl-mpi-asdf-integration" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) (getAttr "cffi-toolchain" pkgs) ];
  };
  cl-mpi-examples = {
    pname = "cl-mpi-examples";
    version = "20190710-git";
    asds = [ "cl-mpi-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-examples";
      asd = "cl-mpi-examples";
    });
    systems = [ "cl-mpi-examples" ];
    lispLibs = [ (getAttr "cl-mpi" pkgs) (getAttr "cl-mpi-asdf-integration" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-mpi-extensions = {
    pname = "cl-mpi-extensions";
    version = "20190710-git";
    asds = [ "cl-mpi-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-extensions";
      asd = "cl-mpi-extensions";
    });
    systems = [ "cl-mpi-extensions" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-conspack" pkgs) (getAttr "cl-mpi" pkgs) ];
  };
  cl-mpi-test-suite = {
    pname = "cl-mpi-test-suite";
    version = "20190710-git";
    asds = [ "cl-mpi-test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-test-suite";
      asd = "cl-mpi-test-suite";
    });
    systems = [ "cl-mpi-test-suite" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-mpi" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-mtgnet = {
    pname = "cl-mtgnet";
    version = "20180711-git";
    asds = [ "cl-mtgnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet";
      asd = "cl-mtgnet";
    });
    systems = [ "cl-mtgnet" ];
    lispLibs = [ (getAttr "blackbird" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-netstring_plus" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-mtgnet-async = {
    pname = "cl-mtgnet-async";
    version = "20180711-git";
    asds = [ "cl-mtgnet-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet-async";
      asd = "cl-mtgnet-async";
    });
    systems = [ "cl-mtgnet-async" ];
    lispLibs = [ (getAttr "cl-async" pkgs) (getAttr "cl-mtgnet" pkgs) ];
  };
  cl-mtgnet-sync = {
    pname = "cl-mtgnet-sync";
    version = "20180711-git";
    asds = [ "cl-mtgnet-sync" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet-sync";
      asd = "cl-mtgnet-sync";
    });
    systems = [ "cl-mtgnet-sync" ];
    lispLibs = [ (getAttr "cl-mtgnet" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-murmurhash = {
    pname = "cl-murmurhash";
    version = "20210630-git";
    asds = [ "cl-murmurhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-murmurhash/2021-06-30/cl-murmurhash-20210630-git.tgz";
      sha256 = "0251r0mpjm0y3qsm4lm7ncvrkxvgwc53spdm1p2mpayhvkkqqsws";
      system = "cl-murmurhash";
      asd = "cl-murmurhash";
    });
    systems = [ "cl-murmurhash" ];
    lispLibs = [ (getAttr "babel" pkgs) ];
  };
  cl-murmurhash_slash_test = {
    pname = "cl-murmurhash_test";
    version = "20210630-git";
    asds = [ "cl-murmurhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-murmurhash/2021-06-30/cl-murmurhash-20210630-git.tgz";
      sha256 = "0251r0mpjm0y3qsm4lm7ncvrkxvgwc53spdm1p2mpayhvkkqqsws";
      system = "cl-murmurhash";
      asd = "cl-murmurhash";
    });
    systems = [ "cl-murmurhash/test" ];
    lispLibs = [ (getAttr "cl-murmurhash" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-mustache = {
    pname = "cl-mustache";
    version = "20200325-git";
    asds = [ "cl-mustache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mustache/2020-03-25/cl-mustache-20200325-git.tgz";
      sha256 = "1wsmr46c56l0chshffk3rbvd7v2jwplmgmkkyr98n5n2qnjcqrc4";
      system = "cl-mustache";
      asd = "cl-mustache";
    });
    systems = [ "cl-mustache" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  cl-mustache-test = {
    pname = "cl-mustache-test";
    version = "20200325-git";
    asds = [ "cl-mustache-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mustache/2020-03-25/cl-mustache-20200325-git.tgz";
      sha256 = "1wsmr46c56l0chshffk3rbvd7v2jwplmgmkkyr98n5n2qnjcqrc4";
      system = "cl-mustache-test";
      asd = "cl-mustache-test";
    });
    systems = [ "cl-mustache-test" ];
    lispLibs = [ (getAttr "cl-mustache" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-muth = {
    pname = "cl-muth";
    version = "stable-git";
    asds = [ "cl-muth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-muth/2022-07-07/cl-muth-stable-git.tgz";
      sha256 = "0409arzy51chgi9anj9s2zn0qkx9wnphlbwcdvpamr4b51b60xjz";
      system = "cl-muth";
      asd = "cl-muth";
    });
    systems = [ "cl-muth" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-heap" pkgs) (getAttr "bodge-queue" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-muth_slash_tests = {
    pname = "cl-muth_tests";
    version = "stable-git";
    asds = [ "cl-muth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-muth/2022-07-07/cl-muth-stable-git.tgz";
      sha256 = "0409arzy51chgi9anj9s2zn0qkx9wnphlbwcdvpamr4b51b60xjz";
      system = "cl-muth";
      asd = "cl-muth";
    });
    systems = [ "cl-muth/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-muth" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-mw = {
    pname = "cl-mw";
    version = "20150407-git";
    asds = [ "cl-mw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw";
      asd = "cl-mw";
    });
    systems = [ "cl-mw" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "hu_dot_dwim_dot_serializer" pkgs) (getAttr "iolib" pkgs) ];
  };
  cl-mw_dot_examples_dot_argument-processing = {
    pname = "cl-mw.examples.argument-processing";
    version = "20150407-git";
    asds = [ "cl-mw.examples.argument-processing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.argument-processing";
      asd = "cl-mw.examples.argument-processing";
    });
    systems = [ "cl-mw.examples.argument-processing" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-mw_dot_examples_dot_hello-world = {
    pname = "cl-mw.examples.hello-world";
    version = "20150407-git";
    asds = [ "cl-mw.examples.hello-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.hello-world";
      asd = "cl-mw.examples.hello-world";
    });
    systems = [ "cl-mw.examples.hello-world" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-mw_dot_examples_dot_higher-order = {
    pname = "cl-mw.examples.higher-order";
    version = "20150407-git";
    asds = [ "cl-mw.examples.higher-order" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.higher-order";
      asd = "cl-mw.examples.higher-order";
    });
    systems = [ "cl-mw.examples.higher-order" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-mw_dot_examples_dot_monte-carlo-pi = {
    pname = "cl-mw.examples.monte-carlo-pi";
    version = "20150407-git";
    asds = [ "cl-mw.examples.monte-carlo-pi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.monte-carlo-pi";
      asd = "cl-mw.examples.monte-carlo-pi";
    });
    systems = [ "cl-mw.examples.monte-carlo-pi" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-mw_dot_examples_dot_ping = {
    pname = "cl-mw.examples.ping";
    version = "20150407-git";
    asds = [ "cl-mw.examples.ping" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.ping";
      asd = "cl-mw.examples.ping";
    });
    systems = [ "cl-mw.examples.ping" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-mw_dot_examples_dot_with-task-policy = {
    pname = "cl-mw.examples.with-task-policy";
    version = "20150407-git";
    asds = [ "cl-mw.examples.with-task-policy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.with-task-policy";
      asd = "cl-mw.examples.with-task-policy";
    });
    systems = [ "cl-mw.examples.with-task-policy" ];
    lispLibs = [ (getAttr "cl-mw" pkgs) ];
  };
  cl-myriam = {
    pname = "cl-myriam";
    version = "20220331-git";
    asds = [ "cl-myriam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-myriam/2022-03-31/cl-myriam-20220331-git.tgz";
      sha256 = "0vyyyy6yj62id5m1a98rbq3pz7hm74znnawxh4apqhrff37xcs1l";
      system = "cl-myriam";
      asd = "cl-myriam";
    });
    systems = [ "cl-myriam" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-conspack" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "lparallel" pkgs) (getAttr "pzmq" pkgs) (getAttr "serapeum" pkgs) (getAttr "sha3" pkgs) (getAttr "usocket" pkgs) (getAttr "uuid" pkgs) ];
  };
  cl-mysql = {
    pname = "cl-mysql";
    version = "20200610-git";
    asds = [ "cl-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mysql/2020-06-10/cl-mysql-20200610-git.tgz";
      sha256 = "1jk2571w5zhrmza4mr5z4ia6g7r5hzhp8dsxnpx2ypnla9xpxv5h";
      system = "cl-mysql";
      asd = "cl-mysql";
    });
    systems = [ "cl-mysql" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-mysql-test = {
    pname = "cl-mysql-test";
    version = "20200610-git";
    asds = [ "cl-mysql-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mysql/2020-06-10/cl-mysql-20200610-git.tgz";
      sha256 = "1jk2571w5zhrmza4mr5z4ia6g7r5hzhp8dsxnpx2ypnla9xpxv5h";
      system = "cl-mysql-test";
      asd = "cl-mysql-test";
    });
    systems = [ "cl-mysql-test" ];
    lispLibs = [ (getAttr "cl-mysql" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-naive-store = {
    pname = "cl-naive-store";
    version = "20221106-git";
    asds = [ "cl-naive-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store";
      asd = "cl-naive-store";
    });
    systems = [ "cl-naive-store" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-type-defs" pkgs) (getAttr "cl-naive-store_dot_document-types" pkgs) (getAttr "cl-naive-store_dot_naive-core" pkgs) (getAttr "cl-naive-store_dot_naive-documents" pkgs) (getAttr "cl-naive-store_dot_naive-indexed" pkgs) (getAttr "cl-naive-store_dot_naive-merkle" pkgs) ];
  };
  cl-naive-store_dot_document-type-defs = {
    pname = "cl-naive-store.document-type-defs";
    version = "20221106-git";
    asds = [ "cl-naive-store.document-type-defs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.document-type-defs";
      asd = "cl-naive-store.document-type-defs";
    });
    systems = [ "cl-naive-store.document-type-defs" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-types" pkgs) (getAttr "cl-naive-store_dot_naive-core" pkgs) ];
  };
  cl-naive-store_dot_document-types = {
    pname = "cl-naive-store.document-types";
    version = "20221106-git";
    asds = [ "cl-naive-store.document-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.document-types";
      asd = "cl-naive-store.document-types";
    });
    systems = [ "cl-naive-store.document-types" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-core" pkgs) ];
  };
  cl-naive-store_dot_naive-core = {
    pname = "cl-naive-store.naive-core";
    version = "20221106-git";
    asds = [ "cl-naive-store.naive-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.naive-core";
      asd = "cl-naive-store.naive-core";
    });
    systems = [ "cl-naive-store.naive-core" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cpus" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-getx" pkgs) (getAttr "cl-murmurhash" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "lparallel" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uuid" pkgs) ];
  };
  cl-naive-store_dot_naive-documents = {
    pname = "cl-naive-store.naive-documents";
    version = "20221106-git";
    asds = [ "cl-naive-store.naive-documents" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.naive-documents";
      asd = "cl-naive-store.naive-documents";
    });
    systems = [ "cl-naive-store.naive-documents" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-type-defs" pkgs) (getAttr "cl-naive-store_dot_document-types" pkgs) (getAttr "cl-naive-store_dot_naive-core" pkgs) (getAttr "cl-naive-store_dot_naive-indexed" pkgs) ];
  };
  cl-naive-store_dot_naive-indexed = {
    pname = "cl-naive-store.naive-indexed";
    version = "20221106-git";
    asds = [ "cl-naive-store.naive-indexed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.naive-indexed";
      asd = "cl-naive-store.naive-indexed";
    });
    systems = [ "cl-naive-store.naive-indexed" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-core" pkgs) ];
  };
  cl-naive-store_dot_naive-merkle = {
    pname = "cl-naive-store.naive-merkle";
    version = "20221106-git";
    asds = [ "cl-naive-store.naive-merkle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.naive-merkle";
      asd = "cl-naive-store.naive-merkle";
    });
    systems = [ "cl-naive-store.naive-merkle" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-documents" pkgs) ];
  };
  cl-naive-store_dot_test = {
    pname = "cl-naive-store.test";
    version = "20221106-git";
    asds = [ "cl-naive-store.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2022-11-06/cl-naive-store-20221106-git.tgz";
      sha256 = "0mrk64dzs9v6d2gggz8v2b6ng7f1qzkw9nsdm62qcax63p2v19v8";
      system = "cl-naive-store.test";
      asd = "cl-naive-store.test";
    });
    systems = [ "cl-naive-store.test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-naive-store" pkgs) ];
  };
  cl-ncurses = {
    pname = "cl-ncurses";
    version = "0.1.4";
    asds = [ "cl-ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ncurses/2010-10-06/cl-ncurses_0.1.4.tgz";
      sha256 = "1frcap93i4ni3d648rrbnjjpz7p4cxlv57mmzlpxpzchzbcga026";
      system = "cl-ncurses";
      asd = "cl-ncurses";
    });
    systems = [ "cl-ncurses" ];
    lispLibs = [ (getAttr "uffi" pkgs) ];
  };
  cl-neo4j = {
    pname = "cl-neo4j";
    version = "release-b8ad637a-git";
    asds = [ "cl-neo4j" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neo4j/2013-01-28/cl-neo4j-release-b8ad637a-git.tgz";
      sha256 = "061xqjn08aqynfqygk48pwjp1d1mnhcb6fnl4lcfyw261dxsp871";
      system = "cl-neo4j";
      asd = "cl-neo4j";
    });
    systems = [ "cl-neo4j" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "babel" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-neo4j_dot_tests = {
    pname = "cl-neo4j.tests";
    version = "release-b8ad637a-git";
    asds = [ "cl-neo4j.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neo4j/2013-01-28/cl-neo4j-release-b8ad637a-git.tgz";
      sha256 = "061xqjn08aqynfqygk48pwjp1d1mnhcb6fnl4lcfyw261dxsp871";
      system = "cl-neo4j.tests";
      asd = "cl-neo4j";
    });
    systems = [ "cl-neo4j.tests" ];
    lispLibs = [ (getAttr "cl-neo4j" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-neovim = {
    pname = "cl-neovim";
    version = "20190521-git";
    asds = [ "cl-neovim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neovim/2019-05-21/cl-neovim-20190521-git.tgz";
      sha256 = "06hy30px9cppqzh0c8nkbyysbpw2l247r4g43wfw96rflrdwy6ks";
      system = "cl-neovim";
      asd = "cl-neovim";
    });
    systems = [ "cl-neovim" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-messagepack-rpc" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "split-sequence" pkgs) (getAttr "vom" pkgs) ];
  };
  cl-netpbm = {
    pname = "cl-netpbm";
    version = "20201016-hg";
    asds = [ "cl-netpbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netpbm/2020-10-16/cl-netpbm-20201016-hg.tgz";
      sha256 = "1xhpyn7nkadvbv8n7sbjyfj9qzr90p66dhq1j9f0jj4lmarp8anp";
      system = "cl-netpbm";
      asd = "cl-netpbm";
    });
    systems = [ "cl-netpbm" ];
    lispLibs = [  ];
  };
  cl-netpbm_slash_test = {
    pname = "cl-netpbm_test";
    version = "20201016-hg";
    asds = [ "cl-netpbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netpbm/2020-10-16/cl-netpbm-20201016-hg.tgz";
      sha256 = "1xhpyn7nkadvbv8n7sbjyfj9qzr90p66dhq1j9f0jj4lmarp8anp";
      system = "cl-netpbm";
      asd = "cl-netpbm";
    });
    systems = [ "cl-netpbm/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "cl-netpbm" pkgs) (getAttr "external-program" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-netstring_plus = {
    pname = "cl-netstring+";
    version = "20150709-git";
    asds = [ "cl-netstring+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netstring-plus/2015-07-09/cl-netstring-plus-20150709-git.tgz";
      sha256 = "03nxhgkab8lsx8mvavd4yny1894yxl5bllvqb12hyjdgg1v8whrr";
      system = "cl-netstring+";
      asd = "cl-netstring+";
    });
    systems = [ "cl-netstring+" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-netstrings = {
    pname = "cl-netstrings";
    version = "20121013-git";
    asds = [ "cl-netstrings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netstrings/2012-10-13/cl-netstrings-20121013-git.tgz";
      sha256 = "1mprrb8i3fjpmw7w461ib8zrcjwx77sqwaxyqq7i8yqkbhk7p1ql";
      system = "cl-netstrings";
      asd = "cl-netstrings";
    });
    systems = [ "cl-netstrings" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-notebook = {
    pname = "cl-notebook";
    version = "20201220-git";
    asds = [ "cl-notebook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-notebook/2020-12-20/cl-notebook-20201220-git.tgz";
      sha256 = "0kg5wdclz9i64gcx27z5bs739hsvjrfl9kf1awi31x4142yxrva8";
      system = "cl-notebook";
      asd = "cl-notebook";
    });
    systems = [ "cl-notebook" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-css" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-who" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fact-base" pkgs) (getAttr "house" pkgs) (getAttr "parenscript" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "qlot" pkgs) (getAttr "quri" pkgs) ];
  };
  cl-notebook_slash_test = {
    pname = "cl-notebook_test";
    version = "20201220-git";
    asds = [ "cl-notebook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-notebook/2020-12-20/cl-notebook-20201220-git.tgz";
      sha256 = "0kg5wdclz9i64gcx27z5bs739hsvjrfl9kf1awi31x4142yxrva8";
      system = "cl-notebook";
      asd = "cl-notebook";
    });
    systems = [ "cl-notebook/test" ];
    lispLibs = [ (getAttr "cl-notebook" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "test-utils" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-ntp-client = {
    pname = "cl-ntp-client";
    version = "20210630-git";
    asds = [ "cl-ntp-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ntp-client/2021-06-30/cl-ntp-client-20210630-git.tgz";
      sha256 = "1mc16bvs0l8srnxjcjg4m192rw5waq291zks2jslxmxij0pa28cm";
      system = "cl-ntp-client";
      asd = "cl-ntp-client";
    });
    systems = [ "cl-ntp-client" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-ntriples = {
    pname = "cl-ntriples";
    version = "20190307-hg";
    asds = [ "cl-ntriples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ntriples/2019-03-07/cl-ntriples-20190307-hg.tgz";
      sha256 = "0k8q2r2nxkgxp91398gb0iwfy9kd2mn519nxxa3zq831c433l2mq";
      system = "cl-ntriples";
      asd = "cl-ntriples";
    });
    systems = [ "cl-ntriples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-num-utils = {
    pname = "cl-num-utils";
    version = "20210531-git";
    asds = [ "cl-num-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-num-utils/2021-05-31/cl-num-utils-20210531-git.tgz";
      sha256 = "15ihsxxs76xnldmqfsbxybckqjwrxwcpphgghiwzr2mnbqjpdqkh";
      system = "cl-num-utils";
      asd = "cl-num-utils";
    });
    systems = [ "cl-num-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-slice" pkgs) (getAttr "let-plus" pkgs) ];
  };
  cl-num-utils-tests = {
    pname = "cl-num-utils-tests";
    version = "20210531-git";
    asds = [ "cl-num-utils-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-num-utils/2021-05-31/cl-num-utils-20210531-git.tgz";
      sha256 = "15ihsxxs76xnldmqfsbxybckqjwrxwcpphgghiwzr2mnbqjpdqkh";
      system = "cl-num-utils-tests";
      asd = "cl-num-utils";
    });
    systems = [ "cl-num-utils-tests" ];
    lispLibs = [ (getAttr "cl-num-utils" pkgs) (getAttr "clunit" pkgs) ];
  };
  cl-oauth = {
    pname = "cl-oauth";
    version = "20150804-git";
    asds = [ "cl-oauth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oauth/2015-08-04/cl-oauth-20150804-git.tgz";
      sha256 = "1q4r5i3099684q5x9wqddrm9g88qm16nnra9glvxngywfjc5zzkk";
      system = "cl-oauth";
      asd = "cl-oauth";
    });
    systems = [ "cl-oauth" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "closer-mop" pkgs) (getAttr "drakma" pkgs) (getAttr "f-underscore" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-oauth_dot_tests = {
    pname = "cl-oauth.tests";
    version = "20150804-git";
    asds = [ "cl-oauth.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oauth/2015-08-04/cl-oauth-20150804-git.tgz";
      sha256 = "1q4r5i3099684q5x9wqddrm9g88qm16nnra9glvxngywfjc5zzkk";
      system = "cl-oauth.tests";
      asd = "cl-oauth";
    });
    systems = [ "cl-oauth.tests" ];
    lispLibs = [ (getAttr "cl-oauth" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-oclapi = {
    pname = "cl-oclapi";
    version = "20180831-git";
    asds = [ "cl-oclapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oclapi/2018-08-31/cl-oclapi-20180831-git.tgz";
      sha256 = "0aix5ipw98fsnvg1w7qmrjbwgn70gn7vf5av21xsgblp2sd7w2aw";
      system = "cl-oclapi";
      asd = "cl-oclapi";
    });
    systems = [ "cl-oclapi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-reexport" pkgs) ];
  };
  cl-oclapi-test = {
    pname = "cl-oclapi-test";
    version = "20180831-git";
    asds = [ "cl-oclapi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oclapi/2018-08-31/cl-oclapi-20180831-git.tgz";
      sha256 = "0aix5ipw98fsnvg1w7qmrjbwgn70gn7vf5av21xsgblp2sd7w2aw";
      system = "cl-oclapi-test";
      asd = "cl-oclapi-test";
    });
    systems = [ "cl-oclapi-test" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "cl-oclapi" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-octet-streams = {
    pname = "cl-octet-streams";
    version = "20201220-git";
    asds = [ "cl-octet-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-octet-streams/2020-12-20/cl-octet-streams-20201220-git.tgz";
      sha256 = "1hffh98bv4w5yrchagzwqrc43d2p473pvw7ka4kyyvhrr52dk2f8";
      system = "cl-octet-streams";
      asd = "cl-octet-streams";
    });
    systems = [ "cl-octet-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-octet-streams_slash_tests = {
    pname = "cl-octet-streams_tests";
    version = "20201220-git";
    asds = [ "cl-octet-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-octet-streams/2020-12-20/cl-octet-streams-20201220-git.tgz";
      sha256 = "1hffh98bv4w5yrchagzwqrc43d2p473pvw7ka4kyyvhrr52dk2f8";
      system = "cl-octet-streams";
      asd = "cl-octet-streams";
    });
    systems = [ "cl-octet-streams/tests" ];
    lispLibs = [ (getAttr "cl-octet-streams" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-ode = {
    pname = "cl-ode";
    version = "20160628-git";
    asds = [ "cl-ode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ode/2016-06-28/cl-ode-20160628-git.tgz";
      sha256 = "1pxm2pq0br0rhdfnvs5jqfkxfs8bc9wdqrzwyv83l8n7pax941b0";
      system = "cl-ode";
      asd = "cl-ode";
    });
    systems = [ "cl-ode" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-ohm = {
    pname = "cl-ohm";
    version = "20180228-git";
    asds = [ "cl-ohm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ohm/2018-02-28/cl-ohm-20180228-git.tgz";
      sha256 = "00gdfsiba761gk7xw91wfnr9yv84maagf9idh55bk5bs4ws1ymyp";
      system = "cl-ohm";
      asd = "cl-ohm";
    });
    systems = [ "cl-ohm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-redis" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-ohm_slash_test = {
    pname = "cl-ohm_test";
    version = "20180228-git";
    asds = [ "cl-ohm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ohm/2018-02-28/cl-ohm-20180228-git.tgz";
      sha256 = "00gdfsiba761gk7xw91wfnr9yv84maagf9idh55bk5bs4ws1ymyp";
      system = "cl-ohm";
      asd = "cl-ohm";
    });
    systems = [ "cl-ohm/test" ];
    lispLibs = [ (getAttr "cl-ohm" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-oju = {
    pname = "cl-oju";
    version = "20221106-git";
    asds = [ "cl-oju" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oju/2022-11-06/cl-oju-20221106-git.tgz";
      sha256 = "0xj8csalyrcpj1r0k7l0qdqyrm8s3vw60dmg5pgi59lif98l491x";
      system = "cl-oju";
      asd = "cl-oju";
    });
    systems = [ "cl-oju" ];
    lispLibs = [ (getAttr "_1am" pkgs) ];
  };
  cl-oju_slash_test = {
    pname = "cl-oju_test";
    version = "20221106-git";
    asds = [ "cl-oju" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oju/2022-11-06/cl-oju-20221106-git.tgz";
      sha256 = "0xj8csalyrcpj1r0k7l0qdqyrm8s3vw60dmg5pgi59lif98l491x";
      system = "cl-oju";
      asd = "cl-oju";
    });
    systems = [ "cl-oju/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "cl-oju" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-olefs = {
    pname = "cl-olefs";
    version = "20150709-git";
    asds = [ "cl-olefs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-olefs/2015-07-09/cl-olefs-20150709-git.tgz";
      sha256 = "0cqna6zzfrjmsq17yc4wg204kr77riczqjpm1w5cj1mba43zcac7";
      system = "cl-olefs";
      asd = "cl-olefs";
    });
    systems = [ "cl-olefs" ];
    lispLibs = [  ];
  };
  cl-one-time-passwords = {
    pname = "cl-one-time-passwords";
    version = "20171019-git";
    asds = [ "cl-one-time-passwords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-one-time-passwords/2017-10-19/cl-one-time-passwords-20171019-git.tgz";
      sha256 = "1nhq2jij257cfaadh9k421qaisicxpmx3wsc4kivf1psgbrc56lg";
      system = "cl-one-time-passwords";
      asd = "cl-one-time-passwords";
    });
    systems = [ "cl-one-time-passwords" ];
    lispLibs = [ (getAttr "ironclad" pkgs) ];
  };
  cl-one-time-passwords-test = {
    pname = "cl-one-time-passwords-test";
    version = "20171019-git";
    asds = [ "cl-one-time-passwords-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-one-time-passwords/2017-10-19/cl-one-time-passwords-20171019-git.tgz";
      sha256 = "1nhq2jij257cfaadh9k421qaisicxpmx3wsc4kivf1psgbrc56lg";
      system = "cl-one-time-passwords-test";
      asd = "cl-one-time-passwords-test";
    });
    systems = [ "cl-one-time-passwords-test" ];
    lispLibs = [ (getAttr "cl-one-time-passwords" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-oneliner = {
    pname = "cl-oneliner";
    version = "20131003-git";
    asds = [ "cl-oneliner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oneliner/2013-10-03/oneliner-20131003-git.tgz";
      sha256 = "0q9350s0r9yjmfc2360g35qi04b3867gd7hw5ada4176whinmjxb";
      system = "cl-oneliner";
      asd = "cl-oneliner";
    });
    systems = [ "cl-oneliner" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-online-learning = {
    pname = "cl-online-learning";
    version = "20220331-git";
    asds = [ "cl-online-learning" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-online-learning/2022-03-31/cl-online-learning-20220331-git.tgz";
      sha256 = "136v9kxcy53qar2j4y38awnw2idnf0lwxqwx7wgak664w3hxs6k8";
      system = "cl-online-learning";
      asd = "cl-online-learning";
    });
    systems = [ "cl-online-learning" ];
    lispLibs = [ (getAttr "cl-libsvm-format" pkgs) (getAttr "cl-store" pkgs) ];
  };
  cl-online-learning-test = {
    pname = "cl-online-learning-test";
    version = "20220331-git";
    asds = [ "cl-online-learning-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-online-learning/2022-03-31/cl-online-learning-20220331-git.tgz";
      sha256 = "136v9kxcy53qar2j4y38awnw2idnf0lwxqwx7wgak664w3hxs6k8";
      system = "cl-online-learning-test";
      asd = "cl-online-learning-test";
    });
    systems = [ "cl-online-learning-test" ];
    lispLibs = [ (getAttr "cl-online-learning" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-openal = {
    pname = "cl-openal";
    version = "20221106-git";
    asds = [ "cl-openal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-openal";
      asd = "cl-openal";
    });
    systems = [ "cl-openal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  cl-openal-examples = {
    pname = "cl-openal-examples";
    version = "20221106-git";
    asds = [ "cl-openal-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-openal-examples";
      asd = "cl-openal-examples";
    });
    systems = [ "cl-openal-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-alc" pkgs) (getAttr "cl-alut" pkgs) (getAttr "cl-openal" pkgs) ];
  };
  cl-opencl = {
    pname = "cl-opencl";
    version = "20211209-git";
    asds = [ "cl-opencl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opencl/2021-12-09/cl-opencl-20211209-git.tgz";
      sha256 = "1agg6rg7lsbq2jgarx25bwm1nw22jpl20bzhyn4ivygcgzp2mv29";
      system = "cl-opencl";
      asd = "cl-opencl";
    });
    systems = [ "cl-opencl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-opencl-utils = {
    pname = "cl-opencl-utils";
    version = "20211020-git";
    asds = [ "cl-opencl-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opencl-utils/2021-10-20/cl-opencl-utils-20211020-git.tgz";
      sha256 = "15q3n78b57k9hlprwh8wnga7ciq56wmcmimi32486sygl1ccg47n";
      system = "cl-opencl-utils";
      asd = "cl-opencl-utils";
    });
    systems = [ "cl-opencl-utils" ];
    lispLibs = [ (getAttr "cl-opencl" pkgs) ];
  };
  cl-opengl = {
    pname = "cl-opengl";
    version = "20191130-git";
    asds = [ "cl-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-opengl";
      asd = "cl-opengl";
    });
    systems = [ "cl-opengl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "float-features" pkgs) ];
  };
  cl-opengl_slash_es2 = {
    pname = "cl-opengl_es2";
    version = "20191130-git";
    asds = [ "cl-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-opengl";
      asd = "cl-opengl";
    });
    systems = [ "cl-opengl/es2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "float-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-openstack-client = {
    pname = "cl-openstack-client";
    version = "20191007-git";
    asds = [ "cl-openstack-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openstack-client/2019-10-07/cl-openstack-client-20191007-git.tgz";
      sha256 = "1sak75i82vn3acg7bxx8vjbw2y35wbq1vkh1yqhs68ksnph6d097";
      system = "cl-openstack-client";
      asd = "cl-openstack-client";
    });
    systems = [ "cl-openstack-client" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) (getAttr "local-time" pkgs) (getAttr "uri-template" pkgs) ];
  };
  cl-openstack-client-test = {
    pname = "cl-openstack-client-test";
    version = "20191007-git";
    asds = [ "cl-openstack-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openstack-client/2019-10-07/cl-openstack-client-20191007-git.tgz";
      sha256 = "1sak75i82vn3acg7bxx8vjbw2y35wbq1vkh1yqhs68ksnph6d097";
      system = "cl-openstack-client-test";
      asd = "cl-openstack-client-test";
    });
    systems = [ "cl-openstack-client-test" ];
    lispLibs = [ (getAttr "chunga" pkgs) (getAttr "cl-openstack-client" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-opsresearch = {
    pname = "cl-opsresearch";
    version = "20170403-git";
    asds = [ "cl-opsresearch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "cl-opsresearch";
      asd = "cl-opsresearch";
    });
    systems = [ "cl-opsresearch" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-org-mode = {
    pname = "cl-org-mode";
    version = "20101207-git";
    asds = [ "cl-org-mode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-org-mode/2010-12-07/cl-org-mode-20101207-git.tgz";
      sha256 = "1fvwl9jlbpd352b5zn2d45mabsim5xvzabwyz1h10hwv4gviymzf";
      system = "cl-org-mode";
      asd = "cl-org-mode";
    });
    systems = [ "cl-org-mode" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-out123 = {
    pname = "cl-out123";
    version = "20190710-git";
    asds = [ "cl-out123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-out123/2019-07-10/cl-out123-20190710-git.tgz";
      sha256 = "0mdwgfax6sq68wvdgjjp78i40ah7wqkpqnvaq8a1c509k7ghdgv1";
      system = "cl-out123";
      asd = "cl-out123";
    });
    systems = [ "cl-out123" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-pack = {
    pname = "cl-pack";
    version = "20200427-git";
    asds = [ "cl-pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pack/2020-04-27/cl-pack-20200427-git.tgz";
      sha256 = "0q7gawy0cwy49m1mxgj0jqnzzckk2ps74ncfaw1pqiqilfyx7np6";
      system = "cl-pack";
      asd = "cl-pack";
    });
    systems = [ "cl-pack" ];
    lispLibs = [ (getAttr "ieee-floats" pkgs) ];
  };
  cl-pack-test = {
    pname = "cl-pack-test";
    version = "20200427-git";
    asds = [ "cl-pack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pack/2020-04-27/cl-pack-20200427-git.tgz";
      sha256 = "0q7gawy0cwy49m1mxgj0jqnzzckk2ps74ncfaw1pqiqilfyx7np6";
      system = "cl-pack-test";
      asd = "cl-pack";
    });
    systems = [ "cl-pack-test" ];
    lispLibs = [ (getAttr "cl-pack" pkgs) ];
  };
  cl-package-locks = {
    pname = "cl-package-locks";
    version = "20111203-git";
    asds = [ "cl-package-locks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-package-locks/2011-12-03/cl-package-locks-20111203-git.tgz";
      sha256 = "0g3gfljnvpgd66ccd2sqawlkwqx4a0wsdrg5180va61w869cgxqq";
      system = "cl-package-locks";
      asd = "cl-package-locks";
    });
    systems = [ "cl-package-locks" ];
    lispLibs = [  ];
  };
  cl-pango = {
    pname = "cl-pango";
    version = "20170403-git";
    asds = [ "cl-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pango/2017-04-03/cl-pango-20170403-git.tgz";
      sha256 = "0zkn4yn8nkkjr0x1vcy856cvbmnyhdidqz0in8xvd2i93jvw5w0i";
      system = "cl-pango";
      asd = "cl-pango";
    });
    systems = [ "cl-pango" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-cairo2" pkgs) (getAttr "xmls" pkgs) ];
  };
  cl-parallel = {
    pname = "cl-parallel";
    version = "20130312-git";
    asds = [ "cl-parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parallel/2013-03-12/cl-parallel-20130312-git.tgz";
      sha256 = "1hmkcbwkj7rx8zg5wf2w06nvbabldpr7hbbg1ycj0fss86s2cx2c";
      system = "cl-parallel";
      asd = "cl-parallel";
    });
    systems = [ "cl-parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  cl-pass = {
    pname = "cl-pass";
    version = "20201220-git";
    asds = [ "cl-pass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pass/2020-12-20/cl-pass-20201220-git.tgz";
      sha256 = "05qx4jrkxqbqi72cxgswbpnifbdvp9mh7apc7566v522899bh0hb";
      system = "cl-pass";
      asd = "cl-pass";
    });
    systems = [ "cl-pass" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  cl-pass-test = {
    pname = "cl-pass-test";
    version = "20201220-git";
    asds = [ "cl-pass-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pass/2020-12-20/cl-pass-20201220-git.tgz";
      sha256 = "05qx4jrkxqbqi72cxgswbpnifbdvp9mh7apc7566v522899bh0hb";
      system = "cl-pass-test";
      asd = "cl-pass-test";
    });
    systems = [ "cl-pass-test" ];
    lispLibs = [ (getAttr "cl-pass" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-paths = {
    pname = "cl-paths";
    version = "20180228-git";
    asds = [ "cl-paths" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-paths";
      asd = "cl-paths";
    });
    systems = [ "cl-paths" ];
    lispLibs = [  ];
  };
  cl-paths-ttf = {
    pname = "cl-paths-ttf";
    version = "20180228-git";
    asds = [ "cl-paths-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-paths-ttf";
      asd = "cl-paths-ttf";
    });
    systems = [ "cl-paths-ttf" ];
    lispLibs = [ (getAttr "cl-paths" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  cl-pattern = {
    pname = "cl-pattern";
    version = "20140713-git";
    asds = [ "cl-pattern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pattern/2014-07-13/cl-pattern-20140713-git.tgz";
      sha256 = "0kc1yynn1ysa7bcaazhi1pq8l3hj3jq6p835kh5di7g1imrfkrny";
      system = "cl-pattern";
      asd = "cl-pattern";
    });
    systems = [ "cl-pattern" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) ];
  };
  cl-pattern-benchmark = {
    pname = "cl-pattern-benchmark";
    version = "20140713-git";
    asds = [ "cl-pattern-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pattern/2014-07-13/cl-pattern-20140713-git.tgz";
      sha256 = "0kc1yynn1ysa7bcaazhi1pq8l3hj3jq6p835kh5di7g1imrfkrny";
      system = "cl-pattern-benchmark";
      asd = "cl-pattern-benchmark";
    });
    systems = [ "cl-pattern-benchmark" ];
    lispLibs = [ (getAttr "cl-pattern" pkgs) ];
  };
  cl-patterns = {
    pname = "cl-patterns";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dissect" pkgs) (getAttr "local-time" pkgs) (getAttr "mutility" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-patterns_slash_debug = {
    pname = "cl-patterns_debug";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/debug" ];
    lispLibs = [ (getAttr "cl-patterns" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-patterns_slash_generic-cl = {
    pname = "cl-patterns_generic-cl";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/generic-cl" ];
    lispLibs = [ (getAttr "cl-patterns" pkgs) (getAttr "generic-cl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-patterns_slash_midifile = {
    pname = "cl-patterns_midifile";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/midifile" ];
    lispLibs = [ (getAttr "cl-patterns" pkgs) (getAttr "midi" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-patterns_slash_sugar = {
    pname = "cl-patterns_sugar";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/sugar" ];
    lispLibs = [ (getAttr "cl-patterns" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-patterns_slash_supercollider = {
    pname = "cl-patterns_supercollider";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/supercollider" ];
    lispLibs = [ (getAttr "cl-collider" pkgs) (getAttr "cl-patterns" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-patterns_slash_tests = {
    pname = "cl-patterns_tests";
    version = "20221106-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2022-11-06/cl-patterns-20221106-git.tgz";
      sha256 = "0hgr6f3f3iggbacpkglqykah0xjimnbn21z4fliw3qgzzagz6hbb";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns/tests" ];
    lispLibs = [ (getAttr "cl-org-mode" pkgs) (getAttr "cl-patterns" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fiveam" pkgs) (getAttr "mutility" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-paymill = {
    pname = "cl-paymill";
    version = "20131111-git";
    asds = [ "cl-paymill" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-paymill/2013-11-11/cl-paymill-20131111-git.tgz";
      sha256 = "1dhddmw7gxfxbv1vfqi6nzyh8m5n3b160ch6ianf5sn6apmi92nw";
      system = "cl-paymill";
      asd = "cl-paymill";
    });
    systems = [ "cl-paymill" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "drakma" pkgs) (getAttr "st-json" pkgs) ];
  };
  cl-paypal = {
    pname = "cl-paypal";
    version = "20101006-git";
    asds = [ "cl-paypal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-paypal/2010-10-06/cl-paypal-20101006-git.tgz";
      sha256 = "0cc6zv17klgiyj1mbbrkbvajkr6dwsjv3iilh57vhdqd01lrhnb2";
      system = "cl-paypal";
      asd = "cl-paypal";
    });
    systems = [ "cl-paypal" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  cl-pcg = {
    pname = "cl-pcg";
    version = "20201016-hg";
    asds = [ "cl-pcg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pcg/2020-10-16/cl-pcg-20201016-hg.tgz";
      sha256 = "1w2b2y5fgjc6z8akvlmwasj90dnjv55nvb8pghq4xpv43hfy73mp";
      system = "cl-pcg";
      asd = "cl-pcg";
    });
    systems = [ "cl-pcg" ];
    lispLibs = [  ];
  };
  cl-pcg_dot_test = {
    pname = "cl-pcg.test";
    version = "20201016-hg";
    asds = [ "cl-pcg.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pcg/2020-10-16/cl-pcg-20201016-hg.tgz";
      sha256 = "1w2b2y5fgjc6z8akvlmwasj90dnjv55nvb8pghq4xpv43hfy73mp";
      system = "cl-pcg.test";
      asd = "cl-pcg.test";
    });
    systems = [ "cl-pcg.test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "cl-pcg" pkgs) ];
  };
  cl-pdf = {
    pname = "cl-pdf";
    version = "20221106-git";
    asds = [ "cl-pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pdf/2022-11-06/cl-pdf-20221106-git.tgz";
      sha256 = "1qk22mxmq2wxj9hc27cn51bwia9llzlxfmhl04l7kvqv9ki4z0j2";
      system = "cl-pdf";
      asd = "cl-pdf";
    });
    systems = [ "cl-pdf" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "uiop" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  cl-pdf-doc = {
    pname = "cl-pdf-doc";
    version = "20210531-git";
    asds = [ "cl-pdf-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "cl-pdf-doc";
      asd = "cl-pdf-doc";
    });
    systems = [ "cl-pdf-doc" ];
    lispLibs = [ (getAttr "cl-pdf" pkgs) (getAttr "cl-typesetting" pkgs) ];
  };
  cl-pdf-parser = {
    pname = "cl-pdf-parser";
    version = "20221106-git";
    asds = [ "cl-pdf-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pdf/2022-11-06/cl-pdf-20221106-git.tgz";
      sha256 = "1qk22mxmq2wxj9hc27cn51bwia9llzlxfmhl04l7kvqv9ki4z0j2";
      system = "cl-pdf-parser";
      asd = "cl-pdf-parser";
    });
    systems = [ "cl-pdf-parser" ];
    lispLibs = [ (getAttr "cl-pdf" pkgs) ];
  };
  cl-performance-tuning-helper = {
    pname = "cl-performance-tuning-helper";
    version = "20130615-git";
    asds = [ "cl-performance-tuning-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-performance-tuning-helper/2013-06-15/cl-performance-tuning-helper-20130615-git.tgz";
      sha256 = "1j0k319il271grm6hjqq2bazp5l105lazayqsmpsy8lsy4lmy0c3";
      system = "cl-performance-tuning-helper";
      asd = "cl-performance-tuning-helper";
    });
    systems = [ "cl-performance-tuning-helper" ];
    lispLibs = [  ];
  };
  cl-performance-tuning-helper-test = {
    pname = "cl-performance-tuning-helper-test";
    version = "20130615-git";
    asds = [ "cl-performance-tuning-helper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-performance-tuning-helper/2013-06-15/cl-performance-tuning-helper-20130615-git.tgz";
      sha256 = "1j0k319il271grm6hjqq2bazp5l105lazayqsmpsy8lsy4lmy0c3";
      system = "cl-performance-tuning-helper-test";
      asd = "cl-performance-tuning-helper-test";
    });
    systems = [ "cl-performance-tuning-helper-test" ];
    lispLibs = [ (getAttr "cl-performance-tuning-helper" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-permutation = {
    pname = "cl-permutation";
    version = "20211209-git";
    asds = [ "cl-permutation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation";
      asd = "cl-permutation";
    });
    systems = [ "cl-permutation" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-fft" pkgs) (getAttr "cl-algebraic-data-type" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-permutation-examples = {
    pname = "cl-permutation-examples";
    version = "20211209-git";
    asds = [ "cl-permutation-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation-examples";
      asd = "cl-permutation-examples";
    });
    systems = [ "cl-permutation-examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-permutation" pkgs) ];
  };
  cl-permutation-tests = {
    pname = "cl-permutation-tests";
    version = "20211209-git";
    asds = [ "cl-permutation-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation-tests";
      asd = "cl-permutation-tests";
    });
    systems = [ "cl-permutation-tests" ];
    lispLibs = [ (getAttr "cl-permutation" pkgs) (getAttr "cl-permutation-examples" pkgs) (getAttr "fiasco" pkgs) ];
  };
  cl-photo = {
    pname = "cl-photo";
    version = "20150923-git";
    asds = [ "cl-photo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-photo/2015-09-23/cl-photo-20150923-git.tgz";
      sha256 = "03rzsi1rqvlnw43z7kh5sy1h8gjxc5n0cfryfkkqnhym9q9186mj";
      system = "cl-photo";
      asd = "cl-photo";
    });
    systems = [ "cl-photo" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) ];
  };
  cl-photo-tests = {
    pname = "cl-photo-tests";
    version = "20150923-git";
    asds = [ "cl-photo-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-photo/2015-09-23/cl-photo-20150923-git.tgz";
      sha256 = "03rzsi1rqvlnw43z7kh5sy1h8gjxc5n0cfryfkkqnhym9q9186mj";
      system = "cl-photo-tests";
      asd = "cl-photo-tests";
    });
    systems = [ "cl-photo-tests" ];
    lispLibs = [ (getAttr "cl-photo" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-plplot = {
    pname = "cl-plplot";
    version = "20180228-git";
    asds = [ "cl-plplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plplot/2018-02-28/cl-plplot-20180228-git.tgz";
      sha256 = "0hfgq47ga2r764jfc3ywaz5ynnvp701fjhbw0s4j1mrw4gaf6y6w";
      system = "cl-plplot";
      asd = "cl-plplot";
    });
    systems = [ "cl-plplot" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-plumbing = {
    pname = "cl-plumbing";
    version = "20181018-git";
    asds = [ "cl-plumbing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plumbing/2018-10-18/cl-plumbing-20181018-git.tgz";
      sha256 = "0bc4qqj0c4hghwx8jm3vg422c3i8livv3vvzfzi0gw79khaqdiyr";
      system = "cl-plumbing";
      asd = "cl-plumbing";
    });
    systems = [ "cl-plumbing" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-plumbing-test = {
    pname = "cl-plumbing-test";
    version = "20181018-git";
    asds = [ "cl-plumbing-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plumbing/2018-10-18/cl-plumbing-20181018-git.tgz";
      sha256 = "0bc4qqj0c4hghwx8jm3vg422c3i8livv3vvzfzi0gw79khaqdiyr";
      system = "cl-plumbing-test";
      asd = "cl-plumbing-test";
    });
    systems = [ "cl-plumbing-test" ];
    lispLibs = [ (getAttr "cl-plumbing" pkgs) (getAttr "iterate" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-plus-c = {
    pname = "cl-plus-c";
    version = "20221106-git";
    asds = [ "cl-plus-c" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-plus-c";
      asd = "cl-plus-c";
    });
    systems = [ "cl-plus-c" ];
    lispLibs = [ (getAttr "cl-autowrap" pkgs) ];
  };
  cl-ply = {
    pname = "cl-ply";
    version = "20150505-git";
    asds = [ "cl-ply" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ply/2015-05-05/cl-ply-20150505-git.tgz";
      sha256 = "1va3il5ahvziwm6i3f2zy3vchv0qkh1l7jci7gnfam43gf88fl12";
      system = "cl-ply";
      asd = "cl-ply";
    });
    systems = [ "cl-ply" ];
    lispLibs = [ (getAttr "cl-pattern" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-ply-test = {
    pname = "cl-ply-test";
    version = "20150505-git";
    asds = [ "cl-ply-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ply/2015-05-05/cl-ply-20150505-git.tgz";
      sha256 = "1va3il5ahvziwm6i3f2zy3vchv0qkh1l7jci7gnfam43gf88fl12";
      system = "cl-ply-test";
      asd = "cl-ply-test";
    });
    systems = [ "cl-ply-test" ];
    lispLibs = [ (getAttr "cl-ply" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-poker-eval = {
    pname = "cl-poker-eval";
    version = "20150804-git";
    asds = [ "cl-poker-eval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-poker-eval/2015-08-04/cl-poker-eval-20150804-git.tgz";
      sha256 = "1w4dsr4j7r3n7p0jbp8ccwwk83wcjjiz1rhhfrqpsd9v263v7kw8";
      system = "cl-poker-eval";
      asd = "cl-poker-eval";
    });
    systems = [ "cl-poker-eval" ];
    lispLibs = [  ];
  };
  cl-pop = {
    pname = "cl-pop";
    version = "20110418-http";
    asds = [ "cl-pop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pop/2011-04-18/cl-pop-20110418-http.tgz";
      sha256 = "1g47p9w2pzf7glx92cz859di9pz454xpaq97p76lcvyilxk6q819";
      system = "cl-pop";
      asd = "cl-pop";
    });
    systems = [ "cl-pop" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-portaudio = {
    pname = "cl-portaudio";
    version = "20201220-git";
    asds = [ "cl-portaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portaudio/2020-12-20/cl-portaudio-20201220-git.tgz";
      sha256 = "177c6bgf30caj5qpzfnzhbamax7c5zm2p4911mw7fay94vjs7zyb";
      system = "cl-portaudio";
      asd = "cl-portaudio";
    });
    systems = [ "cl-portaudio" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "ffa" pkgs) ];
  };
  cl-portaudio_slash_doc = {
    pname = "cl-portaudio_doc";
    version = "20201220-git";
    asds = [ "cl-portaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portaudio/2020-12-20/cl-portaudio-20201220-git.tgz";
      sha256 = "177c6bgf30caj5qpzfnzhbamax7c5zm2p4911mw7fay94vjs7zyb";
      system = "cl-portaudio";
      asd = "cl-portaudio";
    });
    systems = [ "cl-portaudio/doc" ];
    lispLibs = [ (getAttr "atdoc" pkgs) (getAttr "cl-portaudio" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-portaudio_slash_tests = {
    pname = "cl-portaudio_tests";
    version = "20201220-git";
    asds = [ "cl-portaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portaudio/2020-12-20/cl-portaudio-20201220-git.tgz";
      sha256 = "177c6bgf30caj5qpzfnzhbamax7c5zm2p4911mw7fay94vjs7zyb";
      system = "cl-portaudio";
      asd = "cl-portaudio";
    });
    systems = [ "cl-portaudio/tests" ];
    lispLibs = [ (getAttr "cl-portaudio" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-postgres = {
    pname = "cl-postgres";
    version = "20221106-git";
    asds = [ "cl-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "cl-postgres";
      asd = "cl-postgres";
    });
    systems = [ "cl-postgres" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "ironclad" pkgs) (getAttr "md5" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uax-15" pkgs) ];
  };
  cl-postgres_plus_local-time = {
    pname = "cl-postgres+local-time";
    version = "20220707-git";
    asds = [ "cl-postgres+local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time/2022-07-07/local-time-20220707-git.tgz";
      sha256 = "0191fxlvzi3asx145bpdgd325s6wx2gqm5ssa4f72l0smr5av671";
      system = "cl-postgres+local-time";
      asd = "cl-postgres+local-time";
    });
    systems = [ "cl-postgres+local-time" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "cl-postgres" pkgs) ];
  };
  cl-postgres_plus_local-time-duration = {
    pname = "cl-postgres+local-time-duration";
    version = "20180430-git";
    asds = [ "cl-postgres+local-time-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time-duration/2018-04-30/local-time-duration-20180430-git.tgz";
      sha256 = "0f13mg18lv31lclz9jvqyj8d85p1jj1366nlld8m3dxnnwsbbkd6";
      system = "cl-postgres+local-time-duration";
      asd = "cl-postgres+local-time-duration";
    });
    systems = [ "cl-postgres+local-time-duration" ];
    lispLibs = [ (getAttr "local-time-duration" pkgs) (getAttr "cl-postgres" pkgs) ];
  };
  cl-postgres-datetime = {
    pname = "cl-postgres-datetime";
    version = "20190521-git";
    asds = [ "cl-postgres-datetime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-postgres-datetime/2019-05-21/cl-postgres-datetime-20190521-git.tgz";
      sha256 = "1vwv5j1i968927j070bagqx9i114a8phmx7k9ankj9j5zg5dj0l3";
      system = "cl-postgres-datetime";
      asd = "cl-postgres-datetime";
    });
    systems = [ "cl-postgres-datetime" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "simple-date" pkgs) ];
  };
  cl-postgres-plus-uuid = {
    pname = "cl-postgres-plus-uuid";
    version = "20181018-git";
    asds = [ "cl-postgres-plus-uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-postgres-plus-uuid/2018-10-18/cl-postgres-plus-uuid-20181018-git.tgz";
      sha256 = "1iw11v67gpwgpa5dw3d7chjmkc4d7sdwrqvnx0vg0m2qf4j7azmi";
      system = "cl-postgres-plus-uuid";
      asd = "cl-postgres-plus-uuid";
    });
    systems = [ "cl-postgres-plus-uuid" ];
    lispLibs = [ (getAttr "cl-postgres" pkgs) (getAttr "uuid" pkgs) ];
  };
  cl-postgres_slash_simple-date-tests = {
    pname = "cl-postgres_simple-date-tests";
    version = "20221106-git";
    asds = [ "cl-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "cl-postgres";
      asd = "cl-postgres";
    });
    systems = [ "cl-postgres/simple-date-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "simple-date" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-postgres_slash_tests = {
    pname = "cl-postgres_tests";
    version = "20221106-git";
    asds = [ "cl-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "cl-postgres";
      asd = "cl-postgres";
    });
    systems = [ "cl-postgres/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-ppcre = {
    pname = "cl-ppcre";
    version = "20220220-git";
    asds = [ "cl-ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2022-02-20/cl-ppcre-20220220-git.tgz";
      sha256 = "13z548s88xrz2nscq91w3i33ymxacgq3zl62i8d31hqmwr4s45zb";
      system = "cl-ppcre";
      asd = "cl-ppcre";
    });
    systems = [ "cl-ppcre" ];
    lispLibs = [  ];
  };
  cl-ppcre-template = {
    pname = "cl-ppcre-template";
    version = "20211230-git";
    asds = [ "cl-ppcre-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2021-12-30/cl-unification-20211230-git.tgz";
      sha256 = "1k4ngdn1qycjakwl66kvxk6kjxhkamzq3yfq4qlpc0kd15p7d2xn";
      system = "cl-ppcre-template";
      asd = "cl-ppcre-template";
    });
    systems = [ "cl-ppcre-template" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-unification" pkgs) ];
  };
  cl-ppcre-unicode = {
    pname = "cl-ppcre-unicode";
    version = "20220220-git";
    asds = [ "cl-ppcre-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2022-02-20/cl-ppcre-20220220-git.tgz";
      sha256 = "13z548s88xrz2nscq91w3i33ymxacgq3zl62i8d31hqmwr4s45zb";
      system = "cl-ppcre-unicode";
      asd = "cl-ppcre-unicode";
    });
    systems = [ "cl-ppcre-unicode" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-unicode" pkgs) ];
  };
  cl-ppcre-unicode_slash_test = {
    pname = "cl-ppcre-unicode_test";
    version = "20220220-git";
    asds = [ "cl-ppcre-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2022-02-20/cl-ppcre-20220220-git.tgz";
      sha256 = "13z548s88xrz2nscq91w3i33ymxacgq3zl62i8d31hqmwr4s45zb";
      system = "cl-ppcre-unicode";
      asd = "cl-ppcre-unicode";
    });
    systems = [ "cl-ppcre-unicode/test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "flexi-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-ppcre_slash_test = {
    pname = "cl-ppcre_test";
    version = "20220220-git";
    asds = [ "cl-ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2022-02-20/cl-ppcre-20220220-git.tgz";
      sha256 = "13z548s88xrz2nscq91w3i33ymxacgq3zl62i8d31hqmwr4s45zb";
      system = "cl-ppcre";
      asd = "cl-ppcre";
    });
    systems = [ "cl-ppcre/test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-prevalence = {
    pname = "cl-prevalence";
    version = "20210531-git";
    asds = [ "cl-prevalence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prevalence/2021-05-31/cl-prevalence-20210531-git.tgz";
      sha256 = "04bxhbrqgvpjhfffrfkl1x0m975qhnfsvqbankd7p70afw25ris7";
      system = "cl-prevalence";
      asd = "cl-prevalence";
    });
    systems = [ "cl-prevalence" ];
    lispLibs = [ (getAttr "s-sysdeps" pkgs) (getAttr "s-xml" pkgs) ];
  };
  cl-prevalence-test = {
    pname = "cl-prevalence-test";
    version = "20210531-git";
    asds = [ "cl-prevalence-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prevalence/2021-05-31/cl-prevalence-20210531-git.tgz";
      sha256 = "04bxhbrqgvpjhfffrfkl1x0m975qhnfsvqbankd7p70afw25ris7";
      system = "cl-prevalence-test";
      asd = "cl-prevalence-test";
    });
    systems = [ "cl-prevalence-test" ];
    lispLibs = [ (getAttr "cl-prevalence" pkgs) (getAttr "find-port" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-primality = {
    pname = "cl-primality";
    version = "20150608-git";
    asds = [ "cl-primality" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-primality/2015-06-08/cl-primality-20150608-git.tgz";
      sha256 = "1hvbsd5x7yrrrh7jjq0p8ign3ppzzpacmmz7nps60wgk38q1b618";
      system = "cl-primality";
      asd = "cl-primality";
    });
    systems = [ "cl-primality" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  cl-primality-test = {
    pname = "cl-primality-test";
    version = "20150608-git";
    asds = [ "cl-primality-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-primality/2015-06-08/cl-primality-20150608-git.tgz";
      sha256 = "1hvbsd5x7yrrrh7jjq0p8ign3ppzzpacmmz7nps60wgk38q1b618";
      system = "cl-primality-test";
      asd = "cl-primality-test";
    });
    systems = [ "cl-primality-test" ];
    lispLibs = [ (getAttr "cl-primality" pkgs) (getAttr "iterate" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-prime-maker = {
    pname = "cl-prime-maker";
    version = "20150302-git";
    asds = [ "cl-prime-maker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prime-maker/2015-03-02/cl-prime-maker-20150302-git.tgz";
      sha256 = "0hs95zs990aiwspss2dzmjvl18ipvlkx3p9cgmcncqxhgkizds9s";
      system = "cl-prime-maker";
      asd = "cl-prime-maker";
    });
    systems = [ "cl-prime-maker" ];
    lispLibs = [  ];
  };
  cl-progress-bar = {
    pname = "cl-progress-bar";
    version = "20211209-git";
    asds = [ "cl-progress-bar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-progress-bar/2021-12-09/cl-progress-bar-20211209-git.tgz";
      sha256 = "1y4kg4qb4bxkqnc84mczx5fhqlr6qbagxwsn93xrilv8lqg8ymiv";
      system = "cl-progress-bar";
      asd = "cl-progress-bar";
    });
    systems = [ "cl-progress-bar" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-utils-extensions" pkgs) ];
  };
  cl-project = {
    pname = "cl-project";
    version = "20200715-git";
    asds = [ "cl-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-project/2020-07-15/cl-project-20200715-git.tgz";
      sha256 = "1rmh6s1ncv8s2yrr14ja9wisgg745sq6xibqwb341ikdicxdp26y";
      system = "cl-project";
      asd = "cl-project";
    });
    systems = [ "cl-project" ];
    lispLibs = [ (getAttr "cl-emb" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "prove" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-project-test = {
    pname = "cl-project-test";
    version = "20200715-git";
    asds = [ "cl-project-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-project/2020-07-15/cl-project-20200715-git.tgz";
      sha256 = "1rmh6s1ncv8s2yrr14ja9wisgg745sq6xibqwb341ikdicxdp26y";
      system = "cl-project-test";
      asd = "cl-project-test";
    });
    systems = [ "cl-project-test" ];
    lispLibs = [ (getAttr "caveman2" pkgs) (getAttr "cl-project" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-prolog2 = {
    pname = "cl-prolog2";
    version = "20211209-git";
    asds = [ "cl-prolog2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2";
      asd = "cl-prolog2";
    });
    systems = [ "cl-prolog2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "external-program" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_quasiquote" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-prolog2_dot_bprolog = {
    pname = "cl-prolog2.bprolog";
    version = "20211209-git";
    asds = [ "cl-prolog2.bprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.bprolog";
      asd = "cl-prolog2.bprolog";
    });
    systems = [ "cl-prolog2.bprolog" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) ];
  };
  cl-prolog2_dot_bprolog_dot_test = {
    pname = "cl-prolog2.bprolog.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.bprolog.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.bprolog.test";
      asd = "cl-prolog2.bprolog.test";
    });
    systems = [ "cl-prolog2.bprolog.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_bprolog" pkgs) (getAttr "cl-prolog2_dot_test" pkgs) ];
  };
  cl-prolog2_dot_gprolog = {
    pname = "cl-prolog2.gprolog";
    version = "20211209-git";
    asds = [ "cl-prolog2.gprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.gprolog";
      asd = "cl-prolog2.gprolog";
    });
    systems = [ "cl-prolog2.gprolog" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) ];
  };
  cl-prolog2_dot_gprolog_dot_test = {
    pname = "cl-prolog2.gprolog.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.gprolog.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.gprolog.test";
      asd = "cl-prolog2.gprolog.test";
    });
    systems = [ "cl-prolog2.gprolog.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_gprolog" pkgs) (getAttr "cl-prolog2_dot_test" pkgs) ];
  };
  cl-prolog2_dot_swi = {
    pname = "cl-prolog2.swi";
    version = "20211209-git";
    asds = [ "cl-prolog2.swi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.swi";
      asd = "cl-prolog2.swi";
    });
    systems = [ "cl-prolog2.swi" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) ];
  };
  cl-prolog2_dot_swi_dot_test = {
    pname = "cl-prolog2.swi.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.swi.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.swi.test";
      asd = "cl-prolog2.swi.test";
    });
    systems = [ "cl-prolog2.swi.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_swi" pkgs) (getAttr "cl-prolog2_dot_test" pkgs) ];
  };
  cl-prolog2_dot_test = {
    pname = "cl-prolog2.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.test";
      asd = "cl-prolog2.test";
    });
    systems = [ "cl-prolog2.test" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-prolog2_dot_xsb = {
    pname = "cl-prolog2.xsb";
    version = "20211209-git";
    asds = [ "cl-prolog2.xsb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.xsb";
      asd = "cl-prolog2.xsb";
    });
    systems = [ "cl-prolog2.xsb" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) ];
  };
  cl-prolog2_dot_xsb_dot_test = {
    pname = "cl-prolog2.xsb.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.xsb.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.xsb.test";
      asd = "cl-prolog2.xsb.test";
    });
    systems = [ "cl-prolog2.xsb.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_test" pkgs) (getAttr "cl-prolog2_dot_xsb" pkgs) ];
  };
  cl-prolog2_dot_yap = {
    pname = "cl-prolog2.yap";
    version = "20211209-git";
    asds = [ "cl-prolog2.yap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.yap";
      asd = "cl-prolog2.yap";
    });
    systems = [ "cl-prolog2.yap" ];
    lispLibs = [ (getAttr "cl-prolog2" pkgs) ];
  };
  cl-prolog2_dot_yap_dot_test = {
    pname = "cl-prolog2.yap.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.yap.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.yap.test";
      asd = "cl-prolog2.yap.test";
    });
    systems = [ "cl-prolog2.yap.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_test" pkgs) (getAttr "cl-prolog2_dot_yap" pkgs) ];
  };
  cl-protobufs = {
    pname = "cl-protobufs";
    version = "20221106-git";
    asds = [ "cl-protobufs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-protobufs/2022-11-06/cl-protobufs-20221106-git.tgz";
      sha256 = "1nlxhz0xisfi8jdhh393ds2asjid4rwjddrbhyijbadaj9gl9jkf";
      system = "cl-protobufs";
      asd = "cl-protobufs";
    });
    systems = [ "cl-protobufs" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-protobufs_dot_asdf" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-protobufs_dot_asdf = {
    pname = "cl-protobufs.asdf";
    version = "20221106-git";
    asds = [ "cl-protobufs.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-protobufs/2022-11-06/cl-protobufs-20221106-git.tgz";
      sha256 = "1nlxhz0xisfi8jdhh393ds2asjid4rwjddrbhyijbadaj9gl9jkf";
      system = "cl-protobufs.asdf";
      asd = "cl-protobufs.asdf";
    });
    systems = [ "cl-protobufs.asdf" ];
    lispLibs = [  ];
  };
  cl-protobufs_slash_tests = {
    pname = "cl-protobufs_tests";
    version = "20221106-git";
    asds = [ "cl-protobufs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-protobufs/2022-11-06/cl-protobufs-20221106-git.tgz";
      sha256 = "1nlxhz0xisfi8jdhh393ds2asjid4rwjddrbhyijbadaj9gl9jkf";
      system = "cl-protobufs";
      asd = "cl-protobufs";
    });
    systems = [ "cl-protobufs/tests" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-protobufs" pkgs) (getAttr "cl-protobufs_dot_asdf" pkgs) (getAttr "clunit2" pkgs) (getAttr "trivial-benchmark" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-pslib = {
    pname = "cl-pslib";
    version = "20201016-git";
    asds = [ "cl-pslib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pslib/2020-10-16/cl-pslib-20201016-git.tgz";
      sha256 = "1l3ig57lrqdbm3kd9kbch3y3az8kryc9bqn896vz3a3w3rnwcv5a";
      system = "cl-pslib";
      asd = "cl-pslib";
    });
    systems = [ "cl-pslib" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-colors2" pkgs) (getAttr "cl-ppcre-unicode" pkgs) ];
  };
  cl-pslib-barcode = {
    pname = "cl-pslib-barcode";
    version = "20200218-git";
    asds = [ "cl-pslib-barcode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pslib-barcode/2020-02-18/cl-pslib-barcode-20200218-git.tgz";
      sha256 = "10hmvjx03m54xyrjdw92kfpcvch0by0c8lwj899rbgxwfjsbwc49";
      system = "cl-pslib-barcode";
      asd = "cl-pslib-barcode";
    });
    systems = [ "cl-pslib-barcode" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-colors2" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "cl-pslib" pkgs) ];
  };
  cl-punch = {
    pname = "cl-punch";
    version = "20190107-git";
    asds = [ "cl-punch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-punch/2019-01-07/cl-punch-20190107-git.tgz";
      sha256 = "1sjgwn6c77n8pgs0rrw70xfl18rps6a0dlf2chfsbgk8shz6qyl2";
      system = "cl-punch";
      asd = "cl-punch";
    });
    systems = [ "cl-punch" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) ];
  };
  cl-punch-test = {
    pname = "cl-punch-test";
    version = "20190107-git";
    asds = [ "cl-punch-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-punch/2019-01-07/cl-punch-20190107-git.tgz";
      sha256 = "1sjgwn6c77n8pgs0rrw70xfl18rps6a0dlf2chfsbgk8shz6qyl2";
      system = "cl-punch-test";
      asd = "cl-punch-test";
    });
    systems = [ "cl-punch-test" ];
    lispLibs = [ (getAttr "cl-punch" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-qprint = {
    pname = "cl-qprint";
    version = "20150804-git";
    asds = [ "cl-qprint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qprint/2015-08-04/cl-qprint-20150804-git.tgz";
      sha256 = "099h0rrdzxnlmn8avi72mg2dl0kccp7w01b2p9nwyy4b8yr32cir";
      system = "cl-qprint";
      asd = "cl-qprint";
    });
    systems = [ "cl-qprint" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) ];
  };
  cl-qrencode = {
    pname = "cl-qrencode";
    version = "20191007-git";
    asds = [ "cl-qrencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qrencode/2019-10-07/cl-qrencode-20191007-git.tgz";
      sha256 = "1l5k131dchbf6cj8a8xqa731790p01p3qa1kdy2wa9dawy3ymkxr";
      system = "cl-qrencode";
      asd = "cl-qrencode";
    });
    systems = [ "cl-qrencode" ];
    lispLibs = [ (getAttr "zpng" pkgs) ];
  };
  cl-qrencode-test = {
    pname = "cl-qrencode-test";
    version = "20191007-git";
    asds = [ "cl-qrencode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qrencode/2019-10-07/cl-qrencode-20191007-git.tgz";
      sha256 = "1l5k131dchbf6cj8a8xqa731790p01p3qa1kdy2wa9dawy3ymkxr";
      system = "cl-qrencode-test";
      asd = "cl-qrencode-test";
    });
    systems = [ "cl-qrencode-test" ];
    lispLibs = [ (getAttr "cl-qrencode" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-quickcheck = {
    pname = "cl-quickcheck";
    version = "20200610-git";
    asds = [ "cl-quickcheck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-quickcheck/2020-06-10/cl-quickcheck-20200610-git.tgz";
      sha256 = "0cfyxbdhklvdk3qdzyxxaq9q6cxnsvqjfi86nay1vc7h6ziysb60";
      system = "cl-quickcheck";
      asd = "cl-quickcheck";
    });
    systems = [ "cl-quickcheck" ];
    lispLibs = [  ];
  };
  cl-quil = {
    pname = "cl-quil";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil" ];
    lispLibs = [ (getAttr "alexa" pkgs) (getAttr "alexandria" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "singleton-classes" pkgs) (getAttr "cl-algebraic-data-type" pkgs) (getAttr "cl-grnm" pkgs) (getAttr "cl-heap" pkgs) (getAttr "cl-permutation" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "global-vars" pkgs) (getAttr "magicl" pkgs) (getAttr "optima" pkgs) (getAttr "parse-float" pkgs) (getAttr "queues_dot_priority-queue" pkgs) (getAttr "salza2" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-quil-benchmarking = {
    pname = "cl-quil-benchmarking";
    version = "v1.26.0";
    asds = [ "cl-quil-benchmarking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil-benchmarking";
      asd = "cl-quil-benchmarking";
    });
    systems = [ "cl-quil-benchmarking" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "metering" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm-app" pkgs) (getAttr "trivial-benchmark" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-quil-tests = {
    pname = "cl-quil-tests";
    version = "v1.26.0";
    asds = [ "cl-quil-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil-tests";
      asd = "cl-quil-tests";
    });
    systems = [ "cl-quil-tests" ];
    lispLibs = [ (getAttr "alexa" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-permutation" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yacc" pkgs) (getAttr "fiasco" pkgs) (getAttr "magicl" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-quil_slash_quilec = {
    pname = "cl-quil_quilec";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/quilec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "magicl" pkgs) (getAttr "cl-quil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-quil_slash_quilec-tests = {
    pname = "cl-quil_quilec-tests";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/quilec-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiasco" pkgs) (getAttr "magicl" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-quil_slash_quilt = {
    pname = "cl-quil_quilt";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/quilt" ];
    lispLibs = [ (getAttr "cl-quil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-quil_slash_quilt-tests = {
    pname = "cl-quil_quilt-tests";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/quilt-tests" ];
    lispLibs = [ (getAttr "cl-quil" pkgs) (getAttr "cl-quil-tests" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-quil_slash_tools = {
    pname = "cl-quil_tools";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/tools" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" pkgs) (getAttr "cl-quil" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-quil_slash_tools-tests = {
    pname = "cl-quil_tools-tests";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil/tools-tests" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" pkgs) (getAttr "cl-quil" pkgs) (getAttr "cl-quil-tests" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-rabbit = {
    pname = "cl-rabbit";
    version = "20210411-git";
    asds = [ "cl-rabbit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rabbit/2021-04-11/cl-rabbit-20210411-git.tgz";
      sha256 = "1q1mhqxqvxbr6ak7j0ym6mjhhq6r0pqk1l7az9hfajmqmw3xfija";
      system = "cl-rabbit";
      asd = "cl-rabbit";
    });
    systems = [ "cl-rabbit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-rabbit-tests = {
    pname = "cl-rabbit-tests";
    version = "20210411-git";
    asds = [ "cl-rabbit-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rabbit/2021-04-11/cl-rabbit-20210411-git.tgz";
      sha256 = "1q1mhqxqvxbr6ak7j0ym6mjhhq6r0pqk1l7az9hfajmqmw3xfija";
      system = "cl-rabbit-tests";
      asd = "cl-rabbit-tests";
    });
    systems = [ "cl-rabbit-tests" ];
    lispLibs = [ (getAttr "cl-rabbit" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-randist = {
    pname = "cl-randist";
    version = "20221106-git";
    asds = [ "cl-randist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-randist/2022-11-06/cl-randist-20221106-git.tgz";
      sha256 = "1r0d76n5zjqg5fb2ypqx5i1wg4hsg5g0c126ylqb28wdaf2yjz5a";
      system = "cl-randist";
      asd = "cl-randist";
    });
    systems = [ "cl-randist" ];
    lispLibs = [  ];
  };
  cl-random = {
    pname = "cl-random";
    version = "20180328-git";
    asds = [ "cl-random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random/2018-03-28/cl-random-20180328-git.tgz";
      sha256 = "0jn80xphyvyp2v72acr6b8a2f6dw06myr5vrjfl14brsvks7wr89";
      system = "cl-random";
      asd = "cl-random";
    });
    systems = [ "cl-random" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-num-utils" pkgs) (getAttr "cl-rmath" pkgs) (getAttr "cl-slice" pkgs) (getAttr "gsll" pkgs) (getAttr "let-plus" pkgs) (getAttr "lla" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-random-forest = {
    pname = "cl-random-forest";
    version = "20221106-git";
    asds = [ "cl-random-forest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random-forest/2022-11-06/cl-random-forest-20221106-git.tgz";
      sha256 = "0jn5f3s1zvjql35c4m67lqc0vjr7sm7kzf8w4jfbfabcnxf3y6jx";
      system = "cl-random-forest";
      asd = "cl-random-forest";
    });
    systems = [ "cl-random-forest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-libsvm-format" pkgs) (getAttr "cl-online-learning" pkgs) (getAttr "lparallel" pkgs) ];
  };
  cl-random-forest-test = {
    pname = "cl-random-forest-test";
    version = "20221106-git";
    asds = [ "cl-random-forest-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random-forest/2022-11-06/cl-random-forest-20221106-git.tgz";
      sha256 = "0jn5f3s1zvjql35c4m67lqc0vjr7sm7kzf8w4jfbfabcnxf3y6jx";
      system = "cl-random-forest-test";
      asd = "cl-random-forest-test";
    });
    systems = [ "cl-random-forest-test" ];
    lispLibs = [ (getAttr "cl-random-forest" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-random-tests = {
    pname = "cl-random-tests";
    version = "20180328-git";
    asds = [ "cl-random-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random/2018-03-28/cl-random-20180328-git.tgz";
      sha256 = "0jn80xphyvyp2v72acr6b8a2f6dw06myr5vrjfl14brsvks7wr89";
      system = "cl-random-tests";
      asd = "cl-random";
    });
    systems = [ "cl-random-tests" ];
    lispLibs = [ (getAttr "cl-random" pkgs) (getAttr "clunit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-rdfxml = {
    pname = "cl-rdfxml";
    version = "20140713-git";
    asds = [ "cl-rdfxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rdfxml/2014-07-13/cl-rdfxml-20140713-git.tgz";
      sha256 = "09v76qg6l3y1llapnkfqrfgib67h7lpkzrdmfimwk49bi80iii8v";
      system = "cl-rdfxml";
      asd = "cl-rdfxml";
    });
    systems = [ "cl-rdfxml" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "puri" pkgs) ];
  };
  cl-rdkafka = {
    pname = "cl-rdkafka";
    version = "20201220-git";
    asds = [ "cl-rdkafka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rdkafka/2020-12-20/cl-rdkafka-20201220-git.tgz";
      sha256 = "1hqgxqn3qxs2kzr1c7rrg0ixk2sxv9796wmcjmbqlnld03nikk6f";
      system = "cl-rdkafka";
      asd = "cl-rdkafka";
    });
    systems = [ "cl-rdkafka" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "lparallel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-rdkafka_slash_test = {
    pname = "cl-rdkafka_test";
    version = "20201220-git";
    asds = [ "cl-rdkafka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rdkafka/2020-12-20/cl-rdkafka-20201220-git.tgz";
      sha256 = "1hqgxqn3qxs2kzr1c7rrg0ixk2sxv9796wmcjmbqlnld03nikk6f";
      system = "cl-rdkafka";
      asd = "cl-rdkafka";
    });
    systems = [ "cl-rdkafka/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "babel" pkgs) (getAttr "cl-rdkafka" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-readline = {
    pname = "cl-readline";
    version = "20220707-git";
    asds = [ "cl-readline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-readline/2022-07-07/cl-readline-20220707-git.tgz";
      sha256 = "0bxvfd7hmj9yvcar3f3kd1cxxx4pqzri6sa28bp9w9bm25g4ddhf";
      system = "cl-readline";
      asd = "cl-readline";
    });
    systems = [ "cl-readline" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  cl-recaptcha = {
    pname = "cl-recaptcha";
    version = "20150608-git";
    asds = [ "cl-recaptcha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-recaptcha/2015-06-08/cl-recaptcha-20150608-git.tgz";
      sha256 = "09qdmzbhc5hikay31mbsfd7dps72rm4gcdbbi0b6gkb6qbia6m71";
      system = "cl-recaptcha";
      asd = "cl-recaptcha";
    });
    systems = [ "cl-recaptcha" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "jsown" pkgs) ];
  };
  cl-redis = {
    pname = "cl-redis";
    version = "20200925-git";
    asds = [ "cl-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-redis/2020-09-25/cl-redis-20200925-git.tgz";
      sha256 = "0x5ahxb5cx37biyn3cjycshhm1rr9p5cf1a9l5hd1n1xjxm2f8vi";
      system = "cl-redis";
      asd = "cl-redis";
    });
    systems = [ "cl-redis" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "rutils" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-redis-test = {
    pname = "cl-redis-test";
    version = "20200925-git";
    asds = [ "cl-redis-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-redis/2020-09-25/cl-redis-20200925-git.tgz";
      sha256 = "0x5ahxb5cx37biyn3cjycshhm1rr9p5cf1a9l5hd1n1xjxm2f8vi";
      system = "cl-redis-test";
      asd = "cl-redis";
    });
    systems = [ "cl-redis-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-redis" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "should-test" pkgs) ];
  };
  cl-reexport = {
    pname = "cl-reexport";
    version = "20210228-git";
    asds = [ "cl-reexport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-reexport/2021-02-28/cl-reexport-20210228-git.tgz";
      sha256 = "02la6z3ickhmh2m87ymm2ijh9nkn7l6slskj99l8a1rhps394qqc";
      system = "cl-reexport";
      asd = "cl-reexport";
    });
    systems = [ "cl-reexport" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-reexport-test = {
    pname = "cl-reexport-test";
    version = "20210228-git";
    asds = [ "cl-reexport-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-reexport/2021-02-28/cl-reexport-20210228-git.tgz";
      sha256 = "02la6z3ickhmh2m87ymm2ijh9nkn7l6slskj99l8a1rhps394qqc";
      system = "cl-reexport-test";
      asd = "cl-reexport-test";
    });
    systems = [ "cl-reexport-test" ];
    lispLibs = [ (getAttr "cl-reexport" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-renderdoc = {
    pname = "cl-renderdoc";
    version = "20200925-git";
    asds = [ "cl-renderdoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-renderdoc/2020-09-25/cl-renderdoc-20200925-git.tgz";
      sha256 = "0rrcp4y1f07x8h0ikvf5ncc3pbqj6vaciblab9qghmgdglnn7akx";
      system = "cl-renderdoc";
      asd = "cl-renderdoc";
    });
    systems = [ "cl-renderdoc" ];
    lispLibs = [ (getAttr "cl-autowrap" pkgs) ];
  };
  cl-replica = {
    pname = "cl-replica";
    version = "20221106-git";
    asds = [ "cl-replica" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-replica/2022-11-06/cl-replica-20221106-git.tgz";
      sha256 = "1kp50xw1v0kfa8g4g2vmg5rfhpyr9phqk0rs4s36f6nwfpsasw7w";
      system = "cl-replica";
      asd = "cl-replica";
    });
    systems = [ "cl-replica" ];
    lispLibs = [  ];
  };
  cl-replica_slash_test = {
    pname = "cl-replica_test";
    version = "20221106-git";
    asds = [ "cl-replica" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-replica/2022-11-06/cl-replica-20221106-git.tgz";
      sha256 = "1kp50xw1v0kfa8g4g2vmg5rfhpyr9phqk0rs4s36f6nwfpsasw7w";
      system = "cl-replica";
      asd = "cl-replica";
    });
    systems = [ "cl-replica/test" ];
    lispLibs = [ (getAttr "cl-replica" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-rethinkdb = {
    pname = "cl-rethinkdb";
    version = "20160825-git";
    asds = [ "cl-rethinkdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rethinkdb/2016-08-25/cl-rethinkdb-20160825-git.tgz";
      sha256 = "0sps1p203gn7i123w96pj5ggpncmkngkfdb6zfnm5yjq544sjjf7";
      system = "cl-rethinkdb";
      asd = "cl-rethinkdb";
    });
    systems = [ "cl-rethinkdb" ];
    lispLibs = [ (getAttr "blackbird" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-hash-util" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "event-glue" pkgs) (getAttr "fast-io" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "vom" pkgs) ];
  };
  cl-rethinkdb-test = {
    pname = "cl-rethinkdb-test";
    version = "20160825-git";
    asds = [ "cl-rethinkdb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rethinkdb/2016-08-25/cl-rethinkdb-20160825-git.tgz";
      sha256 = "0sps1p203gn7i123w96pj5ggpncmkngkfdb6zfnm5yjq544sjjf7";
      system = "cl-rethinkdb-test";
      asd = "cl-rethinkdb-test";
    });
    systems = [ "cl-rethinkdb-test" ];
    lispLibs = [ (getAttr "blackbird" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-rethinkdb" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-rfc2047 = {
    pname = "cl-rfc2047";
    version = "20150804-git";
    asds = [ "cl-rfc2047" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc2047/2015-08-04/cl-rfc2047-20150804-git.tgz";
      sha256 = "1kh48p5i7lmv1hcdsddlcjavhai9gi54jndnbpm9r55a6ladi8gv";
      system = "cl-rfc2047";
      asd = "cl-rfc2047";
    });
    systems = [ "cl-rfc2047" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) ];
  };
  cl-rfc2047-test = {
    pname = "cl-rfc2047-test";
    version = "20150804-git";
    asds = [ "cl-rfc2047-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc2047/2015-08-04/cl-rfc2047-20150804-git.tgz";
      sha256 = "1kh48p5i7lmv1hcdsddlcjavhai9gi54jndnbpm9r55a6ladi8gv";
      system = "cl-rfc2047-test";
      asd = "cl-rfc2047-test";
    });
    systems = [ "cl-rfc2047-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-rfc2047" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-rfc4251 = {
    pname = "cl-rfc4251";
    version = "20210531-git";
    asds = [ "cl-rfc4251" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc4251/2021-05-31/cl-rfc4251-20210531-git.tgz";
      sha256 = "0n5aq88qnn19ng3av1h5npp2c43rl7zl8ccrz2rg0s2r57wvyjd3";
      system = "cl-rfc4251";
      asd = "cl-rfc4251";
    });
    systems = [ "cl-rfc4251" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-rfc4251_dot_test = {
    pname = "cl-rfc4251.test";
    version = "20210531-git";
    asds = [ "cl-rfc4251.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc4251/2021-05-31/cl-rfc4251-20210531-git.tgz";
      sha256 = "0n5aq88qnn19ng3av1h5npp2c43rl7zl8ccrz2rg0s2r57wvyjd3";
      system = "cl-rfc4251.test";
      asd = "cl-rfc4251.test";
    });
    systems = [ "cl-rfc4251.test" ];
    lispLibs = [ (getAttr "cl-rfc4251" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-riff = {
    pname = "cl-riff";
    version = "20220707-git";
    asds = [ "cl-riff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-riff/2022-07-07/cl-riff-20220707-git.tgz";
      sha256 = "0b2j6yw3xkv6611snn7cy56vmnjfgi58wyvfr9lx82xkakd9rw3z";
      system = "cl-riff";
      asd = "cl-riff";
    });
    systems = [ "cl-riff" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-rlimit = {
    pname = "cl-rlimit";
    version = "20150608-git";
    asds = [ "cl-rlimit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rlimit/2015-06-08/cl-rlimit-20150608-git.tgz";
      sha256 = "19p02r380qhs76qlcb3jp4lm4nsnpy7zch01fdiwn7l7xgxkzxh0";
      system = "cl-rlimit";
      asd = "cl-rlimit";
    });
    systems = [ "cl-rlimit" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-rmath = {
    pname = "cl-rmath";
    version = "20180328-git";
    asds = [ "cl-rmath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rmath/2018-03-28/cl-rmath-20180328-git.tgz";
      sha256 = "1ld8vbpy10paymx2hn0mcgd21i7cjhdrayln1jx0kayqxm12mmk4";
      system = "cl-rmath";
      asd = "cl-rmath";
    });
    systems = [ "cl-rmath" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-robdd = {
    pname = "cl-robdd";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd";
      asd = "cl-robdd";
    });
    systems = [ "cl-robdd" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) ];
  };
  cl-robdd-analysis = {
    pname = "cl-robdd-analysis";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-analysis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-analysis";
      asd = "cl-robdd-analysis";
    });
    systems = [ "cl-robdd-analysis" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "adjuvant" pkgs) (getAttr "cl-robdd" pkgs) ];
  };
  cl-robdd-analysis-test = {
    pname = "cl-robdd-analysis-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-analysis-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-analysis-test";
      asd = "cl-robdd-analysis-test";
    });
    systems = [ "cl-robdd-analysis-test" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "cl-robdd-analysis" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  cl-robdd-test = {
    pname = "cl-robdd-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-test";
      asd = "cl-robdd-test";
    });
    systems = [ "cl-robdd-test" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "adjuvant" pkgs) (getAttr "cl-robdd" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  cl-rrd = {
    pname = "cl-rrd";
    version = "20130128-git";
    asds = [ "cl-rrd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrd/2013-01-28/cl-rrd-20130128-git.tgz";
      sha256 = "0a7fs46q41qzi6k8q9lvxryn2m90vamcsw7vl9kcjivyckjqrsm2";
      system = "cl-rrd";
      asd = "cl-rrd";
    });
    systems = [ "cl-rrd" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-rrt = {
    pname = "cl-rrt";
    version = "20200925-git";
    asds = [ "cl-rrt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt";
      asd = "cl-rrt";
    });
    systems = [ "cl-rrt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-rrt_dot_benchmark = {
    pname = "cl-rrt.benchmark";
    version = "20200925-git";
    asds = [ "cl-rrt.benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.benchmark";
      asd = "cl-rrt.benchmark";
    });
    systems = [ "cl-rrt.benchmark" ];
    lispLibs = [ (getAttr "cl-rrt" pkgs) (getAttr "cl-rrt_dot_rtree" pkgs) (getAttr "cl-rrt_dot_test" pkgs) (getAttr "fiveam" pkgs) (getAttr "vecto" pkgs) ];
  };
  cl-rrt_dot_rtree = {
    pname = "cl-rrt.rtree";
    version = "20200925-git";
    asds = [ "cl-rrt.rtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.rtree";
      asd = "cl-rrt.rtree";
    });
    systems = [ "cl-rrt.rtree" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-rrt" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "iterate" pkgs) (getAttr "spatial-trees" pkgs) (getAttr "spatial-trees_dot_nns" pkgs) (getAttr "trivia" pkgs) ];
  };
  cl-rrt_dot_test = {
    pname = "cl-rrt.test";
    version = "20200925-git";
    asds = [ "cl-rrt.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.test";
      asd = "cl-rrt.test";
    });
    systems = [ "cl-rrt.test" ];
    lispLibs = [ (getAttr "cl-rrt" pkgs) (getAttr "cl-rrt_dot_rtree" pkgs) (getAttr "fiveam" pkgs) (getAttr "vecto" pkgs) ];
  };
  cl-rsvg2 = {
    pname = "cl-rsvg2";
    version = "20200925-git";
    asds = [ "cl-rsvg2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2";
      asd = "cl-rsvg2";
    });
    systems = [ "cl-rsvg2" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-cairo2" pkgs) (getAttr "cl-gtk2-glib" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-rsvg2-pixbuf = {
    pname = "cl-rsvg2-pixbuf";
    version = "20200925-git";
    asds = [ "cl-rsvg2-pixbuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2-pixbuf";
      asd = "cl-rsvg2-pixbuf";
    });
    systems = [ "cl-rsvg2-pixbuf" ];
    lispLibs = [ (getAttr "cl-gtk2-gdk" pkgs) (getAttr "cl-rsvg2" pkgs) ];
  };
  cl-rsvg2-test = {
    pname = "cl-rsvg2-test";
    version = "20200925-git";
    asds = [ "cl-rsvg2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2-test";
      asd = "cl-rsvg2-test";
    });
    systems = [ "cl-rsvg2-test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-rsvg2" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-rules = {
    pname = "cl-rules";
    version = "20190710-git";
    asds = [ "cl-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rules/2019-07-10/cl-rules-20190710-git.tgz";
      sha256 = "0jidck62n0jkfqwrpqjn43zmjb3jlfaxxhn2lsyfwy2740i8ppr1";
      system = "cl-rules";
      asd = "cl-rules";
    });
    systems = [ "cl-rules" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-yaml" pkgs) ];
  };
  cl-rules-test = {
    pname = "cl-rules-test";
    version = "20190710-git";
    asds = [ "cl-rules-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rules/2019-07-10/cl-rules-20190710-git.tgz";
      sha256 = "0jidck62n0jkfqwrpqjn43zmjb3jlfaxxhn2lsyfwy2740i8ppr1";
      system = "cl-rules-test";
      asd = "cl-rules-test";
    });
    systems = [ "cl-rules-test" ];
    lispLibs = [ (getAttr "cl-rules" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-s3 = {
    pname = "cl-s3";
    version = "20130128-git";
    asds = [ "cl-s3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-s3/2013-01-28/cl-s3-20130128-git.tgz";
      sha256 = "1lbvf7phkm5vjk013p484rh4vh33i58jlqq3z4cv2yxqcw6r639d";
      system = "cl-s3";
      asd = "cl-s3";
    });
    systems = [ "cl-s3" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "s-base64" pkgs) (getAttr "s-http-client" pkgs) (getAttr "s-utils" pkgs) (getAttr "s-xml" pkgs) ];
  };
  cl-sam = {
    pname = "cl-sam";
    version = "20150608-git";
    asds = [ "cl-sam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sam/2015-06-08/cl-sam-20150608-git.tgz";
      sha256 = "0frrxz70jin4sa5n087zm4ikckf1zdjqqpjq3llrv46753c62fc6";
      system = "cl-sam";
      asd = "cl-sam";
    });
    systems = [ "cl-sam" ];
    lispLibs = [ (getAttr "deoxybyte-gzip" pkgs) (getAttr "deoxybyte-systems" pkgs) (getAttr "deoxybyte-unix" pkgs) ];
  };
  cl-sam-test = {
    pname = "cl-sam-test";
    version = "20150608-git";
    asds = [ "cl-sam-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sam/2015-06-08/cl-sam-20150608-git.tgz";
      sha256 = "0frrxz70jin4sa5n087zm4ikckf1zdjqqpjq3llrv46753c62fc6";
      system = "cl-sam-test";
      asd = "cl-sam-test";
    });
    systems = [ "cl-sam-test" ];
    lispLibs = [ (getAttr "cl-sam" pkgs) (getAttr "deoxybyte-io" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-sandbox = {
    pname = "cl-sandbox";
    version = "20180131-git";
    asds = [ "cl-sandbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sandbox/2018-01-31/cl-sandbox-20180131-git.tgz";
      sha256 = "053zxy3zi5jvlbg8zxlf922sxb32mq34zvwfhgpj4rcmgvgmqnxv";
      system = "cl-sandbox";
      asd = "cl-sandbox";
    });
    systems = [ "cl-sandbox" ];
    lispLibs = [  ];
  };
  cl-sandbox_slash_tests = {
    pname = "cl-sandbox_tests";
    version = "20180131-git";
    asds = [ "cl-sandbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sandbox/2018-01-31/cl-sandbox-20180131-git.tgz";
      sha256 = "053zxy3zi5jvlbg8zxlf922sxb32mq34zvwfhgpj4rcmgvgmqnxv";
      system = "cl-sandbox";
      asd = "cl-sandbox";
    });
    systems = [ "cl-sandbox/tests" ];
    lispLibs = [ (getAttr "cl-sandbox" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-sasl = {
    pname = "cl-sasl";
    version = "v0.3.2";
    asds = [ "cl-sasl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sasl/2019-05-21/cl-sasl-v0.3.2.tgz";
      sha256 = "0a05q8rls2hn46rbbk6w5km9kqvhsj365zlw6hp32724xy2nd98w";
      system = "cl-sasl";
      asd = "cl-sasl";
    });
    systems = [ "cl-sasl" ];
    lispLibs = [ (getAttr "ironclad" pkgs) ];
  };
  cl-sat = {
    pname = "cl-sat";
    version = "20220707-git";
    asds = [ "cl-sat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat/2022-07-07/cl-sat-20220707-git.tgz";
      sha256 = "1fcvxpmja757vyyhcpb00g150dyx90jsg9z8s596vy1nb0z81f49";
      system = "cl-sat";
      asd = "cl-sat";
    });
    systems = [ "cl-sat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  cl-sat_dot_glucose = {
    pname = "cl-sat.glucose";
    version = "20220331-git";
    asds = [ "cl-sat.glucose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.glucose/2022-03-31/cl-sat.glucose-20220331-git.tgz";
      sha256 = "11hbhsjzw3xzz6i6niisk5h271kg52y3y77sl6ljnszfgp9xjfxy";
      system = "cl-sat.glucose";
      asd = "cl-sat.glucose";
    });
    systems = [ "cl-sat.glucose" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-sat" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-package-manager" pkgs) ];
  };
  cl-sat_dot_glucose_dot_test = {
    pname = "cl-sat.glucose.test";
    version = "20220331-git";
    asds = [ "cl-sat.glucose.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.glucose/2022-03-31/cl-sat.glucose-20220331-git.tgz";
      sha256 = "11hbhsjzw3xzz6i6niisk5h271kg52y3y77sl6ljnszfgp9xjfxy";
      system = "cl-sat.glucose.test";
      asd = "cl-sat.glucose.test";
    });
    systems = [ "cl-sat.glucose.test" ];
    lispLibs = [ (getAttr "cl-sat_dot_glucose" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-sat_dot_minisat = {
    pname = "cl-sat.minisat";
    version = "20220331-git";
    asds = [ "cl-sat.minisat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.minisat/2022-03-31/cl-sat.minisat-20220331-git.tgz";
      sha256 = "1jrpsdalz9wd3aipfvigimzgzrlb6fylw9cxf1vhhmii46yg9mdr";
      system = "cl-sat.minisat";
      asd = "cl-sat.minisat";
    });
    systems = [ "cl-sat.minisat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-sat" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-package-manager" pkgs) ];
  };
  cl-sat_dot_minisat_dot_test = {
    pname = "cl-sat.minisat.test";
    version = "20220331-git";
    asds = [ "cl-sat.minisat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.minisat/2022-03-31/cl-sat.minisat-20220331-git.tgz";
      sha256 = "1jrpsdalz9wd3aipfvigimzgzrlb6fylw9cxf1vhhmii46yg9mdr";
      system = "cl-sat.minisat.test";
      asd = "cl-sat.minisat.test";
    });
    systems = [ "cl-sat.minisat.test" ];
    lispLibs = [ (getAttr "cl-sat_dot_minisat" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-sat_dot_test = {
    pname = "cl-sat.test";
    version = "20220707-git";
    asds = [ "cl-sat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat/2022-07-07/cl-sat-20220707-git.tgz";
      sha256 = "1fcvxpmja757vyyhcpb00g150dyx90jsg9z8s596vy1nb0z81f49";
      system = "cl-sat.test";
      asd = "cl-sat.test";
    });
    systems = [ "cl-sat.test" ];
    lispLibs = [ (getAttr "cl-sat" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-scram = {
    pname = "cl-scram";
    version = "20150923-git";
    asds = [ "cl-scram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scram/2015-09-23/cl-scram-20150923-git.tgz";
      sha256 = "1absr9h9z79f1fbs4g33y2rc9jsqjs7vd2l5sl8dvqq4fyx8v6g0";
      system = "cl-scram";
      asd = "cl-scram";
    });
    systems = [ "cl-scram" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cl-sasl" pkgs) (getAttr "ironclad" pkgs) (getAttr "secure-random" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-scribd = {
    pname = "cl-scribd";
    version = "20130312-git";
    asds = [ "cl-scribd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scribd/2013-03-12/cl-scribd-20130312-git.tgz";
      sha256 = "0r4ah3f1ndi66bm1mir3ldl31sfbmav0kdfpb16f1n9931452mry";
      system = "cl-scribd";
      asd = "cl-scribd";
    });
    systems = [ "cl-scribd" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) ];
  };
  cl-scripting = {
    pname = "cl-scripting";
    version = "20211020-git";
    asds = [ "cl-scripting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scripting/2021-10-20/cl-scripting-20211020-git.tgz";
      sha256 = "1xi8klkn4fhmcrnhxzxvl0rj68dc7az6l2hc10560g9jvblcmmpp";
      system = "cl-scripting";
      asd = "cl-scripting";
    });
    systems = [ "cl-scripting" ];
    lispLibs = [ (getAttr "cl-launch" pkgs) (getAttr "fare-utils" pkgs) ];
  };
  cl-scripting_slash_test = {
    pname = "cl-scripting_test";
    version = "20211020-git";
    asds = [ "cl-scripting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scripting/2021-10-20/cl-scripting-20211020-git.tgz";
      sha256 = "1xi8klkn4fhmcrnhxzxvl0rj68dc7az6l2hc10560g9jvblcmmpp";
      system = "cl-scripting";
      asd = "cl-scripting";
    });
    systems = [ "cl-scripting/test" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  cl-scrobbler = {
    pname = "cl-scrobbler";
    version = "20111105-git";
    asds = [ "cl-scrobbler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scrobbler/2011-11-05/cl-scrobbler-20111105-git.tgz";
      sha256 = "0cd0zfmhxf5chcg7hncavfjr8m06cjbiyqylk76z8mprdsv1n062";
      system = "cl-scrobbler";
      asd = "cl-scrobbler";
    });
    systems = [ "cl-scrobbler" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "cl-store" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "md5" pkgs) (getAttr "st-json" pkgs) ];
  };
  cl-scrobbler-tests = {
    pname = "cl-scrobbler-tests";
    version = "20111105-git";
    asds = [ "cl-scrobbler-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scrobbler/2011-11-05/cl-scrobbler-20111105-git.tgz";
      sha256 = "0cd0zfmhxf5chcg7hncavfjr8m06cjbiyqylk76z8mprdsv1n062";
      system = "cl-scrobbler-tests";
      asd = "cl-scrobbler";
    });
    systems = [ "cl-scrobbler-tests" ];
    lispLibs = [ (getAttr "cl-scrobbler" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-scsu = {
    pname = "cl-scsu";
    version = "20221106-git";
    asds = [ "cl-scsu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scsu/2022-11-06/cl-scsu-20221106-git.tgz";
      sha256 = "0jiqyayflyyrdks4yl894vzw2bkxkd87w4sy4n6ikjz450xk3yxf";
      system = "cl-scsu";
      asd = "cl-scsu";
    });
    systems = [ "cl-scsu" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-scsu-test = {
    pname = "cl-scsu-test";
    version = "20221106-git";
    asds = [ "cl-scsu-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scsu/2022-11-06/cl-scsu-20221106-git.tgz";
      sha256 = "0jiqyayflyyrdks4yl894vzw2bkxkd87w4sy4n6ikjz450xk3yxf";
      system = "cl-scsu-test";
      asd = "cl-scsu-test";
    });
    systems = [ "cl-scsu-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-scsu" pkgs) ];
  };
  cl-selenium = {
    pname = "cl-selenium";
    version = "20180328-git";
    asds = [ "cl-selenium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium-webdriver/2018-03-28/cl-selenium-webdriver-20180328-git.tgz";
      sha256 = "0216vqg1ax5gcqahclii7ifqpc92rbi86rfcf1qn8bdahmfjccbb";
      system = "cl-selenium";
      asd = "cl-selenium";
    });
    systems = [ "cl-selenium" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-json" pkgs) (getAttr "dexador" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-selenium-test = {
    pname = "cl-selenium-test";
    version = "20180328-git";
    asds = [ "cl-selenium-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium-webdriver/2018-03-28/cl-selenium-webdriver-20180328-git.tgz";
      sha256 = "0216vqg1ax5gcqahclii7ifqpc92rbi86rfcf1qn8bdahmfjccbb";
      system = "cl-selenium-test";
      asd = "cl-selenium-test";
    });
    systems = [ "cl-selenium-test" ];
    lispLibs = [ (getAttr "cl-selenium" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-semver = {
    pname = "cl-semver";
    version = "20221106-git";
    asds = [ "cl-semver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-semver/2022-11-06/cl-semver-20221106-git.tgz";
      sha256 = "17ghn3s5pbiahkm2i8fh460ykx7n9c4jpjazrw45ixmx832agzbz";
      system = "cl-semver";
      asd = "cl-semver";
    });
    systems = [ "cl-semver" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  cl-semver-test = {
    pname = "cl-semver-test";
    version = "20221106-git";
    asds = [ "cl-semver-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-semver/2022-11-06/cl-semver-20221106-git.tgz";
      sha256 = "17ghn3s5pbiahkm2i8fh460ykx7n9c4jpjazrw45ixmx832agzbz";
      system = "cl-semver-test";
      asd = "cl-semver-test";
    });
    systems = [ "cl-semver-test" ];
    lispLibs = [ (getAttr "cl-semver" pkgs) (getAttr "stefil" pkgs) ];
  };
  cl-sentiment = {
    pname = "cl-sentiment";
    version = "20130128-git";
    asds = [ "cl-sentiment" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentiment/2013-01-28/cl-sentiment-20130128-git.tgz";
      sha256 = "18jx6ivbzcg9bsmp1pmlqvzr4kfxzll75b4viz1hrkq78nsnpp5v";
      system = "cl-sentiment";
      asd = "cl-sentiment";
    });
    systems = [ "cl-sentiment" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-ses4 = {
    pname = "cl-ses4";
    version = "20221106-git";
    asds = [ "cl-ses4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ses4/2022-11-06/cl-ses4-20221106-git.tgz";
      sha256 = "1n31k81i19hx26h9wcz39fsciq92hbblnbd15krblx9g877a1598";
      system = "cl-ses4";
      asd = "cl-ses4";
    });
    systems = [ "cl-ses4" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "dexador" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "quickapp" pkgs) (getAttr "quri" pkgs) ];
  };
  cl-ses4_slash_test = {
    pname = "cl-ses4_test";
    version = "20221106-git";
    asds = [ "cl-ses4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ses4/2022-11-06/cl-ses4-20221106-git.tgz";
      sha256 = "1n31k81i19hx26h9wcz39fsciq92hbblnbd15krblx9g877a1598";
      system = "cl-ses4";
      asd = "cl-ses4";
    });
    systems = [ "cl-ses4/test" ];
    lispLibs = [ (getAttr "cl-ses4" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-setlocale = {
    pname = "cl-setlocale";
    version = "20201220-git";
    asds = [ "cl-setlocale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-setlocale/2020-12-20/cl-setlocale-20201220-git.tgz";
      sha256 = "0g1b89yj6n42ayf2074krk3h9yvglqxn54a6i3sxgpsqww2ll2a1";
      system = "cl-setlocale";
      asd = "cl-setlocale";
    });
    systems = [ "cl-setlocale" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  cl-setlocale_slash_tests = {
    pname = "cl-setlocale_tests";
    version = "20201220-git";
    asds = [ "cl-setlocale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-setlocale/2020-12-20/cl-setlocale-20201220-git.tgz";
      sha256 = "0g1b89yj6n42ayf2074krk3h9yvglqxn54a6i3sxgpsqww2ll2a1";
      system = "cl-setlocale";
      asd = "cl-setlocale";
    });
    systems = [ "cl-setlocale/tests" ];
    lispLibs = [ (getAttr "cl-setlocale" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-sha1 = {
    pname = "cl-sha1";
    version = "20210807-git";
    asds = [ "cl-sha1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sha1/2021-08-07/cl-sha1-20210807-git.tgz";
      sha256 = "16hczcr7ghah0p9fi29ddrw5c4zbb2d4765iigfx7yrgk5z5jb8p";
      system = "cl-sha1";
      asd = "cl-sha1";
    });
    systems = [ "cl-sha1" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) ];
  };
  cl-shellwords = {
    pname = "cl-shellwords";
    version = "20150923-git";
    asds = [ "cl-shellwords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shellwords/2015-09-23/cl-shellwords-20150923-git.tgz";
      sha256 = "0im8cni1ig5zaha9gbmma7zk1xxa4xajvzfgalvl2f0fhvksl4pn";
      system = "cl-shellwords";
      asd = "cl-shellwords";
    });
    systems = [ "cl-shellwords" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-shellwords-test = {
    pname = "cl-shellwords-test";
    version = "20150923-git";
    asds = [ "cl-shellwords-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shellwords/2015-09-23/cl-shellwords-20150923-git.tgz";
      sha256 = "0im8cni1ig5zaha9gbmma7zk1xxa4xajvzfgalvl2f0fhvksl4pn";
      system = "cl-shellwords-test";
      asd = "cl-shellwords-test";
    });
    systems = [ "cl-shellwords-test" ];
    lispLibs = [ (getAttr "cl-shellwords" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-simple-concurrent-jobs = {
    pname = "cl-simple-concurrent-jobs";
    version = "20150505-git";
    asds = [ "cl-simple-concurrent-jobs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-concurrent-jobs/2015-05-05/cl-simple-concurrent-jobs-20150505-git.tgz";
      sha256 = "0mv7svsil58h8v8kq9965bpbradmhfpyrmi61dbzp5mbw8c5mrwj";
      system = "cl-simple-concurrent-jobs";
      asd = "cl-simple-concurrent-jobs";
    });
    systems = [ "cl-simple-concurrent-jobs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "chanl" pkgs) ];
  };
  cl-simple-table = {
    pname = "cl-simple-table";
    version = "20130312-git";
    asds = [ "cl-simple-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-table/2013-03-12/cl-simple-table-20130312-git.tgz";
      sha256 = "1pnczi5hbqlyxxvzlpy6vc58qc9hh9mdm5rgq304bp3v2qajh0b7";
      system = "cl-simple-table";
      asd = "cl-simple-table";
    });
    systems = [ "cl-simple-table" ];
    lispLibs = [  ];
  };
  cl-singleton-mixin = {
    pname = "cl-singleton-mixin";
    version = "20150505-git";
    asds = [ "cl-singleton-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-singleton-mixin/2015-05-05/cl-singleton-mixin-20150505-git.tgz";
      sha256 = "10dvwzx1kw9ac163i6sc8yfg3hpkn0dlq4hf6qipb46b4mcib01s";
      system = "cl-singleton-mixin";
      asd = "cl-singleton-mixin";
    });
    systems = [ "cl-singleton-mixin" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "metap" pkgs) ];
  };
  cl-singleton-mixin-test = {
    pname = "cl-singleton-mixin-test";
    version = "20150505-git";
    asds = [ "cl-singleton-mixin-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-singleton-mixin/2015-05-05/cl-singleton-mixin-20150505-git.tgz";
      sha256 = "10dvwzx1kw9ac163i6sc8yfg3hpkn0dlq4hf6qipb46b4mcib01s";
      system = "cl-singleton-mixin-test";
      asd = "cl-singleton-mixin-test";
    });
    systems = [ "cl-singleton-mixin-test" ];
    lispLibs = [ (getAttr "cl-singleton-mixin" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-skip-list = {
    pname = "cl-skip-list";
    version = "20220707-git";
    asds = [ "cl-skip-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skip-list/2022-07-07/cl-skip-list-20220707-git.tgz";
      sha256 = "1k3hbi9n1yzky3hjcg48jkkkp2jx5vm7bsywhnyyb1z6hz5phakd";
      system = "cl-skip-list";
      asd = "cl-skip-list";
    });
    systems = [ "cl-skip-list" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-skkserv = {
    pname = "cl-skkserv";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "esrap" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "jp-numeral" pkgs) (getAttr "named-readtables" pkgs) (getAttr "papyrus" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-skkserv_slash_cli = {
    pname = "cl-skkserv_cli";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/cli" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-skkserv" pkgs) (getAttr "daemon" pkgs) (getAttr "unix-opts" pkgs) (getAttr "usocket" pkgs) (getAttr "usocket-server" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-skkserv_slash_core = {
    pname = "cl-skkserv_core";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "esrap" pkgs) (getAttr "named-readtables" pkgs) (getAttr "papyrus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-skkserv_slash_google-ime = {
    pname = "cl-skkserv_google-ime";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/google-ime" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "drakma" pkgs) (getAttr "esrap" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "papyrus" pkgs) (getAttr "yason" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-skkserv_slash_mixed = {
    pname = "cl-skkserv_mixed";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/mixed" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "esrap" pkgs) (getAttr "named-readtables" pkgs) (getAttr "papyrus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-skkserv_slash_skk = {
    pname = "cl-skkserv_skk";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/skk" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) (getAttr "jp-numeral" pkgs) (getAttr "named-readtables" pkgs) (getAttr "papyrus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-skkserv_slash_tests = {
    pname = "cl-skkserv_tests";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv/tests" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "cl-skkserv" pkgs) (getAttr "flexi-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-slice = {
    pname = "cl-slice";
    version = "20210531-git";
    asds = [ "cl-slice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slice/2021-05-31/cl-slice-20210531-git.tgz";
      sha256 = "1ybznf4y5lda6bn163jcvj281qzhm24dfcwhbgxmm5n6f27gdccl";
      system = "cl-slice";
      asd = "cl-slice";
    });
    systems = [ "cl-slice" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "let-plus" pkgs) ];
  };
  cl-slice-tests = {
    pname = "cl-slice-tests";
    version = "20210531-git";
    asds = [ "cl-slice-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slice/2021-05-31/cl-slice-20210531-git.tgz";
      sha256 = "1ybznf4y5lda6bn163jcvj281qzhm24dfcwhbgxmm5n6f27gdccl";
      system = "cl-slice-tests";
      asd = "cl-slice";
    });
    systems = [ "cl-slice-tests" ];
    lispLibs = [ (getAttr "cl-slice" pkgs) (getAttr "clunit" pkgs) ];
  };
  cl-slp = {
    pname = "cl-slp";
    version = "20140826-git";
    asds = [ "cl-slp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slp/2014-08-26/cl-slp-20140826-git.tgz";
      sha256 = "10wfrw6r6w646lzx0nasnfvjpy63icxl8qm4888dpcjc57y1cd1w";
      system = "cl-slp";
      asd = "cl-slp";
    });
    systems = [ "cl-slp" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-slug = {
    pname = "cl-slug";
    version = "20180228-git";
    asds = [ "cl-slug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slug/2018-02-28/cl-slug-20180228-git.tgz";
      sha256 = "1asdq6xllmsvfw5fky9wblqcx9isac9jrrlkfl7vyxcq1wxrnflx";
      system = "cl-slug";
      asd = "cl-slug";
    });
    systems = [ "cl-slug" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-slug-test = {
    pname = "cl-slug-test";
    version = "20180228-git";
    asds = [ "cl-slug-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slug/2018-02-28/cl-slug-20180228-git.tgz";
      sha256 = "1asdq6xllmsvfw5fky9wblqcx9isac9jrrlkfl7vyxcq1wxrnflx";
      system = "cl-slug-test";
      asd = "cl-slug-test";
    });
    systems = [ "cl-slug-test" ];
    lispLibs = [ (getAttr "cl-slug" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-smt-lib = {
    pname = "cl-smt-lib";
    version = "20220331-git";
    asds = [ "cl-smt-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-smt-lib/2022-03-31/cl-smt-lib-20220331-git.tgz";
      sha256 = "09xqpmzd8rmp4dkj6mzwlwnhqk266abqvskz9dm6mr3cnf2r774z";
      system = "cl-smt-lib";
      asd = "cl-smt-lib";
    });
    systems = [ "cl-smt-lib" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-smtp = {
    pname = "cl-smtp";
    version = "20210228-git";
    asds = [ "cl-smtp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-smtp/2021-02-28/cl-smtp-20210228-git.tgz";
      sha256 = "0vjjfapcrdc5671jz2d24h8zvpz7skq1x6pi9fvw6ls5sgms6fr0";
      system = "cl-smtp";
      asd = "cl-smtp";
    });
    systems = [ "cl-smtp" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-soil = {
    pname = "cl-soil";
    version = "release-quicklisp-f27087ce-git";
    asds = [ "cl-soil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-soil/2018-08-31/cl-soil-release-quicklisp-f27087ce-git.tgz";
      sha256 = "0mnz5yaw3kc14ja9g4j7dxh96kd82ifj25gy0dil7kqjd08lwcq9";
      system = "cl-soil";
      asd = "cl-soil";
    });
    systems = [ "cl-soil" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  cl-soloud = {
    pname = "cl-soloud";
    version = "20190710-git";
    asds = [ "cl-soloud" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-soloud/2019-07-10/cl-soloud-20190710-git.tgz";
      sha256 = "1scdnhf052sa77zd4f250mxdqjjny2jcigwhgccrp1gldcs0ks37";
      system = "cl-soloud";
      asd = "cl-soloud";
    });
    systems = [ "cl-soloud" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-mpg123" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  cl-sophia = {
    pname = "cl-sophia";
    version = "20150608-git";
    asds = [ "cl-sophia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sophia/2015-06-08/cl-sophia-20150608-git.tgz";
      sha256 = "1x027mr7lg5fs0d82n5mshnd19kan76y3zb9yxbcnq222l4j8j00";
      system = "cl-sophia";
      asd = "cl-sophia";
    });
    systems = [ "cl-sophia" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-fad" pkgs) ];
  };
  cl-sophia-test = {
    pname = "cl-sophia-test";
    version = "20150608-git";
    asds = [ "cl-sophia-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sophia/2015-06-08/cl-sophia-20150608-git.tgz";
      sha256 = "1x027mr7lg5fs0d82n5mshnd19kan76y3zb9yxbcnq222l4j8j00";
      system = "cl-sophia-test";
      asd = "cl-sophia";
    });
    systems = [ "cl-sophia-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-sophia" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-spark = {
    pname = "cl-spark";
    version = "20150709-git";
    asds = [ "cl-spark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spark/2015-07-09/cl-spark-20150709-git.tgz";
      sha256 = "0my1fsgi2rjaqkpk934f2bjy63pmnj7faza3fzvnk6k3l66y19nk";
      system = "cl-spark";
      asd = "cl-spark";
    });
    systems = [ "cl-spark" ];
    lispLibs = [  ];
  };
  cl-spark-test = {
    pname = "cl-spark-test";
    version = "20150709-git";
    asds = [ "cl-spark-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spark/2015-07-09/cl-spark-20150709-git.tgz";
      sha256 = "0my1fsgi2rjaqkpk934f2bjy63pmnj7faza3fzvnk6k3l66y19nk";
      system = "cl-spark-test";
      asd = "cl-spark-test";
    });
    systems = [ "cl-spark-test" ];
    lispLibs = [ (getAttr "cl-spark" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-sparql = {
    pname = "cl-sparql";
    version = "20220331-git";
    asds = [ "cl-sparql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sparql/2022-03-31/cl-sparql-20220331-git.tgz";
      sha256 = "1fjp5a25yly3l3pg07gzhz8q830fcaz0dwspigw8v90sx4insz0p";
      system = "cl-sparql";
      asd = "cl-sparql";
    });
    systems = [ "cl-sparql" ];
    lispLibs = [ (getAttr "parser-combinators" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-sparql-tests = {
    pname = "cl-sparql-tests";
    version = "20220331-git";
    asds = [ "cl-sparql-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sparql/2022-03-31/cl-sparql-20220331-git.tgz";
      sha256 = "1fjp5a25yly3l3pg07gzhz8q830fcaz0dwspigw8v90sx4insz0p";
      system = "cl-sparql-tests";
      asd = "cl-sparql-tests";
    });
    systems = [ "cl-sparql-tests" ];
    lispLibs = [ (getAttr "cl-sparql" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-speedy-queue = {
    pname = "cl-speedy-queue";
    version = "20150302-git";
    asds = [ "cl-speedy-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-speedy-queue/2015-03-02/cl-speedy-queue-20150302-git.tgz";
      sha256 = "0czhnvxn9lvbjz9h1lb7y18nqrsq3drq5icd3lqdaa07362alriq";
      system = "cl-speedy-queue";
      asd = "cl-speedy-queue";
    });
    systems = [ "cl-speedy-queue" ];
    lispLibs = [  ];
  };
  cl-spidev = {
    pname = "cl-spidev";
    version = "20190710-git";
    asds = [ "cl-spidev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spidev/2019-07-10/cl-spidev-20190710-git.tgz";
      sha256 = "1kif1ygpm7z7bymg86h305171vnp5jsqyq4dz8h3fbi1rzjnqfcy";
      system = "cl-spidev";
      asd = "cl-spidev";
    });
    systems = [ "cl-spidev" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-ssdb = {
    pname = "cl-ssdb";
    version = "20210124-git";
    asds = [ "cl-ssdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssdb/2021-01-24/cl-ssdb-20210124-git.tgz";
      sha256 = "05l0wg4a1kxgggmg1nalq811by76lja0gpa2c4i999h74bf4n3dc";
      system = "cl-ssdb";
      asd = "cl-ssdb";
    });
    systems = [ "cl-ssdb" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "parse-number" pkgs) (getAttr "rutils" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-ssdb-test = {
    pname = "cl-ssdb-test";
    version = "20210124-git";
    asds = [ "cl-ssdb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssdb/2021-01-24/cl-ssdb-20210124-git.tgz";
      sha256 = "05l0wg4a1kxgggmg1nalq811by76lja0gpa2c4i999h74bf4n3dc";
      system = "cl-ssdb-test";
      asd = "cl-ssdb-test";
    });
    systems = [ "cl-ssdb-test" ];
    lispLibs = [ (getAttr "cl-ssdb" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-ssh-keys = {
    pname = "cl-ssh-keys";
    version = "20210531-git";
    asds = [ "cl-ssh-keys" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssh-keys/2021-05-31/cl-ssh-keys-20210531-git.tgz";
      sha256 = "0v5m1mbd8v4lpz3zqzy228431vvyyqcj4968ajyfzpxdl2lsb6nv";
      system = "cl-ssh-keys";
      asd = "cl-ssh-keys";
    });
    systems = [ "cl-ssh-keys" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "binascii" pkgs) (getAttr "cl-rfc4251" pkgs) (getAttr "ironclad" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-ssh-keys_dot_test = {
    pname = "cl-ssh-keys.test";
    version = "20210531-git";
    asds = [ "cl-ssh-keys.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssh-keys/2021-05-31/cl-ssh-keys-20210531-git.tgz";
      sha256 = "0v5m1mbd8v4lpz3zqzy228431vvyyqcj4968ajyfzpxdl2lsb6nv";
      system = "cl-ssh-keys.test";
      asd = "cl-ssh-keys.test";
    });
    systems = [ "cl-ssh-keys.test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ssh-keys" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-statsd = {
    pname = "cl-statsd";
    version = "20170124-git";
    asds = [ "cl-statsd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-statsd/2017-01-24/cl-statsd-20170124-git.tgz";
      sha256 = "1l2sxbzhp7wwalxn8k0k1gis9c9w462fygfw4ps0s1bnhgbvr6qb";
      system = "cl-statsd";
      asd = "cl-statsd";
    });
    systems = [ "cl-statsd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "safe-queue" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-statsd_dot_test = {
    pname = "cl-statsd.test";
    version = "20170124-git";
    asds = [ "cl-statsd.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-statsd/2017-01-24/cl-statsd-20170124-git.tgz";
      sha256 = "1l2sxbzhp7wwalxn8k0k1gis9c9w462fygfw4ps0s1bnhgbvr6qb";
      system = "cl-statsd.test";
      asd = "cl-statsd.test";
    });
    systems = [ "cl-statsd.test" ];
    lispLibs = [ (getAttr "cl-statsd" pkgs) (getAttr "log4cl" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-steamworks = {
    pname = "cl-steamworks";
    version = "20221106-git";
    asds = [ "cl-steamworks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-steamworks/2022-11-06/cl-steamworks-20221106-git.tgz";
      sha256 = "0vmr40fylqd3k2mbds823pxz5aprh76bc604y7cf8y7md30r1azn";
      system = "cl-steamworks";
      asd = "cl-steamworks";
    });
    systems = [ "cl-steamworks" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "float-features" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cl-steamworks-generator = {
    pname = "cl-steamworks-generator";
    version = "20221106-git";
    asds = [ "cl-steamworks-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-steamworks/2022-11-06/cl-steamworks-20221106-git.tgz";
      sha256 = "0vmr40fylqd3k2mbds823pxz5aprh76bc604y7cf8y7md30r1azn";
      system = "cl-steamworks-generator";
      asd = "cl-steamworks-generator";
    });
    systems = [ "cl-steamworks-generator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "parse-number" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-stomp = {
    pname = "cl-stomp";
    version = "20200925-git";
    asds = [ "cl-stomp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stomp/2020-09-25/cl-stomp-20200925-git.tgz";
      sha256 = "180y0x53ghsvz6n0bz67aw69p962bsslarikk89rf41kcv998xvw";
      system = "cl-stomp";
      asd = "cl-stomp";
    });
    systems = [ "cl-stomp" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-stopwatch = {
    pname = "cl-stopwatch";
    version = "20190307-hg";
    asds = [ "cl-stopwatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stopwatch/2019-03-07/cl-stopwatch-20190307-hg.tgz";
      sha256 = "02yi97q09sy9ypnvxp0l1m9b5w2pdcvbfd16y0kj069b8nlcwm8d";
      system = "cl-stopwatch";
      asd = "cl-stopwatch";
    });
    systems = [ "cl-stopwatch" ];
    lispLibs = [  ];
  };
  cl-store = {
    pname = "cl-store";
    version = "20200925-git";
    asds = [ "cl-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-store/2020-09-25/cl-store-20200925-git.tgz";
      sha256 = "0b1cw495121wjz4ayndir52a5hf3fnvi99syla60mninvx7q7krl";
      system = "cl-store";
      asd = "cl-store";
    });
    systems = [ "cl-store" ];
    lispLibs = [  ];
  };
  cl-store-tests = {
    pname = "cl-store-tests";
    version = "20200925-git";
    asds = [ "cl-store-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-store/2020-09-25/cl-store-20200925-git.tgz";
      sha256 = "0b1cw495121wjz4ayndir52a5hf3fnvi99syla60mninvx7q7krl";
      system = "cl-store-tests";
      asd = "cl-store";
    });
    systems = [ "cl-store-tests" ];
    lispLibs = [ (getAttr "cl-store" pkgs) (getAttr "rt" pkgs) ];
  };
  cl-stream = {
    pname = "cl-stream";
    version = "20190521-git";
    asds = [ "cl-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stream/2019-05-21/cl-stream-20190521-git.tgz";
      sha256 = "1r2spbcx3ifz51yq2pxkdb1n2k5fvyg3pz3w42mnw99pq78cbasv";
      system = "cl-stream";
      asd = "cl-stream";
    });
    systems = [ "cl-stream" ];
    lispLibs = [  ];
  };
  cl-strftime = {
    pname = "cl-strftime";
    version = "20160318-git";
    asds = [ "cl-strftime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strftime/2016-03-18/cl-strftime-20160318-git.tgz";
      sha256 = "00c8hq7vzgb89ab3q7mrp60x743kiqmsk1g51ynhxlqhph2bnslf";
      system = "cl-strftime";
      asd = "cl-strftime";
    });
    systems = [ "cl-strftime" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "serapeum" pkgs) ];
  };
  cl-strftime_slash_tests = {
    pname = "cl-strftime_tests";
    version = "20160318-git";
    asds = [ "cl-strftime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strftime/2016-03-18/cl-strftime-20160318-git.tgz";
      sha256 = "00c8hq7vzgb89ab3q7mrp60x743kiqmsk1g51ynhxlqhph2bnslf";
      system = "cl-strftime";
      asd = "cl-strftime";
    });
    systems = [ "cl-strftime/tests" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-strftime" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-string-complete = {
    pname = "cl-string-complete";
    version = "20190307-hg";
    asds = [ "cl-string-complete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-complete/2019-03-07/cl-string-complete-20190307-hg.tgz";
      sha256 = "0qycrs5d2cll62gs14qg3kwzfpnjgckrmigckgjav2ll3dghxjx6";
      system = "cl-string-complete";
      asd = "cl-string-complete";
    });
    systems = [ "cl-string-complete" ];
    lispLibs = [  ];
  };
  cl-string-generator = {
    pname = "cl-string-generator";
    version = "20210630-git";
    asds = [ "cl-string-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-generator/2021-06-30/cl-string-generator-20210630-git.tgz";
      sha256 = "0zm6lyzd205lw30fdvnhrrlv9fylpfqksqxl32zvj9vzcn8qc1vi";
      system = "cl-string-generator";
      asd = "cl-string-generator";
    });
    systems = [ "cl-string-generator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  cl-string-generator_slash_tests = {
    pname = "cl-string-generator_tests";
    version = "20210630-git";
    asds = [ "cl-string-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-generator/2021-06-30/cl-string-generator-20210630-git.tgz";
      sha256 = "0zm6lyzd205lw30fdvnhrrlv9fylpfqksqxl32zvj9vzcn8qc1vi";
      system = "cl-string-generator";
      asd = "cl-string-generator";
    });
    systems = [ "cl-string-generator/tests" ];
    lispLibs = [ (getAttr "cl-string-generator" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-string-match = {
    pname = "cl-string-match";
    version = "20211209-git";
    asds = [ "cl-string-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "cl-string-match";
      asd = "cl-string-match";
    });
    systems = [ "cl-string-match" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ascii-strings" pkgs) (getAttr "yacc" pkgs) (getAttr "iterate" pkgs) (getAttr "jpl-queues" pkgs) (getAttr "mgl-pax" pkgs) ];
  };
  cl-string-match-test = {
    pname = "cl-string-match-test";
    version = "20211209-git";
    asds = [ "cl-string-match-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "cl-string-match-test";
      asd = "cl-string-match-test";
    });
    systems = [ "cl-string-match-test" ];
    lispLibs = [ (getAttr "ascii-strings" pkgs) (getAttr "cl-string-match" pkgs) (getAttr "simple-scanf" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cl-strings = {
    pname = "cl-strings";
    version = "20210411-git";
    asds = [ "cl-strings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strings/2021-04-11/cl-strings-20210411-git.tgz";
      sha256 = "1j8hs54fn0wsf5zfzhhgiva47n9hsmfa74iinahz6nmcs8iy75aj";
      system = "cl-strings";
      asd = "cl-strings";
    });
    systems = [ "cl-strings" ];
    lispLibs = [  ];
  };
  cl-strings-tests = {
    pname = "cl-strings-tests";
    version = "20210411-git";
    asds = [ "cl-strings-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strings/2021-04-11/cl-strings-20210411-git.tgz";
      sha256 = "1j8hs54fn0wsf5zfzhhgiva47n9hsmfa74iinahz6nmcs8iy75aj";
      system = "cl-strings-tests";
      asd = "cl-strings";
    });
    systems = [ "cl-strings-tests" ];
    lispLibs = [ (getAttr "cl-strings" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-svg = {
    pname = "cl-svg";
    version = "20180228-git";
    asds = [ "cl-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-svg/2018-02-28/cl-svg-20180228-git.tgz";
      sha256 = "11rmzimy6j7ln7q5y1h2kw1225rsfb6fpn89qjcq7h5lc8fay0wz";
      system = "cl-svg";
      asd = "cl-svg";
    });
    systems = [ "cl-svg" ];
    lispLibs = [  ];
  };
  cl-svm = {
    pname = "cl-svm";
    version = "20110418-git";
    asds = [ "cl-svm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-svm/2011-04-18/cl-svm-20110418-git.tgz";
      sha256 = "03d070k3bl5c0b2f6bzig5gkhlj074v74f7kg8hh3znrbmwji2wv";
      system = "cl-svm";
      asd = "cl-svm";
    });
    systems = [ "cl-svm" ];
    lispLibs = [  ];
  };
  cl-swagger = {
    pname = "cl-swagger";
    version = "20180831-git";
    asds = [ "cl-swagger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-swagger-codegen/2018-08-31/cl-swagger-codegen-20180831-git.tgz";
      sha256 = "1lkp69n7wscyf2az3h2bmxmvzzppdfxcq5s0m607b1f7nfmxzjsq";
      system = "cl-swagger";
      asd = "cl-swagger";
    });
    systems = [ "cl-swagger" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-mustache" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) ];
  };
  cl-sxml = {
    pname = "cl-sxml";
    version = "20200325-git";
    asds = [ "cl-sxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sxml/2020-03-25/cl-sxml-20200325-git.tgz";
      sha256 = "1105s9whidq1lf0lli2wdhcfcs5gwzxa0h1x3izx4mp2p7psvciz";
      system = "cl-sxml";
      asd = "cl-sxml";
    });
    systems = [ "cl-sxml" ];
    lispLibs = [ (getAttr "cxml" pkgs) ];
  };
  cl-sxml-test = {
    pname = "cl-sxml-test";
    version = "20200325-git";
    asds = [ "cl-sxml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sxml/2020-03-25/cl-sxml-20200325-git.tgz";
      sha256 = "1105s9whidq1lf0lli2wdhcfcs5gwzxa0h1x3izx4mp2p7psvciz";
      system = "cl-sxml-test";
      asd = "cl-sxml";
    });
    systems = [ "cl-sxml-test" ];
    lispLibs = [ (getAttr "cl-sxml" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-syntax = {
    pname = "cl-syntax";
    version = "20150407-git";
    asds = [ "cl-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax";
      asd = "cl-syntax";
    });
    systems = [ "cl-syntax" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  cl-syntax-annot = {
    pname = "cl-syntax-annot";
    version = "20150407-git";
    asds = [ "cl-syntax-annot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-annot";
      asd = "cl-syntax-annot";
    });
    systems = [ "cl-syntax-annot" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-syntax-anonfun = {
    pname = "cl-syntax-anonfun";
    version = "20150407-git";
    asds = [ "cl-syntax-anonfun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-anonfun";
      asd = "cl-syntax-anonfun";
    });
    systems = [ "cl-syntax-anonfun" ];
    lispLibs = [ (getAttr "cl-anonfun" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-syntax-clsql = {
    pname = "cl-syntax-clsql";
    version = "20150407-git";
    asds = [ "cl-syntax-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-clsql";
      asd = "cl-syntax-clsql";
    });
    systems = [ "cl-syntax-clsql" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) (getAttr "clsql" pkgs) ];
  };
  cl-syntax-debug-print = {
    pname = "cl-syntax-debug-print";
    version = "20210807-git";
    asds = [ "cl-syntax-debug-print" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-syntax-debug-print";
      asd = "cl-syntax-debug-print";
    });
    systems = [ "cl-syntax-debug-print" ];
    lispLibs = [ (getAttr "cl-debug-print" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-syntax-fare-quasiquote = {
    pname = "cl-syntax-fare-quasiquote";
    version = "20150407-git";
    asds = [ "cl-syntax-fare-quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-fare-quasiquote";
      asd = "cl-syntax-fare-quasiquote";
    });
    systems = [ "cl-syntax-fare-quasiquote" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) (getAttr "fare-quasiquote" pkgs) ];
  };
  cl-syntax-interpol = {
    pname = "cl-syntax-interpol";
    version = "20150407-git";
    asds = [ "cl-syntax-interpol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-interpol";
      asd = "cl-syntax-interpol";
    });
    systems = [ "cl-syntax-interpol" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-syntax-lsx = {
    pname = "cl-syntax-lsx";
    version = "20220220-git";
    asds = [ "cl-syntax-lsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lsx/2022-02-20/lsx-20220220-git.tgz";
      sha256 = "1pdq6csr8pkzcq2zkhhm6wkp9zxx2aypjd16rcw4q43mff09y041";
      system = "cl-syntax-lsx";
      asd = "cl-syntax-lsx";
    });
    systems = [ "cl-syntax-lsx" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) (getAttr "lsx" pkgs) ];
  };
  cl-syntax-markup = {
    pname = "cl-syntax-markup";
    version = "20150407-git";
    asds = [ "cl-syntax-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-markup";
      asd = "cl-syntax-markup";
    });
    systems = [ "cl-syntax-markup" ];
    lispLibs = [ (getAttr "cl-markup" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  cl-syslog = {
    pname = "cl-syslog";
    version = "20190202-git";
    asds = [ "cl-syslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syslog/2019-02-02/cl-syslog-20190202-git.tgz";
      sha256 = "1qcz55jiqwk91b01hsahxnha884f6zf2883j2m51sqph0mvj69mh";
      system = "cl-syslog";
      asd = "cl-syslog";
    });
    systems = [ "cl-syslog" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "global-vars" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-table = {
    pname = "cl-table";
    version = "20130128-git";
    asds = [ "cl-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-table/2013-01-28/cl-table-20130128-git.tgz";
      sha256 = "0c7bdnpi473grayycdcdh4q8fi137i3c80k05k87pvjdrl1qnkpn";
      system = "cl-table";
      asd = "cl-table";
    });
    systems = [ "cl-table" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  cl-tasukete = {
    pname = "cl-tasukete";
    version = "20180228-git";
    asds = [ "cl-tasukete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tasukete/2018-02-28/cl-tasukete-20180228-git.tgz";
      sha256 = "0i8ibg2a33mb32vr2b70psb5dvh47r52lfhkh84rxzmcsk6ww230";
      system = "cl-tasukete";
      asd = "cl-tasukete";
    });
    systems = [ "cl-tasukete" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "cl-gists" pkgs) (getAttr "dissect" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) ];
  };
  cl-tasukete-test = {
    pname = "cl-tasukete-test";
    version = "20180228-git";
    asds = [ "cl-tasukete-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tasukete/2018-02-28/cl-tasukete-20180228-git.tgz";
      sha256 = "0i8ibg2a33mb32vr2b70psb5dvh47r52lfhkh84rxzmcsk6ww230";
      system = "cl-tasukete-test";
      asd = "cl-tasukete-test";
    });
    systems = [ "cl-tasukete-test" ];
    lispLibs = [ (getAttr "cl-tasukete" pkgs) (getAttr "dissect" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-telebot = {
    pname = "cl-telebot";
    version = "20211020-git";
    asds = [ "cl-telebot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telebot/2021-10-20/cl-telebot-20211020-git.tgz";
      sha256 = "0nl002l4f3x6843s6h5w2iz2hganxb369k8c2hbbgqq7plb4mdf1";
      system = "cl-telebot";
      asd = "cl-telebot";
    });
    systems = [ "cl-telebot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) ];
  };
  cl-telegram-bot = {
    pname = "cl-telegram-bot";
    version = "20221106-git";
    asds = [ "cl-telegram-bot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telegram-bot/2022-11-06/cl-telegram-bot-20221106-git.tgz";
      sha256 = "1pvwkr2bai0l7n8mqrbcl35mlv7kic1wsd41zavmljx0fj14bwj6";
      system = "cl-telegram-bot";
      asd = "cl-telegram-bot";
    });
    systems = [ "cl-telegram-bot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrows" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-strings" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) (getAttr "kebab" pkgs) (getAttr "log4cl" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  cl-template = {
    pname = "cl-template";
    version = "20130615-git";
    asds = [ "cl-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-template/2013-06-15/cl-template-20130615-git.tgz";
      sha256 = "1rhg023a2nxsk5x6abd6i0a8sh36aj0bgsh80w60m3b7xlsva2x2";
      system = "cl-template";
      asd = "cl-template";
    });
    systems = [ "cl-template" ];
    lispLibs = [  ];
  };
  cl-template-tests = {
    pname = "cl-template-tests";
    version = "20130615-git";
    asds = [ "cl-template-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-template/2013-06-15/cl-template-20130615-git.tgz";
      sha256 = "1rhg023a2nxsk5x6abd6i0a8sh36aj0bgsh80w60m3b7xlsva2x2";
      system = "cl-template-tests";
      asd = "cl-template";
    });
    systems = [ "cl-template-tests" ];
    lispLibs = [ (getAttr "cl-template" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-termbox = {
    pname = "cl-termbox";
    version = "20211020-git";
    asds = [ "cl-termbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-termbox/2021-10-20/cl-termbox-20211020-git.tgz";
      sha256 = "1igmq64zndkgchmzggp34jrmxa81dqlhz2il8qizrpfw5a39cpld";
      system = "cl-termbox";
      asd = "cl-termbox";
    });
    systems = [ "cl-termbox" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-tesseract = {
    pname = "cl-tesseract";
    version = "20171130-git";
    asds = [ "cl-tesseract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tesseract/2017-11-30/cl-tesseract-20171130-git.tgz";
      sha256 = "086627k8whbj60bpw9r3jrdifr4bigqpnp9hxsi7r6702gixz50x";
      system = "cl-tesseract";
      asd = "cl-tesseract";
    });
    systems = [ "cl-tesseract" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-test-more = {
    pname = "cl-test-more";
    version = "20200218-git";
    asds = [ "cl-test-more" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "cl-test-more";
      asd = "cl-test-more";
    });
    systems = [ "cl-test-more" ];
    lispLibs = [ (getAttr "prove" pkgs) ];
  };
  cl-tetris3d = {
    pname = "cl-tetris3d";
    version = "20181210-git";
    asds = [ "cl-tetris3d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tetris3d/2018-12-10/cl-tetris3d-20181210-git.tgz";
      sha256 = "09n7344is2vfbp32cd22ynk14h4vqs4xw3plbhga8q25ghhx5y9p";
      system = "cl-tetris3d";
      asd = "cl-tetris3d";
    });
    systems = [ "cl-tetris3d" ];
    lispLibs = [ (getAttr "cl-glu" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "iterate" pkgs) (getAttr "lispbuilder-sdl" pkgs) ];
  };
  cl-textmagic = {
    pname = "cl-textmagic";
    version = "20151218-git";
    asds = [ "cl-textmagic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-textmagic/2015-12-18/cl-textmagic-20151218-git.tgz";
      sha256 = "0xw6g1r5vxmnbz3kxf2q6s9dr9l2aacyri1wchzw4jx5wlcnkshw";
      system = "cl-textmagic";
      asd = "cl-textmagic";
    });
    systems = [ "cl-textmagic" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "dexador" pkgs) ];
  };
  cl-textmagic-test = {
    pname = "cl-textmagic-test";
    version = "20151218-git";
    asds = [ "cl-textmagic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-textmagic/2015-12-18/cl-textmagic-20151218-git.tgz";
      sha256 = "0xw6g1r5vxmnbz3kxf2q6s9dr9l2aacyri1wchzw4jx5wlcnkshw";
      system = "cl-textmagic-test";
      asd = "cl-textmagic-test";
    });
    systems = [ "cl-textmagic-test" ];
    lispLibs = [ (getAttr "cl-textmagic" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-tga = {
    pname = "cl-tga";
    version = "20160318-git";
    asds = [ "cl-tga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tga/2016-03-18/cl-tga-20160318-git.tgz";
      sha256 = "03k3npmn0xd3fd2m7vwxph82av2xrfb150imqrinlzqmzvz1v1br";
      system = "cl-tga";
      asd = "cl-tga";
    });
    systems = [ "cl-tga" ];
    lispLibs = [  ];
  };
  cl-threadpool = {
    pname = "cl-threadpool";
    version = "quickload-current-release-86ef8a6b-git";
    asds = [ "cl-threadpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-threadpool/2021-02-28/cl-threadpool-quickload-current-release-86ef8a6b-git.tgz";
      sha256 = "0yg09fpzqbmga1vx0p956vx6fyjmrgczb108fr0djswfn1mdiq3j";
      system = "cl-threadpool";
      asd = "cl-threadpool";
    });
    systems = [ "cl-threadpool" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "queues_dot_simple-cqueue" pkgs) ];
  };
  cl-threadpool_slash_doc = {
    pname = "cl-threadpool_doc";
    version = "quickload-current-release-86ef8a6b-git";
    asds = [ "cl-threadpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-threadpool/2021-02-28/cl-threadpool-quickload-current-release-86ef8a6b-git.tgz";
      sha256 = "0yg09fpzqbmga1vx0p956vx6fyjmrgczb108fr0djswfn1mdiq3j";
      system = "cl-threadpool";
      asd = "cl-threadpool";
    });
    systems = [ "cl-threadpool/doc" ];
    lispLibs = [ (getAttr "cl-html-readme" pkgs) (getAttr "cl-threadpool" pkgs) (getAttr "docparser" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-threadpool_slash_test = {
    pname = "cl-threadpool_test";
    version = "quickload-current-release-86ef8a6b-git";
    asds = [ "cl-threadpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-threadpool/2021-02-28/cl-threadpool-quickload-current-release-86ef8a6b-git.tgz";
      sha256 = "0yg09fpzqbmga1vx0p956vx6fyjmrgczb108fr0djswfn1mdiq3j";
      system = "cl-threadpool";
      asd = "cl-threadpool";
    });
    systems = [ "cl-threadpool/test" ];
    lispLibs = [ (getAttr "cl-threadpool" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "verbose" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-tidy = {
    pname = "cl-tidy";
    version = "20170830-git";
    asds = [ "cl-tidy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tidy/2017-08-30/cl-tidy-20170830-git.tgz";
      sha256 = "13j0jgf6czb24148w2wxfwlji6vnc49qvyr5wzq5ps55b27ddlz6";
      system = "cl-tidy";
      asd = "cl-tidy";
    });
    systems = [ "cl-tidy" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-tiled = {
    pname = "cl-tiled";
    version = "20210531-git";
    asds = [ "cl-tiled" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tiled/2021-05-31/cl-tiled-20210531-git.tgz";
      sha256 = "1xknfdrlghrdvsx4xclvj43irwf26np5ndpmnkwnsrhfbj8ypk48";
      system = "cl-tiled";
      asd = "cl-tiled";
    });
    systems = [ "cl-tiled" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "chipz" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-json" pkgs) (getAttr "nibbles" pkgs) (getAttr "parse-float" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) (getAttr "xmls" pkgs) ];
  };
  cl-tk = {
    pname = "cl-tk";
    version = "20150608-git";
    asds = [ "cl-tk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tk/2015-06-08/cl-tk-20150608-git.tgz";
      sha256 = "0fm4q4pkzbyxr6227vavvy4lm7rfw214lp2dylgzjzcp6f5r4n7w";
      system = "cl-tk";
      asd = "cl-tk";
    });
    systems = [ "cl-tk" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-tld = {
    pname = "cl-tld";
    version = "20220220-git";
    asds = [ "cl-tld" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tld/2022-02-20/cl-tld-20220220-git.tgz";
      sha256 = "1xm471p92in5g4fcxgqshwgr2d7937jw7jv6j473slwkxjvx8dp6";
      system = "cl-tld";
      asd = "cl-tld";
    });
    systems = [ "cl-tld" ];
    lispLibs = [  ];
  };
  cl-tls = {
    pname = "cl-tls";
    version = "20221106-git";
    asds = [ "cl-tls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tls/2022-11-06/cl-tls-20221106-git.tgz";
      sha256 = "1j6gwv21ibkk6xd1xxm54wgwp09dzqg60b8z72hivpnq8gwm0ba7";
      system = "cl-tls";
      asd = "cl-tls";
    });
    systems = [ "cl-tls" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "fast-io" pkgs) (getAttr "ironclad" pkgs) ];
  };
  cl-tokyo-cabinet = {
    pname = "cl-tokyo-cabinet";
    version = "20160825-git";
    asds = [ "cl-tokyo-cabinet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tokyo-cabinet/2016-08-25/cl-tokyo-cabinet-20160825-git.tgz";
      sha256 = "07961in8fa09bjnpwkdn0w6dj37nppzmgg50kf8khspnjh1sjsr2";
      system = "cl-tokyo-cabinet";
      asd = "cl-tokyo-cabinet";
    });
    systems = [ "cl-tokyo-cabinet" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "deoxybyte-systems" pkgs) ];
  };
  cl-tokyo-cabinet-test = {
    pname = "cl-tokyo-cabinet-test";
    version = "20160825-git";
    asds = [ "cl-tokyo-cabinet-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tokyo-cabinet/2016-08-25/cl-tokyo-cabinet-20160825-git.tgz";
      sha256 = "07961in8fa09bjnpwkdn0w6dj37nppzmgg50kf8khspnjh1sjsr2";
      system = "cl-tokyo-cabinet-test";
      asd = "cl-tokyo-cabinet-test";
    });
    systems = [ "cl-tokyo-cabinet-test" ];
    lispLibs = [ (getAttr "cl-tokyo-cabinet" pkgs) (getAttr "deoxybyte-io" pkgs) (getAttr "deoxybyte-utilities" pkgs) (getAttr "lift" pkgs) ];
  };
  cl-toml = {
    pname = "cl-toml";
    version = "20191130-git";
    asds = [ "cl-toml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-toml/2019-11-30/cl-toml-20191130-git.tgz";
      sha256 = "1g5i60i78s0ms608fyc6sgaaqr6jdsln75n26lmfbcaqw2g1q9dk";
      system = "cl-toml";
      asd = "cl-toml";
    });
    systems = [ "cl-toml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  cl-toml-test = {
    pname = "cl-toml-test";
    version = "20191130-git";
    asds = [ "cl-toml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-toml/2019-11-30/cl-toml-20191130-git.tgz";
      sha256 = "1g5i60i78s0ms608fyc6sgaaqr6jdsln75n26lmfbcaqw2g1q9dk";
      system = "cl-toml-test";
      asd = "cl-toml-test";
    });
    systems = [ "cl-toml-test" ];
    lispLibs = [ (getAttr "cl-toml" pkgs) (getAttr "prove" pkgs) ];
  };
  cl-transmission = {
    pname = "cl-transmission";
    version = "20200325-git";
    asds = [ "cl-transmission" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-transmission/2020-03-25/cl-transmission-20200325-git.tgz";
      sha256 = "0sg3f2jqs2z3mvscjhc43hkd34vlcc4c8hq8rhh5w1gjg19z57hb";
      system = "cl-transmission";
      asd = "cl-transmission";
    });
    systems = [ "cl-transmission" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "jonathan" pkgs) (getAttr "named-readtables" pkgs) (getAttr "rutils" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-transmission-test = {
    pname = "cl-transmission-test";
    version = "20200325-git";
    asds = [ "cl-transmission-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-transmission/2020-03-25/cl-transmission-20200325-git.tgz";
      sha256 = "0sg3f2jqs2z3mvscjhc43hkd34vlcc4c8hq8rhh5w1gjg19z57hb";
      system = "cl-transmission-test";
      asd = "cl-transmission-test";
    });
    systems = [ "cl-transmission-test" ];
    lispLibs = [ (getAttr "cl-transmission" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-trie = {
    pname = "cl-trie";
    version = "20180228-git";
    asds = [ "cl-trie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-trie/2018-02-28/cl-trie-20180228-git.tgz";
      sha256 = "0ffd67xndmzp7lg2car25swaldi3nvcswnshgb2595gac591qjh6";
      system = "cl-trie";
      asd = "cl-trie";
    });
    systems = [ "cl-trie" ];
    lispLibs = [  ];
  };
  cl-trie-examples = {
    pname = "cl-trie-examples";
    version = "20180228-git";
    asds = [ "cl-trie-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-trie/2018-02-28/cl-trie-20180228-git.tgz";
      sha256 = "0ffd67xndmzp7lg2car25swaldi3nvcswnshgb2595gac591qjh6";
      system = "cl-trie-examples";
      asd = "cl-trie-examples";
    });
    systems = [ "cl-trie-examples" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-trie" pkgs) ];
  };
  cl-trie_slash_tests = {
    pname = "cl-trie_tests";
    version = "20180228-git";
    asds = [ "cl-trie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-trie/2018-02-28/cl-trie-20180228-git.tgz";
      sha256 = "0ffd67xndmzp7lg2car25swaldi3nvcswnshgb2595gac591qjh6";
      system = "cl-trie";
      asd = "cl-trie";
    });
    systems = [ "cl-trie/tests" ];
    lispLibs = [ (getAttr "cl-trie" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-tui = {
    pname = "cl-tui";
    version = "20200427-git";
    asds = [ "cl-tui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tui/2020-04-27/cl-tui-20200427-git.tgz";
      sha256 = "1s0z7sjb3p1fxypc2x9fl0y094qa1a2iqjbn5him4hs8z7xm5kz8";
      system = "cl-tui";
      asd = "cl-tui";
    });
    systems = [ "cl-tui" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-charms" pkgs) (getAttr "cl-containers" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  cl-tulip-graph = {
    pname = "cl-tulip-graph";
    version = "20130615-git";
    asds = [ "cl-tulip-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tulip-graph/2013-06-15/cl-tulip-graph-20130615-git.tgz";
      sha256 = "0zmmwqabbyzdikn8x0xqrj192wr5w87l828nwandqg59af2isxav";
      system = "cl-tulip-graph";
      asd = "cl-tulip-graph";
    });
    systems = [ "cl-tulip-graph" ];
    lispLibs = [  ];
  };
  cl-tuples = {
    pname = "cl-tuples";
    version = "20140713-git";
    asds = [ "cl-tuples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tuples/2014-07-13/cl-tuples-20140713-git.tgz";
      sha256 = "060xmr03y8n0mnf4x4fnrirljcjk1jcir7jsjq4w9d5vzq3aqm9m";
      system = "cl-tuples";
      asd = "cl-tuples";
    });
    systems = [ "cl-tuples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-twit-repl = {
    pname = "cl-twit-repl";
    version = "20180228-git";
    asds = [ "cl-twit-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "cl-twit-repl";
      asd = "cl-twit-repl";
    });
    systems = [ "cl-twit-repl" ];
    lispLibs = [ (getAttr "cl-twitter" pkgs) ];
  };
  cl-twitter = {
    pname = "cl-twitter";
    version = "20180228-git";
    asds = [ "cl-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "cl-twitter";
      asd = "cl-twitter";
    });
    systems = [ "cl-twitter" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-oauth" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "drakma" pkgs) (getAttr "trivial-http" pkgs) (getAttr "url-rewrite" pkgs) ];
  };
  cl-typesetting = {
    pname = "cl-typesetting";
    version = "20210531-git";
    asds = [ "cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "cl-typesetting";
      asd = "cl-typesetting";
    });
    systems = [ "cl-typesetting" ];
    lispLibs = [ (getAttr "cl-pdf" pkgs) ];
  };
  cl-uglify-js = {
    pname = "cl-uglify-js";
    version = "20150709-git";
    asds = [ "cl-uglify-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-uglify-js/2015-07-09/cl-uglify-js-20150709-git.tgz";
      sha256 = "0k39y3c93jgxpr7gwz7w0d8yknn1fdnxrjhd03057lvk5w8js27a";
      system = "cl-uglify-js";
      asd = "cl-uglify-js";
    });
    systems = [ "cl-uglify-js" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-js" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cl-unicode = {
    pname = "cl-unicode";
    version = "20210228-git";
    asds = [ "cl-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unicode/2021-02-28/cl-unicode-20210228-git.tgz";
      sha256 = "1a9gbzvi5gj3z9gcia1rgmnk0dzgc82vz47bgnfvhn4q0c7mvk31";
      system = "cl-unicode";
      asd = "cl-unicode";
    });
    systems = [ "cl-unicode" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  cl-unicode_slash_base = {
    pname = "cl-unicode_base";
    version = "20210228-git";
    asds = [ "cl-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unicode/2021-02-28/cl-unicode-20210228-git.tgz";
      sha256 = "1a9gbzvi5gj3z9gcia1rgmnk0dzgc82vz47bgnfvhn4q0c7mvk31";
      system = "cl-unicode";
      asd = "cl-unicode";
    });
    systems = [ "cl-unicode/base" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-unicode_slash_build = {
    pname = "cl-unicode_build";
    version = "20210228-git";
    asds = [ "cl-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unicode/2021-02-28/cl-unicode-20210228-git.tgz";
      sha256 = "1a9gbzvi5gj3z9gcia1rgmnk0dzgc82vz47bgnfvhn4q0c7mvk31";
      system = "cl-unicode";
      asd = "cl-unicode";
    });
    systems = [ "cl-unicode/build" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-unicode_slash_test = {
    pname = "cl-unicode_test";
    version = "20210228-git";
    asds = [ "cl-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unicode/2021-02-28/cl-unicode-20210228-git.tgz";
      sha256 = "1a9gbzvi5gj3z9gcia1rgmnk0dzgc82vz47bgnfvhn4q0c7mvk31";
      system = "cl-unicode";
      asd = "cl-unicode";
    });
    systems = [ "cl-unicode/test" ];
    lispLibs = [ (getAttr "cl-unicode" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-unification = {
    pname = "cl-unification";
    version = "20211230-git";
    asds = [ "cl-unification" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2021-12-30/cl-unification-20211230-git.tgz";
      sha256 = "1k4ngdn1qycjakwl66kvxk6kjxhkamzq3yfq4qlpc0kd15p7d2xn";
      system = "cl-unification";
      asd = "cl-unification";
    });
    systems = [ "cl-unification" ];
    lispLibs = [  ];
  };
  cl-unification-lib = {
    pname = "cl-unification-lib";
    version = "20211230-git";
    asds = [ "cl-unification-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2021-12-30/cl-unification-20211230-git.tgz";
      sha256 = "1k4ngdn1qycjakwl66kvxk6kjxhkamzq3yfq4qlpc0kd15p7d2xn";
      system = "cl-unification-lib";
      asd = "cl-unification-lib";
    });
    systems = [ "cl-unification-lib" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-unification" pkgs) ];
  };
  cl-unification-test = {
    pname = "cl-unification-test";
    version = "20211230-git";
    asds = [ "cl-unification-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2021-12-30/cl-unification-20211230-git.tgz";
      sha256 = "1k4ngdn1qycjakwl66kvxk6kjxhkamzq3yfq4qlpc0kd15p7d2xn";
      system = "cl-unification-test";
      asd = "cl-unification-test";
    });
    systems = [ "cl-unification-test" ];
    lispLibs = [ (getAttr "cl-unification" pkgs) (getAttr "ptester" pkgs) ];
  };
  cl-union-find = {
    pname = "cl-union-find";
    version = "20221106-git";
    asds = [ "cl-union-find" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-union-find/2022-11-06/cl-union-find-20221106-git.tgz";
      sha256 = "14xciva5v3c4zi4vzp1vfhs82a2654yhkfyllr3b0cr7x36jdm7y";
      system = "cl-union-find";
      asd = "cl-union-find";
    });
    systems = [ "cl-union-find" ];
    lispLibs = [  ];
  };
  cl-utilities = {
    pname = "cl-utilities";
    version = "1.2.4";
    asds = [ "cl-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-utilities/2010-10-06/cl-utilities-1.2.4.tgz";
      sha256 = "1dmbkdr8xm2jw5yx1makqbf1ypqbm0hpkd7zyknxv3cblvz0a87w";
      system = "cl-utilities";
      asd = "cl-utilities";
    });
    systems = [ "cl-utilities" ];
    lispLibs = [  ];
  };
  cl-variates = {
    pname = "cl-variates";
    version = "20180131-darcs";
    asds = [ "cl-variates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-variates/2018-01-31/cl-variates-20180131-darcs.tgz";
      sha256 = "02pd02isfxrn3h8h5kh369rwy17hfjkmd7j24pcihfskamgcqgfx";
      system = "cl-variates";
      asd = "cl-variates";
    });
    systems = [ "cl-variates" ];
    lispLibs = [ (getAttr "asdf-system-connections" pkgs) ];
  };
  cl-vectors = {
    pname = "cl-vectors";
    version = "20180228-git";
    asds = [ "cl-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-vectors";
      asd = "cl-vectors";
    });
    systems = [ "cl-vectors" ];
    lispLibs = [ (getAttr "cl-aa" pkgs) (getAttr "cl-paths" pkgs) ];
  };
  cl-vhdl = {
    pname = "cl-vhdl";
    version = "20160421-git";
    asds = [ "cl-vhdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vhdl/2016-04-21/cl-vhdl-20160421-git.tgz";
      sha256 = "0i2780ljak8kcqa2zm24dk2fk771m2mvmnbq4xd4vvx9z87lbnvi";
      system = "cl-vhdl";
      asd = "cl-vhdl";
    });
    systems = [ "cl-vhdl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-itertools" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap-liquid" pkgs) (getAttr "iterate" pkgs) ];
  };
  cl-vhdl-tests = {
    pname = "cl-vhdl-tests";
    version = "20160421-git";
    asds = [ "cl-vhdl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vhdl/2016-04-21/cl-vhdl-20160421-git.tgz";
      sha256 = "0i2780ljak8kcqa2zm24dk2fk771m2mvmnbq4xd4vvx9z87lbnvi";
      system = "cl-vhdl-tests";
      asd = "cl-vhdl";
    });
    systems = [ "cl-vhdl-tests" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-vhdl" pkgs) (getAttr "fare-quasiquote-optima" pkgs) (getAttr "fiveam" pkgs) (getAttr "optima" pkgs) ];
  };
  cl-video = {
    pname = "cl-video";
    version = "20180228-git";
    asds = [ "cl-video" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video";
      asd = "cl-video";
    });
    systems = [ "cl-video" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  cl-video-avi = {
    pname = "cl-video-avi";
    version = "20180228-git";
    asds = [ "cl-video-avi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-avi";
      asd = "cl-video-avi";
    });
    systems = [ "cl-video-avi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "cl-riff" pkgs) (getAttr "cl-video" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  cl-video-gif = {
    pname = "cl-video-gif";
    version = "20180228-git";
    asds = [ "cl-video-gif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-gif";
      asd = "cl-video-gif";
    });
    systems = [ "cl-video-gif" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-video" pkgs) (getAttr "skippy" pkgs) ];
  };
  cl-video-player = {
    pname = "cl-video-player";
    version = "20180228-git";
    asds = [ "cl-video-player" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-player";
      asd = "cl-video-player";
    });
    systems = [ "cl-video-player" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-portaudio" pkgs) (getAttr "cl-video-avi" pkgs) (getAttr "cl-video-gif" pkgs) (getAttr "cl-video-wav" pkgs) (getAttr "clx" pkgs) ];
  };
  cl-video-wav = {
    pname = "cl-video-wav";
    version = "20180228-git";
    asds = [ "cl-video-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-wav";
      asd = "cl-video-wav";
    });
    systems = [ "cl-video-wav" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-riff" pkgs) (getAttr "cl-video" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  cl-virtualbox = {
    pname = "cl-virtualbox";
    version = "20180831-git";
    asds = [ "cl-virtualbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-virtualbox/2018-08-31/cl-virtualbox-20180831-git.tgz";
      sha256 = "1jzn8jjn9yn9vgnn1r6h0iyxb6j17wm8lmf9j5hk4yqwdzb2nidv";
      system = "cl-virtualbox";
      asd = "cl-virtualbox";
    });
    systems = [ "cl-virtualbox" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-vorbis = {
    pname = "cl-vorbis";
    version = "20220707-git";
    asds = [ "cl-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vorbis/2022-07-07/cl-vorbis-20220707-git.tgz";
      sha256 = "1pq06aclyc6nqkdrch91vxgm19sdpvlzlcd76nsn5y7n8dsxgrbr";
      system = "cl-vorbis";
      asd = "cl-vorbis";
    });
    systems = [ "cl-vorbis" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cl-voxelize = {
    pname = "cl-voxelize";
    version = "20150709-git";
    asds = [ "cl-voxelize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize";
      asd = "cl-voxelize";
    });
    systems = [ "cl-voxelize" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  cl-voxelize-examples = {
    pname = "cl-voxelize-examples";
    version = "20150709-git";
    asds = [ "cl-voxelize-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize-examples";
      asd = "cl-voxelize-examples";
    });
    systems = [ "cl-voxelize-examples" ];
    lispLibs = [ (getAttr "cl-ply" pkgs) (getAttr "cl-voxelize" pkgs) ];
  };
  cl-voxelize-test = {
    pname = "cl-voxelize-test";
    version = "20150709-git";
    asds = [ "cl-voxelize-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize-test";
      asd = "cl-voxelize-test";
    });
    systems = [ "cl-voxelize-test" ];
    lispLibs = [ (getAttr "cl-voxelize" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-wadler-pprint = {
    pname = "cl-wadler-pprint";
    version = "20191007-git";
    asds = [ "cl-wadler-pprint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wadler-pprint/2019-10-07/cl-wadler-pprint-20191007-git.tgz";
      sha256 = "0y5jxk7yiw8wng7hg91cwibh6d2hf1sv2mzqhkds6l4myhzxb4jr";
      system = "cl-wadler-pprint";
      asd = "cl-wadler-pprint";
    });
    systems = [ "cl-wadler-pprint" ];
    lispLibs = [  ];
  };
  cl-wadler-pprint_slash_test = {
    pname = "cl-wadler-pprint_test";
    version = "20191007-git";
    asds = [ "cl-wadler-pprint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wadler-pprint/2019-10-07/cl-wadler-pprint-20191007-git.tgz";
      sha256 = "0y5jxk7yiw8wng7hg91cwibh6d2hf1sv2mzqhkds6l4myhzxb4jr";
      system = "cl-wadler-pprint";
      asd = "cl-wadler-pprint";
    });
    systems = [ "cl-wadler-pprint/test" ];
    lispLibs = [ (getAttr "cl-wadler-pprint" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-wav = {
    pname = "cl-wav";
    version = "20221106-git";
    asds = [ "cl-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wav/2022-11-06/cl-wav-20221106-git.tgz";
      sha256 = "1nf4zw72v0c9fl8mr4si5cr2xz753ydzv19mfzy5dqqx0k1g7wyl";
      system = "cl-wav";
      asd = "cl-wav";
    });
    systems = [ "cl-wav" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-riff" pkgs) ];
  };
  cl-wave-file-writer = {
    pname = "cl-wave-file-writer";
    version = "quickload-current-release-42cde6cf-git";
    asds = [ "cl-wave-file-writer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wave-file-writer/2021-10-20/cl-wave-file-writer-quickload-current-release-42cde6cf-git.tgz";
      sha256 = "0mxzp6rm7ah86vp1xj67q43al71k62x407m5vmbldvyb6pmx37fp";
      system = "cl-wave-file-writer";
      asd = "cl-wave-file-writer";
    });
    systems = [ "cl-wave-file-writer" ];
    lispLibs = [  ];
  };
  cl-wave-file-writer_slash_doc = {
    pname = "cl-wave-file-writer_doc";
    version = "quickload-current-release-42cde6cf-git";
    asds = [ "cl-wave-file-writer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wave-file-writer/2021-10-20/cl-wave-file-writer-quickload-current-release-42cde6cf-git.tgz";
      sha256 = "0mxzp6rm7ah86vp1xj67q43al71k62x407m5vmbldvyb6pmx37fp";
      system = "cl-wave-file-writer";
      asd = "cl-wave-file-writer";
    });
    systems = [ "cl-wave-file-writer/doc" ];
    lispLibs = [ (getAttr "cl-html-readme" pkgs) (getAttr "cl-wave-file-writer" pkgs) (getAttr "docparser" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-wavelets = {
    pname = "cl-wavelets";
    version = "20220707-git";
    asds = [ "cl-wavelets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wavelets/2022-07-07/cl-wavelets-20220707-git.tgz";
      sha256 = "0z4r01d5mv4rachz5rr5zvnv94q7ka17138vcpsb05sz00vv03ba";
      system = "cl-wavelets";
      asd = "cl-wavelets";
    });
    systems = [ "cl-wavelets" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
  };
  cl-wavelets_slash_examples = {
    pname = "cl-wavelets_examples";
    version = "20220707-git";
    asds = [ "cl-wavelets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wavelets/2022-07-07/cl-wavelets-20220707-git.tgz";
      sha256 = "0z4r01d5mv4rachz5rr5zvnv94q7ka17138vcpsb05sz00vv03ba";
      system = "cl-wavelets";
      asd = "cl-wavelets";
    });
    systems = [ "cl-wavelets/examples" ];
    lispLibs = [ (getAttr "cl-jpeg" pkgs) (getAttr "cl-wavelets" pkgs) (getAttr "easy-audio" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-wavelets_slash_tests = {
    pname = "cl-wavelets_tests";
    version = "20220707-git";
    asds = [ "cl-wavelets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wavelets/2022-07-07/cl-wavelets-20220707-git.tgz";
      sha256 = "0z4r01d5mv4rachz5rr5zvnv94q7ka17138vcpsb05sz00vv03ba";
      system = "cl-wavelets";
      asd = "cl-wavelets";
    });
    systems = [ "cl-wavelets/tests" ];
    lispLibs = [ (getAttr "cl-wavelets" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-wayland = {
    pname = "cl-wayland";
    version = "20190307-git";
    asds = [ "cl-wayland" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wayland/2019-03-07/cl-wayland-20190307-git.tgz";
      sha256 = "1axdkdm5d2bvj674jq6ylwhfwbzzs7yjj6f04c519qbdq9sknbcn";
      system = "cl-wayland";
      asd = "cl-wayland";
    });
    systems = [ "cl-wayland" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-weather-jp = {
    pname = "cl-weather-jp";
    version = "20160208-git";
    asds = [ "cl-weather-jp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-weather-jp/2016-02-08/cl-weather-jp-20160208-git.tgz";
      sha256 = "15bp7gdk7ck9xs9lx2rrzqw6awlk6nz03cqy14wv2lvy3j84dc01";
      system = "cl-weather-jp";
      asd = "cl-weather-jp";
    });
    systems = [ "cl-weather-jp" ];
    lispLibs = [ (getAttr "clss" pkgs) (getAttr "dexador" pkgs) (getAttr "function-cache" pkgs) (getAttr "jonathan" pkgs) (getAttr "plump" pkgs) ];
  };
  cl-weather-jp-test = {
    pname = "cl-weather-jp-test";
    version = "20160208-git";
    asds = [ "cl-weather-jp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-weather-jp/2016-02-08/cl-weather-jp-20160208-git.tgz";
      sha256 = "15bp7gdk7ck9xs9lx2rrzqw6awlk6nz03cqy14wv2lvy3j84dc01";
      system = "cl-weather-jp-test";
      asd = "cl-weather-jp-test";
    });
    systems = [ "cl-weather-jp-test" ];
    lispLibs = [ (getAttr "cl-weather-jp" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-webdav = {
    pname = "cl-webdav";
    version = "20170830-git";
    asds = [ "cl-webdav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdav/2017-08-30/cl-webdav-20170830-git.tgz";
      sha256 = "1cmzv763k4s5blfhx2p8s7q9gk20p8mj9p34dngydc14d2acrxmg";
      system = "cl-webdav";
      asd = "cl-webdav";
    });
    systems = [ "cl-webdav" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cxml" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  cl-webdriver-client = {
    pname = "cl-webdriver-client";
    version = "20211230-git";
    asds = [ "cl-webdriver-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdriver-client/2021-12-30/cl-webdriver-client-20211230-git.tgz";
      sha256 = "12ackxk5glsi2dg7kjn6gr1c6r6xnmd23hwsbb9fghwjl23cqlri";
      system = "cl-webdriver-client";
      asd = "cl-webdriver-client";
    });
    systems = [ "cl-webdriver-client" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "assoc-utils" pkgs) (getAttr "cl-json" pkgs) (getAttr "dexador" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  cl-webdriver-client-test = {
    pname = "cl-webdriver-client-test";
    version = "20211230-git";
    asds = [ "cl-webdriver-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdriver-client/2021-12-30/cl-webdriver-client-20211230-git.tgz";
      sha256 = "12ackxk5glsi2dg7kjn6gr1c6r6xnmd23hwsbb9fghwjl23cqlri";
      system = "cl-webdriver-client-test";
      asd = "cl-webdriver-client-test";
    });
    systems = [ "cl-webdriver-client-test" ];
    lispLibs = [ (getAttr "cl-webdriver-client" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cl-webkit2 = {
    pname = "cl-webkit2";
    version = "20221106-git";
    asds = [ "cl-webkit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webkit/2022-11-06/cl-webkit-20221106-git.tgz";
      sha256 = "13f6s7zwnx0nvllizij4vziph8pz28xkqzfyyis1dzz7cxksf6fy";
      system = "cl-webkit2";
      asd = "cl-webkit2";
    });
    systems = [ "cl-webkit2" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-cffi-gtk" pkgs) ];
  };
  cl-who = {
    pname = "cl-who";
    version = "20220331-git";
    asds = [ "cl-who" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-who/2022-03-31/cl-who-20220331-git.tgz";
      sha256 = "1rdvs113q6d46cblwhsv1vmm31p952wyzkyibqix0ypadpczlgp5";
      system = "cl-who";
      asd = "cl-who";
    });
    systems = [ "cl-who" ];
    lispLibs = [  ];
  };
  cl-who-test = {
    pname = "cl-who-test";
    version = "20220331-git";
    asds = [ "cl-who-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-who/2022-03-31/cl-who-20220331-git.tgz";
      sha256 = "1rdvs113q6d46cblwhsv1vmm31p952wyzkyibqix0ypadpczlgp5";
      system = "cl-who-test";
      asd = "cl-who";
    });
    systems = [ "cl-who-test" ];
    lispLibs = [ (getAttr "cl-who" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  cl-why = {
    pname = "cl-why";
    version = "20180228-git";
    asds = [ "cl-why" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-why/2018-02-28/cl-why-20180228-git.tgz";
      sha256 = "01xm7gj1wwd7i3r49jfdm96gwl7nvrn0h6q22kpzrb8zs48wj947";
      system = "cl-why";
      asd = "cl-why";
    });
    systems = [ "cl-why" ];
    lispLibs = [  ];
  };
  cl-why-test = {
    pname = "cl-why-test";
    version = "20180228-git";
    asds = [ "cl-why-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-why/2018-02-28/cl-why-20180228-git.tgz";
      sha256 = "01xm7gj1wwd7i3r49jfdm96gwl7nvrn0h6q22kpzrb8zs48wj947";
      system = "cl-why-test";
      asd = "cl-why";
    });
    systems = [ "cl-why-test" ];
    lispLibs = [ (getAttr "cl-why" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  cl-with = {
    pname = "cl-with";
    version = "20211020-git";
    asds = [ "cl-with" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-with/2021-10-20/cl-with-20211020-git.tgz";
      sha256 = "1x4laq7zi12xb28rfrh8hcy92pkfvjxsp2nn6jkmrhfynky5180w";
      system = "cl-with";
      asd = "cl-with";
    });
    systems = [ "cl-with" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  cl-wol_dot_cli = {
    pname = "cl-wol.cli";
    version = "20220331-git";
    asds = [ "cl-wol.cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2022-03-31/cl-wol-20220331-git.tgz";
      sha256 = "0pcg1gix6qf5c545l86swbpnjmgb0yxkwb0s52da2jnpbg6f8pkk";
      system = "cl-wol.cli";
      asd = "cl-wol.cli";
    });
    systems = [ "cl-wol.cli" ];
    lispLibs = [ (getAttr "cl-ascii-table" pkgs) (getAttr "cl-migratum" pkgs) (getAttr "cl-migratum_dot_driver_dot_dbi" pkgs) (getAttr "cl-migratum_dot_provider_dot_local-path" pkgs) (getAttr "cl-wol_dot_core" pkgs) (getAttr "clingon" pkgs) ];
  };
  cl-wol_dot_core = {
    pname = "cl-wol.core";
    version = "20220331-git";
    asds = [ "cl-wol.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2022-03-31/cl-wol-20220331-git.tgz";
      sha256 = "0pcg1gix6qf5c545l86swbpnjmgb0yxkwb0s52da2jnpbg6f8pkk";
      system = "cl-wol.core";
      asd = "cl-wol.core";
    });
    systems = [ "cl-wol.core" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-wol_dot_test = {
    pname = "cl-wol.test";
    version = "20220331-git";
    asds = [ "cl-wol.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2022-03-31/cl-wol-20220331-git.tgz";
      sha256 = "0pcg1gix6qf5c545l86swbpnjmgb0yxkwb0s52da2jnpbg6f8pkk";
      system = "cl-wol.test";
      asd = "cl-wol.test";
    });
    systems = [ "cl-wol.test" ];
    lispLibs = [ (getAttr "cl-wol_dot_core" pkgs) (getAttr "rove" pkgs) ];
  };
  cl-wordcut = {
    pname = "cl-wordcut";
    version = "20160421-git";
    asds = [ "cl-wordcut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wordcut/2016-04-21/cl-wordcut-20160421-git.tgz";
      sha256 = "1b8b3b1rgk0y87l54325ilcly8rq9qxalcsmw6rk8q6dq13lgv78";
      system = "cl-wordcut";
      asd = "cl-wordcut";
    });
    systems = [ "cl-wordcut" ];
    lispLibs = [  ];
  };
  cl-wordcut_slash_test = {
    pname = "cl-wordcut_test";
    version = "20160421-git";
    asds = [ "cl-wordcut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wordcut/2016-04-21/cl-wordcut-20160421-git.tgz";
      sha256 = "1b8b3b1rgk0y87l54325ilcly8rq9qxalcsmw6rk8q6dq13lgv78";
      system = "cl-wordcut";
      asd = "cl-wordcut";
    });
    systems = [ "cl-wordcut/test" ];
    lispLibs = [ (getAttr "cl-wordcut" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cl-xdg = {
    pname = "cl-xdg";
    version = "20170124-git";
    asds = [ "cl-xdg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xdg/2017-01-24/cl-xdg-20170124-git.tgz";
      sha256 = "078hgsab0gl6s96wq09ibq5alzyyqh6wwc3yjs44fv18561p5jgc";
      system = "cl-xdg";
      asd = "cl-xdg";
    });
    systems = [ "cl-xdg" ];
    lispLibs = [ (getAttr "cl-sxml" pkgs) (getAttr "cl-xmlspam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-xdg-test = {
    pname = "cl-xdg-test";
    version = "20170124-git";
    asds = [ "cl-xdg-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xdg/2017-01-24/cl-xdg-20170124-git.tgz";
      sha256 = "078hgsab0gl6s96wq09ibq5alzyyqh6wwc3yjs44fv18561p5jgc";
      system = "cl-xdg-test";
      asd = "cl-xdg";
    });
    systems = [ "cl-xdg-test" ];
    lispLibs = [ (getAttr "cl-xdg" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
  };
  cl-xkb = {
    pname = "cl-xkb";
    version = "20221106-git";
    asds = [ "cl-xkb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xkb/2022-11-06/cl-xkb-20221106-git.tgz";
      sha256 = "08c4c4cfwq9yk09pfqir7nxyv8qbb97m0yrzind8vdlxy1lbgxgz";
      system = "cl-xkb";
      asd = "cl-xkb";
    });
    systems = [ "cl-xkb" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  cl-xkeysym = {
    pname = "cl-xkeysym";
    version = "20140914-git";
    asds = [ "cl-xkeysym" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xkeysym/2014-09-14/cl-xkeysym-20140914-git.tgz";
      sha256 = "0yxijl6xb5apb6v6qm8g3kfdr90slgg6vsnx4d1ps9z4zhrjlc6c";
      system = "cl-xkeysym";
      asd = "cl-xkeysym";
    });
    systems = [ "cl-xkeysym" ];
    lispLibs = [  ];
  };
  cl-xmlspam = {
    pname = "cl-xmlspam";
    version = "20101006-http";
    asds = [ "cl-xmlspam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmlspam/2010-10-06/cl-xmlspam-20101006-http.tgz";
      sha256 = "03jw57889b60nsqgb13vrf5q1g2fasah7qv7knjlx2w4mc1ci7ks";
      system = "cl-xmlspam";
      asd = "cl-xmlspam";
    });
    systems = [ "cl-xmlspam" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) ];
  };
  cl-xmpp = {
    pname = "cl-xmpp";
    version = "0.8.1";
    asds = [ "cl-xmpp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp";
      asd = "cl-xmpp";
    });
    systems = [ "cl-xmpp" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "ironclad" pkgs) (getAttr "usocket" pkgs) ];
  };
  cl-xmpp-sasl = {
    pname = "cl-xmpp-sasl";
    version = "0.8.1";
    asds = [ "cl-xmpp-sasl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp-sasl";
      asd = "cl-xmpp-sasl";
    });
    systems = [ "cl-xmpp-sasl" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cl-sasl" pkgs) (getAttr "cl-xmpp" pkgs) ];
  };
  cl-xmpp-tls = {
    pname = "cl-xmpp-tls";
    version = "0.8.1";
    asds = [ "cl-xmpp-tls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp-tls";
      asd = "cl-xmpp-tls";
    });
    systems = [ "cl-xmpp-tls" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-xmpp-sasl" pkgs) ];
  };
  cl-xul = {
    pname = "cl-xul";
    version = "20160318-git";
    asds = [ "cl-xul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xul/2016-03-18/cl-xul-20160318-git.tgz";
      sha256 = "0ldny4bjfndrkyqcq6klqxvqkpb0lhcqlj52y89ybl9w7dkl2d9p";
      system = "cl-xul";
      asd = "cl-xul";
    });
    systems = [ "cl-xul" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-json" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clws" pkgs) (getAttr "cxml" pkgs) (getAttr "log5" pkgs) (getAttr "md5" pkgs) (getAttr "parenscript" pkgs) ];
  };
  cl-xul-test = {
    pname = "cl-xul-test";
    version = "20160318-git";
    asds = [ "cl-xul-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xul/2016-03-18/cl-xul-20160318-git.tgz";
      sha256 = "0ldny4bjfndrkyqcq6klqxvqkpb0lhcqlj52y89ybl9w7dkl2d9p";
      system = "cl-xul-test";
      asd = "cl-xul-test";
    });
    systems = [ "cl-xul-test" ];
    lispLibs = [ (getAttr "cl-xul" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-yaclyaml = {
    pname = "cl-yaclyaml";
    version = "20160825-git";
    asds = [ "cl-yaclyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaclyaml/2016-08-25/cl-yaclyaml-20160825-git.tgz";
      sha256 = "1clfhz4ii2p11yc3bm23ib4rx0rfxsh18ddc2br82i7mbwks3pll";
      system = "cl-yaclyaml";
      asd = "cl-yaclyaml";
    });
    systems = [ "cl-yaclyaml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap-liquid" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-number" pkgs) (getAttr "cl-test-more" pkgs) (getAttr "rutils" pkgs) ];
  };
  cl-yaclyaml-tests = {
    pname = "cl-yaclyaml-tests";
    version = "20160825-git";
    asds = [ "cl-yaclyaml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaclyaml/2016-08-25/cl-yaclyaml-20160825-git.tgz";
      sha256 = "1clfhz4ii2p11yc3bm23ib4rx0rfxsh18ddc2br82i7mbwks3pll";
      system = "cl-yaclyaml-tests";
      asd = "cl-yaclyaml";
    });
    systems = [ "cl-yaclyaml-tests" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-yaclyaml" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cl-yahoo-finance = {
    pname = "cl-yahoo-finance";
    version = "20130312-git";
    asds = [ "cl-yahoo-finance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yahoo-finance/2013-03-12/cl-yahoo-finance-20130312-git.tgz";
      sha256 = "1qhs4j00iw1w81lx0vmyiayzqyvixaxc5j2rc89qlr1gx12mqadl";
      system = "cl-yahoo-finance";
      asd = "cl-yahoo-finance";
    });
    systems = [ "cl-yahoo-finance" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-csv" pkgs) (getAttr "drakma" pkgs) (getAttr "url-rewrite" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-yaml = {
    pname = "cl-yaml";
    version = "20221106-git";
    asds = [ "cl-yaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaml/2022-11-06/cl-yaml-20221106-git.tgz";
      sha256 = "053fvrrd0p2xx4zxbz4kg9469895ypwsbjfd3nwpi7lwcll2bir5";
      system = "cl-yaml";
      asd = "cl-yaml";
    });
    systems = [ "cl-yaml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-libyaml" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cl-yaml-test = {
    pname = "cl-yaml-test";
    version = "20221106-git";
    asds = [ "cl-yaml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaml/2022-11-06/cl-yaml-20221106-git.tgz";
      sha256 = "053fvrrd0p2xx4zxbz4kg9469895ypwsbjfd3nwpi7lwcll2bir5";
      system = "cl-yaml-test";
      asd = "cl-yaml-test";
    });
    systems = [ "cl-yaml-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-yaml" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-comparability" pkgs) (getAttr "trivial-benchmark" pkgs) (getAttr "yason" pkgs) ];
  };
  cl-yesql = {
    pname = "cl-yesql";
    version = "20211020-git";
    asds = [ "cl-yesql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yesql/2021-10-20/cl-yesql-20211020-git.tgz";
      sha256 = "0bg133kprbssv0z4ir2hkhf72fbmnz9v9861ncs1isqaby2d4xlj";
      system = "cl-yesql";
      asd = "cl-yesql";
    });
    systems = [ "cl-yesql" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "esrap" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "vernacular" pkgs) ];
  };
  cl-zipper = {
    pname = "cl-zipper";
    version = "20200610-git";
    asds = [ "cl-zipper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zipper/2020-06-10/cl-zipper-20200610-git.tgz";
      sha256 = "1zcfy97l40ynbldxpx8nad81jlrfp0k2vic10wbkrqdfkr696xkg";
      system = "cl-zipper";
      asd = "cl-zipper";
    });
    systems = [ "cl-zipper" ];
    lispLibs = [ (getAttr "prove-asdf" pkgs) ];
  };
  cl-zipper-test = {
    pname = "cl-zipper-test";
    version = "20200610-git";
    asds = [ "cl-zipper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zipper/2020-06-10/cl-zipper-20200610-git.tgz";
      sha256 = "1zcfy97l40ynbldxpx8nad81jlrfp0k2vic10wbkrqdfkr696xkg";
      system = "cl-zipper-test";
      asd = "cl-zipper";
    });
    systems = [ "cl-zipper-test" ];
    lispLibs = [ (getAttr "cl-zipper" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "test-utils" pkgs) ];
  };
  cl4store = {
    pname = "cl4store";
    version = "20200325-git";
    asds = [ "cl4store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl4store/2020-03-25/cl4store-20200325-git.tgz";
      sha256 = "0qajxwlvmb5vd9qynnl0n62bcl1xhin49xk0p44v6pig8q2jzc26";
      system = "cl4store";
      asd = "cl4store";
    });
    systems = [ "cl4store" ];
    lispLibs = [ (getAttr "cl-rdfxml" pkgs) (getAttr "cl-sparql" pkgs) (getAttr "drakma" pkgs) (getAttr "log5" pkgs) ];
  };
  clache = {
    pname = "clache";
    version = "20171130-git";
    asds = [ "clache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clache/2017-11-30/clache-20171130-git.tgz";
      sha256 = "0wxg004bsay58vr6xr6mlk7wj415qmvisqxvpnjsg6glfwca86ys";
      system = "clache";
      asd = "clache";
    });
    systems = [ "clache" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-store" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "ironclad" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  clache-test = {
    pname = "clache-test";
    version = "20171130-git";
    asds = [ "clache-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clache/2017-11-30/clache-20171130-git.tgz";
      sha256 = "0wxg004bsay58vr6xr6mlk7wj415qmvisqxvpnjsg6glfwca86ys";
      system = "clache-test";
      asd = "clache-test";
    });
    systems = [ "clache-test" ];
    lispLibs = [ (getAttr "clache" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  clack = {
    pname = "clack";
    version = "20221106-git";
    asds = [ "clack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack";
      asd = "clack";
    });
    systems = [ "clack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "lack" pkgs) (getAttr "lack-middleware-backtrace" pkgs) (getAttr "lack-util" pkgs) (getAttr "swank" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  clack-errors = {
    pname = "clack-errors";
    version = "20190813-git";
    asds = [ "clack-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors";
      asd = "clack-errors";
    });
    systems = [ "clack-errors" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "clack" pkgs) (getAttr "closer-mop" pkgs) (getAttr "djula" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  clack-errors-demo = {
    pname = "clack-errors-demo";
    version = "20190813-git";
    asds = [ "clack-errors-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors-demo";
      asd = "clack-errors-demo";
    });
    systems = [ "clack-errors-demo" ];
    lispLibs = [ (getAttr "cl-markup" pkgs) (getAttr "clack-errors" pkgs) ];
  };
  clack-errors-test = {
    pname = "clack-errors-test";
    version = "20190813-git";
    asds = [ "clack-errors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors-test";
      asd = "clack-errors-test";
    });
    systems = [ "clack-errors-test" ];
    lispLibs = [ (getAttr "clack" pkgs) (getAttr "clack-errors" pkgs) (getAttr "drakma" pkgs) (getAttr "fiveam" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  clack-handler-fcgi = {
    pname = "clack-handler-fcgi";
    version = "20221106-git";
    asds = [ "clack-handler-fcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-handler-fcgi";
      asd = "clack-handler-fcgi";
    });
    systems = [ "clack-handler-fcgi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fastcgi" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "quri" pkgs) (getAttr "usocket" pkgs) ];
  };
  clack-handler-hunchentoot = {
    pname = "clack-handler-hunchentoot";
    version = "20221106-git";
    asds = [ "clack-handler-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-handler-hunchentoot";
      asd = "clack-handler-hunchentoot";
    });
    systems = [ "clack-handler-hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "clack-socket" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clack-handler-toot = {
    pname = "clack-handler-toot";
    version = "20221106-git";
    asds = [ "clack-handler-toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-handler-toot";
      asd = "clack-handler-toot";
    });
    systems = [ "clack-handler-toot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) (getAttr "toot" pkgs) ];
  };
  clack-handler-woo = {
    pname = "clack-handler-woo";
    version = "20220707-git";
    asds = [ "clack-handler-woo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "clack-handler-woo";
      asd = "clack-handler-woo";
    });
    systems = [ "clack-handler-woo" ];
    lispLibs = [ (getAttr "woo" pkgs) ];
  };
  clack-handler-wookie = {
    pname = "clack-handler-wookie";
    version = "20221106-git";
    asds = [ "clack-handler-wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-handler-wookie";
      asd = "clack-handler-wookie";
    });
    systems = [ "clack-handler-wookie" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-async" pkgs) (getAttr "clack-socket" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "wookie" pkgs) ];
  };
  clack-pretend = {
    pname = "clack-pretend";
    version = "20210630-git";
    asds = [ "clack-pretend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-pretend/2021-06-30/clack-pretend-20210630-git.tgz";
      sha256 = "1fhbznnrfkg9n3ql97h4adaqf968gn7i9xpggb4zzszc8gwiyasg";
      system = "clack-pretend";
      asd = "clack-pretend";
    });
    systems = [ "clack-pretend" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "circular-streams" pkgs) (getAttr "cl-hash-util" pkgs) (getAttr "clack" pkgs) (getAttr "lack-request" pkgs) ];
  };
  clack-socket = {
    pname = "clack-socket";
    version = "20221106-git";
    asds = [ "clack-socket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-socket";
      asd = "clack-socket";
    });
    systems = [ "clack-socket" ];
    lispLibs = [  ];
  };
  clack-static-asset-djula-helpers = {
    pname = "clack-static-asset-djula-helpers";
    version = "20211209-git";
    asds = [ "clack-static-asset-djula-helpers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-djula-helpers";
      asd = "clack-static-asset-djula-helpers";
    });
    systems = [ "clack-static-asset-djula-helpers" ];
    lispLibs = [ (getAttr "clack-static-asset-middleware" pkgs) (getAttr "djula" pkgs) ];
  };
  clack-static-asset-middleware = {
    pname = "clack-static-asset-middleware";
    version = "20211209-git";
    asds = [ "clack-static-asset-middleware" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-middleware";
      asd = "clack-static-asset-middleware";
    });
    systems = [ "clack-static-asset-middleware" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "uiop" pkgs) ];
  };
  clack-static-asset-middleware-test = {
    pname = "clack-static-asset-middleware-test";
    version = "20211209-git";
    asds = [ "clack-static-asset-middleware-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-middleware-test";
      asd = "clack-static-asset-middleware-test";
    });
    systems = [ "clack-static-asset-middleware-test" ];
    lispLibs = [ (getAttr "clack-static-asset-djula-helpers" pkgs) (getAttr "clack-static-asset-middleware" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clack-test = {
    pname = "clack-test";
    version = "20221106-git";
    asds = [ "clack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "clack-test";
      asd = "clack-test";
    });
    systems = [ "clack-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "clack" pkgs) (getAttr "clack-handler-hunchentoot" pkgs) (getAttr "dexador" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "http-body" pkgs) (getAttr "ironclad" pkgs) (getAttr "rove" pkgs) (getAttr "usocket" pkgs) ];
  };
  clad = {
    pname = "clad";
    version = "20211230-git";
    asds = [ "clad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clad/2021-12-30/clad-20211230-git.tgz";
      sha256 = "0g8d1nk3vwz2yhh9wh89khhps165v4zhy1lj30y589ynr1ziwpdz";
      system = "clad";
      asd = "clad";
    });
    systems = [ "clad" ];
    lispLibs = [  ];
  };
  clam = {
    pname = "clam";
    version = "20220707-git";
    asds = [ "clam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluster/2022-07-07/cluster-20220707-git.tgz";
      sha256 = "1cb3v32ix5qiz4f1xgk6as0032xcnc7922m78ykpni0y2gpfp2c7";
      system = "clam";
      asd = "clam";
    });
    systems = [ "clam" ];
    lispLibs = [  ];
  };
  class-options = {
    pname = "class-options";
    version = "1.0.1";
    asds = [ "class-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/class-options/2020-10-16/class-options_1.0.1.tgz";
      sha256 = "1dkgr1vbrsra44jznzz2bvdf8nlpdrrkjcqrfs8aa7axksda3bqk";
      system = "class-options";
      asd = "class-options";
    });
    systems = [ "class-options" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  class-options_tests = {
    pname = "class-options_tests";
    version = "1.0.1";
    asds = [ "class-options_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/class-options/2020-10-16/class-options_1.0.1.tgz";
      sha256 = "1dkgr1vbrsra44jznzz2bvdf8nlpdrrkjcqrfs8aa7axksda3bqk";
      system = "class-options_tests";
      asd = "class-options_tests";
    });
    systems = [ "class-options_tests" ];
    lispLibs = [ (getAttr "class-options" pkgs) (getAttr "closer-mop" pkgs) (getAttr "enhanced-boolean" pkgs) (getAttr "parachute" pkgs) ];
  };
  classimp = {
    pname = "classimp";
    version = "20200325-git";
    asds = [ "classimp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classimp/2020-03-25/classimp-20200325-git.tgz";
      sha256 = "0pbnz6cf1zb2ayk4kbw0gphjb8nflnjns2rwhv86jz0kf0z1hqha";
      system = "classimp";
      asd = "classimp";
    });
    systems = [ "classimp" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  classimp-samples = {
    pname = "classimp-samples";
    version = "20200325-git";
    asds = [ "classimp-samples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classimp/2020-03-25/classimp-20200325-git.tgz";
      sha256 = "0pbnz6cf1zb2ayk4kbw0gphjb8nflnjns2rwhv86jz0kf0z1hqha";
      system = "classimp-samples";
      asd = "classimp-samples";
    });
    systems = [ "classimp-samples" ];
    lispLibs = [ (getAttr "cl-ilut" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "classimp" pkgs) ];
  };
  classowary = {
    pname = "classowary";
    version = "20191007-git";
    asds = [ "classowary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classowary/2019-10-07/classowary-20191007-git.tgz";
      sha256 = "099vmnl3lny427c1vzqrxc2mi57lv944cwn0z9hb0fndlr30alkh";
      system = "classowary";
      asd = "classowary";
    });
    systems = [ "classowary" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  classowary-test = {
    pname = "classowary-test";
    version = "20191007-git";
    asds = [ "classowary-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classowary/2019-10-07/classowary-20191007-git.tgz";
      sha256 = "099vmnl3lny427c1vzqrxc2mi57lv944cwn0z9hb0fndlr30alkh";
      system = "classowary-test";
      asd = "classowary-test";
    });
    systems = [ "classowary-test" ];
    lispLibs = [ (getAttr "classowary" pkgs) (getAttr "parachute" pkgs) ];
  };
  clast = {
    pname = "clast";
    version = "20211230-git";
    asds = [ "clast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clast/2021-12-30/clast-20211230-git.tgz";
      sha256 = "1ayr1hq2vv1g1sfxws78hai86za5b68wpfg2lk0bazfzsbfm6nvs";
      system = "clast";
      asd = "clast";
    });
    systems = [ "clast" ];
    lispLibs = [  ];
  };
  clast_slash_tests = {
    pname = "clast_tests";
    version = "20211230-git";
    asds = [ "clast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clast/2021-12-30/clast-20211230-git.tgz";
      sha256 = "1ayr1hq2vv1g1sfxws78hai86za5b68wpfg2lk0bazfzsbfm6nvs";
      system = "clast";
      asd = "clast";
    });
    systems = [ "clast/tests" ];
    lispLibs = [ (getAttr "clast" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clath = {
    pname = "clath";
    version = "20210531-git";
    asds = [ "clath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clath/2021-05-31/clath-20210531-git.tgz";
      sha256 = "1mdp6qnjlh698bbsqp3z0p3j9npfnrgbzinbld1fyscrlwaz8k27";
      system = "clath";
      asd = "clath";
    });
    systems = [ "clath" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-hash-util" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-who" pkgs) (getAttr "clack" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "jose" pkgs) (getAttr "ningle" pkgs) (getAttr "north" pkgs) (getAttr "ubiquitous" pkgs) ];
  };
  clavatar = {
    pname = "clavatar";
    version = "20121013-git";
    asds = [ "clavatar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavatar/2012-10-13/clavatar-20121013-git.tgz";
      sha256 = "07r58d4dk5nr3aimrryzbf3jw6580b5gkkbpw74ax4nmm8hz6v5y";
      system = "clavatar";
      asd = "clavatar";
    });
    systems = [ "clavatar" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "drakma" pkgs) (getAttr "iolib" pkgs) (getAttr "ironclad" pkgs) ];
  };
  clavier = {
    pname = "clavier";
    version = "20210531-git";
    asds = [ "clavier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavier/2021-05-31/clavier-20210531-git.tgz";
      sha256 = "0734xia2hf7lqkm59gjhyvpsp0vl50djyhy4llwwbzbwwdkdihw4";
      system = "clavier";
      asd = "clavier";
    });
    systems = [ "clavier" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "chronicity" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  clavier_dot_test = {
    pname = "clavier.test";
    version = "20210531-git";
    asds = [ "clavier.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavier/2021-05-31/clavier-20210531-git.tgz";
      sha256 = "0734xia2hf7lqkm59gjhyvpsp0vl50djyhy4llwwbzbwwdkdihw4";
      system = "clavier.test";
      asd = "clavier.test";
    });
    systems = [ "clavier.test" ];
    lispLibs = [ (getAttr "clavier" pkgs) (getAttr "stefil" pkgs) ];
  };
  claw = {
    pname = "claw";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "claw-support" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  claw-olm = {
    pname = "claw-olm";
    version = "20210531-git";
    asds = [ "claw-olm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-olm/2021-05-31/claw-olm-20210531-git.tgz";
      sha256 = "04r6d8infhcc7vz95asrvlpc0wzkzq1blaza74nd62alakr6mmrr";
      system = "claw-olm";
      asd = "claw-olm";
    });
    systems = [ "claw-olm" ];
    lispLibs = [ (getAttr "claw-olm-bindings" pkgs) ];
  };
  claw-olm-bindings = {
    pname = "claw-olm-bindings";
    version = "20210531-git";
    asds = [ "claw-olm-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-olm/2021-05-31/claw-olm-20210531-git.tgz";
      sha256 = "04r6d8infhcc7vz95asrvlpc0wzkzq1blaza74nd62alakr6mmrr";
      system = "claw-olm-bindings";
      asd = "claw-olm-bindings";
    });
    systems = [ "claw-olm-bindings" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  claw-support = {
    pname = "claw-support";
    version = "stable-git";
    asds = [ "claw-support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-support/2020-10-16/claw-support-stable-git.tgz";
      sha256 = "1my2ka7h72ipx5n3b465g6kjkasrhsvhqlijwcg6dhlzs5yygl23";
      system = "claw-support";
      asd = "claw-support";
    });
    systems = [ "claw-support" ];
    lispLibs = [  ];
  };
  claw-utils = {
    pname = "claw-utils";
    version = "stable-git";
    asds = [ "claw-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-utils/2020-10-16/claw-utils-stable-git.tgz";
      sha256 = "01df3kyf2qs3czi332dnz2s35x2j0fq46vgmsw7wjrrvnqc22mk5";
      system = "claw-utils";
      asd = "claw-utils";
    });
    systems = [ "claw-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "claw" pkgs) ];
  };
  claw_slash_cffi = {
    pname = "claw_cffi";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw/cffi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "claw-support" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  claw_slash_spec = {
    pname = "claw_spec";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw/spec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "claw-support" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  claw_slash_util = {
    pname = "claw_util";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw/util" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  claw_slash_wrapper = {
    pname = "claw_wrapper";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw/wrapper" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "claw-support" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clawk = {
    pname = "clawk";
    version = "20200925-git";
    asds = [ "clawk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clawk/2020-09-25/clawk-20200925-git.tgz";
      sha256 = "1ph3xjqilvinvgr9q3w47zxqyz1sqnq030nlx7kgkkv8j3bnqk7a";
      system = "clawk";
      asd = "clawk";
    });
    systems = [ "clawk" ];
    lispLibs = [ (getAttr "regex" pkgs) ];
  };
  claxy = {
    pname = "claxy";
    version = "20220220-git";
    asds = [ "claxy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claxy/2022-02-20/claxy-20220220-git.tgz";
      sha256 = "1n6zbsfp0zkndw7r3nar8srjj1wmfgngia3p7z756mmsvp1l68va";
      system = "claxy";
      asd = "claxy";
    });
    systems = [ "claxy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dexador" pkgs) ];
  };
  clazy = {
    pname = "clazy";
    version = "20211230-git";
    asds = [ "clazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clazy/2021-12-30/clazy-20211230-git.tgz";
      sha256 = "1zvkfi7ddhlyckfwx47ays6gf1r0dq9ma86lvplzy58brvk920ds";
      system = "clazy";
      asd = "clazy";
    });
    systems = [ "clazy" ];
    lispLibs = [  ];
  };
  clem = {
    pname = "clem";
    version = "20210807-git";
    asds = [ "clem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem";
      asd = "clem";
    });
    systems = [ "clem" ];
    lispLibs = [  ];
  };
  clem-benchmark = {
    pname = "clem-benchmark";
    version = "20210807-git";
    asds = [ "clem-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem-benchmark";
      asd = "clem-benchmark";
    });
    systems = [ "clem-benchmark" ];
    lispLibs = [ (getAttr "clem" pkgs) ];
  };
  clem-test = {
    pname = "clem-test";
    version = "20210807-git";
    asds = [ "clem-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem-test";
      asd = "clem-test";
    });
    systems = [ "clem-test" ];
    lispLibs = [ (getAttr "clem" pkgs) ];
  };
  cleric = {
    pname = "cleric";
    version = "20220220-git";
    asds = [ "cleric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cleric/2022-02-20/cleric-20220220-git.tgz";
      sha256 = "0a0xqr0bpp0v62f8d13yflz3vz6j4fa9icgc134ajaqxcfa7k0vp";
      system = "cleric";
      asd = "cleric";
    });
    systems = [ "cleric" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "epmd" pkgs) (getAttr "erlang-term" pkgs) (getAttr "md5" pkgs) (getAttr "com_dot_gigamonkeys_dot_binary-data" pkgs) (getAttr "usocket" pkgs) ];
  };
  cleric-test = {
    pname = "cleric-test";
    version = "20220220-git";
    asds = [ "cleric-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cleric/2022-02-20/cleric-20220220-git.tgz";
      sha256 = "0a0xqr0bpp0v62f8d13yflz3vz6j4fa9icgc134ajaqxcfa7k0vp";
      system = "cleric-test";
      asd = "cleric-test";
    });
    systems = [ "cleric-test" ];
    lispLibs = [ (getAttr "erlang-term-test" pkgs) (getAttr "cleric" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  clerk = {
    pname = "clerk";
    version = "20220220-git";
    asds = [ "clerk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clerk/2022-02-20/clerk-20220220-git.tgz";
      sha256 = "0x9rzdylgl6ingkg6g47wh7pb6k30mnl718y8ql1pg0vfd5y1hml";
      system = "clerk";
      asd = "clerk";
    });
    systems = [ "clerk" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clerk-test = {
    pname = "clerk-test";
    version = "20220220-git";
    asds = [ "clerk-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clerk/2022-02-20/clerk-20220220-git.tgz";
      sha256 = "0x9rzdylgl6ingkg6g47wh7pb6k30mnl718y8ql1pg0vfd5y1hml";
      system = "clerk-test";
      asd = "clerk";
    });
    systems = [ "clerk-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clesh = {
    pname = "clesh";
    version = "20201220-git";
    asds = [ "clesh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clesh/2020-12-20/clesh-20201220-git.tgz";
      sha256 = "012ry02djnqyvvs61wbbqj3saz621w2l9gczrywdxhi5p4ycx318";
      system = "clesh";
      asd = "clesh";
    });
    systems = [ "clesh" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  clesh-tests = {
    pname = "clesh-tests";
    version = "20201220-git";
    asds = [ "clesh-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clesh/2020-12-20/clesh-20201220-git.tgz";
      sha256 = "012ry02djnqyvvs61wbbqj3saz621w2l9gczrywdxhi5p4ycx318";
      system = "clesh-tests";
      asd = "clesh-tests";
    });
    systems = [ "clesh-tests" ];
    lispLibs = [ (getAttr "clesh" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  cletris = {
    pname = "cletris";
    version = "20211020-git";
    asds = [ "cletris" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris";
      asd = "cletris";
    });
    systems = [ "cletris" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "pal" pkgs) ];
  };
  cletris-network = {
    pname = "cletris-network";
    version = "20211020-git";
    asds = [ "cletris-network" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris-network";
      asd = "cletris-network";
    });
    systems = [ "cletris-network" ];
    lispLibs = [ (getAttr "cl-log" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cletris" pkgs) (getAttr "usocket" pkgs) ];
  };
  cletris-test = {
    pname = "cletris-test";
    version = "20211020-git";
    asds = [ "cletris-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris-test";
      asd = "cletris-test";
    });
    systems = [ "cletris-test" ];
    lispLibs = [ (getAttr "cletris" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clfswm = {
    pname = "clfswm";
    version = "20161204-git";
    asds = [ "clfswm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clfswm/2016-12-04/clfswm-20161204-git.tgz";
      sha256 = "1r84cpcs74avkjw18ckz3r3836xhky2fcf5ypbfmajpjzxwn5dzc";
      system = "clfswm";
      asd = "clfswm";
    });
    systems = [ "clfswm" ];
    lispLibs = [ (getAttr "clx" pkgs) ];
  };
  clgplot = {
    pname = "clgplot";
    version = "20221106-git";
    asds = [ "clgplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clgplot/2022-11-06/clgplot-20221106-git.tgz";
      sha256 = "0qhhbdwahpn9ass9am9fdpvcnfpi4jrss60kip6jkkzgir9iyz0p";
      system = "clgplot";
      asd = "clgplot";
    });
    systems = [ "clgplot" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "uiop" pkgs) ];
  };
  clgplot-test = {
    pname = "clgplot-test";
    version = "20221106-git";
    asds = [ "clgplot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clgplot/2022-11-06/clgplot-20221106-git.tgz";
      sha256 = "0qhhbdwahpn9ass9am9fdpvcnfpi4jrss60kip6jkkzgir9iyz0p";
      system = "clgplot-test";
      asd = "clgplot-test";
    });
    systems = [ "clgplot-test" ];
    lispLibs = [ (getAttr "clgplot" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clhs = {
    pname = "clhs";
    version = "0.6.3";
    asds = [ "clhs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clhs/2015-04-07/clhs-0.6.3.tgz";
      sha256 = "1jffq2w9yql4cvxy2g5c2v402014306qklp4xhddjjlfvs30sfjd";
      system = "clhs";
      asd = "clhs";
    });
    systems = [ "clhs" ];
    lispLibs = [  ];
  };
  cli-parser = {
    pname = "cli-parser";
    version = "20150608-git";
    asds = [ "cli-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cli-parser/2015-06-08/cl-cli-parser-20150608-git.tgz";
      sha256 = "0gnpakzakkb2j67v2wh4q87k6mmrv0c0fg56m4vx88kgpxp7f90f";
      system = "cli-parser";
      asd = "cli-parser";
    });
    systems = [ "cli-parser" ];
    lispLibs = [  ];
  };
  clickr = {
    pname = "clickr";
    version = "20140713-git";
    asds = [ "clickr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clickr/2014-07-13/clickr-20140713-git.tgz";
      sha256 = "0sykp4aaxjf8xcyiqyqs6967f0fna8ahjqi7ij5z79fd530sxz2s";
      system = "clickr";
      asd = "clickr";
    });
    systems = [ "clickr" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "md5" pkgs) (getAttr "s-xml" pkgs) (getAttr "s-xml-rpc" pkgs) (getAttr "trivial-http" pkgs) ];
  };
  clim = {
    pname = "clim";
    version = "20221106-git";
    asds = [ "clim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim";
      asd = "clim";
    });
    systems = [ "clim" ];
    lispLibs = [ (getAttr "clim-core" pkgs) (getAttr "drei-mcclim" pkgs) ];
  };
  clim-core = {
    pname = "clim-core";
    version = "20221106-git";
    asds = [ "clim-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-core";
      asd = "clim-core";
    });
    systems = [ "clim-core" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "spatial-trees" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  clim-core_slash_frames = {
    pname = "clim-core_frames";
    version = "20221106-git";
    asds = [ "clim-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-core";
      asd = "clim-core";
    });
    systems = [ "clim-core/frames" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "spatial-trees" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-core_slash_silex = {
    pname = "clim-core_silex";
    version = "20221106-git";
    asds = [ "clim-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-core";
      asd = "clim-core";
    });
    systems = [ "clim-core/silex" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "spatial-trees" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-core_slash_system = {
    pname = "clim-core_system";
    version = "20221106-git";
    asds = [ "clim-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-core";
      asd = "clim-core";
    });
    systems = [ "clim-core/system" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-debugger = {
    pname = "clim-debugger";
    version = "20221106-git";
    asds = [ "clim-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-debugger";
      asd = "clim-debugger";
    });
    systems = [ "clim-debugger" ];
    lispLibs = [ (getAttr "clouseau" pkgs) (getAttr "mcclim" pkgs) (getAttr "slim" pkgs) (getAttr "swank" pkgs) ];
  };
  clim-examples = {
    pname = "clim-examples";
    version = "20221106-git";
    asds = [ "clim-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-examples";
      asd = "clim-examples";
    });
    systems = [ "clim-examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clim" pkgs) (getAttr "mcclim" pkgs) (getAttr "mcclim-bezier" pkgs) (getAttr "mcclim-raster-image" pkgs) (getAttr "mcclim-svg" pkgs) ];
  };
  clim-examples_slash_superapp = {
    pname = "clim-examples_superapp";
    version = "20221106-git";
    asds = [ "clim-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-examples";
      asd = "clim-examples";
    });
    systems = [ "clim-examples/superapp" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-lisp = {
    pname = "clim-lisp";
    version = "20221106-git";
    asds = [ "clim-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-lisp";
      asd = "clim-lisp";
    });
    systems = [ "clim-lisp" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  clim-listener = {
    pname = "clim-listener";
    version = "20221106-git";
    asds = [ "clim-listener" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-listener";
      asd = "clim-listener";
    });
    systems = [ "clim-listener" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "clim-debugger" pkgs) (getAttr "mcclim" pkgs) (getAttr "uiop" pkgs) ];
  };
  clim-pdf = {
    pname = "clim-pdf";
    version = "20221106-git";
    asds = [ "clim-pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-pdf";
      asd = "clim-pdf";
    });
    systems = [ "clim-pdf" ];
    lispLibs = [ (getAttr "cl-pdf" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "clim" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "clim-postscript-font" pkgs) ];
  };
  clim-pdf_slash_test = {
    pname = "clim-pdf_test";
    version = "20221106-git";
    asds = [ "clim-pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-pdf";
      asd = "clim-pdf";
    });
    systems = [ "clim-pdf/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-postscript = {
    pname = "clim-postscript";
    version = "20221106-git";
    asds = [ "clim-postscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-postscript";
      asd = "clim-postscript";
    });
    systems = [ "clim-postscript" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "clim-postscript-font" pkgs) ];
  };
  clim-postscript-font = {
    pname = "clim-postscript-font";
    version = "20221106-git";
    asds = [ "clim-postscript-font" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-postscript-font";
      asd = "clim-postscript-font";
    });
    systems = [ "clim-postscript-font" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "mcclim-backend-common" pkgs) ];
  };
  clim-postscript_slash_test = {
    pname = "clim-postscript_test";
    version = "20221106-git";
    asds = [ "clim-postscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clim-postscript";
      asd = "clim-postscript";
    });
    systems = [ "clim-postscript/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clim-widgets = {
    pname = "clim-widgets";
    version = "20200715-git";
    asds = [ "clim-widgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clim-widgets/2020-07-15/clim-widgets-20200715-git.tgz";
      sha256 = "0cpr8xn5a33sy75d06b95cfd3b1h9m5iixgg5h4isavpx3aglmy2";
      system = "clim-widgets";
      asd = "clim-widgets";
    });
    systems = [ "clim-widgets" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "manifest" pkgs) (getAttr "mcclim" pkgs) (getAttr "nsort" pkgs) (getAttr "perlre" pkgs) (getAttr "simple-date-time" pkgs) ];
  };
  climacs = {
    pname = "climacs";
    version = "20200925-git";
    asds = [ "climacs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climacs/2020-09-25/climacs-20200925-git.tgz";
      sha256 = "0mv8l994fvh8pg8065wwb813nmygv0p5d6pbidhbw6aj7qbmhkhy";
      system = "climacs";
      asd = "climacs";
    });
    systems = [ "climacs" ];
    lispLibs = [ (getAttr "flexichain" pkgs) (getAttr "mcclim" pkgs) ];
  };
  climc = {
    pname = "climc";
    version = "20221106-git";
    asds = [ "climc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climc/2022-11-06/climc-20221106-git.tgz";
      sha256 = "0a05l6yzgnnijk6868r1mz13md28lbmm7hnfiz19aflndj7602cf";
      system = "climc";
      asd = "climc";
    });
    systems = [ "climc" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-xmpp-tls" pkgs) (getAttr "mcclim" pkgs) ];
  };
  climc-test = {
    pname = "climc-test";
    version = "20221106-git";
    asds = [ "climc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climc/2022-11-06/climc-20221106-git.tgz";
      sha256 = "0a05l6yzgnnijk6868r1mz13md28lbmm7hnfiz19aflndj7602cf";
      system = "climc-test";
      asd = "climc-test";
    });
    systems = [ "climc-test" ];
    lispLibs = [ (getAttr "climc" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  climon = {
    pname = "climon";
    version = "20220220-git";
    asds = [ "climon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climon/2022-02-20/climon-20220220-git.tgz";
      sha256 = "00bdxpzgvmf5yg785xc9454nv7x5n314kywjd0f12mbvrgklb818";
      system = "climon";
      asd = "climon";
    });
    systems = [ "climon" ];
    lispLibs = [ (getAttr "pal" pkgs) ];
  };
  climon-test = {
    pname = "climon-test";
    version = "20220220-git";
    asds = [ "climon-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climon/2022-02-20/climon-20220220-git.tgz";
      sha256 = "00bdxpzgvmf5yg785xc9454nv7x5n314kywjd0f12mbvrgklb818";
      system = "climon-test";
      asd = "climon-test";
    });
    systems = [ "climon-test" ];
    lispLibs = [ (getAttr "climon" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clinch = {
    pname = "clinch";
    version = "20180228-git";
    asds = [ "clinch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch";
      asd = "clinch";
    });
    systems = [ "clinch" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "sdl2" pkgs) (getAttr "rtg-math" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-channels" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  clinch-cairo = {
    pname = "clinch-cairo";
    version = "20180228-git";
    asds = [ "clinch-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-cairo";
      asd = "clinch-cairo";
    });
    systems = [ "clinch-cairo" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-cairo2" pkgs) (getAttr "clinch" pkgs) ];
  };
  clinch-classimp = {
    pname = "clinch-classimp";
    version = "20180228-git";
    asds = [ "clinch-classimp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-classimp";
      asd = "clinch-classimp";
    });
    systems = [ "clinch-classimp" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "classimp" pkgs) (getAttr "clinch" pkgs) ];
  };
  clinch-freeimage = {
    pname = "clinch-freeimage";
    version = "20180228-git";
    asds = [ "clinch-freeimage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-freeimage";
      asd = "clinch-freeimage";
    });
    systems = [ "clinch-freeimage" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-freeimage" pkgs) (getAttr "clinch" pkgs) ];
  };
  clinch-pango = {
    pname = "clinch-pango";
    version = "20180228-git";
    asds = [ "clinch-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-pango";
      asd = "clinch-pango";
    });
    systems = [ "clinch-pango" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-cairo2" pkgs) (getAttr "cl-pango" pkgs) (getAttr "clinch" pkgs) (getAttr "clinch-cairo" pkgs) (getAttr "xmls" pkgs) ];
  };
  clinenoise = {
    pname = "clinenoise";
    version = "20200427-git";
    asds = [ "clinenoise" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinenoise/2020-04-27/clinenoise-20200427-git.tgz";
      sha256 = "0ydlirfk4dbpqqjwwph99v5swcrhd8v9g8q24fvs35wn2vm08lh1";
      system = "clinenoise";
      asd = "clinenoise";
    });
    systems = [ "clinenoise" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clingon = {
    pname = "clingon";
    version = "20221106-git";
    asds = [ "clingon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2022-11-06/clingon-20221106-git.tgz";
      sha256 = "1v47c7pgmvpp3wn52waj55vy6804lsswxv7sbjlpfnd67na91vn7";
      system = "clingon";
      asd = "clingon";
    });
    systems = [ "clingon" ];
    lispLibs = [ (getAttr "bobbin" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) (getAttr "with-user-abort" pkgs) ];
  };
  clingon_dot_demo = {
    pname = "clingon.demo";
    version = "20221106-git";
    asds = [ "clingon.demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2022-11-06/clingon-20221106-git.tgz";
      sha256 = "1v47c7pgmvpp3wn52waj55vy6804lsswxv7sbjlpfnd67na91vn7";
      system = "clingon.demo";
      asd = "clingon.demo";
    });
    systems = [ "clingon.demo" ];
    lispLibs = [ (getAttr "clingon" pkgs) ];
  };
  clingon_dot_intro = {
    pname = "clingon.intro";
    version = "20221106-git";
    asds = [ "clingon.intro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2022-11-06/clingon-20221106-git.tgz";
      sha256 = "1v47c7pgmvpp3wn52waj55vy6804lsswxv7sbjlpfnd67na91vn7";
      system = "clingon.intro";
      asd = "clingon.intro";
    });
    systems = [ "clingon.intro" ];
    lispLibs = [ (getAttr "clingon" pkgs) ];
  };
  clingon_dot_test = {
    pname = "clingon.test";
    version = "20221106-git";
    asds = [ "clingon.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2022-11-06/clingon-20221106-git.tgz";
      sha256 = "1v47c7pgmvpp3wn52waj55vy6804lsswxv7sbjlpfnd67na91vn7";
      system = "clingon.test";
      asd = "clingon.test";
    });
    systems = [ "clingon.test" ];
    lispLibs = [ (getAttr "clingon" pkgs) (getAttr "rove" pkgs) ];
  };
  clip = {
    pname = "clip";
    version = "20211209-git";
    asds = [ "clip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clip/2021-12-09/clip-20211209-git.tgz";
      sha256 = "1a3cfvyg0rlzqg872h4abdssh1wbh5v72cj1mbasmxacsiiysvrs";
      system = "clip";
      asd = "clip";
    });
    systems = [ "clip" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "lquery" pkgs) ];
  };
  clipper = {
    pname = "clipper";
    version = "20150923-git";
    asds = [ "clipper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clipper/2015-09-23/clipper-20150923-git.tgz";
      sha256 = "0xx1z7xjy2qkb6hx4bjjxcpv180lynpxrmx0741zk0qcxf32y56n";
      system = "clipper";
      asd = "clipper";
    });
    systems = [ "clipper" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "fast-io" pkgs) (getAttr "opticl" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "zs3" pkgs) ];
  };
  clipper-test = {
    pname = "clipper-test";
    version = "20150923-git";
    asds = [ "clipper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clipper/2015-09-23/clipper-20150923-git.tgz";
      sha256 = "0xx1z7xjy2qkb6hx4bjjxcpv180lynpxrmx0741zk0qcxf32y56n";
      system = "clipper-test";
      asd = "clipper-test";
    });
    systems = [ "clipper-test" ];
    lispLibs = [ (getAttr "clipper" pkgs) (getAttr "integral" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clite = {
    pname = "clite";
    version = "20130615-git";
    asds = [ "clite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clite/2013-06-15/clite-20130615-git.tgz";
      sha256 = "0q73vzm55i7m6in9i3fwwaqxvwm3pr7mm7gh7qsvfya61248ynrz";
      system = "clite";
      asd = "clite";
    });
    systems = [ "clite" ];
    lispLibs = [  ];
  };
  clj = {
    pname = "clj";
    version = "20201220-git";
    asds = [ "clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj/2020-12-20/clj-20201220-git.tgz";
      sha256 = "0yic6w2n09w3v2r1dlg9a7z59j9rapj4hpz8whcxlw6zs4wrwib2";
      system = "clj";
      asd = "clj";
    });
    systems = [ "clj" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "arrow-macros" pkgs) (getAttr "cl-hamt" pkgs) (getAttr "local-package-aliases" pkgs) (getAttr "named-readtables" pkgs) (getAttr "optima" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "test-utils" pkgs) ];
  };
  clj-con = {
    pname = "clj-con";
    version = "20210807-git";
    asds = [ "clj-con" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-con/2021-08-07/clj-con-20210807-git.tgz";
      sha256 = "0b996cfvl8nnjf2mh8ki4gdzrr4hhnhbmlgacw74hmfb6nqjb466";
      system = "clj-con";
      asd = "clj-con";
    });
    systems = [ "clj-con" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  clj-con-test = {
    pname = "clj-con-test";
    version = "20210807-git";
    asds = [ "clj-con-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-con/2021-08-07/clj-con-20210807-git.tgz";
      sha256 = "0b996cfvl8nnjf2mh8ki4gdzrr4hhnhbmlgacw74hmfb6nqjb466";
      system = "clj-con-test";
      asd = "clj-con-test";
    });
    systems = [ "clj-con-test" ];
    lispLibs = [ (getAttr "clj-con" pkgs) (getAttr "fiveam" pkgs) ];
  };
  clj-re = {
    pname = "clj-re";
    version = "20221106-git";
    asds = [ "clj-re" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-re/2022-11-06/clj-re-20221106-git.tgz";
      sha256 = "1ybcf687hybq2n9vag9i90mdx3cqajdj63q7vryxamp39zmgqks6";
      system = "clj-re";
      asd = "clj-re";
    });
    systems = [ "clj-re" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  clj-re-test = {
    pname = "clj-re-test";
    version = "20221106-git";
    asds = [ "clj-re-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-re/2022-11-06/clj-re-20221106-git.tgz";
      sha256 = "1ybcf687hybq2n9vag9i90mdx3cqajdj63q7vryxamp39zmgqks6";
      system = "clj-re-test";
      asd = "clj-re-test";
    });
    systems = [ "clj-re-test" ];
    lispLibs = [ (getAttr "clj-re" pkgs) (getAttr "fiveam" pkgs) ];
  };
  clj_slash_test = {
    pname = "clj_test";
    version = "20201220-git";
    asds = [ "clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj/2020-12-20/clj-20201220-git.tgz";
      sha256 = "0yic6w2n09w3v2r1dlg9a7z59j9rapj4hpz8whcxlw6zs4wrwib2";
      system = "clj";
      asd = "clj";
    });
    systems = [ "clj/test" ];
    lispLibs = [ (getAttr "clj" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "test-utils" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clml = {
    pname = "clml";
    version = "20220220-git";
    asds = [ "clml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml";
      asd = "clml";
    });
    systems = [ "clml" ];
    lispLibs = [ (getAttr "clml_dot_association-rule" pkgs) (getAttr "clml_dot_blas" pkgs) (getAttr "clml_dot_classifiers" pkgs) (getAttr "clml_dot_clustering" pkgs) (getAttr "clml_dot_data" pkgs) (getAttr "clml_dot_decision-tree" pkgs) (getAttr "clml_dot_graph" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_lapack" pkgs) (getAttr "clml_dot_nearest-search" pkgs) (getAttr "clml_dot_nonparametric" pkgs) (getAttr "clml_dot_numeric" pkgs) (getAttr "clml_dot_pca" pkgs) (getAttr "clml_dot_som" pkgs) (getAttr "clml_dot_statistics" pkgs) (getAttr "clml_dot_svm" pkgs) (getAttr "clml_dot_text" pkgs) (getAttr "clml_dot_time-series" pkgs) (getAttr "clml_dot_utility" pkgs) ];
  };
  clml_dot_association-rule = {
    pname = "clml.association-rule";
    version = "20220220-git";
    asds = [ "clml.association-rule" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.association-rule";
      asd = "clml.association-rule";
    });
    systems = [ "clml.association-rule" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) ];
  };
  clml_dot_blas = {
    pname = "clml.blas";
    version = "20220220-git";
    asds = [ "clml.blas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas";
      asd = "clml.blas";
    });
    systems = [ "clml.blas" ];
    lispLibs = [ (getAttr "clml_dot_blas_dot_complex" pkgs) (getAttr "clml_dot_blas_dot_hompack" pkgs) (getAttr "clml_dot_blas_dot_real" pkgs) ];
  };
  clml_dot_blas_dot_complex = {
    pname = "clml.blas.complex";
    version = "20220220-git";
    asds = [ "clml.blas.complex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.complex";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.complex" ];
    lispLibs = [ (getAttr "f2cl-lib" pkgs) ];
  };
  clml_dot_blas_dot_hompack = {
    pname = "clml.blas.hompack";
    version = "20220220-git";
    asds = [ "clml.blas.hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.hompack";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.hompack" ];
    lispLibs = [ (getAttr "f2cl-lib" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clml_dot_blas_dot_real = {
    pname = "clml.blas.real";
    version = "20220220-git";
    asds = [ "clml.blas.real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.real";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.real" ];
    lispLibs = [ (getAttr "f2cl-lib" pkgs) ];
  };
  clml_dot_classifiers = {
    pname = "clml.classifiers";
    version = "20220220-git";
    asds = [ "clml.classifiers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.classifiers";
      asd = "clml.classifiers";
    });
    systems = [ "clml.classifiers" ];
    lispLibs = [ (getAttr "clml_dot_clustering" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_svm" pkgs) ];
  };
  clml_dot_clustering = {
    pname = "clml.clustering";
    version = "20220220-git";
    asds = [ "clml.clustering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.clustering";
      asd = "clml.clustering";
    });
    systems = [ "clml.clustering" ];
    lispLibs = [ (getAttr "clml_dot_blas" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_nearest-search" pkgs) (getAttr "iterate" pkgs) ];
  };
  clml_dot_data = {
    pname = "clml.data";
    version = "20220220-git";
    asds = [ "clml.data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.data";
      asd = "clml.data";
    });
    systems = [ "clml.data" ];
    lispLibs = [ (getAttr "clml_dot_data_dot_r-datasets" pkgs) ];
  };
  clml_dot_data_dot_r-datasets = {
    pname = "clml.data.r-datasets";
    version = "20220220-git";
    asds = [ "clml.data.r-datasets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.data.r-datasets";
      asd = "clml.data.r-datasets";
    });
    systems = [ "clml.data.r-datasets" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_utility" pkgs) (getAttr "drakma" pkgs) ];
  };
  clml_dot_decision-tree = {
    pname = "clml.decision-tree";
    version = "20220220-git";
    asds = [ "clml.decision-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.decision-tree";
      asd = "clml.decision-tree";
    });
    systems = [ "clml.decision-tree" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "lparallel" pkgs) ];
  };
  clml_dot_docs = {
    pname = "clml.docs";
    version = "20220220-git";
    asds = [ "clml.docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.docs";
      asd = "clml.docs";
    });
    systems = [ "clml.docs" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "clml" pkgs) (getAttr "clod" pkgs) (getAttr "iterate" pkgs) ];
  };
  clml_dot_graph = {
    pname = "clml.graph";
    version = "20220220-git";
    asds = [ "clml.graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.graph";
      asd = "clml.graph";
    });
    systems = [ "clml.graph" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_statistics" pkgs) (getAttr "clml_dot_time-series" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clml_dot_hjs = {
    pname = "clml.hjs";
    version = "20220220-git";
    asds = [ "clml.hjs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.hjs";
      asd = "clml.hjs";
    });
    systems = [ "clml.hjs" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "clml_dot_blas" pkgs) (getAttr "clml_dot_lapack" pkgs) (getAttr "clml_dot_statistics" pkgs) (getAttr "clml_dot_utility" pkgs) (getAttr "future" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "iterate" pkgs) ];
  };
  clml_dot_lapack = {
    pname = "clml.lapack";
    version = "20220220-git";
    asds = [ "clml.lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.lapack";
      asd = "clml.lapack";
    });
    systems = [ "clml.lapack" ];
    lispLibs = [ (getAttr "clml_dot_blas" pkgs) (getAttr "clml_dot_lapack-real" pkgs) (getAttr "f2cl-lib" pkgs) ];
  };
  clml_dot_lapack-real = {
    pname = "clml.lapack-real";
    version = "20220220-git";
    asds = [ "clml.lapack-real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.lapack-real";
      asd = "clml.lapack";
    });
    systems = [ "clml.lapack-real" ];
    lispLibs = [ (getAttr "clml_dot_blas" pkgs) (getAttr "f2cl-lib" pkgs) ];
  };
  clml_dot_nearest-search = {
    pname = "clml.nearest-search";
    version = "20220220-git";
    asds = [ "clml.nearest-search" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.nearest-search";
      asd = "clml.nearest-search";
    });
    systems = [ "clml.nearest-search" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_nonparametric" pkgs) (getAttr "clml_dot_pca" pkgs) ];
  };
  clml_dot_nonparametric = {
    pname = "clml.nonparametric";
    version = "20220220-git";
    asds = [ "clml.nonparametric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.nonparametric";
      asd = "clml.nonparametric";
    });
    systems = [ "clml.nonparametric" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) ];
  };
  clml_dot_numeric = {
    pname = "clml.numeric";
    version = "20220220-git";
    asds = [ "clml.numeric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.numeric";
      asd = "clml.numeric";
    });
    systems = [ "clml.numeric" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) ];
  };
  clml_dot_pca = {
    pname = "clml.pca";
    version = "20220220-git";
    asds = [ "clml.pca" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.pca";
      asd = "clml.pca";
    });
    systems = [ "clml.pca" ];
    lispLibs = [ (getAttr "clml_dot_decision-tree" pkgs) (getAttr "clml_dot_hjs" pkgs) ];
  };
  clml_dot_pca_dot_examples = {
    pname = "clml.pca.examples";
    version = "20220220-git";
    asds = [ "clml.pca.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.pca.examples";
      asd = "clml.pca";
    });
    systems = [ "clml.pca.examples" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_pca" pkgs) ];
  };
  clml_dot_som = {
    pname = "clml.som";
    version = "20220220-git";
    asds = [ "clml.som" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.som";
      asd = "clml.som";
    });
    systems = [ "clml.som" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_statistics" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clml_dot_som_dot_example = {
    pname = "clml.som.example";
    version = "20220220-git";
    asds = [ "clml.som.example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.som.example";
      asd = "clml.som";
    });
    systems = [ "clml.som.example" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_som" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clml_dot_statistics = {
    pname = "clml.statistics";
    version = "20220220-git";
    asds = [ "clml.statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.statistics";
      asd = "clml.statistics";
    });
    systems = [ "clml.statistics" ];
    lispLibs = [ (getAttr "clml_dot_statistics_dot_rand" pkgs) ];
  };
  clml_dot_statistics_dot_rand = {
    pname = "clml.statistics.rand";
    version = "20220220-git";
    asds = [ "clml.statistics.rand" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.statistics.rand";
      asd = "clml.statistics.rand";
    });
    systems = [ "clml.statistics.rand" ];
    lispLibs = [  ];
  };
  clml_dot_svm = {
    pname = "clml.svm";
    version = "20220220-git";
    asds = [ "clml.svm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.svm";
      asd = "clml.svm";
    });
    systems = [ "clml.svm" ];
    lispLibs = [ (getAttr "clml_dot_decision-tree" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "future" pkgs) (getAttr "lparallel" pkgs) ];
  };
  clml_dot_svm_dot_examples = {
    pname = "clml.svm.examples";
    version = "20220220-git";
    asds = [ "clml.svm.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.svm.examples";
      asd = "clml.svm";
    });
    systems = [ "clml.svm.examples" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_svm" pkgs) ];
  };
  clml_dot_test = {
    pname = "clml.test";
    version = "20220220-git";
    asds = [ "clml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.test";
      asd = "clml.test";
    });
    systems = [ "clml.test" ];
    lispLibs = [ (getAttr "clml" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  clml_dot_text = {
    pname = "clml.text";
    version = "20220220-git";
    asds = [ "clml.text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.text";
      asd = "clml.text";
    });
    systems = [ "clml.text" ];
    lispLibs = [ (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_nonparametric" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clml_dot_time-series = {
    pname = "clml.time-series";
    version = "20220220-git";
    asds = [ "clml.time-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.time-series";
      asd = "clml.time-series";
    });
    systems = [ "clml.time-series" ];
    lispLibs = [ (getAttr "array-operations" pkgs) (getAttr "clml_dot_hjs" pkgs) (getAttr "clml_dot_numeric" pkgs) (getAttr "iterate" pkgs) (getAttr "uiop" pkgs) ];
  };
  clml_dot_utility = {
    pname = "clml.utility";
    version = "20220220-git";
    asds = [ "clml.utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.utility";
      asd = "clml.utility";
    });
    systems = [ "clml.utility" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  clnuplot = {
    pname = "clnuplot";
    version = "20130128-darcs";
    asds = [ "clnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clnuplot/2013-01-28/clnuplot-20130128-darcs.tgz";
      sha256 = "0yfaay5idv9lq4ilafj305sg349c960n3q400kdayr0gda6pqlqr";
      system = "clnuplot";
      asd = "clnuplot";
    });
    systems = [ "clnuplot" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "cl-mathstats" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  clobber = {
    pname = "clobber";
    version = "20221106-git";
    asds = [ "clobber" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clobber/2022-11-06/clobber-20221106-git.tgz";
      sha256 = "0pqzfn2wqbzzwlwc3l84iv3i3wa9zfgnh14mq67h9qkib8wjzx3n";
      system = "clobber";
      asd = "clobber";
    });
    systems = [ "clobber" ];
    lispLibs = [  ];
  };
  clod = {
    pname = "clod";
    version = "20190307-hg";
    asds = [ "clod" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clod/2019-03-07/clod-20190307-hg.tgz";
      sha256 = "0sdlr6jlqnbiyf06648zhq8dpni3zy0n5rwjcrvm4hw7vcy8vhy1";
      system = "clod";
      asd = "clod";
    });
    systems = [ "clod" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) ];
  };
  clods-export = {
    pname = "clods-export";
    version = "20210411-git";
    asds = [ "clods-export" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clods-export/2021-04-11/clods-export-20210411-git.tgz";
      sha256 = "1bbzrl855qjs88ni548filghb2y8fvklkik22amwzi6dbzvq48qx";
      system = "clods-export";
      asd = "clods-export";
    });
    systems = [ "clods-export" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "zip" pkgs) ];
  };
  clog = {
    pname = "clog";
    version = "20221106-git";
    asds = [ "clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2022-11-06/clog-20221106-git.tgz";
      sha256 = "135mj69shjayml9xfwg3sccfw5r901lzmf5vj5crnp9wywjfzywx";
      system = "clog";
      asd = "clog";
    });
    systems = [ "clog" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "atomics" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-dbi" pkgs) (getAttr "cl-isaac" pkgs) (getAttr "cl-pass" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "sqlite" pkgs) (getAttr "cl-template" pkgs) (getAttr "clack" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "lack-middleware-static" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-util-writer-stream" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "parse-float" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-open-browser" pkgs) (getAttr "websocket-driver" pkgs) ];
  };
  clog-ace = {
    pname = "clog-ace";
    version = "20221106-git";
    asds = [ "clog-ace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-ace/2022-11-06/clog-ace-20221106-git.tgz";
      sha256 = "0hci7qwbnjnjiy4jr6pkn3h4l9j80mypa4fi60adsz4fqm09yr41";
      system = "clog-ace";
      asd = "clog-ace";
    });
    systems = [ "clog-ace" ];
    lispLibs = [ (getAttr "clog" pkgs) ];
  };
  clog-ace_slash_tools = {
    pname = "clog-ace_tools";
    version = "20221106-git";
    asds = [ "clog-ace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-ace/2022-11-06/clog-ace-20221106-git.tgz";
      sha256 = "0hci7qwbnjnjiy4jr6pkn3h4l9j80mypa4fi60adsz4fqm09yr41";
      system = "clog-ace";
      asd = "clog-ace";
    });
    systems = [ "clog-ace/tools" ];
    lispLibs = [ (getAttr "clog" pkgs) (getAttr "clog-ace" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clog-plotly = {
    pname = "clog-plotly";
    version = "20221106-git";
    asds = [ "clog-plotly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-plotly/2022-11-06/clog-plotly-20221106-git.tgz";
      sha256 = "0jzpd41vchn6ag93kfrl8gd3ckds9rq6jpy34dlla6y5s2mbjbif";
      system = "clog-plotly";
      asd = "clog-plotly";
    });
    systems = [ "clog-plotly" ];
    lispLibs = [ (getAttr "clog" pkgs) ];
  };
  clog-plotly_slash_tools = {
    pname = "clog-plotly_tools";
    version = "20221106-git";
    asds = [ "clog-plotly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-plotly/2022-11-06/clog-plotly-20221106-git.tgz";
      sha256 = "0jzpd41vchn6ag93kfrl8gd3ckds9rq6jpy34dlla6y5s2mbjbif";
      system = "clog-plotly";
      asd = "clog-plotly";
    });
    systems = [ "clog-plotly/tools" ];
    lispLibs = [ (getAttr "clog" pkgs) (getAttr "clog-plotly" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clog-terminal = {
    pname = "clog-terminal";
    version = "20221106-git";
    asds = [ "clog-terminal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-terminal/2022-11-06/clog-terminal-20221106-git.tgz";
      sha256 = "1ma7x3q4gak0ndwgbpnc1par3zcc6b02mpzwrgqmyi1251868rrq";
      system = "clog-terminal";
      asd = "clog-terminal";
    });
    systems = [ "clog-terminal" ];
    lispLibs = [ (getAttr "clog" pkgs) ];
  };
  clog-terminal_slash_tools = {
    pname = "clog-terminal_tools";
    version = "20221106-git";
    asds = [ "clog-terminal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-terminal/2022-11-06/clog-terminal-20221106-git.tgz";
      sha256 = "1ma7x3q4gak0ndwgbpnc1par3zcc6b02mpzwrgqmyi1251868rrq";
      system = "clog-terminal";
      asd = "clog-terminal";
    });
    systems = [ "clog-terminal/tools" ];
    lispLibs = [ (getAttr "clog" pkgs) (getAttr "clog-terminal" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clog_slash_docs = {
    pname = "clog_docs";
    version = "20221106-git";
    asds = [ "clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2022-11-06/clog-20221106-git.tgz";
      sha256 = "135mj69shjayml9xfwg3sccfw5r901lzmf5vj5crnp9wywjfzywx";
      system = "clog";
      asd = "clog";
    });
    systems = [ "clog/docs" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "clog" pkgs) (getAttr "colorize" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clog_slash_tools = {
    pname = "clog_tools";
    version = "20221106-git";
    asds = [ "clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2022-11-06/clog-20221106-git.tgz";
      sha256 = "135mj69shjayml9xfwg3sccfw5r901lzmf5vj5crnp9wywjfzywx";
      system = "clog";
      asd = "clog";
    });
    systems = [ "clog/tools" ];
    lispLibs = [ (getAttr "clog" pkgs) (getAttr "clog-ace" pkgs) (getAttr "clog-terminal" pkgs) (getAttr "definitions" pkgs) (getAttr "s-base64" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clonsigna = {
    pname = "clonsigna";
    version = "20120909-git";
    asds = [ "clonsigna" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clonsigna/2012-09-09/clonsigna-20120909-git.tgz";
      sha256 = "052vdch0q07sx3j615qgw8z536fmqz8fm3qv7f298ql3wcskrj7j";
      system = "clonsigna";
      asd = "clonsigna";
    });
    systems = [ "clonsigna" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iolib" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clop = {
    pname = "clop";
    version = "v1.0.1";
    asds = [ "clop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clop/2022-02-20/clop-v1.0.1.tgz";
      sha256 = "1q7rlizr8gcbfz4a9660gdbw7d2zbld18akjpibg54j7jh5kb8gc";
      system = "clop";
      asd = "clop";
    });
    systems = [ "clop" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "esrap" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-number" pkgs) ];
  };
  clop-tests = {
    pname = "clop-tests";
    version = "v1.0.1";
    asds = [ "clop-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clop/2022-02-20/clop-v1.0.1.tgz";
      sha256 = "1q7rlizr8gcbfz4a9660gdbw7d2zbld18akjpibg54j7jh5kb8gc";
      system = "clop-tests";
      asd = "clop";
    });
    systems = [ "clop-tests" ];
    lispLibs = [ (getAttr "clop" pkgs) (getAttr "fiveam" pkgs) ];
  };
  clos-diff = {
    pname = "clos-diff";
    version = "20150608-git";
    asds = [ "clos-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-diff/2015-06-08/clos-diff-20150608-git.tgz";
      sha256 = "0y6chxzqwwwkrrmxxb74wwci6i4ck6i3fq36w9gl03qbrksfyjkz";
      system = "clos-diff";
      asd = "clos-diff";
    });
    systems = [ "clos-diff" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  clos-fixtures = {
    pname = "clos-fixtures";
    version = "20160825-git";
    asds = [ "clos-fixtures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-fixtures/2016-08-25/clos-fixtures-20160825-git.tgz";
      sha256 = "1a3yvqszdwnsnk5hr4zrdpaqxb8vlxpl2nhxjl0j97fnmfaiqjhk";
      system = "clos-fixtures";
      asd = "clos-fixtures";
    });
    systems = [ "clos-fixtures" ];
    lispLibs = [  ];
  };
  clos-fixtures-test = {
    pname = "clos-fixtures-test";
    version = "20160825-git";
    asds = [ "clos-fixtures-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-fixtures/2016-08-25/clos-fixtures-20160825-git.tgz";
      sha256 = "1a3yvqszdwnsnk5hr4zrdpaqxb8vlxpl2nhxjl0j97fnmfaiqjhk";
      system = "clos-fixtures-test";
      asd = "clos-fixtures-test";
    });
    systems = [ "clos-fixtures-test" ];
    lispLibs = [ (getAttr "clos-fixtures" pkgs) (getAttr "fiveam" pkgs) ];
  };
  closer-mop = {
    pname = "closer-mop";
    version = "20221106-git";
    asds = [ "closer-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closer-mop/2022-11-06/closer-mop-20221106-git.tgz";
      sha256 = "15bn0v1cvv725smq66ra9yvc7b0jysrmgkalibqzngzmr3mlzqd4";
      system = "closer-mop";
      asd = "closer-mop";
    });
    systems = [ "closer-mop" ];
    lispLibs = [  ];
  };
  closure-common = {
    pname = "closure-common";
    version = "20181018-git";
    asds = [ "closure-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closure-common/2018-10-18/closure-common-20181018-git.tgz";
      sha256 = "0k5r2qxn122pxi301ijir3nayi9sg4d7yiy276l36qmzwhp4mg5n";
      system = "closure-common";
      asd = "closure-common";
    });
    systems = [ "closure-common" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  closure-html = {
    pname = "closure-html";
    version = "20180711-git";
    asds = [ "closure-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closure-html/2018-07-11/closure-html-20180711-git.tgz";
      sha256 = "105vm29qnxh6zj3rh4jwpm8dyp3b9bsva64c8a78cr270p28d032";
      system = "closure-html";
      asd = "closure-html";
    });
    systems = [ "closure-html" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  closure-template = {
    pname = "closure-template";
    version = "20150804-git";
    asds = [ "closure-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-closure-template/2015-08-04/cl-closure-template-20150804-git.tgz";
      sha256 = "16h0fs6bjjd4n9pbkwcprpgyj26vsw2akk3q08m7xmsmqi05dppv";
      system = "closure-template";
      asd = "closure-template";
    });
    systems = [ "closure-template" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "closer-mop" pkgs) (getAttr "esrap" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  closure-template-test = {
    pname = "closure-template-test";
    version = "20150804-git";
    asds = [ "closure-template-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-closure-template/2015-08-04/cl-closure-template-20150804-git.tgz";
      sha256 = "16h0fs6bjjd4n9pbkwcprpgyj26vsw2akk3q08m7xmsmqi05dppv";
      system = "closure-template-test";
      asd = "closure-template";
    });
    systems = [ "closure-template-test" ];
    lispLibs = [ (getAttr "closure-template" pkgs) (getAttr "lift" pkgs) ];
  };
  clouchdb = {
    pname = "clouchdb";
    version = "0.0.16";
    asds = [ "clouchdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clouchdb/2012-04-07/clouchdb_0.0.16.tgz";
      sha256 = "1zfk4wkz0k5gbfznnbds0gcpc2y08p47rq7mhchf27v6rqg4kd7d";
      system = "clouchdb";
      asd = "clouchdb";
    });
    systems = [ "clouchdb" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "parenscript" pkgs) (getAttr "s-base64" pkgs) ];
  };
  clouchdb-examples = {
    pname = "clouchdb-examples";
    version = "0.0.16";
    asds = [ "clouchdb-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clouchdb/2012-04-07/clouchdb_0.0.16.tgz";
      sha256 = "1zfk4wkz0k5gbfznnbds0gcpc2y08p47rq7mhchf27v6rqg4kd7d";
      system = "clouchdb-examples";
      asd = "clouchdb-examples";
    });
    systems = [ "clouchdb-examples" ];
    lispLibs = [ (getAttr "clouchdb" pkgs) (getAttr "parenscript" pkgs) ];
  };
  clouseau = {
    pname = "clouseau";
    version = "20221106-git";
    asds = [ "clouseau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clouseau";
      asd = "clouseau";
    });
    systems = [ "clouseau" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "mcclim" pkgs) ];
  };
  clouseau_slash_test = {
    pname = "clouseau_test";
    version = "20221106-git";
    asds = [ "clouseau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "clouseau";
      asd = "clouseau";
    });
    systems = [ "clouseau/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "clouseau" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython = {
    pname = "clpython";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  clpython_slash_basic = {
    pname = "clpython_basic";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/basic" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_compiler = {
    pname = "clpython_compiler";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/compiler" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_contrib = {
    pname = "clpython_contrib";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/contrib" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_lib = {
    pname = "clpython_lib";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/lib" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_parser = {
    pname = "clpython_parser";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/parser" ];
    lispLibs = [ (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_runtime = {
    pname = "clpython_runtime";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/runtime" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clpython_slash_test = {
    pname = "clpython_test";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython/test" ];
    lispLibs = [ (getAttr "clpython" pkgs) (getAttr "ptester" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clsql = {
    pname = "clsql";
    version = "20221106-git";
    asds = [ "clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql";
      asd = "clsql";
    });
    systems = [ "clsql" ];
    lispLibs = [ (getAttr "uffi" pkgs) ];
  };
  clsql-aodbc = {
    pname = "clsql-aodbc";
    version = "20221106-git";
    asds = [ "clsql-aodbc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-aodbc";
      asd = "clsql-aodbc";
    });
    systems = [ "clsql-aodbc" ];
    lispLibs = [  ];
  };
  clsql-cffi = {
    pname = "clsql-cffi";
    version = "20221106-git";
    asds = [ "clsql-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-cffi";
      asd = "clsql-cffi";
    });
    systems = [ "clsql-cffi" ];
    lispLibs = [ (getAttr "clsql" pkgs) ];
  };
  clsql-fluid = {
    pname = "clsql-fluid";
    version = "20170830-git";
    asds = [ "clsql-fluid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-fluid/2017-08-30/clsql-fluid-20170830-git.tgz";
      sha256 = "0i7x1xbh83wfr3k4ddsdy57yf0nqfhdxcbwv1na1ina6m5javg11";
      system = "clsql-fluid";
      asd = "clsql-fluid";
    });
    systems = [ "clsql-fluid" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clsql" pkgs) ];
  };
  clsql-helper = {
    pname = "clsql-helper";
    version = "20180131-git";
    asds = [ "clsql-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper";
      asd = "clsql-helper";
    });
    systems = [ "clsql-helper" ];
    lispLibs = [ (getAttr "access" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clsql" pkgs) (getAttr "collectors" pkgs) (getAttr "iterate" pkgs) (getAttr "md5" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  clsql-helper-slot-coercer = {
    pname = "clsql-helper-slot-coercer";
    version = "20180131-git";
    asds = [ "clsql-helper-slot-coercer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-slot-coercer";
      asd = "clsql-helper-slot-coercer";
    });
    systems = [ "clsql-helper-slot-coercer" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "clsql-helper" pkgs) ];
  };
  clsql-helper-slot-coercer-test = {
    pname = "clsql-helper-slot-coercer-test";
    version = "20180131-git";
    asds = [ "clsql-helper-slot-coercer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-slot-coercer-test";
      asd = "clsql-helper-slot-coercer";
    });
    systems = [ "clsql-helper-slot-coercer-test" ];
    lispLibs = [ (getAttr "clsql-helper-slot-coercer" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  clsql-helper-test = {
    pname = "clsql-helper-test";
    version = "20180131-git";
    asds = [ "clsql-helper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-test";
      asd = "clsql-helper";
    });
    systems = [ "clsql-helper-test" ];
    lispLibs = [ (getAttr "clsql-tests" pkgs) (getAttr "clsql-helper" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  clsql-local-time = {
    pname = "clsql-local-time";
    version = "20201016-git";
    asds = [ "clsql-local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-local-time/2020-10-16/clsql-local-time-20201016-git.tgz";
      sha256 = "1ipv6ij1md5mw44cbif31hiccrric3302rhssj8f7kg3s8n6mphv";
      system = "clsql-local-time";
      asd = "clsql-local-time";
    });
    systems = [ "clsql-local-time" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "local-time" pkgs) ];
  };
  clsql-mysql = {
    pname = "clsql-mysql";
    version = "20221106-git";
    asds = [ "clsql-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-mysql";
      asd = "clsql-mysql";
    });
    systems = [ "clsql-mysql" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-uffi" pkgs) (getAttr "uffi" pkgs) ];
  };
  clsql-odbc = {
    pname = "clsql-odbc";
    version = "20221106-git";
    asds = [ "clsql-odbc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-odbc";
      asd = "clsql-odbc";
    });
    systems = [ "clsql-odbc" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-uffi" pkgs) ];
  };
  clsql-orm = {
    pname = "clsql-orm";
    version = "20160208-git";
    asds = [ "clsql-orm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-orm/2016-02-08/clsql-orm-20160208-git.tgz";
      sha256 = "1y9604k0mj8h03p85l5nrjkihr3yfj5fp910db9f4ksd1ln2qkka";
      system = "clsql-orm";
      asd = "clsql-orm";
    });
    systems = [ "clsql-orm" ];
    lispLibs = [ (getAttr "cl-inflector" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "clsql" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  clsql-postgresql = {
    pname = "clsql-postgresql";
    version = "20221106-git";
    asds = [ "clsql-postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql";
      asd = "clsql-postgresql";
    });
    systems = [ "clsql-postgresql" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-uffi" pkgs) ];
  };
  clsql-postgresql-socket = {
    pname = "clsql-postgresql-socket";
    version = "20221106-git";
    asds = [ "clsql-postgresql-socket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql-socket";
      asd = "clsql-postgresql-socket";
    });
    systems = [ "clsql-postgresql-socket" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "md5" pkgs) (getAttr "uffi" pkgs) ];
  };
  clsql-postgresql-socket3 = {
    pname = "clsql-postgresql-socket3";
    version = "20221106-git";
    asds = [ "clsql-postgresql-socket3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql-socket3";
      asd = "clsql-postgresql-socket3";
    });
    systems = [ "clsql-postgresql-socket3" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "md5" pkgs) (getAttr "cl-postgres" pkgs) ];
  };
  clsql-sqlite = {
    pname = "clsql-sqlite";
    version = "20221106-git";
    asds = [ "clsql-sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-sqlite";
      asd = "clsql-sqlite";
    });
    systems = [ "clsql-sqlite" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-uffi" pkgs) ];
  };
  clsql-sqlite3 = {
    pname = "clsql-sqlite3";
    version = "20221106-git";
    asds = [ "clsql-sqlite3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-sqlite3";
      asd = "clsql-sqlite3";
    });
    systems = [ "clsql-sqlite3" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-uffi" pkgs) ];
  };
  clsql-tests = {
    pname = "clsql-tests";
    version = "20221106-git";
    asds = [ "clsql-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-tests";
      asd = "clsql-tests";
    });
    systems = [ "clsql-tests" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "rt" pkgs) (getAttr "uffi" pkgs) ];
  };
  clsql-uffi = {
    pname = "clsql-uffi";
    version = "20221106-git";
    asds = [ "clsql-uffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-uffi";
      asd = "clsql-uffi";
    });
    systems = [ "clsql-uffi" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "uffi" pkgs) ];
  };
  clss = {
    pname = "clss";
    version = "20221106-git";
    asds = [ "clss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clss/2022-11-06/clss-20221106-git.tgz";
      sha256 = "1033dchpanhcgxl5qfhr80aw9adbp9bvllhzvvy5p9mrfnidd1fv";
      system = "clss";
      asd = "clss";
    });
    systems = [ "clss" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "plump" pkgs) ];
  };
  cltcl = {
    pname = "cltcl";
    version = "20161204-git";
    asds = [ "cltcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cltcl/2016-12-04/cltcl-20161204-git.tgz";
      sha256 = "18b7fa7m9h9xfhnkxa6r3xzj86p1fvq0mh5q8vdrdv3vxfyc2l68";
      system = "cltcl";
      asd = "cltcl";
    });
    systems = [ "cltcl" ];
    lispLibs = [  ];
  };
  cluffer = {
    pname = "cluffer";
    version = "20221106-git";
    asds = [ "cluffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer";
      asd = "cluffer";
    });
    systems = [ "cluffer" ];
    lispLibs = [ (getAttr "cluffer-base" pkgs) (getAttr "cluffer-simple-buffer" pkgs) (getAttr "cluffer-simple-line" pkgs) (getAttr "cluffer-standard-buffer" pkgs) (getAttr "cluffer-standard-line" pkgs) ];
  };
  cluffer-base = {
    pname = "cluffer-base";
    version = "20221106-git";
    asds = [ "cluffer-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-base";
      asd = "cluffer-base";
    });
    systems = [ "cluffer-base" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  cluffer-simple-buffer = {
    pname = "cluffer-simple-buffer";
    version = "20221106-git";
    asds = [ "cluffer-simple-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-simple-buffer";
      asd = "cluffer-simple-buffer";
    });
    systems = [ "cluffer-simple-buffer" ];
    lispLibs = [ (getAttr "cluffer-base" pkgs) ];
  };
  cluffer-simple-line = {
    pname = "cluffer-simple-line";
    version = "20221106-git";
    asds = [ "cluffer-simple-line" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-simple-line";
      asd = "cluffer-simple-line";
    });
    systems = [ "cluffer-simple-line" ];
    lispLibs = [ (getAttr "cluffer-base" pkgs) ];
  };
  cluffer-standard-buffer = {
    pname = "cluffer-standard-buffer";
    version = "20221106-git";
    asds = [ "cluffer-standard-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-standard-buffer";
      asd = "cluffer-standard-buffer";
    });
    systems = [ "cluffer-standard-buffer" ];
    lispLibs = [ (getAttr "cluffer-base" pkgs) (getAttr "clump" pkgs) ];
  };
  cluffer-standard-line = {
    pname = "cluffer-standard-line";
    version = "20221106-git";
    asds = [ "cluffer-standard-line" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-standard-line";
      asd = "cluffer-standard-line";
    });
    systems = [ "cluffer-standard-line" ];
    lispLibs = [ (getAttr "cluffer-base" pkgs) ];
  };
  cluffer-test = {
    pname = "cluffer-test";
    version = "20221106-git";
    asds = [ "cluffer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2022-11-06/cluffer-20221106-git.tgz";
      sha256 = "0z85s26gsgclql5p6iwklnddrv3l8i0pc41ircqp1zxhzdyf5jsx";
      system = "cluffer-test";
      asd = "cluffer-test";
    });
    systems = [ "cluffer-test" ];
    lispLibs = [ (getAttr "cluffer" pkgs) ];
  };
  clump = {
    pname = "clump";
    version = "20160825-git";
    asds = [ "clump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump";
      asd = "clump";
    });
    systems = [ "clump" ];
    lispLibs = [ (getAttr "clump-2-3-tree" pkgs) (getAttr "clump-binary-tree" pkgs) ];
  };
  clump-2-3-tree = {
    pname = "clump-2-3-tree";
    version = "20160825-git";
    asds = [ "clump-2-3-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-2-3-tree";
      asd = "clump-2-3-tree";
    });
    systems = [ "clump-2-3-tree" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  clump-binary-tree = {
    pname = "clump-binary-tree";
    version = "20160825-git";
    asds = [ "clump-binary-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-binary-tree";
      asd = "clump-binary-tree";
    });
    systems = [ "clump-binary-tree" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  clump-test = {
    pname = "clump-test";
    version = "20160825-git";
    asds = [ "clump-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-test";
      asd = "clump-test";
    });
    systems = [ "clump-test" ];
    lispLibs = [ (getAttr "clump" pkgs) ];
  };
  clunit = {
    pname = "clunit";
    version = "20171019-git";
    asds = [ "clunit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clunit/2017-10-19/clunit-20171019-git.tgz";
      sha256 = "1idf2xnqzlhi8rbrqmzpmb3i1l6pbdzhhajkmhwbp6qjkmxa4h85";
      system = "clunit";
      asd = "clunit";
    });
    systems = [ "clunit" ];
    lispLibs = [  ];
  };
  clunit2 = {
    pname = "clunit2";
    version = "20221106-git";
    asds = [ "clunit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clunit2/2022-11-06/clunit2-20221106-git.tgz";
      sha256 = "094bg5r8dslcapkg1kakay5axnqal9nhq8z1cfmhmjsbrvz9vyz4";
      system = "clunit2";
      asd = "clunit2";
    });
    systems = [ "clunit2" ];
    lispLibs = [  ];
  };
  clustered-intset = {
    pname = "clustered-intset";
    version = "20220707-git";
    asds = [ "clustered-intset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clustered-intset/2022-07-07/clustered-intset-20220707-git.tgz";
      sha256 = "035s2gn59l8389b0ypnb4qna7zplz9rxk05aw88qf8g4b7wyba1h";
      system = "clustered-intset";
      asd = "clustered-intset";
    });
    systems = [ "clustered-intset" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  clustered-intset-test = {
    pname = "clustered-intset-test";
    version = "20220707-git";
    asds = [ "clustered-intset-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clustered-intset/2022-07-07/clustered-intset-20220707-git.tgz";
      sha256 = "035s2gn59l8389b0ypnb4qna7zplz9rxk05aw88qf8g4b7wyba1h";
      system = "clustered-intset-test";
      asd = "clustered-intset-test";
    });
    systems = [ "clustered-intset-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "clustered-intset" pkgs) (getAttr "fiveam" pkgs) ];
  };
  clusters = {
    pname = "clusters";
    version = "20220331-git";
    asds = [ "clusters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clusters/2022-03-31/clusters-20220331-git.tgz";
      sha256 = "1x78ihrrah0rrb2ddxmxqcqpkswdvb3f0via56bkf1f3f5kqmsb8";
      system = "clusters";
      asd = "clusters";
    });
    systems = [ "clusters" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-data-structures" pkgs) (getAttr "documentation-utils-extensions" pkgs) (getAttr "iterate" pkgs) (getAttr "lparallel" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "serapeum" pkgs) ];
  };
  clusters-tests = {
    pname = "clusters-tests";
    version = "20220331-git";
    asds = [ "clusters-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clusters/2022-03-31/clusters-20220331-git.tgz";
      sha256 = "1x78ihrrah0rrb2ddxmxqcqpkswdvb3f0via56bkf1f3f5kqmsb8";
      system = "clusters-tests";
      asd = "clusters-tests";
    });
    systems = [ "clusters-tests" ];
    lispLibs = [ (getAttr "clusters" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  clutter = {
    pname = "clutter";
    version = "v1.0.0";
    asds = [ "clutter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clutter/2021-10-20/clutter-v1.0.0.tgz";
      sha256 = "1q9mg4d0nja9ypm13i24wymhjwziw6n7r7p1dzw6xc5zhavqsni7";
      system = "clutter";
      asd = "clutter";
    });
    systems = [ "clutter" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "doplus" pkgs) ];
  };
  clutter_slash_tests = {
    pname = "clutter_tests";
    version = "v1.0.0";
    asds = [ "clutter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clutter/2021-10-20/clutter-v1.0.0.tgz";
      sha256 = "1q9mg4d0nja9ypm13i24wymhjwziw6n7r7p1dzw6xc5zhavqsni7";
      system = "clutter";
      asd = "clutter";
    });
    systems = [ "clutter/tests" ];
    lispLibs = [ (getAttr "clutter" pkgs) (getAttr "dissect" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clweb = {
    pname = "clweb";
    version = "20201220-git";
    asds = [ "clweb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clweb/2020-12-20/clweb-20201220-git.tgz";
      sha256 = "0hqyrglgsgal5s8f0n247hg0hqlw6l6w1r5i8lzf0a0xvcz49f48";
      system = "clweb";
      asd = "clweb";
    });
    systems = [ "clweb" ];
    lispLibs = [  ];
  };
  clweb_slash_tests = {
    pname = "clweb_tests";
    version = "20201220-git";
    asds = [ "clweb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clweb/2020-12-20/clweb-20201220-git.tgz";
      sha256 = "0hqyrglgsgal5s8f0n247hg0hqlw6l6w1r5i8lzf0a0xvcz49f48";
      system = "clweb";
      asd = "clweb";
    });
    systems = [ "clweb/tests" ];
    lispLibs = [ (getAttr "clweb" pkgs) ];
    meta = {
      broken = true;
    };
  };
  clws = {
    pname = "clws";
    version = "20130813-git";
    asds = [ "clws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clws/2013-08-13/clws-20130813-git.tgz";
      sha256 = "1svj025zwsbkb0hrbz1nj0x306hkhy9xinq0x1qdflc9vg169dh6";
      system = "clws";
      asd = "clws";
    });
    systems = [ "clws" ];
    lispLibs = [ (getAttr "chunga" pkgs) (getAttr "cl-base64" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "iolib" pkgs) (getAttr "ironclad" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  clx = {
    pname = "clx";
    version = "20221106-git";
    asds = [ "clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx/2022-11-06/clx-20221106-git.tgz";
      sha256 = "0vjc8ii6zajqfxp0vbj5fkq125ky042w59bmkp3zvi5pwsh3y2hf";
      system = "clx";
      asd = "clx";
    });
    systems = [ "clx" ];
    lispLibs = [  ];
  };
  clx_slash_test = {
    pname = "clx_test";
    version = "20221106-git";
    asds = [ "clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx/2022-11-06/clx-20221106-git.tgz";
      sha256 = "0vjc8ii6zajqfxp0vbj5fkq125ky042w59bmkp3zvi5pwsh3y2hf";
      system = "clx";
      asd = "clx";
    });
    systems = [ "clx/test" ];
    lispLibs = [ (getAttr "clx" pkgs) (getAttr "fiasco" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cmake-parser = {
    pname = "cmake-parser";
    version = "20180831-git";
    asds = [ "cmake-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmake-parser/2018-08-31/cmake-parser-20180831-git.tgz";
      sha256 = "1sb5pwxhg7k41202kvxj1b60c5pxnl0mfbqdz53xayddngn2brgl";
      system = "cmake-parser";
      asd = "cmake-parser";
    });
    systems = [ "cmake-parser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) ];
  };
  cmd = {
    pname = "cmd";
    version = "20221106-git";
    asds = [ "cmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmd/2022-11-06/cmd-20221106-git.tgz";
      sha256 = "0y3ma71fwihn9km8jx2cdm8z2yk5zd6kk8bigp4wvrx8hll0ajxi";
      system = "cmd";
      asd = "cmd";
    });
    systems = [ "cmd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "shlex" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cmu-infix = {
    pname = "cmu-infix";
    version = "20180228-git";
    asds = [ "cmu-infix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmu-infix/2018-02-28/cmu-infix-20180228-git.tgz";
      sha256 = "0macs398088cfif1dkjrpmidk515sjl7ld96f9ys5cpzx8sc5gib";
      system = "cmu-infix";
      asd = "cmu-infix";
    });
    systems = [ "cmu-infix" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  cmu-infix-tests = {
    pname = "cmu-infix-tests";
    version = "20180228-git";
    asds = [ "cmu-infix-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmu-infix/2018-02-28/cmu-infix-20180228-git.tgz";
      sha256 = "0macs398088cfif1dkjrpmidk515sjl7ld96f9ys5cpzx8sc5gib";
      system = "cmu-infix-tests";
      asd = "cmu-infix-tests";
    });
    systems = [ "cmu-infix-tests" ];
    lispLibs = [ (getAttr "cmu-infix" pkgs) (getAttr "fiasco" pkgs) (getAttr "uiop" pkgs) ];
  };
  cocoahelper = {
    pname = "cocoahelper";
    version = "20210807-git";
    asds = [ "cocoahelper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "cocoahelper";
      asd = "cocoahelper";
    });
    systems = [ "cocoahelper" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl-binaries" pkgs) ];
  };
  codata-recommended-values = {
    pname = "codata-recommended-values";
    version = "20200218-git";
    asds = [ "codata-recommended-values" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codata-recommended-values/2020-02-18/codata-recommended-values-20200218-git.tgz";
      sha256 = "0gm27bkq4ma9kc3adnbzyhchky38halb77qc30ll2097ahwy735p";
      system = "codata-recommended-values";
      asd = "codata-recommended-values";
    });
    systems = [ "codata-recommended-values" ];
    lispLibs = [  ];
  };
  codex = {
    pname = "codex";
    version = "20181210-git";
    asds = [ "codex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codex/2018-12-10/codex-20181210-git.tgz";
      sha256 = "1fyx11h6khh1987x0linfnkl5416yfpxzkcn6g7v5ga18rv41566";
      system = "codex";
      asd = "codex";
    });
    systems = [ "codex" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-slug" pkgs) (getAttr "codex-templates" pkgs) (getAttr "common-doc" pkgs) (getAttr "common-doc-contrib" pkgs) (getAttr "docparser" pkgs) (getAttr "pandocl" pkgs) ];
  };
  codex-templates = {
    pname = "codex-templates";
    version = "20181210-git";
    asds = [ "codex-templates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codex/2018-12-10/codex-20181210-git.tgz";
      sha256 = "1fyx11h6khh1987x0linfnkl5416yfpxzkcn6g7v5ga18rv41566";
      system = "codex-templates";
      asd = "codex-templates";
    });
    systems = [ "codex-templates" ];
    lispLibs = [ (getAttr "common-html" pkgs) (getAttr "djula" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  coleslaw = {
    pname = "coleslaw";
    version = "20221106-git";
    asds = [ "coleslaw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw";
      asd = "coleslaw";
    });
    systems = [ "coleslaw" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "alexandria" pkgs) (getAttr "closure-template" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "closer-mop" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) ];
  };
  coleslaw-cli = {
    pname = "coleslaw-cli";
    version = "20221106-git";
    asds = [ "coleslaw-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw-cli";
      asd = "coleslaw-cli";
    });
    systems = [ "coleslaw-cli" ];
    lispLibs = [ (getAttr "clack" pkgs) (getAttr "coleslaw" pkgs) (getAttr "trivia" pkgs) (getAttr "uiop" pkgs) ];
  };
  coleslaw-test = {
    pname = "coleslaw-test";
    version = "20221106-git";
    asds = [ "coleslaw-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw-test";
      asd = "coleslaw-test";
    });
    systems = [ "coleslaw-test" ];
    lispLibs = [ (getAttr "coleslaw" pkgs) (getAttr "coleslaw-cli" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  collectors = {
    pname = "collectors";
    version = "20220220-git";
    asds = [ "collectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/collectors/2022-02-20/collectors-20220220-git.tgz";
      sha256 = "1mxcq7wq2jwbjd39afihpd46qkaidq76prgjbzpkv5749wf2spib";
      system = "collectors";
      asd = "collectors";
    });
    systems = [ "collectors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  collectors_slash_test = {
    pname = "collectors_test";
    version = "20220220-git";
    asds = [ "collectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/collectors/2022-02-20/collectors-20220220-git.tgz";
      sha256 = "1mxcq7wq2jwbjd39afihpd46qkaidq76prgjbzpkv5749wf2spib";
      system = "collectors";
      asd = "collectors";
    });
    systems = [ "collectors/test" ];
    lispLibs = [ (getAttr "collectors" pkgs) (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  colleen = {
    pname = "colleen";
    version = "20181018-git";
    asds = [ "colleen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colleen/2018-10-18/colleen-20181018-git.tgz";
      sha256 = "1cm7vlqsnrbln5jmihdw8m7x1fqm2insdj4f5qasdm32iy6d8bj4";
      system = "colleen";
      asd = "colleen";
    });
    systems = [ "colleen" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "trivial-arguments" pkgs) (getAttr "universal-config" pkgs) (getAttr "usocket" pkgs) (getAttr "uuid" pkgs) (getAttr "verbose" pkgs) ];
  };
  colliflower = {
    pname = "colliflower";
    version = "20211020-git";
    asds = [ "colliflower" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower";
      asd = "colliflower";
    });
    systems = [ "colliflower" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "garten" pkgs) (getAttr "liter" pkgs) (getAttr "silo" pkgs) ];
  };
  colliflower-fset = {
    pname = "colliflower-fset";
    version = "20211020-git";
    asds = [ "colliflower-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower-fset";
      asd = "colliflower-fset";
    });
    systems = [ "colliflower-fset" ];
    lispLibs = [ (getAttr "colliflower" pkgs) (getAttr "fset" pkgs) ];
  };
  colliflower-test = {
    pname = "colliflower-test";
    version = "20211020-git";
    asds = [ "colliflower-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower-test";
      asd = "colliflower-test";
    });
    systems = [ "colliflower-test" ];
    lispLibs = [ (getAttr "colliflower" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  colnew = {
    pname = "colnew";
    version = "20200925-git";
    asds = [ "colnew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "colnew";
      asd = "colnew";
    });
    systems = [ "colnew" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  colnew_slash_test-1 = {
    pname = "colnew_test-1";
    version = "20200925-git";
    asds = [ "colnew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "colnew";
      asd = "colnew";
    });
    systems = [ "colnew/test-1" ];
    lispLibs = [ (getAttr "colnew" pkgs) ];
    meta = {
      broken = true;
    };
  };
  colnew_slash_test-2 = {
    pname = "colnew_test-2";
    version = "20200925-git";
    asds = [ "colnew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "colnew";
      asd = "colnew";
    });
    systems = [ "colnew/test-2" ];
    lispLibs = [ (getAttr "colnew" pkgs) ];
    meta = {
      broken = true;
    };
  };
  colnew_slash_test-3 = {
    pname = "colnew_test-3";
    version = "20200925-git";
    asds = [ "colnew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "colnew";
      asd = "colnew";
    });
    systems = [ "colnew/test-3" ];
    lispLibs = [ (getAttr "colnew" pkgs) ];
    meta = {
      broken = true;
    };
  };
  colored = {
    pname = "colored";
    version = "20211020-git";
    asds = [ "colored" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colored/2021-10-20/colored-20211020-git.tgz";
      sha256 = "0mpg91r6yfb9xqccd4r8z3hl2qzjhdj6daswb1cinrm8ffxrvy5k";
      system = "colored";
      asd = "colored";
    });
    systems = [ "colored" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  colored-test = {
    pname = "colored-test";
    version = "20211020-git";
    asds = [ "colored-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colored/2021-10-20/colored-20211020-git.tgz";
      sha256 = "0mpg91r6yfb9xqccd4r8z3hl2qzjhdj6daswb1cinrm8ffxrvy5k";
      system = "colored-test";
      asd = "colored-test";
    });
    systems = [ "colored-test" ];
    lispLibs = [ (getAttr "colored" pkgs) (getAttr "parachute" pkgs) ];
  };
  colorize = {
    pname = "colorize";
    version = "20180228-git";
    asds = [ "colorize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colorize/2018-02-28/colorize-20180228-git.tgz";
      sha256 = "1pdg4kiaczmr3ivffhirp7m3lbr1q27rn7dhaay0vwghmi31zcw9";
      system = "colorize";
      asd = "colorize";
    });
    systems = [ "colorize" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "html-encode" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  com-on = {
    pname = "com-on";
    version = "20220331-git";
    asds = [ "com-on" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com-on/2022-03-31/com-on-20220331-git.tgz";
      sha256 = "0wrqnmwbqn7krsg2yp1rjpjpkmp9mh7dp0djq086mybnd7s6n05j";
      system = "com-on";
      asd = "com-on";
    });
    systems = [ "com-on" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  com-on-test = {
    pname = "com-on-test";
    version = "20220331-git";
    asds = [ "com-on-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com-on/2022-03-31/com-on-20220331-git.tgz";
      sha256 = "0wrqnmwbqn7krsg2yp1rjpjpkmp9mh7dp0djq086mybnd7s6n05j";
      system = "com-on-test";
      asd = "com-on-test";
    });
    systems = [ "com-on-test" ];
    lispLibs = [ (getAttr "com-on" pkgs) (getAttr "parachute" pkgs) ];
  };
  com_dot_clearly-useful_dot_generic-collection-interface = {
    pname = "com.clearly-useful.generic-collection-interface";
    version = "20190710-git";
    asds = [ "com.clearly-useful.generic-collection-interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.generic-collection-interface/2019-07-10/com.clearly-useful.generic-collection-interface-20190710-git.tgz";
      sha256 = "1yfxwqgvrb1nwryymsl4s3h1lr8yskb9c76lxqy3mw5l0vwvl5zl";
      system = "com.clearly-useful.generic-collection-interface";
      asd = "com.clearly-useful.generic-collection-interface";
    });
    systems = [ "com.clearly-useful.generic-collection-interface" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "com_dot_clearly-useful_dot_protocols" pkgs) (getAttr "lparallel" pkgs) ];
  };
  com_dot_clearly-useful_dot_generic-collection-interface_dot_test = {
    pname = "com.clearly-useful.generic-collection-interface.test";
    version = "20190710-git";
    asds = [ "com.clearly-useful.generic-collection-interface.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.generic-collection-interface/2019-07-10/com.clearly-useful.generic-collection-interface-20190710-git.tgz";
      sha256 = "1yfxwqgvrb1nwryymsl4s3h1lr8yskb9c76lxqy3mw5l0vwvl5zl";
      system = "com.clearly-useful.generic-collection-interface.test";
      asd = "com.clearly-useful.generic-collection-interface.test";
    });
    systems = [ "com.clearly-useful.generic-collection-interface.test" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" pkgs) ];
  };
  com_dot_clearly-useful_dot_iterate_plus = {
    pname = "com.clearly-useful.iterate+";
    version = "20121013-git";
    asds = [ "com.clearly-useful.iterate+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.iterate-plus/2012-10-13/com.clearly-useful.iterate-plus-20121013-git.tgz";
      sha256 = "0fpymg6p9zglkclfn035agcs5k83fakad7dj2612v5p1snzzcika";
      system = "com.clearly-useful.iterate+";
      asd = "com.clearly-useful.iterate+";
    });
    systems = [ "com.clearly-useful.iterate+" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" pkgs) (getAttr "com_dot_clearly-useful_dot_iterator-protocol" pkgs) (getAttr "com_dot_clearly-useful_dot_protocols" pkgs) (getAttr "iterate" pkgs) ];
  };
  com_dot_clearly-useful_dot_iterator-protocol = {
    pname = "com.clearly-useful.iterator-protocol";
    version = "20130312-git";
    asds = [ "com.clearly-useful.iterator-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.iterator-protocol/2013-03-12/com.clearly-useful.iterator-protocol-20130312-git.tgz";
      sha256 = "1wgksgpck6na1ygdnln5n1y8rj2kylg3lpbkyrhdka2cgsqiqs4a";
      system = "com.clearly-useful.iterator-protocol";
      asd = "com.clearly-useful.iterator-protocol";
    });
    systems = [ "com.clearly-useful.iterator-protocol" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" pkgs) (getAttr "com_dot_clearly-useful_dot_protocols" pkgs) ];
  };
  com_dot_clearly-useful_dot_protocols = {
    pname = "com.clearly-useful.protocols";
    version = "20130312-git";
    asds = [ "com.clearly-useful.protocols" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.protocols/2013-03-12/com.clearly-useful.protocols-20130312-git.tgz";
      sha256 = "0az9rs98chjj2fdmpapqkv4sgfs84n9s7vvngcl05hcbsldm0xvn";
      system = "com.clearly-useful.protocols";
      asd = "com.clearly-useful.protocols";
    });
    systems = [ "com.clearly-useful.protocols" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  com_dot_dvlsoft_dot_rcfiles = {
    pname = "com.dvlsoft.rcfiles";
    version = "20111203-http";
    asds = [ "com.dvlsoft.rcfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rcfiles/2011-12-03/cl-rcfiles-20111203-http.tgz";
      sha256 = "06ahp9jaim216k7vbya1kp8iy5yb1i7axwrsjx7gwhl2b2q63r0a";
      system = "com.dvlsoft.rcfiles";
      asd = "com.dvlsoft.rcfiles";
    });
    systems = [ "com.dvlsoft.rcfiles" ];
    lispLibs = [  ];
  };
  com_dot_elbeno_dot_curve = {
    pname = "com.elbeno.curve";
    version = "20130128-git";
    asds = [ "com.elbeno.curve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curve/2013-01-28/curve-20130128-git.tgz";
      sha256 = "0223sxrdixjg0bmy76a9kiv7g4zjkqxs92x6kys5dnaywx7mjb6j";
      system = "com.elbeno.curve";
      asd = "com.elbeno.curve";
    });
    systems = [ "com.elbeno.curve" ];
    lispLibs = [ (getAttr "vecto" pkgs) (getAttr "com_dot_elbeno_dot_vector" pkgs) ];
  };
  com_dot_elbeno_dot_vector = {
    pname = "com.elbeno.vector";
    version = "20130128-git";
    asds = [ "com.elbeno.vector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vector/2013-01-28/vector-20130128-git.tgz";
      sha256 = "04czvqycn9j2hzbjmrp9fgqlgns5l7vbb73dgv3zqmiwzdb66qr5";
      system = "com.elbeno.vector";
      asd = "com.elbeno.vector";
    });
    systems = [ "com.elbeno.vector" ];
    lispLibs = [  ];
  };
  com_dot_gigamonkeys_dot_binary-data = {
    pname = "com.gigamonkeys.binary-data";
    version = "20111203-git";
    asds = [ "com.gigamonkeys.binary-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-binary-data/2011-12-03/monkeylib-binary-data-20111203-git.tgz";
      sha256 = "072v417vmcnvmyh8ddq9vmwwrizm7zwz9dpzi14qy9nsw8q649zw";
      system = "com.gigamonkeys.binary-data";
      asd = "com.gigamonkeys.binary-data";
    });
    systems = [ "com.gigamonkeys.binary-data" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  com_dot_gigamonkeys_dot_json = {
    pname = "com.gigamonkeys.json";
    version = "20180228-git";
    asds = [ "com.gigamonkeys.json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-json/2018-02-28/monkeylib-json-20180228-git.tgz";
      sha256 = "188717pmyhpgwg9ncc1fbqvbvw5fikbfhvchsy9gg4haxhdgpzsn";
      system = "com.gigamonkeys.json";
      asd = "com.gigamonkeys.json";
    });
    systems = [ "com.gigamonkeys.json" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_parser" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  com_dot_gigamonkeys_dot_macro-utilities = {
    pname = "com.gigamonkeys.macro-utilities";
    version = "20111203-git";
    asds = [ "com.gigamonkeys.macro-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-macro-utilities/2011-12-03/monkeylib-macro-utilities-20111203-git.tgz";
      sha256 = "0l3m44zlzrvyn6fyvxslga8cppp4mh8dkgqzy297nnm0vnij5r8w";
      system = "com.gigamonkeys.macro-utilities";
      asd = "com.gigamonkeys.macro-utilities";
    });
    systems = [ "com.gigamonkeys.macro-utilities" ];
    lispLibs = [  ];
  };
  com_dot_gigamonkeys_dot_markup = {
    pname = "com.gigamonkeys.markup";
    version = "20120909-git";
    asds = [ "com.gigamonkeys.markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-markup/2012-09-09/monkeylib-markup-20120909-git.tgz";
      sha256 = "049zqgnprvddn2zp1a8g862m3ikll3a3lpi1k2vimjmx1bkc0vs0";
      system = "com.gigamonkeys.markup";
      asd = "com.gigamonkeys.markup";
    });
    systems = [ "com.gigamonkeys.markup" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "com_dot_gigamonkeys_dot_pathnames" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  com_dot_gigamonkeys_dot_parser = {
    pname = "com.gigamonkeys.parser";
    version = "20120208-git";
    asds = [ "com.gigamonkeys.parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-parser/2012-02-08/monkeylib-parser-20120208-git.tgz";
      sha256 = "1xvzrih813311p48bzlm0z0592lx6iss3m36vz55qsw4sr397ncd";
      system = "com.gigamonkeys.parser";
      asd = "com.gigamonkeys.parser";
    });
    systems = [ "com.gigamonkeys.parser" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  com_dot_gigamonkeys_dot_pathnames = {
    pname = "com.gigamonkeys.pathnames";
    version = "20120208-git";
    asds = [ "com.gigamonkeys.pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-pathnames/2012-02-08/monkeylib-pathnames-20120208-git.tgz";
      sha256 = "108cc39g7razng316df4d47zzpj2zr576wzwwrpggdkm4q599gvk";
      system = "com.gigamonkeys.pathnames";
      asd = "com.gigamonkeys.pathnames";
    });
    systems = [ "com.gigamonkeys.pathnames" ];
    lispLibs = [  ];
  };
  com_dot_gigamonkeys_dot_prose-diff = {
    pname = "com.gigamonkeys.prose-diff";
    version = "20140713-git";
    asds = [ "com.gigamonkeys.prose-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-prose-diff/2014-07-13/monkeylib-prose-diff-20140713-git.tgz";
      sha256 = "1zwaa8qmpbdpdg8zzk3as73i55c54k9m694gx4bla1xxli5f8ijc";
      system = "com.gigamonkeys.prose-diff";
      asd = "com.gigamonkeys.prose-diff";
    });
    systems = [ "com.gigamonkeys.prose-diff" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "com_dot_gigamonkeys_dot_markup" pkgs) (getAttr "monkeylib-markup-html" pkgs) (getAttr "com_dot_gigamonkeys_dot_pathnames" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  com_dot_gigamonkeys_dot_test-framework = {
    pname = "com.gigamonkeys.test-framework";
    version = "20101207-git";
    asds = [ "com.gigamonkeys.test-framework" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-test-framework/2010-12-07/monkeylib-test-framework-20101207-git.tgz";
      sha256 = "1d6b8zg0vnbqxxsbbjr3b4r46d8whj84h9yqnqw3ii0bwr8hn82v";
      system = "com.gigamonkeys.test-framework";
      asd = "com.gigamonkeys.test-framework";
    });
    systems = [ "com.gigamonkeys.test-framework" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) ];
  };
  com_dot_gigamonkeys_dot_utilities = {
    pname = "com.gigamonkeys.utilities";
    version = "20170403-git";
    asds = [ "com.gigamonkeys.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-utilities/2017-04-03/monkeylib-utilities-20170403-git.tgz";
      sha256 = "0d0h1y43mn6r8s4g9gbr02d09565p0gig21jfnk7zf1dl6rnvkvm";
      system = "com.gigamonkeys.utilities";
      asd = "com.gigamonkeys.utilities";
    });
    systems = [ "com.gigamonkeys.utilities" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  com_dot_google_dot_base = {
    pname = "com.google.base";
    version = "20200925-git";
    asds = [ "com.google.base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.google.base/2020-09-25/com.google.base-20200925-git.tgz";
      sha256 = "1drc341sqmrmyvdgqpdy066f0z0ia0kl3ppq0rlxznlxhn17x3xj";
      system = "com.google.base";
      asd = "com.google.base";
    });
    systems = [ "com.google.base" ];
    lispLibs = [  ];
  };
  com_dot_google_dot_base_slash_test = {
    pname = "com.google.base_test";
    version = "20200925-git";
    asds = [ "com.google.base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.google.base/2020-09-25/com.google.base-20200925-git.tgz";
      sha256 = "1drc341sqmrmyvdgqpdy066f0z0ia0kl3ppq0rlxznlxhn17x3xj";
      system = "com.google.base";
      asd = "com.google.base";
    });
    systems = [ "com.google.base/test" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  com_dot_google_dot_flag = {
    pname = "com.google.flag";
    version = "20201220-git";
    asds = [ "com.google.flag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-gflags/2020-12-20/lisp-gflags-20201220-git.tgz";
      sha256 = "06p70v1wv0ynr6ng6vr6krc5773xphvkv2nfxvnschc1bzqhds5k";
      system = "com.google.flag";
      asd = "com.google.flag";
    });
    systems = [ "com.google.flag" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) ];
  };
  com_dot_google_dot_flag_slash_test = {
    pname = "com.google.flag_test";
    version = "20201220-git";
    asds = [ "com.google.flag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-gflags/2020-12-20/lisp-gflags-20201220-git.tgz";
      sha256 = "06p70v1wv0ynr6ng6vr6krc5773xphvkv2nfxvnschc1bzqhds5k";
      system = "com.google.flag";
      asd = "com.google.flag";
    });
    systems = [ "com.google.flag/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "com_dot_google_dot_flag" pkgs) ];
    meta = {
      broken = true;
    };
  };
  command-line-arguments = {
    pname = "command-line-arguments";
    version = "20210807-git";
    asds = [ "command-line-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/command-line-arguments/2021-08-07/command-line-arguments-20210807-git.tgz";
      sha256 = "1wbb83b559nfv65rsxz3jrixic9gndk2whj40hhwb0s13rf5a62y";
      system = "command-line-arguments";
      asd = "command-line-arguments";
    });
    systems = [ "command-line-arguments" ];
    lispLibs = [  ];
  };
  command-line-arguments_slash_test = {
    pname = "command-line-arguments_test";
    version = "20210807-git";
    asds = [ "command-line-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/command-line-arguments/2021-08-07/command-line-arguments-20210807-git.tgz";
      sha256 = "1wbb83b559nfv65rsxz3jrixic9gndk2whj40hhwb0s13rf5a62y";
      system = "command-line-arguments";
      asd = "command-line-arguments";
    });
    systems = [ "command-line-arguments/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  common-doc = {
    pname = "common-doc";
    version = "20220707-git";
    asds = [ "common-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc";
      asd = "common-doc";
    });
    systems = [ "common-doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  common-doc-contrib = {
    pname = "common-doc-contrib";
    version = "20220707-git";
    asds = [ "common-doc-contrib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-contrib";
      asd = "common-doc-contrib";
    });
    systems = [ "common-doc-contrib" ];
    lispLibs = [ (getAttr "common-doc-gnuplot" pkgs) (getAttr "common-doc-graphviz" pkgs) (getAttr "common-doc-include" pkgs) (getAttr "common-doc-split-paragraphs" pkgs) (getAttr "common-doc-tex" pkgs) ];
  };
  common-doc-gnuplot = {
    pname = "common-doc-gnuplot";
    version = "20220707-git";
    asds = [ "common-doc-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-gnuplot";
      asd = "common-doc-gnuplot";
    });
    systems = [ "common-doc-gnuplot" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  common-doc-graphviz = {
    pname = "common-doc-graphviz";
    version = "20220707-git";
    asds = [ "common-doc-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-graphviz";
      asd = "common-doc-graphviz";
    });
    systems = [ "common-doc-graphviz" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  common-doc-include = {
    pname = "common-doc-include";
    version = "20220707-git";
    asds = [ "common-doc-include" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-include";
      asd = "common-doc-include";
    });
    systems = [ "common-doc-include" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  common-doc-plump = {
    pname = "common-doc-plump";
    version = "20160421-git";
    asds = [ "common-doc-plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc-plump/2016-04-21/common-doc-plump-20160421-git.tgz";
      sha256 = "08h7m4c599rf2kz4wkpbj05441ax0vb3bd88a7dw5x57djf765r6";
      system = "common-doc-plump";
      asd = "common-doc-plump";
    });
    systems = [ "common-doc-plump" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-markup" pkgs) (getAttr "common-doc" pkgs) (getAttr "common-doc-split-paragraphs" pkgs) (getAttr "plump" pkgs) ];
  };
  common-doc-plump-test = {
    pname = "common-doc-plump-test";
    version = "20160421-git";
    asds = [ "common-doc-plump-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc-plump/2016-04-21/common-doc-plump-20160421-git.tgz";
      sha256 = "08h7m4c599rf2kz4wkpbj05441ax0vb3bd88a7dw5x57djf765r6";
      system = "common-doc-plump-test";
      asd = "common-doc-plump-test";
    });
    systems = [ "common-doc-plump-test" ];
    lispLibs = [ (getAttr "common-doc-plump" pkgs) (getAttr "fiveam" pkgs) ];
  };
  common-doc-split-paragraphs = {
    pname = "common-doc-split-paragraphs";
    version = "20220707-git";
    asds = [ "common-doc-split-paragraphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-split-paragraphs";
      asd = "common-doc-split-paragraphs";
    });
    systems = [ "common-doc-split-paragraphs" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "common-doc" pkgs) ];
  };
  common-doc-test = {
    pname = "common-doc-test";
    version = "20220707-git";
    asds = [ "common-doc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-test";
      asd = "common-doc-test";
    });
    systems = [ "common-doc-test" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "common-doc-contrib" pkgs) (getAttr "fiveam" pkgs) ];
  };
  common-doc-tex = {
    pname = "common-doc-tex";
    version = "20220707-git";
    asds = [ "common-doc-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2022-07-07/common-doc-20220707-git.tgz";
      sha256 = "03skibhp2145ismpy50jjzp1z4v368b4dkd5w8lab3ii9b6x8jpm";
      system = "common-doc-tex";
      asd = "common-doc-tex";
    });
    systems = [ "common-doc-tex" ];
    lispLibs = [ (getAttr "common-doc" pkgs) ];
  };
  common-html = {
    pname = "common-html";
    version = "20210807-git";
    asds = [ "common-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-html/2021-08-07/common-html-20210807-git.tgz";
      sha256 = "1i11w4l95nybz5ibnaxrnrkfhch2s9wynqrg6kx6sl6y47khq1xz";
      system = "common-html";
      asd = "common-html";
    });
    systems = [ "common-html" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "common-doc" pkgs) (getAttr "plump" pkgs) ];
  };
  common-html-test = {
    pname = "common-html-test";
    version = "20210807-git";
    asds = [ "common-html-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-html/2021-08-07/common-html-20210807-git.tgz";
      sha256 = "1i11w4l95nybz5ibnaxrnrkfhch2s9wynqrg6kx6sl6y47khq1xz";
      system = "common-html-test";
      asd = "common-html-test";
    });
    systems = [ "common-html-test" ];
    lispLibs = [ (getAttr "common-html" pkgs) (getAttr "fiveam" pkgs) ];
  };
  common-lisp-jupyter = {
    pname = "common-lisp-jupyter";
    version = "20221106-git";
    asds = [ "common-lisp-jupyter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-lisp-jupyter/2022-11-06/common-lisp-jupyter-20221106-git.tgz";
      sha256 = "1zpmvjlwgvr49ha997kkwwix444x5kvaawlxq4iknzs0mqgnwczs";
      system = "common-lisp-jupyter";
      asd = "common-lisp-jupyter";
    });
    systems = [ "common-lisp-jupyter" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-indentify" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dissect" pkgs) (getAttr "eclector" pkgs) (getAttr "ironclad" pkgs) (getAttr "multilang-documentation" pkgs) (getAttr "puri" pkgs) (getAttr "pzmq" pkgs) (getAttr "shasht" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-do" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "trivial-mimes" pkgs) ];
  };
  commondoc-markdown = {
    pname = "commondoc-markdown";
    version = "20221106-git";
    asds = [ "commondoc-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2022-11-06/commondoc-markdown-20221106-git.tgz";
      sha256 = "10mkr80jx1gpdpmhy3rzq813wnn5rsqkwcvmsdwr4d0iwk1hm48g";
      system = "commondoc-markdown";
      asd = "commondoc-markdown";
    });
    systems = [ "commondoc-markdown" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "str" pkgs) (getAttr "common-doc" pkgs) (getAttr "common-html" pkgs) (getAttr "esrap" pkgs) (getAttr "ironclad" pkgs) (getAttr "quri" pkgs) (getAttr "uiop" pkgs) ];
  };
  commondoc-markdown-docs = {
    pname = "commondoc-markdown-docs";
    version = "20221106-git";
    asds = [ "commondoc-markdown-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2022-11-06/commondoc-markdown-20221106-git.tgz";
      sha256 = "10mkr80jx1gpdpmhy3rzq813wnn5rsqkwcvmsdwr4d0iwk1hm48g";
      system = "commondoc-markdown-docs";
      asd = "commondoc-markdown-docs";
    });
    systems = [ "commondoc-markdown-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" pkgs) (getAttr "docs-config" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) ];
  };
  commondoc-markdown-test = {
    pname = "commondoc-markdown-test";
    version = "20221106-git";
    asds = [ "commondoc-markdown-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2022-11-06/commondoc-markdown-20221106-git.tgz";
      sha256 = "10mkr80jx1gpdpmhy3rzq813wnn5rsqkwcvmsdwr4d0iwk1hm48g";
      system = "commondoc-markdown-test";
      asd = "commondoc-markdown-test";
    });
    systems = [ "commondoc-markdown-test" ];
    lispLibs = [ (getAttr "hamcrest" pkgs) (getAttr "common-doc" pkgs) (getAttr "commondoc-markdown" pkgs) (getAttr "rove" pkgs) ];
  };
  commonqt = {
    pname = "commonqt";
    version = "20210531-git";
    asds = [ "commonqt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "commonqt";
      asd = "commonqt";
    });
    systems = [ "commonqt" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "smokebase" pkgs) ];
  };
  comp-set = {
    pname = "comp-set";
    version = "20210807-git";
    asds = [ "comp-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "comp-set";
      asd = "comp-set";
    });
    systems = [ "comp-set" ];
    lispLibs = [  ];
  };
  compatible-metaclasses = {
    pname = "compatible-metaclasses";
    version = "1.0";
    asds = [ "compatible-metaclasses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compatible-metaclasses/2020-09-25/compatible-metaclasses_1.0.tgz";
      sha256 = "17cf74j400cl6sjslfhkv13lir85k705v63mx3dd4y6dl5hvsdh6";
      system = "compatible-metaclasses";
      asd = "compatible-metaclasses";
    });
    systems = [ "compatible-metaclasses" ];
    lispLibs = [ (getAttr "class-options" pkgs) (getAttr "closer-mop" pkgs) (getAttr "enhanced-find-class" pkgs) ];
  };
  compatible-metaclasses_tests = {
    pname = "compatible-metaclasses_tests";
    version = "1.0";
    asds = [ "compatible-metaclasses_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compatible-metaclasses/2020-09-25/compatible-metaclasses_1.0.tgz";
      sha256 = "17cf74j400cl6sjslfhkv13lir85k705v63mx3dd4y6dl5hvsdh6";
      system = "compatible-metaclasses_tests";
      asd = "compatible-metaclasses_tests";
    });
    systems = [ "compatible-metaclasses_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" pkgs) (getAttr "parachute" pkgs) ];
  };
  compiler-macro-notes = {
    pname = "compiler-macro-notes";
    version = "v0.2.1";
    asds = [ "compiler-macro-notes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compiler-macro-notes/2022-11-06/compiler-macro-notes-v0.2.1.tgz";
      sha256 = "13zzygv0j0a6xacwir4yllpan8j9zh68n9kgkpppg1br8x8s78pk";
      system = "compiler-macro-notes";
      asd = "compiler-macro-notes";
    });
    systems = [ "compiler-macro-notes" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-environments" pkgs) ];
  };
  computable-reals = {
    pname = "computable-reals";
    version = "20210411-git";
    asds = [ "computable-reals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/computable-reals/2021-04-11/computable-reals-20210411-git.tgz";
      sha256 = "0f12axi53x14l12dgf4a1lfq3p1fx7fh7sjfc0db3lk88ph9qfwl";
      system = "computable-reals";
      asd = "computable-reals";
    });
    systems = [ "computable-reals" ];
    lispLibs = [  ];
  };
  concrete-syntax-tree = {
    pname = "concrete-syntax-tree";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree";
      asd = "concrete-syntax-tree";
    });
    systems = [ "concrete-syntax-tree" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-base" pkgs) (getAttr "concrete-syntax-tree-lambda-list" pkgs) ];
  };
  concrete-syntax-tree-base = {
    pname = "concrete-syntax-tree-base";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree-base";
      asd = "concrete-syntax-tree-base";
    });
    systems = [ "concrete-syntax-tree-base" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  concrete-syntax-tree-destructuring = {
    pname = "concrete-syntax-tree-destructuring";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree-destructuring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree-destructuring";
      asd = "concrete-syntax-tree-destructuring";
    });
    systems = [ "concrete-syntax-tree-destructuring" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-lambda-list" pkgs) ];
  };
  concrete-syntax-tree-lambda-list = {
    pname = "concrete-syntax-tree-lambda-list";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree-lambda-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree-lambda-list";
      asd = "concrete-syntax-tree-lambda-list";
    });
    systems = [ "concrete-syntax-tree-lambda-list" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-base" pkgs) ];
  };
  concrete-syntax-tree-lambda-list-test = {
    pname = "concrete-syntax-tree-lambda-list-test";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree-lambda-list-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree-lambda-list-test";
      asd = "concrete-syntax-tree-lambda-list-test";
    });
    systems = [ "concrete-syntax-tree-lambda-list-test" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-lambda-list" pkgs) ];
  };
  concrete-syntax-tree-source-info = {
    pname = "concrete-syntax-tree-source-info";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree-source-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree-source-info";
      asd = "concrete-syntax-tree-source-info";
    });
    systems = [ "concrete-syntax-tree-source-info" ];
    lispLibs = [  ];
  };
  concrete-syntax-tree_slash_test = {
    pname = "concrete-syntax-tree_test";
    version = "20211020-git";
    asds = [ "concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2021-10-20/concrete-syntax-tree-20211020-git.tgz";
      sha256 = "169ibaz1vv7pphib28443zzk3hf1mrcarhzfm8hnbdbk529cnxyi";
      system = "concrete-syntax-tree";
      asd = "concrete-syntax-tree";
    });
    systems = [ "concrete-syntax-tree/test" ];
    lispLibs = [ (getAttr "concrete-syntax-tree" pkgs) ];
    meta = {
      broken = true;
    };
  };
  conditional-commands = {
    pname = "conditional-commands";
    version = "20221106-git";
    asds = [ "conditional-commands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "conditional-commands";
      asd = "conditional-commands";
    });
    systems = [ "conditional-commands" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  conf = {
    pname = "conf";
    version = "20191227-git";
    asds = [ "conf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conf/2019-12-27/conf-20191227-git.tgz";
      sha256 = "0mif91gb6yqg2qrzd2p6n83w9injikm5gggzv2mgxkiyzmr5gnay";
      system = "conf";
      asd = "conf";
    });
    systems = [ "conf" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) ];
  };
  conf_slash_test = {
    pname = "conf_test";
    version = "20191227-git";
    asds = [ "conf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conf/2019-12-27/conf-20191227-git.tgz";
      sha256 = "0mif91gb6yqg2qrzd2p6n83w9injikm5gggzv2mgxkiyzmr5gnay";
      system = "conf";
      asd = "conf";
    });
    systems = [ "conf/test" ];
    lispLibs = [ (getAttr "conf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options = {
    pname = "configuration.options";
    version = "20210531-git";
    asds = [ "configuration.options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options";
      asd = "configuration.options";
    });
    systems = [ "configuration.options" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-hooks" pkgs) (getAttr "architecture_dot_service-provider" pkgs) (getAttr "esrap" pkgs) (getAttr "let-plus" pkgs) (getAttr "log4cl" pkgs) (getAttr "more-conditions" pkgs) (getAttr "split-sequence" pkgs) (getAttr "utilities_dot_print-items" pkgs) (getAttr "utilities_dot_print-tree" pkgs) ];
  };
  configuration_dot_options-and-mop = {
    pname = "configuration.options-and-mop";
    version = "20210531-git";
    asds = [ "configuration.options-and-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-mop";
      asd = "configuration.options-and-mop";
    });
    systems = [ "configuration.options-and-mop" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "let-plus" pkgs) ];
  };
  configuration_dot_options-and-mop_slash_test = {
    pname = "configuration.options-and-mop_test";
    version = "20210531-git";
    asds = [ "configuration.options-and-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-mop";
      asd = "configuration.options-and-mop";
    });
    systems = [ "configuration.options-and-mop/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-and-mop" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options-and-puri = {
    pname = "configuration.options-and-puri";
    version = "20210531-git";
    asds = [ "configuration.options-and-puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-puri";
      asd = "configuration.options-and-puri";
    });
    systems = [ "configuration.options-and-puri" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "let-plus" pkgs) (getAttr "puri" pkgs) ];
  };
  configuration_dot_options-and-puri_slash_test = {
    pname = "configuration.options-and-puri_test";
    version = "20210531-git";
    asds = [ "configuration.options-and-puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-puri";
      asd = "configuration.options-and-puri";
    });
    systems = [ "configuration.options-and-puri/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-and-puri" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options-and-quri = {
    pname = "configuration.options-and-quri";
    version = "20210531-git";
    asds = [ "configuration.options-and-quri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-quri";
      asd = "configuration.options-and-quri";
    });
    systems = [ "configuration.options-and-quri" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "let-plus" pkgs) (getAttr "quri" pkgs) ];
  };
  configuration_dot_options-and-quri_slash_test = {
    pname = "configuration.options-and-quri_test";
    version = "20210531-git";
    asds = [ "configuration.options-and-quri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-quri";
      asd = "configuration.options-and-quri";
    });
    systems = [ "configuration.options-and-quri/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-and-quri" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options-and-service-provider = {
    pname = "configuration.options-and-service-provider";
    version = "20210531-git";
    asds = [ "configuration.options-and-service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-service-provider";
      asd = "configuration.options-and-service-provider";
    });
    systems = [ "configuration.options-and-service-provider" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_service-provider" pkgs) (getAttr "architecture_dot_service-provider-and-hooks" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-and-mop" pkgs) (getAttr "let-plus" pkgs) (getAttr "log4cl" pkgs) ];
  };
  configuration_dot_options-and-service-provider_slash_test = {
    pname = "configuration.options-and-service-provider_test";
    version = "20210531-git";
    asds = [ "configuration.options-and-service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-service-provider";
      asd = "configuration.options-and-service-provider";
    });
    systems = [ "configuration.options-and-service-provider/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_service-provider" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-and-service-provider" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options-syntax-ini = {
    pname = "configuration.options-syntax-ini";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-ini";
      asd = "configuration.options-syntax-ini";
    });
    systems = [ "configuration.options-syntax-ini" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "let-plus" pkgs) (getAttr "parser_dot_ini" pkgs) ];
  };
  configuration_dot_options-syntax-ini_slash_test = {
    pname = "configuration.options-syntax-ini_test";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-ini";
      asd = "configuration.options-syntax-ini";
    });
    systems = [ "configuration.options-syntax-ini/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-syntax-ini" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options-syntax-xml = {
    pname = "configuration.options-syntax-xml";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-xml";
      asd = "configuration.options-syntax-xml";
    });
    systems = [ "configuration.options-syntax-xml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "let-plus" pkgs) (getAttr "xml_dot_location" pkgs) ];
  };
  configuration_dot_options-syntax-xml_slash_test = {
    pname = "configuration.options-syntax-xml_test";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-xml";
      asd = "configuration.options-syntax-xml";
    });
    systems = [ "configuration.options-syntax-xml/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "configuration_dot_options-syntax-xml" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  configuration_dot_options_slash_test = {
    pname = "configuration.options_test";
    version = "20210531-git";
    asds = [ "configuration.options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options";
      asd = "configuration.options";
    });
    systems = [ "configuration.options/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "configuration_dot_options" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) ];
    meta = {
      broken = true;
    };
  };
  conium = {
    pname = "conium";
    version = "20210630-git";
    asds = [ "conium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conium/2021-06-30/conium-20210630-git.tgz";
      sha256 = "0y31za8xr8734p2pf8mrw1jd1fksh2d4y1p12wwjyn8hxxsvsx1w";
      system = "conium";
      asd = "conium";
    });
    systems = [ "conium" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  consfigurator = {
    pname = "consfigurator";
    version = "v1.1.1";
    asds = [ "consfigurator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/consfigurator/2022-11-06/consfigurator-v1.1.1.tgz";
      sha256 = "12k3billjgkdk9yr0a2dv2jkrggi9kgm7nncvlz5m22y3sh7f5kh";
      system = "consfigurator";
      asd = "consfigurator";
    });
    systems = [ "consfigurator" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-heredoc" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) (getAttr "osicat" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  consfigurator_slash_tests = {
    pname = "consfigurator_tests";
    version = "v1.1.1";
    asds = [ "consfigurator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/consfigurator/2022-11-06/consfigurator-v1.1.1.tgz";
      sha256 = "12k3billjgkdk9yr0a2dv2jkrggi9kgm7nncvlz5m22y3sh7f5kh";
      system = "consfigurator";
      asd = "consfigurator";
    });
    systems = [ "consfigurator/tests" ];
    lispLibs = [ (getAttr "consfigurator" pkgs) ];
    meta = {
      broken = true;
    };
  };
  consix = {
    pname = "consix";
    version = "20201220-git";
    asds = [ "consix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/consix/2020-12-20/consix-20201220-git.tgz";
      sha256 = "0zpcaxgq9jx0baj5sid8rnzq8ygsmd8yzb0x37nkaiwa67x5jjck";
      system = "consix";
      asd = "consix";
    });
    systems = [ "consix" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  constantfold = {
    pname = "constantfold";
    version = "20191227-git";
    asds = [ "constantfold" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/constantfold/2019-12-27/constantfold-20191227-git.tgz";
      sha256 = "153h0569z6bff1qbad0bdssplwwny75l7ilqwcfqfdvzsxf9jh06";
      system = "constantfold";
      asd = "constantfold";
    });
    systems = [ "constantfold" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "trivia" pkgs) ];
  };
  constantfold_dot_test = {
    pname = "constantfold.test";
    version = "20191227-git";
    asds = [ "constantfold.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/constantfold/2019-12-27/constantfold-20191227-git.tgz";
      sha256 = "153h0569z6bff1qbad0bdssplwwny75l7ilqwcfqfdvzsxf9jh06";
      system = "constantfold.test";
      asd = "constantfold.test";
    });
    systems = [ "constantfold.test" ];
    lispLibs = [ (getAttr "constantfold" pkgs) (getAttr "fiveam" pkgs) ];
  };
  context-lite = {
    pname = "context-lite";
    version = "20220331-git";
    asds = [ "context-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/context-lite/2022-03-31/context-lite-20220331-git.tgz";
      sha256 = "16hmid3adimn10c0y4p6hg7n42al2qgsy7wxlpargk0xbn4h3km4";
      system = "context-lite";
      asd = "context-lite";
    });
    systems = [ "context-lite" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  context-lite_slash_test = {
    pname = "context-lite_test";
    version = "20220331-git";
    asds = [ "context-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/context-lite/2022-03-31/context-lite-20220331-git.tgz";
      sha256 = "16hmid3adimn10c0y4p6hg7n42al2qgsy7wxlpargk0xbn4h3km4";
      system = "context-lite";
      asd = "context-lite";
    });
    systems = [ "context-lite/test" ];
    lispLibs = [ (getAttr "context-lite" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  contextl = {
    pname = "contextl";
    version = "20211230-git";
    asds = [ "contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/contextl/2021-12-30/contextl-20211230-git.tgz";
      sha256 = "0apgznz4g6lpmd86lq7w0xddfjgnirk83ig7p0j6i93xadhy9wh0";
      system = "contextl";
      asd = "contextl";
    });
    systems = [ "contextl" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "lw-compat" pkgs) ];
  };
  control = {
    pname = "control";
    version = "20200427-git";
    asds = [ "control" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "control";
      asd = "control";
    });
    systems = [ "control" ];
    lispLibs = [ (getAttr "character-modifier-bits" pkgs) (getAttr "window" pkgs) (getAttr "utility" pkgs) ];
  };
  convolution-kernel = {
    pname = "convolution-kernel";
    version = "20220707-git";
    asds = [ "convolution-kernel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/convolution-kernel/2022-07-07/convolution-kernel-20220707-git.tgz";
      sha256 = "0r2mgwl75fxcc019mxg3s32mkx6fhi8fcy5rzz1jba1wrcw380z3";
      system = "convolution-kernel";
      asd = "convolution-kernel";
    });
    systems = [ "convolution-kernel" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "tile-grid" pkgs) ];
  };
  copy-directory = {
    pname = "copy-directory";
    version = "20160628-git";
    asds = [ "copy-directory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/copy-directory/2016-06-28/copy-directory-20160628-git.tgz";
      sha256 = "19wvzb046lcyifhx26ydzf7ngfa52n64nyx76k3lh02x7ahhpc93";
      system = "copy-directory";
      asd = "copy-directory";
    });
    systems = [ "copy-directory" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "uiop" pkgs) (getAttr "which" pkgs) ];
  };
  copy-directory-test = {
    pname = "copy-directory-test";
    version = "20160628-git";
    asds = [ "copy-directory-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/copy-directory/2016-06-28/copy-directory-20160628-git.tgz";
      sha256 = "19wvzb046lcyifhx26ydzf7ngfa52n64nyx76k3lh02x7ahhpc93";
      system = "copy-directory-test";
      asd = "copy-directory-test";
    });
    systems = [ "copy-directory-test" ];
    lispLibs = [ (getAttr "copy-directory" pkgs) (getAttr "fiveam" pkgs) ];
  };
  core-reader = {
    pname = "core-reader";
    version = "20220707-git";
    asds = [ "core-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core-reader/2022-07-07/core-reader-20220707-git.tgz";
      sha256 = "1f2cm44r3pnahgx1b3c3psf6myaliwsrvfcgz8c9ydqi5qlx49gb";
      system = "core-reader";
      asd = "core-reader";
    });
    systems = [ "core-reader" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  core-reader_dot_test = {
    pname = "core-reader.test";
    version = "20220707-git";
    asds = [ "core-reader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core-reader/2022-07-07/core-reader-20220707-git.tgz";
      sha256 = "1f2cm44r3pnahgx1b3c3psf6myaliwsrvfcgz8c9ydqi5qlx49gb";
      system = "core-reader.test";
      asd = "core-reader.test";
    });
    systems = [ "core-reader.test" ];
    lispLibs = [ (getAttr "core-reader" pkgs) (getAttr "jingoh" pkgs) ];
  };
  cover = {
    pname = "cover";
    version = "20210228-git";
    asds = [ "cover" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cover/2021-02-28/cover-20210228-git.tgz";
      sha256 = "1dm28xvpnkv6lyq76k6hjw37vn6zvwhn9kp7xgk5zk2i37d63b77";
      system = "cover";
      asd = "cover";
    });
    systems = [ "cover" ];
    lispLibs = [  ];
  };
  cover_slash_tests = {
    pname = "cover_tests";
    version = "20210228-git";
    asds = [ "cover" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cover/2021-02-28/cover-20210228-git.tgz";
      sha256 = "1dm28xvpnkv6lyq76k6hjw37vn6zvwhn9kp7xgk5zk2i37d63b77";
      system = "cover";
      asd = "cover";
    });
    systems = [ "cover/tests" ];
    lispLibs = [ (getAttr "cover" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cqlcl = {
    pname = "cqlcl";
    version = "20141106-git";
    asds = [ "cqlcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cqlcl/2014-11-06/cqlcl-20141106-git.tgz";
      sha256 = "0ppdsrrf2hz0s4y02a2p5mgms92znrj7hz7x9j6azppfkal25zid";
      system = "cqlcl";
      asd = "cqlcl";
    });
    systems = [ "cqlcl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "lparallel" pkgs) (getAttr "pooler" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) (getAttr "uuid" pkgs) ];
  };
  cqlcl-test = {
    pname = "cqlcl-test";
    version = "20141106-git";
    asds = [ "cqlcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cqlcl/2014-11-06/cqlcl-20141106-git.tgz";
      sha256 = "0ppdsrrf2hz0s4y02a2p5mgms92znrj7hz7x9j6azppfkal25zid";
      system = "cqlcl-test";
      asd = "cqlcl";
    });
    systems = [ "cqlcl-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cqlcl" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "uuid" pkgs) ];
  };
  crane = {
    pname = "crane";
    version = "20160208-git";
    asds = [ "crane" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crane/2016-02-08/crane-20160208-git.tgz";
      sha256 = "1wai4h7vz5i0ld1fnnbcmpz5d67dmykyxx0ay0fkclkwvpj7gh5n";
      system = "crane";
      asd = "crane";
    });
    systems = [ "crane" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-fad" pkgs) (getAttr "clos-fixtures" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "sxql" pkgs) (getAttr "uiop" pkgs) ];
  };
  crane-test = {
    pname = "crane-test";
    version = "20160208-git";
    asds = [ "crane-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crane/2016-02-08/crane-20160208-git.tgz";
      sha256 = "1wai4h7vz5i0ld1fnnbcmpz5d67dmykyxx0ay0fkclkwvpj7gh5n";
      system = "crane-test";
      asd = "crane-test";
    });
    systems = [ "crane-test" ];
    lispLibs = [ (getAttr "crane" pkgs) (getAttr "fiveam" pkgs) ];
  };
  cricket = {
    pname = "cricket";
    version = "20220707-git";
    asds = [ "cricket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cricket/2022-07-07/cricket-20220707-git.tgz";
      sha256 = "0wdpzdmalbnfjmd9s7yalris4i1vvc2klnhfl8g0h2ahq0mqv9p9";
      system = "cricket";
      asd = "cricket";
    });
    systems = [ "cricket" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "cl-cpus" pkgs) (getAttr "lparallel" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "seedable-rng" pkgs) (getAttr "uiop" pkgs) (getAttr "zpng" pkgs) ];
  };
  cricket_dot_test = {
    pname = "cricket.test";
    version = "20220707-git";
    asds = [ "cricket.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cricket/2022-07-07/cricket-20220707-git.tgz";
      sha256 = "0wdpzdmalbnfjmd9s7yalris4i1vvc2klnhfl8g0h2ahq0mqv9p9";
      system = "cricket.test";
      asd = "cricket.test";
    });
    systems = [ "cricket.test" ];
    lispLibs = [ (getAttr "cricket" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "pngload" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  croatoan = {
    pname = "croatoan";
    version = "20221106-git";
    asds = [ "croatoan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2022-11-06/croatoan-20221106-git.tgz";
      sha256 = "0zfwcc40dpj88jvkm45d4snxjfxdsncd5pj10zrbj7lm4awm9b5s";
      system = "croatoan";
      asd = "croatoan";
    });
    systems = [ "croatoan" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "croatoan-ncurses" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  croatoan-ncurses = {
    pname = "croatoan-ncurses";
    version = "20221106-git";
    asds = [ "croatoan-ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2022-11-06/croatoan-20221106-git.tgz";
      sha256 = "0zfwcc40dpj88jvkm45d4snxjfxdsncd5pj10zrbj7lm4awm9b5s";
      system = "croatoan-ncurses";
      asd = "croatoan-ncurses";
    });
    systems = [ "croatoan-ncurses" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  croatoan-test = {
    pname = "croatoan-test";
    version = "20221106-git";
    asds = [ "croatoan-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2022-11-06/croatoan-20221106-git.tgz";
      sha256 = "0zfwcc40dpj88jvkm45d4snxjfxdsncd5pj10zrbj7lm4awm9b5s";
      system = "croatoan-test";
      asd = "croatoan-test";
    });
    systems = [ "croatoan-test" ];
    lispLibs = [ (getAttr "croatoan" pkgs) ];
  };
  crud = {
    pname = "crud";
    version = "20200427-git";
    asds = [ "crud" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "crud";
      asd = "crud";
    });
    systems = [ "crud" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "base64" pkgs) (getAttr "sqlite" pkgs) (getAttr "lparallel" pkgs) (getAttr "sucle-serialize" pkgs) (getAttr "uiop" pkgs) ];
  };
  crypt = {
    pname = "crypt";
    version = "20120520-git";
    asds = [ "crypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-crypt/2012-05-20/cl-crypt-20120520-git.tgz";
      sha256 = "02fc3aqfbbwjpz79a4mwffv33pnmmknpkmd1r8v9mkn9a6c1ssmh";
      system = "crypt";
      asd = "crypt";
    });
    systems = [ "crypt" ];
    lispLibs = [  ];
  };
  crypto-shortcuts = {
    pname = "crypto-shortcuts";
    version = "20201016-git";
    asds = [ "crypto-shortcuts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crypto-shortcuts/2020-10-16/crypto-shortcuts-20201016-git.tgz";
      sha256 = "0c0m0ar04jn7qf2v8c4sivamlzki03r13rnxy8b3n27rh9r6hgin";
      system = "crypto-shortcuts";
      asd = "crypto-shortcuts";
    });
    systems = [ "crypto-shortcuts" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) ];
  };
  cserial-port = {
    pname = "cserial-port";
    version = "20211230-git";
    asds = [ "cserial-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cserial-port/2021-12-30/cserial-port-20211230-git.tgz";
      sha256 = "05fvzl0pd6d3pbzp6rpgv1ad8hawcy34rm88p1jf8066fl6lxikp";
      system = "cserial-port";
      asd = "cserial-port";
    });
    systems = [ "cserial-port" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "osicat" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  css-lite = {
    pname = "css-lite";
    version = "20221106-git";
    asds = [ "css-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-lite/2022-11-06/css-lite-20221106-git.tgz";
      sha256 = "1klfpiqbg8gg10s2dmladaq06ard5v92lzk3ck2d1nbbl3rk4m1l";
      system = "css-lite";
      asd = "css-lite";
    });
    systems = [ "css-lite" ];
    lispLibs = [  ];
  };
  css-lite_slash_test = {
    pname = "css-lite_test";
    version = "20221106-git";
    asds = [ "css-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-lite/2022-11-06/css-lite-20221106-git.tgz";
      sha256 = "1klfpiqbg8gg10s2dmladaq06ard5v92lzk3ck2d1nbbl3rk4m1l";
      system = "css-lite";
      asd = "css-lite";
    });
    systems = [ "css-lite/test" ];
    lispLibs = [ (getAttr "css-lite" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  css-selectors = {
    pname = "css-selectors";
    version = "20160628-git";
    asds = [ "css-selectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors";
      asd = "css-selectors";
    });
    systems = [ "css-selectors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "buildnode" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yacc" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  css-selectors-simple-tree = {
    pname = "css-selectors-simple-tree";
    version = "20160628-git";
    asds = [ "css-selectors-simple-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-simple-tree";
      asd = "css-selectors-simple-tree";
    });
    systems = [ "css-selectors-simple-tree" ];
    lispLibs = [ (getAttr "cl-html5-parser" pkgs) (getAttr "css-selectors" pkgs) ];
  };
  css-selectors-stp = {
    pname = "css-selectors-stp";
    version = "20160628-git";
    asds = [ "css-selectors-stp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-stp";
      asd = "css-selectors-stp";
    });
    systems = [ "css-selectors-stp" ];
    lispLibs = [ (getAttr "css-selectors" pkgs) (getAttr "cxml-stp" pkgs) ];
  };
  css-selectors-test = {
    pname = "css-selectors-test";
    version = "20160628-git";
    asds = [ "css-selectors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-test";
      asd = "css-selectors";
    });
    systems = [ "css-selectors-test" ];
    lispLibs = [ (getAttr "buildnode-xhtml" pkgs) (getAttr "css-selectors" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  csv = {
    pname = "csv";
    version = "20190710-git";
    asds = [ "csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv/2019-07-10/csv-20190710-git.tgz";
      sha256 = "0jykv91w7anisac2aip38vnj7ywi567rcp4n8nv3lz5qb7g1dpy4";
      system = "csv";
      asd = "csv";
    });
    systems = [ "csv" ];
    lispLibs = [  ];
  };
  csv-parser = {
    pname = "csv-parser";
    version = "20140713-git";
    asds = [ "csv-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv-parser/2014-07-13/csv-parser-20140713-git.tgz";
      sha256 = "0pcp709dwxi3p2vrmx5qiy571pybfs1hpv9z8g4i1ig2l4mc3djh";
      system = "csv-parser";
      asd = "csv-parser";
    });
    systems = [ "csv-parser" ];
    lispLibs = [  ];
  };
  ctype = {
    pname = "ctype";
    version = "20220707-git";
    asds = [ "ctype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ctype/2022-07-07/ctype-20220707-git.tgz";
      sha256 = "05smc81ml9rbcbzdhqg2mi9drnjsipq62r5q7f7qql8hbx01vl9i";
      system = "ctype";
      asd = "ctype";
    });
    systems = [ "ctype" ];
    lispLibs = [  ];
  };
  ctype-tfun = {
    pname = "ctype-tfun";
    version = "20220707-git";
    asds = [ "ctype-tfun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ctype/2022-07-07/ctype-20220707-git.tgz";
      sha256 = "05smc81ml9rbcbzdhqg2mi9drnjsipq62r5q7f7qql8hbx01vl9i";
      system = "ctype-tfun";
      asd = "ctype-tfun";
    });
    systems = [ "ctype-tfun" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ctype" pkgs) ];
  };
  cubic-bezier = {
    pname = "cubic-bezier";
    version = "20220707-git";
    asds = [ "cubic-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cubic-bezier/2022-07-07/cubic-bezier-20220707-git.tgz";
      sha256 = "08byf1pw2s5sz97bk0sp2a6gdx5dkankbbg14azafd1k0vfh7vcr";
      system = "cubic-bezier";
      asd = "cubic-bezier";
    });
    systems = [ "cubic-bezier" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "origin" pkgs) ];
  };
  cue-parser = {
    pname = "cue-parser";
    version = "20180228-git";
    asds = [ "cue-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cue-parser/2018-02-28/cue-parser-20180228-git.tgz";
      sha256 = "1zl3a02b68yywchd1aldls07b4qgrf08xpb4xiaaw8njk2qa0lz1";
      system = "cue-parser";
      asd = "cue-parser";
    });
    systems = [ "cue-parser" ];
    lispLibs = [ (getAttr "esrap" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  curly = {
    pname = "curly";
    version = "20120407-git";
    asds = [ "curly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curly/2012-04-07/curly-20120407-git.tgz";
      sha256 = "04gpkq6hd7wvvny0p3lgn87bfalswqc67sbg4p35j52w51mqd8vf";
      system = "curly";
      asd = "curly";
    });
    systems = [ "curly" ];
    lispLibs = [  ];
  };
  curly_dot_test = {
    pname = "curly.test";
    version = "20120407-git";
    asds = [ "curly.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curly/2012-04-07/curly-20120407-git.tgz";
      sha256 = "04gpkq6hd7wvvny0p3lgn87bfalswqc67sbg4p35j52w51mqd8vf";
      system = "curly.test";
      asd = "curly";
    });
    systems = [ "curly.test" ];
    lispLibs = [ (getAttr "curly" pkgs) (getAttr "fiveam" pkgs) ];
  };
  curry-compose-reader-macros = {
    pname = "curry-compose-reader-macros";
    version = "20201220-git";
    asds = [ "curry-compose-reader-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curry-compose-reader-macros/2020-12-20/curry-compose-reader-macros-20201220-git.tgz";
      sha256 = "0j4qfwpw4ykf5npiln54w7jcnj46p7xf9d4p3jpx4a67fdkrlxd1";
      system = "curry-compose-reader-macros";
      asd = "curry-compose-reader-macros";
    });
    systems = [ "curry-compose-reader-macros" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  curry-compose-reader-macros_slash_test = {
    pname = "curry-compose-reader-macros_test";
    version = "20201220-git";
    asds = [ "curry-compose-reader-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curry-compose-reader-macros/2020-12-20/curry-compose-reader-macros-20201220-git.tgz";
      sha256 = "0j4qfwpw4ykf5npiln54w7jcnj46p7xf9d4p3jpx4a67fdkrlxd1";
      system = "curry-compose-reader-macros";
      asd = "curry-compose-reader-macros";
    });
    systems = [ "curry-compose-reader-macros/test" ];
    lispLibs = [ (getAttr "curry-compose-reader-macros" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxml = {
    pname = "cxml";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cxml-dom = {
    pname = "cxml-dom";
    version = "20200610-git";
    asds = [ "cxml-dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-dom";
      asd = "cxml-dom";
    });
    systems = [ "cxml-dom" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cxml-klacks = {
    pname = "cxml-klacks";
    version = "20200610-git";
    asds = [ "cxml-klacks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-klacks";
      asd = "cxml-klacks";
    });
    systems = [ "cxml-klacks" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cxml-rng = {
    pname = "cxml-rng";
    version = "20190710-git";
    asds = [ "cxml-rng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-rng/2019-07-10/cxml-rng-20190710-git.tgz";
      sha256 = "0pjb5268spiwq6b0cly8nfajr6rsh2wf6si646bzzjrxbgs51sxa";
      system = "cxml-rng";
      asd = "cxml-rng";
    });
    systems = [ "cxml-rng" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yacc" pkgs) (getAttr "cxml" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cxml-rpc = {
    pname = "cxml-rpc";
    version = "20121013-git";
    asds = [ "cxml-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-rpc/2012-10-13/cxml-rpc-20121013-git.tgz";
      sha256 = "1ihd8rg0shy7nykqcbvvx5px7sw8wr1nwz70jdrh6ibq74yr8flh";
      system = "cxml-rpc";
      asd = "cxml-rpc";
    });
    systems = [ "cxml-rpc" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "parse-number" pkgs) ];
  };
  cxml-stp = {
    pname = "cxml-stp";
    version = "20200325-git";
    asds = [ "cxml-stp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-stp/2020-03-25/cxml-stp-20200325-git.tgz";
      sha256 = "01yfxxvb144i2mlp06fxx410mf3phxz5qaqvk90pp4dzdl883knv";
      system = "cxml-stp";
      asd = "cxml-stp";
    });
    systems = [ "cxml-stp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cxml" pkgs) (getAttr "xpath" pkgs) ];
  };
  cxml-stp_slash_test = {
    pname = "cxml-stp_test";
    version = "20200325-git";
    asds = [ "cxml-stp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-stp/2020-03-25/cxml-stp-20200325-git.tgz";
      sha256 = "01yfxxvb144i2mlp06fxx410mf3phxz5qaqvk90pp4dzdl883knv";
      system = "cxml-stp";
      asd = "cxml-stp";
    });
    systems = [ "cxml-stp/test" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "cxml-stp" pkgs) (getAttr "xpath" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxml-test = {
    pname = "cxml-test";
    version = "20200610-git";
    asds = [ "cxml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-test";
      asd = "cxml-test";
    });
    systems = [ "cxml-test" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  cxml_slash_dom = {
    pname = "cxml_dom";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml/dom" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxml_slash_klacks = {
    pname = "cxml_klacks";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml/klacks" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxml_slash_test = {
    pname = "cxml_test";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml/test" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxml_slash_xml = {
    pname = "cxml_xml";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml/xml" ];
    lispLibs = [ (getAttr "closure-common" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  cxx = {
    pname = "cxx";
    version = "20210411-git";
    asds = [ "cxx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx/2021-04-11/cl-cxx-20210411-git.tgz";
      sha256 = "0hvb5n1s00f8q3bnj8g28fj2k3s8qz1fn0ls77pd3w69fg5wqdsy";
      system = "cxx";
      asd = "cxx";
    });
    systems = [ "cxx" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  cxx-jit = {
    pname = "cxx-jit";
    version = "20220331-git";
    asds = [ "cxx-jit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx-jit/2022-03-31/cl-cxx-jit-20220331-git.tgz";
      sha256 = "0mbi5r4b4jbk50yy4pv7ngsjj50579f9c362dzh0sbrxk8vd3gkp";
      system = "cxx-jit";
      asd = "cxx-jit";
    });
    systems = [ "cxx-jit" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  cxx-test = {
    pname = "cxx-test";
    version = "20210411-git";
    asds = [ "cxx-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx/2021-04-11/cl-cxx-20210411-git.tgz";
      sha256 = "0hvb5n1s00f8q3bnj8g28fj2k3s8qz1fn0ls77pd3w69fg5wqdsy";
      system = "cxx-test";
      asd = "cxx-test";
    });
    systems = [ "cxx-test" ];
    lispLibs = [ (getAttr "cxx" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  cytoscape-clj = {
    pname = "cytoscape-clj";
    version = "20221106-git";
    asds = [ "cytoscape-clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cytoscape-clj/2022-11-06/cytoscape-clj-20221106-git.tgz";
      sha256 = "0212c9aw2qpcijz2sglabbn51h93ljw1l3sj4kbff724xgc96ijh";
      system = "cytoscape-clj";
      asd = "cytoscape-clj";
    });
    systems = [ "cytoscape-clj" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" pkgs) ];
  };
  daemon = {
    pname = "daemon";
    version = "20170403-git";
    asds = [ "daemon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/daemon/2017-04-03/daemon-20170403-git.tgz";
      sha256 = "1kdxfnhh9fz34j8qs7pn7mwjz3v33q4v9nh0hqkyzraq5xs2j3f4";
      system = "daemon";
      asd = "daemon";
    });
    systems = [ "daemon" ];
    lispLibs = [ (getAttr "trivial-features" pkgs) ];
  };
  damn-fast-priority-queue = {
    pname = "damn-fast-priority-queue";
    version = "20221106-git";
    asds = [ "damn-fast-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-priority-queue";
      asd = "damn-fast-priority-queue";
    });
    systems = [ "damn-fast-priority-queue" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  damn-fast-priority-queue_slash_test = {
    pname = "damn-fast-priority-queue_test";
    version = "20221106-git";
    asds = [ "damn-fast-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-priority-queue";
      asd = "damn-fast-priority-queue";
    });
    systems = [ "damn-fast-priority-queue/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "damn-fast-priority-queue" pkgs) ];
    meta = {
      broken = true;
    };
  };
  damn-fast-stable-priority-queue = {
    pname = "damn-fast-stable-priority-queue";
    version = "20221106-git";
    asds = [ "damn-fast-stable-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-stable-priority-queue";
      asd = "damn-fast-stable-priority-queue";
    });
    systems = [ "damn-fast-stable-priority-queue" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  damn-fast-stable-priority-queue_slash_test = {
    pname = "damn-fast-stable-priority-queue_test";
    version = "20221106-git";
    asds = [ "damn-fast-stable-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-stable-priority-queue";
      asd = "damn-fast-stable-priority-queue";
    });
    systems = [ "damn-fast-stable-priority-queue/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "damn-fast-stable-priority-queue" pkgs) ];
    meta = {
      broken = true;
    };
  };
  darts_dot_lib_dot_email-address = {
    pname = "darts.lib.email-address";
    version = "quicklisp-release-48464635-git";
    asds = [ "darts.lib.email-address" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclemailaddress/2016-04-21/dartsclemailaddress-quicklisp-release-48464635-git.tgz";
      sha256 = "15155nqi9q7ilaf14p4yi4iga8203rl7fn9v2iaxcfm18gsvqcjd";
      system = "darts.lib.email-address";
      asd = "darts.lib.email-address";
    });
    systems = [ "darts.lib.email-address" ];
    lispLibs = [  ];
  };
  darts_dot_lib_dot_email-address-test = {
    pname = "darts.lib.email-address-test";
    version = "quicklisp-release-48464635-git";
    asds = [ "darts.lib.email-address-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclemailaddress/2016-04-21/dartsclemailaddress-quicklisp-release-48464635-git.tgz";
      sha256 = "15155nqi9q7ilaf14p4yi4iga8203rl7fn9v2iaxcfm18gsvqcjd";
      system = "darts.lib.email-address-test";
      asd = "darts.lib.email-address-test";
    });
    systems = [ "darts.lib.email-address-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_email-address" pkgs) (getAttr "stefil" pkgs) ];
  };
  darts_dot_lib_dot_hashtree-test = {
    pname = "darts.lib.hashtree-test";
    version = "20211230-git";
    asds = [ "darts.lib.hashtree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.hashtree-test";
      asd = "darts.lib.hashtree-test";
    });
    systems = [ "darts.lib.hashtree-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_hashtrie" pkgs) (getAttr "darts_dot_lib_dot_wbtree" pkgs) (getAttr "stefil" pkgs) ];
  };
  darts_dot_lib_dot_hashtrie = {
    pname = "darts.lib.hashtrie";
    version = "20211230-git";
    asds = [ "darts.lib.hashtrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.hashtrie";
      asd = "darts.lib.hashtrie";
    });
    systems = [ "darts.lib.hashtrie" ];
    lispLibs = [  ];
  };
  darts_dot_lib_dot_message-pack = {
    pname = "darts.lib.message-pack";
    version = "20200325-git";
    asds = [ "darts.lib.message-pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclmessagepack/2020-03-25/dartsclmessagepack-20200325-git.tgz";
      sha256 = "0i9jnvq6dp5zya1ijj3z7s10803jk8rb4nrjrzcgcfhkczd5si6y";
      system = "darts.lib.message-pack";
      asd = "darts.lib.message-pack";
    });
    systems = [ "darts.lib.message-pack" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "ieee-floats" pkgs) ];
  };
  darts_dot_lib_dot_message-pack-test = {
    pname = "darts.lib.message-pack-test";
    version = "20200325-git";
    asds = [ "darts.lib.message-pack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclmessagepack/2020-03-25/dartsclmessagepack-20200325-git.tgz";
      sha256 = "0i9jnvq6dp5zya1ijj3z7s10803jk8rb4nrjrzcgcfhkczd5si6y";
      system = "darts.lib.message-pack-test";
      asd = "darts.lib.message-pack-test";
    });
    systems = [ "darts.lib.message-pack-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_message-pack" pkgs) (getAttr "stefil" pkgs) (getAttr "trivial-octet-streams" pkgs) ];
  };
  darts_dot_lib_dot_sequence-metrics = {
    pname = "darts.lib.sequence-metrics";
    version = "20130312-git";
    asds = [ "darts.lib.sequence-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclsequencemetrics/2013-03-12/dartsclsequencemetrics-20130312-git.tgz";
      sha256 = "1x99gj5dfgiaraawx1nd157g5ajygfxz47cz8jgi1fh52fp1p969";
      system = "darts.lib.sequence-metrics";
      asd = "darts.lib.sequence-metrics";
    });
    systems = [ "darts.lib.sequence-metrics" ];
    lispLibs = [  ];
  };
  darts_dot_lib_dot_tools = {
    pname = "darts.lib.tools";
    version = "20201220-git";
    asds = [ "darts.lib.tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscltools/2020-12-20/dartscltools-20201220-git.tgz";
      sha256 = "0mbz7ak03qsw41fgybdw4mbibr656y9xl9bfgr2rmkdkgxbicys9";
      system = "darts.lib.tools";
      asd = "darts.lib.tools";
    });
    systems = [ "darts.lib.tools" ];
    lispLibs = [ (getAttr "atomics" pkgs) ];
  };
  darts_dot_lib_dot_tools_dot_test = {
    pname = "darts.lib.tools.test";
    version = "20201220-git";
    asds = [ "darts.lib.tools.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscltools/2020-12-20/dartscltools-20201220-git.tgz";
      sha256 = "0mbz7ak03qsw41fgybdw4mbibr656y9xl9bfgr2rmkdkgxbicys9";
      system = "darts.lib.tools.test";
      asd = "darts.lib.tools.test";
    });
    systems = [ "darts.lib.tools.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "darts_dot_lib_dot_tools" pkgs) (getAttr "fiveam" pkgs) ];
  };
  darts_dot_lib_dot_uuid = {
    pname = "darts.lib.uuid";
    version = "20210807-git";
    asds = [ "darts.lib.uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscluuid/2021-08-07/dartscluuid-20210807-git.tgz";
      sha256 = "068lsbjnx4bkhz7s2022jsh8zsvqak98s8hcy1rs10bgi36hrrkh";
      system = "darts.lib.uuid";
      asd = "darts.lib.uuid";
    });
    systems = [ "darts.lib.uuid" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "ironclad" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  darts_dot_lib_dot_uuid-test = {
    pname = "darts.lib.uuid-test";
    version = "20210807-git";
    asds = [ "darts.lib.uuid-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscluuid/2021-08-07/dartscluuid-20210807-git.tgz";
      sha256 = "068lsbjnx4bkhz7s2022jsh8zsvqak98s8hcy1rs10bgi36hrrkh";
      system = "darts.lib.uuid-test";
      asd = "darts.lib.uuid-test";
    });
    systems = [ "darts.lib.uuid-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_uuid" pkgs) (getAttr "stefil" pkgs) ];
  };
  darts_dot_lib_dot_wbtree = {
    pname = "darts.lib.wbtree";
    version = "20211230-git";
    asds = [ "darts.lib.wbtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.wbtree";
      asd = "darts.lib.wbtree";
    });
    systems = [ "darts.lib.wbtree" ];
    lispLibs = [  ];
  };
  data-format-validation = {
    pname = "data-format-validation";
    version = "20140713-git";
    asds = [ "data-format-validation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-format-validation/2014-07-13/cl-data-format-validation-20140713-git.tgz";
      sha256 = "0zmk47xmicyqvp1impn8kgh5373ysmx3gfpqcvbi9r31qsir2nqa";
      system = "data-format-validation";
      asd = "data-format-validation";
    });
    systems = [ "data-format-validation" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  data-frame = {
    pname = "data-frame";
    version = "20221106-git";
    asds = [ "data-frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-frame/2022-11-06/data-frame-20221106-git.tgz";
      sha256 = "0bs1jh66bml25bj1lxdzz8cjhj3g060yyd5ggqsnsr4l2j0zyszv";
      system = "data-frame";
      asd = "data-frame";
    });
    systems = [ "data-frame" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "alexandria_plus" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "duologue" pkgs) (getAttr "let-plus" pkgs) (getAttr "num-utils" pkgs) (getAttr "select" pkgs) (getAttr "statistics" pkgs) ];
  };
  data-frame_slash_tests = {
    pname = "data-frame_tests";
    version = "20221106-git";
    asds = [ "data-frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-frame/2022-11-06/data-frame-20221106-git.tgz";
      sha256 = "0bs1jh66bml25bj1lxdzz8cjhj3g060yyd5ggqsnsr4l2j0zyszv";
      system = "data-frame";
      asd = "data-frame";
    });
    systems = [ "data-frame/tests" ];
    lispLibs = [ (getAttr "clunit2" pkgs) (getAttr "data-frame" pkgs) ];
    meta = {
      broken = true;
    };
  };
  data-lens = {
    pname = "data-lens";
    version = "20221106-git";
    asds = [ "data-lens" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-lens/2022-11-06/data-lens-20221106-git.tgz";
      sha256 = "08h8i1y0mzhwh0nb70y448zv12plgzwbbr32hsw2vzjbas31rv02";
      system = "data-lens";
      asd = "data-lens";
    });
    systems = [ "data-lens" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  data-lens_slash_beta_slash_transducers = {
    pname = "data-lens_beta_transducers";
    version = "20221106-git";
    asds = [ "data-lens" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-lens/2022-11-06/data-lens-20221106-git.tgz";
      sha256 = "08h8i1y0mzhwh0nb70y448zv12plgzwbbr32hsw2vzjbas31rv02";
      system = "data-lens";
      asd = "data-lens";
    });
    systems = [ "data-lens/beta/transducers" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "data-lens" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  data-lens_slash_test = {
    pname = "data-lens_test";
    version = "20221106-git";
    asds = [ "data-lens" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-lens/2022-11-06/data-lens-20221106-git.tgz";
      sha256 = "08h8i1y0mzhwh0nb70y448zv12plgzwbbr32hsw2vzjbas31rv02";
      system = "data-lens";
      asd = "data-lens";
    });
    systems = [ "data-lens/test" ];
    lispLibs = [ (getAttr "data-lens" pkgs) (getAttr "fiveam" pkgs) (getAttr "serapeum" pkgs) (getAttr "string-case" pkgs) ];
    meta = {
      broken = true;
    };
  };
  data-lens_slash_transducers_slash_test = {
    pname = "data-lens_transducers_test";
    version = "20221106-git";
    asds = [ "data-lens" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-lens/2022-11-06/data-lens-20221106-git.tgz";
      sha256 = "08h8i1y0mzhwh0nb70y448zv12plgzwbbr32hsw2vzjbas31rv02";
      system = "data-lens";
      asd = "data-lens";
    });
    systems = [ "data-lens/transducers/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "data-lens" pkgs) (getAttr "fiveam" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  data-sift = {
    pname = "data-sift";
    version = "20130128-git";
    asds = [ "data-sift" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-sift/2013-01-28/data-sift-20130128-git.tgz";
      sha256 = "1v7gf0x4ibjzp0c56n9m77hxdgwcm9356zlk5n4l3fx4i0hj6146";
      system = "data-sift";
      asd = "data-sift";
    });
    systems = [ "data-sift" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "parse-number" pkgs) (getAttr "puri" pkgs) ];
  };
  data-sift-test = {
    pname = "data-sift-test";
    version = "20130128-git";
    asds = [ "data-sift-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-sift/2013-01-28/data-sift-20130128-git.tgz";
      sha256 = "1v7gf0x4ibjzp0c56n9m77hxdgwcm9356zlk5n4l3fx4i0hj6146";
      system = "data-sift-test";
      asd = "data-sift";
    });
    systems = [ "data-sift-test" ];
    lispLibs = [ (getAttr "data-sift" pkgs) (getAttr "lift" pkgs) ];
  };
  data-table = {
    pname = "data-table";
    version = "20221106-git";
    asds = [ "data-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table";
      asd = "data-table";
    });
    systems = [ "data-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  data-table-clsql = {
    pname = "data-table-clsql";
    version = "20221106-git";
    asds = [ "data-table-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table-clsql";
      asd = "data-table-clsql";
    });
    systems = [ "data-table-clsql" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-helper" pkgs) (getAttr "collectors" pkgs) (getAttr "data-table" pkgs) (getAttr "iterate" pkgs) ];
  };
  data-table-test = {
    pname = "data-table-test";
    version = "20221106-git";
    asds = [ "data-table-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table-test";
      asd = "data-table";
    });
    systems = [ "data-table-test" ];
    lispLibs = [ (getAttr "data-table" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  database-migrations = {
    pname = "database-migrations";
    version = "20180831-git";
    asds = [ "database-migrations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/database-migrations/2018-08-31/database-migrations-20180831-git.tgz";
      sha256 = "1rina8j4hh06zc18sxl55r2gsq6x17sn1mjaihdvjyqa7f95s8rp";
      system = "database-migrations";
      asd = "database-migrations";
    });
    systems = [ "database-migrations" ];
    lispLibs = [ (getAttr "postmodern" pkgs) ];
  };
  datafly = {
    pname = "datafly";
    version = "20200325-git";
    asds = [ "datafly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datafly/2020-03-25/datafly-20200325-git.tgz";
      sha256 = "16b78kzmglp2a4nxlxxl7rpf5zaibsgagn0p3c56fsxvx0c4hszv";
      system = "datafly";
      asd = "datafly";
    });
    systems = [ "datafly" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "closer-mop" pkgs) (getAttr "function-cache" pkgs) (getAttr "iterate" pkgs) (getAttr "jonathan" pkgs) (getAttr "kebab" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "optima" pkgs) (getAttr "sxql" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  datafly-test = {
    pname = "datafly-test";
    version = "20200325-git";
    asds = [ "datafly-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datafly/2020-03-25/datafly-20200325-git.tgz";
      sha256 = "16b78kzmglp2a4nxlxxl7rpf5zaibsgagn0p3c56fsxvx0c4hszv";
      system = "datafly-test";
      asd = "datafly-test";
    });
    systems = [ "datafly-test" ];
    lispLibs = [ (getAttr "datafly" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "sxql" pkgs) ];
  };
  dataloader = {
    pname = "dataloader";
    version = "20210531-git";
    asds = [ "dataloader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dataloader/2021-05-31/dataloader-20210531-git.tgz";
      sha256 = "1a7nap2yp0jjd9r3xpkj0a6z0m3gshz73abm8kfza4kf31ipzyik";
      system = "dataloader";
      asd = "dataloader";
    });
    systems = [ "dataloader" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-csv" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "png" pkgs) (getAttr "cl-wav" pkgs) (getAttr "iterate" pkgs) (getAttr "magicffi" pkgs) (getAttr "numcl" pkgs) (getAttr "numpy-file-format" pkgs) (getAttr "retrospectiff" pkgs) (getAttr "trivia" pkgs) ];
  };
  dataloader_dot_test = {
    pname = "dataloader.test";
    version = "20210531-git";
    asds = [ "dataloader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dataloader/2021-05-31/dataloader-20210531-git.tgz";
      sha256 = "1a7nap2yp0jjd9r3xpkj0a6z0m3gshz73abm8kfza4kf31ipzyik";
      system = "dataloader.test";
      asd = "dataloader.test";
    });
    systems = [ "dataloader.test" ];
    lispLibs = [ (getAttr "dataloader" pkgs) (getAttr "fiveam" pkgs) ];
  };
  datamuse = {
    pname = "datamuse";
    version = "20221106-git";
    asds = [ "datamuse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datamuse/2022-11-06/datamuse-20221106-git.tgz";
      sha256 = "1x37rjf2gyvlq6jlflw628g299qdgzb0bwiv3qxk0nv22an50rp0";
      system = "datamuse";
      asd = "datamuse";
    });
    systems = [ "datamuse" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "yason" pkgs) ];
  };
  date-calc = {
    pname = "date-calc";
    version = "20191227-git";
    asds = [ "date-calc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/date-calc/2019-12-27/date-calc-20191227-git.tgz";
      sha256 = "09wmjp3ypxigcmx4mvc0yjnj56wkjjchhssdmklbaswy5mi7xc9s";
      system = "date-calc";
      asd = "date-calc";
    });
    systems = [ "date-calc" ];
    lispLibs = [  ];
  };
  date-calc_slash_test = {
    pname = "date-calc_test";
    version = "20191227-git";
    asds = [ "date-calc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/date-calc/2019-12-27/date-calc-20191227-git.tgz";
      sha256 = "09wmjp3ypxigcmx4mvc0yjnj56wkjjchhssdmklbaswy5mi7xc9s";
      system = "date-calc";
      asd = "date-calc";
    });
    systems = [ "date-calc/test" ];
    lispLibs = [ (getAttr "date-calc" pkgs) (getAttr "fiveam" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  datum-comments = {
    pname = "datum-comments";
    version = "20210228-git";
    asds = [ "datum-comments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datum-comments/2021-02-28/datum-comments-20210228-git.tgz";
      sha256 = "07zzlhphcmwimp4pjckhnbjbn127lcpafi7j0l74137dz9pimjik";
      system = "datum-comments";
      asd = "datum-comments";
    });
    systems = [ "datum-comments" ];
    lispLibs = [  ];
  };
  datum-comments_slash_test = {
    pname = "datum-comments_test";
    version = "20210228-git";
    asds = [ "datum-comments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datum-comments/2021-02-28/datum-comments-20210228-git.tgz";
      sha256 = "07zzlhphcmwimp4pjckhnbjbn127lcpafi7j0l74137dz9pimjik";
      system = "datum-comments";
      asd = "datum-comments";
    });
    systems = [ "datum-comments/test" ];
    lispLibs = [ (getAttr "datum-comments" pkgs) ];
    meta = {
      broken = true;
    };
  };
  db3 = {
    pname = "db3";
    version = "20200218-git";
    asds = [ "db3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-db3/2020-02-18/cl-db3-20200218-git.tgz";
      sha256 = "1i7j0mlri6kbklcx1lsm464s8kmyhhij5c4xh4aybrw8m4ixn1s5";
      system = "db3";
      asd = "db3";
    });
    systems = [ "db3" ];
    lispLibs = [  ];
  };
  dbd-mysql = {
    pname = "dbd-mysql";
    version = "20211020-git";
    asds = [ "dbd-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbd-mysql";
      asd = "dbd-mysql";
    });
    systems = [ "dbd-mysql" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "cl-mysql" pkgs) ];
  };
  dbd-postgres = {
    pname = "dbd-postgres";
    version = "20211020-git";
    asds = [ "dbd-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbd-postgres";
      asd = "dbd-postgres";
    });
    systems = [ "dbd-postgres" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  dbd-sqlite3 = {
    pname = "dbd-sqlite3";
    version = "20211020-git";
    asds = [ "dbd-sqlite3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbd-sqlite3";
      asd = "dbd-sqlite3";
    });
    systems = [ "dbd-sqlite3" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "sqlite" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  dbi = {
    pname = "dbi";
    version = "20211020-git";
    asds = [ "dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbi";
      asd = "dbi";
    });
    systems = [ "dbi" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  dbi-test = {
    pname = "dbi-test";
    version = "20211020-git";
    asds = [ "dbi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbi-test";
      asd = "dbi-test";
    });
    systems = [ "dbi-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dbi" pkgs) (getAttr "rove" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  dbi_slash_test = {
    pname = "dbi_test";
    version = "20211020-git";
    asds = [ "dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2021-10-20/cl-dbi-20211020-git.tgz";
      sha256 = "0f8z7an8ssg8mdf9k781r4ygdppv798v6f08ibgpd8mv8a6491fg";
      system = "dbi";
      asd = "dbi";
    });
    systems = [ "dbi/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dbd-mysql" pkgs) (getAttr "dbd-postgres" pkgs) (getAttr "dbd-sqlite3" pkgs) (getAttr "dbi" pkgs) (getAttr "dbi-test" pkgs) (getAttr "closer-mop" pkgs) (getAttr "rove" pkgs) (getAttr "trivial-types" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dbus = {
    pname = "dbus";
    version = "20211020-git";
    asds = [ "dbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dbus/2021-10-20/dbus-20211020-git.tgz";
      sha256 = "1gw5414q7r6yi2bm1wk2fhqnvhxzc5c6812z3qh67c9dyizcjy2a";
      system = "dbus";
      asd = "dbus";
    });
    systems = [ "dbus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "babel" pkgs) (getAttr "cl-xmlspam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "iolib" pkgs) (getAttr "ironclad" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  dct = {
    pname = "dct";
    version = "20220331-git";
    asds = [ "dct" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dct/2022-03-31/cl-dct-20220331-git.tgz";
      sha256 = "1rzq4vdhvr454668a3xf56mha061d27ymsgawmxikgk86wi8biin";
      system = "dct";
      asd = "dct";
    });
    systems = [ "dct" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  dct-test = {
    pname = "dct-test";
    version = "20220331-git";
    asds = [ "dct-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dct/2022-03-31/cl-dct-20220331-git.tgz";
      sha256 = "1rzq4vdhvr454668a3xf56mha061d27ymsgawmxikgk86wi8biin";
      system = "dct-test";
      asd = "dct-test";
    });
    systems = [ "dct-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-coveralls" pkgs) (getAttr "dct" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  ddo = {
    pname = "ddo";
    version = "20210411-git";
    asds = [ "ddo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "ddo";
      asd = "ddo";
    });
    systems = [ "ddo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-mpi" pkgs) (getAttr "cl-mpi-extensions" pkgs) (getAttr "femlisp-basic" pkgs) (getAttr "femlisp-dictionary" pkgs) (getAttr "femlisp-parallel" pkgs) (getAttr "lfarm-admin" pkgs) (getAttr "lfarm-client" pkgs) (getAttr "lfarm-server" pkgs) (getAttr "trees" pkgs) (getAttr "uiop" pkgs) ];
  };
  de-mock-racy = {
    pname = "de-mock-racy";
    version = "20221106-git";
    asds = [ "de-mock-racy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/de-mock-racy/2022-11-06/de-mock-racy-20221106-git.tgz";
      sha256 = "02rkg1i5r8fgyhaipb0mkz543c8r81kqmwmmvywnnw8hpyvav2xb";
      system = "de-mock-racy";
      asd = "de-mock-racy";
    });
    systems = [ "de-mock-racy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  dealii-tutorial = {
    pname = "dealii-tutorial";
    version = "20210411-git";
    asds = [ "dealii-tutorial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "dealii-tutorial";
      asd = "dealii-tutorial";
    });
    systems = [ "dealii-tutorial" ];
    lispLibs = [ (getAttr "femlisp" pkgs) ];
  };
  decimals = {
    pname = "decimals";
    version = "20211209-git";
    asds = [ "decimals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-decimals/2021-12-09/cl-decimals-20211209-git.tgz";
      sha256 = "0wn5hq1pwd3wpjqqhpjzarcdk1q6416g8y447iaf55j5nbhlmbn6";
      system = "decimals";
      asd = "decimals";
    });
    systems = [ "decimals" ];
    lispLibs = [  ];
  };
  deeds = {
    pname = "deeds";
    version = "20200715-git";
    asds = [ "deeds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deeds/2020-07-15/deeds-20200715-git.tgz";
      sha256 = "062cnb2dwli6pw3zvv46jfxyxdzcbzwsck5pa6nw03qf1j1hyg3k";
      system = "deeds";
      asd = "deeds";
    });
    systems = [ "deeds" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "lambda-fiddle" pkgs) ];
  };
  defclass-std = {
    pname = "defclass-std";
    version = "20201220-git";
    asds = [ "defclass-std" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defclass-std/2020-12-20/defclass-std-20201220-git.tgz";
      sha256 = "1c0ymb49wd205lzxmnmsrpqyv0pn61snn2xvsbk5iis135r4fr18";
      system = "defclass-std";
      asd = "defclass-std";
    });
    systems = [ "defclass-std" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) ];
  };
  defclass-std-test = {
    pname = "defclass-std-test";
    version = "20201220-git";
    asds = [ "defclass-std-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defclass-std/2020-12-20/defclass-std-20201220-git.tgz";
      sha256 = "1c0ymb49wd205lzxmnmsrpqyv0pn61snn2xvsbk5iis135r4fr18";
      system = "defclass-std-test";
      asd = "defclass-std-test";
    });
    systems = [ "defclass-std-test" ];
    lispLibs = [ (getAttr "defclass-std" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  defconfig = {
    pname = "defconfig";
    version = "20211209-git";
    asds = [ "defconfig" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defconfig/2021-12-09/defconfig-20211209-git.tgz";
      sha256 = "1gvgni43fxknj800k2k7jhgayzqqqp3s321sw4qmsjxpv479hcqy";
      system = "defconfig";
      asd = "defconfig";
    });
    systems = [ "defconfig" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-cltl2" pkgs) ];
  };
  defconfig_slash_tests = {
    pname = "defconfig_tests";
    version = "20211209-git";
    asds = [ "defconfig" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defconfig/2021-12-09/defconfig-20211209-git.tgz";
      sha256 = "1gvgni43fxknj800k2k7jhgayzqqqp3s321sw4qmsjxpv479hcqy";
      system = "defconfig";
      asd = "defconfig";
    });
    systems = [ "defconfig/tests" ];
    lispLibs = [ (getAttr "defconfig" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  defenum = {
    pname = "defenum";
    version = "20211230-git";
    asds = [ "defenum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defenum/2021-12-30/defenum-20211230-git.tgz";
      sha256 = "1pya5xqr2y8zfsv7a6k0q3s6fhz7shx8b3fxll111jq56150ls98";
      system = "defenum";
      asd = "defenum";
    });
    systems = [ "defenum" ];
    lispLibs = [  ];
  };
  deferred = {
    pname = "deferred";
    version = "20190710-git";
    asds = [ "deferred" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deferred/2019-07-10/deferred-20190710-git.tgz";
      sha256 = "1pcbzvambkqacs4pcww7wc9g7jjv0x7a8iwbk2b16l8x0rc0izx5";
      system = "deferred";
      asd = "deferred";
    });
    systems = [ "deferred" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  define-json-expander = {
    pname = "define-json-expander";
    version = "20140713-git";
    asds = [ "define-json-expander" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/define-json-expander/2014-07-13/define-json-expander-20140713-git.tgz";
      sha256 = "193mhjcy1qnfd7r7zia3qs8p7gllvq6s0b2wcqmkh0y17aw8brkh";
      system = "define-json-expander";
      asd = "define-json-expander";
    });
    systems = [ "define-json-expander" ];
    lispLibs = [  ];
  };
  definer = {
    pname = "definer";
    version = "20211230-git";
    asds = [ "definer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definer/2021-12-30/definer-20211230-git.tgz";
      sha256 = "0wgg6c9la1asq7hpyacyi8l3fb80hnpscygsxsg0yjk2s2h5gsk7";
      system = "definer";
      asd = "definer";
    });
    systems = [ "definer" ];
    lispLibs = [  ];
  };
  definitions = {
    pname = "definitions";
    version = "20210531-git";
    asds = [ "definitions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions/2021-05-31/definitions-20210531-git.tgz";
      sha256 = "16dh9iy3v344xj4qllsp47007px3yx26fxxh9gh2cvs8dqgk3kch";
      system = "definitions";
      asd = "definitions";
    });
    systems = [ "definitions" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  definitions-systems = {
    pname = "definitions-systems";
    version = "2.0.1";
    asds = [ "definitions-systems" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions-systems/2021-04-11/definitions-systems_2.0.1.tgz";
      sha256 = "009392mj0qdq4jy0dw5r41schnygwj286759yvyg7xja30a0psfq";
      system = "definitions-systems";
      asd = "definitions-systems";
    });
    systems = [ "definitions-systems" ];
    lispLibs = [ (getAttr "canonicalized-initargs" pkgs) (getAttr "enhanced-defclass" pkgs) (getAttr "enhanced-find-class" pkgs) (getAttr "shared-preferences" pkgs) ];
  };
  definitions-systems_tests = {
    pname = "definitions-systems_tests";
    version = "2.0.1";
    asds = [ "definitions-systems_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions-systems/2021-04-11/definitions-systems_2.0.1.tgz";
      sha256 = "009392mj0qdq4jy0dw5r41schnygwj286759yvyg7xja30a0psfq";
      system = "definitions-systems_tests";
      asd = "definitions-systems_tests";
    });
    systems = [ "definitions-systems_tests" ];
    lispLibs = [ (getAttr "definitions-systems" pkgs) (getAttr "parachute" pkgs) ];
  };
  deflate = {
    pname = "deflate";
    version = "20200218-git";
    asds = [ "deflate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deflate/2020-02-18/deflate-20200218-git.tgz";
      sha256 = "1jpdjnxh6cw2d8hk70r2sxn92is52s9b855irvwkdd777fdciids";
      system = "deflate";
      asd = "deflate";
    });
    systems = [ "deflate" ];
    lispLibs = [  ];
  };
  deflazy = {
    pname = "deflazy";
    version = "20200427-git";
    asds = [ "deflazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "deflazy";
      asd = "deflazy";
    });
    systems = [ "deflazy" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "uncommon-lisp" pkgs) (getAttr "utility" pkgs) ];
  };
  defmain = {
    pname = "defmain";
    version = "20221106-git";
    asds = [ "defmain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmain/2022-11-06/defmain-20221106-git.tgz";
      sha256 = "08mmb0rgbipmjhmpvr1889n1665309pwsa16qsrsbmgnmmaznw6a";
      system = "defmain";
      asd = "defmain";
    });
    systems = [ "defmain" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "net_dot_didierverna_dot_clon_dot_core" pkgs) (getAttr "cl-inflector" pkgs) (getAttr "cl-strings" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "docs-config" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) (getAttr "uiop" pkgs) ];
  };
  defmain-test = {
    pname = "defmain-test";
    version = "20221106-git";
    asds = [ "defmain-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmain/2022-11-06/defmain-20221106-git.tgz";
      sha256 = "08mmb0rgbipmjhmpvr1889n1665309pwsa16qsrsbmgnmmaznw6a";
      system = "defmain-test";
      asd = "defmain-test";
    });
    systems = [ "defmain-test" ];
    lispLibs = [ (getAttr "hamcrest" pkgs) (getAttr "defmain" pkgs) (getAttr "rove" pkgs) ];
  };
  defmemo = {
    pname = "defmemo";
    version = "20120407-git";
    asds = [ "defmemo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmemo/2012-04-07/defmemo-20120407-git.tgz";
      sha256 = "0rkvnjfb6fajzfzislz6z372bqpkj6wfbf0sxmzhhigni4wnil27";
      system = "defmemo";
      asd = "defmemo";
    });
    systems = [ "defmemo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  defmemo-test = {
    pname = "defmemo-test";
    version = "20120407-git";
    asds = [ "defmemo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmemo/2012-04-07/defmemo-20120407-git.tgz";
      sha256 = "0rkvnjfb6fajzfzislz6z372bqpkj6wfbf0sxmzhhigni4wnil27";
      system = "defmemo-test";
      asd = "defmemo";
    });
    systems = [ "defmemo-test" ];
    lispLibs = [ (getAttr "defmemo" pkgs) ];
  };
  defpackage-plus = {
    pname = "defpackage-plus";
    version = "20180131-git";
    asds = [ "defpackage-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defpackage-plus/2018-01-31/defpackage-plus-20180131-git.tgz";
      sha256 = "0lzljvf343xb6mlh6lni2i27hpm5qd376522mk6hr2pa20vd6rdq";
      system = "defpackage-plus";
      asd = "defpackage-plus";
    });
    systems = [ "defpackage-plus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  defrec = {
    pname = "defrec";
    version = "20190307-hg";
    asds = [ "defrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrec/2019-03-07/defrec-20190307-hg.tgz";
      sha256 = "1hk70y79wpdp16586yl550xh0zmybxhr25x2y2d9in65ghaz6fk0";
      system = "defrec";
      asd = "defrec";
    });
    systems = [ "defrec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  defrest = {
    pname = "defrest";
    version = "20210531-git";
    asds = [ "defrest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrest/2021-05-31/defrest-20210531-git.tgz";
      sha256 = "14pap344a0549mb7p79jf87ibfxmymk0hf9i7galcfi4s8nqq45g";
      system = "defrest";
      asd = "defrest";
    });
    systems = [ "defrest" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  defrest_dot_test = {
    pname = "defrest.test";
    version = "20210531-git";
    asds = [ "defrest.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrest/2021-05-31/defrest-20210531-git.tgz";
      sha256 = "14pap344a0549mb7p79jf87ibfxmymk0hf9i7galcfi4s8nqq45g";
      system = "defrest.test";
      asd = "defrest";
    });
    systems = [ "defrest.test" ];
    lispLibs = [ (getAttr "defrest" pkgs) (getAttr "drakma" pkgs) (getAttr "fiveam" pkgs) ];
  };
  defstar = {
    pname = "defstar";
    version = "20140713-git";
    asds = [ "defstar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defstar/2014-07-13/defstar-20140713-git.tgz";
      sha256 = "0n6m3aqvdfnsrhlhqjcy72d1i55lbkjg13ij5c7vw003p1n78wxi";
      system = "defstar";
      asd = "defstar";
    });
    systems = [ "defstar" ];
    lispLibs = [  ];
  };
  defsystem-compatibility = {
    pname = "defsystem-compatibility";
    version = "20101006-darcs";
    asds = [ "defsystem-compatibility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defsystem-compatibility/2010-10-06/defsystem-compatibility-20101006-darcs.tgz";
      sha256 = "0bw0c69zyika19rvzl8xplwrqsgznhnlbj40fcszfw0vxh2czj0f";
      system = "defsystem-compatibility";
      asd = "defsystem-compatibility";
    });
    systems = [ "defsystem-compatibility" ];
    lispLibs = [ (getAttr "metatilities-base" pkgs) ];
  };
  defsystem-compatibility-test = {
    pname = "defsystem-compatibility-test";
    version = "20101006-darcs";
    asds = [ "defsystem-compatibility-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defsystem-compatibility/2010-10-06/defsystem-compatibility-20101006-darcs.tgz";
      sha256 = "0bw0c69zyika19rvzl8xplwrqsgznhnlbj40fcszfw0vxh2czj0f";
      system = "defsystem-compatibility-test";
      asd = "defsystem-compatibility-test";
    });
    systems = [ "defsystem-compatibility-test" ];
    lispLibs = [ (getAttr "defsystem-compatibility" pkgs) (getAttr "lift" pkgs) ];
  };
  defvariant = {
    pname = "defvariant";
    version = "20140713-git";
    asds = [ "defvariant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defvariant/2014-07-13/defvariant-20140713-git.tgz";
      sha256 = "0rma557l2irjyzrswcd7329iic2pjxw0jgk3m2inag39l6wyqsr1";
      system = "defvariant";
      asd = "defvariant";
    });
    systems = [ "defvariant" ];
    lispLibs = [  ];
  };
  delorean = {
    pname = "delorean";
    version = "20130615-git";
    asds = [ "delorean" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delorean/2013-06-15/delorean-20130615-git.tgz";
      sha256 = "0q11wqdlvis91i996mar72icw07yf7mwmsnlmsbsya9kaqj7n3cd";
      system = "delorean";
      asd = "delorean";
    });
    systems = [ "delorean" ];
    lispLibs = [ (getAttr "local-time" pkgs) ];
  };
  delorean-test = {
    pname = "delorean-test";
    version = "20130615-git";
    asds = [ "delorean-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delorean/2013-06-15/delorean-20130615-git.tgz";
      sha256 = "0q11wqdlvis91i996mar72icw07yf7mwmsnlmsbsya9kaqj7n3cd";
      system = "delorean-test";
      asd = "delorean";
    });
    systems = [ "delorean-test" ];
    lispLibs = [ (getAttr "delorean" pkgs) (getAttr "fiveam" pkgs) ];
  };
  delta-debug = {
    pname = "delta-debug";
    version = "20180831-git";
    asds = [ "delta-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delta-debug/2018-08-31/delta-debug-20180831-git.tgz";
      sha256 = "0dm33v8ipkpr23mjb9s6z2c7gmxwjbd5khc7c1vangba18nzm7ir";
      system = "delta-debug";
      asd = "delta-debug";
    });
    systems = [ "delta-debug" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  delta-debug_slash_delta = {
    pname = "delta-debug_delta";
    version = "20180831-git";
    asds = [ "delta-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delta-debug/2018-08-31/delta-debug-20180831-git.tgz";
      sha256 = "0dm33v8ipkpr23mjb9s6z2c7gmxwjbd5khc7c1vangba18nzm7ir";
      system = "delta-debug";
      asd = "delta-debug";
    });
    systems = [ "delta-debug/delta" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "delta-debug" pkgs) (getAttr "diff" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-shell" pkgs) ];
    meta = {
      broken = true;
    };
  };
  delta-debug_slash_test = {
    pname = "delta-debug_test";
    version = "20180831-git";
    asds = [ "delta-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delta-debug/2018-08-31/delta-debug-20180831-git.tgz";
      sha256 = "0dm33v8ipkpr23mjb9s6z2c7gmxwjbd5khc7c1vangba18nzm7ir";
      system = "delta-debug";
      asd = "delta-debug";
    });
    systems = [ "delta-debug/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "delta-debug" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dendrite = {
    pname = "dendrite";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite";
      asd = "dendrite";
    });
    systems = [ "dendrite" ];
    lispLibs = [ (getAttr "dendrite_dot_micro-l-system" pkgs) (getAttr "dendrite_dot_primitives" pkgs) ];
  };
  dendrite_dot_micro-l-system = {
    pname = "dendrite.micro-l-system";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite.micro-l-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite.micro-l-system";
      asd = "dendrite.micro-l-system";
    });
    systems = [ "dendrite.micro-l-system" ];
    lispLibs = [  ];
  };
  dendrite_dot_primitives = {
    pname = "dendrite.primitives";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite.primitives" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite.primitives";
      asd = "dendrite.primitives";
    });
    systems = [ "dendrite.primitives" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "rtg-math" pkgs) ];
  };
  dense-arrays = {
    pname = "dense-arrays";
    version = "20221106-git";
    asds = [ "dense-arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays";
      asd = "dense-arrays";
    });
    systems = [ "dense-arrays" ];
    lispLibs = [ (getAttr "abstract-arrays" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "closer-mop" pkgs) (getAttr "compiler-macro-notes" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) (getAttr "polymorphic-functions" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) ];
  };
  dense-arrays_plus_cuda = {
    pname = "dense-arrays+cuda";
    version = "20221106-git";
    asds = [ "dense-arrays+cuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays+cuda";
      asd = "dense-arrays+cuda";
    });
    systems = [ "dense-arrays+cuda" ];
    lispLibs = [ (getAttr "cl-cuda" pkgs) (getAttr "dense-arrays" pkgs) ];
  };
  dense-arrays_plus_magicl = {
    pname = "dense-arrays+magicl";
    version = "20221106-git";
    asds = [ "dense-arrays+magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays+magicl";
      asd = "dense-arrays+magicl";
    });
    systems = [ "dense-arrays+magicl" ];
    lispLibs = [ (getAttr "dense-arrays" pkgs) (getAttr "magicl" pkgs) ];
  };
  dense-arrays_plus_static-vectors = {
    pname = "dense-arrays+static-vectors";
    version = "20221106-git";
    asds = [ "dense-arrays+static-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays+static-vectors";
      asd = "dense-arrays+static-vectors";
    });
    systems = [ "dense-arrays+static-vectors" ];
    lispLibs = [ (getAttr "dense-arrays" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  dense-arrays-plus = {
    pname = "dense-arrays-plus";
    version = "20221106-git";
    asds = [ "dense-arrays-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays-plus";
      asd = "dense-arrays-plus";
    });
    systems = [ "dense-arrays-plus" ];
    lispLibs = [ (getAttr "dense-arrays_plus_static-vectors" pkgs) (getAttr "dense-arrays-plus-lite" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-cl" pkgs) (getAttr "py4cl2" pkgs) (getAttr "reader" pkgs) ];
  };
  dense-arrays-plus-lite = {
    pname = "dense-arrays-plus-lite";
    version = "20221106-git";
    asds = [ "dense-arrays-plus-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2022-11-06/dense-arrays-20221106-git.tgz";
      sha256 = "1601pv6ml5hljax3w5s480avrb4vrmzm8z2853kfd41mpzgk9nri";
      system = "dense-arrays-plus-lite";
      asd = "dense-arrays-plus-lite";
    });
    systems = [ "dense-arrays-plus-lite" ];
    lispLibs = [ (getAttr "dense-arrays" pkgs) (getAttr "trivial-coerce" pkgs) (getAttr "uiop" pkgs) ];
  };
  dense-numericals = {
    pname = "dense-numericals";
    version = "2022.09.0";
    asds = [ "dense-numericals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numericals/2022-11-06/numericals-2022.09.0.tgz";
      sha256 = "0hfyd045yq7pr4sh9xgqag67yrvnfia1h8ycnxss244zrziabyci";
      system = "dense-numericals";
      asd = "dense-numericals";
    });
    systems = [ "dense-numericals" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "bmas" pkgs) (getAttr "dense-arrays_plus_static-vectors" pkgs) (getAttr "dense-arrays-plus-lite" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) (getAttr "lparallel" pkgs) (getAttr "magicl" pkgs) (getAttr "numericals_dot_common" pkgs) (getAttr "policy-cond" pkgs) (getAttr "polymorphic-functions" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-coerce" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "uiop" pkgs) ];
  };
  deoxybyte-gzip = {
    pname = "deoxybyte-gzip";
    version = "20140113-git";
    asds = [ "deoxybyte-gzip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-gzip/2014-01-13/deoxybyte-gzip-20140113-git.tgz";
      sha256 = "0ccci902nxqhdlskw3pghcjg0vgl10xlh16cb5b631j3n2ajfa16";
      system = "deoxybyte-gzip";
      asd = "deoxybyte-gzip";
    });
    systems = [ "deoxybyte-gzip" ];
    lispLibs = [ (getAttr "deoxybyte-io" pkgs) (getAttr "deoxybyte-systems" pkgs) (getAttr "deoxybyte-unix" pkgs) ];
  };
  deoxybyte-gzip-test = {
    pname = "deoxybyte-gzip-test";
    version = "20140113-git";
    asds = [ "deoxybyte-gzip-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-gzip/2014-01-13/deoxybyte-gzip-20140113-git.tgz";
      sha256 = "0ccci902nxqhdlskw3pghcjg0vgl10xlh16cb5b631j3n2ajfa16";
      system = "deoxybyte-gzip-test";
      asd = "deoxybyte-gzip-test";
    });
    systems = [ "deoxybyte-gzip-test" ];
    lispLibs = [ (getAttr "deoxybyte-gzip" pkgs) (getAttr "lift" pkgs) ];
  };
  deoxybyte-io = {
    pname = "deoxybyte-io";
    version = "20140113-git";
    asds = [ "deoxybyte-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-io/2014-01-13/deoxybyte-io-20140113-git.tgz";
      sha256 = "0pjx96g50yqhdk0l1y970hc22fc1bl8ppyklhp62l41b4fb7hbbv";
      system = "deoxybyte-io";
      asd = "deoxybyte-io";
    });
    systems = [ "deoxybyte-io" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "deoxybyte-systems" pkgs) (getAttr "deoxybyte-utilities" pkgs) (getAttr "getopt" pkgs) ];
  };
  deoxybyte-io-test = {
    pname = "deoxybyte-io-test";
    version = "20140113-git";
    asds = [ "deoxybyte-io-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-io/2014-01-13/deoxybyte-io-20140113-git.tgz";
      sha256 = "0pjx96g50yqhdk0l1y970hc22fc1bl8ppyklhp62l41b4fb7hbbv";
      system = "deoxybyte-io-test";
      asd = "deoxybyte-io-test";
    });
    systems = [ "deoxybyte-io-test" ];
    lispLibs = [ (getAttr "deoxybyte-io" pkgs) (getAttr "lift" pkgs) ];
  };
  deoxybyte-systems = {
    pname = "deoxybyte-systems";
    version = "20140113-git";
    asds = [ "deoxybyte-systems" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-systems/2014-01-13/deoxybyte-systems-20140113-git.tgz";
      sha256 = "0sbzl0ngz85mvkghcy8y94hk34v5hvi41b111mb76f2jvdq9jjr8";
      system = "deoxybyte-systems";
      asd = "deoxybyte-systems";
    });
    systems = [ "deoxybyte-systems" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) ];
  };
  deoxybyte-unix = {
    pname = "deoxybyte-unix";
    version = "20140113-git";
    asds = [ "deoxybyte-unix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-unix/2014-01-13/deoxybyte-unix-20140113-git.tgz";
      sha256 = "016lgb8vcnn7qwhndan1d61wbb10xmsczqp7h2kkfnhlvkr484qf";
      system = "deoxybyte-unix";
      asd = "deoxybyte-unix";
    });
    systems = [ "deoxybyte-unix" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "deoxybyte-io" pkgs) (getAttr "deoxybyte-systems" pkgs) ];
  };
  deoxybyte-unix-test = {
    pname = "deoxybyte-unix-test";
    version = "20140113-git";
    asds = [ "deoxybyte-unix-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-unix/2014-01-13/deoxybyte-unix-20140113-git.tgz";
      sha256 = "016lgb8vcnn7qwhndan1d61wbb10xmsczqp7h2kkfnhlvkr484qf";
      system = "deoxybyte-unix-test";
      asd = "deoxybyte-unix-test";
    });
    systems = [ "deoxybyte-unix-test" ];
    lispLibs = [ (getAttr "deoxybyte-unix" pkgs) (getAttr "lift" pkgs) ];
  };
  deoxybyte-utilities = {
    pname = "deoxybyte-utilities";
    version = "20140113-git";
    asds = [ "deoxybyte-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-utilities/2014-01-13/deoxybyte-utilities-20140113-git.tgz";
      sha256 = "054mvn27d9xdsal87avyxzphgv6pk96a0c1icpkldqczlmzl9j0g";
      system = "deoxybyte-utilities";
      asd = "deoxybyte-utilities";
    });
    systems = [ "deoxybyte-utilities" ];
    lispLibs = [ (getAttr "deoxybyte-systems" pkgs) ];
  };
  deoxybyte-utilities-test = {
    pname = "deoxybyte-utilities-test";
    version = "20140113-git";
    asds = [ "deoxybyte-utilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-utilities/2014-01-13/deoxybyte-utilities-20140113-git.tgz";
      sha256 = "054mvn27d9xdsal87avyxzphgv6pk96a0c1icpkldqczlmzl9j0g";
      system = "deoxybyte-utilities-test";
      asd = "deoxybyte-utilities-test";
    });
    systems = [ "deoxybyte-utilities-test" ];
    lispLibs = [ (getAttr "deoxybyte-utilities" pkgs) (getAttr "lift" pkgs) ];
  };
  deploy = {
    pname = "deploy";
    version = "20220707-git";
    asds = [ "deploy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deploy/2022-07-07/deploy-20220707-git.tgz";
      sha256 = "0d5bf92pkm33m9l3hhyqingr0dmjc7603wjpjgjibm4k53pg84mb";
      system = "deploy";
      asd = "deploy";
    });
    systems = [ "deploy" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  deploy-test = {
    pname = "deploy-test";
    version = "20220707-git";
    asds = [ "deploy-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deploy/2022-07-07/deploy-20220707-git.tgz";
      sha256 = "0d5bf92pkm33m9l3hhyqingr0dmjc7603wjpjgjibm4k53pg84mb";
      system = "deploy-test";
      asd = "deploy-test";
    });
    systems = [ "deploy-test" ];
    lispLibs = [ (getAttr "cl-mpg123" pkgs) (getAttr "cl-out123" pkgs) (getAttr "deploy" pkgs) ];
  };
  depot = {
    pname = "depot";
    version = "20221106-git";
    asds = [ "depot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2022-11-06/depot-20221106-git.tgz";
      sha256 = "09q1zd74xyc86gl3l4slfv84xld9cq8i4r7n4wpzs674qvzsadbb";
      system = "depot";
      asd = "depot";
    });
    systems = [ "depot" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  depot-in-memory = {
    pname = "depot-in-memory";
    version = "20221106-git";
    asds = [ "depot-in-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2022-11-06/depot-20221106-git.tgz";
      sha256 = "09q1zd74xyc86gl3l4slfv84xld9cq8i4r7n4wpzs674qvzsadbb";
      system = "depot-in-memory";
      asd = "depot-in-memory";
    });
    systems = [ "depot-in-memory" ];
    lispLibs = [ (getAttr "atomics" pkgs) (getAttr "depot" pkgs) ];
  };
  depot-test = {
    pname = "depot-test";
    version = "20221106-git";
    asds = [ "depot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2022-11-06/depot-20221106-git.tgz";
      sha256 = "09q1zd74xyc86gl3l4slfv84xld9cq8i4r7n4wpzs674qvzsadbb";
      system = "depot-test";
      asd = "depot-test";
    });
    systems = [ "depot-test" ];
    lispLibs = [ (getAttr "depot" pkgs) (getAttr "depot-in-memory" pkgs) (getAttr "depot-zip" pkgs) (getAttr "parachute" pkgs) ];
  };
  depot-virtual = {
    pname = "depot-virtual";
    version = "20221106-git";
    asds = [ "depot-virtual" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2022-11-06/depot-20221106-git.tgz";
      sha256 = "09q1zd74xyc86gl3l4slfv84xld9cq8i4r7n4wpzs674qvzsadbb";
      system = "depot-virtual";
      asd = "depot-virtual";
    });
    systems = [ "depot-virtual" ];
    lispLibs = [ (getAttr "depot" pkgs) ];
  };
  depot-zip = {
    pname = "depot-zip";
    version = "20221106-git";
    asds = [ "depot-zip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2022-11-06/depot-20221106-git.tgz";
      sha256 = "09q1zd74xyc86gl3l4slfv84xld9cq8i4r7n4wpzs674qvzsadbb";
      system = "depot-zip";
      asd = "depot-zip";
    });
    systems = [ "depot-zip" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "depot" pkgs) (getAttr "zippy" pkgs) ];
  };
  descriptions = {
    pname = "descriptions";
    version = "20150302-git";
    asds = [ "descriptions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions";
      asd = "descriptions";
    });
    systems = [ "descriptions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "closer-mop" pkgs) (getAttr "sheeple" pkgs) ];
  };
  descriptions-test = {
    pname = "descriptions-test";
    version = "20150302-git";
    asds = [ "descriptions-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions-test";
      asd = "descriptions-test";
    });
    systems = [ "descriptions-test" ];
    lispLibs = [ (getAttr "descriptions" pkgs) (getAttr "descriptions_dot_serialization" pkgs) (getAttr "descriptions_dot_validation" pkgs) (getAttr "stefil" pkgs) ];
  };
  descriptions_dot_serialization = {
    pname = "descriptions.serialization";
    version = "20150302-git";
    asds = [ "descriptions.serialization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions.serialization";
      asd = "descriptions.serialization";
    });
    systems = [ "descriptions.serialization" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "descriptions" pkgs) ];
  };
  descriptions_dot_validation = {
    pname = "descriptions.validation";
    version = "20150302-git";
    asds = [ "descriptions.validation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions.validation";
      asd = "descriptions.validation";
    });
    systems = [ "descriptions.validation" ];
    lispLibs = [ (getAttr "clavier" pkgs) (getAttr "descriptions" pkgs) ];
  };
  destructuring-bind-star = {
    pname = "destructuring-bind-star";
    version = "20200610-git";
    asds = [ "destructuring-bind-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/destructuring-bind-star/2020-06-10/destructuring-bind-star-20200610-git.tgz";
      sha256 = "1j1xnhvb6pm9q291aawbrcwp8bgbmiij9a53gifxhr4kp934ciz2";
      system = "destructuring-bind-star";
      asd = "destructuring-bind-star";
    });
    systems = [ "destructuring-bind-star" ];
    lispLibs = [  ];
  };
  destructuring-bind-star_slash_test = {
    pname = "destructuring-bind-star_test";
    version = "20200610-git";
    asds = [ "destructuring-bind-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/destructuring-bind-star/2020-06-10/destructuring-bind-star-20200610-git.tgz";
      sha256 = "1j1xnhvb6pm9q291aawbrcwp8bgbmiij9a53gifxhr4kp934ciz2";
      system = "destructuring-bind-star";
      asd = "destructuring-bind-star";
    });
    systems = [ "destructuring-bind-star/test" ];
    lispLibs = [ (getAttr "destructuring-bind-star" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dexador = {
    pname = "dexador";
    version = "20221106-git";
    asds = [ "dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dexador/2022-11-06/dexador-20221106-git.tgz";
      sha256 = "1kz1k122zgxzsvvdv467ydgggw2k16b6b3krv0gjrf6hc8v8qby9";
      system = "dexador";
      asd = "dexador";
    });
    systems = [ "dexador" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "chipz" pkgs) (getAttr "chunga" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-cookie" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  dexador-test = {
    pname = "dexador-test";
    version = "20221106-git";
    asds = [ "dexador-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dexador/2022-11-06/dexador-20221106-git.tgz";
      sha256 = "1kz1k122zgxzsvvdv467ydgggw2k16b6b3krv0gjrf6hc8v8qby9";
      system = "dexador-test";
      asd = "dexador-test";
    });
    systems = [ "dexador-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-cookie" pkgs) (getAttr "clack-test" pkgs) (getAttr "dexador" pkgs) (getAttr "lack-request" pkgs) (getAttr "rove" pkgs) ];
  };
  dfio = {
    pname = "dfio";
    version = "20221106-git";
    asds = [ "dfio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dfio/2022-11-06/dfio-20221106-git.tgz";
      sha256 = "1p53r7773939jnap518xp4b4wfvc1kbrz9jp6yd40xq0jpf9pbqg";
      system = "dfio";
      asd = "dfio";
    });
    systems = [ "dfio" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "data-frame" pkgs) (getAttr "dexador" pkgs) (getAttr "fare-csv" pkgs) (getAttr "let-plus" pkgs) ];
  };
  dfio_slash_tests = {
    pname = "dfio_tests";
    version = "20221106-git";
    asds = [ "dfio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dfio/2022-11-06/dfio-20221106-git.tgz";
      sha256 = "1p53r7773939jnap518xp4b4wfvc1kbrz9jp6yd40xq0jpf9pbqg";
      system = "dfio";
      asd = "dfio";
    });
    systems = [ "dfio/tests" ];
    lispLibs = [ (getAttr "clunit2" pkgs) (getAttr "dfio" pkgs) ];
    meta = {
      broken = true;
    };
  };
  diff = {
    pname = "diff";
    version = "20130813-git";
    asds = [ "diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/diff/2013-08-13/diff-20130813-git.tgz";
      sha256 = "1giafck8qfvb688kx5bn9g32rfc12jjywg8vdav36aqbd6lxf5z5";
      system = "diff";
      asd = "diff";
    });
    systems = [ "diff" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  diff-match-patch = {
    pname = "diff-match-patch";
    version = "20210531-git";
    asds = [ "diff-match-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/diff-match-patch/2021-05-31/diff-match-patch-20210531-git.tgz";
      sha256 = "0wxz2q9sd2v8fg521f7bzv6wi3za7saz2j2snsnw2p1kcsj6zqa4";
      system = "diff-match-patch";
      asd = "diff-match-patch";
    });
    systems = [ "diff-match-patch" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) ];
  };
  diff-match-patch_slash_test = {
    pname = "diff-match-patch_test";
    version = "20210531-git";
    asds = [ "diff-match-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/diff-match-patch/2021-05-31/diff-match-patch-20210531-git.tgz";
      sha256 = "0wxz2q9sd2v8fg521f7bzv6wi3za7saz2j2snsnw2p1kcsj6zqa4";
      system = "diff-match-patch";
      asd = "diff-match-patch";
    });
    systems = [ "diff-match-patch/test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "diff-match-patch" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dirt = {
    pname = "dirt";
    version = "release-quicklisp-0d13ebc2-git";
    asds = [ "dirt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dirt/2017-10-19/dirt-release-quicklisp-0d13ebc2-git.tgz";
      sha256 = "1lqxfdzn9rh7rzsq97d4hp6fl4g9fs6s0n2pvf460d6ri6p40xna";
      system = "dirt";
      asd = "dirt";
    });
    systems = [ "dirt" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "cl-soil" pkgs) ];
  };
  dispatch = {
    pname = "dispatch";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "dispatch";
      asd = "dispatch";
    });
    systems = [ "dispatch" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "adjuvant" pkgs) ];
  };
  dispatch-test = {
    pname = "dispatch-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "dispatch-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "dispatch-test";
      asd = "dispatch-test";
    });
    systems = [ "dispatch-test" ];
    lispLibs = [ (getAttr "dispatch" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  disposable = {
    pname = "disposable";
    version = "20160208-git";
    asds = [ "disposable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/disposable/2016-02-08/disposable-20160208-git.tgz";
      sha256 = "18synnlg4b8203rgww644dj7ghb4m1j33lb4zm64850vqy5b3pz7";
      system = "disposable";
      asd = "disposable";
    });
    systems = [ "disposable" ];
    lispLibs = [  ];
  };
  dissect = {
    pname = "dissect";
    version = "20221106-git";
    asds = [ "dissect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dissect/2022-11-06/dissect-20221106-git.tgz";
      sha256 = "10daj37ivvkcghlhl3c4nlg6rf8y968b0zy5qa2fmk8iqd7l67d7";
      system = "dissect";
      asd = "dissect";
    });
    systems = [ "dissect" ];
    lispLibs = [  ];
  };
  distributions = {
    pname = "distributions";
    version = "20221106-git";
    asds = [ "distributions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/distributions/2022-11-06/distributions-20221106-git.tgz";
      sha256 = "1fkzigd0s0s0mvszgmv04yc8jp9gm4812445hfh6kpz6cjy5zpsk";
      system = "distributions";
      asd = "distributions";
    });
    systems = [ "distributions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "cephes" pkgs) (getAttr "float-features" pkgs) (getAttr "let-plus" pkgs) (getAttr "num-utils" pkgs) (getAttr "special-functions" pkgs) ];
  };
  djula = {
    pname = "djula";
    version = "20220707-git";
    asds = [ "djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2022-07-07/djula-20220707-git.tgz";
      sha256 = "1qqp8gmhjps2q7mdyiac6isw0hhz1rk7fx2w6imkrvbw860md2r6";
      system = "djula";
      asd = "djula";
    });
    systems = [ "djula" ];
    lispLibs = [ (getAttr "access" pkgs) (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-locale" pkgs) (getAttr "parser-combinators" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-slice" pkgs) (getAttr "closer-mop" pkgs) (getAttr "gettext" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  djula-demo = {
    pname = "djula-demo";
    version = "20220707-git";
    asds = [ "djula-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2022-07-07/djula-20220707-git.tgz";
      sha256 = "1qqp8gmhjps2q7mdyiac6isw0hhz1rk7fx2w6imkrvbw860md2r6";
      system = "djula-demo";
      asd = "djula-demo";
    });
    systems = [ "djula-demo" ];
    lispLibs = [ (getAttr "djula" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  djula-test = {
    pname = "djula-test";
    version = "20220707-git";
    asds = [ "djula-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2022-07-07/djula-20220707-git.tgz";
      sha256 = "1qqp8gmhjps2q7mdyiac6isw0hhz1rk7fx2w6imkrvbw860md2r6";
      system = "djula-test";
      asd = "djula-test";
    });
    systems = [ "djula-test" ];
    lispLibs = [ (getAttr "djula" pkgs) (getAttr "fiveam" pkgs) ];
  };
  dlist = {
    pname = "dlist";
    version = "20121125-git";
    asds = [ "dlist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dlist/2012-11-25/dlist-20121125-git.tgz";
      sha256 = "1ycgjmbxpj0bj95xg0x7m30yz8y73s7mnqs0dzam00rkf8g00h89";
      system = "dlist";
      asd = "dlist";
    });
    systems = [ "dlist" ];
    lispLibs = [  ];
  };
  dlist-test = {
    pname = "dlist-test";
    version = "20121125-git";
    asds = [ "dlist-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dlist/2012-11-25/dlist-20121125-git.tgz";
      sha256 = "1ycgjmbxpj0bj95xg0x7m30yz8y73s7mnqs0dzam00rkf8g00h89";
      system = "dlist-test";
      asd = "dlist";
    });
    systems = [ "dlist-test" ];
    lispLibs = [ (getAttr "dlist" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  dml = {
    pname = "dml";
    version = "20181018-git";
    asds = [ "dml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dml/2018-10-18/dml-20181018-git.tgz";
      sha256 = "0bah55srq9n743szcnsq2szhy69ckmwk3gx6xm3g3f6i0hj5gz1r";
      system = "dml";
      asd = "dml";
    });
    systems = [ "dml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-cairo2" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "donuts" pkgs) ];
  };
  dns-client = {
    pname = "dns-client";
    version = "20211020-git";
    asds = [ "dns-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dns-client/2021-10-20/dns-client-20211020-git.tgz";
      sha256 = "1b6g2wvydwmv1k68favjyq4gfalfxfyl5i0hyh640wdaz2rfvi4n";
      system = "dns-client";
      asd = "dns-client";
    });
    systems = [ "dns-client" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "usocket" pkgs) ];
  };
  do-urlencode = {
    pname = "do-urlencode";
    version = "20181018-git";
    asds = [ "do-urlencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/do-urlencode/2018-10-18/do-urlencode-20181018-git.tgz";
      sha256 = "0k2i3d4k9cpci235mwfm0c5a4yqfkijr716bjv7cdlpzx88lazm9";
      system = "do-urlencode";
      asd = "do-urlencode";
    });
    systems = [ "do-urlencode" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) ];
  };
  docbrowser = {
    pname = "docbrowser";
    version = "20200610-git";
    asds = [ "docbrowser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docbrowser/2020-06-10/docbrowser-20200610-git.tgz";
      sha256 = "0k7gkyciqfbwdmvip2s8h4k21a63h45bj3qydq3jbvkhaq4gj9x1";
      system = "docbrowser";
      asd = "docbrowser";
    });
    systems = [ "docbrowser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-json" pkgs) (getAttr "yacc" pkgs) (getAttr "closer-mop" pkgs) (getAttr "colorize" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "parse-number" pkgs) (getAttr "swank" pkgs) (getAttr "split-sequence" pkgs) (getAttr "string-case" pkgs) ];
  };
  docparser = {
    pname = "docparser";
    version = "20221106-git";
    asds = [ "docparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2022-11-06/docparser-20221106-git.tgz";
      sha256 = "0b8ipv14h8f46kf6hqmcgp3yxry9xww7957iwkzq8n1i0biq74y1";
      system = "docparser";
      asd = "docparser";
    });
    systems = [ "docparser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cffi" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  docparser-test = {
    pname = "docparser-test";
    version = "20221106-git";
    asds = [ "docparser-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2022-11-06/docparser-20221106-git.tgz";
      sha256 = "0b8ipv14h8f46kf6hqmcgp3yxry9xww7957iwkzq8n1i0biq74y1";
      system = "docparser-test";
      asd = "docparser-test";
    });
    systems = [ "docparser-test" ];
    lispLibs = [ (getAttr "docparser" pkgs) (getAttr "docparser-test-system" pkgs) (getAttr "fiveam" pkgs) ];
  };
  docparser-test-system = {
    pname = "docparser-test-system";
    version = "20221106-git";
    asds = [ "docparser-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2022-11-06/docparser-20221106-git.tgz";
      sha256 = "0b8ipv14h8f46kf6hqmcgp3yxry9xww7957iwkzq8n1i0biq74y1";
      system = "docparser-test-system";
      asd = "docparser-test-system";
    });
    systems = [ "docparser-test-system" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  docs-builder = {
    pname = "docs-builder";
    version = "20221106-git";
    asds = [ "docs-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docs-builder/2022-11-06/docs-builder-20221106-git.tgz";
      sha256 = "1xqhknz74a43sk0cax7m7h5bzax6yriqczyvpzx2z3nbhq8knr9k";
      system = "docs-builder";
      asd = "docs-builder";
    });
    systems = [ "docs-builder" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "docs-config" pkgs) (getAttr "log4cl" pkgs) (getAttr "uiop" pkgs) ];
  };
  docs-config = {
    pname = "docs-config";
    version = "20221106-git";
    asds = [ "docs-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docs-builder/2022-11-06/docs-builder-20221106-git.tgz";
      sha256 = "1xqhknz74a43sk0cax7m7h5bzax6yriqczyvpzx2z3nbhq8knr9k";
      system = "docs-config";
      asd = "docs-config";
    });
    systems = [ "docs-config" ];
    lispLibs = [  ];
  };
  documentation-template = {
    pname = "documentation-template";
    version = "0.4.4";
    asds = [ "documentation-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-template/2014-12-17/documentation-template-0.4.4.tgz";
      sha256 = "0pfcg38ws0syhg2l15nwslfyj175dq1dvjip64nx02knw26zj56y";
      system = "documentation-template";
      asd = "documentation-template";
    });
    systems = [ "documentation-template" ];
    lispLibs = [ (getAttr "cl-who" pkgs) ];
  };
  documentation-utils = {
    pname = "documentation-utils";
    version = "20190710-git";
    asds = [ "documentation-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils/2019-07-10/documentation-utils-20190710-git.tgz";
      sha256 = "098qhkqskmmrh4wix34mawf7p5c87yql28r51r75yjxj577k5idq";
      system = "documentation-utils";
      asd = "documentation-utils";
    });
    systems = [ "documentation-utils" ];
    lispLibs = [ (getAttr "trivial-indent" pkgs) ];
  };
  documentation-utils-extensions = {
    pname = "documentation-utils-extensions";
    version = "20220707-git";
    asds = [ "documentation-utils-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils-extensions/2022-07-07/documentation-utils-extensions-20220707-git.tgz";
      sha256 = "1bv8y1hbn6fivvsanaci19k47vfdchj3argz92az3izmar9ybp4f";
      system = "documentation-utils-extensions";
      asd = "documentation-utils-extensions";
    });
    systems = [ "documentation-utils-extensions" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  docutils = {
    pname = "docutils";
    version = "20130128-git";
    asds = [ "docutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-docutils/2013-01-28/cl-docutils-20130128-git.tgz";
      sha256 = "132bxlj0jlhiabi29mygmkcbbgyb5s1yz1xdfhm3pgrf9f8605gg";
      system = "docutils";
      asd = "docutils";
    });
    systems = [ "docutils" ];
    lispLibs = [ (getAttr "data-format-validation" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  dom = {
    pname = "dom";
    version = "master-1a957fb2-git";
    asds = [ "dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "dom";
      asd = "dom";
    });
    systems = [ "dom" ];
    lispLibs = [ (getAttr "cl-who" pkgs) (getAttr "yadd" pkgs) ];
  };
  donuts = {
    pname = "donuts";
    version = "20120703-git";
    asds = [ "donuts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/donuts/2012-07-03/donuts-20120703-git.tgz";
      sha256 = "1arjlwic0gk28ja1ql5k1r3v0pqzg42ds8vzq9266hq5lp06q3ii";
      system = "donuts";
      asd = "donuts";
    });
    systems = [ "donuts" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  doplus = {
    pname = "doplus";
    version = "v1.1.0";
    asds = [ "doplus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doplus/2021-10-20/doplus-v1.1.0.tgz";
      sha256 = "1yvda9psw9m08d3bzdb8a2drvhrnr07a0rhza5ibk30v1dkwfw7c";
      system = "doplus";
      asd = "doplus";
    });
    systems = [ "doplus" ];
    lispLibs = [ (getAttr "parse-declarations-1_dot_0" pkgs) ];
  };
  doplus-fset = {
    pname = "doplus-fset";
    version = "v1.1.0";
    asds = [ "doplus-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doplus/2021-10-20/doplus-v1.1.0.tgz";
      sha256 = "1yvda9psw9m08d3bzdb8a2drvhrnr07a0rhza5ibk30v1dkwfw7c";
      system = "doplus-fset";
      asd = "doplus-fset";
    });
    systems = [ "doplus-fset" ];
    lispLibs = [ (getAttr "doplus" pkgs) (getAttr "fset" pkgs) ];
  };
  dotenv = {
    pname = "dotenv";
    version = "20211209-git";
    asds = [ "dotenv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dotenv/2021-12-09/dotenv-20211209-git.tgz";
      sha256 = "0g19svpxy2169rym532gjwsg1zybinpc99mjsy6im4n6zdd57hzh";
      system = "dotenv";
      asd = "dotenv";
    });
    systems = [ "dotenv" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  dotenv-test = {
    pname = "dotenv-test";
    version = "20211209-git";
    asds = [ "dotenv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dotenv/2021-12-09/dotenv-20211209-git.tgz";
      sha256 = "0g19svpxy2169rym532gjwsg1zybinpc99mjsy6im4n6zdd57hzh";
      system = "dotenv-test";
      asd = "dotenv";
    });
    systems = [ "dotenv-test" ];
    lispLibs = [ (getAttr "dotenv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  doubly-linked-list = {
    pname = "doubly-linked-list";
    version = "20220707-git";
    asds = [ "doubly-linked-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doubly-linked-list/2022-07-07/doubly-linked-list-20220707-git.tgz";
      sha256 = "073r1zyp0slzzvcyj7ibjs85bss1iqh42zn5dvkjd6ls78v2bn9f";
      system = "doubly-linked-list";
      asd = "doubly-linked-list";
    });
    systems = [ "doubly-linked-list" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  drakma = {
    pname = "drakma";
    version = "v2.0.9";
    asds = [ "drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma/2022-07-07/drakma-v2.0.9.tgz";
      sha256 = "1y5rf9rr8drqwmh0r6k0wb80h4qwwc2jmikfzxn5mrgs860fvamh";
      system = "drakma";
      asd = "drakma";
    });
    systems = [ "drakma" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "chunga" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "puri" pkgs) (getAttr "usocket" pkgs) ];
  };
  drakma-async = {
    pname = "drakma-async";
    version = "20210807-git";
    asds = [ "drakma-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma-async/2021-08-07/drakma-async-20210807-git.tgz";
      sha256 = "19cd4xrcx3mz86sl0326x5lcrh9jizrwzi6p7pd856nrmx7ynf4w";
      system = "drakma-async";
      asd = "drakma-async";
    });
    systems = [ "drakma-async" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-async-ssl" pkgs) (getAttr "cl-async-future" pkgs) (getAttr "drakma" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  drakma-test = {
    pname = "drakma-test";
    version = "v2.0.9";
    asds = [ "drakma-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma/2022-07-07/drakma-v2.0.9.tgz";
      sha256 = "1y5rf9rr8drqwmh0r6k0wb80h4qwwc2jmikfzxn5mrgs860fvamh";
      system = "drakma-test";
      asd = "drakma-test";
    });
    systems = [ "drakma-test" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "fiveam" pkgs) ];
  };
  draw-cons-tree = {
    pname = "draw-cons-tree";
    version = "20131003-git";
    asds = [ "draw-cons-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/draw-cons-tree/2013-10-03/draw-cons-tree-20131003-git.tgz";
      sha256 = "0w2khl1f51zcjvmq47h55ldfgjzi03gnmsdgd61ar3m11dp0k769";
      system = "draw-cons-tree";
      asd = "draw-cons-tree";
    });
    systems = [ "draw-cons-tree" ];
    lispLibs = [  ];
  };
  drei-mcclim = {
    pname = "drei-mcclim";
    version = "20221106-git";
    asds = [ "drei-mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "drei-mcclim";
      asd = "drei-mcclim";
    });
    systems = [ "drei-mcclim" ];
    lispLibs = [ (getAttr "flexichain" pkgs) (getAttr "automaton" pkgs) (getAttr "clim-core" pkgs) (getAttr "esa-mcclim" pkgs) (getAttr "persistent" pkgs) (getAttr "swank" pkgs) ];
  };
  drei-mcclim_slash_test = {
    pname = "drei-mcclim_test";
    version = "20221106-git";
    asds = [ "drei-mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "drei-mcclim";
      asd = "drei-mcclim";
    });
    systems = [ "drei-mcclim/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "automaton" pkgs) (getAttr "drei-mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dso-lex = {
    pname = "dso-lex";
    version = "0.3.2";
    asds = [ "dso-lex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dso-lex/2011-01-10/dso-lex-0.3.2.tgz";
      sha256 = "09vx0dsfaj1c5ivfkx9zl9s2yxmqpdc2v41fhpq75anq9ffr6qyr";
      system = "dso-lex";
      asd = "dso-lex";
    });
    systems = [ "dso-lex" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "dso-util" pkgs) ];
  };
  dso-util = {
    pname = "dso-util";
    version = "0.1.2";
    asds = [ "dso-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dso-util/2011-01-10/dso-util-0.1.2.tgz";
      sha256 = "12w1rxxk2hi6k7ng9kqf2yb1kff78bshdfl7bwv6fz8im8vq13b3";
      system = "dso-util";
      asd = "dso-util";
    });
    systems = [ "dso-util" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  dufy = {
    pname = "dufy";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  dufy_slash_core = {
    pname = "dufy_core";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_examples = {
    pname = "dufy_examples";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dufy" pkgs) (getAttr "iterate" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lparallel" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_extra-data = {
    pname = "dufy_extra-data";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/extra-data" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_hsluv = {
    pname = "dufy_hsluv";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/hsluv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_internal = {
    pname = "dufy_internal";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/internal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_munsell = {
    pname = "dufy_munsell";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/munsell" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dufy_slash_test = {
    pname = "dufy_test";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-csv" pkgs) (getAttr "dufy" pkgs) (getAttr "fiveam" pkgs) (getAttr "parse-float" pkgs) ];
    meta = {
      broken = true;
    };
  };
  dungen = {
    pname = "dungen";
    version = "20220707-git";
    asds = [ "dungen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dungen/2022-07-07/dungen-20220707-git.tgz";
      sha256 = "1yvkch227g0yawv2682ysdv9q2g5yyyxjvfpx3hijl0mm0awgxv5";
      system = "dungen";
      asd = "dungen";
    });
    systems = [ "dungen" ];
    lispLibs = [ (getAttr "graph" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "seedable-rng" pkgs) ];
  };
  duologue = {
    pname = "duologue";
    version = "20220707-git";
    asds = [ "duologue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/duologue/2022-07-07/duologue-20220707-git.tgz";
      sha256 = "03ypcdz4gl8i82ivvnzc5ng4m9b8rkifyl13ik2grlcl5x2wq7ih";
      system = "duologue";
      asd = "duologue";
    });
    systems = [ "duologue" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "chronicity" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-fad" pkgs) (getAttr "clavier" pkgs) ];
  };
  duologue-readline = {
    pname = "duologue-readline";
    version = "20220707-git";
    asds = [ "duologue-readline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/duologue/2022-07-07/duologue-20220707-git.tgz";
      sha256 = "03ypcdz4gl8i82ivvnzc5ng4m9b8rkifyl13ik2grlcl5x2wq7ih";
      system = "duologue-readline";
      asd = "duologue-readline";
    });
    systems = [ "duologue-readline" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "chronicity" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-readline" pkgs) (getAttr "clavier" pkgs) (getAttr "drakma" pkgs) ];
  };
  dweet = {
    pname = "dweet";
    version = "20141217-git";
    asds = [ "dweet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dweet/2014-12-17/dweet-20141217-git.tgz";
      sha256 = "1i3ab3igvdy6fhq3zlx1vaswhvm9dlp6fagzxbrqhqj6jsbhiwv7";
      system = "dweet";
      asd = "dweet";
    });
    systems = [ "dweet" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "drakma" pkgs) (getAttr "com_dot_gigamonkeys_dot_json" pkgs) ];
  };
  dynamic-array = {
    pname = "dynamic-array";
    version = "20220707-git";
    asds = [ "dynamic-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-array/2022-07-07/dynamic-array-20220707-git.tgz";
      sha256 = "02kg1m5xscg521074nasx3f04784jbm0x61a7skixbdprpg6hhnh";
      system = "dynamic-array";
      asd = "dynamic-array";
    });
    systems = [ "dynamic-array" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  dynamic-classes = {
    pname = "dynamic-classes";
    version = "20130128-git";
    asds = [ "dynamic-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-classes/2013-01-28/dynamic-classes-20130128-git.tgz";
      sha256 = "0sawgz6xhsq156jcq5j9px0njs4y3sq1ypccl59zyvz31bxyaaxj";
      system = "dynamic-classes";
      asd = "dynamic-classes";
    });
    systems = [ "dynamic-classes" ];
    lispLibs = [ (getAttr "metatilities-base" pkgs) ];
  };
  dynamic-classes-test = {
    pname = "dynamic-classes-test";
    version = "20130128-git";
    asds = [ "dynamic-classes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-classes/2013-01-28/dynamic-classes-20130128-git.tgz";
      sha256 = "0sawgz6xhsq156jcq5j9px0njs4y3sq1ypccl59zyvz31bxyaaxj";
      system = "dynamic-classes-test";
      asd = "dynamic-classes-test";
    });
    systems = [ "dynamic-classes-test" ];
    lispLibs = [ (getAttr "dynamic-classes" pkgs) (getAttr "lift" pkgs) ];
  };
  dynamic-collect = {
    pname = "dynamic-collect";
    version = "20190307-hg";
    asds = [ "dynamic-collect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-collect/2019-03-07/dynamic-collect-20190307-hg.tgz";
      sha256 = "00h90k4zj1qv1da6q5qq6ma8ivykpzmz5mb869a6jay08jly83c4";
      system = "dynamic-collect";
      asd = "dynamic-collect";
    });
    systems = [ "dynamic-collect" ];
    lispLibs = [  ];
  };
  dynamic-mixins = {
    pname = "dynamic-mixins";
    version = "20181018-git";
    asds = [ "dynamic-mixins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-mixins/2018-10-18/dynamic-mixins-20181018-git.tgz";
      sha256 = "00g3s509ysh2jp1qwsgb5bwl6qvhzcljwjz3z4mspbcak51484zj";
      system = "dynamic-mixins";
      asd = "dynamic-mixins";
    });
    systems = [ "dynamic-mixins" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  dynamic-wind = {
    pname = "dynamic-wind";
    version = "20211230-git";
    asds = [ "dynamic-wind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/contextl/2021-12-30/contextl-20211230-git.tgz";
      sha256 = "0apgznz4g6lpmd86lq7w0xddfjgnirk83ig7p0j6i93xadhy9wh0";
      system = "dynamic-wind";
      asd = "dynamic-wind";
    });
    systems = [ "dynamic-wind" ];
    lispLibs = [ (getAttr "lw-compat" pkgs) ];
  };
  eager-future = {
    pname = "eager-future";
    version = "20101006-darcs";
    asds = [ "eager-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future/2010-10-06/eager-future-20101006-darcs.tgz";
      sha256 = "0l7khqfqfchk7j24fk7rwagwanjargxsrzr6g1h4ainqjajd91jl";
      system = "eager-future";
      asd = "eager-future";
    });
    systems = [ "eager-future" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  eager-future_dot_test = {
    pname = "eager-future.test";
    version = "20101006-darcs";
    asds = [ "eager-future.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future/2010-10-06/eager-future-20101006-darcs.tgz";
      sha256 = "0l7khqfqfchk7j24fk7rwagwanjargxsrzr6g1h4ainqjajd91jl";
      system = "eager-future.test";
      asd = "eager-future";
    });
    systems = [ "eager-future.test" ];
    lispLibs = [ (getAttr "eager-future" pkgs) (getAttr "fiveam" pkgs) ];
  };
  eager-future2 = {
    pname = "eager-future2";
    version = "20191130-git";
    asds = [ "eager-future2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future2/2019-11-30/eager-future2-20191130-git.tgz";
      sha256 = "1qs1bv3m0ki8l5czhsflxcryh22r9d9g9a3a3b0cr0pl954q5rld";
      system = "eager-future2";
      asd = "eager-future2";
    });
    systems = [ "eager-future2" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  easing = {
    pname = "easing";
    version = "20180228-git";
    asds = [ "easing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing";
      asd = "easing";
    });
    systems = [ "easing" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  easing-demo = {
    pname = "easing-demo";
    version = "20180228-git";
    asds = [ "easing-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing-demo";
      asd = "easing-demo";
    });
    systems = [ "easing-demo" ];
    lispLibs = [ (getAttr "easing" pkgs) (getAttr "sketch" pkgs) ];
  };
  easing-test = {
    pname = "easing-test";
    version = "20180228-git";
    asds = [ "easing-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing-test";
      asd = "easing-test";
    });
    systems = [ "easing-test" ];
    lispLibs = [ (getAttr "easing" pkgs) (getAttr "fiveam" pkgs) ];
  };
  easter-gauss = {
    pname = "easter-gauss";
    version = "20220707-git";
    asds = [ "easter-gauss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easter-gauss/2022-07-07/easter-gauss-20220707-git.tgz";
      sha256 = "0y3fihv00k6lxmx4pfkhg4nynpffdpvlz9b14s2bl880vj9cxjsw";
      system = "easter-gauss";
      asd = "easter-gauss";
    });
    systems = [ "easter-gauss" ];
    lispLibs = [ (getAttr "local-time" pkgs) ];
  };
  easter-gauss_slash_tests = {
    pname = "easter-gauss_tests";
    version = "20220707-git";
    asds = [ "easter-gauss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easter-gauss/2022-07-07/easter-gauss-20220707-git.tgz";
      sha256 = "0y3fihv00k6lxmx4pfkhg4nynpffdpvlz9b14s2bl880vj9cxjsw";
      system = "easter-gauss";
      asd = "easter-gauss";
    });
    systems = [ "easter-gauss/tests" ];
    lispLibs = [ (getAttr "clunit2" pkgs) (getAttr "easter-gauss" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio = {
    pname = "easy-audio";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "nibbles-streams" pkgs) (getAttr "serapeum" pkgs) ];
  };
  easy-audio_slash_ape = {
    pname = "easy-audio_ape";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/ape" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_bitreader = {
    pname = "easy-audio_bitreader";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/bitreader" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_core = {
    pname = "easy-audio_core";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/core" ];
    lispLibs = [ (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_examples = {
    pname = "easy-audio_examples";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/examples" ];
    lispLibs = [ (getAttr "easy-audio" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_general-decoders = {
    pname = "easy-audio_general-decoders";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/general-decoders" ];
    lispLibs = [ (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_ogg = {
    pname = "easy-audio_ogg";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/ogg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_tests = {
    pname = "easy-audio_tests";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/tests" ];
    lispLibs = [ (getAttr "easy-audio" pkgs) (getAttr "fiveam" pkgs) (getAttr "md5" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_wav = {
    pname = "easy-audio_wav";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/wav" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "nibbles-streams" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-audio_slash_wv = {
    pname = "easy-audio_wv";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio/wv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-bind = {
    pname = "easy-bind";
    version = "20190202-git";
    asds = [ "easy-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-bind/2019-02-02/easy-bind-20190202-git.tgz";
      sha256 = "0z7mqm7vnk8jcsmawlyhzg81v2bmgdbxmx3jkf2m74170q78jhkl";
      system = "easy-bind";
      asd = "easy-bind";
    });
    systems = [ "easy-bind" ];
    lispLibs = [  ];
  };
  easy-macros = {
    pname = "easy-macros";
    version = "20221106-git";
    asds = [ "easy-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-macros/2022-11-06/easy-macros-20221106-git.tgz";
      sha256 = "0mashvad1ssh2kmr0wxgas13vxs6dsfb6b1q69cpxmpmx6sc067g";
      system = "easy-macros";
      asd = "easy-macros";
    });
    systems = [ "easy-macros" ];
    lispLibs = [  ];
  };
  easy-macros_slash_tests = {
    pname = "easy-macros_tests";
    version = "20221106-git";
    asds = [ "easy-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-macros/2022-11-06/easy-macros-20221106-git.tgz";
      sha256 = "0mashvad1ssh2kmr0wxgas13vxs6dsfb6b1q69cpxmpmx6sc067g";
      system = "easy-macros";
      asd = "easy-macros";
    });
    systems = [ "easy-macros/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "easy-macros" pkgs) (getAttr "fiveam" pkgs) (getAttr "fiveam-matchers" pkgs) ];
    meta = {
      broken = true;
    };
  };
  easy-routes = {
    pname = "easy-routes";
    version = "20220707-git";
    asds = [ "easy-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes";
      asd = "easy-routes";
    });
    systems = [ "easy-routes" ];
    lispLibs = [ (getAttr "routes" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  easy-routes_plus_djula = {
    pname = "easy-routes+djula";
    version = "20220707-git";
    asds = [ "easy-routes+djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes+djula";
      asd = "easy-routes+djula";
    });
    systems = [ "easy-routes+djula" ];
    lispLibs = [ (getAttr "djula" pkgs) (getAttr "easy-routes" pkgs) ];
  };
  easy-routes_plus_errors = {
    pname = "easy-routes+errors";
    version = "20220707-git";
    asds = [ "easy-routes+errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes+errors";
      asd = "easy-routes+errors";
    });
    systems = [ "easy-routes+errors" ];
    lispLibs = [ (getAttr "easy-routes" pkgs) (getAttr "hunchentoot-errors" pkgs) ];
  };
  eazy-documentation = {
    pname = "eazy-documentation";
    version = "20210411-git";
    asds = [ "eazy-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-documentation/2021-04-11/eazy-documentation-20210411-git.tgz";
      sha256 = "0wqd6jih98ab8qpajmcmbj0cwa3g6jjbr7v0wp5gqn1wllwn70ix";
      system = "eazy-documentation";
      asd = "eazy-documentation";
    });
    systems = [ "eazy-documentation" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "common-doc" pkgs) (getAttr "common-doc-split-paragraphs" pkgs) (getAttr "common-html" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_ppcre" pkgs) ];
  };
  eazy-gnuplot = {
    pname = "eazy-gnuplot";
    version = "20220331-git";
    asds = [ "eazy-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-gnuplot/2022-03-31/eazy-gnuplot-20220331-git.tgz";
      sha256 = "0mpkx1z52riahydzvqv7kk15p0pv2k7k5a7j65fg571kcxmssx8s";
      system = "eazy-gnuplot";
      asd = "eazy-gnuplot";
    });
    systems = [ "eazy-gnuplot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "uiop" pkgs) ];
  };
  eazy-gnuplot_dot_test = {
    pname = "eazy-gnuplot.test";
    version = "20220331-git";
    asds = [ "eazy-gnuplot.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-gnuplot/2022-03-31/eazy-gnuplot-20220331-git.tgz";
      sha256 = "0mpkx1z52riahydzvqv7kk15p0pv2k7k5a7j65fg571kcxmssx8s";
      system = "eazy-gnuplot.test";
      asd = "eazy-gnuplot.test";
    });
    systems = [ "eazy-gnuplot.test" ];
    lispLibs = [ (getAttr "eazy-gnuplot" pkgs) (getAttr "fiveam" pkgs) ];
  };
  eazy-process = {
    pname = "eazy-process";
    version = "20200925-git";
    asds = [ "eazy-process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-process/2020-09-25/eazy-process-20200925-git.tgz";
      sha256 = "1fvc613jg3b0kra664lbyyzvig7sm1xzaawack28c5m61yiwakiw";
      system = "eazy-process";
      asd = "eazy-process";
    });
    systems = [ "eazy-process" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-rlimit" pkgs) (getAttr "iolib" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_ppcre" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  eazy-process_dot_test = {
    pname = "eazy-process.test";
    version = "20200925-git";
    asds = [ "eazy-process.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-process/2020-09-25/eazy-process-20200925-git.tgz";
      sha256 = "1fvc613jg3b0kra664lbyyzvig7sm1xzaawack28c5m61yiwakiw";
      system = "eazy-process.test";
      asd = "eazy-process.test";
    });
    systems = [ "eazy-process.test" ];
    lispLibs = [ (getAttr "eazy-process" pkgs) (getAttr "fiveam" pkgs) ];
  };
  eazy-project = {
    pname = "eazy-project";
    version = "20190710-git";
    asds = [ "eazy-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project";
      asd = "eazy-project";
    });
    systems = [ "eazy-project" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-emb" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "local-time" pkgs) (getAttr "trivia" pkgs) ];
  };
  eazy-project_dot_autoload = {
    pname = "eazy-project.autoload";
    version = "20190710-git";
    asds = [ "eazy-project.autoload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project.autoload";
      asd = "eazy-project.autoload";
    });
    systems = [ "eazy-project.autoload" ];
    lispLibs = [ (getAttr "eazy-project" pkgs) ];
  };
  eazy-project_dot_test = {
    pname = "eazy-project.test";
    version = "20190710-git";
    asds = [ "eazy-project.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project.test";
      asd = "eazy-project.test";
    });
    systems = [ "eazy-project.test" ];
    lispLibs = [ (getAttr "eazy-project" pkgs) (getAttr "fiveam" pkgs) ];
  };
  ec2 = {
    pname = "ec2";
    version = "20120909-git";
    asds = [ "ec2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ec2/2012-09-09/ec2-20120909-git.tgz";
      sha256 = "1z9yv1b8ckyvla80rha7amfhhy57kylkscf504rpfx8994fnfbsy";
      system = "ec2";
      asd = "ec2";
    });
    systems = [ "ec2" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "s-base64" pkgs) (getAttr "s-xml" pkgs) ];
  };
  ec2-price-finder = {
    pname = "ec2-price-finder";
    version = "20210531-git";
    asds = [ "ec2-price-finder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ec2-price-finder/2021-05-31/ec2-price-finder-20210531-git.tgz";
      sha256 = "1511py79fj0xpzzjlfk6fchp6lmikvhy42s3p6s85fbq4dyj4mpj";
      system = "ec2-price-finder";
      asd = "ec2-price-finder";
    });
    systems = [ "ec2-price-finder" ];
    lispLibs = [ (getAttr "easy-routes" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "lass" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-float" pkgs) (getAttr "read-csv" pkgs) (getAttr "spinneret" pkgs) (getAttr "wu-decimal" pkgs) ];
  };
  ecclesia = {
    pname = "ecclesia";
    version = "20201220-git";
    asds = [ "ecclesia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ecclesia/2020-12-20/ecclesia-20201220-git.tgz";
      sha256 = "0xxs2hfvqprici6z57wx2z6rjc1f0f5mg0xxls7b8nglzx4saslm";
      system = "ecclesia";
      asd = "ecclesia";
    });
    systems = [ "ecclesia" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  eclecticse_dot_iso-8601-date = {
    pname = "eclecticse.iso-8601-date";
    version = "20190107-git";
    asds = [ "eclecticse.iso-8601-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iso-8601-date/2019-01-07/iso-8601-date-20190107-git.tgz";
      sha256 = "12d6jyznglm13sb04xh5l0d0bwi4y449wdyifvfy7r03qy8wypdx";
      system = "eclecticse.iso-8601-date";
      asd = "eclecticse.iso-8601-date";
    });
    systems = [ "eclecticse.iso-8601-date" ];
    lispLibs = [ (getAttr "local-time" pkgs) ];
  };
  eclecticse_dot_omer = {
    pname = "eclecticse.omer";
    version = "20210411-git";
    asds = [ "eclecticse.omer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/omer-count/2021-04-11/omer-count-20210411-git.tgz";
      sha256 = "1rvg7rfalvi28x3jkknfdyf4y7zjrqdx073iqi2gin4amin6n7jv";
      system = "eclecticse.omer";
      asd = "eclecticse.omer";
    });
    systems = [ "eclecticse.omer" ];
    lispLibs = [ (getAttr "local-time" pkgs) ];
  };
  eclecticse_dot_slk-581 = {
    pname = "eclecticse.slk-581";
    version = "20190107-git";
    asds = [ "eclecticse.slk-581" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slk-581/2019-01-07/slk-581-20190107-git.tgz";
      sha256 = "1pxyr1gi4ppnfld399wiypqqkgm3bqd9kpizpwgll2fd10yh2qmf";
      system = "eclecticse.slk-581";
      asd = "eclecticse.slk-581";
    });
    systems = [ "eclecticse.slk-581" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  eclector = {
    pname = "eclector";
    version = "20221106-git";
    asds = [ "eclector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2022-11-06/eclector-20221106-git.tgz";
      sha256 = "087f3z0j13fc9brb6390qsbw79lr7fhgfdc0hcrib2h5idv406xz";
      system = "eclector";
      asd = "eclector";
    });
    systems = [ "eclector" ];
    lispLibs = [ (getAttr "acclimation" pkgs) (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  eclector-concrete-syntax-tree = {
    pname = "eclector-concrete-syntax-tree";
    version = "20221106-git";
    asds = [ "eclector-concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2022-11-06/eclector-20221106-git.tgz";
      sha256 = "087f3z0j13fc9brb6390qsbw79lr7fhgfdc0hcrib2h5idv406xz";
      system = "eclector-concrete-syntax-tree";
      asd = "eclector-concrete-syntax-tree";
    });
    systems = [ "eclector-concrete-syntax-tree" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "concrete-syntax-tree" pkgs) (getAttr "eclector" pkgs) ];
  };
  eclector-concrete-syntax-tree_slash_test = {
    pname = "eclector-concrete-syntax-tree_test";
    version = "20221106-git";
    asds = [ "eclector-concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2022-11-06/eclector-20221106-git.tgz";
      sha256 = "087f3z0j13fc9brb6390qsbw79lr7fhgfdc0hcrib2h5idv406xz";
      system = "eclector-concrete-syntax-tree";
      asd = "eclector-concrete-syntax-tree";
    });
    systems = [ "eclector-concrete-syntax-tree/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "eclector" pkgs) (getAttr "eclector-concrete-syntax-tree" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  eclector_slash_test = {
    pname = "eclector_test";
    version = "20221106-git";
    asds = [ "eclector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2022-11-06/eclector-20221106-git.tgz";
      sha256 = "087f3z0j13fc9brb6390qsbw79lr7fhgfdc0hcrib2h5idv406xz";
      system = "eclector";
      asd = "eclector";
    });
    systems = [ "eclector/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "eclector" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  eco = {
    pname = "eco";
    version = "20190813-git";
    asds = [ "eco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eco/2019-08-13/eco-20190813-git.tgz";
      sha256 = "13fsv9v7fhf05p7j1hrfy2sg813wmgsp9aw4ng4cpzdss24zvf7q";
      system = "eco";
      asd = "eco";
    });
    systems = [ "eco" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-who" pkgs) (getAttr "esrap" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  eco-test = {
    pname = "eco-test";
    version = "20190813-git";
    asds = [ "eco-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eco/2019-08-13/eco-20190813-git.tgz";
      sha256 = "13fsv9v7fhf05p7j1hrfy2sg813wmgsp9aw4ng4cpzdss24zvf7q";
      system = "eco-test";
      asd = "eco-test";
    });
    systems = [ "eco-test" ];
    lispLibs = [ (getAttr "eco" pkgs) (getAttr "fiveam" pkgs) ];
  };
  edit-distance = {
    pname = "edit-distance";
    version = "20220331-git";
    asds = [ "edit-distance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-editdistance/2022-03-31/cl-editdistance-20220331-git.tgz";
      sha256 = "0nzbgq69wak18vwpk0fp68x8shdxq5vy70213dc2r0hwfzzc10v9";
      system = "edit-distance";
      asd = "edit-distance";
    });
    systems = [ "edit-distance" ];
    lispLibs = [  ];
  };
  edit-distance-test = {
    pname = "edit-distance-test";
    version = "20220331-git";
    asds = [ "edit-distance-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-editdistance/2022-03-31/cl-editdistance-20220331-git.tgz";
      sha256 = "0nzbgq69wak18vwpk0fp68x8shdxq5vy70213dc2r0hwfzzc10v9";
      system = "edit-distance-test";
      asd = "edit-distance-test";
    });
    systems = [ "edit-distance-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-coveralls" pkgs) (getAttr "edit-distance" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  elb-log = {
    pname = "elb-log";
    version = "20150923-git";
    asds = [ "elb-log" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elb-log/2015-09-23/elb-log-20150923-git.tgz";
      sha256 = "1d0vkmkjr6d96j7cggw5frj50jf14brbm63is41zwfkfl9r4i6bp";
      system = "elb-log";
      asd = "elb-log";
    });
    systems = [ "elb-log" ];
    lispLibs = [ (getAttr "cl-annot-prove" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "cl-syntax-interpol" pkgs) (getAttr "local-time" pkgs) (getAttr "zs3" pkgs) ];
  };
  elb-log-test = {
    pname = "elb-log-test";
    version = "20150923-git";
    asds = [ "elb-log-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elb-log/2015-09-23/elb-log-20150923-git.tgz";
      sha256 = "1d0vkmkjr6d96j7cggw5frj50jf14brbm63is41zwfkfl9r4i6bp";
      system = "elb-log-test";
      asd = "elb-log-test";
    });
    systems = [ "elb-log-test" ];
    lispLibs = [ (getAttr "elb-log" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  electron-tools = {
    pname = "electron-tools";
    version = "20160421-git";
    asds = [ "electron-tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/electron-tools/2016-04-21/electron-tools-20160421-git.tgz";
      sha256 = "0fr16gsbn87vyyjpn2gndhpjg7yzsn4j7skyn0py252cvdk5ygf7";
      system = "electron-tools";
      asd = "electron-tools";
    });
    systems = [ "electron-tools" ];
    lispLibs = [ (getAttr "osicat" pkgs) (getAttr "trivial-download" pkgs) (getAttr "trivial-exe" pkgs) (getAttr "trivial-extract" pkgs) (getAttr "uiop" pkgs) ];
  };
  electron-tools-test = {
    pname = "electron-tools-test";
    version = "20160421-git";
    asds = [ "electron-tools-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/electron-tools/2016-04-21/electron-tools-20160421-git.tgz";
      sha256 = "0fr16gsbn87vyyjpn2gndhpjg7yzsn4j7skyn0py252cvdk5ygf7";
      system = "electron-tools-test";
      asd = "electron-tools-test";
    });
    systems = [ "electron-tools-test" ];
    lispLibs = [ (getAttr "electron-tools" pkgs) (getAttr "fiveam" pkgs) (getAttr "trivial-extract" pkgs) ];
  };
  elf = {
    pname = "elf";
    version = "20190710-git";
    asds = [ "elf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elf/2019-07-10/elf-20190710-git.tgz";
      sha256 = "0rd1qcczr2gx76fmxia0kix0p5b49myc9fndibkvwc94cxg085gk";
      system = "elf";
      asd = "elf";
    });
    systems = [ "elf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "com_dot_gigamonkeys_dot_binary-data" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  elf_slash_test = {
    pname = "elf_test";
    version = "20190710-git";
    asds = [ "elf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elf/2019-07-10/elf-20190710-git.tgz";
      sha256 = "0rd1qcczr2gx76fmxia0kix0p5b49myc9fndibkvwc94cxg085gk";
      system = "elf";
      asd = "elf";
    });
    systems = [ "elf/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "elf" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "stefil" pkgs) (getAttr "trivial-timeout" pkgs) ];
    meta = {
      broken = true;
    };
  };
  enchant = {
    pname = "enchant";
    version = "20211209-git";
    asds = [ "enchant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enchant/2021-12-09/cl-enchant-20211209-git.tgz";
      sha256 = "1d0b8743g4y75jl69rq75m8csa5af2fwlxkfvs2p06rsx9dljh79";
      system = "enchant";
      asd = "enchant";
    });
    systems = [ "enchant" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  enchant-autoload = {
    pname = "enchant-autoload";
    version = "20211209-git";
    asds = [ "enchant-autoload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enchant/2021-12-09/cl-enchant-20211209-git.tgz";
      sha256 = "1d0b8743g4y75jl69rq75m8csa5af2fwlxkfvs2p06rsx9dljh79";
      system = "enchant-autoload";
      asd = "enchant-autoload";
    });
    systems = [ "enchant-autoload" ];
    lispLibs = [ (getAttr "enchant" pkgs) ];
  };
  enhanced-boolean = {
    pname = "enhanced-boolean";
    version = "1.0";
    asds = [ "enhanced-boolean" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-boolean/2020-03-25/enhanced-boolean_1.0.tgz";
      sha256 = "17l18lz07fk2kg835vs6c3189d230n1rm9vghk3ls4i356gbq0gy";
      system = "enhanced-boolean";
      asd = "enhanced-boolean";
    });
    systems = [ "enhanced-boolean" ];
    lispLibs = [  ];
  };
  enhanced-boolean_tests = {
    pname = "enhanced-boolean_tests";
    version = "1.0";
    asds = [ "enhanced-boolean_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-boolean/2020-03-25/enhanced-boolean_1.0.tgz";
      sha256 = "17l18lz07fk2kg835vs6c3189d230n1rm9vghk3ls4i356gbq0gy";
      system = "enhanced-boolean_tests";
      asd = "enhanced-boolean_tests";
    });
    systems = [ "enhanced-boolean_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" pkgs) (getAttr "parachute" pkgs) ];
  };
  enhanced-defclass = {
    pname = "enhanced-defclass";
    version = "2.1";
    asds = [ "enhanced-defclass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-defclass/2021-04-11/enhanced-defclass_2.1.tgz";
      sha256 = "142s5c3pl3x7xdawzsj8pdxiqp4wh6fcajf4la5msvnxgf66d8wg";
      system = "enhanced-defclass";
      asd = "enhanced-defclass";
    });
    systems = [ "enhanced-defclass" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "compatible-metaclasses" pkgs) (getAttr "enhanced-eval-when" pkgs) (getAttr "enhanced-find-class" pkgs) (getAttr "evaled-when" pkgs) (getAttr "shared-preferences" pkgs) (getAttr "simple-guess" pkgs) ];
  };
  enhanced-defclass_tests = {
    pname = "enhanced-defclass_tests";
    version = "2.1";
    asds = [ "enhanced-defclass_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-defclass/2021-04-11/enhanced-defclass_2.1.tgz";
      sha256 = "142s5c3pl3x7xdawzsj8pdxiqp4wh6fcajf4la5msvnxgf66d8wg";
      system = "enhanced-defclass_tests";
      asd = "enhanced-defclass_tests";
    });
    systems = [ "enhanced-defclass_tests" ];
    lispLibs = [ (getAttr "enhanced-defclass" pkgs) (getAttr "parachute" pkgs) ];
  };
  enhanced-eval-when = {
    pname = "enhanced-eval-when";
    version = "1.0";
    asds = [ "enhanced-eval-when" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-eval-when/2012-11-25/enhanced-eval-when-1.0.tgz";
      sha256 = "1ws1v297plcbqmcvckg7vqzzgnrwfyx5kd7281r1wrhc26998rx2";
      system = "enhanced-eval-when";
      asd = "enhanced-eval-when";
    });
    systems = [ "enhanced-eval-when" ];
    lispLibs = [  ];
  };
  enhanced-find-class = {
    pname = "enhanced-find-class";
    version = "1.0";
    asds = [ "enhanced-find-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-find-class/2020-09-25/enhanced-find-class_1.0.tgz";
      sha256 = "1pf1mxb238zrmvgm9s0456s1x0m317ls23ls1d987riw69y3w9vx";
      system = "enhanced-find-class";
      asd = "enhanced-find-class";
    });
    systems = [ "enhanced-find-class" ];
    lispLibs = [  ];
  };
  enhanced-find-class_tests = {
    pname = "enhanced-find-class_tests";
    version = "1.0";
    asds = [ "enhanced-find-class_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-find-class/2020-09-25/enhanced-find-class_1.0.tgz";
      sha256 = "1pf1mxb238zrmvgm9s0456s1x0m317ls23ls1d987riw69y3w9vx";
      system = "enhanced-find-class_tests";
      asd = "enhanced-find-class_tests";
    });
    systems = [ "enhanced-find-class_tests" ];
    lispLibs = [ (getAttr "enhanced-find-class" pkgs) (getAttr "parachute" pkgs) ];
  };
  enhanced-multiple-value-bind = {
    pname = "enhanced-multiple-value-bind";
    version = "1.0.1";
    asds = [ "enhanced-multiple-value-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-multiple-value-bind/2012-11-25/enhanced-multiple-value-bind-1.0.1.tgz";
      sha256 = "1hv0g60klqzgl8vdppksrr1z5wayijx5jnmxzk5ivj884d8l2i5n";
      system = "enhanced-multiple-value-bind";
      asd = "enhanced-multiple-value-bind";
    });
    systems = [ "enhanced-multiple-value-bind" ];
    lispLibs = [  ];
  };
  enhanced-typep = {
    pname = "enhanced-typep";
    version = "1.0";
    asds = [ "enhanced-typep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-typep/2020-10-16/enhanced-typep_1.0.tgz";
      sha256 = "0b22gddkbxnhmi71wa2h51495737lrvsqxnri7g1qdsl1hraml21";
      system = "enhanced-typep";
      asd = "enhanced-typep";
    });
    systems = [ "enhanced-typep" ];
    lispLibs = [  ];
  };
  enhanced-typep_tests = {
    pname = "enhanced-typep_tests";
    version = "1.0";
    asds = [ "enhanced-typep_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-typep/2020-10-16/enhanced-typep_1.0.tgz";
      sha256 = "0b22gddkbxnhmi71wa2h51495737lrvsqxnri7g1qdsl1hraml21";
      system = "enhanced-typep_tests";
      asd = "enhanced-typep_tests";
    });
    systems = [ "enhanced-typep_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" pkgs) (getAttr "enhanced-typep" pkgs) (getAttr "parachute" pkgs) ];
  };
  enumerations = {
    pname = "enumerations";
    version = "20211230-git";
    asds = [ "enumerations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enumeration/2021-12-30/cl-enumeration-20211230-git.tgz";
      sha256 = "04y7xizlhhsw5ajhcslkk8rzp1knvmfybf1x5x88njsssw984d73";
      system = "enumerations";
      asd = "enumerations";
    });
    systems = [ "enumerations" ];
    lispLibs = [  ];
  };
  envy = {
    pname = "envy";
    version = "20220331-git";
    asds = [ "envy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/envy/2022-03-31/envy-20220331-git.tgz";
      sha256 = "1r0wgimd7z57x8cv69sw76w3y5l70hq50882a9nq5l4v64lg55fq";
      system = "envy";
      asd = "envy";
    });
    systems = [ "envy" ];
    lispLibs = [  ];
  };
  envy-test = {
    pname = "envy-test";
    version = "20220331-git";
    asds = [ "envy-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/envy/2022-03-31/envy-20220331-git.tgz";
      sha256 = "1r0wgimd7z57x8cv69sw76w3y5l70hq50882a9nq5l4v64lg55fq";
      system = "envy-test";
      asd = "envy-test";
    });
    systems = [ "envy-test" ];
    lispLibs = [ (getAttr "envy" pkgs) (getAttr "osicat" pkgs) (getAttr "prove" pkgs) ];
  };
  eos = {
    pname = "eos";
    version = "20200925-git";
    asds = [ "eos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eos/2020-09-25/eos-20200925-git.tgz";
      sha256 = "1afllvmlnx97yzz404gycl3pa3kwx427k3hrbf37rpmjlv47knhk";
      system = "eos";
      asd = "eos";
    });
    systems = [ "eos" ];
    lispLibs = [  ];
  };
  eos-tests = {
    pname = "eos-tests";
    version = "20200925-git";
    asds = [ "eos-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eos/2020-09-25/eos-20200925-git.tgz";
      sha256 = "1afllvmlnx97yzz404gycl3pa3kwx427k3hrbf37rpmjlv47knhk";
      system = "eos-tests";
      asd = "eos";
    });
    systems = [ "eos-tests" ];
    lispLibs = [ (getAttr "eos" pkgs) ];
  };
  epigraph = {
    pname = "epigraph";
    version = "20200325-git";
    asds = [ "epigraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/epigraph/2020-03-25/epigraph-20200325-git.tgz";
      sha256 = "0gqiv23grdiz6pfly7mqyfmq4c6nwcamlvgsnixn8qi9md7b9d64";
      system = "epigraph";
      asd = "epigraph";
    });
    systems = [ "epigraph" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  epigraph-test = {
    pname = "epigraph-test";
    version = "20200325-git";
    asds = [ "epigraph-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/epigraph/2020-03-25/epigraph-20200325-git.tgz";
      sha256 = "0gqiv23grdiz6pfly7mqyfmq4c6nwcamlvgsnixn8qi9md7b9d64";
      system = "epigraph-test";
      asd = "epigraph";
    });
    systems = [ "epigraph-test" ];
    lispLibs = [ (getAttr "epigraph" pkgs) (getAttr "fiveam" pkgs) ];
  };
  epmd = {
    pname = "epmd";
    version = "20140211-git";
    asds = [ "epmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epmd/2014-02-11/cl-epmd-20140211-git.tgz";
      sha256 = "1334856x7jqhv52wlab6wxmfqslj21pmryx3lwmlsn7c3ypwz4rw";
      system = "epmd";
      asd = "epmd";
    });
    systems = [ "epmd" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_binary-data" pkgs) (getAttr "usocket" pkgs) ];
  };
  epmd-test = {
    pname = "epmd-test";
    version = "20140211-git";
    asds = [ "epmd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epmd/2014-02-11/cl-epmd-20140211-git.tgz";
      sha256 = "1334856x7jqhv52wlab6wxmfqslj21pmryx3lwmlsn7c3ypwz4rw";
      system = "epmd-test";
      asd = "epmd-test";
    });
    systems = [ "epmd-test" ];
    lispLibs = [ (getAttr "epmd" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  equals = {
    pname = "equals";
    version = "20140826-git";
    asds = [ "equals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/equals/2014-08-26/equals-20140826-git.tgz";
      sha256 = "0z80z2xb7vlwfgx4sfmj1yba8gs6cgwb86iqrby25h4h34w7kj1w";
      system = "equals";
      asd = "equals";
    });
    systems = [ "equals" ];
    lispLibs = [  ];
  };
  erjoalgo-webutil = {
    pname = "erjoalgo-webutil";
    version = "20220707-git";
    asds = [ "erjoalgo-webutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erjoalgo-webutil/2022-07-07/erjoalgo-webutil-20220707-git.tgz";
      sha256 = "1bfs540yx12fhsrs6xdcjssr2hc7hn1y2i1m8hqdfni13ax9j3v8";
      system = "erjoalgo-webutil";
      asd = "erjoalgo-webutil";
    });
    systems = [ "erjoalgo-webutil" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "fiasco" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "vom" pkgs) ];
  };
  erlang-term = {
    pname = "erlang-term";
    version = "20220220-git";
    asds = [ "erlang-term" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-erlang-term/2022-02-20/cl-erlang-term-20220220-git.tgz";
      sha256 = "1rmnbirbvwmik3j0xkkn90kzx90klrwx7hmscl0ywcbaprm71wkv";
      system = "erlang-term";
      asd = "erlang-term";
    });
    systems = [ "erlang-term" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "nibbles" pkgs) (getAttr "zlib" pkgs) ];
  };
  erlang-term-test = {
    pname = "erlang-term-test";
    version = "20220220-git";
    asds = [ "erlang-term-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-erlang-term/2022-02-20/cl-erlang-term-20220220-git.tgz";
      sha256 = "1rmnbirbvwmik3j0xkkn90kzx90klrwx7hmscl0ywcbaprm71wkv";
      system = "erlang-term-test";
      asd = "erlang-term-test";
    });
    systems = [ "erlang-term-test" ];
    lispLibs = [ (getAttr "erlang-term" pkgs) (getAttr "fiveam" pkgs) (getAttr "nibbles" pkgs) ];
  };
  ernestine = {
    pname = "ernestine";
    version = "20220220-git";
    asds = [ "ernestine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ernestine/2022-02-20/ernestine-20220220-git.tgz";
      sha256 = "1gl8pjp44j01nfw9dzk1qdl6njnqcaccp5czcr5rq47l1aicrymn";
      system = "ernestine";
      asd = "ernestine";
    });
    systems = [ "ernestine" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-prevalence" pkgs) (getAttr "drakma" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  ernestine-tests = {
    pname = "ernestine-tests";
    version = "20220220-git";
    asds = [ "ernestine-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ernestine/2022-02-20/ernestine-20220220-git.tgz";
      sha256 = "1gl8pjp44j01nfw9dzk1qdl6njnqcaccp5czcr5rq47l1aicrymn";
      system = "ernestine-tests";
      asd = "ernestine-tests";
    });
    systems = [ "ernestine-tests" ];
    lispLibs = [ (getAttr "ernestine" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  erudite = {
    pname = "erudite";
    version = "20221106-git";
    asds = [ "erudite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erudite/2022-11-06/erudite-20221106-git.tgz";
      sha256 = "0za0wrblmk2kclc3wvlvsjf5mkri5ndhgc5ppc9p4zac3fd7p67n";
      system = "erudite";
      asd = "erudite";
    });
    systems = [ "erudite" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-template" pkgs) (getAttr "log4cl" pkgs) (getAttr "split-sequence" pkgs) (getAttr "swank-client" pkgs) ];
  };
  erudite-test = {
    pname = "erudite-test";
    version = "20221106-git";
    asds = [ "erudite-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erudite/2022-11-06/erudite-20221106-git.tgz";
      sha256 = "0za0wrblmk2kclc3wvlvsjf5mkri5ndhgc5ppc9p4zac3fd7p67n";
      system = "erudite-test";
      asd = "erudite-test";
    });
    systems = [ "erudite-test" ];
    lispLibs = [ (getAttr "erudite" pkgs) (getAttr "fiveam" pkgs) ];
  };
  esa-mcclim = {
    pname = "esa-mcclim";
    version = "20221106-git";
    asds = [ "esa-mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "esa-mcclim";
      asd = "esa-mcclim";
    });
    systems = [ "esa-mcclim" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "clim-core" pkgs) ];
  };
  escalator = {
    pname = "escalator";
    version = "20200427-git";
    asds = [ "escalator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/escalator/2020-04-27/escalator-20200427-git.tgz";
      sha256 = "136n4k983f90cqj6na17ff2fvk9rv4ma8l5y66q7lkbb69idipla";
      system = "escalator";
      asd = "escalator";
    });
    systems = [ "escalator" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  escalator-bench = {
    pname = "escalator-bench";
    version = "20200427-git";
    asds = [ "escalator-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/escalator/2020-04-27/escalator-20200427-git.tgz";
      sha256 = "136n4k983f90cqj6na17ff2fvk9rv4ma8l5y66q7lkbb69idipla";
      system = "escalator-bench";
      asd = "escalator-bench";
    });
    systems = [ "escalator-bench" ];
    lispLibs = [ (getAttr "escalator" pkgs) (getAttr "iterate" pkgs) ];
  };
  esrap = {
    pname = "esrap";
    version = "20220331-git";
    asds = [ "esrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap/2022-03-31/esrap-20220331-git.tgz";
      sha256 = "1in8a2ygfv7asw2h386sja7222b49ivzvdfc416d0sv74i7s4h8b";
      system = "esrap";
      asd = "esrap";
    });
    systems = [ "esrap" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-with-current-source-form" pkgs) ];
  };
  esrap-liquid = {
    pname = "esrap-liquid";
    version = "20161031-git";
    asds = [ "esrap-liquid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-liquid/2016-10-31/esrap-liquid-20161031-git.tgz";
      sha256 = "0agsi8qx6v3c7r6ri5rp78vdb570pdgkvw80va3045crl61mkjzs";
      system = "esrap-liquid";
      asd = "esrap-liquid";
    });
    systems = [ "esrap-liquid" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) ];
  };
  esrap-liquid-tests = {
    pname = "esrap-liquid-tests";
    version = "20161031-git";
    asds = [ "esrap-liquid-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-liquid/2016-10-31/esrap-liquid-20161031-git.tgz";
      sha256 = "0agsi8qx6v3c7r6ri5rp78vdb570pdgkvw80va3045crl61mkjzs";
      system = "esrap-liquid-tests";
      asd = "esrap-liquid";
    });
    systems = [ "esrap-liquid-tests" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "esrap-liquid" pkgs) (getAttr "fiveam" pkgs) ];
  };
  esrap-peg = {
    pname = "esrap-peg";
    version = "20191007-git";
    asds = [ "esrap-peg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-peg/2019-10-07/esrap-peg-20191007-git.tgz";
      sha256 = "0540i7whx1w0n9fdakwk8rnn511xga9xfvczq9y1jcgz1hh42w53";
      system = "esrap-peg";
      asd = "esrap-peg";
    });
    systems = [ "esrap-peg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-unification" pkgs) (getAttr "esrap" pkgs) (getAttr "iterate" pkgs) ];
  };
  esrap_slash_tests = {
    pname = "esrap_tests";
    version = "20220331-git";
    asds = [ "esrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap/2022-03-31/esrap-20220331-git.tgz";
      sha256 = "1in8a2ygfv7asw2h386sja7222b49ivzvdfc416d0sv74i7s4h8b";
      system = "esrap";
      asd = "esrap";
    });
    systems = [ "esrap/tests" ];
    lispLibs = [ (getAttr "esrap" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  etcd-test = {
    pname = "etcd-test";
    version = "20220707-git";
    asds = [ "etcd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-etcd/2022-07-07/cl-etcd-20220707-git.tgz";
      sha256 = "0g4lkmzddg5hbdxc407w5y7z71p1swrifih9hf3g9jx3hbj3ci37";
      system = "etcd-test";
      asd = "etcd-test";
    });
    systems = [ "etcd-test" ];
    lispLibs = [ (getAttr "cl-etcd" pkgs) (getAttr "cl-toml" pkgs) ];
  };
  ev = {
    pname = "ev";
    version = "20150923-git";
    asds = [ "ev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ev/2015-09-23/cl-ev-20150923-git.tgz";
      sha256 = "0qnkzkw9mn4w6b0q9y207z8ddnd5a2gn42q55yycp2qrvvv47lhp";
      system = "ev";
      asd = "ev";
    });
    systems = [ "ev" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  evaled-when = {
    pname = "evaled-when";
    version = "1.0";
    asds = [ "evaled-when" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evaled-when/2020-09-25/evaled-when_1.0.tgz";
      sha256 = "0482s89nb5jyyg5wmb010p914pgq6ls8z5s12hdw7wrpy675kdkh";
      system = "evaled-when";
      asd = "evaled-when";
    });
    systems = [ "evaled-when" ];
    lispLibs = [ (getAttr "trivial-cltl2" pkgs) ];
  };
  evaled-when_tests = {
    pname = "evaled-when_tests";
    version = "1.0";
    asds = [ "evaled-when_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evaled-when/2020-09-25/evaled-when_1.0.tgz";
      sha256 = "0482s89nb5jyyg5wmb010p914pgq6ls8z5s12hdw7wrpy675kdkh";
      system = "evaled-when_tests";
      asd = "evaled-when_tests";
    });
    systems = [ "evaled-when_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" pkgs) (getAttr "evaled-when" pkgs) (getAttr "parachute" pkgs) ];
  };
  event-emitter = {
    pname = "event-emitter";
    version = "20220331-git";
    asds = [ "event-emitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-emitter/2022-03-31/event-emitter-20220331-git.tgz";
      sha256 = "1v1mhwypc08hiz14kg6vp4xzkhlicw29vxgawz8m5ydxl2ranwc0";
      system = "event-emitter";
      asd = "event-emitter";
    });
    systems = [ "event-emitter" ];
    lispLibs = [  ];
  };
  event-emitter-test = {
    pname = "event-emitter-test";
    version = "20220331-git";
    asds = [ "event-emitter-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-emitter/2022-03-31/event-emitter-20220331-git.tgz";
      sha256 = "1v1mhwypc08hiz14kg6vp4xzkhlicw29vxgawz8m5ydxl2ranwc0";
      system = "event-emitter-test";
      asd = "event-emitter-test";
    });
    systems = [ "event-emitter-test" ];
    lispLibs = [ (getAttr "event-emitter" pkgs) (getAttr "prove" pkgs) ];
  };
  event-glue = {
    pname = "event-glue";
    version = "20150608-git";
    asds = [ "event-glue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-glue/2015-06-08/event-glue-20150608-git.tgz";
      sha256 = "1cmxdx5nawzqafz9b6nswp20d3zlaks44ln4n6bf5jxji9n3vany";
      system = "event-glue";
      asd = "event-glue";
    });
    systems = [ "event-glue" ];
    lispLibs = [  ];
  };
  event-glue-test = {
    pname = "event-glue-test";
    version = "20150608-git";
    asds = [ "event-glue-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-glue/2015-06-08/event-glue-20150608-git.tgz";
      sha256 = "1cmxdx5nawzqafz9b6nswp20d3zlaks44ln4n6bf5jxji9n3vany";
      system = "event-glue-test";
      asd = "event-glue-test";
    });
    systems = [ "event-glue-test" ];
    lispLibs = [ (getAttr "event-glue" pkgs) (getAttr "fiveam" pkgs) ];
  };
  eventbus = {
    pname = "eventbus";
    version = "20191227-git";
    asds = [ "eventbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eventbus/2019-12-27/eventbus-20191227-git.tgz";
      sha256 = "0slqx3zq6sbz3rg4g79j8y25sx4405y6ff3x6l5v8v4v42m1s0p2";
      system = "eventbus";
      asd = "eventbus";
    });
    systems = [ "eventbus" ];
    lispLibs = [ (getAttr "simplet-asdf" pkgs) ];
  };
  eventbus_slash_test = {
    pname = "eventbus_test";
    version = "20191227-git";
    asds = [ "eventbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eventbus/2019-12-27/eventbus-20191227-git.tgz";
      sha256 = "0slqx3zq6sbz3rg4g79j8y25sx4405y6ff3x6l5v8v4v42m1s0p2";
      system = "eventbus";
      asd = "eventbus";
    });
    systems = [ "eventbus/test" ];
    lispLibs = [ (getAttr "eventbus" pkgs) (getAttr "simplet" pkgs) (getAttr "simplet-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  eventfd = {
    pname = "eventfd";
    version = "20171130-git";
    asds = [ "eventfd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eventfd/2017-11-30/eventfd-20171130-git.tgz";
      sha256 = "1zwg043vqzk665k9dxgxhik20wgkl204anjna94zg6037m33vdiw";
      system = "eventfd";
      asd = "eventfd";
    });
    systems = [ "eventfd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib" pkgs) ];
  };
  everblocking-stream = {
    pname = "everblocking-stream";
    version = "20181018-git";
    asds = [ "everblocking-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/everblocking-stream/2018-10-18/everblocking-stream-20181018-git.tgz";
      sha256 = "1xvfsx2ldwcprlynikn1rikxh3lfdyzl2p72glzvgh20sm93p1rz";
      system = "everblocking-stream";
      asd = "everblocking-stream";
    });
    systems = [ "everblocking-stream" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  evol = {
    pname = "evol";
    version = "20101006-git";
    asds = [ "evol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evol/2010-10-06/evol-20101006-git.tgz";
      sha256 = "1hp6wygj44llkscqq721xg4a7j5faqjcfc646lvkia5xg81zbf65";
      system = "evol";
      asd = "evol";
    });
    systems = [ "evol" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "external-program" pkgs) (getAttr "patron" pkgs) (getAttr "unix-options" pkgs) ];
  };
  evol-test = {
    pname = "evol-test";
    version = "20101006-git";
    asds = [ "evol-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evol/2010-10-06/evol-20101006-git.tgz";
      sha256 = "1hp6wygj44llkscqq721xg4a7j5faqjcfc646lvkia5xg81zbf65";
      system = "evol-test";
      asd = "evol-test";
    });
    systems = [ "evol-test" ];
    lispLibs = [ (getAttr "evol" pkgs) (getAttr "stefil" pkgs) ];
  };
  example-bot = {
    pname = "example-bot";
    version = "20200925-git";
    asds = [ "example-bot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispcord/2020-09-25/lispcord-20200925-git.tgz";
      sha256 = "1bkvsbnbv21q8xz8z2nmczznd0sllr57l3sc2wm5cjn6h3qg1sgh";
      system = "example-bot";
      asd = "example-bot";
    });
    systems = [ "example-bot" ];
    lispLibs = [ (getAttr "lispcord" pkgs) ];
  };
  exit-hooks = {
    pname = "exit-hooks";
    version = "20170403-git";
    asds = [ "exit-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exit-hooks/2017-04-03/exit-hooks-20170403-git.tgz";
      sha256 = "00rk0pr2cy3hy6giblh166b7yrg06d5lanipjcqv508gkfb0vi47";
      system = "exit-hooks";
      asd = "exit-hooks";
    });
    systems = [ "exit-hooks" ];
    lispLibs = [  ];
  };
  exponential-backoff = {
    pname = "exponential-backoff";
    version = "20150113-git";
    asds = [ "exponential-backoff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exponential-backoff/2015-01-13/exponential-backoff-20150113-git.tgz";
      sha256 = "1389hm9hxv85s0125ja4js1bvh8ay4dsy9q1gaynjv27ynik6gmv";
      system = "exponential-backoff";
      asd = "exponential-backoff";
    });
    systems = [ "exponential-backoff" ];
    lispLibs = [  ];
  };
  exscribe = {
    pname = "exscribe";
    version = "20200925-git";
    asds = [ "exscribe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exscribe/2020-09-25/exscribe-20200925-git.tgz";
      sha256 = "02vsavasr5nbhrk86b7d8xpr6sm8cyrg3vs2pbpkls2iypffyd2h";
      system = "exscribe";
      asd = "exscribe";
    });
    systems = [ "exscribe" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fare-memoization" pkgs) (getAttr "fare-scripts" pkgs) (getAttr "fare-utils" pkgs) (getAttr "quri" pkgs) (getAttr "scribble" pkgs) (getAttr "trivia_dot_quasiquote" pkgs) ];
  };
  exscribe_slash_typeset = {
    pname = "exscribe_typeset";
    version = "20200925-git";
    asds = [ "exscribe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exscribe/2020-09-25/exscribe-20200925-git.tgz";
      sha256 = "02vsavasr5nbhrk86b7d8xpr6sm8cyrg3vs2pbpkls2iypffyd2h";
      system = "exscribe";
      asd = "exscribe";
    });
    systems = [ "exscribe/typeset" ];
    lispLibs = [ (getAttr "cl-typesetting" pkgs) (getAttr "exscribe" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ext-blog = {
    pname = "ext-blog";
    version = "20160825-git";
    asds = [ "ext-blog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ext-blog/2016-08-25/ext-blog-20160825-git.tgz";
      sha256 = "10qnl3p994wg12c0cn6xgkgmwfip0fk0sjyqyy0j5bdrp32gr5wg";
      system = "ext-blog";
      asd = "ext-blog";
    });
    systems = [ "ext-blog" ];
    lispLibs = [ (getAttr "closure-template" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-store" pkgs) (getAttr "image" pkgs) (getAttr "kl-verify" pkgs) (getAttr "local-time" pkgs) (getAttr "restas" pkgs) (getAttr "restas_dot_file-publisher" pkgs) (getAttr "s-xml-rpc" pkgs) ];
  };
  extended-reals = {
    pname = "extended-reals";
    version = "20180328-git";
    asds = [ "extended-reals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extended-reals/2018-03-28/extended-reals-20180328-git.tgz";
      sha256 = "0vq191win5sq37mrwjhvi463jqh1mkwbsa0hja69syq789pgaxmb";
      system = "extended-reals";
      asd = "extended-reals";
    });
    systems = [ "extended-reals" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  extensible-compound-types = {
    pname = "extensible-compound-types";
    version = "20221106-git";
    asds = [ "extensible-compound-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2022-11-06/extensible-compound-types-20221106-git.tgz";
      sha256 = "02why0lajvf4iccw7xhcpsn7956i731xavq2mmyv4plwhd71rczc";
      system = "extensible-compound-types";
      asd = "extensible-compound-types";
    });
    systems = [ "extensible-compound-types" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-environments" pkgs) (getAttr "compiler-macro-notes" pkgs) (getAttr "fiveam" pkgs) (getAttr "in-nomine" pkgs) (getAttr "optima" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  extensible-compound-types-cl = {
    pname = "extensible-compound-types-cl";
    version = "20221106-git";
    asds = [ "extensible-compound-types-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2022-11-06/extensible-compound-types-20221106-git.tgz";
      sha256 = "02why0lajvf4iccw7xhcpsn7956i731xavq2mmyv4plwhd71rczc";
      system = "extensible-compound-types-cl";
      asd = "extensible-compound-types-cl";
    });
    systems = [ "extensible-compound-types-cl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "extensible-compound-types" pkgs) (getAttr "fiveam" pkgs) ];
  };
  extensible-compound-types-cl_slash_specializable-structs = {
    pname = "extensible-compound-types-cl_specializable-structs";
    version = "20221106-git";
    asds = [ "extensible-compound-types-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2022-11-06/extensible-compound-types-20221106-git.tgz";
      sha256 = "02why0lajvf4iccw7xhcpsn7956i731xavq2mmyv4plwhd71rczc";
      system = "extensible-compound-types-cl";
      asd = "extensible-compound-types-cl";
    });
    systems = [ "extensible-compound-types-cl/specializable-structs" ];
    lispLibs = [ (getAttr "cl-form-types" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "extensible-compound-types-cl" pkgs) (getAttr "fiveam" pkgs) (getAttr "polymorphic-functions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  extensible-sequences = {
    pname = "extensible-sequences";
    version = "20130813-darcs";
    asds = [ "extensible-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "extensible-sequences";
      asd = "extensible-sequences";
    });
    systems = [ "extensible-sequences" ];
    lispLibs = [ (getAttr "sequence-iterators" pkgs) ];
  };
  external-program = {
    pname = "external-program";
    version = "20190307-git";
    asds = [ "external-program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-program/2019-03-07/external-program-20190307-git.tgz";
      sha256 = "0vww1x3yilb3bjwg6k184vaj4vxyxw4vralhnlm6lk4xac67kc9z";
      system = "external-program";
      asd = "external-program";
    });
    systems = [ "external-program" ];
    lispLibs = [ (getAttr "trivial-features" pkgs) ];
  };
  external-program-test = {
    pname = "external-program-test";
    version = "20190307-git";
    asds = [ "external-program-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-program/2019-03-07/external-program-20190307-git.tgz";
      sha256 = "0vww1x3yilb3bjwg6k184vaj4vxyxw4vralhnlm6lk4xac67kc9z";
      system = "external-program-test";
      asd = "external-program";
    });
    systems = [ "external-program-test" ];
    lispLibs = [ (getAttr "external-program" pkgs) (getAttr "fiveam" pkgs) ];
  };
  external-symbol-not-found = {
    pname = "external-symbol-not-found";
    version = "20220220-git";
    asds = [ "external-symbol-not-found" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-symbol-not-found/2022-02-20/external-symbol-not-found-20220220-git.tgz";
      sha256 = "1wlz36y1dka4409ngvp583jafwb9z8y6ghmyb84wn9spj66kghz8";
      system = "external-symbol-not-found";
      asd = "external-symbol-not-found";
    });
    systems = [ "external-symbol-not-found" ];
    lispLibs = [  ];
  };
  f-underscore = {
    pname = "f-underscore";
    version = "20101006-darcs";
    asds = [ "f-underscore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f-underscore/2010-10-06/f-underscore-20101006-darcs.tgz";
      sha256 = "0mqvb2rxa08y07lj6smp8gf1ig32802fxq7mw5a283f2nkrinnb5";
      system = "f-underscore";
      asd = "f-underscore";
    });
    systems = [ "f-underscore" ];
    lispLibs = [  ];
  };
  f2cl = {
    pname = "f2cl";
    version = "20200925-git";
    asds = [ "f2cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "f2cl";
      asd = "f2cl";
    });
    systems = [ "f2cl" ];
    lispLibs = [ (getAttr "f2cl-asdf" pkgs) ];
  };
  f2cl-asdf = {
    pname = "f2cl-asdf";
    version = "20200925-git";
    asds = [ "f2cl-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "f2cl-asdf";
      asd = "f2cl-asdf";
    });
    systems = [ "f2cl-asdf" ];
    lispLibs = [  ];
  };
  f2cl-lib = {
    pname = "f2cl-lib";
    version = "20220220-git";
    asds = [ "f2cl-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "f2cl-lib";
      asd = "f2cl-lib";
    });
    systems = [ "f2cl-lib" ];
    lispLibs = [  ];
  };
  fact-base = {
    pname = "fact-base";
    version = "20180328-git";
    asds = [ "fact-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fact-base/2018-03-28/fact-base-20180328-git.tgz";
      sha256 = "14i0vqqxszabhas0z9dfxhvnbsxl4iic77m4i76w7iznmrcma2ar";
      system = "fact-base";
      asd = "fact-base";
    });
    systems = [ "fact-base" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "local-time" pkgs) (getAttr "optima" pkgs) ];
  };
  factory-alien = {
    pname = "factory-alien";
    version = "20220707-git";
    asds = [ "factory-alien" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/factory-alien/2022-07-07/factory-alien-20220707-git.tgz";
      sha256 = "0c59d8faxim39vs0mmy7fxbl721w4vph0ndqwfj7wh6wwqcl5kvm";
      system = "factory-alien";
      asd = "factory-alien";
    });
    systems = [ "factory-alien" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  factory-alien_slash_postmodern = {
    pname = "factory-alien_postmodern";
    version = "20220707-git";
    asds = [ "factory-alien" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/factory-alien/2022-07-07/factory-alien-20220707-git.tgz";
      sha256 = "0c59d8faxim39vs0mmy7fxbl721w4vph0ndqwfj7wh6wwqcl5kvm";
      system = "factory-alien";
      asd = "factory-alien";
    });
    systems = [ "factory-alien/postmodern" ];
    lispLibs = [ (getAttr "factory-alien" pkgs) (getAttr "postmodern" pkgs) ];
    meta = {
      broken = true;
    };
  };
  factory-alien_slash_test = {
    pname = "factory-alien_test";
    version = "20220707-git";
    asds = [ "factory-alien" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/factory-alien/2022-07-07/factory-alien-20220707-git.tgz";
      sha256 = "0c59d8faxim39vs0mmy7fxbl721w4vph0ndqwfj7wh6wwqcl5kvm";
      system = "factory-alien";
      asd = "factory-alien";
    });
    systems = [ "factory-alien/test" ];
    lispLibs = [ (getAttr "factory-alien" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  facts = {
    pname = "facts";
    version = "20221106-git";
    asds = [ "facts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-facts/2022-11-06/cl-facts-20221106-git.tgz";
      sha256 = "09z1vwzjm7hlb529jl3hcjnfd11gh128lmdg51im7ar4jv4746iw";
      system = "facts";
      asd = "facts";
    });
    systems = [ "facts" ];
    lispLibs = [ (getAttr "lessp" pkgs) (getAttr "rollback" pkgs) (getAttr "local-time" pkgs) ];
  };
  fakenil = {
    pname = "fakenil";
    version = "1.0";
    asds = [ "fakenil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fakenil/2020-03-25/fakenil_1.0.tgz";
      sha256 = "0ipqax3sgcs1dsgxz8d2pmfg324k6l35pn0nz89w5jl02fia61l3";
      system = "fakenil";
      asd = "fakenil";
    });
    systems = [ "fakenil" ];
    lispLibs = [  ];
  };
  fakenil_tests = {
    pname = "fakenil_tests";
    version = "1.0";
    asds = [ "fakenil_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fakenil/2020-03-25/fakenil_1.0.tgz";
      sha256 = "0ipqax3sgcs1dsgxz8d2pmfg324k6l35pn0nz89w5jl02fia61l3";
      system = "fakenil_tests";
      asd = "fakenil_tests";
    });
    systems = [ "fakenil_tests" ];
    lispLibs = [ (getAttr "fakenil" pkgs) (getAttr "parachute" pkgs) ];
  };
  fare-csv = {
    pname = "fare-csv";
    version = "20171227-git";
    asds = [ "fare-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-csv/2017-12-27/fare-csv-20171227-git.tgz";
      sha256 = "07y15zm2x28crfjjpcngqqmzzrm2fgj5k8hd1l39qii44wc4rm4b";
      system = "fare-csv";
      asd = "fare-csv";
    });
    systems = [ "fare-csv" ];
    lispLibs = [  ];
  };
  fare-memoization = {
    pname = "fare-memoization";
    version = "20180430-git";
    asds = [ "fare-memoization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-memoization/2018-04-30/fare-memoization-20180430-git.tgz";
      sha256 = "1blmrb4c9gsxj87scz74z1s8w9d1w2r48fyxj0y1sw3vr6bsbb8f";
      system = "fare-memoization";
      asd = "fare-memoization";
    });
    systems = [ "fare-memoization" ];
    lispLibs = [  ];
  };
  fare-memoization_slash_test = {
    pname = "fare-memoization_test";
    version = "20180430-git";
    asds = [ "fare-memoization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-memoization/2018-04-30/fare-memoization-20180430-git.tgz";
      sha256 = "1blmrb4c9gsxj87scz74z1s8w9d1w2r48fyxj0y1sw3vr6bsbb8f";
      system = "fare-memoization";
      asd = "fare-memoization";
    });
    systems = [ "fare-memoization/test" ];
    lispLibs = [ (getAttr "fare-memoization" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fare-mop = {
    pname = "fare-mop";
    version = "20151218-git";
    asds = [ "fare-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-mop/2015-12-18/fare-mop-20151218-git.tgz";
      sha256 = "0maxs8392953fhnaa6zwnm2mdbhxjxipp4g4rvypm06ixr6pyv1c";
      system = "fare-mop";
      asd = "fare-mop";
    });
    systems = [ "fare-mop" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "fare-utils" pkgs) ];
  };
  fare-quasiquote = {
    pname = "fare-quasiquote";
    version = "20200925-git";
    asds = [ "fare-quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote";
      asd = "fare-quasiquote";
    });
    systems = [ "fare-quasiquote" ];
    lispLibs = [ (getAttr "fare-utils" pkgs) ];
  };
  fare-quasiquote-extras = {
    pname = "fare-quasiquote-extras";
    version = "20200925-git";
    asds = [ "fare-quasiquote-extras" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-extras";
      asd = "fare-quasiquote-extras";
    });
    systems = [ "fare-quasiquote-extras" ];
    lispLibs = [ (getAttr "fare-quasiquote-optima" pkgs) (getAttr "fare-quasiquote-readtable" pkgs) ];
  };
  fare-quasiquote-optima = {
    pname = "fare-quasiquote-optima";
    version = "20200925-git";
    asds = [ "fare-quasiquote-optima" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-optima";
      asd = "fare-quasiquote-optima";
    });
    systems = [ "fare-quasiquote-optima" ];
    lispLibs = [ (getAttr "trivia_dot_quasiquote" pkgs) ];
  };
  fare-quasiquote-readtable = {
    pname = "fare-quasiquote-readtable";
    version = "20200925-git";
    asds = [ "fare-quasiquote-readtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-readtable";
      asd = "fare-quasiquote-readtable";
    });
    systems = [ "fare-quasiquote-readtable" ];
    lispLibs = [ (getAttr "fare-quasiquote" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  fare-scripts = {
    pname = "fare-scripts";
    version = "20211230-git";
    asds = [ "fare-scripts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-scripts/2021-12-30/fare-scripts-20211230-git.tgz";
      sha256 = "0i4giia6z2ys9fp5h0ff6r7d74ysynjqar7s9cv5zsiw871rqa1j";
      system = "fare-scripts";
      asd = "fare-scripts";
    });
    systems = [ "fare-scripts" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "binascii" pkgs) (getAttr "cl-launch" pkgs) (getAttr "cl-mime" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-scripting" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "fare-utils" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "optima" pkgs) (getAttr "optima_dot_ppcre" pkgs) (getAttr "swank" pkgs) ];
  };
  fare-utils = {
    pname = "fare-utils";
    version = "20170124-git";
    asds = [ "fare-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-utils/2017-01-24/fare-utils-20170124-git.tgz";
      sha256 = "01wsr1aap3jdzhn4hrqjbhsjx6qci9dbd3gh4gayv1p49rbg8aqr";
      system = "fare-utils";
      asd = "fare-utils";
    });
    systems = [ "fare-utils" ];
    lispLibs = [  ];
  };
  fare-utils-test = {
    pname = "fare-utils-test";
    version = "20170124-git";
    asds = [ "fare-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-utils/2017-01-24/fare-utils-20170124-git.tgz";
      sha256 = "01wsr1aap3jdzhn4hrqjbhsjx6qci9dbd3gh4gayv1p49rbg8aqr";
      system = "fare-utils-test";
      asd = "fare-utils-test";
    });
    systems = [ "fare-utils-test" ];
    lispLibs = [ (getAttr "fare-utils" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  fast-generic-functions = {
    pname = "fast-generic-functions";
    version = "20220220-git";
    asds = [ "fast-generic-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-generic-functions/2022-02-20/fast-generic-functions-20220220-git.tgz";
      sha256 = "16hf9bi2p5s77p3m3aqsihcd9iicqjhhxxpsarjv93c41qs54yad";
      system = "fast-generic-functions";
      asd = "fast-generic-functions";
    });
    systems = [ "fast-generic-functions" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "sealable-metaobjects" pkgs) (getAttr "trivial-macroexpand-all" pkgs) ];
  };
  fast-http = {
    pname = "fast-http";
    version = "20191007-git";
    asds = [ "fast-http" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-http/2019-10-07/fast-http-20191007-git.tgz";
      sha256 = "0al2g7g219jjljsf7b23pbilpgacxy5as5gs2nqf76b5qni396mi";
      system = "fast-http";
      asd = "fast-http";
    });
    systems = [ "fast-http" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "proc-parse" pkgs) (getAttr "smart-buffer" pkgs) (getAttr "xsubseq" pkgs) ];
  };
  fast-http-test = {
    pname = "fast-http-test";
    version = "20191007-git";
    asds = [ "fast-http-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-http/2019-10-07/fast-http-20191007-git.tgz";
      sha256 = "0al2g7g219jjljsf7b23pbilpgacxy5as5gs2nqf76b5qni396mi";
      system = "fast-http-test";
      asd = "fast-http-test";
    });
    systems = [ "fast-http-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-syntax-interpol" pkgs) (getAttr "fast-http" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "xsubseq" pkgs) ];
  };
  fast-io = {
    pname = "fast-io";
    version = "20221106-git";
    asds = [ "fast-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-io/2022-11-06/fast-io-20221106-git.tgz";
      sha256 = "0wh02yagbqahy9z6787jz5ggpagvr18qd0z13wvwq1vjf8xd2530";
      system = "fast-io";
      asd = "fast-io";
    });
    systems = [ "fast-io" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  fast-io-test = {
    pname = "fast-io-test";
    version = "20221106-git";
    asds = [ "fast-io-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-io/2022-11-06/fast-io-20221106-git.tgz";
      sha256 = "0wh02yagbqahy9z6787jz5ggpagvr18qd0z13wvwq1vjf8xd2530";
      system = "fast-io-test";
      asd = "fast-io-test";
    });
    systems = [ "fast-io-test" ];
    lispLibs = [ (getAttr "checkl" pkgs) (getAttr "fast-io" pkgs) (getAttr "fiveam" pkgs) ];
  };
  fast-websocket = {
    pname = "fast-websocket";
    version = "20220707-git";
    asds = [ "fast-websocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-websocket/2022-07-07/fast-websocket-20220707-git.tgz";
      sha256 = "1j7v00gbkzx4mq2v8y44jm4jx321hgrv9igfw23cvzzlyd3dzp6y";
      system = "fast-websocket";
      asd = "fast-websocket";
    });
    systems = [ "fast-websocket" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "fast-io" pkgs) ];
  };
  fast-websocket-test = {
    pname = "fast-websocket-test";
    version = "20220707-git";
    asds = [ "fast-websocket-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-websocket/2022-07-07/fast-websocket-20220707-git.tgz";
      sha256 = "1j7v00gbkzx4mq2v8y44jm4jx321hgrv9igfw23cvzzlyd3dzp6y";
      system = "fast-websocket-test";
      asd = "fast-websocket-test";
    });
    systems = [ "fast-websocket-test" ];
    lispLibs = [ (getAttr "fast-io" pkgs) (getAttr "fast-websocket" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  feeder = {
    pname = "feeder";
    version = "20210228-git";
    asds = [ "feeder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/feeder/2021-02-28/feeder-20210228-git.tgz";
      sha256 = "1dpbzhycg50snl3j01c8dh8gdvhfhz0hnfl54xy55a3wbr3m6rp7";
      system = "feeder";
      asd = "feeder";
    });
    systems = [ "feeder" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "local-time" pkgs) (getAttr "plump" pkgs) ];
  };
  femlisp = {
    pname = "femlisp";
    version = "20210411-git";
    asds = [ "femlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp";
      asd = "femlisp";
    });
    systems = [ "femlisp" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "femlisp-basic" pkgs) (getAttr "femlisp-dictionary" pkgs) (getAttr "femlisp-matlisp" pkgs) (getAttr "femlisp-parallel" pkgs) (getAttr "infix" pkgs) (getAttr "flexi-streams" pkgs) ];
  };
  femlisp-basic = {
    pname = "femlisp-basic";
    version = "20210411-git";
    asds = [ "femlisp-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-basic";
      asd = "femlisp-basic";
    });
    systems = [ "femlisp-basic" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "fiveam" pkgs) ];
  };
  femlisp-dictionary = {
    pname = "femlisp-dictionary";
    version = "20210411-git";
    asds = [ "femlisp-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-dictionary";
      asd = "femlisp-dictionary";
    });
    systems = [ "femlisp-dictionary" ];
    lispLibs = [ (getAttr "femlisp-basic" pkgs) (getAttr "femlisp-parallel" pkgs) (getAttr "trees" pkgs) ];
  };
  femlisp-matlisp = {
    pname = "femlisp-matlisp";
    version = "20210411-git";
    asds = [ "femlisp-matlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-matlisp";
      asd = "femlisp-matlisp";
    });
    systems = [ "femlisp-matlisp" ];
    lispLibs = [ (getAttr "femlisp-basic" pkgs) (getAttr "femlisp-dictionary" pkgs) (getAttr "femlisp-parallel" pkgs) ];
  };
  femlisp-parallel = {
    pname = "femlisp-parallel";
    version = "20210411-git";
    asds = [ "femlisp-parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-parallel";
      asd = "femlisp-parallel";
    });
    systems = [ "femlisp-parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-cpu-affinity" pkgs) (getAttr "femlisp-basic" pkgs) (getAttr "lparallel" pkgs) ];
  };
  femlisp-picture = {
    pname = "femlisp-picture";
    version = "20210411-git";
    asds = [ "femlisp-picture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-picture";
      asd = "femlisp-picture";
    });
    systems = [ "femlisp-picture" ];
    lispLibs = [ (getAttr "cl-gd" pkgs) (getAttr "femlisp" pkgs) ];
  };
  ffa = {
    pname = "ffa";
    version = "20101006-git";
    asds = [ "ffa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ffa/2010-10-06/ffa-20101006-git.tgz";
      sha256 = "0l7kqcjp3sn1129hpwq6zhjqc0ydx9gc53z7k13i38x3z1asap7a";
      system = "ffa";
      asd = "ffa";
    });
    systems = [ "ffa" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  fft = {
    pname = "fft";
    version = "20180711-git";
    asds = [ "fft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fft/2018-07-11/fft-20180711-git.tgz";
      sha256 = "0ymnfplap2cncw49mhq7crapgxphfwsvqdgrcckpgsvw6qsymasd";
      system = "fft";
      asd = "fft";
    });
    systems = [ "fft" ];
    lispLibs = [  ];
  };
  fftpack5 = {
    pname = "fftpack5";
    version = "20200925-git";
    asds = [ "fftpack5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fftpack5";
      asd = "fftpack5";
    });
    systems = [ "fftpack5" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  fftpack5-double = {
    pname = "fftpack5-double";
    version = "20200925-git";
    asds = [ "fftpack5-double" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fftpack5-double";
      asd = "fftpack5-double";
    });
    systems = [ "fftpack5-double" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  fiasco = {
    pname = "fiasco";
    version = "20200610-git";
    asds = [ "fiasco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiasco/2020-06-10/fiasco-20200610-git.tgz";
      sha256 = "1k8i2kq57201bvy3zfpsxld530hd104dgbglxigqb6i408c1a7aw";
      system = "fiasco";
      asd = "fiasco";
    });
    systems = [ "fiasco" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  fiasco-self-tests = {
    pname = "fiasco-self-tests";
    version = "20200610-git";
    asds = [ "fiasco-self-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiasco/2020-06-10/fiasco-20200610-git.tgz";
      sha256 = "1k8i2kq57201bvy3zfpsxld530hd104dgbglxigqb6i408c1a7aw";
      system = "fiasco-self-tests";
      asd = "fiasco";
    });
    systems = [ "fiasco-self-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) ];
  };
  file-attributes = {
    pname = "file-attributes";
    version = "20210807-git";
    asds = [ "file-attributes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-attributes/2021-08-07/file-attributes-20210807-git.tgz";
      sha256 = "0wvdhwpav9kmpdr79v4i33jabzcp95k5mbz7jljkpxzfblzias77";
      system = "file-attributes";
      asd = "file-attributes";
    });
    systems = [ "file-attributes" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  file-local-variable = {
    pname = "file-local-variable";
    version = "20160318-git";
    asds = [ "file-local-variable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-local-variable/2016-03-18/file-local-variable-20160318-git.tgz";
      sha256 = "1jsjd0g41mg76wlqjxliyrfz8fk7ihi06nq2zizmk9np0pmwsxl9";
      system = "file-local-variable";
      asd = "file-local-variable";
    });
    systems = [ "file-local-variable" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) ];
  };
  file-local-variable_dot_test = {
    pname = "file-local-variable.test";
    version = "20160318-git";
    asds = [ "file-local-variable.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-local-variable/2016-03-18/file-local-variable-20160318-git.tgz";
      sha256 = "1jsjd0g41mg76wlqjxliyrfz8fk7ihi06nq2zizmk9np0pmwsxl9";
      system = "file-local-variable.test";
      asd = "file-local-variable.test";
    });
    systems = [ "file-local-variable.test" ];
    lispLibs = [ (getAttr "file-local-variable" pkgs) (getAttr "fiveam" pkgs) ];
  };
  file-notify = {
    pname = "file-notify";
    version = "20220707-git";
    asds = [ "file-notify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-notify/2022-07-07/file-notify-20220707-git.tgz";
      sha256 = "0788d98rqm1krl8nbfh8qshvyf6g336i9bqrdhkx06cfvbh0wcny";
      system = "file-notify";
      asd = "file-notify";
    });
    systems = [ "file-notify" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  file-select = {
    pname = "file-select";
    version = "20220331-git";
    asds = [ "file-select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-select/2022-03-31/file-select-20220331-git.tgz";
      sha256 = "02xi77z6ra2kpj9gkg8kwxidhgwpalbq38hc1f806jfckidpblr3";
      system = "file-select";
      asd = "file-select";
    });
    systems = [ "file-select" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "float-features" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  file-types = {
    pname = "file-types";
    version = "20160929-git";
    asds = [ "file-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-types/2016-09-29/file-types-20160929-git.tgz";
      sha256 = "09l67gzjwx7kx237grm709dsj9rkmmm8s3ya6irmcw8nh587inbs";
      system = "file-types";
      asd = "file-types";
    });
    systems = [ "file-types" ];
    lispLibs = [  ];
  };
  filesystem-utils = {
    pname = "filesystem-utils";
    version = "20221106-git";
    asds = [ "filesystem-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filesystem-utils/2022-11-06/filesystem-utils-20221106-git.tgz";
      sha256 = "1lnfy1zxiixdjmy5xy4wb7xq2n6srwxiyv8ghbjb5x4hsxn5m2j7";
      system = "filesystem-utils";
      asd = "filesystem-utils";
    });
    systems = [ "filesystem-utils" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  filesystem-utils-test = {
    pname = "filesystem-utils-test";
    version = "20221106-git";
    asds = [ "filesystem-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filesystem-utils/2022-11-06/filesystem-utils-20221106-git.tgz";
      sha256 = "1lnfy1zxiixdjmy5xy4wb7xq2n6srwxiyv8ghbjb5x4hsxn5m2j7";
      system = "filesystem-utils-test";
      asd = "filesystem-utils-test";
    });
    systems = [ "filesystem-utils-test" ];
    lispLibs = [ (getAttr "filesystem-utils" pkgs) (getAttr "parachute" pkgs) ];
  };
  filter-maker = {
    pname = "filter-maker";
    version = "20221106-git";
    asds = [ "filter-maker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filter-maker/2022-11-06/filter-maker-20221106-git.tgz";
      sha256 = "00algyghniqsvjy5vwx39fd98nd7x4w944ahy981jlh33lzc2qmn";
      system = "filter-maker";
      asd = "filter-maker";
    });
    systems = [ "filter-maker" ];
    lispLibs = [ (getAttr "mcclim" pkgs) ];
  };
  filtered-functions = {
    pname = "filtered-functions";
    version = "20160318-git";
    asds = [ "filtered-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filtered-functions/2016-03-18/filtered-functions-20160318-git.tgz";
      sha256 = "0m13k8pl0gfll8ss83c0z3gax7zrrw2i4s26451jfbka1xr4fgy9";
      system = "filtered-functions";
      asd = "filtered-functions";
    });
    systems = [ "filtered-functions" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  find-port = {
    pname = "find-port";
    version = "20190710-git";
    asds = [ "find-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/find-port/2019-07-10/find-port-20190710-git.tgz";
      sha256 = "1fw6q7d2bxxb7fqk548ylq8mx4sz95yc0q5h0rwd0mnqjrbwbari";
      system = "find-port";
      asd = "find-port";
    });
    systems = [ "find-port" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  find-port-test = {
    pname = "find-port-test";
    version = "20190710-git";
    asds = [ "find-port-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/find-port/2019-07-10/find-port-20190710-git.tgz";
      sha256 = "1fw6q7d2bxxb7fqk548ylq8mx4sz95yc0q5h0rwd0mnqjrbwbari";
      system = "find-port-test";
      asd = "find-port-test";
    });
    systems = [ "find-port-test" ];
    lispLibs = [ (getAttr "find-port" pkgs) (getAttr "fiveam" pkgs) ];
  };
  finite-state-machine = {
    pname = "finite-state-machine";
    version = "20200218-git";
    asds = [ "finite-state-machine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-fsm/2020-02-18/cl-simple-fsm-20200218-git.tgz";
      sha256 = "1w07df7kakjq3r1v5c4gnavp08ngpn2ni85cggnnsqzc27hly07b";
      system = "finite-state-machine";
      asd = "finite-state-machine";
    });
    systems = [ "finite-state-machine" ];
    lispLibs = [  ];
  };
  firephp = {
    pname = "firephp";
    version = "20160531-git";
    asds = [ "firephp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/firephp/2016-05-31/firephp-20160531-git.tgz";
      sha256 = "1j98z73c21xcjp4f8qvmv37y9zlsnwxx88nnxc3r1ngvxv23dlgh";
      system = "firephp";
      asd = "firephp";
    });
    systems = [ "firephp" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  firephp-tests = {
    pname = "firephp-tests";
    version = "20160531-git";
    asds = [ "firephp-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/firephp/2016-05-31/firephp-20160531-git.tgz";
      sha256 = "1j98z73c21xcjp4f8qvmv37y9zlsnwxx88nnxc3r1ngvxv23dlgh";
      system = "firephp-tests";
      asd = "firephp-tests";
    });
    systems = [ "firephp-tests" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "firephp" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  first-time-value = {
    pname = "first-time-value";
    version = "1.0.1";
    asds = [ "first-time-value" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/first-time-value/2018-12-10/first-time-value-1.0.1.tgz";
      sha256 = "155mqhnw1307b18a8bv8jhqp20qv83b409mlr61m45nq3sivxxp2";
      system = "first-time-value";
      asd = "first-time-value";
    });
    systems = [ "first-time-value" ];
    lispLibs = [  ];
  };
  first-time-value_tests = {
    pname = "first-time-value_tests";
    version = "1.0.1";
    asds = [ "first-time-value_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/first-time-value/2018-12-10/first-time-value-1.0.1.tgz";
      sha256 = "155mqhnw1307b18a8bv8jhqp20qv83b409mlr61m45nq3sivxxp2";
      system = "first-time-value_tests";
      asd = "first-time-value_tests";
    });
    systems = [ "first-time-value_tests" ];
    lispLibs = [ (getAttr "first-time-value" pkgs) (getAttr "parachute" pkgs) ];
  };
  fishpack = {
    pname = "fishpack";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  fishpack_slash_test-hstcrt = {
    pname = "fishpack_test-hstcrt";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hstcrt" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hstcsp = {
    pname = "fishpack_test-hstcsp";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hstcsp" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hstcyl = {
    pname = "fishpack_test-hstcyl";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hstcyl" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hstplr = {
    pname = "fishpack_test-hstplr";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hstplr" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hstssp = {
    pname = "fishpack_test-hstssp";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hstssp" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hwscrt = {
    pname = "fishpack_test-hwscrt";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hwscrt" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hwscsp = {
    pname = "fishpack_test-hwscsp";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hwscsp" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hwscyl = {
    pname = "fishpack_test-hwscyl";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hwscyl" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hwsplr = {
    pname = "fishpack_test-hwsplr";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hwsplr" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-hwsssp = {
    pname = "fishpack_test-hwsssp";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-hwsssp" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fishpack_slash_test-sepx4 = {
    pname = "fishpack_test-sepx4";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack/test-sepx4" ];
    lispLibs = [ (getAttr "fishpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fiveam = {
    pname = "fiveam";
    version = "20220331-git";
    asds = [ "fiveam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam/2022-03-31/fiveam-20220331-git.tgz";
      sha256 = "085kmrafhmhawjri76l5sc2g8xg8v4fn4xsfzbdgv2q5ffzxxd82";
      system = "fiveam";
      asd = "fiveam";
    });
    systems = [ "fiveam" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "net_dot_didierverna_dot_asdf-flv" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  fiveam-asdf = {
    pname = "fiveam-asdf";
    version = "20221106-git";
    asds = [ "fiveam-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam-asdf/2022-11-06/fiveam-asdf-20221106-git.tgz";
      sha256 = "18dhyznwl56lpp289dwg9xm9qwwv5062yawfaj6h1b2jwybqfrq7";
      system = "fiveam-asdf";
      asd = "fiveam-asdf";
    });
    systems = [ "fiveam-asdf" ];
    lispLibs = [  ];
  };
  fiveam-matchers = {
    pname = "fiveam-matchers";
    version = "20221106-git";
    asds = [ "fiveam-matchers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam-matchers/2022-11-06/fiveam-matchers-20221106-git.tgz";
      sha256 = "1l2pzr71y7x7qwwnqxirz567linxzdbjnsdlis2inxbpm1gssdc6";
      system = "fiveam-matchers";
      asd = "fiveam-matchers";
    });
    systems = [ "fiveam-matchers" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "fiveam" pkgs) ];
  };
  fiveam-matchers_slash_tests = {
    pname = "fiveam-matchers_tests";
    version = "20221106-git";
    asds = [ "fiveam-matchers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam-matchers/2022-11-06/fiveam-matchers-20221106-git.tgz";
      sha256 = "1l2pzr71y7x7qwwnqxirz567linxzdbjnsdlis2inxbpm1gssdc6";
      system = "fiveam-matchers";
      asd = "fiveam-matchers";
    });
    systems = [ "fiveam-matchers/tests" ];
    lispLibs = [ (getAttr "fiveam-matchers" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fiveam_slash_test = {
    pname = "fiveam_test";
    version = "20220331-git";
    asds = [ "fiveam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam/2022-03-31/fiveam-20220331-git.tgz";
      sha256 = "085kmrafhmhawjri76l5sc2g8xg8v4fn4xsfzbdgv2q5ffzxxd82";
      system = "fiveam";
      asd = "fiveam";
    });
    systems = [ "fiveam/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fixed = {
    pname = "fixed";
    version = "20170124-git";
    asds = [ "fixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fixed/2017-01-24/fixed-20170124-git.tgz";
      sha256 = "0bx8802fmlml5k5xhcm4g5r6c7ambij4gb0b37xljjn3wxgs83dc";
      system = "fixed";
      asd = "fixed";
    });
    systems = [ "fixed" ];
    lispLibs = [  ];
  };
  fixed_slash_real-time = {
    pname = "fixed_real-time";
    version = "20170124-git";
    asds = [ "fixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fixed/2017-01-24/fixed-20170124-git.tgz";
      sha256 = "0bx8802fmlml5k5xhcm4g5r6c7ambij4gb0b37xljjn3wxgs83dc";
      system = "fixed";
      asd = "fixed";
    });
    systems = [ "fixed/real-time" ];
    lispLibs = [ (getAttr "fixed" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fixed_slash_test = {
    pname = "fixed_test";
    version = "20170124-git";
    asds = [ "fixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fixed/2017-01-24/fixed-20170124-git.tgz";
      sha256 = "0bx8802fmlml5k5xhcm4g5r6c7ambij4gb0b37xljjn3wxgs83dc";
      system = "fixed";
      asd = "fixed";
    });
    systems = [ "fixed/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "fixed" pkgs) ];
    meta = {
      broken = true;
    };
  };
  flac = {
    pname = "flac";
    version = "20151218-git";
    asds = [ "flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "flac";
      asd = "flac";
    });
    systems = [ "flac" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  flac-metadata = {
    pname = "flac-metadata";
    version = "20220707-git";
    asds = [ "flac-metadata" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flac-metadata/2022-07-07/flac-metadata-20220707-git.tgz";
      sha256 = "1p515ym8rwrz3mybig83z41jrbrviikp3yyqgn9qzzjcrx7x1zsg";
      system = "flac-metadata";
      asd = "flac-metadata";
    });
    systems = [ "flac-metadata" ];
    lispLibs = [ (getAttr "binary-parser" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  flare = {
    pname = "flare";
    version = "20221106-git";
    asds = [ "flare" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flare/2022-11-06/flare-20221106-git.tgz";
      sha256 = "12scbnjqkyvaqmawfvih42vxp9nydlqh08nif9glv7nlav6dgvlp";
      system = "flare";
      asd = "flare";
    });
    systems = [ "flare" ];
    lispLibs = [ (getAttr "_3d-vectors" pkgs) (getAttr "array-utils" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "for" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  flare-viewer = {
    pname = "flare-viewer";
    version = "20221106-git";
    asds = [ "flare-viewer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flare/2022-11-06/flare-20221106-git.tgz";
      sha256 = "12scbnjqkyvaqmawfvih42vxp9nydlqh08nif9glv7nlav6dgvlp";
      system = "flare-viewer";
      asd = "flare-viewer";
    });
    systems = [ "flare-viewer" ];
    lispLibs = [ (getAttr "cl-opengl" pkgs) (getAttr "flare" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtopengl" pkgs) (getAttr "qtools" pkgs) (getAttr "verbose" pkgs) ];
  };
  flat-tree = {
    pname = "flat-tree";
    version = "20190813-git";
    asds = [ "flat-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flat-tree/2019-08-13/cl-flat-tree-20190813-git.tgz";
      sha256 = "05nw1j0rr0vgz6shkjv87yn2mp0b4s7v5gxxcqcn1qi7fgbn55z7";
      system = "flat-tree";
      asd = "flat-tree";
    });
    systems = [ "flat-tree" ];
    lispLibs = [  ];
  };
  flexi-streams = {
    pname = "flexi-streams";
    version = "20220220-git";
    asds = [ "flexi-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexi-streams/2022-02-20/flexi-streams-20220220-git.tgz";
      sha256 = "04azqvz11s8dngy49bjl19hrfn0ip1b7m0szm4hlppq364msil7b";
      system = "flexi-streams";
      asd = "flexi-streams";
    });
    systems = [ "flexi-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  flexi-streams-test = {
    pname = "flexi-streams-test";
    version = "20220220-git";
    asds = [ "flexi-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexi-streams/2022-02-20/flexi-streams-20220220-git.tgz";
      sha256 = "04azqvz11s8dngy49bjl19hrfn0ip1b7m0szm4hlppq364msil7b";
      system = "flexi-streams-test";
      asd = "flexi-streams-test";
    });
    systems = [ "flexi-streams-test" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) ];
  };
  flexichain = {
    pname = "flexichain";
    version = "20201220-git";
    asds = [ "flexichain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexichain/2020-12-20/flexichain-20201220-git.tgz";
      sha256 = "1ivkffnkc1iqmpl1p1rgyfbbgjmjcid4iszvdql1jjz324lq94g6";
      system = "flexichain";
      asd = "flexichain";
    });
    systems = [ "flexichain" ];
    lispLibs = [ (getAttr "trivial-garbage" pkgs) ];
  };
  flexichain-doc = {
    pname = "flexichain-doc";
    version = "20201220-git";
    asds = [ "flexichain-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexichain/2020-12-20/flexichain-20201220-git.tgz";
      sha256 = "1ivkffnkc1iqmpl1p1rgyfbbgjmjcid4iszvdql1jjz324lq94g6";
      system = "flexichain-doc";
      asd = "flexichain-doc";
    });
    systems = [ "flexichain-doc" ];
    lispLibs = [  ];
  };
  float-features = {
    pname = "float-features";
    version = "20221106-git";
    asds = [ "float-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/float-features/2022-11-06/float-features-20221106-git.tgz";
      sha256 = "0d1n9zricjqbyxlalwwdsrhrz1cbg1wlhyr66v6rad84gscx1v29";
      system = "float-features";
      asd = "float-features";
    });
    systems = [ "float-features" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  float-features-tests = {
    pname = "float-features-tests";
    version = "20221106-git";
    asds = [ "float-features-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/float-features/2022-11-06/float-features-20221106-git.tgz";
      sha256 = "0d1n9zricjqbyxlalwwdsrhrz1cbg1wlhyr66v6rad84gscx1v29";
      system = "float-features-tests";
      asd = "float-features-tests";
    });
    systems = [ "float-features-tests" ];
    lispLibs = [ (getAttr "float-features" pkgs) (getAttr "parachute" pkgs) ];
  };
  floating-point = {
    pname = "floating-point";
    version = "20141106-git";
    asds = [ "floating-point" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point/2014-11-06/floating-point-20141106-git.tgz";
      sha256 = "1bqslmykg04innaqlp369pyjh61isj8xgv2h6pm95gsrxnf6wf7s";
      system = "floating-point";
      asd = "floating-point";
    });
    systems = [ "floating-point" ];
    lispLibs = [  ];
  };
  floating-point-contractions = {
    pname = "floating-point-contractions";
    version = "20201220-git";
    asds = [ "floating-point-contractions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point-contractions/2020-12-20/floating-point-contractions-20201220-git.tgz";
      sha256 = "0mr8bnc7hn0ii0cmlfnlwc14zkgbgdf099x5crrf9cp9wda4p082";
      system = "floating-point-contractions";
      asd = "floating-point-contractions";
    });
    systems = [ "floating-point-contractions" ];
    lispLibs = [  ];
  };
  floating-point-test = {
    pname = "floating-point-test";
    version = "20141106-git";
    asds = [ "floating-point-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point/2014-11-06/floating-point-20141106-git.tgz";
      sha256 = "1bqslmykg04innaqlp369pyjh61isj8xgv2h6pm95gsrxnf6wf7s";
      system = "floating-point-test";
      asd = "floating-point-test";
    });
    systems = [ "floating-point-test" ];
    lispLibs = [ (getAttr "floating-point" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  flow = {
    pname = "flow";
    version = "20200610-git";
    asds = [ "flow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flow/2020-06-10/flow-20200610-git.tgz";
      sha256 = "0ysw1kwiqlf8kzllhnz8v3q40dmvwf83fzq8bfkbmwy5hfjh3pxp";
      system = "flow";
      asd = "flow";
    });
    systems = [ "flow" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  flow-visualizer = {
    pname = "flow-visualizer";
    version = "20200610-git";
    asds = [ "flow-visualizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flow/2020-06-10/flow-20200610-git.tgz";
      sha256 = "0ysw1kwiqlf8kzllhnz8v3q40dmvwf83fzq8bfkbmwy5hfjh3pxp";
      system = "flow-visualizer";
      asd = "flow-visualizer";
    });
    systems = [ "flow-visualizer" ];
    lispLibs = [ (getAttr "flow" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) ];
  };
  flute = {
    pname = "flute";
    version = "20180831-git";
    asds = [ "flute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flute/2018-08-31/flute-20180831-git.tgz";
      sha256 = "0q8jhp040cvpppyn820mm6a550yfxyr1lar298x13c42mm807f4f";
      system = "flute";
      asd = "flute";
    });
    systems = [ "flute" ];
    lispLibs = [ (getAttr "assoc-utils" pkgs) (getAttr "let-over-lambda" pkgs) ];
  };
  flute-test = {
    pname = "flute-test";
    version = "20180831-git";
    asds = [ "flute-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flute/2018-08-31/flute-20180831-git.tgz";
      sha256 = "0q8jhp040cvpppyn820mm6a550yfxyr1lar298x13c42mm807f4f";
      system = "flute-test";
      asd = "flute-test";
    });
    systems = [ "flute-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "flute" pkgs) ];
  };
  fmarshal = {
    pname = "fmarshal";
    version = "20130720-git";
    asds = [ "fmarshal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marshal/2013-07-20/marshal-20130720-git.tgz";
      sha256 = "1c0hcf7i9kzgbmayhmcjg0kv5966yqlimvj67gl4mzvwhbdkc2nf";
      system = "fmarshal";
      asd = "fmarshal";
    });
    systems = [ "fmarshal" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  fmarshal-test = {
    pname = "fmarshal-test";
    version = "20130720-git";
    asds = [ "fmarshal-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marshal/2013-07-20/marshal-20130720-git.tgz";
      sha256 = "1c0hcf7i9kzgbmayhmcjg0kv5966yqlimvj67gl4mzvwhbdkc2nf";
      system = "fmarshal-test";
      asd = "fmarshal-test";
    });
    systems = [ "fmarshal-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "fmarshal" pkgs) ];
  };
  fmt = {
    pname = "fmt";
    version = "20220331-git";
    asds = [ "fmt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt";
      asd = "fmt";
    });
    systems = [ "fmt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  fmt-test = {
    pname = "fmt-test";
    version = "20220331-git";
    asds = [ "fmt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt-test";
      asd = "fmt-test";
    });
    systems = [ "fmt-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "fmt" pkgs) ];
  };
  fmt-time = {
    pname = "fmt-time";
    version = "20220331-git";
    asds = [ "fmt-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt-time";
      asd = "fmt-time";
    });
    systems = [ "fmt-time" ];
    lispLibs = [ (getAttr "fmt" pkgs) (getAttr "local-time" pkgs) ];
  };
  fn = {
    pname = "fn";
    version = "20171019-git";
    asds = [ "fn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fn/2017-10-19/fn-20171019-git.tgz";
      sha256 = "0yyp9z6iwx476whz0n1rpjznjyqqhlylhzwpgg5xx92lxmskl752";
      system = "fn";
      asd = "fn";
    });
    systems = [ "fn" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  fof = {
    pname = "fof";
    version = "20211230-git";
    asds = [ "fof" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fof/2021-12-30/fof-20211230-git.tgz";
      sha256 = "0ipy51q2fw03xk9rqcyzbq2b9c32npc1gl3c53rdjywpak7zwwg6";
      system = "fof";
      asd = "fof";
    });
    systems = [ "fof" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "local-time" pkgs) (getAttr "magicffi" pkgs) (getAttr "named-readtables" pkgs) (getAttr "osicat" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
  };
  fof_slash_mf = {
    pname = "fof_mf";
    version = "20211230-git";
    asds = [ "fof" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fof/2021-12-30/fof-20211230-git.tgz";
      sha256 = "0ipy51q2fw03xk9rqcyzbq2b9c32npc1gl3c53rdjywpak7zwwg6";
      system = "fof";
      asd = "fof";
    });
    systems = [ "fof/mf" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  folio = {
    pname = "folio";
    version = "20130128-git";
    asds = [ "folio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio";
      asd = "folio";
    });
    systems = [ "folio" ];
    lispLibs = [ (getAttr "folio_dot_as" pkgs) (getAttr "folio_dot_boxes" pkgs) (getAttr "folio_dot_collections" pkgs) (getAttr "folio_dot_functions" pkgs) ];
  };
  folio_dot_as = {
    pname = "folio.as";
    version = "20130128-git";
    asds = [ "folio.as" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.as";
      asd = "folio.as";
    });
    systems = [ "folio.as" ];
    lispLibs = [  ];
  };
  folio_dot_boxes = {
    pname = "folio.boxes";
    version = "20130128-git";
    asds = [ "folio.boxes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.boxes";
      asd = "folio.boxes";
    });
    systems = [ "folio.boxes" ];
    lispLibs = [  ];
  };
  folio_dot_collections = {
    pname = "folio.collections";
    version = "20130128-git";
    asds = [ "folio.collections" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.collections";
      asd = "folio.collections";
    });
    systems = [ "folio.collections" ];
    lispLibs = [ (getAttr "folio_dot_as" pkgs) (getAttr "folio_dot_functions" pkgs) (getAttr "fset" pkgs) ];
  };
  folio_dot_functions = {
    pname = "folio.functions";
    version = "20130128-git";
    asds = [ "folio.functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.functions";
      asd = "folio.functions";
    });
    systems = [ "folio.functions" ];
    lispLibs = [  ];
  };
  folio2 = {
    pname = "folio2";
    version = "20191007-git";
    asds = [ "folio2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2";
      asd = "folio2";
    });
    systems = [ "folio2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "folio2-as" pkgs) (getAttr "folio2-as-syntax" pkgs) (getAttr "folio2-boxes" pkgs) (getAttr "folio2-functions" pkgs) (getAttr "folio2-functions-syntax" pkgs) (getAttr "folio2-make" pkgs) (getAttr "folio2-maps" pkgs) (getAttr "folio2-maps-syntax" pkgs) (getAttr "folio2-pairs" pkgs) (getAttr "folio2-sequences" pkgs) (getAttr "folio2-sequences-syntax" pkgs) (getAttr "folio2-series" pkgs) (getAttr "folio2-taps" pkgs) (getAttr "fset" pkgs) (getAttr "series" pkgs) ];
  };
  folio2-as = {
    pname = "folio2-as";
    version = "20191007-git";
    asds = [ "folio2-as" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as";
      asd = "folio2-as";
    });
    systems = [ "folio2-as" ];
    lispLibs = [  ];
  };
  folio2-as-syntax = {
    pname = "folio2-as-syntax";
    version = "20191007-git";
    asds = [ "folio2-as-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as-syntax";
      asd = "folio2-as-syntax";
    });
    systems = [ "folio2-as-syntax" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) ];
  };
  folio2-as-tests = {
    pname = "folio2-as-tests";
    version = "20191007-git";
    asds = [ "folio2-as-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as-tests";
      asd = "folio2-as-tests";
    });
    systems = [ "folio2-as-tests" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-as-syntax" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-boxes = {
    pname = "folio2-boxes";
    version = "20191007-git";
    asds = [ "folio2-boxes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-boxes";
      asd = "folio2-boxes";
    });
    systems = [ "folio2-boxes" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) ];
  };
  folio2-boxes-tests = {
    pname = "folio2-boxes-tests";
    version = "20191007-git";
    asds = [ "folio2-boxes-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-boxes-tests";
      asd = "folio2-boxes-tests";
    });
    systems = [ "folio2-boxes-tests" ];
    lispLibs = [ (getAttr "folio2-boxes" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-functions = {
    pname = "folio2-functions";
    version = "20191007-git";
    asds = [ "folio2-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions";
      asd = "folio2-functions";
    });
    systems = [ "folio2-functions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) ];
  };
  folio2-functions-syntax = {
    pname = "folio2-functions-syntax";
    version = "20191007-git";
    asds = [ "folio2-functions-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions-syntax";
      asd = "folio2-functions-syntax";
    });
    systems = [ "folio2-functions-syntax" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "folio2-functions" pkgs) ];
  };
  folio2-functions-tests = {
    pname = "folio2-functions-tests";
    version = "20191007-git";
    asds = [ "folio2-functions-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions-tests";
      asd = "folio2-functions-tests";
    });
    systems = [ "folio2-functions-tests" ];
    lispLibs = [ (getAttr "folio2-functions" pkgs) (getAttr "folio2-functions-syntax" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-make = {
    pname = "folio2-make";
    version = "20191007-git";
    asds = [ "folio2-make" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-make";
      asd = "folio2-make";
    });
    systems = [ "folio2-make" ];
    lispLibs = [  ];
  };
  folio2-make-tests = {
    pname = "folio2-make-tests";
    version = "20191007-git";
    asds = [ "folio2-make-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-make-tests";
      asd = "folio2-make-tests";
    });
    systems = [ "folio2-make-tests" ];
    lispLibs = [ (getAttr "folio2-make" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-maps = {
    pname = "folio2-maps";
    version = "20191007-git";
    asds = [ "folio2-maps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps";
      asd = "folio2-maps";
    });
    systems = [ "folio2-maps" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) (getAttr "fset" pkgs) ];
  };
  folio2-maps-syntax = {
    pname = "folio2-maps-syntax";
    version = "20191007-git";
    asds = [ "folio2-maps-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps-syntax";
      asd = "folio2-maps-syntax";
    });
    systems = [ "folio2-maps-syntax" ];
    lispLibs = [ (getAttr "folio2-maps" pkgs) ];
  };
  folio2-maps-tests = {
    pname = "folio2-maps-tests";
    version = "20191007-git";
    asds = [ "folio2-maps-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps-tests";
      asd = "folio2-maps-tests";
    });
    systems = [ "folio2-maps-tests" ];
    lispLibs = [ (getAttr "folio2-maps" pkgs) (getAttr "folio2-maps-syntax" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-pairs = {
    pname = "folio2-pairs";
    version = "20191007-git";
    asds = [ "folio2-pairs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-pairs";
      asd = "folio2-pairs";
    });
    systems = [ "folio2-pairs" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) ];
  };
  folio2-pairs-tests = {
    pname = "folio2-pairs-tests";
    version = "20191007-git";
    asds = [ "folio2-pairs-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-pairs-tests";
      asd = "folio2-pairs-tests";
    });
    systems = [ "folio2-pairs-tests" ];
    lispLibs = [ (getAttr "folio2-pairs" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-sequences = {
    pname = "folio2-sequences";
    version = "20191007-git";
    asds = [ "folio2-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences";
      asd = "folio2-sequences";
    });
    systems = [ "folio2-sequences" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) (getAttr "folio2-pairs" pkgs) (getAttr "fset" pkgs) (getAttr "series" pkgs) ];
  };
  folio2-sequences-syntax = {
    pname = "folio2-sequences-syntax";
    version = "20191007-git";
    asds = [ "folio2-sequences-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences-syntax";
      asd = "folio2-sequences-syntax";
    });
    systems = [ "folio2-sequences-syntax" ];
    lispLibs = [ (getAttr "folio2-sequences" pkgs) ];
  };
  folio2-sequences-tests = {
    pname = "folio2-sequences-tests";
    version = "20191007-git";
    asds = [ "folio2-sequences-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences-tests";
      asd = "folio2-sequences-tests";
    });
    systems = [ "folio2-sequences-tests" ];
    lispLibs = [ (getAttr "folio2-sequences" pkgs) (getAttr "folio2-sequences-syntax" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-series = {
    pname = "folio2-series";
    version = "20191007-git";
    asds = [ "folio2-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-series";
      asd = "folio2-series";
    });
    systems = [ "folio2-series" ];
    lispLibs = [ (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) (getAttr "folio2-pairs" pkgs) (getAttr "folio2-sequences" pkgs) (getAttr "fset" pkgs) (getAttr "series" pkgs) ];
  };
  folio2-series-tests = {
    pname = "folio2-series-tests";
    version = "20191007-git";
    asds = [ "folio2-series-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-series-tests";
      asd = "folio2-series-tests";
    });
    systems = [ "folio2-series-tests" ];
    lispLibs = [ (getAttr "folio2-series" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-taps = {
    pname = "folio2-taps";
    version = "20191007-git";
    asds = [ "folio2-taps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-taps";
      asd = "folio2-taps";
    });
    systems = [ "folio2-taps" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "folio2-as" pkgs) (getAttr "folio2-make" pkgs) (getAttr "folio2-maps" pkgs) (getAttr "folio2-pairs" pkgs) (getAttr "folio2-sequences" pkgs) (getAttr "folio2-series" pkgs) (getAttr "fset" pkgs) ];
  };
  folio2-taps-tests = {
    pname = "folio2-taps-tests";
    version = "20191007-git";
    asds = [ "folio2-taps-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-taps-tests";
      asd = "folio2-taps-tests";
    });
    systems = [ "folio2-taps-tests" ];
    lispLibs = [ (getAttr "folio2-taps" pkgs) (getAttr "lift" pkgs) ];
  };
  folio2-tests = {
    pname = "folio2-tests";
    version = "20191007-git";
    asds = [ "folio2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-tests";
      asd = "folio2-tests";
    });
    systems = [ "folio2-tests" ];
    lispLibs = [ (getAttr "folio2" pkgs) ];
  };
  font-discovery = {
    pname = "font-discovery";
    version = "20221106-git";
    asds = [ "font-discovery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/font-discovery/2022-11-06/font-discovery-20221106-git.tgz";
      sha256 = "1p9wkwc23rnif8vcjaj5ih1fmr5g57sidqjlz08qw6k0z4f6bia1";
      system = "font-discovery";
      asd = "font-discovery";
    });
    systems = [ "font-discovery" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  foo-wild = {
    pname = "foo-wild";
    version = "20210531-git";
    asds = [ "foo-wild" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wild-package-inferred-system/2021-05-31/wild-package-inferred-system-20210531-git.tgz";
      sha256 = "0sp3j3i83aqyq9bl3djs490nilryi9sh1wjbcqd9z94d9wfbfz80";
      system = "foo-wild";
      asd = "foo-wild";
    });
    systems = [ "foo-wild" ];
    lispLibs = [ (getAttr "wild-package-inferred-system" pkgs) ];
  };
  for = {
    pname = "for";
    version = "20221106-git";
    asds = [ "for" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/for/2022-11-06/for-20221106-git.tgz";
      sha256 = "1abh18767wivawcqgg8ac2hi8ss57k2fnn2y0y9b5ymk7aqw1c0m";
      system = "for";
      asd = "for";
    });
    systems = [ "for" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "lambda-fiddle" pkgs) ];
  };
  foreign-array = {
    pname = "foreign-array";
    version = "master-df14cb8c-git";
    asds = [ "foreign-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "foreign-array";
      asd = "foreign-array";
    });
    systems = [ "foreign-array" ];
    lispLibs = [ (getAttr "antik-base" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  fork-future = {
    pname = "fork-future";
    version = "20220220-git";
    asds = [ "fork-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "fork-future";
      asd = "fork-future";
    });
    systems = [ "fork-future" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-store" pkgs) ];
  };
  form-fiddle = {
    pname = "form-fiddle";
    version = "20190710-git";
    asds = [ "form-fiddle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/form-fiddle/2019-07-10/form-fiddle-20190710-git.tgz";
      sha256 = "041iznc9mpfyrl0sv5893ys9pbb2pvbn9g3clarqi7gsfj483jln";
      system = "form-fiddle";
      asd = "form-fiddle";
    });
    systems = [ "form-fiddle" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  format-string-builder = {
    pname = "format-string-builder";
    version = "20170124-git";
    asds = [ "format-string-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/format-string-builder/2017-01-24/format-string-builder-20170124-git.tgz";
      sha256 = "1266w5wynfhamxdf8ms2236m202f6982fd9ph8fs98nqccq2pcac";
      system = "format-string-builder";
      asd = "format-string-builder";
    });
    systems = [ "format-string-builder" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) ];
  };
  formlets = {
    pname = "formlets";
    version = "20161204-git";
    asds = [ "formlets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/formlets/2016-12-04/formlets-20161204-git.tgz";
      sha256 = "0r2afi5lwzxfb8xylx9cs44wqhla4b50k21nzg2dxn7z8m6yspfn";
      system = "formlets";
      asd = "formlets";
    });
    systems = [ "formlets" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  formlets-test = {
    pname = "formlets-test";
    version = "20161204-git";
    asds = [ "formlets-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/formlets/2016-12-04/formlets-20161204-git.tgz";
      sha256 = "0r2afi5lwzxfb8xylx9cs44wqhla4b50k21nzg2dxn7z8m6yspfn";
      system = "formlets-test";
      asd = "formlets-test";
    });
    systems = [ "formlets-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "drakma" pkgs) (getAttr "formlets" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  fprog = {
    pname = "fprog";
    version = "20181210-git";
    asds = [ "fprog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "fprog";
      asd = "fprog";
    });
    systems = [ "fprog" ];
    lispLibs = [  ];
  };
  fps-independent-timestep = {
    pname = "fps-independent-timestep";
    version = "20200427-git";
    asds = [ "fps-independent-timestep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "fps-independent-timestep";
      asd = "fps-independent-timestep";
    });
    systems = [ "fps-independent-timestep" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "local-time" pkgs) ];
  };
  fred = {
    pname = "fred";
    version = "20150923-git";
    asds = [ "fred" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fred/2015-09-23/fred-20150923-git.tgz";
      sha256 = "0qn2rd67haz4pvvv4yp2yvbvjhficv8xjm7ijg0r34gxllm6i373";
      system = "fred";
      asd = "fred";
    });
    systems = [ "fred" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "s-xml" pkgs) ];
  };
  freebsd-ffi = {
    pname = "freebsd-ffi";
    version = "20220707-git";
    asds = [ "freebsd-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freebsd-ffi/2022-07-07/freebsd-ffi-20220707-git.tgz";
      sha256 = "0mhbkigxmkjn5pdn58pn80d1wv49zd4vq0i59pnj6wir1fnr7mva";
      system = "freebsd-ffi";
      asd = "freebsd-ffi";
    });
    systems = [ "freebsd-ffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  freebsd-sysctl = {
    pname = "freebsd-sysctl";
    version = "20210228-git";
    asds = [ "freebsd-sysctl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freebsd-sysctl/2021-02-28/freebsd-sysctl-20210228-git.tgz";
      sha256 = "1gzqiqz0pi273ia2q61bhr908ymbl8cll5v2h8lkicr9pff37g91";
      system = "freebsd-sysctl";
      asd = "freebsd-sysctl";
    });
    systems = [ "freebsd-sysctl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  freebsd-sysctl_slash_tests = {
    pname = "freebsd-sysctl_tests";
    version = "20210228-git";
    asds = [ "freebsd-sysctl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freebsd-sysctl/2021-02-28/freebsd-sysctl-20210228-git.tgz";
      sha256 = "1gzqiqz0pi273ia2q61bhr908ymbl8cll5v2h8lkicr9pff37g91";
      system = "freebsd-sysctl";
      asd = "freebsd-sysctl";
    });
    systems = [ "freebsd-sysctl/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "freebsd-sysctl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  freesound = {
    pname = "freesound";
    version = "20210411-git";
    asds = [ "freesound" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freesound/2021-04-11/freesound-20210411-git.tgz";
      sha256 = "1nsmbz7qx9wn86860zlnw75sdgpr8qfzgqfbwxggc3zr7p83kric";
      system = "freesound";
      asd = "freesound";
    });
    systems = [ "freesound" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "dexador" pkgs) (getAttr "trivial-open-browser" pkgs) (getAttr "yason" pkgs) ];
  };
  fresnel = {
    pname = "fresnel";
    version = "20220707-git";
    asds = [ "fresnel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fresnel/2022-07-07/fresnel-20220707-git.tgz";
      sha256 = "005bm16x00m409jccjq36xd7319pbwhqvqvk0v2mwpi6znrq4l0c";
      system = "fresnel";
      asd = "fresnel";
    });
    systems = [ "fresnel" ];
    lispLibs = [ (getAttr "gt" pkgs) (getAttr "fare-quasiquote-extras" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
  };
  fresnel_slash_readtable = {
    pname = "fresnel_readtable";
    version = "20220707-git";
    asds = [ "fresnel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fresnel/2022-07-07/fresnel-20220707-git.tgz";
      sha256 = "005bm16x00m409jccjq36xd7319pbwhqvqvk0v2mwpi6znrq4l0c";
      system = "fresnel";
      asd = "fresnel";
    });
    systems = [ "fresnel/readtable" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "gt" pkgs) (getAttr "fare-quasiquote-extras" pkgs) ];
    meta = {
      broken = true;
    };
  };
  froute = {
    pname = "froute";
    version = "20180711-git";
    asds = [ "froute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/froute/2018-07-11/froute-20180711-git.tgz";
      sha256 = "1q7xzgn7g5ky1d8m121r8hskcg4gqpripr791k03y7dz5vkfj14x";
      system = "froute";
      asd = "froute";
    });
    systems = [ "froute" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  froute_slash_hunchentoot = {
    pname = "froute_hunchentoot";
    version = "20180711-git";
    asds = [ "froute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/froute/2018-07-11/froute-20180711-git.tgz";
      sha256 = "1q7xzgn7g5ky1d8m121r8hskcg4gqpripr791k03y7dz5vkfj14x";
      system = "froute";
      asd = "froute";
    });
    systems = [ "froute/hunchentoot" ];
    lispLibs = [ (getAttr "froute" pkgs) (getAttr "hunchentoot" pkgs) ];
    meta = {
      broken = true;
    };
  };
  froute_slash_test = {
    pname = "froute_test";
    version = "20180711-git";
    asds = [ "froute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/froute/2018-07-11/froute-20180711-git.tgz";
      sha256 = "1q7xzgn7g5ky1d8m121r8hskcg4gqpripr791k03y7dz5vkfj14x";
      system = "froute";
      asd = "froute";
    });
    systems = [ "froute/test" ];
    lispLibs = [ (getAttr "froute" pkgs) (getAttr "lisp-unit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  frpc = {
    pname = "frpc";
    version = "20151031-git";
    asds = [ "frpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc";
      asd = "frpc";
    });
    systems = [ "frpc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "glass" pkgs) (getAttr "nibbles" pkgs) (getAttr "pounds" pkgs) (getAttr "usocket" pkgs) ];
  };
  frpc-des = {
    pname = "frpc-des";
    version = "20151031-git";
    asds = [ "frpc-des" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc-des";
      asd = "frpc";
    });
    systems = [ "frpc-des" ];
    lispLibs = [ (getAttr "frpc" pkgs) (getAttr "ironclad" pkgs) ];
  };
  frpc-gss = {
    pname = "frpc-gss";
    version = "20151031-git";
    asds = [ "frpc-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc-gss";
      asd = "frpc";
    });
    systems = [ "frpc-gss" ];
    lispLibs = [ (getAttr "cerberus" pkgs) (getAttr "frpc" pkgs) ];
  };
  frpcgen = {
    pname = "frpcgen";
    version = "20151031-git";
    asds = [ "frpcgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpcgen";
      asd = "frpcgen";
    });
    systems = [ "frpcgen" ];
    lispLibs = [ (getAttr "cl-lex" pkgs) (getAttr "yacc" pkgs) (getAttr "frpc" pkgs) ];
  };
  fs-watcher = {
    pname = "fs-watcher";
    version = "20171130-git";
    asds = [ "fs-watcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fs-watcher/2017-11-30/fs-watcher-20171130-git.tgz";
      sha256 = "0fr2wb39609z4afk4w21vwnwi4g050x4gag2ykdx6hn9m65cp9db";
      system = "fs-watcher";
      asd = "fs-watcher";
    });
    systems = [ "fs-watcher" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "com_dot_gigamonkeys_dot_pathnames" pkgs) ];
  };
  fset = {
    pname = "fset";
    version = "20200925-git";
    asds = [ "fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fset/2020-09-25/fset-20200925-git.tgz";
      sha256 = "15285aacb0dlhvbrkc11yffp5x2zd1jvm77zz7rrpbdwqbafp8sy";
      system = "fset";
      asd = "fset";
    });
    systems = [ "fset" ];
    lispLibs = [ (getAttr "misc-extensions" pkgs) (getAttr "mt19937" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  fset_slash_test = {
    pname = "fset_test";
    version = "20200925-git";
    asds = [ "fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fset/2020-09-25/fset-20200925-git.tgz";
      sha256 = "15285aacb0dlhvbrkc11yffp5x2zd1jvm77zz7rrpbdwqbafp8sy";
      system = "fset";
      asd = "fset";
    });
    systems = [ "fset/test" ];
    lispLibs = [ (getAttr "fset" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fsocket = {
    pname = "fsocket";
    version = "20211230-git";
    asds = [ "fsocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fsocket/2021-12-30/fsocket-20211230-git.tgz";
      sha256 = "18h3s4bv3243xbp0qdywn9kmqvx8zh9cscc9f6sfyxrz6xhymw6p";
      system = "fsocket";
      asd = "fsocket";
    });
    systems = [ "fsocket" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  fsvd = {
    pname = "fsvd";
    version = "20131211-git";
    asds = [ "fsvd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fsvd/2013-12-11/fsvd-20131211-git.tgz";
      sha256 = "1m22g9x18ixjh5nylm56l5p67ryx9dbd3g6lyzvwk9nayjmqn7x5";
      system = "fsvd";
      asd = "fsvd";
    });
    systems = [ "fsvd" ];
    lispLibs = [  ];
  };
  ftp = {
    pname = "ftp";
    version = "20150608-http";
    asds = [ "ftp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ftp/2015-06-08/cl-ftp-20150608-http.tgz";
      sha256 = "1m955rjpaynybzmb9q631mll764hm06lydvhra50mfjj75ynwsvw";
      system = "ftp";
      asd = "ftp";
    });
    systems = [ "ftp" ];
    lispLibs = [ (getAttr "cl-ftp" pkgs) ];
  };
  fucc-generator = {
    pname = "fucc-generator";
    version = "v0.2.2";
    asds = [ "fucc-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fucc/2020-04-27/fucc-v0.2.2.tgz";
      sha256 = "10wznxw6yhkyh943xnm694innj13xdlmkx13pr8xwc6zdbdyb32k";
      system = "fucc-generator";
      asd = "fucc-generator";
    });
    systems = [ "fucc-generator" ];
    lispLibs = [ (getAttr "fucc-parser" pkgs) ];
  };
  fucc-parser = {
    pname = "fucc-parser";
    version = "v0.2.2";
    asds = [ "fucc-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fucc/2020-04-27/fucc-v0.2.2.tgz";
      sha256 = "10wznxw6yhkyh943xnm694innj13xdlmkx13pr8xwc6zdbdyb32k";
      system = "fucc-parser";
      asd = "fucc-parser";
    });
    systems = [ "fucc-parser" ];
    lispLibs = [  ];
  };
  function-cache = {
    pname = "function-cache";
    version = "20181210-git";
    asds = [ "function-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/function-cache/2018-12-10/function-cache-20181210-git.tgz";
      sha256 = "000vmd3f5rx5hs9nvphfric0gkzaadns31c6mxaslpv0k7pkrmc6";
      system = "function-cache";
      asd = "function-cache";
    });
    systems = [ "function-cache" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  function-cache-clsql = {
    pname = "function-cache-clsql";
    version = "20181210-git";
    asds = [ "function-cache-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/function-cache/2018-12-10/function-cache-20181210-git.tgz";
      sha256 = "000vmd3f5rx5hs9nvphfric0gkzaadns31c6mxaslpv0k7pkrmc6";
      system = "function-cache-clsql";
      asd = "function-cache-clsql";
    });
    systems = [ "function-cache-clsql" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-helper" pkgs) (getAttr "function-cache" pkgs) ];
  };
  function-cache_slash_test = {
    pname = "function-cache_test";
    version = "20181210-git";
    asds = [ "function-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/function-cache/2018-12-10/function-cache-20181210-git.tgz";
      sha256 = "000vmd3f5rx5hs9nvphfric0gkzaadns31c6mxaslpv0k7pkrmc6";
      system = "function-cache";
      asd = "function-cache";
    });
    systems = [ "function-cache/test" ];
    lispLibs = [ (getAttr "function-cache" pkgs) (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  functional-geometry = {
    pname = "functional-geometry";
    version = "20221106-git";
    asds = [ "functional-geometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "functional-geometry";
      asd = "functional-geometry";
    });
    systems = [ "functional-geometry" ];
    lispLibs = [ (getAttr "clim-listener" pkgs) ];
  };
  functional-trees = {
    pname = "functional-trees";
    version = "20221106-git";
    asds = [ "functional-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/functional-trees/2022-11-06/functional-trees-20221106-git.tgz";
      sha256 = "1fr3684219i9glgx06qfzqh0lp5y0d9786hv3g18dljhfp21vaqy";
      system = "functional-trees";
      asd = "functional-trees";
    });
    systems = [ "functional-trees" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "cl-store" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fset" pkgs) (getAttr "iterate" pkgs) (getAttr "serapeum" pkgs) ];
  };
  funds = {
    pname = "funds";
    version = "20211020-git";
    asds = [ "funds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/funds/2021-10-20/funds-20211020-git.tgz";
      sha256 = "13y1jhvnpzrs9daz6f3z67w6h2y21ggb10j3j4vnc5p3m8i7ps4p";
      system = "funds";
      asd = "funds";
    });
    systems = [ "funds" ];
    lispLibs = [  ];
  };
  future = {
    pname = "future";
    version = "20220220-git";
    asds = [ "future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "future";
      asd = "future";
    });
    systems = [ "future" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  fuzzy-match = {
    pname = "fuzzy-match";
    version = "20210124-git";
    asds = [ "fuzzy-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fuzzy-match/2021-01-24/fuzzy-match-20210124-git.tgz";
      sha256 = "1lawndmzkl6f9sviy7ngn2s3xkc4akp8l505kvpslaz6qq0ayyqv";
      system = "fuzzy-match";
      asd = "fuzzy-match";
    });
    systems = [ "fuzzy-match" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "mk-string-metrics" pkgs) ];
  };
  fxml = {
    pname = "fxml";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  fxml_slash_css-selectors = {
    pname = "fxml_css-selectors";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/css-selectors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "css-selectors" pkgs) (getAttr "fxml" pkgs) (getAttr "xpath" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_cxml = {
    pname = "fxml_cxml";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/cxml" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "fxml" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_dom = {
    pname = "fxml_dom";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/dom" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_html5 = {
    pname = "fxml_html5";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/html5" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-html5-parser" pkgs) (getAttr "fset" pkgs) (getAttr "fxml" pkgs) (getAttr "xpath" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_klacks = {
    pname = "fxml_klacks";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/klacks" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_runes = {
    pname = "fxml_runes";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/runes" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "named-readtables" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_sanitize = {
    pname = "fxml_sanitize";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/sanitize" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fxml" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_sanitize_slash_test = {
    pname = "fxml_sanitize_test";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/sanitize/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-html5-parser" pkgs) (getAttr "fiveam" pkgs) (getAttr "fset" pkgs) (getAttr "fxml" pkgs) (getAttr "xpath" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_stp = {
    pname = "fxml_stp";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/stp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fxml" pkgs) (getAttr "xpath" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_test = {
    pname = "fxml_test";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cxml" pkgs) (getAttr "cxml-rng" pkgs) (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "fxml" pkgs) (getAttr "named-readtables" pkgs) (getAttr "xpath" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_xml = {
    pname = "fxml_xml";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/xml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  fxml_slash_xpath = {
    pname = "fxml_xpath";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml/xpath" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fxml" pkgs) (getAttr "xpath" pkgs) ];
    meta = {
      broken = true;
    };
  };
  gadgets = {
    pname = "gadgets";
    version = "20220220-git";
    asds = [ "gadgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gadgets/2022-02-20/gadgets-20220220-git.tgz";
      sha256 = "0g06wb3dciri2q93x2dcf58x5r8gq2kb86fgd2w4pr5r1wxwd1sm";
      system = "gadgets";
      asd = "gadgets";
    });
    systems = [ "gadgets" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-hash-util" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  garbage-pools = {
    pname = "garbage-pools";
    version = "20210124-git";
    asds = [ "garbage-pools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/garbage-pools/2021-01-24/garbage-pools-20210124-git.tgz";
      sha256 = "04jqwr6j138him6wc4nrwjzm4lvyj5j31xqab02nkf8h9hmsf5v1";
      system = "garbage-pools";
      asd = "garbage-pools";
    });
    systems = [ "garbage-pools" ];
    lispLibs = [  ];
  };
  garbage-pools-test = {
    pname = "garbage-pools-test";
    version = "20210124-git";
    asds = [ "garbage-pools-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/garbage-pools/2021-01-24/garbage-pools-20210124-git.tgz";
      sha256 = "04jqwr6j138him6wc4nrwjzm4lvyj5j31xqab02nkf8h9hmsf5v1";
      system = "garbage-pools-test";
      asd = "garbage-pools-test";
    });
    systems = [ "garbage-pools-test" ];
    lispLibs = [ (getAttr "garbage-pools" pkgs) (getAttr "lift" pkgs) ];
  };
  garten = {
    pname = "garten";
    version = "20211020-git";
    asds = [ "garten" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "garten";
      asd = "garten";
    });
    systems = [ "garten" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "serapeum" pkgs) ];
  };
  gcm = {
    pname = "gcm";
    version = "20141217-git";
    asds = [ "gcm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gcm/2014-12-17/gcm-20141217-git.tgz";
      sha256 = "1xnm1cj417d9syb634zi9w90c2191gxjrixa724s4h3hvj70y0ff";
      system = "gcm";
      asd = "gcm";
    });
    systems = [ "gcm" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "drakma" pkgs) (getAttr "com_dot_gigamonkeys_dot_json" pkgs) ];
  };
  geco = {
    pname = "geco";
    version = "20210228-git";
    asds = [ "geco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geco/2021-02-28/geco-20210228-git.tgz";
      sha256 = "1ncaf9ab7jz59zmga0p97blsjjb1m6db0qih57wipfhqdb5ylz17";
      system = "geco";
      asd = "geco";
    });
    systems = [ "geco" ];
    lispLibs = [  ];
  };
  gendl = {
    pname = "gendl";
    version = "master-1a957fb2-git";
    asds = [ "gendl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "gendl";
      asd = "gendl";
    });
    systems = [ "gendl" ];
    lispLibs = [ (getAttr "cl-lite" pkgs) (getAttr "geysr" pkgs) (getAttr "gwl-graphics" pkgs) (getAttr "robot" pkgs) (getAttr "yadd" pkgs) ];
  };
  gendl-asdf = {
    pname = "gendl-asdf";
    version = "master-1a957fb2-git";
    asds = [ "gendl-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "gendl-asdf";
      asd = "gendl-asdf";
    });
    systems = [ "gendl-asdf" ];
    lispLibs = [  ];
  };
  general-accumulator = {
    pname = "general-accumulator";
    version = "20211209-git";
    asds = [ "general-accumulator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-general-accumulator/2021-12-09/cl-general-accumulator-20211209-git.tgz";
      sha256 = "14ybsk1ahgya67clspacqij1lvs5bzv07rdq60nhgqsbc6s56j9g";
      system = "general-accumulator";
      asd = "general-accumulator";
    });
    systems = [ "general-accumulator" ];
    lispLibs = [  ];
  };
  generalized-reference = {
    pname = "generalized-reference";
    version = "20220707-git";
    asds = [ "generalized-reference" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generalized-reference/2022-07-07/generalized-reference-20220707-git.tgz";
      sha256 = "0q1cm52lijn4p6bjzx2yr2kwy729lcj3f6lsanbnbjw56xgp4cpb";
      system = "generalized-reference";
      asd = "generalized-reference";
    });
    systems = [ "generalized-reference" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "serapeum" pkgs) (getAttr "series" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  generators = {
    pname = "generators";
    version = "20130615-git";
    asds = [ "generators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generators/2013-06-15/generators-20130615-git.tgz";
      sha256 = "1y8jlvv5c3av2ww33rwm2kh9sxmhfykhz235b33fbjpdxpx1r9bs";
      system = "generators";
      asd = "generators";
    });
    systems = [ "generators" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-cont" pkgs) (getAttr "iterate" pkgs) ];
  };
  generic-cl = {
    pname = "generic-cl";
    version = "20211020-git";
    asds = [ "generic-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl";
      asd = "generic-cl";
    });
    systems = [ "generic-cl" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "generic-cl_dot_arithmetic" pkgs) (getAttr "generic-cl_dot_collector" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_lazy-seq" pkgs) (getAttr "generic-cl_dot_map" pkgs) (getAttr "generic-cl_dot_math" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "generic-cl_dot_sequence" pkgs) (getAttr "generic-cl_dot_set" pkgs) ];
  };
  generic-cl_dot_arithmetic = {
    pname = "generic-cl.arithmetic";
    version = "20211020-git";
    asds = [ "generic-cl.arithmetic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.arithmetic";
      asd = "generic-cl.arithmetic";
    });
    systems = [ "generic-cl.arithmetic" ];
    lispLibs = [ (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_internal" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_collector = {
    pname = "generic-cl.collector";
    version = "20211020-git";
    asds = [ "generic-cl.collector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.collector";
      asd = "generic-cl.collector";
    });
    systems = [ "generic-cl.collector" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_comparison = {
    pname = "generic-cl.comparison";
    version = "20211020-git";
    asds = [ "generic-cl.comparison" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.comparison";
      asd = "generic-cl.comparison";
    });
    systems = [ "generic-cl.comparison" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "generic-cl_dot_internal" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_container = {
    pname = "generic-cl.container";
    version = "20211020-git";
    asds = [ "generic-cl.container" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.container";
      asd = "generic-cl.container";
    });
    systems = [ "generic-cl.container" ];
    lispLibs = [ (getAttr "generic-cl_dot_object" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_internal = {
    pname = "generic-cl.internal";
    version = "20211020-git";
    asds = [ "generic-cl.internal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.internal";
      asd = "generic-cl.internal";
    });
    systems = [ "generic-cl.internal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_iterator = {
    pname = "generic-cl.iterator";
    version = "20211020-git";
    asds = [ "generic-cl.iterator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.iterator";
      asd = "generic-cl.iterator";
    });
    systems = [ "generic-cl.iterator" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_internal" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "parse-declarations-1_dot_0" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_lazy-seq = {
    pname = "generic-cl.lazy-seq";
    version = "20211020-git";
    asds = [ "generic-cl.lazy-seq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.lazy-seq";
      asd = "generic-cl.lazy-seq";
    });
    systems = [ "generic-cl.lazy-seq" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "generic-cl_dot_collector" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_map" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "generic-cl_dot_sequence" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_map = {
    pname = "generic-cl.map";
    version = "20211020-git";
    asds = [ "generic-cl.map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.map";
      asd = "generic-cl.map";
    });
    systems = [ "generic-cl.map" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "generic-cl_dot_collector" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_internal" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_math = {
    pname = "generic-cl.math";
    version = "20211020-git";
    asds = [ "generic-cl.math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.math";
      asd = "generic-cl.math";
    });
    systems = [ "generic-cl.math" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "generic-cl_dot_arithmetic" pkgs) (getAttr "static-dispatch" pkgs) (getAttr "trivia" pkgs) ];
  };
  generic-cl_dot_object = {
    pname = "generic-cl.object";
    version = "20211020-git";
    asds = [ "generic-cl.object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.object";
      asd = "generic-cl.object";
    });
    systems = [ "generic-cl.object" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrows" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_sequence = {
    pname = "generic-cl.sequence";
    version = "20211020-git";
    asds = [ "generic-cl.sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.sequence";
      asd = "generic-cl.sequence";
    });
    systems = [ "generic-cl.sequence" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "generic-cl_dot_collector" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_internal" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_map" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_set = {
    pname = "generic-cl.set";
    version = "20211020-git";
    asds = [ "generic-cl.set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.set";
      asd = "generic-cl.set";
    });
    systems = [ "generic-cl.set" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "generic-cl_dot_arithmetic" pkgs) (getAttr "generic-cl_dot_collector" pkgs) (getAttr "generic-cl_dot_comparison" pkgs) (getAttr "generic-cl_dot_container" pkgs) (getAttr "generic-cl_dot_iterator" pkgs) (getAttr "generic-cl_dot_map" pkgs) (getAttr "generic-cl_dot_object" pkgs) (getAttr "generic-cl_dot_sequence" pkgs) (getAttr "static-dispatch" pkgs) ];
  };
  generic-cl_dot_util = {
    pname = "generic-cl.util";
    version = "20211020-git";
    asds = [ "generic-cl.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.util";
      asd = "generic-cl.util";
    });
    systems = [ "generic-cl.util" ];
    lispLibs = [ (getAttr "generic-cl" pkgs) ];
  };
  generic-cl_dot_util_slash_test = {
    pname = "generic-cl.util_test";
    version = "20211020-git";
    asds = [ "generic-cl.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.util";
      asd = "generic-cl.util";
    });
    systems = [ "generic-cl.util/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-cl_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  generic-cl_slash_test = {
    pname = "generic-cl_test";
    version = "20211020-git";
    asds = [ "generic-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl";
      asd = "generic-cl";
    });
    systems = [ "generic-cl/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "generic-cl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  generic-comparability = {
    pname = "generic-comparability";
    version = "20180131-git";
    asds = [ "generic-comparability" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-comparability/2018-01-31/generic-comparability-20180131-git.tgz";
      sha256 = "01ma0cwirxarwwmdwflnh8kmysmr2smh5kyvzhb2074ljxg8yq2p";
      system = "generic-comparability";
      asd = "generic-comparability";
    });
    systems = [ "generic-comparability" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  generic-comparability-test = {
    pname = "generic-comparability-test";
    version = "20180131-git";
    asds = [ "generic-comparability-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-comparability/2018-01-31/generic-comparability-20180131-git.tgz";
      sha256 = "01ma0cwirxarwwmdwflnh8kmysmr2smh5kyvzhb2074ljxg8yq2p";
      system = "generic-comparability-test";
      asd = "generic-comparability";
    });
    systems = [ "generic-comparability-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-comparability" pkgs) ];
  };
  generic-sequences = {
    pname = "generic-sequences";
    version = "20150709-git";
    asds = [ "generic-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences";
      asd = "generic-sequences";
    });
    systems = [ "generic-sequences" ];
    lispLibs = [  ];
  };
  generic-sequences-cont = {
    pname = "generic-sequences-cont";
    version = "20150709-git";
    asds = [ "generic-sequences-cont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-cont";
      asd = "generic-sequences-cont";
    });
    systems = [ "generic-sequences-cont" ];
    lispLibs = [ (getAttr "cl-cont" pkgs) (getAttr "generic-sequences" pkgs) ];
  };
  generic-sequences-iterate = {
    pname = "generic-sequences-iterate";
    version = "20150709-git";
    asds = [ "generic-sequences-iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-iterate";
      asd = "generic-sequences-iterate";
    });
    systems = [ "generic-sequences-iterate" ];
    lispLibs = [ (getAttr "generic-sequences" pkgs) (getAttr "iterate" pkgs) ];
  };
  generic-sequences-stream = {
    pname = "generic-sequences-stream";
    version = "20150709-git";
    asds = [ "generic-sequences-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-stream";
      asd = "generic-sequences-stream";
    });
    systems = [ "generic-sequences-stream" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "generic-sequences" pkgs) ];
  };
  generic-sequences-test = {
    pname = "generic-sequences-test";
    version = "20150709-git";
    asds = [ "generic-sequences-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-test";
      asd = "generic-sequences-test";
    });
    systems = [ "generic-sequences-test" ];
    lispLibs = [ (getAttr "generic-sequences" pkgs) (getAttr "generic-sequences-cont" pkgs) (getAttr "generic-sequences-iterate" pkgs) (getAttr "generic-sequences-stream" pkgs) ];
  };
  geneva = {
    pname = "geneva";
    version = "20161204-git";
    asds = [ "geneva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva";
      asd = "geneva";
    });
    systems = [ "geneva" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  geneva-cl = {
    pname = "geneva-cl";
    version = "20161204-git";
    asds = [ "geneva-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-cl";
      asd = "geneva-cl";
    });
    systems = [ "geneva-cl" ];
    lispLibs = [ (getAttr "geneva" pkgs) (getAttr "geneva-mk2" pkgs) (getAttr "named-readtables" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-documentation" pkgs) ];
  };
  geneva-html = {
    pname = "geneva-html";
    version = "20161204-git";
    asds = [ "geneva-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-html";
      asd = "geneva-html";
    });
    systems = [ "geneva-html" ];
    lispLibs = [ (getAttr "file-types" pkgs) (getAttr "geneva" pkgs) (getAttr "macro-html" pkgs) ];
  };
  geneva-latex = {
    pname = "geneva-latex";
    version = "20161204-git";
    asds = [ "geneva-latex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-latex";
      asd = "geneva-latex";
    });
    systems = [ "geneva-latex" ];
    lispLibs = [ (getAttr "geneva" pkgs) (getAttr "geneva-tex" pkgs) (getAttr "named-readtables" pkgs) (getAttr "texp" pkgs) ];
  };
  geneva-mk2 = {
    pname = "geneva-mk2";
    version = "20161204-git";
    asds = [ "geneva-mk2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-mk2";
      asd = "geneva-mk2";
    });
    systems = [ "geneva-mk2" ];
    lispLibs = [ (getAttr "geneva" pkgs) (getAttr "maxpc" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  geneva-plain-text = {
    pname = "geneva-plain-text";
    version = "20161204-git";
    asds = [ "geneva-plain-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-plain-text";
      asd = "geneva-plain-text";
    });
    systems = [ "geneva-plain-text" ];
    lispLibs = [ (getAttr "geneva" pkgs) (getAttr "geneva-mk2" pkgs) ];
  };
  geneva-tex = {
    pname = "geneva-tex";
    version = "20161204-git";
    asds = [ "geneva-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-tex";
      asd = "geneva-tex";
    });
    systems = [ "geneva-tex" ];
    lispLibs = [ (getAttr "file-types" pkgs) (getAttr "geneva" pkgs) (getAttr "named-readtables" pkgs) (getAttr "texp" pkgs) ];
  };
  genhash = {
    pname = "genhash";
    version = "20181210-git";
    asds = [ "genhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/genhash/2018-12-10/genhash-20181210-git.tgz";
      sha256 = "1jnk1fix1zydhy0kn3cvlp6dy0241x7v8ahq001nlr6v152z1cwk";
      system = "genhash";
      asd = "genhash";
    });
    systems = [ "genhash" ];
    lispLibs = [  ];
  };
  geodesic = {
    pname = "geodesic";
    version = "20220331-git";
    asds = [ "geodesic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geodesic/2022-03-31/geodesic-20220331-git.tgz";
      sha256 = "1cmdxy495jipasf142bc6x0w2r75ymkx5x5nlg6j9br3sf6v1x2k";
      system = "geodesic";
      asd = "geodesic";
    });
    systems = [ "geodesic" ];
    lispLibs = [  ];
  };
  geodesic_slash_test = {
    pname = "geodesic_test";
    version = "20220331-git";
    asds = [ "geodesic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geodesic/2022-03-31/geodesic-20220331-git.tgz";
      sha256 = "1cmdxy495jipasf142bc6x0w2r75ymkx5x5nlg6j9br3sf6v1x2k";
      system = "geodesic";
      asd = "geodesic";
    });
    systems = [ "geodesic/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "geodesic" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  geom-base = {
    pname = "geom-base";
    version = "master-1a957fb2-git";
    asds = [ "geom-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "geom-base";
      asd = "geom-base";
    });
    systems = [ "geom-base" ];
    lispLibs = [ (getAttr "cl-pdf" pkgs) (getAttr "cl-typesetting" pkgs) (getAttr "cl-who" pkgs) (getAttr "base" pkgs) ];
  };
  geowkt = {
    pname = "geowkt";
    version = "20200610-git";
    asds = [ "geowkt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geowkt/2020-06-10/geowkt-20200610-git.tgz";
      sha256 = "02l8cb2k10j7k6fvhk9dpqmkxs6vb5w5nh3159w7drprvjqhfrjw";
      system = "geowkt";
      asd = "geowkt";
    });
    systems = [ "geowkt" ];
    lispLibs = [  ];
  };
  geowkt-update = {
    pname = "geowkt-update";
    version = "20200610-git";
    asds = [ "geowkt-update" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geowkt/2020-06-10/geowkt-20200610-git.tgz";
      sha256 = "02l8cb2k10j7k6fvhk9dpqmkxs6vb5w5nh3159w7drprvjqhfrjw";
      system = "geowkt-update";
      asd = "geowkt-update";
    });
    systems = [ "geowkt-update" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "parse-number" pkgs) ];
  };
  getopt = {
    pname = "getopt";
    version = "20150923-git";
    asds = [ "getopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/getopt/2015-09-23/getopt-20150923-git.tgz";
      sha256 = "1liwzghx2swws84xlxnq756gbass0s916a9sq5mjfnlg3scbwcs3";
      system = "getopt";
      asd = "getopt";
    });
    systems = [ "getopt" ];
    lispLibs = [  ];
  };
  getopt-tests = {
    pname = "getopt-tests";
    version = "20150923-git";
    asds = [ "getopt-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/getopt/2015-09-23/getopt-20150923-git.tgz";
      sha256 = "1liwzghx2swws84xlxnq756gbass0s916a9sq5mjfnlg3scbwcs3";
      system = "getopt-tests";
      asd = "getopt";
    });
    systems = [ "getopt-tests" ];
    lispLibs = [ (getAttr "getopt" pkgs) (getAttr "ptester" pkgs) ];
  };
  gettext = {
    pname = "gettext";
    version = "20171130-git";
    asds = [ "gettext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext";
      asd = "gettext";
    });
    systems = [ "gettext" ];
    lispLibs = [ (getAttr "yacc" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  gettext-example = {
    pname = "gettext-example";
    version = "20171130-git";
    asds = [ "gettext-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext-example";
      asd = "gettext-example";
    });
    systems = [ "gettext-example" ];
    lispLibs = [ (getAttr "gettext" pkgs) ];
  };
  gettext-tests = {
    pname = "gettext-tests";
    version = "20171130-git";
    asds = [ "gettext-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext-tests";
      asd = "gettext-tests";
    });
    systems = [ "gettext-tests" ];
    lispLibs = [ (getAttr "gettext" pkgs) (getAttr "stefil" pkgs) ];
  };
  geysr = {
    pname = "geysr";
    version = "master-1a957fb2-git";
    asds = [ "geysr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "geysr";
      asd = "geysr";
    });
    systems = [ "geysr" ];
    lispLibs = [ (getAttr "gendl-asdf" pkgs) (getAttr "gwl-graphics" pkgs) ];
  };
  gfxmath = {
    pname = "gfxmath";
    version = "20220707-git";
    asds = [ "gfxmath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gfxmath/2022-07-07/gfxmath-20220707-git.tgz";
      sha256 = "0qln95n5s9hkng1sv01icjqqwqpg2h635p177xw4j5cvb4bx7x96";
      system = "gfxmath";
      asd = "gfxmath";
    });
    systems = [ "gfxmath" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  gfxmath_dot_test = {
    pname = "gfxmath.test";
    version = "20220707-git";
    asds = [ "gfxmath.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gfxmath/2022-07-07/gfxmath-20220707-git.tgz";
      sha256 = "0qln95n5s9hkng1sv01icjqqwqpg2h635p177xw4j5cvb4bx7x96";
      system = "gfxmath.test";
      asd = "gfxmath.test";
    });
    systems = [ "gfxmath.test" ];
    lispLibs = [ (getAttr "gfxmath" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  git-file-history = {
    pname = "git-file-history";
    version = "20160825-git";
    asds = [ "git-file-history" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/git-file-history/2016-08-25/git-file-history-20160825-git.tgz";
      sha256 = "00kdawcy3mhljv04xpx5n7l2s21qdpbm8i9avjdqbxvfc5j05bq8";
      system = "git-file-history";
      asd = "git-file-history";
    });
    systems = [ "git-file-history" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "legit" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) ];
  };
  git-file-history-test = {
    pname = "git-file-history-test";
    version = "20160825-git";
    asds = [ "git-file-history-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/git-file-history/2016-08-25/git-file-history-20160825-git.tgz";
      sha256 = "00kdawcy3mhljv04xpx5n7l2s21qdpbm8i9avjdqbxvfc5j05bq8";
      system = "git-file-history-test";
      asd = "git-file-history-test";
    });
    systems = [ "git-file-history-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "git-file-history" pkgs) ];
  };
  github-api-cl = {
    pname = "github-api-cl";
    version = "20221106-git";
    asds = [ "github-api-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/github-api-cl/2022-11-06/github-api-cl-20221106-git.tgz";
      sha256 = "1f7hgncmi7d5chvlixhigysx68bchdcr2hh54iwlpfk8p3an7gwz";
      system = "github-api-cl";
      asd = "github-api-cl";
    });
    systems = [ "github-api-cl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "str" pkgs) (getAttr "clack" pkgs) (getAttr "dexador" pkgs) (getAttr "trivial-features" pkgs) (getAttr "woo" pkgs) (getAttr "yason" pkgs) ];
  };
  github-api-cl_slash_tests = {
    pname = "github-api-cl_tests";
    version = "20221106-git";
    asds = [ "github-api-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/github-api-cl/2022-11-06/github-api-cl-20221106-git.tgz";
      sha256 = "1f7hgncmi7d5chvlixhigysx68bchdcr2hh54iwlpfk8p3an7gwz";
      system = "github-api-cl";
      asd = "github-api-cl";
    });
    systems = [ "github-api-cl/tests" ];
    lispLibs = [ (getAttr "github-api-cl" pkgs) (getAttr "lisp-unit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  github-gist-api-cl = {
    pname = "github-gist-api-cl";
    version = "20221106-git";
    asds = [ "github-gist-api-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/github-api-cl/2022-11-06/github-api-cl-20221106-git.tgz";
      sha256 = "1f7hgncmi7d5chvlixhigysx68bchdcr2hh54iwlpfk8p3an7gwz";
      system = "github-gist-api-cl";
      asd = "github-gist-api-cl";
    });
    systems = [ "github-gist-api-cl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "str" pkgs) (getAttr "clack" pkgs) (getAttr "dexador" pkgs) (getAttr "github-api-cl" pkgs) (getAttr "trivial-features" pkgs) (getAttr "woo" pkgs) (getAttr "yason" pkgs) ];
  };
  glacier = {
    pname = "glacier";
    version = "20211209-git";
    asds = [ "glacier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glacier/2021-12-09/glacier-20211209-git.tgz";
      sha256 = "05x7sl5ybfqss18zxml1gzj0iynyf09xsxikm84i21nh39vqyx38";
      system = "glacier";
      asd = "glacier";
    });
    systems = [ "glacier" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "dexador" pkgs) (getAttr "simple-config" pkgs) (getAttr "tooter" pkgs) (getAttr "websocket-driver" pkgs) ];
  };
  glad-blob = {
    pname = "glad-blob";
    version = "stable-git";
    asds = [ "glad-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glad-blob/2020-10-16/glad-blob-stable-git.tgz";
      sha256 = "19vp7nyf4kxhczi8i2w47lvipk1i4psrxlpk4nvbdh97vc12k5a7";
      system = "glad-blob";
      asd = "glad-blob";
    });
    systems = [ "glad-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  glass = {
    pname = "glass";
    version = "20150709-git";
    asds = [ "glass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glass/2015-07-09/glass-20150709-git.tgz";
      sha256 = "1xwr6mj25m0z1qhp30hafbbhrfj34dfidy320x5m3lij13vbyb1p";
      system = "glass";
      asd = "glass";
    });
    systems = [ "glass" ];
    lispLibs = [  ];
  };
  glaw = {
    pname = "glaw";
    version = "20180228-git";
    asds = [ "glaw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw";
      asd = "glaw";
    });
    systems = [ "glaw" ];
    lispLibs = [ (getAttr "cl-alc" pkgs) (getAttr "cl-openal" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  glaw-examples = {
    pname = "glaw-examples";
    version = "20180228-git";
    asds = [ "glaw-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-examples";
      asd = "glaw-examples";
    });
    systems = [ "glaw-examples" ];
    lispLibs = [ (getAttr "glaw" pkgs) (getAttr "glaw-imago" pkgs) (getAttr "glop" pkgs) ];
  };
  glaw-imago = {
    pname = "glaw-imago";
    version = "20180228-git";
    asds = [ "glaw-imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-imago";
      asd = "glaw-imago";
    });
    systems = [ "glaw-imago" ];
    lispLibs = [ (getAttr "glaw" pkgs) (getAttr "imago" pkgs) ];
  };
  glaw-sdl = {
    pname = "glaw-sdl";
    version = "20180228-git";
    asds = [ "glaw-sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-sdl";
      asd = "glaw-sdl";
    });
    systems = [ "glaw-sdl" ];
    lispLibs = [ (getAttr "glaw" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-image" pkgs) ];
  };
  glfw-blob = {
    pname = "glfw-blob";
    version = "stable-git";
    asds = [ "glfw-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glfw-blob/2020-10-16/glfw-blob-stable-git.tgz";
      sha256 = "0j953vqsyswipgyhc39swsgwgaqb53wvs80izraknlsp379hzabs";
      system = "glfw-blob";
      asd = "glfw-blob";
    });
    systems = [ "glfw-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  glhelp = {
    pname = "glhelp";
    version = "20200427-git";
    asds = [ "glhelp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "glhelp";
      asd = "glhelp";
    });
    systems = [ "glhelp" ];
    lispLibs = [ (getAttr "cl-opengl" pkgs) (getAttr "glsl-toolkit" pkgs) (getAttr "split-sequence" pkgs) (getAttr "deflazy" pkgs) (getAttr "uncommon-lisp" pkgs) ];
  };
  glisp = {
    pname = "glisp";
    version = "master-1a957fb2-git";
    asds = [ "glisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "glisp";
      asd = "glisp";
    });
    systems = [ "glisp" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "base" pkgs) (getAttr "uiop" pkgs) ];
  };
  glisph = {
    pname = "glisph";
    version = "20170403-git";
    asds = [ "glisph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glisph/2017-04-03/glisph-20170403-git.tgz";
      sha256 = "097d6kjk4rndpqn181k9nyr2bps4gf3shq5x2fy1swvks3pvys91";
      system = "glisph";
      asd = "glisph";
    });
    systems = [ "glisph" ];
    lispLibs = [ (getAttr "cl-annot" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  glisph-test = {
    pname = "glisph-test";
    version = "20170403-git";
    asds = [ "glisph-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glisph/2017-04-03/glisph-20170403-git.tgz";
      sha256 = "097d6kjk4rndpqn181k9nyr2bps4gf3shq5x2fy1swvks3pvys91";
      system = "glisph-test";
      asd = "glisph-test";
    });
    systems = [ "glisph-test" ];
    lispLibs = [ (getAttr "cl-glut" pkgs) (getAttr "glisph" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  glkit = {
    pname = "glkit";
    version = "20201016-git";
    asds = [ "glkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glkit/2020-10-16/glkit-20201016-git.tgz";
      sha256 = "1x3y5jcr1f0v9sgn3y5b7b8fhgd6vv37nz73016gdwh511idi8jn";
      system = "glkit";
      asd = "glkit";
    });
    systems = [ "glkit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "defpackage-plus" pkgs) (getAttr "mathkit" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  glkit-examples = {
    pname = "glkit-examples";
    version = "20201016-git";
    asds = [ "glkit-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glkit/2020-10-16/glkit-20201016-git.tgz";
      sha256 = "1x3y5jcr1f0v9sgn3y5b7b8fhgd6vv37nz73016gdwh511idi8jn";
      system = "glkit-examples";
      asd = "glkit-examples";
    });
    systems = [ "glkit-examples" ];
    lispLibs = [ (getAttr "glkit" pkgs) (getAttr "sdl2kit-examples" pkgs) ];
  };
  global-vars = {
    pname = "global-vars";
    version = "20141106-git";
    asds = [ "global-vars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/global-vars/2014-11-06/global-vars-20141106-git.tgz";
      sha256 = "06m3xc8l3pgsapl8fvsi9wf6y46zs75cp9zn7zh6dc65v4s5wz3d";
      system = "global-vars";
      asd = "global-vars";
    });
    systems = [ "global-vars" ];
    lispLibs = [  ];
  };
  global-vars-test = {
    pname = "global-vars-test";
    version = "20141106-git";
    asds = [ "global-vars-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/global-vars/2014-11-06/global-vars-20141106-git.tgz";
      sha256 = "06m3xc8l3pgsapl8fvsi9wf6y46zs75cp9zn7zh6dc65v4s5wz3d";
      system = "global-vars-test";
      asd = "global-vars-test";
    });
    systems = [ "global-vars-test" ];
    lispLibs = [ (getAttr "global-vars" pkgs) ];
  };
  glop = {
    pname = "glop";
    version = "20171019-git";
    asds = [ "glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glop/2017-10-19/glop-20171019-git.tgz";
      sha256 = "1nm35kvigflfjlmsa8zwdajc61f02fh4sq08jv0wnqylhx8yg2bv";
      system = "glop";
      asd = "glop";
    });
    systems = [ "glop" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  glop-test = {
    pname = "glop-test";
    version = "20171019-git";
    asds = [ "glop-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glop/2017-10-19/glop-20171019-git.tgz";
      sha256 = "1nm35kvigflfjlmsa8zwdajc61f02fh4sq08jv0wnqylhx8yg2bv";
      system = "glop-test";
      asd = "glop-test";
    });
    systems = [ "glop-test" ];
    lispLibs = [ (getAttr "cl-glu" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "glop" pkgs) ];
  };
  glsl-docs = {
    pname = "glsl-docs";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-docs";
      asd = "glsl-docs";
    });
    systems = [ "glsl-docs" ];
    lispLibs = [ (getAttr "glsl-symbols" pkgs) ];
  };
  glsl-metadata = {
    pname = "glsl-metadata";
    version = "20220707-git";
    asds = [ "glsl-metadata" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-metadata/2022-07-07/glsl-metadata-20220707-git.tgz";
      sha256 = "1d60x2j889xfg83hwni745p9i3m7ikrgl7l2z17x7y753ky344p2";
      system = "glsl-metadata";
      asd = "glsl-metadata";
    });
    systems = [ "glsl-metadata" ];
    lispLibs = [  ];
  };
  glsl-packing = {
    pname = "glsl-packing";
    version = "20180131-git";
    asds = [ "glsl-packing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-packing/2018-01-31/glsl-packing-20180131-git.tgz";
      sha256 = "0k2f1771wd9kdrcasldy1r00k5bdgi9fd07in52zmjggc0i7dd80";
      system = "glsl-packing";
      asd = "glsl-packing";
    });
    systems = [ "glsl-packing" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  glsl-spec = {
    pname = "glsl-spec";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-spec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-spec";
      asd = "glsl-spec";
    });
    systems = [ "glsl-spec" ];
    lispLibs = [  ];
  };
  glsl-symbols = {
    pname = "glsl-symbols";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-symbols" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-symbols";
      asd = "glsl-symbols";
    });
    systems = [ "glsl-symbols" ];
    lispLibs = [  ];
  };
  glsl-toolkit = {
    pname = "glsl-toolkit";
    version = "20220707-git";
    asds = [ "glsl-toolkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-toolkit/2022-07-07/glsl-toolkit-20220707-git.tgz";
      sha256 = "0vrk8nqijqdi1rwf85rhd93yj7q8qkxnigxn3bw0cbrzvzrks9rl";
      system = "glsl-toolkit";
      asd = "glsl-toolkit";
    });
    systems = [ "glsl-toolkit" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "parse-float" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  glu-tessellate = {
    pname = "glu-tessellate";
    version = "20150608-git";
    asds = [ "glu-tessellate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glu-tessellate/2015-06-08/glu-tessellate-20150608-git.tgz";
      sha256 = "1iwnvk341pidxdsjb2c730k6a7nr1knd5ir0v83y6jhsf78r9krh";
      system = "glu-tessellate";
      asd = "glu-tessellate";
    });
    systems = [ "glu-tessellate" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  glyphs = {
    pname = "glyphs";
    version = "20180711-git";
    asds = [ "glyphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glyphs/2018-07-11/glyphs-20180711-git.tgz";
      sha256 = "17kai1anbkk5dj5sbrsin2fc019cmcbglb900db60v38myj0y0wf";
      system = "glyphs";
      asd = "glyphs";
    });
    systems = [ "glyphs" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "named-readtables" pkgs) (getAttr "parenscript" pkgs) ];
  };
  glyphs-test = {
    pname = "glyphs-test";
    version = "20180711-git";
    asds = [ "glyphs-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glyphs/2018-07-11/glyphs-20180711-git.tgz";
      sha256 = "17kai1anbkk5dj5sbrsin2fc019cmcbglb900db60v38myj0y0wf";
      system = "glyphs-test";
      asd = "glyphs-test";
    });
    systems = [ "glyphs-test" ];
    lispLibs = [ (getAttr "glyphs" pkgs) (getAttr "stefil" pkgs) ];
  };
  gooptest = {
    pname = "gooptest";
    version = "20200925-git";
    asds = [ "gooptest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gooptest/2020-09-25/gooptest-20200925-git.tgz";
      sha256 = "1g9q4frlc79xkmz74ybs954rc5kmfwjsn4xi64aig1fh5wjni5xs";
      system = "gooptest";
      asd = "gooptest";
    });
    systems = [ "gooptest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "cl-plus-c" pkgs) (getAttr "uiop" pkgs) ];
  };
  gooptest_slash_examples = {
    pname = "gooptest_examples";
    version = "20200925-git";
    asds = [ "gooptest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gooptest/2020-09-25/gooptest-20200925-git.tgz";
      sha256 = "1g9q4frlc79xkmz74ybs954rc5kmfwjsn4xi64aig1fh5wjni5xs";
      system = "gooptest";
      asd = "gooptest";
    });
    systems = [ "gooptest/examples" ];
    lispLibs = [ (getAttr "gooptest" pkgs) ];
    meta = {
      broken = true;
    };
  };
  graph = {
    pname = "graph";
    version = "20220331-git";
    asds = [ "graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graph/2022-03-31/graph-20220331-git.tgz";
      sha256 = "0m76vb0mk7rlbv9xhnix001gxik9f7vy9lspradcvzbk1rfxyyf7";
      system = "graph";
      asd = "graph";
    });
    systems = [ "graph" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "damn-fast-priority-queue" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  graphs = {
    pname = "graphs";
    version = "master-1a957fb2-git";
    asds = [ "graphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "graphs";
      asd = "graphs";
    });
    systems = [ "graphs" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  gravatar = {
    pname = "gravatar";
    version = "20110320-git";
    asds = [ "gravatar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gravatar/2011-03-20/cl-gravatar-20110320-git.tgz";
      sha256 = "1r9fq1zaywlhpxr3s3wgajhxf1kgwsgsql0a7ccfgsbwkgy2qzfs";
      system = "gravatar";
      asd = "gravatar";
    });
    systems = [ "gravatar" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) (getAttr "md5" pkgs) (getAttr "puri" pkgs) ];
  };
  graylex = {
    pname = "graylex";
    version = "20110522-git";
    asds = [ "graylex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graylex/2011-05-22/graylex-20110522-git.tgz";
      sha256 = "0s1mpz6cpx3fywznxc8kzkhbb4fpmzyjpfgc85lnxqmri8wy6xqy";
      system = "graylex";
      asd = "graylex";
    });
    systems = [ "graylex" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  graylex-m4-example = {
    pname = "graylex-m4-example";
    version = "20110522-git";
    asds = [ "graylex-m4-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graylex/2011-05-22/graylex-20110522-git.tgz";
      sha256 = "0s1mpz6cpx3fywznxc8kzkhbb4fpmzyjpfgc85lnxqmri8wy6xqy";
      system = "graylex-m4-example";
      asd = "graylex-m4-example";
    });
    systems = [ "graylex-m4-example" ];
    lispLibs = [ (getAttr "cl-heredoc" pkgs) (getAttr "graylex" pkgs) ];
  };
  graylog = {
    pname = "graylog";
    version = "20180430-git";
    asds = [ "graylog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graylog/2018-04-30/cl-graylog-20180430-git.tgz";
      sha256 = "1bj1v6vwz8w78h0bkjv5614gq50jdpjix88rbn3nvh81cfjvsqdg";
      system = "graylog";
      asd = "graylog";
    });
    systems = [ "graylog" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-json" pkgs) (getAttr "local-time" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "usocket" pkgs) ];
  };
  graylog-log5 = {
    pname = "graylog-log5";
    version = "20180430-git";
    asds = [ "graylog-log5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graylog/2018-04-30/cl-graylog-20180430-git.tgz";
      sha256 = "1bj1v6vwz8w78h0bkjv5614gq50jdpjix88rbn3nvh81cfjvsqdg";
      system = "graylog-log5";
      asd = "graylog-log5";
    });
    systems = [ "graylog-log5" ];
    lispLibs = [ (getAttr "graylog" pkgs) (getAttr "log5" pkgs) ];
  };
  green-threads = {
    pname = "green-threads";
    version = "20141217-git";
    asds = [ "green-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/green-threads/2014-12-17/green-threads-20141217-git.tgz";
      sha256 = "1czw7nr0dwfps76h8hjvglk1wdh53yqbfbvv30whwbgqx33iippz";
      system = "green-threads";
      asd = "green-threads";
    });
    systems = [ "green-threads" ];
    lispLibs = [ (getAttr "cl-async-future" pkgs) (getAttr "cl-cont" pkgs) ];
  };
  grid-formation = {
    pname = "grid-formation";
    version = "20220707-git";
    asds = [ "grid-formation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/grid-formation/2022-07-07/grid-formation-20220707-git.tgz";
      sha256 = "0s5picmkn7gn98k23axadbc0mlzlrbadi1ln85gpqp17k3cmd54m";
      system = "grid-formation";
      asd = "grid-formation";
    });
    systems = [ "grid-formation" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "origin" pkgs) ];
  };
  group-by = {
    pname = "group-by";
    version = "20140211-git";
    asds = [ "group-by" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/group-by/2014-02-11/group-by-20140211-git.tgz";
      sha256 = "1p1qprb57fjd6sj8ws6c7y40ab38mym65wni8xivdy89i3d63dz4";
      system = "group-by";
      asd = "group-by";
    });
    systems = [ "group-by" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  group-by-test = {
    pname = "group-by-test";
    version = "20140211-git";
    asds = [ "group-by-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/group-by/2014-02-11/group-by-20140211-git.tgz";
      sha256 = "1p1qprb57fjd6sj8ws6c7y40ab38mym65wni8xivdy89i3d63dz4";
      system = "group-by-test";
      asd = "group-by";
    });
    systems = [ "group-by-test" ];
    lispLibs = [ (getAttr "group-by" pkgs) (getAttr "lisp-unit2" pkgs) ];
  };
  groupby = {
    pname = "groupby";
    version = "20170830-git";
    asds = [ "groupby" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-groupby/2017-08-30/cl-groupby-20170830-git.tgz";
      sha256 = "1ra4zi9ifrhxxsj4svg1iqqzzsv9aqqa76pswygp7g084x6kn5km";
      system = "groupby";
      asd = "groupby";
    });
    systems = [ "groupby" ];
    lispLibs = [  ];
  };
  grovel-locally = {
    pname = "grovel-locally";
    version = "20180228-git";
    asds = [ "grovel-locally" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/grovel-locally/2018-02-28/grovel-locally-20180228-git.tgz";
      sha256 = "07q7zjgv3d1f35zwxpzcz020z0gcqi6m2l2szw99bsqk5hn93szl";
      system = "grovel-locally";
      asd = "grovel-locally";
    });
    systems = [ "grovel-locally" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "with-cached-reader-conditionals" pkgs) ];
  };
  gsll = {
    pname = "gsll";
    version = "quicklisp-eeeda841-git";
    asds = [ "gsll" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gsll/2018-08-31/gsll-quicklisp-eeeda841-git.tgz";
      sha256 = "0zsjvi1f62hjgfjk4wqg13d4r53bli9nglkwnd31qrygn8pmzlhi";
      system = "gsll";
      asd = "gsll";
    });
    systems = [ "gsll" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "foreign-array" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  gt = {
    pname = "gt";
    version = "20221106-git";
    asds = [ "gt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-utils/2022-11-06/cl-utils-20221106-git.tgz";
      sha256 = "1znzwnapsjl3fijwyrp7gd8q2wbdgvqyx3fad5sqawkgz4qnlq1n";
      system = "gt";
      asd = "gt";
    });
    systems = [ "gt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "fset" pkgs) (getAttr "functional-trees" pkgs) (getAttr "iterate" pkgs) (getAttr "misc-extensions" pkgs) (getAttr "named-readtables" pkgs) (getAttr "serapeum" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_ppcre" pkgs) ];
  };
  gtirb = {
    pname = "gtirb";
    version = "quicklisp-dd18337d-git";
    asds = [ "gtirb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "gtirb";
      asd = "gtirb";
    });
    systems = [ "gtirb" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "cl-intbytes" pkgs) (getAttr "cl-interval" pkgs) (getAttr "curry-compose-reader-macros" pkgs) (getAttr "graph" pkgs) (getAttr "proto" pkgs) (getAttr "named-readtables" pkgs) (getAttr "protobuf" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  gtirb-capstone = {
    pname = "gtirb-capstone";
    version = "20221106-git";
    asds = [ "gtirb-capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb-capstone/2022-11-06/gtirb-capstone-20221106-git.tgz";
      sha256 = "15h1x74f7w1b4634cab958vanqx4z3lgpi5fvmcpjdp945iv2ybc";
      system = "gtirb-capstone";
      asd = "gtirb-capstone";
    });
    systems = [ "gtirb-capstone" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "capstone" pkgs) (getAttr "gt" pkgs) (getAttr "graph" pkgs) (getAttr "gtirb" pkgs) (getAttr "keystone" pkgs) (getAttr "stefil" pkgs) ];
  };
  gtirb-functions = {
    pname = "gtirb-functions";
    version = "20221106-git";
    asds = [ "gtirb-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb-functions/2022-11-06/gtirb-functions-20221106-git.tgz";
      sha256 = "1wf4i4c687krh3b1p14y3v6k8356b0m7a4dng7309vbs2kagw5ri";
      system = "gtirb-functions";
      asd = "gtirb-functions";
    });
    systems = [ "gtirb-functions" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "gt" pkgs) (getAttr "graph" pkgs) (getAttr "gtirb" pkgs) (getAttr "stefil" pkgs) ];
  };
  gtirb_slash_run-dot = {
    pname = "gtirb_run-dot";
    version = "quicklisp-dd18337d-git";
    asds = [ "gtirb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "gtirb";
      asd = "gtirb";
    });
    systems = [ "gtirb/run-dot" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  gtirb_slash_run-update = {
    pname = "gtirb_run-update";
    version = "quicklisp-dd18337d-git";
    asds = [ "gtirb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "gtirb";
      asd = "gtirb";
    });
    systems = [ "gtirb/run-update" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  gtk-tagged-streams = {
    pname = "gtk-tagged-streams";
    version = "quicklisp-d1c2b827-git";
    asds = [ "gtk-tagged-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtk-tagged-streams/2018-02-28/gtk-tagged-streams-quicklisp-d1c2b827-git.tgz";
      sha256 = "0ciw4ydcb8clsqb338hxpzncj2m59i6scnqlgbwkznm5i9dxvkyd";
      system = "gtk-tagged-streams";
      asd = "gtk-tagged-streams";
    });
    systems = [ "gtk-tagged-streams" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cffi-gtk" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  gtwiwtg = {
    pname = "gtwiwtg";
    version = "20221106-git";
    asds = [ "gtwiwtg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtwiwtg/2022-11-06/gtwiwtg-20221106-git.tgz";
      sha256 = "07wzaizp9jr6x8yvivk3iak2q7yh1ps0mj5mrd6i7y2f614gl8ll";
      system = "gtwiwtg";
      asd = "gtwiwtg";
    });
    systems = [ "gtwiwtg" ];
    lispLibs = [ (getAttr "testiere" pkgs) ];
  };
  gtwiwtg-test = {
    pname = "gtwiwtg-test";
    version = "20221106-git";
    asds = [ "gtwiwtg-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtwiwtg/2022-11-06/gtwiwtg-20221106-git.tgz";
      sha256 = "07wzaizp9jr6x8yvivk3iak2q7yh1ps0mj5mrd6i7y2f614gl8ll";
      system = "gtwiwtg-test";
      asd = "gtwiwtg-test";
    });
    systems = [ "gtwiwtg-test" ];
    lispLibs = [ (getAttr "gtwiwtg" pkgs) ];
  };
  gtype = {
    pname = "gtype";
    version = "20200610-git";
    asds = [ "gtype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtype/2020-06-10/gtype-20200610-git.tgz";
      sha256 = "0hbkfdw00v7bsa6zbric34p5w6hfwxycccg8wc2faq0cxhsvpv9h";
      system = "gtype";
      asd = "gtype";
    });
    systems = [ "gtype" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-cltl2" pkgs) (getAttr "trivialib_dot_type-unify" pkgs) (getAttr "type-r" pkgs) ];
  };
  gtype_dot_test = {
    pname = "gtype.test";
    version = "20200610-git";
    asds = [ "gtype.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtype/2020-06-10/gtype-20200610-git.tgz";
      sha256 = "0hbkfdw00v7bsa6zbric34p5w6hfwxycccg8wc2faq0cxhsvpv9h";
      system = "gtype.test";
      asd = "gtype.test";
    });
    systems = [ "gtype.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "gtype" pkgs) ];
  };
  gute = {
    pname = "gute";
    version = "20221106-git";
    asds = [ "gute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gute/2022-11-06/gute-20221106-git.tgz";
      sha256 = "1d1m4qaygvmkglwdqlnhkvwq0wrig13h97w8ansfkyig359vpzy0";
      system = "gute";
      asd = "gute";
    });
    systems = [ "gute" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-mathstats" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-strings" pkgs) (getAttr "conium" pkgs) ];
  };
  gute_slash_tests = {
    pname = "gute_tests";
    version = "20221106-git";
    asds = [ "gute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gute/2022-11-06/gute-20221106-git.tgz";
      sha256 = "1d1m4qaygvmkglwdqlnhkvwq0wrig13h97w8ansfkyig359vpzy0";
      system = "gute";
      asd = "gute";
    });
    systems = [ "gute/tests" ];
    lispLibs = [ (getAttr "gute" pkgs) (getAttr "lisp-unit" pkgs) ];
    meta = {
      broken = true;
    };
  };
  gwl = {
    pname = "gwl";
    version = "master-1a957fb2-git";
    asds = [ "gwl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "gwl";
      asd = "gwl";
    });
    systems = [ "gwl" ];
    lispLibs = [ (getAttr "zaserve" pkgs) (getAttr "cl-html-parse" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "cl-who" pkgs) (getAttr "glisp" pkgs) (getAttr "yason" pkgs) ];
  };
  gwl-graphics = {
    pname = "gwl-graphics";
    version = "master-1a957fb2-git";
    asds = [ "gwl-graphics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "gwl-graphics";
      asd = "gwl-graphics";
    });
    systems = [ "gwl-graphics" ];
    lispLibs = [ (getAttr "geom-base" pkgs) (getAttr "gwl" pkgs) ];
  };
  gzip-stream = {
    pname = "gzip-stream";
    version = "0.2.8";
    asds = [ "gzip-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gzip-stream/2010-10-06/gzip-stream_0.2.8.tgz";
      sha256 = "1m2x685mk9zp8vq45r4gf6mlbzmzr79mvdxibw1fqzv7r1bqrwrs";
      system = "gzip-stream";
      asd = "gzip-stream";
    });
    systems = [ "gzip-stream" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  halftone = {
    pname = "halftone";
    version = "20190710-git";
    asds = [ "halftone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/halftone/2019-07-10/halftone-20190710-git.tgz";
      sha256 = "0j0fn6c6y5z9cq662cvyzc6pyxj228gb1k67gmpnpq5cy1bdbnxa";
      system = "halftone";
      asd = "halftone";
    });
    systems = [ "halftone" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtopengl" pkgs) (getAttr "qtools" pkgs) (getAttr "simple-tasks" pkgs) (getAttr "uiop" pkgs) (getAttr "verbose" pkgs) ];
  };
  hamcrest = {
    pname = "hamcrest";
    version = "20220220-git";
    asds = [ "hamcrest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamcrest/2022-02-20/cl-hamcrest-20220220-git.tgz";
      sha256 = "1s49wh5cycswsnjd6vvyw72a7a112b2mm9z07jr17l5w4gad7ggh";
      system = "hamcrest";
      asd = "hamcrest";
    });
    systems = [ "hamcrest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  harmony = {
    pname = "harmony";
    version = "20221106-git";
    asds = [ "harmony" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/harmony/2022-11-06/harmony-20221106-git.tgz";
      sha256 = "1s8msnlscsa1138l1vrld9rwl1ib56caxkc4hr938wbihqg9gigs";
      system = "harmony";
      asd = "harmony";
    });
    systems = [ "harmony" ];
    lispLibs = [ (getAttr "atomics" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-mixed" pkgs) (getAttr "cl-mixed-alsa" pkgs) (getAttr "cl-mixed-pulse" pkgs) (getAttr "stealth-mixin" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  hash-set = {
    pname = "hash-set";
    version = "20211230-git";
    asds = [ "hash-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-set/2021-12-30/hash-set-20211230-git.tgz";
      sha256 = "0a966y9yfarhmki4wwzg371ziaygnp13yc6r13w9zz327fkhz8na";
      system = "hash-set";
      asd = "hash-set";
    });
    systems = [ "hash-set" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  hash-set-tests = {
    pname = "hash-set-tests";
    version = "20211230-git";
    asds = [ "hash-set-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-set/2021-12-30/hash-set-20211230-git.tgz";
      sha256 = "0a966y9yfarhmki4wwzg371ziaygnp13yc6r13w9zz327fkhz8na";
      system = "hash-set-tests";
      asd = "hash-set-tests";
    });
    systems = [ "hash-set-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "hash-set" pkgs) ];
  };
  hash-table-ext = {
    pname = "hash-table-ext";
    version = "20211020-git";
    asds = [ "hash-table-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-table-ext/2021-10-20/hash-table-ext-20211020-git.tgz";
      sha256 = "00pafnjy5w9yhbzzdvgg4wwb8yicjjshgzxnn0by3d9qknxc7539";
      system = "hash-table-ext";
      asd = "hash-table-ext";
    });
    systems = [ "hash-table-ext" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  hash-table-ext_dot_test = {
    pname = "hash-table-ext.test";
    version = "20211020-git";
    asds = [ "hash-table-ext.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-table-ext/2021-10-20/hash-table-ext-20211020-git.tgz";
      sha256 = "00pafnjy5w9yhbzzdvgg4wwb8yicjjshgzxnn0by3d9qknxc7539";
      system = "hash-table-ext.test";
      asd = "hash-table-ext.test";
    });
    systems = [ "hash-table-ext.test" ];
    lispLibs = [ (getAttr "hash-table-ext" pkgs) (getAttr "jingoh" pkgs) ];
  };
  hashtrie = {
    pname = "hashtrie";
    version = "20211020-git";
    asds = [ "hashtrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hashtrie/2021-10-20/hashtrie-20211020-git.tgz";
      sha256 = "04crw4nlp7s2ljjmaqzy74xjzi0l8dn2yp8pdlaniklyq6y6n43j";
      system = "hashtrie";
      asd = "hashtrie";
    });
    systems = [ "hashtrie" ];
    lispLibs = [  ];
  };
  hashtrie-tests = {
    pname = "hashtrie-tests";
    version = "20211020-git";
    asds = [ "hashtrie-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hashtrie/2021-10-20/hashtrie-20211020-git.tgz";
      sha256 = "04crw4nlp7s2ljjmaqzy74xjzi0l8dn2yp8pdlaniklyq6y6n43j";
      system = "hashtrie-tests";
      asd = "hashtrie-tests";
    });
    systems = [ "hashtrie-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "hashtrie" pkgs) ];
  };
  hdf5-cffi = {
    pname = "hdf5-cffi";
    version = "20180228-git";
    asds = [ "hdf5-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi";
      asd = "hdf5-cffi";
    });
    systems = [ "hdf5-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  hdf5-cffi_dot_examples = {
    pname = "hdf5-cffi.examples";
    version = "20180228-git";
    asds = [ "hdf5-cffi.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi.examples";
      asd = "hdf5-cffi.examples";
    });
    systems = [ "hdf5-cffi.examples" ];
    lispLibs = [ (getAttr "hdf5-cffi" pkgs) ];
  };
  hdf5-cffi_dot_test = {
    pname = "hdf5-cffi.test";
    version = "20180228-git";
    asds = [ "hdf5-cffi.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi.test";
      asd = "hdf5-cffi.test";
    });
    systems = [ "hdf5-cffi.test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "fiveam" pkgs) (getAttr "hdf5-cffi" pkgs) (getAttr "hdf5-cffi_dot_examples" pkgs) ];
  };
  heap = {
    pname = "heap";
    version = "20181018-git";
    asds = [ "heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/heap/2018-10-18/heap-20181018-git.tgz";
      sha256 = "0jkgazjnjip7y41zd8rpy89ymh75yimk1q24qbddcisq5rzdl52k";
      system = "heap";
      asd = "heap";
    });
    systems = [ "heap" ];
    lispLibs = [  ];
  };
  helambdap = {
    pname = "helambdap";
    version = "20220220-git";
    asds = [ "helambdap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/helambdap/2022-02-20/helambdap-20220220-git.tgz";
      sha256 = "1c195x0i99ay666w3nhjqknq95aybavbgws66f6zimza3dp5q4iq";
      system = "helambdap";
      asd = "helambdap";
    });
    systems = [ "helambdap" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "clad" pkgs) (getAttr "split-sequence" pkgs) (getAttr "xhtmlambda" pkgs) ];
  };
  hello-builder = {
    pname = "hello-builder";
    version = "20221106-git";
    asds = [ "hello-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2022-11-06/clog-20221106-git.tgz";
      sha256 = "135mj69shjayml9xfwg3sccfw5r901lzmf5vj5crnp9wywjfzywx";
      system = "hello-builder";
      asd = "hello-builder";
    });
    systems = [ "hello-builder" ];
    lispLibs = [ (getAttr "clog" pkgs) ];
  };
  hello-clog = {
    pname = "hello-clog";
    version = "20221106-git";
    asds = [ "hello-clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2022-11-06/clog-20221106-git.tgz";
      sha256 = "135mj69shjayml9xfwg3sccfw5r901lzmf5vj5crnp9wywjfzywx";
      system = "hello-clog";
      asd = "hello-clog";
    });
    systems = [ "hello-clog" ];
    lispLibs = [ (getAttr "clog" pkgs) ];
  };
  hermetic = {
    pname = "hermetic";
    version = "20191007-git";
    asds = [ "hermetic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hermetic/2019-10-07/hermetic-20191007-git.tgz";
      sha256 = "1sndxkkj45sqr13xw9kvnhj25an96q4la70ni3w468yrcbf782pi";
      system = "hermetic";
      asd = "hermetic";
    });
    systems = [ "hermetic" ];
    lispLibs = [ (getAttr "cl-pass" pkgs) (getAttr "clack" pkgs) ];
  };
  herodotus = {
    pname = "herodotus";
    version = "20220331-git";
    asds = [ "herodotus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/herodotus/2022-03-31/herodotus-20220331-git.tgz";
      sha256 = "085r6b8fydac2a939r80vlavs1ij5ij5li5xnl5q8qvn9dl4rr5k";
      system = "herodotus";
      asd = "herodotus";
    });
    systems = [ "herodotus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yason" pkgs) ];
  };
  herodotus_slash_tests = {
    pname = "herodotus_tests";
    version = "20220331-git";
    asds = [ "herodotus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/herodotus/2022-03-31/herodotus-20220331-git.tgz";
      sha256 = "085r6b8fydac2a939r80vlavs1ij5ij5li5xnl5q8qvn9dl4rr5k";
      system = "herodotus";
      asd = "herodotus";
    });
    systems = [ "herodotus/tests" ];
    lispLibs = [ (getAttr "herodotus" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hh-aws = {
    pname = "hh-aws";
    version = "20150804-git";
    asds = [ "hh-aws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-aws/2015-08-04/hh-aws-20150804-git.tgz";
      sha256 = "02kfq7krn8788iphzcxnf0da88sy30gxpj1acgy9fl2n8qc03qdp";
      system = "hh-aws";
      asd = "hh-aws";
    });
    systems = [ "hh-aws" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "puri" pkgs) (getAttr "s-xml" pkgs) ];
  };
  hh-aws-tests = {
    pname = "hh-aws-tests";
    version = "20150804-git";
    asds = [ "hh-aws-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-aws/2015-08-04/hh-aws-20150804-git.tgz";
      sha256 = "02kfq7krn8788iphzcxnf0da88sy30gxpj1acgy9fl2n8qc03qdp";
      system = "hh-aws-tests";
      asd = "hh-aws";
    });
    systems = [ "hh-aws-tests" ];
    lispLibs = [ (getAttr "hh-aws" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "uuid" pkgs) ];
  };
  hh-redblack = {
    pname = "hh-redblack";
    version = "20151031-git";
    asds = [ "hh-redblack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-redblack/2015-10-31/hh-redblack-20151031-git.tgz";
      sha256 = "1klr78m4g60c82dnxksb7710jjj35rnfl4gl3dx3nrx0nb04bam6";
      system = "hh-redblack";
      asd = "hh-redblack";
    });
    systems = [ "hh-redblack" ];
    lispLibs = [  ];
  };
  hh-redblack-tests = {
    pname = "hh-redblack-tests";
    version = "20151031-git";
    asds = [ "hh-redblack-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-redblack/2015-10-31/hh-redblack-20151031-git.tgz";
      sha256 = "1klr78m4g60c82dnxksb7710jjj35rnfl4gl3dx3nrx0nb04bam6";
      system = "hh-redblack-tests";
      asd = "hh-redblack";
    });
    systems = [ "hh-redblack-tests" ];
    lispLibs = [ (getAttr "hh-redblack" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  hh-web = {
    pname = "hh-web";
    version = "20141106-git";
    asds = [ "hh-web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-web/2014-11-06/hh-web-20141106-git.tgz";
      sha256 = "1i3jyifayczm9b7rvw3fafiisxvjq87xd9z0hdf957qc2albsq87";
      system = "hh-web";
      asd = "hh-web";
    });
    systems = [ "hh-web" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "log5" pkgs) (getAttr "parenscript" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "uuid" pkgs) (getAttr "vecto" pkgs) ];
  };
  hl7-client = {
    pname = "hl7-client";
    version = "20150407-git";
    asds = [ "hl7-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hl7-client/2015-04-07/hl7-client-20150407-git.tgz";
      sha256 = "0hq5ip6f1hbdiydml5f1z7qsjaq1v3a3g4y5a87jaif027pwhd89";
      system = "hl7-client";
      asd = "hl7-client";
    });
    systems = [ "hl7-client" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  hl7-parser = {
    pname = "hl7-parser";
    version = "20160531-git";
    asds = [ "hl7-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hl7-parser/2016-05-31/hl7-parser-20160531-git.tgz";
      sha256 = "1lcyvk3vap73d23s6pk8p1ficqhl2gs84nan6d0yy0hx8c4gip0x";
      system = "hl7-parser";
      asd = "hl7-parser";
    });
    systems = [ "hl7-parser" ];
    lispLibs = [  ];
  };
  hompack = {
    pname = "hompack";
    version = "20200925-git";
    asds = [ "hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "hompack";
      asd = "hompack";
    });
    systems = [ "hompack" ];
    lispLibs = [ (getAttr "blas-hompack" pkgs) (getAttr "f2cl" pkgs) ];
  };
  hompack_slash_test-mainf = {
    pname = "hompack_test-mainf";
    version = "20200925-git";
    asds = [ "hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "hompack";
      asd = "hompack";
    });
    systems = [ "hompack/test-mainf" ];
    lispLibs = [ (getAttr "hompack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hompack_slash_test-mainp = {
    pname = "hompack_test-mainp";
    version = "20200925-git";
    asds = [ "hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "hompack";
      asd = "hompack";
    });
    systems = [ "hompack/test-mainp" ];
    lispLibs = [ (getAttr "hompack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hompack_slash_test-mains = {
    pname = "hompack_test-mains";
    version = "20200925-git";
    asds = [ "hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "hompack";
      asd = "hompack";
    });
    systems = [ "hompack/test-mains" ];
    lispLibs = [ (getAttr "hompack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  horner = {
    pname = "horner";
    version = "20191130-git";
    asds = [ "horner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/horner/2019-11-30/horner-20191130-git.tgz";
      sha256 = "05afvf7sxn1db7xxw7qmys1dwbgsx53iw4w556r277da6bpyacr9";
      system = "horner";
      asd = "horner";
    });
    systems = [ "horner" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "infix-math" pkgs) (getAttr "serapeum" pkgs) ];
  };
  horse-html = {
    pname = "horse-html";
    version = "20191007-git";
    asds = [ "horse-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/horse-html/2019-10-07/horse-html-20191007-git.tgz";
      sha256 = "0g6cs38123ajf1hvv056df9d8gy5ajarg0f5gywzhmmf0rhr9br5";
      system = "horse-html";
      asd = "horse-html";
    });
    systems = [ "horse-html" ];
    lispLibs = [ (getAttr "parenscript" pkgs) ];
  };
  horse-html_slash_tests = {
    pname = "horse-html_tests";
    version = "20191007-git";
    asds = [ "horse-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/horse-html/2019-10-07/horse-html-20191007-git.tgz";
      sha256 = "0g6cs38123ajf1hvv056df9d8gy5ajarg0f5gywzhmmf0rhr9br5";
      system = "horse-html";
      asd = "horse-html";
    });
    systems = [ "horse-html/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "horse-html" pkgs) ];
    meta = {
      broken = true;
    };
  };
  house = {
    pname = "house";
    version = "20210124-git";
    asds = [ "house" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/house/2021-01-24/house-20210124-git.tgz";
      sha256 = "1x3dprg5j5rhbf8r1nr6py6g8wgfb9zysbqbjdcyh91szg7w80mb";
      system = "house";
      asd = "house";
    });
    systems = [ "house" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "lisp-unit" pkgs) (getAttr "optima" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "quri" pkgs) (getAttr "session-token" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-features" pkgs) (getAttr "usocket" pkgs) ];
  };
  house_slash_test = {
    pname = "house_test";
    version = "20210124-git";
    asds = [ "house" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/house/2021-01-24/house-20210124-git.tgz";
      sha256 = "1x3dprg5j5rhbf8r1nr6py6g8wgfb9zysbqbjdcyh91szg7w80mb";
      system = "house";
      asd = "house";
    });
    systems = [ "house/test" ];
    lispLibs = [ (getAttr "house" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "test-utils" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ht-simple-ajax = {
    pname = "ht-simple-ajax";
    version = "20130421-git";
    asds = [ "ht-simple-ajax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ht-simple-ajax/2013-04-21/ht-simple-ajax-20130421-git.tgz";
      sha256 = "1l87c0arjzyrp3g6ay189fjkqmy81b7i35rfrcs9b269n7d4iis4";
      system = "ht-simple-ajax";
      asd = "ht-simple-ajax";
    });
    systems = [ "ht-simple-ajax" ];
    lispLibs = [ (getAttr "hunchentoot" pkgs) ];
  };
  html-encode = {
    pname = "html-encode";
    version = "1.2";
    asds = [ "html-encode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-encode/2010-10-06/html-encode-1.2.tgz";
      sha256 = "1ydgb5xnbj1qbvzn7x32dm38gpqg5h0pjxc31f8df3j8sar843db";
      system = "html-encode";
      asd = "html-encode";
    });
    systems = [ "html-encode" ];
    lispLibs = [  ];
  };
  html-entities = {
    pname = "html-entities";
    version = "20171019-git";
    asds = [ "html-entities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-entities/2017-10-19/html-entities-20171019-git.tgz";
      sha256 = "1b2yl6lf6vis17y4n5s505p7ica96bdafcl6vydy1hg50fy33nfr";
      system = "html-entities";
      asd = "html-entities";
    });
    systems = [ "html-entities" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  html-entities-tests = {
    pname = "html-entities-tests";
    version = "20171019-git";
    asds = [ "html-entities-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-entities/2017-10-19/html-entities-20171019-git.tgz";
      sha256 = "1b2yl6lf6vis17y4n5s505p7ica96bdafcl6vydy1hg50fy33nfr";
      system = "html-entities-tests";
      asd = "html-entities";
    });
    systems = [ "html-entities-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "html-entities" pkgs) ];
  };
  html-match = {
    pname = "html-match";
    version = "20140713-git";
    asds = [ "html-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "html-match";
      asd = "html-match";
    });
    systems = [ "html-match" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "unit-test" pkgs) ];
  };
  html-match_dot_test = {
    pname = "html-match.test";
    version = "20140713-git";
    asds = [ "html-match.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "html-match.test";
      asd = "html-match";
    });
    systems = [ "html-match.test" ];
    lispLibs = [ (getAttr "html-match" pkgs) (getAttr "unit-test" pkgs) ];
  };
  html-template = {
    pname = "html-template";
    version = "20171227-git";
    asds = [ "html-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-template/2017-12-27/html-template-20171227-git.tgz";
      sha256 = "0g700zlyjjba17nbmw1adspw7r9s0321xhayfiqh0drg20zixaf7";
      system = "html-template";
      asd = "html-template";
    });
    systems = [ "html-template" ];
    lispLibs = [  ];
  };
  htmlgen = {
    pname = "htmlgen";
    version = "20190813-git";
    asds = [ "htmlgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "htmlgen";
      asd = "htmlgen";
    });
    systems = [ "htmlgen" ];
    lispLibs = [ (getAttr "acl-compat" pkgs) ];
  };
  http-body = {
    pname = "http-body";
    version = "20190813-git";
    asds = [ "http-body" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-body/2019-08-13/http-body-20190813-git.tgz";
      sha256 = "0kcg43l5674drzid9cj938q0ki5z25glx296rl239dm7yfmxlzz2";
      system = "http-body";
      asd = "http-body";
    });
    systems = [ "http-body" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "fast-http" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "jonathan" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  http-body-test = {
    pname = "http-body-test";
    version = "20190813-git";
    asds = [ "http-body-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-body/2019-08-13/http-body-20190813-git.tgz";
      sha256 = "0kcg43l5674drzid9cj938q0ki5z25glx296rl239dm7yfmxlzz2";
      system = "http-body-test";
      asd = "http-body-test";
    });
    systems = [ "http-body-test" ];
    lispLibs = [ (getAttr "assoc-utils" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "http-body" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  http-get-cache = {
    pname = "http-get-cache";
    version = "20180228-git";
    asds = [ "http-get-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-get-cache/2018-02-28/http-get-cache-20180228-git.tgz";
      sha256 = "03bw4zf4hlxyrqm5mq53z0qksb9jbrcc5nv90y7qry83kxic2cgv";
      system = "http-get-cache";
      asd = "http-get-cache";
    });
    systems = [ "http-get-cache" ];
    lispLibs = [ (getAttr "drakma" pkgs) ];
  };
  http-parse = {
    pname = "http-parse";
    version = "20150608-git";
    asds = [ "http-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-parse/2015-06-08/http-parse-20150608-git.tgz";
      sha256 = "1plycsx2kch2l143s56hvi5dqx51n5bvp7vazmphqj5skmnw4576";
      system = "http-parse";
      asd = "http-parse";
    });
    systems = [ "http-parse" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  http-parse-test = {
    pname = "http-parse-test";
    version = "20150608-git";
    asds = [ "http-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-parse/2015-06-08/http-parse-20150608-git.tgz";
      sha256 = "1plycsx2kch2l143s56hvi5dqx51n5bvp7vazmphqj5skmnw4576";
      system = "http-parse-test";
      asd = "http-parse-test";
    });
    systems = [ "http-parse-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "eos" pkgs) (getAttr "http-parse" pkgs) ];
  };
  http2 = {
    pname = "http2";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  http2_slash_all = {
    pname = "http2_all";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2/all" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-who" pkgs) (getAttr "fiasco" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "http2" pkgs) (getAttr "parenscript" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  http2_slash_client = {
    pname = "http2_client";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2/client" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "http2" pkgs) (getAttr "puri" pkgs) ];
    meta = {
      broken = true;
    };
  };
  http2_slash_server = {
    pname = "http2_server";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2/server" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-who" pkgs) (getAttr "http2" pkgs) (getAttr "parenscript" pkgs) (getAttr "puri" pkgs) ];
    meta = {
      broken = true;
    };
  };
  http2_slash_test = {
    pname = "http2_test";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2/test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-who" pkgs) (getAttr "fiasco" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "http2" pkgs) (getAttr "parenscript" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  http2_slash_tls = {
    pname = "http2_tls";
    version = "20221106-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2022-11-06/http2-20221106-git.tgz";
      sha256 = "0503pbp43slwhg3n9d3x16qbiqmwc1vvlgl2fkxv85nl4ygrkl4f";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2/tls" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "http2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_asdf = {
    pname = "hu.dwim.asdf";
    version = "stable-git";
    asds = [ "hu.dwim.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.asdf/2021-12-30/hu.dwim.asdf-stable-git.tgz";
      sha256 = "0zfwdsvcywvwzkn0a80ghi5kn1hs4iwinvi17ld58gyskf15frx9";
      system = "hu.dwim.asdf";
      asd = "hu.dwim.asdf";
    });
    systems = [ "hu.dwim.asdf" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  hu_dot_dwim_dot_asdf_dot_documentation = {
    pname = "hu.dwim.asdf.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.asdf.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.asdf/2021-12-30/hu.dwim.asdf-stable-git.tgz";
      sha256 = "0zfwdsvcywvwzkn0a80ghi5kn1hs4iwinvi17ld58gyskf15frx9";
      system = "hu.dwim.asdf.documentation";
      asd = "hu.dwim.asdf.documentation";
    });
    systems = [ "hu.dwim.asdf.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_bluez = {
    pname = "hu.dwim.bluez";
    version = "stable-git";
    asds = [ "hu.dwim.bluez" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.bluez/2021-02-28/hu.dwim.bluez-stable-git.tgz";
      sha256 = "0gjh3bgmdz4aabdavbd5m27r273hna47vs388r4m7l2xnd3b3j55";
      system = "hu.dwim.bluez";
      asd = "hu.dwim.bluez";
    });
    systems = [ "hu.dwim.bluez" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) ];
  };
  hu_dot_dwim_dot_bluez_slash_fancy = {
    pname = "hu.dwim.bluez_fancy";
    version = "stable-git";
    asds = [ "hu.dwim.bluez" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.bluez/2021-02-28/hu.dwim.bluez-stable-git.tgz";
      sha256 = "0gjh3bgmdz4aabdavbd5m27r273hna47vs388r4m7l2xnd3b3j55";
      system = "hu.dwim.bluez";
      asd = "hu.dwim.bluez";
    });
    systems = [ "hu.dwim.bluez/fancy" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_bluez" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_common = {
    pname = "hu.dwim.common";
    version = "20150709-darcs";
    asds = [ "hu.dwim.common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common/2015-07-09/hu.dwim.common-20150709-darcs.tgz";
      sha256 = "0mkhq6bqysdy09gswgxm1s50xrq7gimdyqiq84xk8vpyp2hv6hqq";
      system = "hu.dwim.common";
      asd = "hu.dwim.common";
    });
    systems = [ "hu.dwim.common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common-lisp" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  hu_dot_dwim_dot_common-lisp = {
    pname = "hu.dwim.common-lisp";
    version = "stable-git";
    asds = [ "hu.dwim.common-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common-lisp/2021-02-28/hu.dwim.common-lisp-stable-git.tgz";
      sha256 = "06zkdw3scnaw0d4nmsgkv7pi7sw00dikdgfgsqmbqfbz2yrsdabk";
      system = "hu.dwim.common-lisp";
      asd = "hu.dwim.common-lisp";
    });
    systems = [ "hu.dwim.common-lisp" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) ];
  };
  hu_dot_dwim_dot_common-lisp_dot_documentation = {
    pname = "hu.dwim.common-lisp.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.common-lisp.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common-lisp/2021-02-28/hu.dwim.common-lisp-stable-git.tgz";
      sha256 = "06zkdw3scnaw0d4nmsgkv7pi7sw00dikdgfgsqmbqfbz2yrsdabk";
      system = "hu.dwim.common-lisp.documentation";
      asd = "hu.dwim.common-lisp.documentation";
    });
    systems = [ "hu.dwim.common-lisp.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common-lisp" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_common_dot_documentation = {
    pname = "hu.dwim.common.documentation";
    version = "20150709-darcs";
    asds = [ "hu.dwim.common.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common/2015-07-09/hu.dwim.common-20150709-darcs.tgz";
      sha256 = "0mkhq6bqysdy09gswgxm1s50xrq7gimdyqiq84xk8vpyp2hv6hqq";
      system = "hu.dwim.common.documentation";
      asd = "hu.dwim.common.documentation";
    });
    systems = [ "hu.dwim.common.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_computed-class = {
    pname = "hu.dwim.computed-class";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class";
      asd = "hu.dwim.computed-class";
    });
    systems = [ "hu.dwim.computed-class" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
  };
  hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger = {
    pname = "hu.dwim.computed-class+hu.dwim.logger";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class+hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class+hu.dwim.logger";
      asd = "hu.dwim.computed-class+hu.dwim.logger";
    });
    systems = [ "hu.dwim.computed-class+hu.dwim.logger" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_computed-class" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) ];
  };
  hu_dot_dwim_dot_computed-class_plus_swank = {
    pname = "hu.dwim.computed-class+swank";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class+swank";
      asd = "hu.dwim.computed-class+swank";
    });
    systems = [ "hu.dwim.computed-class+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_computed-class" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_computed-class_dot_documentation = {
    pname = "hu.dwim.computed-class.documentation";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class.documentation";
      asd = "hu.dwim.computed-class.documentation";
    });
    systems = [ "hu.dwim.computed-class.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_computed-class_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_computed-class_dot_test = {
    pname = "hu.dwim.computed-class.test";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class.test";
      asd = "hu.dwim.computed-class.test";
    });
    systems = [ "hu.dwim.computed-class.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) ];
  };
  hu_dot_dwim_dot_debug = {
    pname = "hu.dwim.debug";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug";
      asd = "hu.dwim.debug";
    });
    systems = [ "hu.dwim.debug" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_debug_dot_documentation = {
    pname = "hu.dwim.debug.documentation";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug.documentation";
      asd = "hu.dwim.debug.documentation";
    });
    systems = [ "hu.dwim.debug.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_debug_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_debug_dot_test = {
    pname = "hu.dwim.debug.test";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug.test";
      asd = "hu.dwim.debug.test";
    });
    systems = [ "hu.dwim.debug.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_debug" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_def = {
    pname = "hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def";
      asd = "hu.dwim.def";
    });
    systems = [ "hu.dwim.def" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  hu_dot_dwim_dot_def_plus_cl-l10n = {
    pname = "hu.dwim.def+cl-l10n";
    version = "stable-git";
    asds = [ "hu.dwim.def+cl-l10n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+cl-l10n";
      asd = "hu.dwim.def+cl-l10n";
    });
    systems = [ "hu.dwim.def+cl-l10n" ];
    lispLibs = [ (getAttr "cl-l10n" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) ];
  };
  hu_dot_dwim_dot_def_plus_contextl = {
    pname = "hu.dwim.def+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.def+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+contextl";
      asd = "hu.dwim.def+contextl";
    });
    systems = [ "hu.dwim.def+contextl" ];
    lispLibs = [ (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) ];
  };
  hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common = {
    pname = "hu.dwim.def+hu.dwim.common";
    version = "stable-git";
    asds = [ "hu.dwim.def+hu.dwim.common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+hu.dwim.common";
      asd = "hu.dwim.def+hu.dwim.common";
    });
    systems = [ "hu.dwim.def+hu.dwim.common" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) ];
  };
  hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico = {
    pname = "hu.dwim.def+hu.dwim.delico";
    version = "stable-git";
    asds = [ "hu.dwim.def+hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+hu.dwim.delico";
      asd = "hu.dwim.def+hu.dwim.delico";
    });
    systems = [ "hu.dwim.def+hu.dwim.delico" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_delico" pkgs) ];
  };
  hu_dot_dwim_dot_def_plus_swank = {
    pname = "hu.dwim.def+swank";
    version = "stable-git";
    asds = [ "hu.dwim.def+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+swank";
      asd = "hu.dwim.def+swank";
    });
    systems = [ "hu.dwim.def+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_def_slash_documentation = {
    pname = "hu.dwim.def_documentation";
    version = "stable-git";
    asds = [ "hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def";
      asd = "hu.dwim.def";
    });
    systems = [ "hu.dwim.def/documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "optima" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_def_slash_namespace = {
    pname = "hu.dwim.def_namespace";
    version = "stable-git";
    asds = [ "hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def";
      asd = "hu.dwim.def";
    });
    systems = [ "hu.dwim.def/namespace" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_def_slash_test = {
    pname = "hu.dwim.def_test";
    version = "stable-git";
    asds = [ "hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def";
      asd = "hu.dwim.def";
    });
    systems = [ "hu.dwim.def/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "optima" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_defclass-star = {
    pname = "hu.dwim.defclass-star";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star";
      asd = "hu.dwim.defclass-star";
    });
    systems = [ "hu.dwim.defclass-star" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) ];
  };
  hu_dot_dwim_dot_defclass-star_plus_contextl = {
    pname = "hu.dwim.defclass-star+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+contextl";
      asd = "hu.dwim.defclass-star+contextl";
    });
    systems = [ "hu.dwim.defclass-star+contextl" ];
    lispLibs = [ (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) ];
  };
  hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def = {
    pname = "hu.dwim.defclass-star+hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+hu.dwim.def";
      asd = "hu.dwim.defclass-star+hu.dwim.def";
    });
    systems = [ "hu.dwim.defclass-star+hu.dwim.def" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) ];
  };
  hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def_plus_contextl = {
    pname = "hu.dwim.defclass-star+hu.dwim.def+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+hu.dwim.def+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+hu.dwim.def+contextl";
      asd = "hu.dwim.defclass-star+hu.dwim.def+contextl";
    });
    systems = [ "hu.dwim.defclass-star+hu.dwim.def+contextl" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) ];
  };
  hu_dot_dwim_dot_defclass-star_plus_swank = {
    pname = "hu.dwim.defclass-star+swank";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+swank";
      asd = "hu.dwim.defclass-star+swank";
    });
    systems = [ "hu.dwim.defclass-star+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_defclass-star_slash_documentation = {
    pname = "hu.dwim.defclass-star_documentation";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star";
      asd = "hu.dwim.defclass-star";
    });
    systems = [ "hu.dwim.defclass-star/documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_defclass-star_slash_test = {
    pname = "hu.dwim.defclass-star_test";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star";
      asd = "hu.dwim.defclass-star";
    });
    systems = [ "hu.dwim.defclass-star/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_delico = {
    pname = "hu.dwim.delico";
    version = "20200925-darcs";
    asds = [ "hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.delico/2020-09-25/hu.dwim.delico-20200925-darcs.tgz";
      sha256 = "12n5cddg7vd3y4dqjcf4wayxwj905ja8jh90ixvrhgnvs559lbnl";
      system = "hu.dwim.delico";
      asd = "hu.dwim.delico";
    });
    systems = [ "hu.dwim.delico" ];
    lispLibs = [ (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
  };
  hu_dot_dwim_dot_delico_slash_documentation = {
    pname = "hu.dwim.delico_documentation";
    version = "20200925-darcs";
    asds = [ "hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.delico/2020-09-25/hu.dwim.delico-20200925-darcs.tgz";
      sha256 = "12n5cddg7vd3y4dqjcf4wayxwj905ja8jh90ixvrhgnvs559lbnl";
      system = "hu.dwim.delico";
      asd = "hu.dwim.delico";
    });
    systems = [ "hu.dwim.delico/documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_delico_slash_test = {
    pname = "hu.dwim.delico_test";
    version = "20200925-darcs";
    asds = [ "hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.delico/2020-09-25/hu.dwim.delico-20200925-darcs.tgz";
      sha256 = "12n5cddg7vd3y4dqjcf4wayxwj905ja8jh90ixvrhgnvs559lbnl";
      system = "hu.dwim.delico";
      asd = "hu.dwim.delico";
    });
    systems = [ "hu.dwim.delico/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_graphviz = {
    pname = "hu.dwim.graphviz";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz";
      asd = "hu.dwim.graphviz";
    });
    systems = [ "hu.dwim.graphviz" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "metabang-bind" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_graphviz_dot_documentation = {
    pname = "hu.dwim.graphviz.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz.documentation";
      asd = "hu.dwim.graphviz.documentation";
    });
    systems = [ "hu.dwim.graphviz.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_graphviz_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_graphviz_dot_test = {
    pname = "hu.dwim.graphviz.test";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz.test";
      asd = "hu.dwim.graphviz.test";
    });
    systems = [ "hu.dwim.graphviz.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_graphviz" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_logger = {
    pname = "hu.dwim.logger";
    version = "stable-git";
    asds = [ "hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger";
      asd = "hu.dwim.logger";
    });
    systems = [ "hu.dwim.logger" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "local-time" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_logger_plus_iolib = {
    pname = "hu.dwim.logger+iolib";
    version = "stable-git";
    asds = [ "hu.dwim.logger+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger+iolib";
      asd = "hu.dwim.logger+iolib";
    });
    systems = [ "hu.dwim.logger+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_util_plus_iolib" pkgs) ];
  };
  hu_dot_dwim_dot_logger_plus_swank = {
    pname = "hu.dwim.logger+swank";
    version = "stable-git";
    asds = [ "hu.dwim.logger+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger+swank";
      asd = "hu.dwim.logger+swank";
    });
    systems = [ "hu.dwim.logger+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_logger_dot_documentation = {
    pname = "hu.dwim.logger.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.logger.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger.documentation";
      asd = "hu.dwim.logger.documentation";
    });
    systems = [ "hu.dwim.logger.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_logger_dot_test = {
    pname = "hu.dwim.logger.test";
    version = "stable-git";
    asds = [ "hu.dwim.logger.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger.test";
      asd = "hu.dwim.logger.test";
    });
    systems = [ "hu.dwim.logger.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_partial-eval = {
    pname = "hu.dwim.partial-eval";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval";
      asd = "hu.dwim.partial-eval";
    });
    systems = [ "hu.dwim.partial-eval" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_partial-eval_dot_documentation = {
    pname = "hu.dwim.partial-eval.documentation";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval.documentation";
      asd = "hu.dwim.partial-eval.documentation";
    });
    systems = [ "hu.dwim.partial-eval.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_partial-eval_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_partial-eval_dot_test = {
    pname = "hu.dwim.partial-eval.test";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval.test";
      asd = "hu.dwim.partial-eval.test";
    });
    systems = [ "hu.dwim.partial-eval.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_partial-eval" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
  };
  hu_dot_dwim_dot_perec = {
    pname = "hu.dwim.perec";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec";
      asd = "hu.dwim.perec";
    });
    systems = [ "hu.dwim.perec" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_computed-class" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_rdbms" pkgs) (getAttr "hu_dot_dwim_dot_serializer" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) (getAttr "metacopy-with-contextl" pkgs) (getAttr "parse-number" pkgs) ];
  };
  hu_dot_dwim_dot_perec_plus_hu_dot_dwim_dot_quasi-quote_dot_xml = {
    pname = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+hu.dwim.quasi-quote.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
      asd = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
    });
    systems = [ "hu.dwim.perec+hu.dwim.quasi-quote.xml" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) ];
  };
  hu_dot_dwim_dot_perec_plus_iolib = {
    pname = "hu.dwim.perec+iolib";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+iolib";
      asd = "hu.dwim.perec+iolib";
    });
    systems = [ "hu.dwim.perec+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "iolib" pkgs) ];
  };
  hu_dot_dwim_dot_perec_plus_swank = {
    pname = "hu.dwim.perec+swank";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+swank";
      asd = "hu.dwim.perec+swank";
    });
    systems = [ "hu.dwim.perec+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_all = {
    pname = "hu.dwim.perec.all";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.all";
      asd = "hu.dwim.perec.all";
    });
    systems = [ "hu.dwim.perec.all" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_oracle" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_all_dot_test = {
    pname = "hu.dwim.perec.all.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.all.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.all.test";
      asd = "hu.dwim.perec.all.test";
    });
    systems = [ "hu.dwim.perec.all.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_oracle_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_documentation = {
    pname = "hu.dwim.perec.documentation";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.documentation";
      asd = "hu.dwim.perec.documentation";
    });
    systems = [ "hu.dwim.perec.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_all_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_oracle = {
    pname = "hu.dwim.perec.oracle";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.oracle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.oracle";
      asd = "hu.dwim.perec.oracle";
    });
    systems = [ "hu.dwim.perec.oracle" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_oracle_dot_test = {
    pname = "hu.dwim.perec.oracle.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.oracle.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.oracle.test";
      asd = "hu.dwim.perec.oracle.test";
    });
    systems = [ "hu.dwim.perec.oracle.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_oracle" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_postgresql = {
    pname = "hu.dwim.perec.postgresql";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.postgresql";
      asd = "hu.dwim.perec.postgresql";
    });
    systems = [ "hu.dwim.perec.postgresql" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_postgresql_dot_test = {
    pname = "hu.dwim.perec.postgresql.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.postgresql.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.postgresql.test";
      asd = "hu.dwim.perec.postgresql.test";
    });
    systems = [ "hu.dwim.perec.postgresql.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_sqlite = {
    pname = "hu.dwim.perec.sqlite";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.sqlite";
      asd = "hu.dwim.perec.sqlite";
    });
    systems = [ "hu.dwim.perec.sqlite" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_sqlite_dot_test = {
    pname = "hu.dwim.perec.sqlite.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.sqlite.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.sqlite.test";
      asd = "hu.dwim.perec.sqlite.test";
    });
    systems = [ "hu.dwim.perec.sqlite.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_perec_dot_test = {
    pname = "hu.dwim.perec.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.test";
      asd = "hu.dwim.perec.test";
    });
    systems = [ "hu.dwim.perec.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec_plus_hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) (getAttr "hu_dot_dwim_dot_perec_plus_iolib" pkgs) (getAttr "hu_dot_dwim_dot_perec_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_presentation = {
    pname = "hu.dwim.presentation";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation";
      asd = "hu.dwim.presentation";
    });
    systems = [ "hu.dwim.presentation" ];
    lispLibs = [ (getAttr "cl-graph_plus_hu_dot_dwim_dot_graphviz" pkgs) (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_application" pkgs) (getAttr "iolib" pkgs) (getAttr "moptilities" pkgs) ];
  };
  hu_dot_dwim_dot_presentation_plus_cl-graph_plus_cl-typesetting = {
    pname = "hu.dwim.presentation+cl-graph+cl-typesetting";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+cl-graph+cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+cl-graph+cl-typesetting";
      asd = "hu.dwim.presentation+cl-graph+cl-typesetting";
    });
    systems = [ "hu.dwim.presentation+cl-graph+cl-typesetting" ];
    lispLibs = [ (getAttr "cl-graph" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation_plus_cl-typesetting" pkgs) ];
  };
  hu_dot_dwim_dot_presentation_plus_cl-typesetting = {
    pname = "hu.dwim.presentation+cl-typesetting";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+cl-typesetting";
      asd = "hu.dwim.presentation+cl-typesetting";
    });
    systems = [ "hu.dwim.presentation+cl-typesetting" ];
    lispLibs = [ (getAttr "cl-typesetting" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) ];
  };
  hu_dot_dwim_dot_presentation_plus_hu_dot_dwim_dot_stefil = {
    pname = "hu.dwim.presentation+hu.dwim.stefil";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+hu.dwim.stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+hu.dwim.stefil";
      asd = "hu.dwim.presentation+hu.dwim.stefil";
    });
    systems = [ "hu.dwim.presentation+hu.dwim.stefil" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  hu_dot_dwim_dot_presentation_plus_hu_dot_dwim_dot_web-server = {
    pname = "hu.dwim.presentation+hu.dwim.web-server";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+hu.dwim.web-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+hu.dwim.web-server";
      asd = "hu.dwim.presentation+hu.dwim.web-server";
    });
    systems = [ "hu.dwim.presentation+hu.dwim.web-server" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_web-server" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote = {
    pname = "hu.dwim.quasi-quote";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote";
      asd = "hu.dwim.quasi-quote";
    });
    systems = [ "hu.dwim.quasi-quote" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_quasi-quote_dot_css = {
    pname = "hu.dwim.quasi-quote.css";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.css";
      asd = "hu.dwim.quasi-quote.css";
    });
    systems = [ "hu.dwim.quasi-quote.css" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote_dot_js = {
    pname = "hu.dwim.quasi-quote.js";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.js";
      asd = "hu.dwim.quasi-quote.js";
    });
    systems = [ "hu.dwim.quasi-quote.js" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote_dot_pdf = {
    pname = "hu.dwim.quasi-quote.pdf";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.pdf";
      asd = "hu.dwim.quasi-quote.pdf";
    });
    systems = [ "hu.dwim.quasi-quote.pdf" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote_dot_xml = {
    pname = "hu.dwim.quasi-quote.xml";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml";
      asd = "hu.dwim.quasi-quote.xml";
    });
    systems = [ "hu.dwim.quasi-quote.xml" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote_dot_xml_plus_cxml = {
    pname = "hu.dwim.quasi-quote.xml+cxml";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml+cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml+cxml";
      asd = "hu.dwim.quasi-quote.xml+cxml";
    });
    systems = [ "hu.dwim.quasi-quote.xml+cxml" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) ];
  };
  hu_dot_dwim_dot_quasi-quote_dot_xml_plus_hu_dot_dwim_dot_quasi-quote_dot_js = {
    pname = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
      asd = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
    });
    systems = [ "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_js" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms = {
    pname = "hu.dwim.rdbms";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms";
      asd = "hu.dwim.rdbms";
    });
    systems = [ "hu.dwim.rdbms" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) (getAttr "ironclad" pkgs) (getAttr "local-time" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_all = {
    pname = "hu.dwim.rdbms.all";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.all";
      asd = "hu.dwim.rdbms.all";
    });
    systems = [ "hu.dwim.rdbms.all" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_all_dot_test = {
    pname = "hu.dwim.rdbms.all.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.all.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.all.test";
      asd = "hu.dwim.rdbms.all.test";
    });
    systems = [ "hu.dwim.rdbms.all.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql_dot_test" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_documentation = {
    pname = "hu.dwim.rdbms.documentation";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.documentation";
      asd = "hu.dwim.rdbms.documentation";
    });
    systems = [ "hu.dwim.rdbms.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_all_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_oracle = {
    pname = "hu.dwim.rdbms.oracle";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.oracle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.oracle";
      asd = "hu.dwim.rdbms.oracle";
    });
    systems = [ "hu.dwim.rdbms.oracle" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_oracle_dot_test = {
    pname = "hu.dwim.rdbms.oracle.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.oracle.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.oracle.test";
      asd = "hu.dwim.rdbms.oracle.test";
    });
    systems = [ "hu.dwim.rdbms.oracle.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_postgresql = {
    pname = "hu.dwim.rdbms.postgresql";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.postgresql";
      asd = "hu.dwim.rdbms.postgresql";
    });
    systems = [ "hu.dwim.rdbms.postgresql" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms" pkgs) (getAttr "cl-postgres_plus_local-time" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_postgresql_dot_test = {
    pname = "hu.dwim.rdbms.postgresql.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.postgresql.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.postgresql.test";
      asd = "hu.dwim.rdbms.postgresql.test";
    });
    systems = [ "hu.dwim.rdbms.postgresql.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_sqlite = {
    pname = "hu.dwim.rdbms.sqlite";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.sqlite";
      asd = "hu.dwim.rdbms.sqlite";
    });
    systems = [ "hu.dwim.rdbms.sqlite" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_sqlite_dot_test = {
    pname = "hu.dwim.rdbms.sqlite.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.sqlite.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.sqlite.test";
      asd = "hu.dwim.rdbms.sqlite.test";
    });
    systems = [ "hu.dwim.rdbms.sqlite.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" pkgs) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_rdbms_dot_test = {
    pname = "hu.dwim.rdbms.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.test";
      asd = "hu.dwim.rdbms.test";
    });
    systems = [ "hu.dwim.rdbms.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_rdbms" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_reiterate = {
    pname = "hu.dwim.reiterate";
    version = "stable-git";
    asds = [ "hu.dwim.reiterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.reiterate/2021-12-30/hu.dwim.reiterate-stable-git.tgz";
      sha256 = "0h6cgg385ivgc6942xal09c7n9vmy6gn4y3zz4zafc1qyl5jwyv9";
      system = "hu.dwim.reiterate";
      asd = "hu.dwim.reiterate";
    });
    systems = [ "hu.dwim.reiterate" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common-lisp" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  hu_dot_dwim_dot_reiterate_plus_hu_dot_dwim_dot_logger = {
    pname = "hu.dwim.reiterate+hu.dwim.logger";
    version = "stable-git";
    asds = [ "hu.dwim.reiterate+hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.reiterate/2021-12-30/hu.dwim.reiterate-stable-git.tgz";
      sha256 = "0h6cgg385ivgc6942xal09c7n9vmy6gn4y3zz4zafc1qyl5jwyv9";
      system = "hu.dwim.reiterate+hu.dwim.logger";
      asd = "hu.dwim.reiterate+hu.dwim.logger";
    });
    systems = [ "hu.dwim.reiterate+hu.dwim.logger" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_reiterate" pkgs) ];
  };
  hu_dot_dwim_dot_sdl = {
    pname = "hu.dwim.sdl";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) ];
  };
  hu_dot_dwim_dot_sdl_slash_fancy = {
    pname = "hu.dwim.sdl_fancy";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl/fancy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_sdl" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_sdl_slash_gfx = {
    pname = "hu.dwim.sdl_gfx";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl/gfx" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_sdl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_sdl_slash_image = {
    pname = "hu.dwim.sdl_image";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl/image" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_sdl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_sdl_slash_ttf = {
    pname = "hu.dwim.sdl_ttf";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl/ttf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_sdl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_serializer = {
    pname = "hu.dwim.serializer";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer";
      asd = "hu.dwim.serializer";
    });
    systems = [ "hu.dwim.serializer" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_serializer_dot_documentation = {
    pname = "hu.dwim.serializer.documentation";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer.documentation";
      asd = "hu.dwim.serializer.documentation";
    });
    systems = [ "hu.dwim.serializer.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_serializer_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_serializer_dot_test = {
    pname = "hu.dwim.serializer.test";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer.test";
      asd = "hu.dwim.serializer.test";
    });
    systems = [ "hu.dwim.serializer.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_serializer" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_stefil = {
    pname = "hu.dwim.stefil";
    version = "stable-git";
    asds = [ "hu.dwim.stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil";
      asd = "hu.dwim.stefil";
    });
    systems = [ "hu.dwim.stefil" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def = {
    pname = "hu.dwim.stefil+hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+hu.dwim.def";
      asd = "hu.dwim.stefil+hu.dwim.def";
    });
    systems = [ "hu.dwim.stefil+hu.dwim.def" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank = {
    pname = "hu.dwim.stefil+hu.dwim.def+swank";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+hu.dwim.def+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+hu.dwim.def+swank";
      asd = "hu.dwim.stefil+hu.dwim.def+swank";
    });
    systems = [ "hu.dwim.stefil+hu.dwim.def+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_stefil_plus_swank = {
    pname = "hu.dwim.stefil+swank";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+swank";
      asd = "hu.dwim.stefil+swank";
    });
    systems = [ "hu.dwim.stefil+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_stefil_slash_test = {
    pname = "hu.dwim.stefil_test";
    version = "stable-git";
    asds = [ "hu.dwim.stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil";
      asd = "hu.dwim.stefil";
    });
    systems = [ "hu.dwim.stefil/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_syntax-sugar = {
    pname = "hu.dwim.syntax-sugar";
    version = "20161204-darcs";
    asds = [ "hu.dwim.syntax-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2016-12-04/hu.dwim.syntax-sugar-20161204-darcs.tgz";
      sha256 = "0hj74g9jsqcqprvxk9hkx4ykhxxdv6s7x82acjz12xyjvvqpx7zc";
      system = "hu.dwim.syntax-sugar";
      asd = "hu.dwim.syntax-sugar";
    });
    systems = [ "hu.dwim.syntax-sugar" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) ];
  };
  hu_dot_dwim_dot_syntax-sugar_dot_documentation = {
    pname = "hu.dwim.syntax-sugar.documentation";
    version = "20161204-darcs";
    asds = [ "hu.dwim.syntax-sugar.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2016-12-04/hu.dwim.syntax-sugar-20161204-darcs.tgz";
      sha256 = "0hj74g9jsqcqprvxk9hkx4ykhxxdv6s7x82acjz12xyjvvqpx7zc";
      system = "hu.dwim.syntax-sugar.documentation";
      asd = "hu.dwim.syntax-sugar.documentation";
    });
    systems = [ "hu.dwim.syntax-sugar.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_syntax-sugar_dot_test = {
    pname = "hu.dwim.syntax-sugar.test";
    version = "20161204-darcs";
    asds = [ "hu.dwim.syntax-sugar.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2016-12-04/hu.dwim.syntax-sugar-20161204-darcs.tgz";
      sha256 = "0hj74g9jsqcqprvxk9hkx4ykhxxdv6s7x82acjz12xyjvvqpx7zc";
      system = "hu.dwim.syntax-sugar.test";
      asd = "hu.dwim.syntax-sugar.test";
    });
    systems = [ "hu.dwim.syntax-sugar.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
  };
  hu_dot_dwim_dot_syntax-sugar_slash_lambda-with-bang-args = {
    pname = "hu.dwim.syntax-sugar_lambda-with-bang-args";
    version = "20161204-darcs";
    asds = [ "hu.dwim.syntax-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2016-12-04/hu.dwim.syntax-sugar-20161204-darcs.tgz";
      sha256 = "0hj74g9jsqcqprvxk9hkx4ykhxxdv6s7x82acjz12xyjvvqpx7zc";
      system = "hu.dwim.syntax-sugar";
      asd = "hu.dwim.syntax-sugar";
    });
    systems = [ "hu.dwim.syntax-sugar/lambda-with-bang-args" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_syntax-sugar_slash_unicode = {
    pname = "hu.dwim.syntax-sugar_unicode";
    version = "20161204-darcs";
    asds = [ "hu.dwim.syntax-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2016-12-04/hu.dwim.syntax-sugar-20161204-darcs.tgz";
      sha256 = "0hj74g9jsqcqprvxk9hkx4ykhxxdv6s7x82acjz12xyjvvqpx7zc";
      system = "hu.dwim.syntax-sugar";
      asd = "hu.dwim.syntax-sugar";
    });
    systems = [ "hu.dwim.syntax-sugar/unicode" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_uri = {
    pname = "hu.dwim.uri";
    version = "20180228-darcs";
    asds = [ "hu.dwim.uri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.uri/2018-02-28/hu.dwim.uri-20180228-darcs.tgz";
      sha256 = "0wvai7djmbry0b0j8vhzw3s8m30ghs2sml29gw6snh1pynh3c2ir";
      system = "hu.dwim.uri";
      asd = "hu.dwim.uri";
    });
    systems = [ "hu.dwim.uri" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "iolib" pkgs) ];
  };
  hu_dot_dwim_dot_uri_dot_test = {
    pname = "hu.dwim.uri.test";
    version = "20180228-darcs";
    asds = [ "hu.dwim.uri.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.uri/2018-02-28/hu.dwim.uri-20180228-darcs.tgz";
      sha256 = "0wvai7djmbry0b0j8vhzw3s8m30ghs2sml29gw6snh1pynh3c2ir";
      system = "hu.dwim.uri.test";
      asd = "hu.dwim.uri.test";
    });
    systems = [ "hu.dwim.uri.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_uri" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
  };
  hu_dot_dwim_dot_util = {
    pname = "hu.dwim.util";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) ];
  };
  hu_dot_dwim_dot_util_plus_iolib = {
    pname = "hu.dwim.util+iolib";
    version = "stable-git";
    asds = [ "hu.dwim.util+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util+iolib";
      asd = "hu.dwim.util+iolib";
    });
    systems = [ "hu.dwim.util+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "iolib" pkgs) ];
  };
  hu_dot_dwim_dot_util_dot_documentation = {
    pname = "hu.dwim.util.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.util.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util.documentation";
      asd = "hu.dwim.util.documentation";
    });
    systems = [ "hu.dwim.util.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_util_dot_test = {
    pname = "hu.dwim.util.test";
    version = "stable-git";
    asds = [ "hu.dwim.util.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util.test";
      asd = "hu.dwim.util.test";
    });
    systems = [ "hu.dwim.util.test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-l10n" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_util_plus_iolib" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_application" pkgs) (getAttr "iolib" pkgs) (getAttr "swank" pkgs) (getAttr "uiop" pkgs) ];
  };
  hu_dot_dwim_dot_util_slash_authorization = {
    pname = "hu.dwim.util_authorization";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/authorization" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_partial-eval" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_command-line = {
    pname = "hu.dwim.util_command-line";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/command-line" ];
    lispLibs = [ (getAttr "command-line-arguments" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_error-handling = {
    pname = "hu.dwim.util_error-handling";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/error-handling" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_error-handling_plus_swank = {
    pname = "hu.dwim.util_error-handling+swank";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/error-handling+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_finite-state-machine = {
    pname = "hu.dwim.util_finite-state-machine";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/finite-state-machine" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_flexml = {
    pname = "hu.dwim.util_flexml";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/flexml" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_i18n = {
    pname = "hu.dwim.util_i18n";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/i18n" ];
    lispLibs = [ (getAttr "cl-l10n" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_linear-mapping = {
    pname = "hu.dwim.util_linear-mapping";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/linear-mapping" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_mop = {
    pname = "hu.dwim.util_mop";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/mop" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_production = {
    pname = "hu.dwim.util_production";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/production" ];
    lispLibs = [ (getAttr "command-line-arguments" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_util_plus_iolib" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_application" pkgs) (getAttr "iolib" pkgs) (getAttr "swank" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_soap = {
    pname = "hu.dwim.util_soap";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/soap" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_source = {
    pname = "hu.dwim.util_source";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/source" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_standard-process = {
    pname = "hu.dwim.util_standard-process";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/standard-process" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_temporary-files = {
    pname = "hu.dwim.util_temporary-files";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/temporary-files" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_util_plus_iolib" pkgs) (getAttr "iolib" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_threads = {
    pname = "hu.dwim.util_threads";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/threads" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_util_slash_worker-group = {
    pname = "hu.dwim.util_worker-group";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util/worker-group" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_walker = {
    pname = "hu.dwim.walker";
    version = "stable-git";
    asds = [ "hu.dwim.walker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.walker/2022-07-07/hu.dwim.walker-stable-git.tgz";
      sha256 = "0sw7z5iml82sklxjy1wr42mbp2qqml49ci36d6xsckar0sqsc8vr";
      system = "hu.dwim.walker";
      asd = "hu.dwim.walker";
    });
    systems = [ "hu.dwim.walker" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "closer-mop" pkgs) (getAttr "contextl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  hu_dot_dwim_dot_walker_slash_documentation = {
    pname = "hu.dwim.walker_documentation";
    version = "stable-git";
    asds = [ "hu.dwim.walker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.walker/2022-07-07/hu.dwim.walker-stable-git.tgz";
      sha256 = "0sw7z5iml82sklxjy1wr42mbp2qqml49ci36d6xsckar0sqsc8vr";
      system = "hu.dwim.walker";
      asd = "hu.dwim.walker";
    });
    systems = [ "hu.dwim.walker/documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_walker_slash_test = {
    pname = "hu.dwim.walker_test";
    version = "stable-git";
    asds = [ "hu.dwim.walker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.walker/2022-07-07/hu.dwim.walker-stable-git.tgz";
      sha256 = "0sw7z5iml82sklxjy1wr42mbp2qqml49ci36d6xsckar0sqsc8vr";
      system = "hu.dwim.walker";
      asd = "hu.dwim.walker";
    });
    systems = [ "hu.dwim.walker/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_web-server = {
    pname = "hu.dwim.web-server";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server";
      asd = "hu.dwim.web-server";
    });
    systems = [ "hu.dwim.web-server" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_computed-class" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_cl-l10n" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_contextl" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico" pkgs) (getAttr "hu_dot_dwim_dot_logger_plus_iolib" pkgs) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml_plus_hu_dot_dwim_dot_quasi-quote_dot_js" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_uri" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_zlib" pkgs) (getAttr "iolib" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-number" pkgs) (getAttr "rfc2109" pkgs) (getAttr "rfc2388-binary" pkgs) (getAttr "swank" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_plus_swank = {
    pname = "hu.dwim.web-server+swank";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server+swank";
      asd = "hu.dwim.web-server+swank";
    });
    systems = [ "hu.dwim.web-server+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_web-server" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_application = {
    pname = "hu.dwim.web-server.application";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application";
      asd = "hu.dwim.web-server.application";
    });
    systems = [ "hu.dwim.web-server.application" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_web-server" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_application_plus_hu_dot_dwim_dot_perec = {
    pname = "hu.dwim.web-server.application+hu.dwim.perec";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application+hu.dwim.perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application+hu.dwim.perec";
      asd = "hu.dwim.web-server.application+hu.dwim.perec";
    });
    systems = [ "hu.dwim.web-server.application+hu.dwim.perec" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_application" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_application_dot_test = {
    pname = "hu.dwim.web-server.application.test";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application.test";
      asd = "hu.dwim.web-server.application.test";
    });
    systems = [ "hu.dwim.web-server.application.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_application" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_documentation = {
    pname = "hu.dwim.web-server.documentation";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.documentation";
      asd = "hu.dwim.web-server.documentation";
    });
    systems = [ "hu.dwim.web-server.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_presentation" pkgs) (getAttr "hu_dot_dwim_dot_web-server_dot_test" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_test = {
    pname = "hu.dwim.web-server.test";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.test";
      asd = "hu.dwim.web-server.test";
    });
    systems = [ "hu.dwim.web-server.test" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "hu_dot_dwim_dot_web-server" pkgs) (getAttr "hu_dot_dwim_dot_web-server_plus_swank" pkgs) ];
  };
  hu_dot_dwim_dot_web-server_dot_websocket = {
    pname = "hu.dwim.web-server.websocket";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.websocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.websocket";
      asd = "hu.dwim.web-server.websocket";
    });
    systems = [ "hu.dwim.web-server.websocket" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_web-server" pkgs) (getAttr "ironclad" pkgs) ];
  };
  hu_dot_dwim_dot_zlib = {
    pname = "hu.dwim.zlib";
    version = "stable-git";
    asds = [ "hu.dwim.zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.zlib/2022-07-07/hu.dwim.zlib-stable-git.tgz";
      sha256 = "1yrsbl6rmsp6sdaj9yzwx1bpbs529akndxnpplafw31195khnxm1";
      system = "hu.dwim.zlib";
      asd = "hu.dwim.zlib";
    });
    systems = [ "hu.dwim.zlib" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_zlib_slash_fancy = {
    pname = "hu.dwim.zlib_fancy";
    version = "stable-git";
    asds = [ "hu.dwim.zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.zlib/2022-07-07/hu.dwim.zlib-stable-git.tgz";
      sha256 = "1yrsbl6rmsp6sdaj9yzwx1bpbs529akndxnpplafw31195khnxm1";
      system = "hu.dwim.zlib";
      asd = "hu.dwim.zlib";
    });
    systems = [ "hu.dwim.zlib/fancy" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_zlib" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hu_dot_dwim_dot_zlib_slash_test = {
    pname = "hu.dwim.zlib_test";
    version = "stable-git";
    asds = [ "hu.dwim.zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.zlib/2022-07-07/hu.dwim.zlib-stable-git.tgz";
      sha256 = "1yrsbl6rmsp6sdaj9yzwx1bpbs529akndxnpplafw31195khnxm1";
      system = "hu.dwim.zlib";
      asd = "hu.dwim.zlib";
    });
    systems = [ "hu.dwim.zlib/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "hu_dot_dwim_dot_zlib" pkgs) ];
    meta = {
      broken = true;
    };
  };
  huffman = {
    pname = "huffman";
    version = "20181018-git";
    asds = [ "huffman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/huffman/2018-10-18/huffman-20181018-git.tgz";
      sha256 = "05b3ql5szzi4vsry76i76483mxf9m5i9620hdshykh5rbfiarvcx";
      system = "huffman";
      asd = "huffman";
    });
    systems = [ "huffman" ];
    lispLibs = [  ];
  };
  humbler = {
    pname = "humbler";
    version = "20190710-git";
    asds = [ "humbler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/humbler/2019-07-10/humbler-20190710-git.tgz";
      sha256 = "0s7li33q3ww1ka76v6pdjv5pnvwgs695wj9ciijy9cqxxp2x8vx0";
      system = "humbler";
      asd = "humbler";
    });
    systems = [ "humbler" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "north-core" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "yason" pkgs) ];
  };
  hunchensocket = {
    pname = "hunchensocket";
    version = "20221106-git";
    asds = [ "hunchensocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchensocket/2022-11-06/hunchensocket-20221106-git.tgz";
      sha256 = "1vhd009lwl62l1czmhsalblxmyz4x9v3nspjflpajwm1db5rnd7h";
      system = "hunchensocket";
      asd = "hunchensocket";
    });
    systems = [ "hunchensocket" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "chunga" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-fad" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "sha1" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  hunchensocket-tests = {
    pname = "hunchensocket-tests";
    version = "20221106-git";
    asds = [ "hunchensocket-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchensocket/2022-11-06/hunchensocket-20221106-git.tgz";
      sha256 = "1vhd009lwl62l1czmhsalblxmyz4x9v3nspjflpajwm1db5rnd7h";
      system = "hunchensocket-tests";
      asd = "hunchensocket";
    });
    systems = [ "hunchensocket-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "hunchensocket" pkgs) ];
  };
  hunchentools = {
    pname = "hunchentools";
    version = "20161204-git";
    asds = [ "hunchentools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentools/2016-12-04/hunchentools-20161204-git.tgz";
      sha256 = "12r1ml1xxhyz646nnxqzixfisljjaracwp9jhwl3wb285qbmai4b";
      system = "hunchentools";
      asd = "hunchentools";
    });
    systems = [ "hunchentools" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) ];
  };
  hunchentoot = {
    pname = "hunchentoot";
    version = "v1.3.0";
    asds = [ "hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "chunga" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "md5" pkgs) (getAttr "rfc2388" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "usocket" pkgs) ];
  };
  hunchentoot-auth = {
    pname = "hunchentoot-auth";
    version = "20140113-git";
    asds = [ "hunchentoot-auth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-auth/2014-01-13/hunchentoot-auth-20140113-git.tgz";
      sha256 = "1bc70lh2jvk6gqmhczgv0indxk6j5whxbh7gylrlbv16041sdkbj";
      system = "hunchentoot-auth";
      asd = "hunchentoot-auth";
    });
    systems = [ "hunchentoot-auth" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-store" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  hunchentoot-cgi = {
    pname = "hunchentoot-cgi";
    version = "20140211-git";
    asds = [ "hunchentoot-cgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-cgi/2014-02-11/hunchentoot-cgi-20140211-git.tgz";
      sha256 = "0al6qfs6661avhywsqxh3nwyhl1d1gip3yx57b8siczjarpgpawc";
      system = "hunchentoot-cgi";
      asd = "hunchentoot-cgi";
    });
    systems = [ "hunchentoot-cgi" ];
    lispLibs = [ (getAttr "hunchentoot" pkgs) (getAttr "puri" pkgs) ];
  };
  hunchentoot-dev = {
    pname = "hunchentoot-dev";
    version = "v1.3.0";
    asds = [ "hunchentoot-dev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot-dev";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot-dev" ];
    lispLibs = [ (getAttr "cxml-stp" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "hunchentoot-test" pkgs) (getAttr "xpath" pkgs) (getAttr "swank" pkgs) ];
  };
  hunchentoot-errors = {
    pname = "hunchentoot-errors";
    version = "20221106-git";
    asds = [ "hunchentoot-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-errors/2022-11-06/hunchentoot-errors-20221106-git.tgz";
      sha256 = "1wv4p1wyz40kk9z4dabyk4xqlv78zq3inhvaqnwrhxww2w2cim5z";
      system = "hunchentoot-errors";
      asd = "hunchentoot-errors";
    });
    systems = [ "hunchentoot-errors" ];
    lispLibs = [ (getAttr "cl-mimeparse" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "parse-number" pkgs) (getAttr "string-case" pkgs) ];
  };
  hunchentoot-multi-acceptor = {
    pname = "hunchentoot-multi-acceptor";
    version = "20220331-git";
    asds = [ "hunchentoot-multi-acceptor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-multi-acceptor/2022-03-31/hunchentoot-multi-acceptor-20220331-git.tgz";
      sha256 = "0m42dw8x0bp03n4hx4ppf45gjg14igf69z4rn7dslch6km58mrha";
      system = "hunchentoot-multi-acceptor";
      asd = "hunchentoot-multi-acceptor";
    });
    systems = [ "hunchentoot-multi-acceptor" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "usocket" pkgs) ];
  };
  hunchentoot-single-signon = {
    pname = "hunchentoot-single-signon";
    version = "20131111-git";
    asds = [ "hunchentoot-single-signon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-single-signon/2013-11-11/hunchentoot-single-signon-20131111-git.tgz";
      sha256 = "0dh16k4105isqwnkl52m55m6cbl7g8wmcrym8175r2zr6qcbghq8";
      system = "hunchentoot-single-signon";
      asd = "hunchentoot-single-signon";
    });
    systems = [ "hunchentoot-single-signon" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "cl-gss" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  hunchentoot-test = {
    pname = "hunchentoot-test";
    version = "v1.3.0";
    asds = [ "hunchentoot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot-test";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  hyperluminal-mem = {
    pname = "hyperluminal-mem";
    version = "20210630-git";
    asds = [ "hyperluminal-mem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperluminal-mem/2021-06-30/hyperluminal-mem-20210630-git.tgz";
      sha256 = "0qp00g43v518j0wccqnpglkrpikagnn9naphb29wbil6k7y9y7r9";
      system = "hyperluminal-mem";
      asd = "hyperluminal-mem";
    });
    systems = [ "hyperluminal-mem" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "osicat" pkgs) (getAttr "stmx" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  hyperluminal-mem-test = {
    pname = "hyperluminal-mem-test";
    version = "20210630-git";
    asds = [ "hyperluminal-mem-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperluminal-mem/2021-06-30/hyperluminal-mem-20210630-git.tgz";
      sha256 = "0qp00g43v518j0wccqnpglkrpikagnn9naphb29wbil6k7y9y7r9";
      system = "hyperluminal-mem-test";
      asd = "hyperluminal-mem-test";
    });
    systems = [ "hyperluminal-mem-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "hyperluminal-mem" pkgs) (getAttr "log4cl" pkgs) ];
  };
  hyperobject = {
    pname = "hyperobject";
    version = "20201016-git";
    asds = [ "hyperobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperobject/2020-10-16/hyperobject-20201016-git.tgz";
      sha256 = "1ggqlvwcd52c2d4k8csy7qciaq7lyldi0rpk3b9x4rw4gllcch8n";
      system = "hyperobject";
      asd = "hyperobject";
    });
    systems = [ "hyperobject" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "kmrcl" pkgs) ];
  };
  hyperobject_slash_test = {
    pname = "hyperobject_test";
    version = "20201016-git";
    asds = [ "hyperobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperobject/2020-10-16/hyperobject-20201016-git.tgz";
      sha256 = "1ggqlvwcd52c2d4k8csy7qciaq7lyldi0rpk3b9x4rw4gllcch8n";
      system = "hyperobject";
      asd = "hyperobject";
    });
    systems = [ "hyperobject/test" ];
    lispLibs = [ (getAttr "hyperobject" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  hyperspec = {
    pname = "hyperspec";
    version = "20181210-git";
    asds = [ "hyperspec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperspec/2018-12-10/hyperspec-20181210-git.tgz";
      sha256 = "0zh1dq2451xw7yiycdr2mrcjx6rgnqnm8c8l9zhhn7hnf51b4x5l";
      system = "hyperspec";
      asd = "hyperspec";
    });
    systems = [ "hyperspec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  ia-hash-table = {
    pname = "ia-hash-table";
    version = "20160318-git";
    asds = [ "ia-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ia-hash-table/2016-03-18/ia-hash-table-20160318-git.tgz";
      sha256 = "11wnwjxa528yyjnfsvw315hyvq3lc996dwx83isdg4hlirj3amy4";
      system = "ia-hash-table";
      asd = "ia-hash-table";
    });
    systems = [ "ia-hash-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  ia-hash-table_dot_test = {
    pname = "ia-hash-table.test";
    version = "20160318-git";
    asds = [ "ia-hash-table.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ia-hash-table/2016-03-18/ia-hash-table-20160318-git.tgz";
      sha256 = "11wnwjxa528yyjnfsvw315hyvq3lc996dwx83isdg4hlirj3amy4";
      system = "ia-hash-table.test";
      asd = "ia-hash-table.test";
    });
    systems = [ "ia-hash-table.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "ia-hash-table" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  iclendar = {
    pname = "iclendar";
    version = "20190710-git";
    asds = [ "iclendar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iclendar/2019-07-10/iclendar-20190710-git.tgz";
      sha256 = "0nyfpv433mvxx61jg7nyj6qc89jr70dmlrkgd94056waddii6h6c";
      system = "iclendar";
      asd = "iclendar";
    });
    systems = [ "iclendar" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "closer-mop" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  iconv = {
    pname = "iconv";
    version = "20171227-git";
    asds = [ "iconv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iconv/2017-12-27/cl-iconv-20171227-git.tgz";
      sha256 = "1lpw95c02inifhdh9kkab9q92i5w9zd788dww1wly2p0a6kyx9wg";
      system = "iconv";
      asd = "iconv";
    });
    systems = [ "iconv" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  id3v2 = {
    pname = "id3v2";
    version = "20160208-git";
    asds = [ "id3v2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/id3v2/2016-02-08/id3v2-20160208-git.tgz";
      sha256 = "0x017dfh9m80b8ml2vsgdcfs4kv7p06yzmwdilf1k8nfsilwpfra";
      system = "id3v2";
      asd = "id3v2";
    });
    systems = [ "id3v2" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  id3v2-test = {
    pname = "id3v2-test";
    version = "20160208-git";
    asds = [ "id3v2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/id3v2/2016-02-08/id3v2-20160208-git.tgz";
      sha256 = "0x017dfh9m80b8ml2vsgdcfs4kv7p06yzmwdilf1k8nfsilwpfra";
      system = "id3v2-test";
      asd = "id3v2-test";
    });
    systems = [ "id3v2-test" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "id3v2" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  identifier-pool = {
    pname = "identifier-pool";
    version = "20220707-git";
    asds = [ "identifier-pool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/identifier-pool/2022-07-07/identifier-pool-20220707-git.tgz";
      sha256 = "01fs960s02nf8m3a5v95r12magq9rvgcc3awcppqa7c8yg7qdc55";
      system = "identifier-pool";
      asd = "identifier-pool";
    });
    systems = [ "identifier-pool" ];
    lispLibs = [ (getAttr "dynamic-array" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  idna = {
    pname = "idna";
    version = "20120107-git";
    asds = [ "idna" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/idna/2012-01-07/idna-20120107-git.tgz";
      sha256 = "00nbr3mffxhlq14gg9d16pa6691s4qh35inyw76v906s77khm5a2";
      system = "idna";
      asd = "idna";
    });
    systems = [ "idna" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  ieee-floats = {
    pname = "ieee-floats";
    version = "20220220-git";
    asds = [ "ieee-floats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ieee-floats/2022-02-20/ieee-floats-20220220-git.tgz";
      sha256 = "0qp2dxq9jzndjfmc8nh0fvcwrrxjm7f012biczipifjckp9gxw7d";
      system = "ieee-floats";
      asd = "ieee-floats";
    });
    systems = [ "ieee-floats" ];
    lispLibs = [  ];
  };
  ieee-floats_slash_tests = {
    pname = "ieee-floats_tests";
    version = "20220220-git";
    asds = [ "ieee-floats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ieee-floats/2022-02-20/ieee-floats-20220220-git.tgz";
      sha256 = "0qp2dxq9jzndjfmc8nh0fvcwrrxjm7f012biczipifjckp9gxw7d";
      system = "ieee-floats";
      asd = "ieee-floats";
    });
    systems = [ "ieee-floats/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "ieee-floats" pkgs) ];
    meta = {
      broken = true;
    };
  };
  illogical-pathnames = {
    pname = "illogical-pathnames";
    version = "20160825-git";
    asds = [ "illogical-pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illogical-pathnames/2016-08-25/illogical-pathnames-20160825-git.tgz";
      sha256 = "1yjs1lzgak1d3hz2q6sbac98vqgdxp0dz72fskpz73vrbp6h6da5";
      system = "illogical-pathnames";
      asd = "illogical-pathnames";
    });
    systems = [ "illogical-pathnames" ];
    lispLibs = [  ];
  };
  illusion = {
    pname = "illusion";
    version = "20180831-git";
    asds = [ "illusion" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illusion/2018-08-31/illusion-20180831-git.tgz";
      sha256 = "05wik6q8hlhm7szzymkljfigcp7z35j6rz2ihsmng1y6zq9crk7z";
      system = "illusion";
      asd = "illusion";
    });
    systems = [ "illusion" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "let-over-lambda" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  illusion-test = {
    pname = "illusion-test";
    version = "20180831-git";
    asds = [ "illusion-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illusion/2018-08-31/illusion-20180831-git.tgz";
      sha256 = "05wik6q8hlhm7szzymkljfigcp7z35j6rz2ihsmng1y6zq9crk7z";
      system = "illusion-test";
      asd = "illusion-test";
    });
    systems = [ "illusion-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "illusion" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  image = {
    pname = "image";
    version = "20120107-git";
    asds = [ "image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/image/2012-01-07/image-20120107-git.tgz";
      sha256 = "04by1snzw2kpw208fdi2azxbq5y2q2r6x8zkdh7jk43amkr18f5k";
      system = "image";
      asd = "image";
    });
    systems = [ "image" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "skippy" pkgs) (getAttr "zpng" pkgs) ];
  };
  image-test = {
    pname = "image-test";
    version = "20211020-git";
    asds = [ "image-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "image-test";
      asd = "image-test";
    });
    systems = [ "image-test" ];
    lispLibs = [ (getAttr "png" pkgs) ];
  };
  image-utility = {
    pname = "image-utility";
    version = "20200427-git";
    asds = [ "image-utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "image-utility";
      asd = "image-utility";
    });
    systems = [ "image-utility" ];
    lispLibs = [ (getAttr "opticl" pkgs) ];
  };
  imago = {
    pname = "imago";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "zlib" pkgs) ];
  };
  imago_slash_bit-io = {
    pname = "imago_bit-io";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago/bit-io" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  imago_slash_jpeg-turbo = {
    pname = "imago_jpeg-turbo";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago/jpeg-turbo" ];
    lispLibs = [ (getAttr "imago" pkgs) (getAttr "jpeg-turbo" pkgs) ];
    meta = {
      broken = true;
    };
  };
  imago_slash_jupyter = {
    pname = "imago_jupyter";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago/jupyter" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "common-lisp-jupyter" pkgs) (getAttr "imago" pkgs) (getAttr "jpeg-turbo" pkgs) ];
    meta = {
      broken = true;
    };
  };
  imago_slash_pngload = {
    pname = "imago_pngload";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago/pngload" ];
    lispLibs = [ (getAttr "imago" pkgs) (getAttr "pngload" pkgs) ];
    meta = {
      broken = true;
    };
  };
  imago_slash_tests = {
    pname = "imago_tests";
    version = "20221106-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2022-11-06/imago-20221106-git.tgz";
      sha256 = "1s2adbz84ibp8j4f4zxb0c45qcrih4cdl44z1z379rvj8wqmy1gn";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "imago" pkgs) ];
    meta = {
      broken = true;
    };
  };
  immutable-struct = {
    pname = "immutable-struct";
    version = "20150709-git";
    asds = [ "immutable-struct" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/immutable-struct/2015-07-09/immutable-struct-20150709-git.tgz";
      sha256 = "02868d21hcc0kc3jw8afx23kj6iy1vyf2pddn8yqfrkpldhd0rv9";
      system = "immutable-struct";
      asd = "immutable-struct";
    });
    systems = [ "immutable-struct" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivia" pkgs) ];
  };
  in-nomine = {
    pname = "in-nomine";
    version = "20221106-git";
    asds = [ "in-nomine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/in-nomine/2022-11-06/in-nomine-20221106-git.tgz";
      sha256 = "1r28c3c7bbk91fk4w80x2mm0n3czkavip9qfbvgyd19mlarkdwv5";
      system = "in-nomine";
      asd = "in-nomine";
    });
    systems = [ "in-nomine" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  in-nomine_slash_test = {
    pname = "in-nomine_test";
    version = "20221106-git";
    asds = [ "in-nomine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/in-nomine/2022-11-06/in-nomine-20221106-git.tgz";
      sha256 = "1r28c3c7bbk91fk4w80x2mm0n3czkavip9qfbvgyd19mlarkdwv5";
      system = "in-nomine";
      asd = "in-nomine";
    });
    systems = [ "in-nomine/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fiveam" pkgs) (getAttr "in-nomine" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  incf-cl = {
    pname = "incf-cl";
    version = "20190710-git";
    asds = [ "incf-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incf-cl/2019-07-10/incf-cl-20190710-git.tgz";
      sha256 = "1yvwb57dzccvd2lw2h3mwxgbi8ml3cgkyy8kl8hwhd4s8c016ibb";
      system = "incf-cl";
      asd = "incf-cl";
    });
    systems = [ "incf-cl" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  incf-cl_slash_tests = {
    pname = "incf-cl_tests";
    version = "20190710-git";
    asds = [ "incf-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incf-cl/2019-07-10/incf-cl-20190710-git.tgz";
      sha256 = "1yvwb57dzccvd2lw2h3mwxgbi8ml3cgkyy8kl8hwhd4s8c016ibb";
      system = "incf-cl";
      asd = "incf-cl";
    });
    systems = [ "incf-cl/tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "incf-cl" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  incognito-keywords = {
    pname = "incognito-keywords";
    version = "1.1";
    asds = [ "incognito-keywords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incognito-keywords/2013-01-28/incognito-keywords-1.1.tgz";
      sha256 = "1ignvz8v7bq8z9x22skzp1xsna2bxqcw22zh5sp9v2ndbjhqri5c";
      system = "incognito-keywords";
      asd = "incognito-keywords";
    });
    systems = [ "incognito-keywords" ];
    lispLibs = [ (getAttr "enhanced-eval-when" pkgs) (getAttr "map-bind" pkgs) ];
  };
  incongruent-methods = {
    pname = "incongruent-methods";
    version = "20130312-git";
    asds = [ "incongruent-methods" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incongruent-methods/2013-03-12/incongruent-methods-20130312-git.tgz";
      sha256 = "15xfbpnqymbkk92vbirvccxcphyvjmxcw02yv1zs6c78aaf4ms9z";
      system = "incongruent-methods";
      asd = "incongruent-methods";
    });
    systems = [ "incongruent-methods" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  inferior-shell = {
    pname = "inferior-shell";
    version = "20200925-git";
    asds = [ "inferior-shell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inferior-shell/2020-09-25/inferior-shell-20200925-git.tgz";
      sha256 = "02qx37zzk5j4xmwh77k2qa2wvnzvaj6qml5dh2q7b6b1ljvgcj4m";
      system = "inferior-shell";
      asd = "inferior-shell";
    });
    systems = [ "inferior-shell" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fare-mop" pkgs) (getAttr "fare-quasiquote-extras" pkgs) (getAttr "fare-utils" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_quasiquote" pkgs) ];
  };
  inferior-shell_slash_test = {
    pname = "inferior-shell_test";
    version = "20200925-git";
    asds = [ "inferior-shell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inferior-shell/2020-09-25/inferior-shell-20200925-git.tgz";
      sha256 = "02qx37zzk5j4xmwh77k2qa2wvnzvaj6qml5dh2q7b6b1ljvgcj4m";
      system = "inferior-shell";
      asd = "inferior-shell";
    });
    systems = [ "inferior-shell/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "inferior-shell" pkgs) ];
    meta = {
      broken = true;
    };
  };
  infix = {
    pname = "infix";
    version = "20210411-git";
    asds = [ "infix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "infix";
      asd = "infix";
    });
    systems = [ "infix" ];
    lispLibs = [  ];
  };
  infix-dollar-reader = {
    pname = "infix-dollar-reader";
    version = "20121013-git";
    asds = [ "infix-dollar-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-dollar-reader/2012-10-13/infix-dollar-reader-20121013-git.tgz";
      sha256 = "11sf4kqcw8s0zcjz1qpbhkn33rizvq5ijl6xp59q9wadvkd0wx0w";
      system = "infix-dollar-reader";
      asd = "infix-dollar-reader";
    });
    systems = [ "infix-dollar-reader" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) ];
  };
  infix-dollar-reader-test = {
    pname = "infix-dollar-reader-test";
    version = "20121013-git";
    asds = [ "infix-dollar-reader-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-dollar-reader/2012-10-13/infix-dollar-reader-20121013-git.tgz";
      sha256 = "11sf4kqcw8s0zcjz1qpbhkn33rizvq5ijl6xp59q9wadvkd0wx0w";
      system = "infix-dollar-reader-test";
      asd = "infix-dollar-reader-test";
    });
    systems = [ "infix-dollar-reader-test" ];
    lispLibs = [ (getAttr "infix-dollar-reader" pkgs) (getAttr "rt" pkgs) ];
  };
  infix-math = {
    pname = "infix-math";
    version = "20211020-git";
    asds = [ "infix-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-math/2021-10-20/infix-math-20211020-git.tgz";
      sha256 = "1h6p254xl793wfq3qla5y95k6zimy477f8brblx6ran3rg3bydbg";
      system = "infix-math";
      asd = "infix-math";
    });
    systems = [ "infix-math" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-package-system" pkgs) (getAttr "parse-number" pkgs) (getAttr "serapeum" pkgs) (getAttr "wu-decimal" pkgs) ];
  };
  infix-reader = {
    pname = "infix-reader";
    version = "20221106-git";
    asds = [ "infix-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-reader/2022-11-06/infix-reader-20221106-git.tgz";
      sha256 = "16b6cw4w80p3yxsv0pqaiq0ay1v3jswlav2mlfsmhawpvhxsmb7z";
      system = "infix-reader";
      asd = "infix-reader";
    });
    systems = [ "infix-reader" ];
    lispLibs = [  ];
  };
  inheriting-readers = {
    pname = "inheriting-readers";
    version = "1.0.1";
    asds = [ "inheriting-readers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inheriting-readers/2021-01-24/inheriting-readers_1.0.1.tgz";
      sha256 = "0km3mq6vx1q9qv6j3r4sqqcsdbnb5jar66bl0mzzpaacfvzbx68p";
      system = "inheriting-readers";
      asd = "inheriting-readers";
    });
    systems = [ "inheriting-readers" ];
    lispLibs = [ (getAttr "class-options" pkgs) (getAttr "closer-mop" pkgs) (getAttr "compatible-metaclasses" pkgs) ];
  };
  inheriting-readers_tests = {
    pname = "inheriting-readers_tests";
    version = "1.0.1";
    asds = [ "inheriting-readers_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inheriting-readers/2021-01-24/inheriting-readers_1.0.1.tgz";
      sha256 = "0km3mq6vx1q9qv6j3r4sqqcsdbnb5jar66bl0mzzpaacfvzbx68p";
      system = "inheriting-readers_tests";
      asd = "inheriting-readers_tests";
    });
    systems = [ "inheriting-readers_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" pkgs) (getAttr "inheriting-readers" pkgs) (getAttr "parachute" pkgs) ];
  };
  injection = {
    pname = "injection";
    version = "20160531-git";
    asds = [ "injection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/injection/2016-05-31/injection-20160531-git.tgz";
      sha256 = "12f838ikgyl7gzh2dnqh54hfa8rncbkk266bsibmbbqxz0cn2da7";
      system = "injection";
      asd = "injection";
    });
    systems = [ "injection" ];
    lispLibs = [ (getAttr "cl-yaml" pkgs) ];
  };
  injection-test = {
    pname = "injection-test";
    version = "20160531-git";
    asds = [ "injection-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/injection/2016-05-31/injection-20160531-git.tgz";
      sha256 = "12f838ikgyl7gzh2dnqh54hfa8rncbkk266bsibmbbqxz0cn2da7";
      system = "injection-test";
      asd = "injection-test";
    });
    systems = [ "injection-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "injection" pkgs) ];
  };
  inkwell = {
    pname = "inkwell";
    version = "20190710-git";
    asds = [ "inkwell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inkwell/2019-07-10/inkwell-20190710-git.tgz";
      sha256 = "0wzd2j7wdi4dxrmvwk47h988l107ajvw3z609f0dg5vh6wad8pnk";
      system = "inkwell";
      asd = "inkwell";
    });
    systems = [ "inkwell" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "drakma" pkgs) (getAttr "local-time" pkgs) (getAttr "yason" pkgs) ];
  };
  inlined-generic-function = {
    pname = "inlined-generic-function";
    version = "20190521-git";
    asds = [ "inlined-generic-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inlined-generic-function/2019-05-21/inlined-generic-function-20190521-git.tgz";
      sha256 = "0kj9p99m9hwx4lx95npfln5dc5ip884f8agjc6h4y0rhnpj7r8gk";
      system = "inlined-generic-function";
      asd = "inlined-generic-function";
    });
    systems = [ "inlined-generic-function" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) ];
  };
  inlined-generic-function_dot_test = {
    pname = "inlined-generic-function.test";
    version = "20190521-git";
    asds = [ "inlined-generic-function.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inlined-generic-function/2019-05-21/inlined-generic-function-20190521-git.tgz";
      sha256 = "0kj9p99m9hwx4lx95npfln5dc5ip884f8agjc6h4y0rhnpj7r8gk";
      system = "inlined-generic-function.test";
      asd = "inlined-generic-function.test";
    });
    systems = [ "inlined-generic-function.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "inlined-generic-function" pkgs) ];
  };
  inner-conditional = {
    pname = "inner-conditional";
    version = "20200925-git";
    asds = [ "inner-conditional" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inner-conditional/2020-09-25/inner-conditional-20200925-git.tgz";
      sha256 = "08vaq29l2bhv4n1c6zb3syddwpad66rghfy71fqidjvbag0ji71k";
      system = "inner-conditional";
      asd = "inner-conditional";
    });
    systems = [ "inner-conditional" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia" pkgs) ];
  };
  inner-conditional-test = {
    pname = "inner-conditional-test";
    version = "20200925-git";
    asds = [ "inner-conditional-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inner-conditional/2020-09-25/inner-conditional-20200925-git.tgz";
      sha256 = "08vaq29l2bhv4n1c6zb3syddwpad66rghfy71fqidjvbag0ji71k";
      system = "inner-conditional-test";
      asd = "inner-conditional-test";
    });
    systems = [ "inner-conditional-test" ];
    lispLibs = [ (getAttr "inner-conditional" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  inotify = {
    pname = "inotify";
    version = "20150608-git";
    asds = [ "inotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inotify/2015-06-08/inotify-20150608-git.tgz";
      sha256 = "0jill05wsa7xbnkycc1ik1a05slv2h34fpyap2rxbnxvfjvyzw98";
      system = "inotify";
      asd = "inotify";
    });
    systems = [ "inotify" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib" pkgs) ];
  };
  input-event-codes = {
    pname = "input-event-codes";
    version = "20221106-git";
    asds = [ "input-event-codes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/input-event-codes/2022-11-06/input-event-codes-20221106-git.tgz";
      sha256 = "1m96m9ia4frcn2xqaw4mfspjjzwl8gyj4k4rv0lq28va4s6mkgii";
      system = "input-event-codes";
      asd = "input-event-codes";
    });
    systems = [ "input-event-codes" ];
    lispLibs = [ (getAttr "trivial-features" pkgs) ];
  };
  input-event-codes_slash_test = {
    pname = "input-event-codes_test";
    version = "20221106-git";
    asds = [ "input-event-codes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/input-event-codes/2022-11-06/input-event-codes-20221106-git.tgz";
      sha256 = "1m96m9ia4frcn2xqaw4mfspjjzwl8gyj4k4rv0lq28va4s6mkgii";
      system = "input-event-codes";
      asd = "input-event-codes";
    });
    systems = [ "input-event-codes/test" ];
    lispLibs = [ (getAttr "input-event-codes" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  inquisitor = {
    pname = "inquisitor";
    version = "20190521-git";
    asds = [ "inquisitor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor";
      asd = "inquisitor";
    });
    systems = [ "inquisitor" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) ];
  };
  inquisitor-flexi = {
    pname = "inquisitor-flexi";
    version = "20190521-git";
    asds = [ "inquisitor-flexi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-flexi";
      asd = "inquisitor-flexi";
    });
    systems = [ "inquisitor-flexi" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "inquisitor" pkgs) ];
  };
  inquisitor-flexi-test = {
    pname = "inquisitor-flexi-test";
    version = "20190521-git";
    asds = [ "inquisitor-flexi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-flexi-test";
      asd = "inquisitor-flexi-test";
    });
    systems = [ "inquisitor-flexi-test" ];
    lispLibs = [ (getAttr "inquisitor-flexi" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  inquisitor-test = {
    pname = "inquisitor-test";
    version = "20190521-git";
    asds = [ "inquisitor-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-test";
      asd = "inquisitor-test";
    });
    systems = [ "inquisitor-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "inquisitor" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  instance-tracking = {
    pname = "instance-tracking";
    version = "20221106-git";
    asds = [ "instance-tracking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/instance-tracking/2022-11-06/instance-tracking-20221106-git.tgz";
      sha256 = "0bbxvl14ahws30x5dgjhilhybjgn1jfcbxwr8ji1ls31zf88fphr";
      system = "instance-tracking";
      asd = "instance-tracking";
    });
    systems = [ "instance-tracking" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  integral = {
    pname = "integral";
    version = "20200325-git";
    asds = [ "integral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral/2020-03-25/integral-20200325-git.tgz";
      sha256 = "17a9wg7n3f81fsi5mlsdxain1fw7ggfniipfrb9sr1ajff6lx9gs";
      system = "integral";
      asd = "integral";
    });
    systems = [ "integral" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "clos-fixtures" pkgs) (getAttr "closer-mop" pkgs) (getAttr "group-by" pkgs) (getAttr "iterate" pkgs) (getAttr "split-sequence" pkgs) (getAttr "sxql" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  integral-rest = {
    pname = "integral-rest";
    version = "20150923-git";
    asds = [ "integral-rest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral-rest/2015-09-23/integral-rest-20150923-git.tgz";
      sha256 = "0187d9i7acw2v1hhy7wcz0vk90ji7cdgpaikb7admvzq0nnbzrmm";
      system = "integral-rest";
      asd = "integral-rest";
    });
    systems = [ "integral-rest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-inflector" pkgs) (getAttr "closer-mop" pkgs) (getAttr "integral" pkgs) (getAttr "jonathan" pkgs) (getAttr "map-set" pkgs) (getAttr "ningle" pkgs) ];
  };
  integral-rest-test = {
    pname = "integral-rest-test";
    version = "20150923-git";
    asds = [ "integral-rest-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral-rest/2015-09-23/integral-rest-20150923-git.tgz";
      sha256 = "0187d9i7acw2v1hhy7wcz0vk90ji7cdgpaikb7admvzq0nnbzrmm";
      system = "integral-rest-test";
      asd = "integral-rest-test";
    });
    systems = [ "integral-rest-test" ];
    lispLibs = [ (getAttr "integral" pkgs) (getAttr "integral-rest" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  integral-test = {
    pname = "integral-test";
    version = "20200325-git";
    asds = [ "integral-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral/2020-03-25/integral-20200325-git.tgz";
      sha256 = "17a9wg7n3f81fsi5mlsdxain1fw7ggfniipfrb9sr1ajff6lx9gs";
      system = "integral-test";
      asd = "integral-test";
    });
    systems = [ "integral-test" ];
    lispLibs = [ (getAttr "integral" pkgs) (getAttr "local-time" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  intel-hex = {
    pname = "intel-hex";
    version = "20160318-git";
    asds = [ "intel-hex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intel-hex/2016-03-18/intel-hex-20160318-git.tgz";
      sha256 = "0sz51qw262nh6ziwpy1kgv257nj56rp42s0g6g2rx3xv1ijdy395";
      system = "intel-hex";
      asd = "intel-hex";
    });
    systems = [ "intel-hex" ];
    lispLibs = [  ];
  };
  intel-hex-test = {
    pname = "intel-hex-test";
    version = "20160318-git";
    asds = [ "intel-hex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intel-hex/2016-03-18/intel-hex-20160318-git.tgz";
      sha256 = "0sz51qw262nh6ziwpy1kgv257nj56rp42s0g6g2rx3xv1ijdy395";
      system = "intel-hex-test";
      asd = "intel-hex-test";
    });
    systems = [ "intel-hex-test" ];
    lispLibs = [ (getAttr "intel-hex" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  intercom = {
    pname = "intercom";
    version = "20130615-git";
    asds = [ "intercom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intercom/2013-06-15/intercom-20130615-git.tgz";
      sha256 = "017klgjsza4cxdxms4hxgrfrwjshkcr2yyxnhg14zs9w0vjwkikl";
      system = "intercom";
      asd = "intercom";
    });
    systems = [ "intercom" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "jsown" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  intercom-examples = {
    pname = "intercom-examples";
    version = "20130615-git";
    asds = [ "intercom-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intercom/2013-06-15/intercom-20130615-git.tgz";
      sha256 = "017klgjsza4cxdxms4hxgrfrwjshkcr2yyxnhg14zs9w0vjwkikl";
      system = "intercom-examples";
      asd = "intercom-examples";
    });
    systems = [ "intercom-examples" ];
    lispLibs = [ (getAttr "intercom" pkgs) (getAttr "jsown" pkgs) ];
  };
  interface = {
    pname = "interface";
    version = "20190307-hg";
    asds = [ "interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/interface/2019-03-07/interface-20190307-hg.tgz";
      sha256 = "0q3pg1zn8rnyllvb4yh9dm38m4paw9glsnby61j6pyyb0ngywyf7";
      system = "interface";
      asd = "interface";
    });
    systems = [ "interface" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "global-vars" pkgs) ];
  };
  interfaces-test-implementation = {
    pname = "interfaces-test-implementation";
    version = "20210630-git";
    asds = [ "interfaces-test-implementation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-interfaces/2021-06-30/modularize-interfaces-20210630-git.tgz";
      sha256 = "1jl11ffkrah3553wzysmxanhrzv3rnzi5x11ll626baf69im0v7x";
      system = "interfaces-test-implementation";
      asd = "interfaces-test-implementation";
    });
    systems = [ "interfaces-test-implementation" ];
    lispLibs = [ (getAttr "modularize" pkgs) (getAttr "modularize-interfaces" pkgs) ];
  };
  introspect-environment = {
    pname = "introspect-environment";
    version = "20220220-git";
    asds = [ "introspect-environment" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/introspect-environment/2022-02-20/introspect-environment-20220220-git.tgz";
      sha256 = "1p48jnr1im47529w0ciyar4hfwbivqi57zgllkmfrav09ffigk9s";
      system = "introspect-environment";
      asd = "introspect-environment";
    });
    systems = [ "introspect-environment" ];
    lispLibs = [  ];
  };
  introspect-environment-test = {
    pname = "introspect-environment-test";
    version = "20220220-git";
    asds = [ "introspect-environment-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/introspect-environment/2022-02-20/introspect-environment-20220220-git.tgz";
      sha256 = "1p48jnr1im47529w0ciyar4hfwbivqi57zgllkmfrav09ffigk9s";
      system = "introspect-environment-test";
      asd = "introspect-environment-test";
    });
    systems = [ "introspect-environment-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "introspect-environment" pkgs) ];
  };
  iolib = {
    pname = "iolib";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "idna" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  iolib_dot_asdf = {
    pname = "iolib.asdf";
    version = "v0.8.4";
    asds = [ "iolib.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.asdf";
      asd = "iolib.asdf";
    });
    systems = [ "iolib.asdf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  iolib_dot_base = {
    pname = "iolib.base";
    version = "v0.8.4";
    asds = [ "iolib.base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.base";
      asd = "iolib.base";
    });
    systems = [ "iolib.base" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_common-lisp" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  iolib_dot_common-lisp = {
    pname = "iolib.common-lisp";
    version = "v0.8.4";
    asds = [ "iolib.common-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.common-lisp";
      asd = "iolib.common-lisp";
    });
    systems = [ "iolib.common-lisp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_conf" pkgs) ];
  };
  iolib_dot_conf = {
    pname = "iolib.conf";
    version = "v0.8.4";
    asds = [ "iolib.conf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.conf";
      asd = "iolib.conf";
    });
    systems = [ "iolib.conf" ];
    lispLibs = [ (getAttr "iolib_dot_asdf" pkgs) ];
  };
  iolib_dot_examples = {
    pname = "iolib.examples";
    version = "v0.8.4";
    asds = [ "iolib.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.examples";
      asd = "iolib.examples";
    });
    systems = [ "iolib.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "iolib" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) ];
  };
  iolib_slash_multiplex = {
    pname = "iolib_multiplex";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/multiplex" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_os = {
    pname = "iolib_os";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/os" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_pathnames = {
    pname = "iolib_pathnames";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/pathnames" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_sockets = {
    pname = "iolib_sockets";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/sockets" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "idna" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_streams = {
    pname = "iolib_streams";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/streams" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_syscalls = {
    pname = "iolib_syscalls";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/syscalls" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_tests = {
    pname = "iolib_tests";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/tests" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "fiveam" pkgs) (getAttr "iolib" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_trivial-sockets = {
    pname = "iolib_trivial-sockets";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/trivial-sockets" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "idna" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  iolib_slash_zstreams = {
    pname = "iolib_zstreams";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib/zstreams" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "iolib_dot_asdf" pkgs) (getAttr "iolib_dot_base" pkgs) (getAttr "iolib_dot_conf" pkgs) (getAttr "trivial-features" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ip-interfaces = {
    pname = "ip-interfaces";
    version = "0.2.1";
    asds = [ "ip-interfaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ip-interfaces/2018-12-10/ip-interfaces-0.2.1.tgz";
      sha256 = "035sc4li0qz4lzjn555h8r2qkhc8a65zglk30f1b3pi9p44g91mw";
      system = "ip-interfaces";
      asd = "ip-interfaces";
    });
    systems = [ "ip-interfaces" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  ip-interfaces-test = {
    pname = "ip-interfaces-test";
    version = "0.2.1";
    asds = [ "ip-interfaces-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ip-interfaces/2018-12-10/ip-interfaces-0.2.1.tgz";
      sha256 = "035sc4li0qz4lzjn555h8r2qkhc8a65zglk30f1b3pi9p44g91mw";
      system = "ip-interfaces-test";
      asd = "ip-interfaces-test";
    });
    systems = [ "ip-interfaces-test" ];
    lispLibs = [ (getAttr "ip-interfaces" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  irc-logger = {
    pname = "irc-logger";
    version = "20150923-git";
    asds = [ "irc-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/irc-logger/2015-09-23/irc-logger-20150923-git.tgz";
      sha256 = "1ylq8qnf29dij7133p19cmmmw3i7w6azncsdvpd4j0k1fqp14bq7";
      system = "irc-logger";
      asd = "irc-logger";
    });
    systems = [ "irc-logger" ];
    lispLibs = [ (getAttr "cl-irc" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  ironclad = {
    pname = "ironclad";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  ironclad-text = {
    pname = "ironclad-text";
    version = "v0.58";
    asds = [ "ironclad-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad-text";
      asd = "ironclad-text";
    });
    systems = [ "ironclad-text" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) ];
  };
  ironclad_slash_aead_slash_eax = {
    pname = "ironclad_aead_eax";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/aead/eax" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_aead_slash_etm = {
    pname = "ironclad_aead_etm";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/aead/etm" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_aead_slash_gcm = {
    pname = "ironclad_aead_gcm";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/aead/gcm" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_aeads = {
    pname = "ironclad_aeads";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/aeads" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_aes = {
    pname = "ironclad_cipher_aes";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/aes" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_arcfour = {
    pname = "ironclad_cipher_arcfour";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/arcfour" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_aria = {
    pname = "ironclad_cipher_aria";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/aria" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_blowfish = {
    pname = "ironclad_cipher_blowfish";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/blowfish" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_camellia = {
    pname = "ironclad_cipher_camellia";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/camellia" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_cast5 = {
    pname = "ironclad_cipher_cast5";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/cast5" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_chacha = {
    pname = "ironclad_cipher_chacha";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/chacha" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_des = {
    pname = "ironclad_cipher_des";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/des" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_idea = {
    pname = "ironclad_cipher_idea";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/idea" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_kalyna = {
    pname = "ironclad_cipher_kalyna";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/kalyna" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_keystream = {
    pname = "ironclad_cipher_keystream";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/keystream" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_kuznyechik = {
    pname = "ironclad_cipher_kuznyechik";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/kuznyechik" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_misty1 = {
    pname = "ironclad_cipher_misty1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/misty1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_rc2 = {
    pname = "ironclad_cipher_rc2";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/rc2" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_rc5 = {
    pname = "ironclad_cipher_rc5";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/rc5" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_rc6 = {
    pname = "ironclad_cipher_rc6";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/rc6" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_salsa20 = {
    pname = "ironclad_cipher_salsa20";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/salsa20" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_seed = {
    pname = "ironclad_cipher_seed";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/seed" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_serpent = {
    pname = "ironclad_cipher_serpent";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/serpent" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_sm4 = {
    pname = "ironclad_cipher_sm4";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/sm4" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_sosemanuk = {
    pname = "ironclad_cipher_sosemanuk";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/sosemanuk" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_square = {
    pname = "ironclad_cipher_square";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/square" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_tea = {
    pname = "ironclad_cipher_tea";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/tea" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_threefish = {
    pname = "ironclad_cipher_threefish";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/threefish" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_twofish = {
    pname = "ironclad_cipher_twofish";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/twofish" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_xchacha = {
    pname = "ironclad_cipher_xchacha";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/xchacha" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_xor = {
    pname = "ironclad_cipher_xor";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/xor" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_xsalsa20 = {
    pname = "ironclad_cipher_xsalsa20";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/xsalsa20" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_cipher_slash_xtea = {
    pname = "ironclad_cipher_xtea";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/cipher/xtea" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_ciphers = {
    pname = "ironclad_ciphers";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/ciphers" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_core = {
    pname = "ironclad_core";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/core" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_adler32 = {
    pname = "ironclad_digest_adler32";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/adler32" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_blake2 = {
    pname = "ironclad_digest_blake2";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/blake2" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_blake2s = {
    pname = "ironclad_digest_blake2s";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/blake2s" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_crc24 = {
    pname = "ironclad_digest_crc24";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/crc24" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_crc32 = {
    pname = "ironclad_digest_crc32";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/crc32" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_groestl = {
    pname = "ironclad_digest_groestl";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/groestl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_jh = {
    pname = "ironclad_digest_jh";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/jh" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_kupyna = {
    pname = "ironclad_digest_kupyna";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/kupyna" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_md2 = {
    pname = "ironclad_digest_md2";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/md2" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_md4 = {
    pname = "ironclad_digest_md4";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/md4" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_md5 = {
    pname = "ironclad_digest_md5";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/md5" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_ripemd-128 = {
    pname = "ironclad_digest_ripemd-128";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/ripemd-128" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_ripemd-160 = {
    pname = "ironclad_digest_ripemd-160";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/ripemd-160" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_sha1 = {
    pname = "ironclad_digest_sha1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/sha1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_sha256 = {
    pname = "ironclad_digest_sha256";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/sha256" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_sha3 = {
    pname = "ironclad_digest_sha3";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/sha3" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_sha512 = {
    pname = "ironclad_digest_sha512";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/sha512" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_skein = {
    pname = "ironclad_digest_skein";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/skein" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_sm3 = {
    pname = "ironclad_digest_sm3";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/sm3" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_streebog = {
    pname = "ironclad_digest_streebog";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/streebog" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_tiger = {
    pname = "ironclad_digest_tiger";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/tiger" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_tree-hash = {
    pname = "ironclad_digest_tree-hash";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/tree-hash" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digest_slash_whirlpool = {
    pname = "ironclad_digest_whirlpool";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digest/whirlpool" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_digests = {
    pname = "ironclad_digests";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/digests" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_argon2 = {
    pname = "ironclad_kdf_argon2";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/argon2" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_bcrypt = {
    pname = "ironclad_kdf_bcrypt";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/bcrypt" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_hmac = {
    pname = "ironclad_kdf_hmac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/hmac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_password-hash = {
    pname = "ironclad_kdf_password-hash";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/password-hash" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_pkcs5 = {
    pname = "ironclad_kdf_pkcs5";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/pkcs5" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdf_slash_scrypt = {
    pname = "ironclad_kdf_scrypt";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdf/scrypt" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_kdfs = {
    pname = "ironclad_kdfs";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/kdfs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_blake2-mac = {
    pname = "ironclad_mac_blake2-mac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/blake2-mac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_blake2s-mac = {
    pname = "ironclad_mac_blake2s-mac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/blake2s-mac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_cmac = {
    pname = "ironclad_mac_cmac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/cmac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_gmac = {
    pname = "ironclad_mac_gmac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/gmac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_hmac = {
    pname = "ironclad_mac_hmac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/hmac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_poly1305 = {
    pname = "ironclad_mac_poly1305";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/poly1305" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_siphash = {
    pname = "ironclad_mac_siphash";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/siphash" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_mac_slash_skein-mac = {
    pname = "ironclad_mac_skein-mac";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/mac/skein-mac" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_macs = {
    pname = "ironclad_macs";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/macs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_prng_slash_fortuna = {
    pname = "ironclad_prng_fortuna";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/prng/fortuna" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_prngs = {
    pname = "ironclad_prngs";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/prngs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_curve25519 = {
    pname = "ironclad_public-key_curve25519";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/curve25519" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_curve448 = {
    pname = "ironclad_public-key_curve448";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/curve448" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_dsa = {
    pname = "ironclad_public-key_dsa";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/dsa" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_ed25519 = {
    pname = "ironclad_public-key_ed25519";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/ed25519" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_ed448 = {
    pname = "ironclad_public-key_ed448";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/ed448" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_elgamal = {
    pname = "ironclad_public-key_elgamal";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/elgamal" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_rsa = {
    pname = "ironclad_public-key_rsa";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/rsa" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_secp256k1 = {
    pname = "ironclad_public-key_secp256k1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/secp256k1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_secp256r1 = {
    pname = "ironclad_public-key_secp256r1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/secp256r1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_secp384r1 = {
    pname = "ironclad_public-key_secp384r1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/secp384r1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-key_slash_secp521r1 = {
    pname = "ironclad_public-key_secp521r1";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-key/secp521r1" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_public-keys = {
    pname = "ironclad_public-keys";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/public-keys" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ironclad_slash_tests = {
    pname = "ironclad_tests";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad/tests" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  isolated = {
    pname = "isolated";
    version = "20200218-git";
    asds = [ "isolated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-isolated/2020-02-18/cl-isolated-20200218-git.tgz";
      sha256 = "01wbis4dw2cy7d2yh30rwvmlx3dr5s9dx8hs19xhjpznjbqfyksi";
      system = "isolated";
      asd = "isolated";
    });
    systems = [ "isolated" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  issr = {
    pname = "issr";
    version = "20211020-git";
    asds = [ "issr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchenissr/2021-10-20/hunchenissr-20211020-git.tgz";
      sha256 = "1dfm7zdvyj14my8giznq1vsy20nj7my71y7a657slhf6v2cap5vs";
      system = "issr";
      asd = "issr";
    });
    systems = [ "issr" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "str" pkgs) (getAttr "yxorp" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "jonathan" pkgs) (getAttr "plump" pkgs) (getAttr "portal" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  issr-core = {
    pname = "issr-core";
    version = "20210228-git";
    asds = [ "issr-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core/2021-02-28/core-20210228-git.tgz";
      sha256 = "1bajb09crzadkirdpd6jrpcc55irjd4sxzavygr25l85pafyhniw";
      system = "issr-core";
      asd = "issr-core";
    });
    systems = [ "issr-core" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "global-vars" pkgs) (getAttr "plump" pkgs) (getAttr "tailrec" pkgs) ];
  };
  iterate = {
    pname = "iterate";
    version = "release-b0f9a9c6-git";
    asds = [ "iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iterate/2021-05-31/iterate-release-b0f9a9c6-git.tgz";
      sha256 = "09xq2mdr97hagjrjpc47mp8l9wfp697aa9qaqmsy0yskayzg6xsc";
      system = "iterate";
      asd = "iterate";
    });
    systems = [ "iterate" ];
    lispLibs = [  ];
  };
  iterate-clsql = {
    pname = "iterate-clsql";
    version = "20130312-http";
    asds = [ "iterate-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iterate-clsql/2013-03-12/iterate-clsql-20130312-http.tgz";
      sha256 = "0adfs31zin5kkg9z5kyzykf8gmcgr600vvi4mjx7nixybh326h3h";
      system = "iterate-clsql";
      asd = "iterate-clsql";
    });
    systems = [ "iterate-clsql" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "iterate" pkgs) ];
  };
  iterate_slash_tests = {
    pname = "iterate_tests";
    version = "release-b0f9a9c6-git";
    asds = [ "iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iterate/2021-05-31/iterate-release-b0f9a9c6-git.tgz";
      sha256 = "09xq2mdr97hagjrjpc47mp8l9wfp697aa9qaqmsy0yskayzg6xsc";
      system = "iterate";
      asd = "iterate";
    });
    systems = [ "iterate/tests" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ixf = {
    pname = "ixf";
    version = "20180228-git";
    asds = [ "ixf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ixf/2018-02-28/cl-ixf-20180228-git.tgz";
      sha256 = "1wjdnf4vr9z7lcfc49kl43g6l2i23q9n81siy494k17d766cdvqa";
      system = "ixf";
      asd = "ixf";
    });
    systems = [ "ixf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "local-time" pkgs) (getAttr "md5" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  jenkins_dot_api = {
    pname = "jenkins.api";
    version = "20130312-git";
    asds = [ "jenkins.api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jenkins/2013-03-12/jenkins-20130312-git.tgz";
      sha256 = "1kis95k3fwlaq2jbpia0wps4gq461w6p57dxlbvb0c6a5dgh4dwf";
      system = "jenkins.api";
      asd = "jenkins.api";
    });
    systems = [ "jenkins.api" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "drakma" pkgs) (getAttr "iterate" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "xml_dot_location" pkgs) ];
  };
  jingoh = {
    pname = "jingoh";
    version = "20220707-git";
    asds = [ "jingoh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh";
      asd = "jingoh";
    });
    systems = [ "jingoh" ];
    lispLibs = [ (getAttr "jingoh_dot_examiner" pkgs) (getAttr "jingoh_dot_org" pkgs) (getAttr "jingoh_dot_reader" pkgs) (getAttr "jingoh_dot_tester" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  jingoh_dot_documentizer = {
    pname = "jingoh.documentizer";
    version = "20220707-git";
    asds = [ "jingoh.documentizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.documentizer";
      asd = "jingoh.documentizer";
    });
    systems = [ "jingoh.documentizer" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "eclector" pkgs) (getAttr "read-as-string" pkgs) (getAttr "uiop" pkgs) ];
  };
  jingoh_dot_documentizer_dot_test = {
    pname = "jingoh.documentizer.test";
    version = "20220707-git";
    asds = [ "jingoh.documentizer.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.documentizer.test";
      asd = "jingoh.documentizer.test";
    });
    systems = [ "jingoh.documentizer.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  jingoh_dot_examiner = {
    pname = "jingoh.examiner";
    version = "20220707-git";
    asds = [ "jingoh.examiner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.examiner";
      asd = "jingoh.examiner";
    });
    systems = [ "jingoh.examiner" ];
    lispLibs = [ (getAttr "cl-ansi-text" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "jingoh_dot_org" pkgs) (getAttr "jingoh_dot_tester" pkgs) ];
  };
  jingoh_dot_examiner_dot_test = {
    pname = "jingoh.examiner.test";
    version = "20220707-git";
    asds = [ "jingoh.examiner.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.examiner.test";
      asd = "jingoh.examiner.test";
    });
    systems = [ "jingoh.examiner.test" ];
    lispLibs = [ (getAttr "cl-ansi-text" pkgs) (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_examiner" pkgs) ];
  };
  jingoh_dot_generator = {
    pname = "jingoh.generator";
    version = "20220707-git";
    asds = [ "jingoh.generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.generator";
      asd = "jingoh.generator";
    });
    systems = [ "jingoh.generator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-unification" pkgs) (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "millet" pkgs) (getAttr "named-readtables" pkgs) (getAttr "prompt-for" pkgs) (getAttr "trivial-cltl2" pkgs) (getAttr "uiop" pkgs) ];
  };
  jingoh_dot_generator_dot_test = {
    pname = "jingoh.generator.test";
    version = "20220707-git";
    asds = [ "jingoh.generator.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.generator.test";
      asd = "jingoh.generator.test";
    });
    systems = [ "jingoh.generator.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_generator" pkgs) ];
  };
  jingoh_dot_org = {
    pname = "jingoh.org";
    version = "20220707-git";
    asds = [ "jingoh.org" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.org";
      asd = "jingoh.org";
    });
    systems = [ "jingoh.org" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "check-bnf" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  jingoh_dot_org_dot_test = {
    pname = "jingoh.org.test";
    version = "20220707-git";
    asds = [ "jingoh.org.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.org.test";
      asd = "jingoh.org.test";
    });
    systems = [ "jingoh.org.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_org" pkgs) ];
  };
  jingoh_dot_parallel = {
    pname = "jingoh.parallel";
    version = "20220707-git";
    asds = [ "jingoh.parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.parallel";
      asd = "jingoh.parallel";
    });
    systems = [ "jingoh.parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cpus" pkgs) (getAttr "jingoh" pkgs) (getAttr "lparallel" pkgs) ];
  };
  jingoh_dot_parallel_dot_test = {
    pname = "jingoh.parallel.test";
    version = "20220707-git";
    asds = [ "jingoh.parallel.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.parallel.test";
      asd = "jingoh.parallel.test";
    });
    systems = [ "jingoh.parallel.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_parallel" pkgs) ];
  };
  jingoh_dot_reader = {
    pname = "jingoh.reader";
    version = "20220707-git";
    asds = [ "jingoh.reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.reader";
      asd = "jingoh.reader";
    });
    systems = [ "jingoh.reader" ];
    lispLibs = [ (getAttr "eclector" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "jingoh_dot_tester" pkgs) (getAttr "named-readtables" pkgs) (getAttr "uiop" pkgs) ];
  };
  jingoh_dot_reader_dot_test = {
    pname = "jingoh.reader.test";
    version = "20220707-git";
    asds = [ "jingoh.reader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.reader.test";
      asd = "jingoh.reader.test";
    });
    systems = [ "jingoh.reader.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_reader" pkgs) ];
  };
  jingoh_dot_tester = {
    pname = "jingoh.tester";
    version = "20220707-git";
    asds = [ "jingoh.tester" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.tester";
      asd = "jingoh.tester";
    });
    systems = [ "jingoh.tester" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "check-bnf" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-colors2" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fuzzy-match" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "jingoh_dot_org" pkgs) (getAttr "structure-ext" pkgs) (getAttr "uiop" pkgs) (getAttr "vivid-colors" pkgs) (getAttr "vivid-diff" pkgs) ];
  };
  jingoh_dot_tester_dot_test = {
    pname = "jingoh.tester.test";
    version = "20220707-git";
    asds = [ "jingoh.tester.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.tester.test";
      asd = "jingoh.tester.test";
    });
    systems = [ "jingoh.tester.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "jingoh_dot_tester" pkgs) ];
  };
  jingoh_slash_test = {
    pname = "jingoh_test";
    version = "20220707-git";
    asds = [ "jingoh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh";
      asd = "jingoh";
    });
    systems = [ "jingoh/test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "named-readtables" pkgs) ];
    meta = {
      broken = true;
    };
  };
  jonathan = {
    pname = "jonathan";
    version = "20200925-git";
    asds = [ "jonathan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jonathan/2020-09-25/jonathan-20200925-git.tgz";
      sha256 = "1l4sfxfmijibsvkbszikzslw1yy8z52ml9may1w2s0ay7lg7rsng";
      system = "jonathan";
      asd = "jonathan";
    });
    systems = [ "jonathan" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "fast-io" pkgs) (getAttr "proc-parse" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  jonathan-test = {
    pname = "jonathan-test";
    version = "20200925-git";
    asds = [ "jonathan-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jonathan/2020-09-25/jonathan-20200925-git.tgz";
      sha256 = "1l4sfxfmijibsvkbszikzslw1yy8z52ml9may1w2s0ay7lg7rsng";
      system = "jonathan-test";
      asd = "jonathan-test";
    });
    systems = [ "jonathan-test" ];
    lispLibs = [ (getAttr "jonathan" pkgs) (getAttr "legion" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  jose = {
    pname = "jose";
    version = "20220331-git";
    asds = [ "jose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jose/2022-03-31/jose-20220331-git.tgz";
      sha256 = "154n6jx2f5psgzwz6k5ia6zxdjynnnbyxalxfhmm11s3rx028461";
      system = "jose";
      asd = "jose";
    });
    systems = [ "jose" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "assoc-utils" pkgs) (getAttr "cl-base64" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  journal = {
    pname = "journal";
    version = "20220331-git";
    asds = [ "journal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/journal/2022-03-31/journal-20220331-git.tgz";
      sha256 = "1yp7wcyx38vadpyxi73vn1cb0drnsbfh40hvd45whyrng761xqdm";
      system = "journal";
      asd = "journal";
    });
    systems = [ "journal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "local-time" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  journal_slash_test = {
    pname = "journal_test";
    version = "20220331-git";
    asds = [ "journal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/journal/2022-03-31/journal-20220331-git.tgz";
      sha256 = "1yp7wcyx38vadpyxi73vn1cb0drnsbfh40hvd45whyrng761xqdm";
      system = "journal";
      asd = "journal";
    });
    systems = [ "journal/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "journal" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  jp-numeral = {
    pname = "jp-numeral";
    version = "20221106-git";
    asds = [ "jp-numeral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jp-numeral/2022-11-06/jp-numeral-20221106-git.tgz";
      sha256 = "1xqvah6mjd8lb2n19wzsn29q6az9kx1c48js3yj0ij73kjncby30";
      system = "jp-numeral";
      asd = "jp-numeral";
    });
    systems = [ "jp-numeral" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) ];
  };
  jp-numeral-test = {
    pname = "jp-numeral-test";
    version = "20221106-git";
    asds = [ "jp-numeral-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jp-numeral/2022-11-06/jp-numeral-20221106-git.tgz";
      sha256 = "1xqvah6mjd8lb2n19wzsn29q6az9kx1c48js3yj0ij73kjncby30";
      system = "jp-numeral-test";
      asd = "jp-numeral-test";
    });
    systems = [ "jp-numeral-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "jp-numeral" pkgs) ];
  };
  jpeg-turbo = {
    pname = "jpeg-turbo";
    version = "20201220-git";
    asds = [ "jpeg-turbo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jpeg-turbo/2020-12-20/jpeg-turbo-20201220-git.tgz";
      sha256 = "1andd1ibbk3224idnpsnrn96flr5d1wm9ja3di57fs04wn577sag";
      system = "jpeg-turbo";
      asd = "jpeg-turbo";
    });
    systems = [ "jpeg-turbo" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  jpeg-turbo_slash_tests = {
    pname = "jpeg-turbo_tests";
    version = "20201220-git";
    asds = [ "jpeg-turbo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jpeg-turbo/2020-12-20/jpeg-turbo-20201220-git.tgz";
      sha256 = "1andd1ibbk3224idnpsnrn96flr5d1wm9ja3di57fs04wn577sag";
      system = "jpeg-turbo";
      asd = "jpeg-turbo";
    });
    systems = [ "jpeg-turbo/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "jpeg-turbo" pkgs) ];
    meta = {
      broken = true;
    };
  };
  jpl-queues = {
    pname = "jpl-queues";
    version = "0.1";
    asds = [ "jpl-queues" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jpl-queues/2010-10-06/jpl-queues-0.1.tgz";
      sha256 = "1xgddsfa1gr0cjmdlc304j3msxi8w2fyk9i497x56kmkif7pkj88";
      system = "jpl-queues";
      asd = "jpl-queues";
    });
    systems = [ "jpl-queues" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "jpl-util" pkgs) ];
  };
  jpl-util = {
    pname = "jpl-util";
    version = "20151031-git";
    asds = [ "jpl-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jpl-util/2015-10-31/cl-jpl-util-20151031-git.tgz";
      sha256 = "0nc0rk9n8grkg3045xsw34whmcmddn2sfrxki4268g7kpgz0d2yz";
      system = "jpl-util";
      asd = "jpl-util";
    });
    systems = [ "jpl-util" ];
    lispLibs = [  ];
  };
  js-parser = {
    pname = "js-parser";
    version = "20150407-git";
    asds = [ "js-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js-parser/2015-04-07/js-parser-20150407-git.tgz";
      sha256 = "0hqw515vyhrv1as5sfn3l792ddjps85zbzpblr2cjyq9dmdrg89a";
      system = "js-parser";
      asd = "js-parser";
    });
    systems = [ "js-parser" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  js-parser-tests = {
    pname = "js-parser-tests";
    version = "20150407-git";
    asds = [ "js-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js-parser/2015-04-07/js-parser-20150407-git.tgz";
      sha256 = "0hqw515vyhrv1as5sfn3l792ddjps85zbzpblr2cjyq9dmdrg89a";
      system = "js-parser-tests";
      asd = "js-parser-tests";
    });
    systems = [ "js-parser-tests" ];
    lispLibs = [ (getAttr "js-parser" pkgs) ];
  };
  json-lib = {
    pname = "json-lib";
    version = "20221106-git";
    asds = [ "json-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-lib/2022-11-06/json-lib-20221106-git.tgz";
      sha256 = "0a9f70niknjnggpn200idvyx77578qjn07qvbs0rknly31b98bh2";
      system = "json-lib";
      asd = "json-lib";
    });
    systems = [ "json-lib" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "str" pkgs) (getAttr "parse-float" pkgs) ];
  };
  json-mop = {
    pname = "json-mop";
    version = "20210411-git";
    asds = [ "json-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-mop/2021-04-11/json-mop-20210411-git.tgz";
      sha256 = "1d4k1l415iwssn8qyy3qjcfk3cclz6rzq750dgbiisys8ffmgpgp";
      system = "json-mop";
      asd = "json-mop";
    });
    systems = [ "json-mop" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "closer-mop" pkgs) (getAttr "yason" pkgs) ];
  };
  json-mop-tests = {
    pname = "json-mop-tests";
    version = "20210411-git";
    asds = [ "json-mop-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-mop/2021-04-11/json-mop-20210411-git.tgz";
      sha256 = "1d4k1l415iwssn8qyy3qjcfk3cclz6rzq750dgbiisys8ffmgpgp";
      system = "json-mop-tests";
      asd = "json-mop-tests";
    });
    systems = [ "json-mop-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "json-mop" pkgs) ];
  };
  json-responses = {
    pname = "json-responses";
    version = "20190307-hg";
    asds = [ "json-responses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-responses/2019-03-07/json-responses-20190307-hg.tgz";
      sha256 = "0f1hrs3rhi6qn0r8qd3fbsknn417b8v8b4s4989yfwfvnf922g05";
      system = "json-responses";
      asd = "json-responses";
    });
    systems = [ "json-responses" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  json-responses-test = {
    pname = "json-responses-test";
    version = "20190307-hg";
    asds = [ "json-responses-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-responses/2019-03-07/json-responses-20190307-hg.tgz";
      sha256 = "0f1hrs3rhi6qn0r8qd3fbsknn417b8v8b4s4989yfwfvnf922g05";
      system = "json-responses-test";
      asd = "json-responses";
    });
    systems = [ "json-responses-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "json-responses" pkgs) ];
  };
  json-schema = {
    pname = "json-schema";
    version = "20221106-git";
    asds = [ "json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-schema/2022-11-06/json-schema-20221106-git.tgz";
      sha256 = "11rgnj14p8x059zx8hs02jji1p69v8kix783vf557zpcbydrw2mn";
      system = "json-schema";
      asd = "json-schema";
    });
    systems = [ "json-schema" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "dexador" pkgs) (getAttr "function-cache" pkgs) (getAttr "local-time" pkgs) (getAttr "local-time-duration" pkgs) (getAttr "quri" pkgs) (getAttr "sanity-clause" pkgs) (getAttr "st-json" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  json-schema_slash_json-schema-test-suite = {
    pname = "json-schema_json-schema-test-suite";
    version = "20221106-git";
    asds = [ "json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-schema/2022-11-06/json-schema-20221106-git.tgz";
      sha256 = "11rgnj14p8x059zx8hs02jji1p69v8kix783vf557zpcbydrw2mn";
      system = "json-schema";
      asd = "json-schema";
    });
    systems = [ "json-schema/json-schema-test-suite" ];
    lispLibs = [ (getAttr "json-schema" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  json-schema_slash_test = {
    pname = "json-schema_test";
    version = "20221106-git";
    asds = [ "json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-schema/2022-11-06/json-schema-20221106-git.tgz";
      sha256 = "11rgnj14p8x059zx8hs02jji1p69v8kix783vf557zpcbydrw2mn";
      system = "json-schema";
      asd = "json-schema";
    });
    systems = [ "json-schema/test" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  json-schema_slash_unit-tests = {
    pname = "json-schema_unit-tests";
    version = "20221106-git";
    asds = [ "json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-schema/2022-11-06/json-schema-20221106-git.tgz";
      sha256 = "11rgnj14p8x059zx8hs02jji1p69v8kix783vf557zpcbydrw2mn";
      system = "json-schema";
      asd = "json-schema";
    });
    systems = [ "json-schema/unit-tests" ];
    lispLibs = [ (getAttr "json-schema" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  json-streams = {
    pname = "json-streams";
    version = "20171019-git";
    asds = [ "json-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-streams/2017-10-19/json-streams-20171019-git.tgz";
      sha256 = "0cia3721im04q73dfkd688d8splgpz03qa4h8s3r39kar4w3xll2";
      system = "json-streams";
      asd = "json-streams";
    });
    systems = [ "json-streams" ];
    lispLibs = [  ];
  };
  json-streams-tests = {
    pname = "json-streams-tests";
    version = "20171019-git";
    asds = [ "json-streams-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-streams/2017-10-19/json-streams-20171019-git.tgz";
      sha256 = "0cia3721im04q73dfkd688d8splgpz03qa4h8s3r39kar4w3xll2";
      system = "json-streams-tests";
      asd = "json-streams-tests";
    });
    systems = [ "json-streams-tests" ];
    lispLibs = [ (getAttr "cl-quickcheck" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "json-streams" pkgs) ];
  };
  jsonrpc = {
    pname = "jsonrpc";
    version = "20221106-git";
    asds = [ "jsonrpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsonrpc/2022-11-06/jsonrpc-20221106-git.tgz";
      sha256 = "0g8g9mak6sl27cbf6rrw9pwk2qxx03ijzihhqmcrrr33y9zkdqkk";
      system = "jsonrpc";
      asd = "jsonrpc";
    });
    systems = [ "jsonrpc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "chanl" pkgs) (getAttr "dissect" pkgs) (getAttr "event-emitter" pkgs) (getAttr "usocket" pkgs) (getAttr "vom" pkgs) (getAttr "yason" pkgs) ];
  };
  jsown = {
    pname = "jsown";
    version = "20200218-git";
    asds = [ "jsown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown/2020-02-18/jsown-20200218-git.tgz";
      sha256 = "0gadvmf1d9bq35s61z76psrsnzwwk12svi66jigf491hv48wigw7";
      system = "jsown";
      asd = "jsown";
    });
    systems = [ "jsown" ];
    lispLibs = [  ];
  };
  jsown-tests = {
    pname = "jsown-tests";
    version = "20200218-git";
    asds = [ "jsown-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown/2020-02-18/jsown-20200218-git.tgz";
      sha256 = "0gadvmf1d9bq35s61z76psrsnzwwk12svi66jigf491hv48wigw7";
      system = "jsown-tests";
      asd = "jsown-tests";
    });
    systems = [ "jsown-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "jsown" pkgs) ];
  };
  jsown-utils = {
    pname = "jsown-utils";
    version = "20220707-git";
    asds = [ "jsown-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown-utils/2022-07-07/jsown-utils-20220707-git.tgz";
      sha256 = "046a18fywkim0jbnpls5zqdv65j1kwl268p4dbdd2dxgx050fwak";
      system = "jsown-utils";
      asd = "jsown-utils";
    });
    systems = [ "jsown-utils" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "jsown" pkgs) ];
  };
  just-getopt-parser = {
    pname = "just-getopt-parser";
    version = "20211209-git";
    asds = [ "just-getopt-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-just-getopt-parser/2021-12-09/cl-just-getopt-parser-20211209-git.tgz";
      sha256 = "0ngh8b51ngh3bqacl40j6wwiinhwxswsy02d9k7qlzv9sbjxay4s";
      system = "just-getopt-parser";
      asd = "just-getopt-parser";
    });
    systems = [ "just-getopt-parser" ];
    lispLibs = [  ];
  };
  jwacs = {
    pname = "jwacs";
    version = "20180228-git";
    asds = [ "jwacs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jwacs/2018-02-28/jwacs-20180228-git.tgz";
      sha256 = "1wzln3bjjmdv040i339dsm48a1sc2cnwhh4z066x2wkl5ka7j5b2";
      system = "jwacs";
      asd = "jwacs";
    });
    systems = [ "jwacs" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  jwacs-tests = {
    pname = "jwacs-tests";
    version = "20180228-git";
    asds = [ "jwacs-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jwacs/2018-02-28/jwacs-20180228-git.tgz";
      sha256 = "1wzln3bjjmdv040i339dsm48a1sc2cnwhh4z066x2wkl5ka7j5b2";
      system = "jwacs-tests";
      asd = "jwacs-tests";
    });
    systems = [ "jwacs-tests" ];
    lispLibs = [ (getAttr "jwacs" pkgs) ];
  };
  kanren-trs = {
    pname = "kanren-trs";
    version = "20120305-svn";
    asds = [ "kanren-trs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren-trs/2012-03-05/cl-kanren-trs-20120305-svn.tgz";
      sha256 = "1r9xyickdkkqcaa7abvks4hqwjb7s95lcrym026c1w6ciibiypr7";
      system = "kanren-trs";
      asd = "kanren-trs";
    });
    systems = [ "kanren-trs" ];
    lispLibs = [  ];
  };
  kanren-trs-test = {
    pname = "kanren-trs-test";
    version = "20120305-svn";
    asds = [ "kanren-trs-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren-trs/2012-03-05/cl-kanren-trs-20120305-svn.tgz";
      sha256 = "1r9xyickdkkqcaa7abvks4hqwjb7s95lcrym026c1w6ciibiypr7";
      system = "kanren-trs-test";
      asd = "kanren-trs-test";
    });
    systems = [ "kanren-trs-test" ];
    lispLibs = [ (getAttr "kanren-trs" pkgs) ];
  };
  kaputt = {
    pname = "kaputt";
    version = "20221106-git";
    asds = [ "kaputt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kaputt/2022-11-06/cl-kaputt-20221106-git.tgz";
      sha256 = "1jd9lmdzkjm6mawsxczg6czyv7zbmaplq0ikmda0ysh4aq3apnnj";
      system = "kaputt";
      asd = "kaputt";
    });
    systems = [ "kaputt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  kaputt_slash_example = {
    pname = "kaputt_example";
    version = "20221106-git";
    asds = [ "kaputt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kaputt/2022-11-06/cl-kaputt-20221106-git.tgz";
      sha256 = "1jd9lmdzkjm6mawsxczg6czyv7zbmaplq0ikmda0ysh4aq3apnnj";
      system = "kaputt";
      asd = "kaputt";
    });
    systems = [ "kaputt/example" ];
    lispLibs = [ (getAttr "kaputt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  kaputt_slash_testsuite = {
    pname = "kaputt_testsuite";
    version = "20221106-git";
    asds = [ "kaputt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kaputt/2022-11-06/cl-kaputt-20221106-git.tgz";
      sha256 = "1jd9lmdzkjm6mawsxczg6czyv7zbmaplq0ikmda0ysh4aq3apnnj";
      system = "kaputt";
      asd = "kaputt";
    });
    systems = [ "kaputt/testsuite" ];
    lispLibs = [ (getAttr "kaputt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  kebab = {
    pname = "kebab";
    version = "20150608-git";
    asds = [ "kebab" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kebab/2015-06-08/kebab-20150608-git.tgz";
      sha256 = "0j5haabnvj0vz0rx9mwyfsb3qzpga9nickbjw8xs6vypkdzlqv1b";
      system = "kebab";
      asd = "kebab";
    });
    systems = [ "kebab" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  kebab-test = {
    pname = "kebab-test";
    version = "20150608-git";
    asds = [ "kebab-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kebab/2015-06-08/kebab-20150608-git.tgz";
      sha256 = "0j5haabnvj0vz0rx9mwyfsb3qzpga9nickbjw8xs6vypkdzlqv1b";
      system = "kebab-test";
      asd = "kebab-test";
    });
    systems = [ "kebab-test" ];
    lispLibs = [ (getAttr "kebab" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  kekule-clj = {
    pname = "kekule-clj";
    version = "20221106-git";
    asds = [ "kekule-clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kekule-clj/2022-11-06/kekule-clj-20221106-git.tgz";
      sha256 = "12bwymk9vh9bdyi85pfgi79815g0vdlj37y85zld13f9cnf4kl3v";
      system = "kekule-clj";
      asd = "kekule-clj";
    });
    systems = [ "kekule-clj" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" pkgs) ];
  };
  kenzo = {
    pname = "kenzo";
    version = "20200325-git";
    asds = [ "kenzo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kenzo/2020-03-25/kenzo-20200325-git.tgz";
      sha256 = "0dg70p5pxvx2ksr66z3p2nkxxwkjd852pkckr15j6cwfaji9fr8r";
      system = "kenzo";
      asd = "kenzo";
    });
    systems = [ "kenzo" ];
    lispLibs = [  ];
  };
  kenzo-test = {
    pname = "kenzo-test";
    version = "20200325-git";
    asds = [ "kenzo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kenzo/2020-03-25/kenzo-20200325-git.tgz";
      sha256 = "0dg70p5pxvx2ksr66z3p2nkxxwkjd852pkckr15j6cwfaji9fr8r";
      system = "kenzo-test";
      asd = "kenzo-test";
    });
    systems = [ "kenzo-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "kenzo" pkgs) ];
  };
  keystone = {
    pname = "keystone";
    version = "20200427-git";
    asds = [ "keystone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/keystone/2020-04-27/keystone-20200427-git.tgz";
      sha256 = "04fczbkihf87qyp9f1sv45h69xrvdmcmxkv4m868q8zqw6z48hlj";
      system = "keystone";
      asd = "keystone";
    });
    systems = [ "keystone" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  keystone_slash_raw = {
    pname = "keystone_raw";
    version = "20200427-git";
    asds = [ "keystone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/keystone/2020-04-27/keystone-20200427-git.tgz";
      sha256 = "04fczbkihf87qyp9f1sv45h69xrvdmcmxkv4m868q8zqw6z48hlj";
      system = "keystone";
      asd = "keystone";
    });
    systems = [ "keystone/raw" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) ];
    meta = {
      broken = true;
    };
  };
  keystone_slash_raw-test = {
    pname = "keystone_raw-test";
    version = "20200427-git";
    asds = [ "keystone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/keystone/2020-04-27/keystone-20200427-git.tgz";
      sha256 = "04fczbkihf87qyp9f1sv45h69xrvdmcmxkv4m868q8zqw6z48hlj";
      system = "keystone";
      asd = "keystone";
    });
    systems = [ "keystone/raw-test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "static-vectors" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  keystone_slash_test = {
    pname = "keystone_test";
    version = "20200427-git";
    asds = [ "keystone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/keystone/2020-04-27/keystone-20200427-git.tgz";
      sha256 = "04fczbkihf87qyp9f1sv45h69xrvdmcmxkv4m868q8zqw6z48hlj";
      system = "keystone";
      asd = "keystone";
    });
    systems = [ "keystone/test" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "keystone" pkgs) (getAttr "static-vectors" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  kl-verify = {
    pname = "kl-verify";
    version = "20120909-git";
    asds = [ "kl-verify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kl-verify/2012-09-09/kl-verify-20120909-git.tgz";
      sha256 = "1m5jyvvfb24idw0xzi92diyrygmq638dwxg0sl247yyvmwsqb8yj";
      system = "kl-verify";
      asd = "kl-verify";
    });
    systems = [ "kl-verify" ];
    lispLibs = [ (getAttr "image" pkgs) ];
  };
  km = {
    pname = "km";
    version = "2-5-33";
    asds = [ "km" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/km/2011-05-22/km-2-5-33.tgz";
      sha256 = "0vl4g7vg20l14xc1b5g1d0scak6ck5028q5s5c75pr8fp15m7wyb";
      system = "km";
      asd = "km";
    });
    systems = [ "km" ];
    lispLibs = [  ];
  };
  kmrcl = {
    pname = "kmrcl";
    version = "20201016-git";
    asds = [ "kmrcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kmrcl/2020-10-16/kmrcl-20201016-git.tgz";
      sha256 = "06gx04mah5nc8w78s0j8628divbf1s5w7af8w7pvzb2d5mgvrbd2";
      system = "kmrcl";
      asd = "kmrcl";
    });
    systems = [ "kmrcl" ];
    lispLibs = [  ];
  };
  kmrcl_slash_test = {
    pname = "kmrcl_test";
    version = "20201016-git";
    asds = [ "kmrcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kmrcl/2020-10-16/kmrcl-20201016-git.tgz";
      sha256 = "06gx04mah5nc8w78s0j8628divbf1s5w7af8w7pvzb2d5mgvrbd2";
      system = "kmrcl";
      asd = "kmrcl";
    });
    systems = [ "kmrcl/test" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  l-math = {
    pname = "l-math";
    version = "20190307-git";
    asds = [ "l-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-math/2019-03-07/l-math-20190307-git.tgz";
      sha256 = "12nhj1hrvgvmichrjf46fi0f1lzrjajw7k9i1f6qycnnqw45qan1";
      system = "l-math";
      asd = "l-math";
    });
    systems = [ "l-math" ];
    lispLibs = [  ];
  };
  l-system = {
    pname = "l-system";
    version = "20180228-git";
    asds = [ "l-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-system/2018-02-28/l-system-20180228-git.tgz";
      sha256 = "1zvd90s7y936bx7sirc38vs8r2rs62064ndj06ahrc38vagv4qwd";
      system = "l-system";
      asd = "l-system";
    });
    systems = [ "l-system" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  l-system-examples = {
    pname = "l-system-examples";
    version = "20180228-git";
    asds = [ "l-system-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-system/2018-02-28/l-system-20180228-git.tgz";
      sha256 = "1zvd90s7y936bx7sirc38vs8r2rs62064ndj06ahrc38vagv4qwd";
      system = "l-system-examples";
      asd = "l-system-examples";
    });
    systems = [ "l-system-examples" ];
    lispLibs = [ (getAttr "l-system" pkgs) ];
  };
  laap = {
    pname = "laap";
    version = "20170830-git";
    asds = [ "laap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/laap/2017-08-30/laap-20170830-git.tgz";
      sha256 = "0rzjdi4qcv2l99mk4bk94xlpfx1mav0kvd7crpax7dx4dfwkq8k5";
      system = "laap";
      asd = "laap";
    });
    systems = [ "laap" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-base32" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) ];
  };
  lack = {
    pname = "lack";
    version = "20221106-git";
    asds = [ "lack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack";
      asd = "lack";
    });
    systems = [ "lack" ];
    lispLibs = [ (getAttr "lack-component" pkgs) (getAttr "lack-util" pkgs) ];
  };
  lack-app-directory = {
    pname = "lack-app-directory";
    version = "20221106-git";
    asds = [ "lack-app-directory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-app-directory";
      asd = "lack-app-directory";
    });
    systems = [ "lack-app-directory" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "lack-app-file" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "trivial-rfc-1123" pkgs) ];
  };
  lack-app-file = {
    pname = "lack-app-file";
    version = "20221106-git";
    asds = [ "lack-app-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-app-file";
      asd = "lack-app-file";
    });
    systems = [ "lack-app-file" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "lack-component" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "trivial-rfc-1123" pkgs) ];
  };
  lack-component = {
    pname = "lack-component";
    version = "20221106-git";
    asds = [ "lack-component" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-component";
      asd = "lack-component";
    });
    systems = [ "lack-component" ];
    lispLibs = [  ];
  };
  lack-middleware-accesslog = {
    pname = "lack-middleware-accesslog";
    version = "20221106-git";
    asds = [ "lack-middleware-accesslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-accesslog";
      asd = "lack-middleware-accesslog";
    });
    systems = [ "lack-middleware-accesslog" ];
    lispLibs = [ (getAttr "lack-util" pkgs) (getAttr "local-time" pkgs) ];
  };
  lack-middleware-anypool = {
    pname = "lack-middleware-anypool";
    version = "20210531-git";
    asds = [ "lack-middleware-anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "lack-middleware-anypool";
      asd = "lack-middleware-anypool";
    });
    systems = [ "lack-middleware-anypool" ];
    lispLibs = [ (getAttr "anypool" pkgs) ];
  };
  lack-middleware-auth-basic = {
    pname = "lack-middleware-auth-basic";
    version = "20221106-git";
    asds = [ "lack-middleware-auth-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-auth-basic";
      asd = "lack-middleware-auth-basic";
    });
    systems = [ "lack-middleware-auth-basic" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  lack-middleware-backtrace = {
    pname = "lack-middleware-backtrace";
    version = "20221106-git";
    asds = [ "lack-middleware-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-backtrace";
      asd = "lack-middleware-backtrace";
    });
    systems = [ "lack-middleware-backtrace" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  lack-middleware-clack-errors = {
    pname = "lack-middleware-clack-errors";
    version = "20190813-git";
    asds = [ "lack-middleware-clack-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "lack-middleware-clack-errors";
      asd = "lack-middleware-clack-errors";
    });
    systems = [ "lack-middleware-clack-errors" ];
    lispLibs = [ (getAttr "clack-errors" pkgs) ];
  };
  lack-middleware-csrf = {
    pname = "lack-middleware-csrf";
    version = "20221106-git";
    asds = [ "lack-middleware-csrf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-csrf";
      asd = "lack-middleware-csrf";
    });
    systems = [ "lack-middleware-csrf" ];
    lispLibs = [ (getAttr "lack-request" pkgs) (getAttr "lack-util" pkgs) ];
  };
  lack-middleware-mito = {
    pname = "lack-middleware-mito";
    version = "20221106-git";
    asds = [ "lack-middleware-mito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2022-11-06/mito-20221106-git.tgz";
      sha256 = "1wm0kmlg8b7l74s1kxs2yxrv07c6fhfb7yn3018pjh1y28i5cx7n";
      system = "lack-middleware-mito";
      asd = "lack-middleware-mito";
    });
    systems = [ "lack-middleware-mito" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "mito-core" pkgs) ];
  };
  lack-middleware-mount = {
    pname = "lack-middleware-mount";
    version = "20221106-git";
    asds = [ "lack-middleware-mount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-mount";
      asd = "lack-middleware-mount";
    });
    systems = [ "lack-middleware-mount" ];
    lispLibs = [ (getAttr "lack-component" pkgs) ];
  };
  lack-middleware-session = {
    pname = "lack-middleware-session";
    version = "20221106-git";
    asds = [ "lack-middleware-session" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-session";
      asd = "lack-middleware-session";
    });
    systems = [ "lack-middleware-session" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-response" pkgs) (getAttr "lack-util" pkgs) ];
  };
  lack-middleware-static = {
    pname = "lack-middleware-static";
    version = "20221106-git";
    asds = [ "lack-middleware-static" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-middleware-static";
      asd = "lack-middleware-static";
    });
    systems = [ "lack-middleware-static" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "lack-app-file" pkgs) (getAttr "lack-component" pkgs) ];
  };
  lack-request = {
    pname = "lack-request";
    version = "20221106-git";
    asds = [ "lack-request" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-request";
      asd = "lack-request";
    });
    systems = [ "lack-request" ];
    lispLibs = [ (getAttr "circular-streams" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "http-body" pkgs) (getAttr "quri" pkgs) ];
  };
  lack-response = {
    pname = "lack-response";
    version = "20221106-git";
    asds = [ "lack-response" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-response";
      asd = "lack-response";
    });
    systems = [ "lack-response" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "quri" pkgs) ];
  };
  lack-session-store-dbi = {
    pname = "lack-session-store-dbi";
    version = "20221106-git";
    asds = [ "lack-session-store-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-session-store-dbi";
      asd = "lack-session-store-dbi";
    });
    systems = [ "lack-session-store-dbi" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "dbi" pkgs) (getAttr "marshal" pkgs) (getAttr "lack-middleware-session" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  lack-session-store-redis = {
    pname = "lack-session-store-redis";
    version = "20221106-git";
    asds = [ "lack-session-store-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-session-store-redis";
      asd = "lack-session-store-redis";
    });
    systems = [ "lack-session-store-redis" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "marshal" pkgs) (getAttr "cl-redis" pkgs) (getAttr "lack-middleware-session" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  lack-test = {
    pname = "lack-test";
    version = "20221106-git";
    asds = [ "lack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-test";
      asd = "lack-test";
    });
    systems = [ "lack-test" ];
    lispLibs = [ (getAttr "cl-cookie" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "lack" pkgs) (getAttr "quri" pkgs) ];
  };
  lack-util = {
    pname = "lack-util";
    version = "20221106-git";
    asds = [ "lack-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-util";
      asd = "lack-util";
    });
    systems = [ "lack-util" ];
    lispLibs = [ (getAttr "cl-isaac" pkgs) ];
  };
  lack-util-writer-stream = {
    pname = "lack-util-writer-stream";
    version = "20221106-git";
    asds = [ "lack-util-writer-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "lack-util-writer-stream";
      asd = "lack-util-writer-stream";
    });
    systems = [ "lack-util-writer-stream" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  lake = {
    pname = "lake";
    version = "20220220-git";
    asds = [ "lake" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake";
      asd = "lake";
    });
    systems = [ "lake" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-interpol" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  lake-cli = {
    pname = "lake-cli";
    version = "20220220-git";
    asds = [ "lake-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake-cli";
      asd = "lake-cli";
    });
    systems = [ "lake-cli" ];
    lispLibs = [ (getAttr "deploy" pkgs) (getAttr "lake" pkgs) ];
  };
  lake-test = {
    pname = "lake-test";
    version = "20220220-git";
    asds = [ "lake-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake-test";
      asd = "lake-test";
    });
    systems = [ "lake-test" ];
    lispLibs = [ (getAttr "lake" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  lambda-fiddle = {
    pname = "lambda-fiddle";
    version = "20211020-git";
    asds = [ "lambda-fiddle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-fiddle/2021-10-20/lambda-fiddle-20211020-git.tgz";
      sha256 = "1z4s1sqkvll6rpzc40yqbyzmbn7h8lxkhinvis3c7anaar78bjs7";
      system = "lambda-fiddle";
      asd = "lambda-fiddle";
    });
    systems = [ "lambda-fiddle" ];
    lispLibs = [  ];
  };
  lambda-reader = {
    pname = "lambda-reader";
    version = "20170124-git";
    asds = [ "lambda-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-reader/2017-01-24/lambda-reader-20170124-git.tgz";
      sha256 = "0s73nrnvr0d2ql1gabcasmfnckzq0f2qs9317hv2mrrh0q1giq1w";
      system = "lambda-reader";
      asd = "lambda-reader";
    });
    systems = [ "lambda-reader" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  lambda-reader-8bit = {
    pname = "lambda-reader-8bit";
    version = "20170124-git";
    asds = [ "lambda-reader-8bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-reader/2017-01-24/lambda-reader-20170124-git.tgz";
      sha256 = "0s73nrnvr0d2ql1gabcasmfnckzq0f2qs9317hv2mrrh0q1giq1w";
      system = "lambda-reader-8bit";
      asd = "lambda-reader-8bit";
    });
    systems = [ "lambda-reader-8bit" ];
    lispLibs = [ (getAttr "asdf-encodings" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  lambdalite = {
    pname = "lambdalite";
    version = "20141217-git";
    asds = [ "lambdalite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambdalite/2014-12-17/lambdalite-20141217-git.tgz";
      sha256 = "0bvhix74afak5bpaa4x3p1b7gskpvzvw78aqkml9d40gpd1ky8lh";
      system = "lambdalite";
      asd = "lambdalite";
    });
    systems = [ "lambdalite" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "wu-sugar" pkgs) ];
  };
  language-codes = {
    pname = "language-codes";
    version = "20210531-git";
    asds = [ "language-codes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/language-codes/2021-05-31/language-codes-20210531-git.tgz";
      sha256 = "0bkx5bjfaxlrxkr1yh85xbr5n39g3m9006vy1gh6wybvh95d1xwy";
      system = "language-codes";
      asd = "language-codes";
    });
    systems = [ "language-codes" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  langutils = {
    pname = "langutils";
    version = "20121125-git";
    asds = [ "langutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-langutils/2012-11-25/cl-langutils-20121125-git.tgz";
      sha256 = "15y9x5wkg3fqndc04w2sc650fnwimxp4gjgpv9xvvdm9x4v433x6";
      system = "langutils";
      asd = "langutils";
    });
    systems = [ "langutils" ];
    lispLibs = [ (getAttr "stdutils" pkgs) (getAttr "s-xml-rpc" pkgs) ];
  };
  lapack = {
    pname = "lapack";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack" ];
    lispLibs = [ (getAttr "blas-complex" pkgs) (getAttr "blas-package" pkgs) (getAttr "blas-real" pkgs) (getAttr "f2cl" pkgs) ];
  };
  lapack_slash_complex = {
    pname = "lapack_complex";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack/complex" ];
    lispLibs = [ (getAttr "blas-complex" pkgs) (getAttr "blas-package" pkgs) (getAttr "blas-real" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lapack_slash_package = {
    pname = "lapack_package";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack/package" ];
    lispLibs = [ (getAttr "blas-package" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lapack_slash_real = {
    pname = "lapack_real";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack/real" ];
    lispLibs = [ (getAttr "blas-package" pkgs) (getAttr "blas-real" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lapack_slash_tests = {
    pname = "lapack_tests";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack/tests" ];
    lispLibs = [ (getAttr "lapack" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lass = {
    pname = "lass";
    version = "20211020-git";
    asds = [ "lass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass/2021-10-20/lass-20211020-git.tgz";
      sha256 = "06wds1qzj8s862pmmza1427n7gdpplqplxqnxyqkrr0hgxdl4xbf";
      system = "lass";
      asd = "lass";
    });
    systems = [ "lass" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "trivial-indent" pkgs) (getAttr "trivial-mimes" pkgs) ];
  };
  lass-flexbox = {
    pname = "lass-flexbox";
    version = "20160208-git";
    asds = [ "lass-flexbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass-flexbox/2016-02-08/lass-flexbox-20160208-git.tgz";
      sha256 = "143rkff1ybi3b07qyzndxxndp7j4nw1biyp51rkl0yvsk85kj1jp";
      system = "lass-flexbox";
      asd = "lass-flexbox";
    });
    systems = [ "lass-flexbox" ];
    lispLibs = [ (getAttr "lass" pkgs) ];
  };
  lass-flexbox-test = {
    pname = "lass-flexbox-test";
    version = "20160208-git";
    asds = [ "lass-flexbox-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass-flexbox/2016-02-08/lass-flexbox-20160208-git.tgz";
      sha256 = "143rkff1ybi3b07qyzndxxndp7j4nw1biyp51rkl0yvsk85kj1jp";
      system = "lass-flexbox-test";
      asd = "lass-flexbox-test";
    });
    systems = [ "lass-flexbox-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "lass-flexbox" pkgs) ];
  };
  lassie = {
    pname = "lassie";
    version = "20140713-git";
    asds = [ "lassie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lassie/2014-07-13/lassie-20140713-git.tgz";
      sha256 = "06ps25422ymp9n35745xhg3qsclfli52b7mxhw58wwz9q1v1n0rn";
      system = "lassie";
      asd = "lassie";
    });
    systems = [ "lassie" ];
    lispLibs = [ (getAttr "fsvd" pkgs) ];
  };
  lastfm = {
    pname = "lastfm";
    version = "20191007-git";
    asds = [ "lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lastfm/2019-10-07/lastfm-20191007-git.tgz";
      sha256 = "1crg82fyzkm9a0czsf5vq6nwndg6gy7zqb2glbp3yaw6p2hrwkp4";
      system = "lastfm";
      asd = "lastfm";
    });
    systems = [ "lastfm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "defmemo" pkgs) (getAttr "drakma" pkgs) (getAttr "generators" pkgs) (getAttr "ironclad" pkgs) (getAttr "lquery" pkgs) (getAttr "plump" pkgs) (getAttr "trivial-open-browser" pkgs) ];
  };
  latex-table = {
    pname = "latex-table";
    version = "20180328-git";
    asds = [ "latex-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/latex-table/2018-03-28/latex-table-20180328-git.tgz";
      sha256 = "04qqr62pdi7qs9p74a4a014l6sl6bk6hrlb7b7pknxx5c15xvcgv";
      system = "latex-table";
      asd = "latex-table";
    });
    systems = [ "latex-table" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "let-plus" pkgs) ];
  };
  latter-day-paypal = {
    pname = "latter-day-paypal";
    version = "20221106-git";
    asds = [ "latter-day-paypal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/latter-day-paypal/2022-11-06/latter-day-paypal-20221106-git.tgz";
      sha256 = "0a4xji2ymmr7s4gq0gc3bhbf62gwfs93ymmpvgsmb0afcsi5099q";
      system = "latter-day-paypal";
      asd = "latter-day-paypal";
    });
    systems = [ "latter-day-paypal" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "str" pkgs) (getAttr "cl-tls" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "ningle" pkgs) (getAttr "quri" pkgs) ];
  };
  lazy = {
    pname = "lazy";
    version = "20200925-git";
    asds = [ "lazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lazy/2020-09-25/lazy-20200925-git.tgz";
      sha256 = "0m099rwr7k17v984n4jnq4hadf19vza5qilxdyrr43scxbbrmw1n";
      system = "lazy";
      asd = "lazy";
    });
    systems = [ "lazy" ];
    lispLibs = [  ];
  };
  ledger = {
    pname = "ledger";
    version = "master-1a957fb2-git";
    asds = [ "ledger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "ledger";
      asd = "ledger";
    });
    systems = [ "ledger" ];
    lispLibs = [ (getAttr "gwl" pkgs) ];
  };
  leech = {
    pname = "leech";
    version = "20140713-git";
    asds = [ "leech" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "leech";
      asd = "leech";
    });
    systems = [ "leech" ];
    lispLibs = [ (getAttr "aserve" pkgs) (getAttr "unit-test" pkgs) ];
  };
  legion = {
    pname = "legion";
    version = "20211020-git";
    asds = [ "legion" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legion/2021-10-20/legion-20211020-git.tgz";
      sha256 = "0583pw0mf8bd4dj42w2xrlzcwfkl8q28n1bh8dpxxfg93crx4si6";
      system = "legion";
      asd = "legion";
    });
    systems = [ "legion" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-speedy-queue" pkgs) (getAttr "vom" pkgs) ];
  };
  legion-test = {
    pname = "legion-test";
    version = "20211020-git";
    asds = [ "legion-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legion/2021-10-20/legion-20211020-git.tgz";
      sha256 = "0583pw0mf8bd4dj42w2xrlzcwfkl8q28n1bh8dpxxfg93crx4si6";
      system = "legion-test";
      asd = "legion-test";
    });
    systems = [ "legion-test" ];
    lispLibs = [ (getAttr "legion" pkgs) (getAttr "local-time" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  legit = {
    pname = "legit";
    version = "20211020-git";
    asds = [ "legit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legit/2021-10-20/legit-20211020-git.tgz";
      sha256 = "0crr7ya7dg15di7glk3w9sgf6j8dmny347gynmxxrdvjj9pa906m";
      system = "legit";
      asd = "legit";
    });
    systems = [ "legit" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "simple-inferiors" pkgs) (getAttr "uiop" pkgs) ];
  };
  lem-opengl = {
    pname = "lem-opengl";
    version = "20200427-git";
    asds = [ "lem-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "lem-opengl";
      asd = "lem-opengl";
    });
    systems = [ "lem-opengl" ];
    lispLibs = [ (getAttr "livesupport" pkgs) (getAttr "minilem" pkgs) (getAttr "application" pkgs) (getAttr "control" pkgs) (getAttr "ncurses-clone-for-lem" pkgs) (getAttr "sucle" pkgs) (getAttr "uncommon-lisp" pkgs) (getAttr "trivial-clipboard" pkgs) (getAttr "utility" pkgs) ];
  };
  lense = {
    pname = "lense";
    version = "20201220-git";
    asds = [ "lense" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lense/2020-12-20/lense-20201220-git.tgz";
      sha256 = "0j11m93an38d1cl6b1kaaj5azhkn64wpiiprlj2c4cjfzrc32ffv";
      system = "lense";
      asd = "lense";
    });
    systems = [ "lense" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "documentation-utils-extensions" pkgs) ];
  };
  lessp = {
    pname = "lessp";
    version = "20221106-git";
    asds = [ "lessp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lessp/2022-11-06/cl-lessp-20221106-git.tgz";
      sha256 = "0i3ia14dzqwjpygd0zn785ff5vqnnmkn75psfpyx0ni3jr71lkq9";
      system = "lessp";
      asd = "lessp";
    });
    systems = [ "lessp" ];
    lispLibs = [  ];
  };
  let-over-lambda = {
    pname = "let-over-lambda";
    version = "20220331-git";
    asds = [ "let-over-lambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-over-lambda/2022-03-31/let-over-lambda-20220331-git.tgz";
      sha256 = "0kq94jsk6frjwnx8wqnsvss91vmyjs9g9iv603d8fiip0szkwdnn";
      system = "let-over-lambda";
      asd = "let-over-lambda";
    });
    systems = [ "let-over-lambda" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  let-over-lambda-test = {
    pname = "let-over-lambda-test";
    version = "20220331-git";
    asds = [ "let-over-lambda-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-over-lambda/2022-03-31/let-over-lambda-20220331-git.tgz";
      sha256 = "0kq94jsk6frjwnx8wqnsvss91vmyjs9g9iv603d8fiip0szkwdnn";
      system = "let-over-lambda-test";
      asd = "let-over-lambda-test";
    });
    systems = [ "let-over-lambda-test" ];
    lispLibs = [ (getAttr "let-over-lambda" pkgs) (getAttr "named-readtables" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  let-plus = {
    pname = "let-plus";
    version = "20191130-git";
    asds = [ "let-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-plus/2019-11-30/let-plus-20191130-git.tgz";
      sha256 = "00c0nq6l4zb692rzsc9aliqzj3avrssfyz4bhxzl7f1jsz3m29jb";
      system = "let-plus";
      asd = "let-plus";
    });
    systems = [ "let-plus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) ];
  };
  let-plus_slash_tests = {
    pname = "let-plus_tests";
    version = "20191130-git";
    asds = [ "let-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-plus/2019-11-30/let-plus-20191130-git.tgz";
      sha256 = "00c0nq6l4zb692rzsc9aliqzj3avrssfyz4bhxzl7f1jsz3m29jb";
      system = "let-plus";
      asd = "let-plus";
    });
    systems = [ "let-plus/tests" ];
    lispLibs = [ (getAttr "let-plus" pkgs) (getAttr "lift" pkgs) ];
    meta = {
      broken = true;
    };
  };
  letrec = {
    pname = "letrec";
    version = "20190307-hg";
    asds = [ "letrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/letrec/2019-03-07/letrec-20190307-hg.tgz";
      sha256 = "0cs2p1kv443dxd6vf908gblgdd2amcvjd1i1fq2cq9ip61dg9vnk";
      system = "letrec";
      asd = "letrec";
    });
    systems = [ "letrec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  lev = {
    pname = "lev";
    version = "20150505-git";
    asds = [ "lev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lev/2015-05-05/lev-20150505-git.tgz";
      sha256 = "14lfnrvfyg2nnvlwck896p6vgarzc6g4kijmvhi2d8wra7gxzifh";
      system = "lev";
      asd = "lev";
    });
    systems = [ "lev" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  leveldb = {
    pname = "leveldb";
    version = "20160531-git";
    asds = [ "leveldb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/leveldb/2016-05-31/leveldb-20160531-git.tgz";
      sha256 = "03i4qr3g8ga2vpc8qbnipan3i7y4809i036wppkkixcsbckslckv";
      system = "leveldb";
      asd = "leveldb";
    });
    systems = [ "leveldb" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  levenshtein = {
    pname = "levenshtein";
    version = "1.0";
    asds = [ "levenshtein" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/levenshtein/2010-10-06/levenshtein-1.0.tgz";
      sha256 = "0b4hdv55qcjlh3ixy3fglvb90ggmm79nl02nxkly2ls6cd7rbf5i";
      system = "levenshtein";
      asd = "levenshtein";
    });
    systems = [ "levenshtein" ];
    lispLibs = [  ];
  };
  lfarm-admin = {
    pname = "lfarm-admin";
    version = "20150608-git";
    asds = [ "lfarm-admin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-admin";
      asd = "lfarm-admin";
    });
    systems = [ "lfarm-admin" ];
    lispLibs = [ (getAttr "lfarm-common" pkgs) (getAttr "usocket" pkgs) ];
  };
  lfarm-client = {
    pname = "lfarm-client";
    version = "20150608-git";
    asds = [ "lfarm-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-client";
      asd = "lfarm-client";
    });
    systems = [ "lfarm-client" ];
    lispLibs = [ (getAttr "lfarm-common" pkgs) (getAttr "lparallel" pkgs) (getAttr "usocket" pkgs) ];
  };
  lfarm-common = {
    pname = "lfarm-common";
    version = "20150608-git";
    asds = [ "lfarm-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-common";
      asd = "lfarm-common";
    });
    systems = [ "lfarm-common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-store" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  lfarm-gss = {
    pname = "lfarm-gss";
    version = "20150608-git";
    asds = [ "lfarm-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-gss";
      asd = "lfarm-gss";
    });
    systems = [ "lfarm-gss" ];
    lispLibs = [ (getAttr "cl-gss" pkgs) (getAttr "lfarm-common" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  lfarm-launcher = {
    pname = "lfarm-launcher";
    version = "20150608-git";
    asds = [ "lfarm-launcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-launcher";
      asd = "lfarm-launcher";
    });
    systems = [ "lfarm-launcher" ];
    lispLibs = [ (getAttr "external-program" pkgs) (getAttr "lfarm-admin" pkgs) (getAttr "lfarm-server" pkgs) ];
  };
  lfarm-server = {
    pname = "lfarm-server";
    version = "20150608-git";
    asds = [ "lfarm-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-server";
      asd = "lfarm-server";
    });
    systems = [ "lfarm-server" ];
    lispLibs = [ (getAttr "lfarm-common" pkgs) (getAttr "usocket" pkgs) ];
  };
  lfarm-ssl = {
    pname = "lfarm-ssl";
    version = "20150608-git";
    asds = [ "lfarm-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-ssl";
      asd = "lfarm-ssl";
    });
    systems = [ "lfarm-ssl" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "lfarm-common" pkgs) ];
  };
  lfarm-test = {
    pname = "lfarm-test";
    version = "20150608-git";
    asds = [ "lfarm-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-test";
      asd = "lfarm-test";
    });
    systems = [ "lfarm-test" ];
    lispLibs = [ (getAttr "lfarm-admin" pkgs) (getAttr "lfarm-client" pkgs) (getAttr "lfarm-launcher" pkgs) (getAttr "lfarm-server" pkgs) ];
  };
  lhstats = {
    pname = "lhstats";
    version = "20120107-git";
    asds = [ "lhstats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lhstats/2012-01-07/lhstats-20120107-git.tgz";
      sha256 = "1x8h37vm9yd0a2g7qzili673n1c3a9rzawq27rxyzjrggv9wdnlz";
      system = "lhstats";
      asd = "lhstats";
    });
    systems = [ "lhstats" ];
    lispLibs = [  ];
  };
  lib-helper = {
    pname = "lib-helper";
    version = "20221106-git";
    asds = [ "lib-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lib-helper/2022-11-06/cl-lib-helper-20221106-git.tgz";
      sha256 = "1ml1zy65z2yckh2fa0sdjk1iqhbzzb3xf6ccj63n5ff986jr797k";
      system = "lib-helper";
      asd = "lib-helper";
    });
    systems = [ "lib-helper" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) ];
  };
  lib-helper-test-system = {
    pname = "lib-helper-test-system";
    version = "20221106-git";
    asds = [ "lib-helper-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lib-helper/2022-11-06/cl-lib-helper-20221106-git.tgz";
      sha256 = "1ml1zy65z2yckh2fa0sdjk1iqhbzzb3xf6ccj63n5ff986jr797k";
      system = "lib-helper-test-system";
      asd = "lib-helper-test-system";
    });
    systems = [ "lib-helper-test-system" ];
    lispLibs = [  ];
  };
  lib-helper_slash_test = {
    pname = "lib-helper_test";
    version = "20221106-git";
    asds = [ "lib-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lib-helper/2022-11-06/cl-lib-helper-20221106-git.tgz";
      sha256 = "1ml1zy65z2yckh2fa0sdjk1iqhbzzb3xf6ccj63n5ff986jr797k";
      system = "lib-helper";
      asd = "lib-helper";
    });
    systems = [ "lib-helper/test" ];
    lispLibs = [ (getAttr "lib-helper" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  liblmdb = {
    pname = "liblmdb";
    version = "20170830-git";
    asds = [ "liblmdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/liblmdb/2017-08-30/liblmdb-20170830-git.tgz";
      sha256 = "0484245fcbqza40n377qhsr2v838cih6pziav5vlnml1y0cgv62b";
      system = "liblmdb";
      asd = "liblmdb";
    });
    systems = [ "liblmdb" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  libssh2 = {
    pname = "libssh2";
    version = "20160531-git";
    asds = [ "libssh2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libssh2/2016-05-31/cl-libssh2-20160531-git.tgz";
      sha256 = "1f2zq30zli0gnawclpasxsajpn20cpyy9d3q9zpqyw1sfrsn0hmk";
      system = "libssh2";
      asd = "libssh2";
    });
    systems = [ "libssh2" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  libssh2_dot_test = {
    pname = "libssh2.test";
    version = "20160531-git";
    asds = [ "libssh2.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libssh2/2016-05-31/cl-libssh2-20160531-git.tgz";
      sha256 = "1f2zq30zli0gnawclpasxsajpn20cpyy9d3q9zpqyw1sfrsn0hmk";
      system = "libssh2.test";
      asd = "libssh2.test";
    });
    systems = [ "libssh2.test" ];
    lispLibs = [ (getAttr "libssh2" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) ];
  };
  libusb-ffi = {
    pname = "libusb-ffi";
    version = "20210228-git";
    asds = [ "libusb-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libusb/2021-02-28/cl-libusb-20210228-git.tgz";
      sha256 = "0kyzgcflwb85q58fgn82sp0bipnq5bprg5i4h0h3jxafqqyagbnk";
      system = "libusb-ffi";
      asd = "libusb-ffi";
    });
    systems = [ "libusb-ffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  lichat-ldap = {
    pname = "lichat-ldap";
    version = "20190710-git";
    asds = [ "lichat-ldap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-ldap/2019-07-10/lichat-ldap-20190710-git.tgz";
      sha256 = "03x60jmgx4s2pkzrgl1j70xrvycfi4yj21nzi64cd0pdprqa88d5";
      system = "lichat-ldap";
      asd = "lichat-ldap";
    });
    systems = [ "lichat-ldap" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "lichat-serverlib" pkgs) (getAttr "trivial-ldap" pkgs) ];
  };
  lichat-protocol = {
    pname = "lichat-protocol";
    version = "20220707-git";
    asds = [ "lichat-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-protocol/2022-07-07/lichat-protocol-20220707-git.tgz";
      sha256 = "0as5fcafgga8b1gbis4wxk2w8xv5l4sjy04y3m25gqc5my59falv";
      system = "lichat-protocol";
      asd = "lichat-protocol";
    });
    systems = [ "lichat-protocol" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
  };
  lichat-serverlib = {
    pname = "lichat-serverlib";
    version = "20220220-git";
    asds = [ "lichat-serverlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-serverlib/2022-02-20/lichat-serverlib-20220220-git.tgz";
      sha256 = "122nar4wbjck33nnzfnhzghssarrzrcwddr8i04ynws3v5y1rsdv";
      system = "lichat-serverlib";
      asd = "lichat-serverlib";
    });
    systems = [ "lichat-serverlib" ];
    lispLibs = [ (getAttr "crypto-shortcuts" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "lichat-protocol" pkgs) (getAttr "trivial-mimes" pkgs) ];
  };
  lichat-tcp-client = {
    pname = "lichat-tcp-client";
    version = "20220707-git";
    asds = [ "lichat-tcp-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-tcp-client/2022-07-07/lichat-tcp-client-20220707-git.tgz";
      sha256 = "02693m5qkpsx8mwpik57basgzsf750phvzxf7sjdm6vp84iszg3r";
      system = "lichat-tcp-client";
      asd = "lichat-tcp-client";
    });
    systems = [ "lichat-tcp-client" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "lichat-protocol" pkgs) (getAttr "usocket" pkgs) (getAttr "verbose" pkgs) ];
  };
  lichat-tcp-server = {
    pname = "lichat-tcp-server";
    version = "20220220-git";
    asds = [ "lichat-tcp-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-tcp-server/2022-02-20/lichat-tcp-server-20220220-git.tgz";
      sha256 = "06cnp06q522s7ya39ngk5sr6m5wrz0ajzi41hf7in0drx7n3dddz";
      system = "lichat-tcp-server";
      asd = "lichat-tcp-server";
    });
    systems = [ "lichat-tcp-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "lichat-protocol" pkgs) (getAttr "lichat-serverlib" pkgs) (getAttr "usocket" pkgs) (getAttr "verbose" pkgs) ];
  };
  lichat-ws-server = {
    pname = "lichat-ws-server";
    version = "20220220-git";
    asds = [ "lichat-ws-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-ws-server/2022-02-20/lichat-ws-server-20220220-git.tgz";
      sha256 = "0ylppkd0k41sa7xqk6n9q7i1hbmzlzyvaz3b5x46icjaidrwkm4j";
      system = "lichat-ws-server";
      asd = "lichat-ws-server";
    });
    systems = [ "lichat-ws-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "hunchensocket" pkgs) (getAttr "lichat-protocol" pkgs) (getAttr "lichat-serverlib" pkgs) (getAttr "verbose" pkgs) ];
  };
  lift = {
    pname = "lift";
    version = "20221106-git";
    asds = [ "lift" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2022-11-06/lift-20221106-git.tgz";
      sha256 = "1513n46fkqw8rnvz69s7xnwj476qm8ibdlwsr63qj9yh0mib0q6x";
      system = "lift";
      asd = "lift";
    });
    systems = [ "lift" ];
    lispLibs = [  ];
  };
  lift-documentation = {
    pname = "lift-documentation";
    version = "20221106-git";
    asds = [ "lift-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2022-11-06/lift-20221106-git.tgz";
      sha256 = "1513n46fkqw8rnvz69s7xnwj476qm8ibdlwsr63qj9yh0mib0q6x";
      system = "lift-documentation";
      asd = "lift-documentation";
    });
    systems = [ "lift-documentation" ];
    lispLibs = [ (getAttr "lift" pkgs) ];
  };
  lift-test = {
    pname = "lift-test";
    version = "20221106-git";
    asds = [ "lift-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2022-11-06/lift-20221106-git.tgz";
      sha256 = "1513n46fkqw8rnvz69s7xnwj476qm8ibdlwsr63qj9yh0mib0q6x";
      system = "lift-test";
      asd = "lift-test";
    });
    systems = [ "lift-test" ];
    lispLibs = [ (getAttr "lift" pkgs) ];
  };
  lil = {
    pname = "lil";
    version = "20211230-git";
    asds = [ "lil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-interface-library/2021-12-30/lisp-interface-library-20211230-git.tgz";
      sha256 = "0cd6109pzz9b4z0r0b7ibmmaph802ddpzfkk416snfn1mkrdn0gn";
      system = "lil";
      asd = "lil";
    });
    systems = [ "lil" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fare-memoization" pkgs) (getAttr "fare-utils" pkgs) ];
  };
  lil_slash_test = {
    pname = "lil_test";
    version = "20211230-git";
    asds = [ "lil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-interface-library/2021-12-30/lisp-interface-library-20211230-git.tgz";
      sha256 = "0cd6109pzz9b4z0r0b7ibmmaph802ddpzfkk416snfn1mkrdn0gn";
      system = "lil";
      asd = "lil";
    });
    systems = [ "lil/test" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  lila = {
    pname = "lila";
    version = "20191007-git";
    asds = [ "lila" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lila/2019-10-07/lila-20191007-git.tgz";
      sha256 = "0n29ipbcxh4fm8f1vpaywv02iaayqqk61zsfk051ksjfl5kyqypq";
      system = "lila";
      asd = "lila";
    });
    systems = [ "lila" ];
    lispLibs = [  ];
  };
  lime = {
    pname = "lime";
    version = "20151218-git";
    asds = [ "lime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2015-12-18/lime-20151218-git.tgz";
      sha256 = "0g8spvpsl2cddn8ldmx90fwgh0gghjsbb3zspa0r9f2k7sb6gcgr";
      system = "lime";
      asd = "lime";
    });
    systems = [ "lime" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "swank-protocol" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  lime-example = {
    pname = "lime-example";
    version = "20151218-git";
    asds = [ "lime-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2015-12-18/lime-20151218-git.tgz";
      sha256 = "0g8spvpsl2cddn8ldmx90fwgh0gghjsbb3zspa0r9f2k7sb6gcgr";
      system = "lime-example";
      asd = "lime-example";
    });
    systems = [ "lime-example" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "lime" pkgs) ];
  };
  lime-test = {
    pname = "lime-test";
    version = "20151218-git";
    asds = [ "lime-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2015-12-18/lime-20151218-git.tgz";
      sha256 = "0g8spvpsl2cddn8ldmx90fwgh0gghjsbb3zspa0r9f2k7sb6gcgr";
      system = "lime-test";
      asd = "lime-test";
    });
    systems = [ "lime-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "external-program" pkgs) (getAttr "fiveam" pkgs) (getAttr "lime" pkgs) ];
  };
  linear-programming = {
    pname = "linear-programming";
    version = "20221106-git";
    asds = [ "linear-programming" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming/2022-11-06/linear-programming-20221106-git.tgz";
      sha256 = "03lpyywz1q5ky18ivfpqvzmi11h3daqznj6lh73vij9wjlms7yxk";
      system = "linear-programming";
      asd = "linear-programming";
    });
    systems = [ "linear-programming" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  linear-programming-glpk = {
    pname = "linear-programming-glpk";
    version = "20221106-git";
    asds = [ "linear-programming-glpk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming-glpk/2022-11-06/linear-programming-glpk-20221106-git.tgz";
      sha256 = "0vm4qgjvw5k3v62h78j6802dm075aif06hbjw600m3hybn84rs3l";
      system = "linear-programming-glpk";
      asd = "linear-programming-glpk";
    });
    systems = [ "linear-programming-glpk" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "linear-programming" pkgs) ];
  };
  linear-programming-glpk_slash_test = {
    pname = "linear-programming-glpk_test";
    version = "20221106-git";
    asds = [ "linear-programming-glpk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming-glpk/2022-11-06/linear-programming-glpk-20221106-git.tgz";
      sha256 = "0vm4qgjvw5k3v62h78j6802dm075aif06hbjw600m3hybn84rs3l";
      system = "linear-programming-glpk";
      asd = "linear-programming-glpk";
    });
    systems = [ "linear-programming-glpk/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "linear-programming-glpk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  linear-programming-test = {
    pname = "linear-programming-test";
    version = "20221106-git";
    asds = [ "linear-programming-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming/2022-11-06/linear-programming-20221106-git.tgz";
      sha256 = "03lpyywz1q5ky18ivfpqvzmi11h3daqznj6lh73vij9wjlms7yxk";
      system = "linear-programming-test";
      asd = "linear-programming-test";
    });
    systems = [ "linear-programming-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) (getAttr "linear-programming" pkgs) ];
  };
  linedit = {
    pname = "linedit";
    version = "20180430-git";
    asds = [ "linedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linedit/2018-04-30/linedit-20180430-git.tgz";
      sha256 = "0hhh7xn6q12rviayfihg1ym6x6csa0pdjgb88ykqbrz2rs3pgpz5";
      system = "linedit";
      asd = "linedit";
    });
    systems = [ "linedit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "osicat" pkgs) (getAttr "terminfo" pkgs) ];
  };
  lineva = {
    pname = "lineva";
    version = "20221106-git";
    asds = [ "lineva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lineva/2022-11-06/lineva-20221106-git.tgz";
      sha256 = "193v40llsi51b4zk93fyrg5ll2309waw7ibl4z75bbw73kc4f2wx";
      system = "lineva";
      asd = "lineva";
    });
    systems = [ "lineva" ];
    lispLibs = [  ];
  };
  lineva_slash_test = {
    pname = "lineva_test";
    version = "20221106-git";
    asds = [ "lineva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lineva/2022-11-06/lineva-20221106-git.tgz";
      sha256 = "193v40llsi51b4zk93fyrg5ll2309waw7ibl4z75bbw73kc4f2wx";
      system = "lineva";
      asd = "lineva";
    });
    systems = [ "lineva/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "lineva" pkgs) ];
    meta = {
      broken = true;
    };
  };
  linewise-template = {
    pname = "linewise-template";
    version = "20160208-git";
    asds = [ "linewise-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linewise-template/2016-02-08/linewise-template-20160208-git.tgz";
      sha256 = "06mbg1mq0a5xg3pgn5jml3cbzn8r8aw1p2mq26ml03gsrbiqc7m4";
      system = "linewise-template";
      asd = "linewise-template";
    });
    systems = [ "linewise-template" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  linux-packaging = {
    pname = "linux-packaging";
    version = "20211020-git";
    asds = [ "linux-packaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging";
      asd = "linux-packaging";
    });
    systems = [ "linux-packaging" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cffi-toolchain" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
  };
  linux-packaging-tests = {
    pname = "linux-packaging-tests";
    version = "20211020-git";
    asds = [ "linux-packaging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging-tests";
      asd = "linux-packaging-tests";
    });
    systems = [ "linux-packaging-tests" ];
    lispLibs = [ (getAttr "sqlite" pkgs) (getAttr "linux-packaging" pkgs) (getAttr "osicat" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
  };
  linux-packaging-tests_slash_deb = {
    pname = "linux-packaging-tests_deb";
    version = "20211020-git";
    asds = [ "linux-packaging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging-tests";
      asd = "linux-packaging-tests";
    });
    systems = [ "linux-packaging-tests/deb" ];
    lispLibs = [ (getAttr "linux-packaging" pkgs) (getAttr "linux-packaging-tests" pkgs) ];
    meta = {
      broken = true;
    };
  };
  linux-packaging-tests_slash_pacman = {
    pname = "linux-packaging-tests_pacman";
    version = "20211020-git";
    asds = [ "linux-packaging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging-tests";
      asd = "linux-packaging-tests";
    });
    systems = [ "linux-packaging-tests/pacman" ];
    lispLibs = [ (getAttr "linux-packaging" pkgs) (getAttr "linux-packaging-tests" pkgs) ];
    meta = {
      broken = true;
    };
  };
  linux-packaging-tests_slash_rpm = {
    pname = "linux-packaging-tests_rpm";
    version = "20211020-git";
    asds = [ "linux-packaging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging-tests";
      asd = "linux-packaging-tests";
    });
    systems = [ "linux-packaging-tests/rpm" ];
    lispLibs = [ (getAttr "linux-packaging" pkgs) (getAttr "linux-packaging-tests" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lionchat = {
    pname = "lionchat";
    version = "20220220-git";
    asds = [ "lionchat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lionchat/2022-02-20/lionchat-20220220-git.tgz";
      sha256 = "1kr8n39nlxpqlk1y7y2p09172701w1k5w1cpffb7bbl41gvkihxf";
      system = "lionchat";
      asd = "lionchat";
    });
    systems = [ "lionchat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "lichat-tcp-client" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtsvg" pkgs) (getAttr "qtools" pkgs) (getAttr "qtools-ui-listing" pkgs) (getAttr "qtools-ui-notification" pkgs) (getAttr "qtools-ui-options" pkgs) (getAttr "qtools-ui-repl" pkgs) (getAttr "trivial-arguments" pkgs) (getAttr "ubiquitous" pkgs) (getAttr "verbose" pkgs) ];
  };
  lisa = {
    pname = "lisa";
    version = "20120407-git";
    asds = [ "lisa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisa/2012-04-07/lisa-20120407-git.tgz";
      sha256 = "12mpwxpczfq2hridjspbg51121hngbcnji37fhlr0vv4dqrg1z15";
      system = "lisa";
      asd = "lisa";
    });
    systems = [ "lisa" ];
    lispLibs = [  ];
  };
  lisp-binary = {
    pname = "lisp-binary";
    version = "20221106-git";
    asds = [ "lisp-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-binary/2022-11-06/lisp-binary-20221106-git.tgz";
      sha256 = "0vn1kjvcch9ky50rq1axg5hixf3zkbb46as99g0aks1b7y250a17";
      system = "lisp-binary";
      asd = "lisp-binary";
    });
    systems = [ "lisp-binary" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "closer-mop" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "moptilities" pkgs) (getAttr "quasiquote-2_dot_0" pkgs) ];
  };
  lisp-binary-test = {
    pname = "lisp-binary-test";
    version = "20221106-git";
    asds = [ "lisp-binary-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-binary/2022-11-06/lisp-binary-20221106-git.tgz";
      sha256 = "0vn1kjvcch9ky50rq1axg5hixf3zkbb46as99g0aks1b7y250a17";
      system = "lisp-binary-test";
      asd = "lisp-binary-test";
    });
    systems = [ "lisp-binary-test" ];
    lispLibs = [ (getAttr "lisp-binary" pkgs) ];
  };
  lisp-chat = {
    pname = "lisp-chat";
    version = "20210228-git";
    asds = [ "lisp-chat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-chat/2021-02-28/lisp-chat-20210228-git.tgz";
      sha256 = "0gh78lb6m2790j5z64qij6v1s5yr501idbppg2ccyayl4f8bdpzi";
      system = "lisp-chat";
      asd = "lisp-chat";
    });
    systems = [ "lisp-chat" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-readline" pkgs) (getAttr "usocket" pkgs) ];
  };
  lisp-chat_slash_client = {
    pname = "lisp-chat_client";
    version = "20210228-git";
    asds = [ "lisp-chat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-chat/2021-02-28/lisp-chat-20210228-git.tgz";
      sha256 = "0gh78lb6m2790j5z64qij6v1s5yr501idbppg2ccyayl4f8bdpzi";
      system = "lisp-chat";
      asd = "lisp-chat";
    });
    systems = [ "lisp-chat/client" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-readline" pkgs) (getAttr "usocket" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lisp-chat_slash_server = {
    pname = "lisp-chat_server";
    version = "20210228-git";
    asds = [ "lisp-chat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-chat/2021-02-28/lisp-chat-20210228-git.tgz";
      sha256 = "0gh78lb6m2790j5z64qij6v1s5yr501idbppg2ccyayl4f8bdpzi";
      system = "lisp-chat";
      asd = "lisp-chat";
    });
    systems = [ "lisp-chat/server" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "usocket" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lisp-critic = {
    pname = "lisp-critic";
    version = "20221106-git";
    asds = [ "lisp-critic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-critic/2022-11-06/lisp-critic-20221106-git.tgz";
      sha256 = "000vp8jsvpw80by7c7nb5394akfcr6rzzpzw049am67fh5qk89rn";
      system = "lisp-critic";
      asd = "lisp-critic";
    });
    systems = [ "lisp-critic" ];
    lispLibs = [ (getAttr "ckr-tables" pkgs) ];
  };
  lisp-executable = {
    pname = "lisp-executable";
    version = "20180831-git";
    asds = [ "lisp-executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable";
      asd = "lisp-executable";
    });
    systems = [ "lisp-executable" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  lisp-executable-example = {
    pname = "lisp-executable-example";
    version = "20180831-git";
    asds = [ "lisp-executable-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable-example";
      asd = "lisp-executable-example";
    });
    systems = [ "lisp-executable-example" ];
    lispLibs = [ (getAttr "lisp-executable" pkgs) ];
  };
  lisp-executable-tests = {
    pname = "lisp-executable-tests";
    version = "20180831-git";
    asds = [ "lisp-executable-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable-tests";
      asd = "lisp-executable-tests";
    });
    systems = [ "lisp-executable-tests" ];
    lispLibs = [ (getAttr "lisp-executable" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  lisp-interface-library = {
    pname = "lisp-interface-library";
    version = "20211230-git";
    asds = [ "lisp-interface-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-interface-library/2021-12-30/lisp-interface-library-20211230-git.tgz";
      sha256 = "0cd6109pzz9b4z0r0b7ibmmaph802ddpzfkk416snfn1mkrdn0gn";
      system = "lisp-interface-library";
      asd = "lisp-interface-library";
    });
    systems = [ "lisp-interface-library" ];
    lispLibs = [ (getAttr "lil" pkgs) ];
  };
  lisp-invocation = {
    pname = "lisp-invocation";
    version = "20180228-git";
    asds = [ "lisp-invocation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-invocation/2018-02-28/lisp-invocation-20180228-git.tgz";
      sha256 = "1qwvczjd5w6mrkz7ip3gl46f72dnxgngdc5bla35l2g7br96kzsl";
      system = "lisp-invocation";
      asd = "lisp-invocation";
    });
    systems = [ "lisp-invocation" ];
    lispLibs = [  ];
  };
  lisp-invocation_slash_all = {
    pname = "lisp-invocation_all";
    version = "20180228-git";
    asds = [ "lisp-invocation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-invocation/2018-02-28/lisp-invocation-20180228-git.tgz";
      sha256 = "1qwvczjd5w6mrkz7ip3gl46f72dnxgngdc5bla35l2g7br96kzsl";
      system = "lisp-invocation";
      asd = "lisp-invocation";
    });
    systems = [ "lisp-invocation/all" ];
    lispLibs = [ (getAttr "lisp-invocation" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lisp-namespace = {
    pname = "lisp-namespace";
    version = "20221106-git";
    asds = [ "lisp-namespace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-namespace/2022-11-06/lisp-namespace-20221106-git.tgz";
      sha256 = "1p5db9mab4whapy1pl38ajw5fkrrdw266n05mnhf4xx2fb9sbx6p";
      system = "lisp-namespace";
      asd = "lisp-namespace";
    });
    systems = [ "lisp-namespace" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  lisp-namespace_dot_test = {
    pname = "lisp-namespace.test";
    version = "20221106-git";
    asds = [ "lisp-namespace.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-namespace/2022-11-06/lisp-namespace-20221106-git.tgz";
      sha256 = "1p5db9mab4whapy1pl38ajw5fkrrdw266n05mnhf4xx2fb9sbx6p";
      system = "lisp-namespace.test";
      asd = "lisp-namespace.test";
    });
    systems = [ "lisp-namespace.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "uiop" pkgs) ];
  };
  lisp-preprocessor = {
    pname = "lisp-preprocessor";
    version = "20200715-git";
    asds = [ "lisp-preprocessor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-preprocessor/2020-07-15/lisp-preprocessor-20200715-git.tgz";
      sha256 = "0v0qhawcvgbxk06nfwyvcqwmqvzn2svq80l2rb12myr0znschhpi";
      system = "lisp-preprocessor";
      asd = "lisp-preprocessor";
    });
    systems = [ "lisp-preprocessor" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  lisp-preprocessor-tests = {
    pname = "lisp-preprocessor-tests";
    version = "20200715-git";
    asds = [ "lisp-preprocessor-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-preprocessor/2020-07-15/lisp-preprocessor-20200715-git.tgz";
      sha256 = "0v0qhawcvgbxk06nfwyvcqwmqvzn2svq80l2rb12myr0znschhpi";
      system = "lisp-preprocessor-tests";
      asd = "lisp-preprocessor";
    });
    systems = [ "lisp-preprocessor-tests" ];
    lispLibs = [ (getAttr "lisp-preprocessor" pkgs) (getAttr "rove" pkgs) ];
  };
  lisp-stat = {
    pname = "lisp-stat";
    version = "20221106-git";
    asds = [ "lisp-stat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-stat/2022-11-06/lisp-stat-20221106-git.tgz";
      sha256 = "0qwlxrbwj884mr67sf6aj0zwrndv33aiiid4bqrkji41kjhqfcz5";
      system = "lisp-stat";
      asd = "lisp-stat";
    });
    systems = [ "lisp-stat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "alexandria_plus" pkgs) (getAttr "array-operations" pkgs) (getAttr "org_dot_tfeb_dot_conduit-packages" pkgs) (getAttr "data-frame" pkgs) (getAttr "dexador" pkgs) (getAttr "dfio" pkgs) (getAttr "distributions" pkgs) (getAttr "num-utils" pkgs) (getAttr "select" pkgs) (getAttr "statistics" pkgs) ];
  };
  lisp-types = {
    pname = "lisp-types";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types";
      asd = "lisp-types";
    });
    systems = [ "lisp-types" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "cl-robdd" pkgs) (getAttr "dispatch" pkgs) ];
  };
  lisp-types-analysis = {
    pname = "lisp-types-analysis";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types-analysis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types-analysis";
      asd = "lisp-types-analysis";
    });
    systems = [ "lisp-types-analysis" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "adjuvant" pkgs) (getAttr "cl-robdd" pkgs) (getAttr "cl-robdd-analysis" pkgs) (getAttr "lisp-types" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  lisp-types-test = {
    pname = "lisp-types-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types-test";
      asd = "lisp-types-test";
    });
    systems = [ "lisp-types-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "adjuvant" pkgs) (getAttr "lisp-types" pkgs) (getAttr "lisp-types-analysis" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  lisp-unit = {
    pname = "lisp-unit";
    version = "20170124-git";
    asds = [ "lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-unit/2017-01-24/lisp-unit-20170124-git.tgz";
      sha256 = "0p6gdmgr7p383nvd66c9y9fp2bjk4jx1lpa5p09g43hr9y9pp9ry";
      system = "lisp-unit";
      asd = "lisp-unit";
    });
    systems = [ "lisp-unit" ];
    lispLibs = [  ];
  };
  lisp-unit2 = {
    pname = "lisp-unit2";
    version = "20221106-git";
    asds = [ "lisp-unit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-unit2/2022-11-06/lisp-unit2-20221106-git.tgz";
      sha256 = "0jm0vfdj9w65r43an9sy90ddpi8ra1rh9vswaq6bhnzzmsrrbjyq";
      system = "lisp-unit2";
      asd = "lisp-unit2";
    });
    systems = [ "lisp-unit2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  lisp-unit2_slash_tests = {
    pname = "lisp-unit2_tests";
    version = "20221106-git";
    asds = [ "lisp-unit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-unit2/2022-11-06/lisp-unit2-20221106-git.tgz";
      sha256 = "0jm0vfdj9w65r43an9sy90ddpi8ra1rh9vswaq6bhnzzmsrrbjyq";
      system = "lisp-unit2";
      asd = "lisp-unit2";
    });
    systems = [ "lisp-unit2/tests" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lispbuilder-lexer = {
    pname = "lispbuilder-lexer";
    version = "20210807-git";
    asds = [ "lispbuilder-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-lexer";
      asd = "lispbuilder-lexer";
    });
    systems = [ "lispbuilder-lexer" ];
    lispLibs = [ (getAttr "lispbuilder-regex" pkgs) ];
  };
  lispbuilder-net = {
    pname = "lispbuilder-net";
    version = "20210807-git";
    asds = [ "lispbuilder-net" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-net";
      asd = "lispbuilder-net";
    });
    systems = [ "lispbuilder-net" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-net-cffi" pkgs) ];
  };
  lispbuilder-net-cffi = {
    pname = "lispbuilder-net-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-net-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-net-cffi";
      asd = "lispbuilder-net-cffi";
    });
    systems = [ "lispbuilder-net-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  lispbuilder-opengl-1-1 = {
    pname = "lispbuilder-opengl-1-1";
    version = "20210807-git";
    asds = [ "lispbuilder-opengl-1-1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-opengl-1-1";
      asd = "lispbuilder-opengl-1-1";
    });
    systems = [ "lispbuilder-opengl-1-1" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  lispbuilder-opengl-examples = {
    pname = "lispbuilder-opengl-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-opengl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-opengl-examples";
      asd = "lispbuilder-opengl-examples";
    });
    systems = [ "lispbuilder-opengl-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-opengl-1-1" pkgs) (getAttr "lispbuilder-sdl" pkgs) ];
  };
  lispbuilder-regex = {
    pname = "lispbuilder-regex";
    version = "20210807-git";
    asds = [ "lispbuilder-regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-regex";
      asd = "lispbuilder-regex";
    });
    systems = [ "lispbuilder-regex" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl = {
    pname = "lispbuilder-sdl";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl";
      asd = "lispbuilder-sdl";
    });
    systems = [ "lispbuilder-sdl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl-assets" pkgs) (getAttr "lispbuilder-sdl-base" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  lispbuilder-sdl-assets = {
    pname = "lispbuilder-sdl-assets";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-assets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-assets";
      asd = "lispbuilder-sdl-assets";
    });
    systems = [ "lispbuilder-sdl-assets" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-base = {
    pname = "lispbuilder-sdl-base";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-base";
      asd = "lispbuilder-sdl-base";
    });
    systems = [ "lispbuilder-sdl-base" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl-cffi" pkgs) ];
  };
  lispbuilder-sdl-binaries = {
    pname = "lispbuilder-sdl-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-binaries";
      asd = "lispbuilder-sdl-binaries";
    });
    systems = [ "lispbuilder-sdl-binaries" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-cffi = {
    pname = "lispbuilder-sdl-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cffi";
      asd = "lispbuilder-sdl-cffi";
    });
    systems = [ "lispbuilder-sdl-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl-binaries" pkgs) ];
  };
  lispbuilder-sdl-cl-vectors = {
    pname = "lispbuilder-sdl-cl-vectors";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cl-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cl-vectors";
      asd = "lispbuilder-sdl-cl-vectors";
    });
    systems = [ "lispbuilder-sdl-cl-vectors" ];
    lispLibs = [ (getAttr "cl-aa-misc" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  lispbuilder-sdl-cl-vectors-examples = {
    pname = "lispbuilder-sdl-cl-vectors-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cl-vectors-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cl-vectors-examples";
      asd = "lispbuilder-sdl-cl-vectors-examples";
    });
    systems = [ "lispbuilder-sdl-cl-vectors-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-cl-vectors" pkgs) ];
  };
  lispbuilder-sdl-examples = {
    pname = "lispbuilder-sdl-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-examples";
      asd = "lispbuilder-sdl-examples";
    });
    systems = [ "lispbuilder-sdl-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" pkgs) ];
  };
  lispbuilder-sdl-gfx = {
    pname = "lispbuilder-sdl-gfx";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx";
      asd = "lispbuilder-sdl-gfx";
    });
    systems = [ "lispbuilder-sdl-gfx" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-gfx-cffi" pkgs) ];
  };
  lispbuilder-sdl-gfx-binaries = {
    pname = "lispbuilder-sdl-gfx-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-binaries";
      asd = "lispbuilder-sdl-gfx-binaries";
    });
    systems = [ "lispbuilder-sdl-gfx-binaries" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-gfx-cffi = {
    pname = "lispbuilder-sdl-gfx-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-cffi";
      asd = "lispbuilder-sdl-gfx-cffi";
    });
    systems = [ "lispbuilder-sdl-gfx-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) ];
  };
  lispbuilder-sdl-gfx-examples = {
    pname = "lispbuilder-sdl-gfx-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-examples";
      asd = "lispbuilder-sdl-gfx-examples";
    });
    systems = [ "lispbuilder-sdl-gfx-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-gfx" pkgs) ];
  };
  lispbuilder-sdl-image = {
    pname = "lispbuilder-sdl-image";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image";
      asd = "lispbuilder-sdl-image";
    });
    systems = [ "lispbuilder-sdl-image" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-image-cffi" pkgs) ];
  };
  lispbuilder-sdl-image-binaries = {
    pname = "lispbuilder-sdl-image-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-binaries";
      asd = "lispbuilder-sdl-image-binaries";
    });
    systems = [ "lispbuilder-sdl-image-binaries" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-image-cffi = {
    pname = "lispbuilder-sdl-image-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-cffi";
      asd = "lispbuilder-sdl-image-cffi";
    });
    systems = [ "lispbuilder-sdl-image-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-image-binaries" pkgs) ];
  };
  lispbuilder-sdl-image-examples = {
    pname = "lispbuilder-sdl-image-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-examples";
      asd = "lispbuilder-sdl-image-examples";
    });
    systems = [ "lispbuilder-sdl-image-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-image" pkgs) ];
  };
  lispbuilder-sdl-mixer = {
    pname = "lispbuilder-sdl-mixer";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer";
      asd = "lispbuilder-sdl-mixer";
    });
    systems = [ "lispbuilder-sdl-mixer" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-mixer-cffi" pkgs) ];
  };
  lispbuilder-sdl-mixer-binaries = {
    pname = "lispbuilder-sdl-mixer-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-binaries";
      asd = "lispbuilder-sdl-mixer-binaries";
    });
    systems = [ "lispbuilder-sdl-mixer-binaries" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-mixer-cffi = {
    pname = "lispbuilder-sdl-mixer-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-cffi";
      asd = "lispbuilder-sdl-mixer-cffi";
    });
    systems = [ "lispbuilder-sdl-mixer-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-mixer-binaries" pkgs) ];
  };
  lispbuilder-sdl-mixer-examples = {
    pname = "lispbuilder-sdl-mixer-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-examples";
      asd = "lispbuilder-sdl-mixer-examples";
    });
    systems = [ "lispbuilder-sdl-mixer-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-mixer" pkgs) ];
  };
  lispbuilder-sdl-ttf = {
    pname = "lispbuilder-sdl-ttf";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf";
      asd = "lispbuilder-sdl-ttf";
    });
    systems = [ "lispbuilder-sdl-ttf" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-ttf-cffi" pkgs) ];
  };
  lispbuilder-sdl-ttf-binaries = {
    pname = "lispbuilder-sdl-ttf-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-binaries";
      asd = "lispbuilder-sdl-ttf-binaries";
    });
    systems = [ "lispbuilder-sdl-ttf-binaries" ];
    lispLibs = [  ];
  };
  lispbuilder-sdl-ttf-cffi = {
    pname = "lispbuilder-sdl-ttf-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-cffi";
      asd = "lispbuilder-sdl-ttf-cffi";
    });
    systems = [ "lispbuilder-sdl-ttf-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-ttf-binaries" pkgs) ];
  };
  lispbuilder-sdl-ttf-examples = {
    pname = "lispbuilder-sdl-ttf-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-examples";
      asd = "lispbuilder-sdl-ttf-examples";
    });
    systems = [ "lispbuilder-sdl-ttf-examples" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-ttf" pkgs) ];
  };
  lispbuilder-sdl-vecto = {
    pname = "lispbuilder-sdl-vecto";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-vecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-vecto";
      asd = "lispbuilder-sdl-vecto";
    });
    systems = [ "lispbuilder-sdl-vecto" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" pkgs) (getAttr "lispbuilder-sdl-cl-vectors" pkgs) (getAttr "vecto" pkgs) ];
  };
  lispbuilder-sdl-vecto-examples = {
    pname = "lispbuilder-sdl-vecto-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-vecto-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-vecto-examples";
      asd = "lispbuilder-sdl-vecto-examples";
    });
    systems = [ "lispbuilder-sdl-vecto-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-vecto" pkgs) ];
  };
  lispbuilder-windows = {
    pname = "lispbuilder-windows";
    version = "20210807-git";
    asds = [ "lispbuilder-windows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-windows";
      asd = "lispbuilder-windows";
    });
    systems = [ "lispbuilder-windows" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  lispbuilder-yacc = {
    pname = "lispbuilder-yacc";
    version = "20210807-git";
    asds = [ "lispbuilder-yacc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-yacc";
      asd = "lispbuilder-yacc";
    });
    systems = [ "lispbuilder-yacc" ];
    lispLibs = [  ];
  };
  lispcord = {
    pname = "lispcord";
    version = "20200925-git";
    asds = [ "lispcord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispcord/2020-09-25/lispcord-20200925-git.tgz";
      sha256 = "1bkvsbnbv21q8xz8z2nmczznd0sllr57l3sc2wm5cjn6h3qg1sgh";
      system = "lispcord";
      asd = "lispcord";
    });
    systems = [ "lispcord" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "drakma" pkgs) (getAttr "jonathan" pkgs) (getAttr "split-sequence" pkgs) (getAttr "verbose" pkgs) (getAttr "websocket-driver-client" pkgs) ];
  };
  lispqr = {
    pname = "lispqr";
    version = "20210630-git";
    asds = [ "lispqr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispqr/2021-06-30/lispqr-20210630-git.tgz";
      sha256 = "06v1xpw5r4nxll286frhkc3ysvr50m904d33marnjmiax41y8qkc";
      system = "lispqr";
      asd = "lispqr";
    });
    systems = [ "lispqr" ];
    lispLibs = [ (getAttr "zpng" pkgs) ];
  };
  list-named-class = {
    pname = "list-named-class";
    version = "20200325-git";
    asds = [ "list-named-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/list-named-class/2020-03-25/list-named-class-20200325-git.tgz";
      sha256 = "1bdi9q9wvfj66jji3n9hpjrj9271ial2awsb0xw80bmy6wqbg8kq";
      system = "list-named-class";
      asd = "list-named-class";
    });
    systems = [ "list-named-class" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  list-named-class_slash_protest = {
    pname = "list-named-class_protest";
    version = "20200325-git";
    asds = [ "list-named-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/list-named-class/2020-03-25/list-named-class-20200325-git.tgz";
      sha256 = "1bdi9q9wvfj66jji3n9hpjrj9271ial2awsb0xw80bmy6wqbg8kq";
      system = "list-named-class";
      asd = "list-named-class";
    });
    systems = [ "list-named-class/protest" ];
    lispLibs = [ (getAttr "list-named-class" pkgs) (getAttr "protest" pkgs) ];
    meta = {
      broken = true;
    };
  };
  list-named-class_slash_test = {
    pname = "list-named-class_test";
    version = "20200325-git";
    asds = [ "list-named-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/list-named-class/2020-03-25/list-named-class-20200325-git.tgz";
      sha256 = "1bdi9q9wvfj66jji3n9hpjrj9271ial2awsb0xw80bmy6wqbg8kq";
      system = "list-named-class";
      asd = "list-named-class";
    });
    systems = [ "list-named-class/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "list-named-class" pkgs) ];
    meta = {
      broken = true;
    };
  };
  list-of = {
    pname = "list-of";
    version = "20221106-git";
    asds = [ "list-of" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-finalizers/2022-11-06/asdf-finalizers-20221106-git.tgz";
      sha256 = "1w56c9yjjydjshsgqxz57qlp2v3r4ilbisnsgiqphvxnhvd41y0v";
      system = "list-of";
      asd = "list-of";
    });
    systems = [ "list-of" ];
    lispLibs = [ (getAttr "asdf-finalizers" pkgs) ];
  };
  listoflist = {
    pname = "listoflist";
    version = "20140826-git";
    asds = [ "listoflist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listoflist/2014-08-26/listoflist-20140826-git.tgz";
      sha256 = "02bj2ldn7sfjbbn9zd66lwysymrv3f6g4q9hwsjbcg4fkpbk6qk3";
      system = "listoflist";
      asd = "listoflist";
    });
    systems = [ "listoflist" ];
    lispLibs = [ (getAttr "clunit" pkgs) (getAttr "xarray" pkgs) ];
  };
  listopia = {
    pname = "listopia";
    version = "20210411-git";
    asds = [ "listopia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listopia/2021-04-11/listopia-20210411-git.tgz";
      sha256 = "0jd3mdv0ia8mfgdbpndzm3rdgc6nn9d9xpjzqjx582qhbnc0yji0";
      system = "listopia";
      asd = "listopia";
    });
    systems = [ "listopia" ];
    lispLibs = [  ];
  };
  listopia-bench = {
    pname = "listopia-bench";
    version = "20210411-git";
    asds = [ "listopia-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listopia/2021-04-11/listopia-20210411-git.tgz";
      sha256 = "0jd3mdv0ia8mfgdbpndzm3rdgc6nn9d9xpjzqjx582qhbnc0yji0";
      system = "listopia-bench";
      asd = "listopia-bench";
    });
    systems = [ "listopia-bench" ];
    lispLibs = [ (getAttr "listopia" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-benchmark" pkgs) ];
  };
  listopia_slash_tests = {
    pname = "listopia_tests";
    version = "20210411-git";
    asds = [ "listopia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listopia/2021-04-11/listopia-20210411-git.tgz";
      sha256 = "0jd3mdv0ia8mfgdbpndzm3rdgc6nn9d9xpjzqjx582qhbnc0yji0";
      system = "listopia";
      asd = "listopia";
    });
    systems = [ "listopia/tests" ];
    lispLibs = [ (getAttr "listopia" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  liter = {
    pname = "liter";
    version = "20211020-git";
    asds = [ "liter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "liter";
      asd = "liter";
    });
    systems = [ "liter" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "serapeum" pkgs) ];
  };
  literate-demo = {
    pname = "literate-demo";
    version = "20221106-git";
    asds = [ "literate-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/literate-lisp/2022-11-06/literate-lisp-20221106-git.tgz";
      sha256 = "18lp0bwi4ws7d2xm0lf0jxlvajrxpfyp0z0zamgs97swz5rb8qpk";
      system = "literate-demo";
      asd = "literate-demo";
    });
    systems = [ "literate-demo" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "literate-lisp" pkgs) ];
  };
  literate-lisp = {
    pname = "literate-lisp";
    version = "20221106-git";
    asds = [ "literate-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/literate-lisp/2022-11-06/literate-lisp-20221106-git.tgz";
      sha256 = "18lp0bwi4ws7d2xm0lf0jxlvajrxpfyp0z0zamgs97swz5rb8qpk";
      system = "literate-lisp";
      asd = "literate-lisp";
    });
    systems = [ "literate-lisp" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) ];
  };
  litterae = {
    pname = "litterae";
    version = "20200715-git";
    asds = [ "litterae" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/litterae/2020-07-15/litterae-20200715-git.tgz";
      sha256 = "05q6apkcxacis4llq8xjp468yg5v6za0ispcy5wqsb44ic0vhmsl";
      system = "litterae";
      asd = "litterae";
    });
    systems = [ "litterae" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "str" pkgs) (getAttr "cl-yaml" pkgs) (getAttr "docparser" pkgs) (getAttr "lsx" pkgs) ];
  };
  litterae-test-system = {
    pname = "litterae-test-system";
    version = "20200715-git";
    asds = [ "litterae-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/litterae/2020-07-15/litterae-20200715-git.tgz";
      sha256 = "05q6apkcxacis4llq8xjp468yg5v6za0ispcy5wqsb44ic0vhmsl";
      system = "litterae-test-system";
      asd = "litterae-test-system";
    });
    systems = [ "litterae-test-system" ];
    lispLibs = [  ];
  };
  litterae_slash_tests = {
    pname = "litterae_tests";
    version = "20200715-git";
    asds = [ "litterae" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/litterae/2020-07-15/litterae-20200715-git.tgz";
      sha256 = "05q6apkcxacis4llq8xjp468yg5v6za0ispcy5wqsb44ic0vhmsl";
      system = "litterae";
      asd = "litterae";
    });
    systems = [ "litterae/tests" ];
    lispLibs = [ (getAttr "litterae" pkgs) (getAttr "litterae-test-system" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  livesupport = {
    pname = "livesupport";
    version = "release-quicklisp-71e6e412-git";
    asds = [ "livesupport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/livesupport/2019-05-21/livesupport-release-quicklisp-71e6e412-git.tgz";
      sha256 = "1rvnl0mncylbx63608pz5llss7y92j7z3ydambk9mcnjg2mjaapg";
      system = "livesupport";
      asd = "livesupport";
    });
    systems = [ "livesupport" ];
    lispLibs = [  ];
  };
  lla = {
    pname = "lla";
    version = "20180328-git";
    asds = [ "lla" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lla/2018-03-28/lla-20180328-git.tgz";
      sha256 = "0n9vc7dnyjbbsv1n7rd8sylwda5fsdf8f890g4nachanyx0xps9k";
      system = "lla";
      asd = "lla";
    });
    systems = [ "lla" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-num-utils" pkgs) (getAttr "cl-slice" pkgs) (getAttr "let-plus" pkgs) ];
  };
  lla-tests = {
    pname = "lla-tests";
    version = "20180328-git";
    asds = [ "lla-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lla/2018-03-28/lla-20180328-git.tgz";
      sha256 = "0n9vc7dnyjbbsv1n7rd8sylwda5fsdf8f890g4nachanyx0xps9k";
      system = "lla-tests";
      asd = "lla";
    });
    systems = [ "lla-tests" ];
    lispLibs = [ (getAttr "clunit" pkgs) (getAttr "lla" pkgs) ];
  };
  lmdb = {
    pname = "lmdb";
    version = "20220220-git";
    asds = [ "lmdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lmdb/2022-02-20/lmdb-20220220-git.tgz";
      sha256 = "0akvimmvd4kcx6gh1j1dzvcclhc0jc4hc9vkh3ldgzb8wyf4vl8q";
      system = "lmdb";
      asd = "lmdb";
    });
    systems = [ "lmdb" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "osicat" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  lmdb_slash_test = {
    pname = "lmdb_test";
    version = "20220220-git";
    asds = [ "lmdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lmdb/2022-02-20/lmdb-20220220-git.tgz";
      sha256 = "0akvimmvd4kcx6gh1j1dzvcclhc0jc4hc9vkh3ldgzb8wyf4vl8q";
      system = "lmdb";
      asd = "lmdb";
    });
    systems = [ "lmdb/test" ];
    lispLibs = [ (getAttr "lmdb" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  lml = {
    pname = "lml";
    version = "20150923-git";
    asds = [ "lml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml/2015-09-23/lml-20150923-git.tgz";
      sha256 = "1s8v9p08vwl08y6ssxn4l088zz57d6fr13lzdz93i9jb8w8884wk";
      system = "lml";
      asd = "lml";
    });
    systems = [ "lml" ];
    lispLibs = [  ];
  };
  lml-tests = {
    pname = "lml-tests";
    version = "20150923-git";
    asds = [ "lml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml/2015-09-23/lml-20150923-git.tgz";
      sha256 = "1s8v9p08vwl08y6ssxn4l088zz57d6fr13lzdz93i9jb8w8884wk";
      system = "lml-tests";
      asd = "lml-tests";
    });
    systems = [ "lml-tests" ];
    lispLibs = [ (getAttr "lml" pkgs) (getAttr "rt" pkgs) ];
  };
  lml2 = {
    pname = "lml2";
    version = "20150923-git";
    asds = [ "lml2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml2/2015-09-23/lml2-20150923-git.tgz";
      sha256 = "0v4d30x5zq1asp4r91nrzljpk2pm1plr0jns7a5wrf1n9fay57a6";
      system = "lml2";
      asd = "lml2";
    });
    systems = [ "lml2" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) ];
  };
  lml2-tests = {
    pname = "lml2-tests";
    version = "20150923-git";
    asds = [ "lml2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml2/2015-09-23/lml2-20150923-git.tgz";
      sha256 = "0v4d30x5zq1asp4r91nrzljpk2pm1plr0jns7a5wrf1n9fay57a6";
      system = "lml2-tests";
      asd = "lml2-tests";
    });
    systems = [ "lml2-tests" ];
    lispLibs = [ (getAttr "lml2" pkgs) (getAttr "rt" pkgs) ];
  };
  local-package-aliases = {
    pname = "local-package-aliases";
    version = "20201220-git";
    asds = [ "local-package-aliases" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-package-aliases/2020-12-20/local-package-aliases-20201220-git.tgz";
      sha256 = "01knnxnximj2qyg8lhv0ijw69hfwqbfbmgvfjwnm7jbdgcp9wxnr";
      system = "local-package-aliases";
      asd = "local-package-aliases";
    });
    systems = [ "local-package-aliases" ];
    lispLibs = [  ];
  };
  local-time = {
    pname = "local-time";
    version = "20220707-git";
    asds = [ "local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time/2022-07-07/local-time-20220707-git.tgz";
      sha256 = "0191fxlvzi3asx145bpdgd325s6wx2gqm5ssa4f72l0smr5av671";
      system = "local-time";
      asd = "local-time";
    });
    systems = [ "local-time" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  local-time-duration = {
    pname = "local-time-duration";
    version = "20180430-git";
    asds = [ "local-time-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time-duration/2018-04-30/local-time-duration-20180430-git.tgz";
      sha256 = "0f13mg18lv31lclz9jvqyj8d85p1jj1366nlld8m3dxnnwsbbkd6";
      system = "local-time-duration";
      asd = "local-time-duration";
    });
    systems = [ "local-time-duration" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "local-time" pkgs) ];
  };
  local-time_slash_test = {
    pname = "local-time_test";
    version = "20220707-git";
    asds = [ "local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time/2022-07-07/local-time-20220707-git.tgz";
      sha256 = "0191fxlvzi3asx145bpdgd325s6wx2gqm5ssa4f72l0smr5av671";
      system = "local-time";
      asd = "local-time";
    });
    systems = [ "local-time/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "local-time" pkgs) ];
    meta = {
      broken = true;
    };
  };
  log4cl = {
    pname = "log4cl";
    version = "20211209-git";
    asds = [ "log4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl";
      asd = "log4cl";
    });
    systems = [ "log4cl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  log4cl-examples = {
    pname = "log4cl-examples";
    version = "20211209-git";
    asds = [ "log4cl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl-examples";
      asd = "log4cl-examples";
    });
    systems = [ "log4cl-examples" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "swank" pkgs) ];
  };
  log4cl-extras = {
    pname = "log4cl-extras";
    version = "20221106-git";
    asds = [ "log4cl-extras" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl-extras/2022-11-06/log4cl-extras-20221106-git.tgz";
      sha256 = "1dsvfzavrb2if285shjcb7hjh3sjpb9fmarj6y6sjgip2zxsjg9s";
      system = "log4cl-extras";
      asd = "log4cl-extras";
    });
    systems = [ "log4cl-extras" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-strings" pkgs) (getAttr "dissect" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "global-vars" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) (getAttr "with-output-to-stream" pkgs) ];
  };
  log4cl-extras-test = {
    pname = "log4cl-extras-test";
    version = "20221106-git";
    asds = [ "log4cl-extras-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl-extras/2022-11-06/log4cl-extras-20221106-git.tgz";
      sha256 = "1dsvfzavrb2if285shjcb7hjh3sjpb9fmarj6y6sjgip2zxsjg9s";
      system = "log4cl-extras-test";
      asd = "log4cl-extras-test";
    });
    systems = [ "log4cl-extras-test" ];
    lispLibs = [ (getAttr "hamcrest" pkgs) (getAttr "jonathan" pkgs) (getAttr "rove" pkgs) (getAttr "secret-values" pkgs) ];
  };
  log4cl_dot_log4slime = {
    pname = "log4cl.log4slime";
    version = "20211209-git";
    asds = [ "log4cl.log4slime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl.log4slime";
      asd = "log4cl.log4slime";
    });
    systems = [ "log4cl.log4slime" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "swank" pkgs) ];
  };
  log4cl_dot_log4sly = {
    pname = "log4cl.log4sly";
    version = "20211209-git";
    asds = [ "log4cl.log4sly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl.log4sly";
      asd = "log4cl.log4sly";
    });
    systems = [ "log4cl.log4sly" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "slynk" pkgs) ];
  };
  log4cl_slash_syslog = {
    pname = "log4cl_syslog";
    version = "20211209-git";
    asds = [ "log4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl";
      asd = "log4cl";
    });
    systems = [ "log4cl/syslog" ];
    lispLibs = [ (getAttr "log4cl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  log4cl_slash_test = {
    pname = "log4cl_test";
    version = "20211209-git";
    asds = [ "log4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2021-12-09/log4cl-20211209-git.tgz";
      sha256 = "0mjkw4w3ksxvn87jqdnailqy2h6sziwmp4gf73jym45x9l5zahi5";
      system = "log4cl";
      asd = "log4cl";
    });
    systems = [ "log4cl/test" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "stefil" pkgs) ];
    meta = {
      broken = true;
    };
  };
  log5 = {
    pname = "log5";
    version = "20110619-git";
    asds = [ "log5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log5/2011-06-19/log5-20110619-git.tgz";
      sha256 = "0f7qhhphijwk6a4hq18gpgifld7hwwpma6md845hgjmpvyqvrw2g";
      system = "log5";
      asd = "log5";
    });
    systems = [ "log5" ];
    lispLibs = [  ];
  };
  lorem-ipsum = {
    pname = "lorem-ipsum";
    version = "20181018-git";
    asds = [ "lorem-ipsum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lorem-ipsum/2018-10-18/lorem-ipsum-20181018-git.tgz";
      sha256 = "1530qq0bk3xr25m77q96pbi1idnxdkax8cwmvq4ch03rfjy34j7n";
      system = "lorem-ipsum";
      asd = "lorem-ipsum";
    });
    systems = [ "lorem-ipsum" ];
    lispLibs = [  ];
  };
  lowlight = {
    pname = "lowlight";
    version = "20131211-git";
    asds = [ "lowlight" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight";
      asd = "lowlight";
    });
    systems = [ "lowlight" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "yacc" pkgs) (getAttr "graylex" pkgs) (getAttr "spinneret" pkgs) ];
  };
  lowlight_dot_doc = {
    pname = "lowlight.doc";
    version = "20131211-git";
    asds = [ "lowlight.doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.doc";
      asd = "lowlight.doc";
    });
    systems = [ "lowlight.doc" ];
    lispLibs = [ (getAttr "cl-gendoc" pkgs) (getAttr "lowlight" pkgs) (getAttr "lowlight_dot_tests" pkgs) ];
  };
  lowlight_dot_old = {
    pname = "lowlight.old";
    version = "20131211-git";
    asds = [ "lowlight.old" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.old";
      asd = "lowlight.old";
    });
    systems = [ "lowlight.old" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "spinneret" pkgs) ];
  };
  lowlight_dot_tests = {
    pname = "lowlight.tests";
    version = "20131211-git";
    asds = [ "lowlight.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.tests";
      asd = "lowlight.tests";
    });
    systems = [ "lowlight.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "lowlight" pkgs) ];
  };
  lparallel = {
    pname = "lparallel";
    version = "20160825-git";
    asds = [ "lparallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel";
      asd = "lparallel";
    });
    systems = [ "lparallel" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) ];
  };
  lparallel-bench = {
    pname = "lparallel-bench";
    version = "20160825-git";
    asds = [ "lparallel-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel-bench";
      asd = "lparallel-bench";
    });
    systems = [ "lparallel-bench" ];
    lispLibs = [ (getAttr "lparallel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  lparallel-test = {
    pname = "lparallel-test";
    version = "20160825-git";
    asds = [ "lparallel-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel-test";
      asd = "lparallel-test";
    });
    systems = [ "lparallel-test" ];
    lispLibs = [ (getAttr "lparallel" pkgs) ];
  };
  lquery = {
    pname = "lquery";
    version = "20201220-git";
    asds = [ "lquery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lquery/2020-12-20/lquery-20201220-git.tgz";
      sha256 = "1bnp643bb203iqiarbm6i21vh9g301zh3gspv01m2jhdqi5lvmjz";
      system = "lquery";
      asd = "lquery";
    });
    systems = [ "lquery" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "clss" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "plump" pkgs) ];
  };
  lquery-test = {
    pname = "lquery-test";
    version = "20201220-git";
    asds = [ "lquery-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lquery/2020-12-20/lquery-20201220-git.tgz";
      sha256 = "1bnp643bb203iqiarbm6i21vh9g301zh3gspv01m2jhdqi5lvmjz";
      system = "lquery-test";
      asd = "lquery-test";
    });
    systems = [ "lquery-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "lquery" pkgs) ];
  };
  lracer = {
    pname = "lracer";
    version = "20190710-git";
    asds = [ "lracer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/racer/2019-07-10/racer-20190710-git.tgz";
      sha256 = "120x046c6vcrj70vb6ryf04mwbr8c6a15llb68x7h1siij8vwgvk";
      system = "lracer";
      asd = "lracer";
    });
    systems = [ "lracer" ];
    lispLibs = [  ];
  };
  lredis = {
    pname = "lredis";
    version = "20141106-git";
    asds = [ "lredis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lredis/2014-11-06/lredis-20141106-git.tgz";
      sha256 = "08srvlys0fyslfpmhc740cana7fkxm2kc7mxds4083wgxw3prhf2";
      system = "lredis";
      asd = "lredis";
    });
    systems = [ "lredis" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "babel-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  lsx = {
    pname = "lsx";
    version = "20220220-git";
    asds = [ "lsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lsx/2022-02-20/lsx-20220220-git.tgz";
      sha256 = "1pdq6csr8pkzcq2zkhhm6wkp9zxx2aypjd16rcw4q43mff09y041";
      system = "lsx";
      asd = "lsx";
    });
    systems = [ "lsx" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  lsx_slash_tests = {
    pname = "lsx_tests";
    version = "20220220-git";
    asds = [ "lsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lsx/2022-02-20/lsx-20220220-git.tgz";
      sha256 = "1pdq6csr8pkzcq2zkhhm6wkp9zxx2aypjd16rcw4q43mff09y041";
      system = "lsx";
      asd = "lsx";
    });
    systems = [ "lsx/tests" ];
    lispLibs = [ (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ltk = {
    pname = "ltk";
    version = "20221106-git";
    asds = [ "ltk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk";
      asd = "ltk";
    });
    systems = [ "ltk" ];
    lispLibs = [  ];
  };
  ltk-mw = {
    pname = "ltk-mw";
    version = "20221106-git";
    asds = [ "ltk-mw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk-mw";
      asd = "ltk-mw";
    });
    systems = [ "ltk-mw" ];
    lispLibs = [ (getAttr "ltk" pkgs) ];
  };
  ltk-remote = {
    pname = "ltk-remote";
    version = "20221106-git";
    asds = [ "ltk-remote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk-remote";
      asd = "ltk-remote";
    });
    systems = [ "ltk-remote" ];
    lispLibs = [ (getAttr "ltk" pkgs) ];
  };
  lucene-in-action-tests = {
    pname = "lucene-in-action-tests";
    version = "20180228-git";
    asds = [ "lucene-in-action-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "lucene-in-action-tests";
      asd = "lucene-in-action-tests";
    });
    systems = [ "lucene-in-action-tests" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "montezuma" pkgs) ];
  };
  luckless = {
    pname = "luckless";
    version = "20221106-git";
    asds = [ "luckless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/luckless/2022-11-06/luckless-20221106-git.tgz";
      sha256 = "0mychj1rfx4hzpgbp9x09qn2y4jhjgfdi5d973mcvaqmcmby6b9p";
      system = "luckless";
      asd = "luckless";
    });
    systems = [ "luckless" ];
    lispLibs = [ (getAttr "atomics" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  luckless-test = {
    pname = "luckless-test";
    version = "20221106-git";
    asds = [ "luckless-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/luckless/2022-11-06/luckless-20221106-git.tgz";
      sha256 = "0mychj1rfx4hzpgbp9x09qn2y4jhjgfdi5d973mcvaqmcmby6b9p";
      system = "luckless-test";
      asd = "luckless-test";
    });
    systems = [ "luckless-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "luckless" pkgs) (getAttr "parachute" pkgs) ];
  };
  lunamech-matrix-api = {
    pname = "lunamech-matrix-api";
    version = "20221106-git";
    asds = [ "lunamech-matrix-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lunamech-matrix-api/2022-11-06/lunamech-matrix-api-20221106-git.tgz";
      sha256 = "0dsfm2z4pnf9xc1c8rqj3h0k7r7y5gv5mqlizczndsm2d0s5sh4d";
      system = "lunamech-matrix-api";
      asd = "lunamech-matrix-api";
    });
    systems = [ "lunamech-matrix-api" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "drakma" pkgs) (getAttr "jonathan" pkgs) (getAttr "plump" pkgs) (getAttr "quri" pkgs) (getAttr "reader" pkgs) (getAttr "shasht" pkgs) ];
  };
  lw-compat = {
    pname = "lw-compat";
    version = "20160318-git";
    asds = [ "lw-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lw-compat/2016-03-18/lw-compat-20160318-git.tgz";
      sha256 = "131rq5k2mlv9bfhmafiv6nfsivl4cxx13d9wr06v5jrqnckh4aav";
      system = "lw-compat";
      asd = "lw-compat";
    });
    systems = [ "lw-compat" ];
    lispLibs = [  ];
  };
  lyrics = {
    pname = "lyrics";
    version = "20210807-git";
    asds = [ "lyrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lyrics/2021-08-07/lyrics-20210807-git.tgz";
      sha256 = "1xdhl53i9pim2mbviwqahlkgfsja7ihyvvrwz8q22ljv6bnb6011";
      system = "lyrics";
      asd = "lyrics";
    });
    systems = [ "lyrics" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "sqlite" pkgs) (getAttr "defmemo" pkgs) (getAttr "drakma" pkgs) (getAttr "lquery" pkgs) (getAttr "plump" pkgs) ];
  };
  lzlib = {
    pname = "lzlib";
    version = "20221106-git";
    asds = [ "lzlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzlib/2022-11-06/cl-lzlib-20221106-git.tgz";
      sha256 = "1dxzlkay7aqcs65h2f7j7rl4sdjija60dshlahzyllfw174p9d3m";
      system = "lzlib";
      asd = "lzlib";
    });
    systems = [ "lzlib" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-octet-streams" pkgs) (getAttr "lparallel" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  lzlib-tests = {
    pname = "lzlib-tests";
    version = "20221106-git";
    asds = [ "lzlib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzlib/2022-11-06/cl-lzlib-20221106-git.tgz";
      sha256 = "1dxzlkay7aqcs65h2f7j7rl4sdjija60dshlahzyllfw174p9d3m";
      system = "lzlib-tests";
      asd = "lzlib-tests";
    });
    systems = [ "lzlib-tests" ];
    lispLibs = [ (getAttr "lzlib" pkgs) (getAttr "cl-octet-streams" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
  };
  macro-html = {
    pname = "macro-html";
    version = "20151218-git";
    asds = [ "macro-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macro-html/2015-12-18/macro-html-20151218-git.tgz";
      sha256 = "05gzgijz8r3dw3ilz7d5i0g0mbcyv9k8w2dgvw7n478njp1gfj4b";
      system = "macro-html";
      asd = "macro-html";
    });
    systems = [ "macro-html" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  macro-level = {
    pname = "macro-level";
    version = "1.0.1";
    asds = [ "macro-level" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macro-level/2012-10-13/macro-level-1.0.1.tgz";
      sha256 = "14wncx6rrlkylm4cn7y8h4pmnvrcfj920nlldsspg5kvysb09g4i";
      system = "macro-level";
      asd = "macro-level";
    });
    systems = [ "macro-level" ];
    lispLibs = [  ];
  };
  macrodynamics = {
    pname = "macrodynamics";
    version = "20180228-git";
    asds = [ "macrodynamics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macrodynamics/2018-02-28/macrodynamics-20180228-git.tgz";
      sha256 = "1ysgin8lzd4fdl5c63v3ga9v6lzk3gyl1h8jhl0ar6wyhd3023l4";
      system = "macrodynamics";
      asd = "macrodynamics";
    });
    systems = [ "macrodynamics" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  macrodynamics_slash_test = {
    pname = "macrodynamics_test";
    version = "20180228-git";
    asds = [ "macrodynamics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macrodynamics/2018-02-28/macrodynamics-20180228-git.tgz";
      sha256 = "1ysgin8lzd4fdl5c63v3ga9v6lzk3gyl1h8jhl0ar6wyhd3023l4";
      system = "macrodynamics";
      asd = "macrodynamics";
    });
    systems = [ "macrodynamics/test" ];
    lispLibs = [ (getAttr "check-it" pkgs) (getAttr "fiasco" pkgs) (getAttr "macrodynamics" pkgs) ];
    meta = {
      broken = true;
    };
  };
  macroexpand-dammit = {
    pname = "macroexpand-dammit";
    version = "20131111-http";
    asds = [ "macroexpand-dammit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macroexpand-dammit/2013-11-11/macroexpand-dammit-20131111-http.tgz";
      sha256 = "10avpq3qffrc51hrfjwp3vi5vv9b1aip1dnwncnlc3yd498b3pfl";
      system = "macroexpand-dammit";
      asd = "macroexpand-dammit";
    });
    systems = [ "macroexpand-dammit" ];
    lispLibs = [  ];
  };
  madeira-port = {
    pname = "madeira-port";
    version = "20150709-git";
    asds = [ "madeira-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/madeira-port/2015-07-09/madeira-port-20150709-git.tgz";
      sha256 = "0zl6i11vm1akr0382zh582v3vkxjwmabsnfjcfgrp2wbkq4mvdgq";
      system = "madeira-port";
      asd = "madeira-port";
    });
    systems = [ "madeira-port" ];
    lispLibs = [  ];
  };
  madeira-port-tests = {
    pname = "madeira-port-tests";
    version = "20150709-git";
    asds = [ "madeira-port-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/madeira-port/2015-07-09/madeira-port-20150709-git.tgz";
      sha256 = "0zl6i11vm1akr0382zh582v3vkxjwmabsnfjcfgrp2wbkq4mvdgq";
      system = "madeira-port-tests";
      asd = "madeira-port";
    });
    systems = [ "madeira-port-tests" ];
    lispLibs = [ (getAttr "eos" pkgs) (getAttr "madeira-port" pkgs) ];
  };
  magic-ed = {
    pname = "magic-ed";
    version = "20200325-git";
    asds = [ "magic-ed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magic-ed/2020-03-25/magic-ed-20200325-git.tgz";
      sha256 = "1j6il4lif0dy6hqiz6n91yl8dvii9pk1i9vz0faq5mnr42mr7i5f";
      system = "magic-ed";
      asd = "magic-ed";
    });
    systems = [ "magic-ed" ];
    lispLibs = [  ];
  };
  magicffi = {
    pname = "magicffi";
    version = "20210531-git";
    asds = [ "magicffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicffi/2021-05-31/magicffi-20210531-git.tgz";
      sha256 = "0l2b2irpb19b9pyxbmkxi4i5y6crx8nk7qrbihsdqahlkrwsk1il";
      system = "magicffi";
      asd = "magicffi";
    });
    systems = [ "magicffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  magicffi_slash_test = {
    pname = "magicffi_test";
    version = "20210531-git";
    asds = [ "magicffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicffi/2021-05-31/magicffi-20210531-git.tgz";
      sha256 = "0l2b2irpb19b9pyxbmkxi4i5y6crx8nk7qrbihsdqahlkrwsk1il";
      system = "magicffi";
      asd = "magicffi";
    });
    systems = [ "magicffi/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "magicffi" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl = {
    pname = "magicl";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl-examples = {
    pname = "magicl-examples";
    version = "v0.9.1";
    asds = [ "magicl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-examples";
      asd = "magicl-examples";
    });
    systems = [ "magicl-examples" ];
    lispLibs = [ (getAttr "magicl" pkgs) ];
  };
  magicl-gen = {
    pname = "magicl-gen";
    version = "v0.9.1";
    asds = [ "magicl-gen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-gen";
      asd = "magicl-gen";
    });
    systems = [ "magicl-gen" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) ];
  };
  magicl-tests = {
    pname = "magicl-tests";
    version = "v0.9.1";
    asds = [ "magicl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-tests";
      asd = "magicl-tests";
    });
    systems = [ "magicl-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiasco" pkgs) (getAttr "magicl" pkgs) (getAttr "magicl-examples" pkgs) (getAttr "uiop" pkgs) ];
  };
  magicl-transcendental = {
    pname = "magicl-transcendental";
    version = "v0.9.1";
    asds = [ "magicl-transcendental" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-transcendental";
      asd = "magicl-transcendental";
    });
    systems = [ "magicl-transcendental" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
  };
  magicl_slash_core = {
    pname = "magicl_core";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl/core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl_slash_ext = {
    pname = "magicl_ext";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl/ext" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl_slash_ext-blas = {
    pname = "magicl_ext-blas";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl/ext-blas" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl_slash_ext-expokit = {
    pname = "magicl_ext-expokit";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl/ext-expokit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
    meta = {
      broken = true;
    };
  };
  magicl_slash_ext-lapack = {
    pname = "magicl_ext-lapack";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl/ext-lapack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "interface" pkgs) (getAttr "policy-cond" pkgs) ];
    meta = {
      broken = true;
    };
  };
  maiden = {
    pname = "maiden";
    version = "20220707-git";
    asds = [ "maiden" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden";
      asd = "maiden";
    });
    systems = [ "maiden" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "deeds" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-indent" pkgs) (getAttr "uuid" pkgs) (getAttr "verbose" pkgs) ];
  };
  maiden-accounts = {
    pname = "maiden-accounts";
    version = "20220707-git";
    asds = [ "maiden-accounts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-accounts";
      asd = "maiden-accounts";
    });
    systems = [ "maiden-accounts" ];
    lispLibs = [ (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-activatable = {
    pname = "maiden-activatable";
    version = "20220707-git";
    asds = [ "maiden-activatable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-activatable";
      asd = "maiden-activatable";
    });
    systems = [ "maiden-activatable" ];
    lispLibs = [ (getAttr "maiden" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-api-access = {
    pname = "maiden-api-access";
    version = "20220707-git";
    asds = [ "maiden-api-access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-api-access";
      asd = "maiden-api-access";
    });
    systems = [ "maiden-api-access" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "jsown" pkgs) (getAttr "maiden" pkgs) (getAttr "plump" pkgs) ];
  };
  maiden-blocker = {
    pname = "maiden-blocker";
    version = "20220707-git";
    asds = [ "maiden-blocker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-blocker";
      asd = "maiden-blocker";
    });
    systems = [ "maiden-blocker" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-channel-relay = {
    pname = "maiden-channel-relay";
    version = "20220707-git";
    asds = [ "maiden-channel-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-channel-relay";
      asd = "maiden-channel-relay";
    });
    systems = [ "maiden-channel-relay" ];
    lispLibs = [ (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-chatlog = {
    pname = "maiden-chatlog";
    version = "20220707-git";
    asds = [ "maiden-chatlog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-chatlog";
      asd = "maiden-chatlog";
    });
    systems = [ "maiden-chatlog" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) (getAttr "postmodern" pkgs) ];
  };
  maiden-client-entities = {
    pname = "maiden-client-entities";
    version = "20220707-git";
    asds = [ "maiden-client-entities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-client-entities";
      asd = "maiden-client-entities";
    });
    systems = [ "maiden-client-entities" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "maiden" pkgs) ];
  };
  maiden-commands = {
    pname = "maiden-commands";
    version = "20220707-git";
    asds = [ "maiden-commands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-commands";
      asd = "maiden-commands";
    });
    systems = [ "maiden-commands" ];
    lispLibs = [ (getAttr "lambda-fiddle" pkgs) (getAttr "maiden" pkgs) (getAttr "maiden-client-entities" pkgs) ];
  };
  maiden-core-manager = {
    pname = "maiden-core-manager";
    version = "20220707-git";
    asds = [ "maiden-core-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-core-manager";
      asd = "maiden-core-manager";
    });
    systems = [ "maiden-core-manager" ];
    lispLibs = [ (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-counter = {
    pname = "maiden-counter";
    version = "20220707-git";
    asds = [ "maiden-counter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-counter";
      asd = "maiden-counter";
    });
    systems = [ "maiden-counter" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "maiden-activatable" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-crimes = {
    pname = "maiden-crimes";
    version = "20220707-git";
    asds = [ "maiden-crimes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-crimes";
      asd = "maiden-crimes";
    });
    systems = [ "maiden-crimes" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-dictionary = {
    pname = "maiden-dictionary";
    version = "20220707-git";
    asds = [ "maiden-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-dictionary";
      asd = "maiden-dictionary";
    });
    systems = [ "maiden-dictionary" ];
    lispLibs = [ (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) (getAttr "oxenfurt" pkgs) ];
  };
  maiden-emoticon = {
    pname = "maiden-emoticon";
    version = "20220707-git";
    asds = [ "maiden-emoticon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-emoticon";
      asd = "maiden-emoticon";
    });
    systems = [ "maiden-emoticon" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "maiden-activatable" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-help = {
    pname = "maiden-help";
    version = "20220707-git";
    asds = [ "maiden-help" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-help";
      asd = "maiden-help";
    });
    systems = [ "maiden-help" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) ];
  };
  maiden-irc = {
    pname = "maiden-irc";
    version = "20220707-git";
    asds = [ "maiden-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-irc";
      asd = "maiden-irc";
    });
    systems = [ "maiden-irc" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-networking" pkgs) ];
  };
  maiden-lastfm = {
    pname = "maiden-lastfm";
    version = "20220707-git";
    asds = [ "maiden-lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-lastfm";
      asd = "maiden-lastfm";
    });
    systems = [ "maiden-lastfm" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-lichat = {
    pname = "maiden-lichat";
    version = "20220707-git";
    asds = [ "maiden-lichat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-lichat";
      asd = "maiden-lichat";
    });
    systems = [ "maiden-lichat" ];
    lispLibs = [ (getAttr "lichat-protocol" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-networking" pkgs) ];
  };
  maiden-location = {
    pname = "maiden-location";
    version = "20220707-git";
    asds = [ "maiden-location" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-location";
      asd = "maiden-location";
    });
    systems = [ "maiden-location" ];
    lispLibs = [ (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-lookup = {
    pname = "maiden-lookup";
    version = "20220707-git";
    asds = [ "maiden-lookup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-lookup";
      asd = "maiden-lookup";
    });
    systems = [ "maiden-lookup" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "lquery" pkgs) (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) ];
  };
  maiden-markov = {
    pname = "maiden-markov";
    version = "20220707-git";
    asds = [ "maiden-markov" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-markov";
      asd = "maiden-markov";
    });
    systems = [ "maiden-markov" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fast-io" pkgs) (getAttr "maiden-activatable" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) (getAttr "parse-number" pkgs) ];
  };
  maiden-medals = {
    pname = "maiden-medals";
    version = "20220707-git";
    asds = [ "maiden-medals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-medals";
      asd = "maiden-medals";
    });
    systems = [ "maiden-medals" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "maiden-accounts" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-networking = {
    pname = "maiden-networking";
    version = "20220707-git";
    asds = [ "maiden-networking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-networking";
      asd = "maiden-networking";
    });
    systems = [ "maiden-networking" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "maiden" pkgs) (getAttr "usocket" pkgs) ];
  };
  maiden-notify = {
    pname = "maiden-notify";
    version = "20220707-git";
    asds = [ "maiden-notify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-notify";
      asd = "maiden-notify";
    });
    systems = [ "maiden-notify" ];
    lispLibs = [ (getAttr "maiden-accounts" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-permissions = {
    pname = "maiden-permissions";
    version = "20220707-git";
    asds = [ "maiden-permissions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-permissions";
      asd = "maiden-permissions";
    });
    systems = [ "maiden-permissions" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-relay = {
    pname = "maiden-relay";
    version = "20220707-git";
    asds = [ "maiden-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-relay";
      asd = "maiden-relay";
    });
    systems = [ "maiden-relay" ];
    lispLibs = [ (getAttr "maiden-networking" pkgs) (getAttr "maiden-serialize" pkgs) ];
  };
  maiden-serialize = {
    pname = "maiden-serialize";
    version = "20220707-git";
    asds = [ "maiden-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-serialize";
      asd = "maiden-serialize";
    });
    systems = [ "maiden-serialize" ];
    lispLibs = [ (getAttr "cl-store" pkgs) (getAttr "gzip-stream" pkgs) (getAttr "maiden" pkgs) ];
  };
  maiden-silly = {
    pname = "maiden-silly";
    version = "20220707-git";
    asds = [ "maiden-silly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-silly";
      asd = "maiden-silly";
    });
    systems = [ "maiden-silly" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "lquery" pkgs) (getAttr "maiden-activatable" pkgs) (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) ];
  };
  maiden-storage = {
    pname = "maiden-storage";
    version = "20220707-git";
    asds = [ "maiden-storage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-storage";
      asd = "maiden-storage";
    });
    systems = [ "maiden-storage" ];
    lispLibs = [ (getAttr "maiden" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "ubiquitous-concurrent" pkgs) ];
  };
  maiden-talk = {
    pname = "maiden-talk";
    version = "20220707-git";
    asds = [ "maiden-talk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-talk";
      asd = "maiden-talk";
    });
    systems = [ "maiden-talk" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "cl-mixed-mpg123" pkgs) (getAttr "drakma" pkgs) (getAttr "harmony" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  maiden-throttle = {
    pname = "maiden-throttle";
    version = "20220707-git";
    asds = [ "maiden-throttle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-throttle";
      asd = "maiden-throttle";
    });
    systems = [ "maiden-throttle" ];
    lispLibs = [ (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-time = {
    pname = "maiden-time";
    version = "20220707-git";
    asds = [ "maiden-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-time";
      asd = "maiden-time";
    });
    systems = [ "maiden-time" ];
    lispLibs = [ (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-location" pkgs) ];
  };
  maiden-trivia = {
    pname = "maiden-trivia";
    version = "20220707-git";
    asds = [ "maiden-trivia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-trivia";
      asd = "maiden-trivia";
    });
    systems = [ "maiden-trivia" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maiden-twitter = {
    pname = "maiden-twitter";
    version = "20220707-git";
    asds = [ "maiden-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-twitter";
      asd = "maiden-twitter";
    });
    systems = [ "maiden-twitter" ];
    lispLibs = [ (getAttr "chirp" pkgs) (getAttr "maiden-client-entities" pkgs) ];
  };
  maiden-urlinfo = {
    pname = "maiden-urlinfo";
    version = "20220707-git";
    asds = [ "maiden-urlinfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-urlinfo";
      asd = "maiden-urlinfo";
    });
    systems = [ "maiden-urlinfo" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "maiden-activatable" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "plump" pkgs) ];
  };
  maiden-vote = {
    pname = "maiden-vote";
    version = "20220707-git";
    asds = [ "maiden-vote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-vote";
      asd = "maiden-vote";
    });
    systems = [ "maiden-vote" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) ];
  };
  maiden-weather = {
    pname = "maiden-weather";
    version = "20220707-git";
    asds = [ "maiden-weather" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2022-07-07/maiden-20220707-git.tgz";
      sha256 = "04ds7b1vnrg040q5gvnmsyaf3dm3gs81770flvhdn19kj3197hwj";
      system = "maiden-weather";
      asd = "maiden-weather";
    });
    systems = [ "maiden-weather" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "maiden-api-access" pkgs) (getAttr "maiden-client-entities" pkgs) (getAttr "maiden-commands" pkgs) (getAttr "maiden-location" pkgs) (getAttr "maiden-storage" pkgs) ];
  };
  maidenhead = {
    pname = "maidenhead";
    version = "20220331-git";
    asds = [ "maidenhead" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maidenhead/2022-03-31/maidenhead-20220331-git.tgz";
      sha256 = "0bkw31jibx4sh2086jgsw4rvaz3i1dmycbwp203rjj78x7wz9743";
      system = "maidenhead";
      asd = "maidenhead";
    });
    systems = [ "maidenhead" ];
    lispLibs = [  ];
  };
  maidenhead_slash_tests = {
    pname = "maidenhead_tests";
    version = "20220331-git";
    asds = [ "maidenhead" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maidenhead/2022-03-31/maidenhead-20220331-git.tgz";
      sha256 = "0bkw31jibx4sh2086jgsw4rvaz3i1dmycbwp203rjj78x7wz9743";
      system = "maidenhead";
      asd = "maidenhead";
    });
    systems = [ "maidenhead/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "maidenhead" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mailbox = {
    pname = "mailbox";
    version = "20131003-git";
    asds = [ "mailbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mailbox/2013-10-03/mailbox-20131003-git.tgz";
      sha256 = "1qgkcss8m2q29kr9d040dnjmzl17vb7zzvlz5ry3z3zgbdwgj1sy";
      system = "mailbox";
      asd = "mailbox";
    });
    systems = [ "mailbox" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  mailgun = {
    pname = "mailgun";
    version = "20220707-git";
    asds = [ "mailgun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mailgun/2022-07-07/mailgun-20220707-git.tgz";
      sha256 = "1wadkm5r2hmyz40m4kwg5rv4g4dwn3h2d8l2mn9dncg5qy37x2vl";
      system = "mailgun";
      asd = "mailgun";
    });
    systems = [ "mailgun" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "log4cl" pkgs) (getAttr "secret-values" pkgs) (getAttr "spinneret" pkgs) ];
  };
  make-hash = {
    pname = "make-hash";
    version = "20130615-git";
    asds = [ "make-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/make-hash/2013-06-15/make-hash-20130615-git.tgz";
      sha256 = "1qa4mcmb3pv44py0j129dd8hjx09c2akpnds53b69151mgwv5qz8";
      system = "make-hash";
      asd = "make-hash";
    });
    systems = [ "make-hash" ];
    lispLibs = [  ];
  };
  make-hash-tests = {
    pname = "make-hash-tests";
    version = "20130615-git";
    asds = [ "make-hash-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/make-hash/2013-06-15/make-hash-20130615-git.tgz";
      sha256 = "1qa4mcmb3pv44py0j129dd8hjx09c2akpnds53b69151mgwv5qz8";
      system = "make-hash-tests";
      asd = "make-hash-tests";
    });
    systems = [ "make-hash-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "make-hash" pkgs) ];
  };
  manifest = {
    pname = "manifest";
    version = "20120208-git";
    asds = [ "manifest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/manifest/2012-02-08/manifest-20120208-git.tgz";
      sha256 = "0dswslnskskdbsln6vi7w8cbypw001d81xaxkfn4g7m15m9pzkgf";
      system = "manifest";
      asd = "manifest";
    });
    systems = [ "manifest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "monkeylib-html" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "toot" pkgs) ];
  };
  map-bind = {
    pname = "map-bind";
    version = "20120811-git";
    asds = [ "map-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/map-bind/2012-08-11/map-bind-20120811-git.tgz";
      sha256 = "06z02c0ypfrd789glbidnhf95839hardd7nr3i95l1adm8pas30f";
      system = "map-bind";
      asd = "map-bind";
    });
    systems = [ "map-bind" ];
    lispLibs = [  ];
  };
  map-set = {
    pname = "map-set";
    version = "20190307-hg";
    asds = [ "map-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/map-set/2019-03-07/map-set-20190307-hg.tgz";
      sha256 = "0fikz2s0pw5dfbs91j8y7iy3908gknhxy9047mp23jxv1f54jzdh";
      system = "map-set";
      asd = "map-set";
    });
    systems = [ "map-set" ];
    lispLibs = [  ];
  };
  marching-cubes = {
    pname = "marching-cubes";
    version = "20150709-git";
    asds = [ "marching-cubes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes";
      asd = "marching-cubes";
    });
    systems = [ "marching-cubes" ];
    lispLibs = [  ];
  };
  marching-cubes-example = {
    pname = "marching-cubes-example";
    version = "20150709-git";
    asds = [ "marching-cubes-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes-example";
      asd = "marching-cubes-example";
    });
    systems = [ "marching-cubes-example" ];
    lispLibs = [ (getAttr "marching-cubes" pkgs) ];
  };
  marching-cubes-test = {
    pname = "marching-cubes-test";
    version = "20150709-git";
    asds = [ "marching-cubes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes-test";
      asd = "marching-cubes-test";
    });
    systems = [ "marching-cubes-test" ];
    lispLibs = [ (getAttr "marching-cubes" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  markdown_dot_cl = {
    pname = "markdown.cl";
    version = "20210228-git";
    asds = [ "markdown.cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markdown.cl/2021-02-28/markdown.cl-20210228-git.tgz";
      sha256 = "00yxg67skx3navq7fdsjy0wds16n9n12bhdzv08f43bgbwali7v8";
      system = "markdown.cl";
      asd = "markdown.cl";
    });
    systems = [ "markdown.cl" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) (getAttr "xmls" pkgs) ];
  };
  markdown_dot_cl-test = {
    pname = "markdown.cl-test";
    version = "20210228-git";
    asds = [ "markdown.cl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markdown.cl/2021-02-28/markdown.cl-20210228-git.tgz";
      sha256 = "00yxg67skx3navq7fdsjy0wds16n9n12bhdzv08f43bgbwali7v8";
      system = "markdown.cl-test";
      asd = "markdown.cl-test";
    });
    systems = [ "markdown.cl-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "markdown_dot_cl" pkgs) (getAttr "xmls" pkgs) ];
  };
  markup = {
    pname = "markup";
    version = "20221106-git";
    asds = [ "markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markup/2022-11-06/markup-20221106-git.tgz";
      sha256 = "1ds9nbc6828kiilfjq47nwqms4lmps8hwd5kk8iwydpl5x1j43wx";
      system = "markup";
      asd = "markup";
    });
    systems = [ "markup" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  markup_dot_test = {
    pname = "markup.test";
    version = "20221106-git";
    asds = [ "markup.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markup/2022-11-06/markup-20221106-git.tgz";
      sha256 = "1ds9nbc6828kiilfjq47nwqms4lmps8hwd5kk8iwydpl5x1j43wx";
      system = "markup.test";
      asd = "markup.test";
    });
    systems = [ "markup.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "markup" pkgs) ];
  };
  marshal = {
    pname = "marshal";
    version = "20221106-git";
    asds = [ "marshal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marshal/2022-11-06/cl-marshal-20221106-git.tgz";
      sha256 = "0pclq0q43f3nlb2np957i10ysmky32qlz78an3hf2adg8if776ys";
      system = "marshal";
      asd = "marshal";
    });
    systems = [ "marshal" ];
    lispLibs = [  ];
  };
  marshal-tests = {
    pname = "marshal-tests";
    version = "20221106-git";
    asds = [ "marshal-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marshal/2022-11-06/cl-marshal-20221106-git.tgz";
      sha256 = "0pclq0q43f3nlb2np957i10ysmky32qlz78an3hf2adg8if776ys";
      system = "marshal-tests";
      asd = "marshal-tests";
    });
    systems = [ "marshal-tests" ];
    lispLibs = [ (getAttr "marshal" pkgs) (getAttr "xlunit" pkgs) ];
  };
  math = {
    pname = "math";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) (getAttr "font-discovery" pkgs) (getAttr "gsll" pkgs) (getAttr "vgplot" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_appr = {
    pname = "math_appr";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/appr" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_coord = {
    pname = "math_coord";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/coord" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_core = {
    pname = "math_core";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/core" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_docs = {
    pname = "math_docs";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "math" pkgs) (getAttr "mnas-package" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_equation = {
    pname = "math_equation";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/equation" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_geom = {
    pname = "math_geom";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/geom" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_gnuplot = {
    pname = "math_gnuplot";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/gnuplot" ];
    lispLibs = [ (getAttr "font-discovery" pkgs) (getAttr "vgplot" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_half-div = {
    pname = "math_half-div";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/half-div" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_ls-gauss = {
    pname = "math_ls-gauss";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/ls-gauss" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_ls-gsll = {
    pname = "math_ls-gsll";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/ls-gsll" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) (getAttr "gsll" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_matr = {
    pname = "math_matr";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/matr" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_rnd = {
    pname = "math_rnd";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/rnd" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  math_slash_series = {
    pname = "math_series";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/series" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_smooth = {
    pname = "math_smooth";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/smooth" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_stat = {
    pname = "math_stat";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/stat" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  math_slash_tests = {
    pname = "math_tests";
    version = "20221106-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2022-11-06/math-20221106-git.tgz";
      sha256 = "1xafh94y5q840fzlcvxw9p4ahgm9c4bwsm3fyrmm7n3j05xsgfml";
      system = "math";
      asd = "math";
    });
    systems = [ "math/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "math" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mathkit = {
    pname = "mathkit";
    version = "20160208-git";
    asds = [ "mathkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mathkit/2016-02-08/mathkit-20160208-git.tgz";
      sha256 = "174y6ndmf52h8sml87qjfl48llmynvdizzk2h0mr85zbaysx73i3";
      system = "mathkit";
      asd = "mathkit";
    });
    systems = [ "mathkit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  matrix-case = {
    pname = "matrix-case";
    version = "20211020-git";
    asds = [ "matrix-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/matrix-case/2021-10-20/matrix-case-20211020-git.tgz";
      sha256 = "17k7x7wcl78xw4ajd38gva2dw7snsm9jppbnnl4by2s0grsqg50a";
      system = "matrix-case";
      asd = "matrix-case";
    });
    systems = [ "matrix-case" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  matrix-case_dot_test = {
    pname = "matrix-case.test";
    version = "20211020-git";
    asds = [ "matrix-case.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/matrix-case/2021-10-20/matrix-case-20211020-git.tgz";
      sha256 = "17k7x7wcl78xw4ajd38gva2dw7snsm9jppbnnl4by2s0grsqg50a";
      system = "matrix-case.test";
      asd = "matrix-case.test";
    });
    systems = [ "matrix-case.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "matrix-case" pkgs) ];
  };
  maxpc = {
    pname = "maxpc";
    version = "20200427-git";
    asds = [ "maxpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maxpc/2020-04-27/maxpc-20200427-git.tgz";
      sha256 = "15wrjbr2js6j67c1dd4p2qxj49q9iqv1lhb7cwdcwpn79crr39gf";
      system = "maxpc";
      asd = "maxpc";
    });
    systems = [ "maxpc" ];
    lispLibs = [  ];
  };
  maxpc-apache = {
    pname = "maxpc-apache";
    version = "20220707-git";
    asds = [ "maxpc-apache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "maxpc-apache";
      asd = "maxpc-apache";
    });
    systems = [ "maxpc-apache" ];
    lispLibs = [  ];
  };
  maxpc-test = {
    pname = "maxpc-test";
    version = "20200427-git";
    asds = [ "maxpc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maxpc/2020-04-27/maxpc-20200427-git.tgz";
      sha256 = "15wrjbr2js6j67c1dd4p2qxj49q9iqv1lhb7cwdcwpn79crr39gf";
      system = "maxpc-test";
      asd = "maxpc-test";
    });
    systems = [ "maxpc-test" ];
    lispLibs = [ (getAttr "maxpc" pkgs) ];
  };
  mbe = {
    pname = "mbe";
    version = "20200218-git";
    asds = [ "mbe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mbe/2020-02-18/mbe-20200218-git.tgz";
      sha256 = "1wlhlddfv0jbqliqlvhxkmmj9pfym0f9qlvjjmlrkvx6fxpv0450";
      system = "mbe";
      asd = "mbe";
    });
    systems = [ "mbe" ];
    lispLibs = [  ];
  };
  mcase = {
    pname = "mcase";
    version = "20211020-git";
    asds = [ "mcase" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcase/2021-10-20/mcase-20211020-git.tgz";
      sha256 = "1k0agm57xbzlskdi8cgsg2z9lsamm4jl6fw7687z3bw1s2dbsm59";
      system = "mcase";
      asd = "mcase";
    });
    systems = [ "mcase" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "millet" pkgs) ];
  };
  mcase_dot_test = {
    pname = "mcase.test";
    version = "20211020-git";
    asds = [ "mcase.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcase/2021-10-20/mcase-20211020-git.tgz";
      sha256 = "1k0agm57xbzlskdi8cgsg2z9lsamm4jl6fw7687z3bw1s2dbsm59";
      system = "mcase.test";
      asd = "mcase.test";
    });
    systems = [ "mcase.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "mcase" pkgs) ];
  };
  mcclim = {
    pname = "mcclim";
    version = "20221106-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "conditional-commands" pkgs) (getAttr "mcclim-bezier" pkgs) (getAttr "mcclim-bitmaps" pkgs) (getAttr "mcclim-clx" pkgs) (getAttr "mcclim-clx-fb" pkgs) (getAttr "mcclim-franz" pkgs) (getAttr "mcclim-null" pkgs) ];
  };
  mcclim-backend-common = {
    pname = "mcclim-backend-common";
    version = "20221106-git";
    asds = [ "mcclim-backend-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-backend-common";
      asd = "mcclim-backend-common";
    });
    systems = [ "mcclim-backend-common" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  mcclim-bezier = {
    pname = "mcclim-bezier";
    version = "20221106-git";
    asds = [ "mcclim-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-bezier";
      asd = "mcclim-bezier";
    });
    systems = [ "mcclim-bezier" ];
    lispLibs = [ (getAttr "flexichain" pkgs) (getAttr "clim" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "mcclim-clx" pkgs) (getAttr "mcclim-null" pkgs) (getAttr "mcclim-render" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-bezier_slash_clx = {
    pname = "mcclim-bezier_clx";
    version = "20221106-git";
    asds = [ "mcclim-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-bezier";
      asd = "mcclim-bezier";
    });
    systems = [ "mcclim-bezier/clx" ];
    lispLibs = [ (getAttr "flexichain" pkgs) (getAttr "clim" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "mcclim-clx" pkgs) (getAttr "mcclim-null" pkgs) (getAttr "mcclim-render" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-bezier_slash_core = {
    pname = "mcclim-bezier_core";
    version = "20221106-git";
    asds = [ "mcclim-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-bezier";
      asd = "mcclim-bezier";
    });
    systems = [ "mcclim-bezier/core" ];
    lispLibs = [ (getAttr "flexichain" pkgs) (getAttr "clim" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "mcclim-null" pkgs) (getAttr "mcclim-render" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-bitmaps = {
    pname = "mcclim-bitmaps";
    version = "20221106-git";
    asds = [ "mcclim-bitmaps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-bitmaps";
      asd = "mcclim-bitmaps";
    });
    systems = [ "mcclim-bitmaps" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "opticl" pkgs) ];
  };
  mcclim-clx = {
    pname = "mcclim-clx";
    version = "20221106-git";
    asds = [ "mcclim-clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-clx";
      asd = "mcclim-clx";
    });
    systems = [ "mcclim-clx" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-dejavu" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "cl-aa" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "clx" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "clim" pkgs) (getAttr "mcclim-backend-common" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  mcclim-clx-fb = {
    pname = "mcclim-clx-fb";
    version = "20221106-git";
    asds = [ "mcclim-clx-fb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-clx-fb";
      asd = "mcclim-clx-fb";
    });
    systems = [ "mcclim-clx-fb" ];
    lispLibs = [ (getAttr "mcclim-backend-common" pkgs) (getAttr "mcclim-clx" pkgs) (getAttr "mcclim-render" pkgs) ];
  };
  mcclim-fontconfig = {
    pname = "mcclim-fontconfig";
    version = "20221106-git";
    asds = [ "mcclim-fontconfig" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-fontconfig";
      asd = "mcclim-fontconfig";
    });
    systems = [ "mcclim-fontconfig" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  mcclim-fonts = {
    pname = "mcclim-fonts";
    version = "20221106-git";
    asds = [ "mcclim-fonts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-fonts";
      asd = "mcclim-fonts";
    });
    systems = [ "mcclim-fonts" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  mcclim-fonts_slash_truetype = {
    pname = "mcclim-fonts_truetype";
    version = "20221106-git";
    asds = [ "mcclim-fonts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-fonts";
      asd = "mcclim-fonts";
    });
    systems = [ "mcclim-fonts/truetype" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-dejavu" pkgs) (getAttr "cl-aa" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "clim" pkgs) (getAttr "zpb-ttf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-franz = {
    pname = "mcclim-franz";
    version = "20221106-git";
    asds = [ "mcclim-franz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-franz";
      asd = "mcclim-franz";
    });
    systems = [ "mcclim-franz" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  mcclim-harfbuzz = {
    pname = "mcclim-harfbuzz";
    version = "20221106-git";
    asds = [ "mcclim-harfbuzz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-harfbuzz";
      asd = "mcclim-harfbuzz";
    });
    systems = [ "mcclim-harfbuzz" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  mcclim-layouts = {
    pname = "mcclim-layouts";
    version = "20221106-git";
    asds = [ "mcclim-layouts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-layouts";
      asd = "mcclim-layouts";
    });
    systems = [ "mcclim-layouts" ];
    lispLibs = [  ];
  };
  mcclim-layouts_slash_tab = {
    pname = "mcclim-layouts_tab";
    version = "20221106-git";
    asds = [ "mcclim-layouts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-layouts";
      asd = "mcclim-layouts";
    });
    systems = [ "mcclim-layouts/tab" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-null = {
    pname = "mcclim-null";
    version = "20221106-git";
    asds = [ "mcclim-null" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-null";
      asd = "mcclim-null";
    });
    systems = [ "mcclim-null" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  mcclim-raster-image = {
    pname = "mcclim-raster-image";
    version = "20221106-git";
    asds = [ "mcclim-raster-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-raster-image";
      asd = "mcclim-raster-image";
    });
    systems = [ "mcclim-raster-image" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "mcclim-backend-common" pkgs) (getAttr "mcclim-render" pkgs) ];
  };
  mcclim-raster-image_slash_test = {
    pname = "mcclim-raster-image_test";
    version = "20221106-git";
    asds = [ "mcclim-raster-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-raster-image";
      asd = "mcclim-raster-image";
    });
    systems = [ "mcclim-raster-image/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mcclim" pkgs) (getAttr "mcclim-raster-image" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim-render = {
    pname = "mcclim-render";
    version = "20221106-git";
    asds = [ "mcclim-render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-render";
      asd = "mcclim-render";
    });
    systems = [ "mcclim-render" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-dejavu" pkgs) (getAttr "cl-aa" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "clim" pkgs) (getAttr "mcclim-backend-common" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  mcclim-svg = {
    pname = "mcclim-svg";
    version = "20221106-git";
    asds = [ "mcclim-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-svg";
      asd = "mcclim-svg";
    });
    systems = [ "mcclim-svg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-dejavu" pkgs) (getAttr "cl-aa" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "cl-who" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "clim" pkgs) (getAttr "mcclim" pkgs) (getAttr "mcclim-bitmaps" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  mcclim-tooltips = {
    pname = "mcclim-tooltips";
    version = "20221106-git";
    asds = [ "mcclim-tooltips" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-tooltips";
      asd = "mcclim-tooltips";
    });
    systems = [ "mcclim-tooltips" ];
    lispLibs = [ (getAttr "clim" pkgs) ];
  };
  mcclim-tree-with-cross-edges = {
    pname = "mcclim-tree-with-cross-edges";
    version = "20221106-git";
    asds = [ "mcclim-tree-with-cross-edges" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim-tree-with-cross-edges";
      asd = "mcclim-tree-with-cross-edges";
    });
    systems = [ "mcclim-tree-with-cross-edges" ];
    lispLibs = [ (getAttr "mcclim" pkgs) ];
  };
  mcclim_slash_extensions = {
    pname = "mcclim_extensions";
    version = "20221106-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim/extensions" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "clim-pdf" pkgs) (getAttr "clim-postscript" pkgs) (getAttr "conditional-commands" pkgs) (getAttr "mcclim-bezier" pkgs) (getAttr "mcclim-bitmaps" pkgs) (getAttr "mcclim-franz" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim_slash_looks = {
    pname = "mcclim_looks";
    version = "20221106-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim/looks" ];
    lispLibs = [ (getAttr "clim" pkgs) (getAttr "mcclim-clx" pkgs) (getAttr "mcclim-clx-fb" pkgs) (getAttr "mcclim-null" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim_slash_test = {
    pname = "mcclim_test";
    version = "20221106-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mcclim_slash_test-util = {
    pname = "mcclim_test-util";
    version = "20221106-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim/test-util" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  md5 = {
    pname = "md5";
    version = "20210630-git";
    asds = [ "md5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/md5/2021-06-30/md5-20210630-git.tgz";
      sha256 = "1g20np6rhn3y08z8mlmlk721mw2207s52v2pwp4smm3lz25sx3q5";
      system = "md5";
      asd = "md5";
    });
    systems = [ "md5" ];
    lispLibs = [  ];
  };
  media-types = {
    pname = "media-types";
    version = "20220331-git";
    asds = [ "media-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/media-types/2022-03-31/media-types-20220331-git.tgz";
      sha256 = "07ly7jr0ff2ks4gyjpq2jyj9gm47frllal5is3iqhc4xrmpyzrqc";
      system = "media-types";
      asd = "media-types";
    });
    systems = [ "media-types" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "serapeum" pkgs) ];
  };
  media-types_slash_tests = {
    pname = "media-types_tests";
    version = "20220331-git";
    asds = [ "media-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/media-types/2022-03-31/media-types-20220331-git.tgz";
      sha256 = "07ly7jr0ff2ks4gyjpq2jyj9gm47frllal5is3iqhc4xrmpyzrqc";
      system = "media-types";
      asd = "media-types";
    });
    systems = [ "media-types/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "media-types" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mel-base = {
    pname = "mel-base";
    version = "20180228-git";
    asds = [ "mel-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mel-base/2018-02-28/mel-base-20180228-git.tgz";
      sha256 = "1dvhmlkxasww3kb7xnwqlmdvi31w2awjrbkgk5d0hsfzqmyhhjh0";
      system = "mel-base";
      asd = "mel-base";
    });
    systems = [ "mel-base" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  memoize = {
    pname = "memoize";
    version = "20140826-http";
    asds = [ "memoize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/memoize/2014-08-26/memoize-20140826-http.tgz";
      sha256 = "1f1plqy9xdv40235b7kkm63gsgssk8l81azhfniy8j9yww39gihf";
      system = "memoize";
      asd = "memoize";
    });
    systems = [ "memoize" ];
    lispLibs = [  ];
  };
  message-oo = {
    pname = "message-oo";
    version = "20130615-git";
    asds = [ "message-oo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/message-oo/2013-06-15/message-oo-20130615-git.tgz";
      sha256 = "164yypzhr6pxb84x47s9vjl97imbq5r8sxan22101q0y1jn3dznp";
      system = "message-oo";
      asd = "message-oo";
    });
    systems = [ "message-oo" ];
    lispLibs = [  ];
  };
  messagebox = {
    pname = "messagebox";
    version = "20211020-git";
    asds = [ "messagebox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/messagebox/2021-10-20/messagebox-20211020-git.tgz";
      sha256 = "17gbsqsz1nf09qhhhm5rpkmvkgf1pv6cyxrbmlplr3abvr4cqfh4";
      system = "messagebox";
      asd = "messagebox";
    });
    systems = [ "messagebox" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  meta = {
    pname = "meta";
    version = "20150608-git";
    asds = [ "meta" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/meta/2015-06-08/meta-20150608-git.tgz";
      sha256 = "08s53zj3mcx82kszp1bg2vsb4kydvkc70kj4hpq9h1l5a1wh44cy";
      system = "meta";
      asd = "meta";
    });
    systems = [ "meta" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  meta-sexp = {
    pname = "meta-sexp";
    version = "20201016-git";
    asds = [ "meta-sexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/meta-sexp/2020-10-16/meta-sexp-20201016-git.tgz";
      sha256 = "14z4xglybsj4pdaifhjvnki0vm0wg985x00n94djc0fdcclczv1c";
      system = "meta-sexp";
      asd = "meta-sexp";
    });
    systems = [ "meta-sexp" ];
    lispLibs = [  ];
  };
  metabang-bind = {
    pname = "metabang-bind";
    version = "20200218-git";
    asds = [ "metabang-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metabang-bind/2020-02-18/metabang-bind-20200218-git.tgz";
      sha256 = "0681lp2j084w3dx02ah1vm5pk83cp5k090anwdlrjaxd1j4kbpbr";
      system = "metabang-bind";
      asd = "metabang-bind";
    });
    systems = [ "metabang-bind" ];
    lispLibs = [  ];
  };
  metabang-bind-test = {
    pname = "metabang-bind-test";
    version = "20200218-git";
    asds = [ "metabang-bind-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metabang-bind/2020-02-18/metabang-bind-20200218-git.tgz";
      sha256 = "0681lp2j084w3dx02ah1vm5pk83cp5k090anwdlrjaxd1j4kbpbr";
      system = "metabang-bind-test";
      asd = "metabang-bind-test";
    });
    systems = [ "metabang-bind-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  metacopy = {
    pname = "metacopy";
    version = "20170403-darcs";
    asds = [ "metacopy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy";
      asd = "metacopy";
    });
    systems = [ "metacopy" ];
    lispLibs = [ (getAttr "moptilities" pkgs) ];
  };
  metacopy-with-contextl = {
    pname = "metacopy-with-contextl";
    version = "20170403-darcs";
    asds = [ "metacopy-with-contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy-with-contextl";
      asd = "metacopy-with-contextl";
    });
    systems = [ "metacopy-with-contextl" ];
    lispLibs = [ (getAttr "contextl" pkgs) (getAttr "metacopy" pkgs) ];
  };
  metacopy-with-contextl_slash_test = {
    pname = "metacopy-with-contextl_test";
    version = "20170403-darcs";
    asds = [ "metacopy-with-contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy-with-contextl";
      asd = "metacopy-with-contextl";
    });
    systems = [ "metacopy-with-contextl/test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metacopy" pkgs) (getAttr "metacopy-with-contextl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  metacopy_slash_test = {
    pname = "metacopy_test";
    version = "20170403-darcs";
    asds = [ "metacopy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy";
      asd = "metacopy";
    });
    systems = [ "metacopy/test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metacopy" pkgs) ];
    meta = {
      broken = true;
    };
  };
  metalock = {
    pname = "metalock";
    version = "20200925-git";
    asds = [ "metalock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metalock/2020-09-25/metalock-20200925-git.tgz";
      sha256 = "0z2vk0s694zhnkai593q42vln5a6ykm8pilyikc4qp9aw9r43lc5";
      system = "metalock";
      asd = "metalock";
    });
    systems = [ "metalock" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  metap = {
    pname = "metap";
    version = "20150505-git";
    asds = [ "metap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metap/2015-05-05/metap-20150505-git.tgz";
      sha256 = "0drqyjscl0lmhgplld6annmlqma83q76xkxnahcq4ksnhpbsz9wx";
      system = "metap";
      asd = "metap";
    });
    systems = [ "metap" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  metap-test = {
    pname = "metap-test";
    version = "20150505-git";
    asds = [ "metap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metap/2015-05-05/metap-20150505-git.tgz";
      sha256 = "0drqyjscl0lmhgplld6annmlqma83q76xkxnahcq4ksnhpbsz9wx";
      system = "metap-test";
      asd = "metap-test";
    });
    systems = [ "metap-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "metap" pkgs) ];
  };
  metatilities = {
    pname = "metatilities";
    version = "20180228-git";
    asds = [ "metatilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities/2018-02-28/metatilities-20180228-git.tgz";
      sha256 = "0vqhndnhrv40ixkj5lslr0h2fy79609gi0wgbqzcz82vkyx9d6vd";
      system = "metatilities";
      asd = "metatilities";
    });
    systems = [ "metatilities" ];
    lispLibs = [ (getAttr "asdf-system-connections" pkgs) (getAttr "cl-containers" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "metatilities-base" pkgs) (getAttr "moptilities" pkgs) ];
  };
  metatilities-base = {
    pname = "metatilities-base";
    version = "20191227-git";
    asds = [ "metatilities-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities-base/2019-12-27/metatilities-base-20191227-git.tgz";
      sha256 = "069rk5ncwvjnnzvvky6xiriynl72yzvjpnzl6jw9jf3b8na14zrk";
      system = "metatilities-base";
      asd = "metatilities-base";
    });
    systems = [ "metatilities-base" ];
    lispLibs = [  ];
  };
  metatilities-base-test = {
    pname = "metatilities-base-test";
    version = "20191227-git";
    asds = [ "metatilities-base-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities-base/2019-12-27/metatilities-base-20191227-git.tgz";
      sha256 = "069rk5ncwvjnnzvvky6xiriynl72yzvjpnzl6jw9jf3b8na14zrk";
      system = "metatilities-base-test";
      asd = "metatilities-base-test";
    });
    systems = [ "metatilities-base-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metatilities-base" pkgs) ];
  };
  metatilities-test = {
    pname = "metatilities-test";
    version = "20180228-git";
    asds = [ "metatilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities/2018-02-28/metatilities-20180228-git.tgz";
      sha256 = "0vqhndnhrv40ixkj5lslr0h2fy79609gi0wgbqzcz82vkyx9d6vd";
      system = "metatilities-test";
      asd = "metatilities-test";
    });
    systems = [ "metatilities-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metatilities" pkgs) ];
  };
  metatilities_slash_with-lift = {
    pname = "metatilities_with-lift";
    version = "20180228-git";
    asds = [ "metatilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities/2018-02-28/metatilities-20180228-git.tgz";
      sha256 = "0vqhndnhrv40ixkj5lslr0h2fy79609gi0wgbqzcz82vkyx9d6vd";
      system = "metatilities";
      asd = "metatilities";
    });
    systems = [ "metatilities/with-lift" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "metatilities-base" pkgs) ];
    meta = {
      broken = true;
    };
  };
  metering = {
    pname = "metering";
    version = "20200218-git";
    asds = [ "metering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metering/2020-02-18/metering-20200218-git.tgz";
      sha256 = "0jx3ypk8m815yp7208xkcxkvila847mvna25a2p22ihnj0ms9rn1";
      system = "metering";
      asd = "metering";
    });
    systems = [ "metering" ];
    lispLibs = [  ];
  };
  metering_slash_test = {
    pname = "metering_test";
    version = "20200218-git";
    asds = [ "metering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metering/2020-02-18/metering-20200218-git.tgz";
      sha256 = "0jx3ypk8m815yp7208xkcxkvila847mvna25a2p22ihnj0ms9rn1";
      system = "metering";
      asd = "metering";
    });
    systems = [ "metering/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "metering" pkgs) ];
    meta = {
      broken = true;
    };
  };
  method-combination-utilities = {
    pname = "method-combination-utilities";
    version = "20141106-git";
    asds = [ "method-combination-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-combination-utilities/2014-11-06/method-combination-utilities-20141106-git.tgz";
      sha256 = "1lgc515j87lbb48mjys0j6p8bxzifzjw5g8i825lsdmajmwj3vis";
      system = "method-combination-utilities";
      asd = "method-combination-utilities";
    });
    systems = [ "method-combination-utilities" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  method-combination-utilities_dot_tests = {
    pname = "method-combination-utilities.tests";
    version = "20141106-git";
    asds = [ "method-combination-utilities.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-combination-utilities/2014-11-06/method-combination-utilities-20141106-git.tgz";
      sha256 = "1lgc515j87lbb48mjys0j6p8bxzifzjw5g8i825lsdmajmwj3vis";
      system = "method-combination-utilities.tests";
      asd = "method-combination-utilities";
    });
    systems = [ "method-combination-utilities.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "method-combination-utilities" pkgs) ];
  };
  method-hooks = {
    pname = "method-hooks";
    version = "20200925-git";
    asds = [ "method-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-hooks/2020-09-25/method-hooks-20200925-git.tgz";
      sha256 = "0kzijk02wjzms3hihmn6n6p9r6awkrsqlkghf6ixzf6400fiy212";
      system = "method-hooks";
      asd = "method-hooks";
    });
    systems = [ "method-hooks" ];
    lispLibs = [  ];
  };
  method-hooks-test = {
    pname = "method-hooks-test";
    version = "20200925-git";
    asds = [ "method-hooks-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-hooks/2020-09-25/method-hooks-20200925-git.tgz";
      sha256 = "0kzijk02wjzms3hihmn6n6p9r6awkrsqlkghf6ixzf6400fiy212";
      system = "method-hooks-test";
      asd = "method-hooks-test";
    });
    systems = [ "method-hooks-test" ];
    lispLibs = [ (getAttr "method-hooks" pkgs) (getAttr "parachute" pkgs) (getAttr "uiop" pkgs) ];
  };
  method-versions = {
    pname = "method-versions";
    version = "0.1.2011.05.18";
    asds = [ "method-versions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-versions/2011-05-22/method-versions_0.1.2011.05.18.tgz";
      sha256 = "119x3dbjry25issq2m8xcacknd1y9mcnla5rhqzcsrj58zsmwmwf";
      system = "method-versions";
      asd = "method-versions";
    });
    systems = [ "method-versions" ];
    lispLibs = [  ];
  };
  mexpr = {
    pname = "mexpr";
    version = "20150709-git";
    asds = [ "mexpr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mexpr/2015-07-09/mexpr-20150709-git.tgz";
      sha256 = "0ri9cp7vhnn9sah1lhvxn523c342n0q4v0xzi6fzlfvpj84jfzqk";
      system = "mexpr";
      asd = "mexpr";
    });
    systems = [ "mexpr" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-syntax" pkgs) ];
  };
  mexpr-tests = {
    pname = "mexpr-tests";
    version = "20150709-git";
    asds = [ "mexpr-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mexpr/2015-07-09/mexpr-20150709-git.tgz";
      sha256 = "0ri9cp7vhnn9sah1lhvxn523c342n0q4v0xzi6fzlfvpj84jfzqk";
      system = "mexpr-tests";
      asd = "mexpr-tests";
    });
    systems = [ "mexpr-tests" ];
    lispLibs = [ (getAttr "mexpr" pkgs) (getAttr "named-readtables" pkgs) (getAttr "should-test" pkgs) ];
  };
  mfiano-utils = {
    pname = "mfiano-utils";
    version = "20220707-git";
    asds = [ "mfiano-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mfiano-utils/2022-07-07/mfiano-utils-20220707-git.tgz";
      sha256 = "1n67myg56p9jskbxxsn4pwc7yj7cgx04f3nc8drxnsnkdfxbn30x";
      system = "mfiano-utils";
      asd = "mfiano-utils";
    });
    systems = [ "mfiano-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "serapeum" pkgs) (getAttr "uiop" pkgs) ];
  };
  mgl = {
    pname = "mgl";
    version = "20220220-git";
    asds = [ "mgl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2022-02-20/mgl-20220220-git.tgz";
      sha256 = "0ssrqn55hsq14db4zpsn1fw7kljj5jgkby6il5rynjipb8sgbvh5";
      system = "mgl";
      asd = "mgl";
    });
    systems = [ "mgl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "closer-mop" pkgs) (getAttr "lla" pkgs) (getAttr "mgl-gnuplot" pkgs) (getAttr "mgl-mat" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) (getAttr "swank" pkgs) ];
  };
  mgl-example = {
    pname = "mgl-example";
    version = "20220220-git";
    asds = [ "mgl-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2022-02-20/mgl-20220220-git.tgz";
      sha256 = "0ssrqn55hsq14db4zpsn1fw7kljj5jgkby6il5rynjipb8sgbvh5";
      system = "mgl-example";
      asd = "mgl-example";
    });
    systems = [ "mgl-example" ];
    lispLibs = [ (getAttr "mgl" pkgs) ];
  };
  mgl-gnuplot = {
    pname = "mgl-gnuplot";
    version = "20220220-git";
    asds = [ "mgl-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2022-02-20/mgl-20220220-git.tgz";
      sha256 = "0ssrqn55hsq14db4zpsn1fw7kljj5jgkby6il5rynjipb8sgbvh5";
      system = "mgl-gnuplot";
      asd = "mgl-gnuplot";
    });
    systems = [ "mgl-gnuplot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "external-program" pkgs) ];
  };
  mgl-mat = {
    pname = "mgl-mat";
    version = "20220220-git";
    asds = [ "mgl-mat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-mat/2022-02-20/mgl-mat-20220220-git.tgz";
      sha256 = "04is8hmrwx4ghzz0ydnn8mhxxblv5lgs1hxzfkzbj07c95kzwi7k";
      system = "mgl-mat";
      asd = "mgl-mat";
    });
    systems = [ "mgl-mat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-cuda" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "lla" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  mgl-mat_slash_test = {
    pname = "mgl-mat_test";
    version = "20220220-git";
    asds = [ "mgl-mat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-mat/2022-02-20/mgl-mat-20220220-git.tgz";
      sha256 = "04is8hmrwx4ghzz0ydnn8mhxxblv5lgs1hxzfkzbj07c95kzwi7k";
      system = "mgl-mat";
      asd = "mgl-mat";
    });
    systems = [ "mgl-mat/test" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "mgl-mat" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax = {
    pname = "mgl-pax";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax" ];
    lispLibs = [ (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "named-readtables" pkgs) (getAttr "pythonic-string-reader" pkgs) ];
  };
  mgl-pax_dot_asdf = {
    pname = "mgl-pax.asdf";
    version = "20220331-git";
    asds = [ "mgl-pax.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax.asdf";
      asd = "mgl-pax.asdf";
    });
    systems = [ "mgl-pax.asdf" ];
    lispLibs = [  ];
  };
  mgl-pax_slash_document = {
    pname = "mgl-pax_document";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/document" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "alexandria" pkgs) (getAttr "colorize" pkgs) (getAttr "md5" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax_slash_full = {
    pname = "mgl-pax_full";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/full" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "alexandria" pkgs) (getAttr "colorize" pkgs) (getAttr "md5" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax_slash_navigate = {
    pname = "mgl-pax_navigate";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/navigate" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax_slash_test = {
    pname = "mgl-pax_test";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/test" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "alexandria" pkgs) (getAttr "colorize" pkgs) (getAttr "md5" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "swank" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax_slash_test-extension = {
    pname = "mgl-pax_test-extension";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/test-extension" ];
    lispLibs = [ (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl-pax_slash_transcribe = {
    pname = "mgl-pax_transcribe";
    version = "20220331-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2022-03-31/mgl-pax-20220331-git.tgz";
      sha256 = "1vpbn0l5mycxa7hqiwbqqlcfm906pgphzyk34s1x3alwl7vkgf5c";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax/transcribe" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "mgl-pax_dot_asdf" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgl_slash_test = {
    pname = "mgl_test";
    version = "20220220-git";
    asds = [ "mgl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2022-02-20/mgl-20220220-git.tgz";
      sha256 = "0ssrqn55hsq14db4zpsn1fw7kljj5jgkby6il5rynjipb8sgbvh5";
      system = "mgl";
      asd = "mgl";
    });
    systems = [ "mgl/test" ];
    lispLibs = [ (getAttr "mgl" pkgs) (getAttr "mgl-mat" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mgrs = {
    pname = "mgrs";
    version = "20220331-git";
    asds = [ "mgrs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgrs/2022-03-31/mgrs-20220331-git.tgz";
      sha256 = "1n4kd734qjj7mrcg0q28hml3npam1rm067iwljwc87zshnxh5gmn";
      system = "mgrs";
      asd = "mgrs";
    });
    systems = [ "mgrs" ];
    lispLibs = [ (getAttr "utm-ups" pkgs) ];
  };
  mgrs_slash_tests = {
    pname = "mgrs_tests";
    version = "20220331-git";
    asds = [ "mgrs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgrs/2022-03-31/mgrs-20220331-git.tgz";
      sha256 = "1n4kd734qjj7mrcg0q28hml3npam1rm067iwljwc87zshnxh5gmn";
      system = "mgrs";
      asd = "mgrs";
    });
    systems = [ "mgrs/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mgrs" pkgs) ];
    meta = {
      broken = true;
    };
  };
  micmac = {
    pname = "micmac";
    version = "20220220-git";
    asds = [ "micmac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/micmac/2022-02-20/micmac-20220220-git.tgz";
      sha256 = "0c7k5j0br8mfrf7hgaihs6w5nma5ydi0rn5mplgjq3pc04k29krq";
      system = "micmac";
      asd = "micmac";
    });
    systems = [ "micmac" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "mgl-pax" pkgs) ];
  };
  micmac_slash_test = {
    pname = "micmac_test";
    version = "20220220-git";
    asds = [ "micmac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/micmac/2022-02-20/micmac-20220220-git.tgz";
      sha256 = "0c7k5j0br8mfrf7hgaihs6w5nma5ydi0rn5mplgjq3pc04k29krq";
      system = "micmac";
      asd = "micmac";
    });
    systems = [ "micmac/test" ];
    lispLibs = [ (getAttr "micmac" pkgs) ];
    meta = {
      broken = true;
    };
  };
  midi = {
    pname = "midi";
    version = "20070618";
    asds = [ "midi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/midi/2010-10-06/midi-20070618.tgz";
      sha256 = "06hb6vm4dckhr1ln5jn3b31x1yampkl5fl0lfbg9zyazli7fgl87";
      system = "midi";
      asd = "midi";
    });
    systems = [ "midi" ];
    lispLibs = [  ];
  };
  millet = {
    pname = "millet";
    version = "20211209-git";
    asds = [ "millet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/millet/2021-12-09/millet-20211209-git.tgz";
      sha256 = "1jdqyr1f9a6083k7n88rwc6mjmgccj6za50ybl1dlnxqvqj2pw80";
      system = "millet";
      asd = "millet";
    });
    systems = [ "millet" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  millet_dot_test = {
    pname = "millet.test";
    version = "20211209-git";
    asds = [ "millet.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/millet/2021-12-09/millet-20211209-git.tgz";
      sha256 = "1jdqyr1f9a6083k7n88rwc6mjmgccj6za50ybl1dlnxqvqj2pw80";
      system = "millet.test";
      asd = "millet.test";
    });
    systems = [ "millet.test" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "jingoh" pkgs) (getAttr "millet" pkgs) ];
  };
  minheap = {
    pname = "minheap";
    version = "20160628-git";
    asds = [ "minheap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minheap/2016-06-28/minheap-20160628-git.tgz";
      sha256 = "03v0dqxg4kmwvfrlrkq8bmfcv70k9n9f48p9p3z8kmfbc4p3f1vd";
      system = "minheap";
      asd = "minheap";
    });
    systems = [ "minheap" ];
    lispLibs = [  ];
  };
  minheap-tests = {
    pname = "minheap-tests";
    version = "20160628-git";
    asds = [ "minheap-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minheap/2016-06-28/minheap-20160628-git.tgz";
      sha256 = "03v0dqxg4kmwvfrlrkq8bmfcv70k9n9f48p9p3z8kmfbc4p3f1vd";
      system = "minheap-tests";
      asd = "minheap-tests";
    });
    systems = [ "minheap-tests" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "minheap" pkgs) ];
  };
  mini-cas = {
    pname = "mini-cas";
    version = "20150923-git";
    asds = [ "mini-cas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mini-cas/2015-09-23/mini-cas-20150923-git.tgz";
      sha256 = "1y9a111877lkpssi651q684mj052vp6qr9pz5gl47s6swiqvqp24";
      system = "mini-cas";
      asd = "mini-cas";
    });
    systems = [ "mini-cas" ];
    lispLibs = [  ];
  };
  minilem = {
    pname = "minilem";
    version = "20200218-git";
    asds = [ "minilem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minilem/2020-02-18/minilem-20200218-git.tgz";
      sha256 = "1hpcgj8k5m11nk1pfd479hrbh15dcas7z1s8w877rqmlf69ga4cp";
      system = "minilem";
      asd = "minilem";
    });
    systems = [ "minilem" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) (getAttr "inquisitor" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "optima" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) (getAttr "yason" pkgs) ];
  };
  minpack = {
    pname = "minpack";
    version = "20200925-git";
    asds = [ "minpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "minpack";
      asd = "minpack";
    });
    systems = [ "minpack" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  minpack_slash_test-hybrd = {
    pname = "minpack_test-hybrd";
    version = "20200925-git";
    asds = [ "minpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "minpack";
      asd = "minpack";
    });
    systems = [ "minpack/test-hybrd" ];
    lispLibs = [ (getAttr "minpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  minpack_slash_test-lmdif = {
    pname = "minpack_test-lmdif";
    version = "20200925-git";
    asds = [ "minpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "minpack";
      asd = "minpack";
    });
    systems = [ "minpack/test-lmdif" ];
    lispLibs = [ (getAttr "minpack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  misc-extensions = {
    pname = "misc-extensions";
    version = "20150608-git";
    asds = [ "misc-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/misc-extensions/2015-06-08/misc-extensions-20150608-git.tgz";
      sha256 = "0gz5f4p70qzilnxsnf5lih2n9m4wjcw8hlw4w8mpn9jyhyppyyv0";
      system = "misc-extensions";
      asd = "misc-extensions";
    });
    systems = [ "misc-extensions" ];
    lispLibs = [  ];
  };
  mito = {
    pname = "mito";
    version = "20221106-git";
    asds = [ "mito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2022-11-06/mito-20221106-git.tgz";
      sha256 = "1wm0kmlg8b7l74s1kxs2yxrv07c6fhfb7yn3018pjh1y28i5cx7n";
      system = "mito";
      asd = "mito";
    });
    systems = [ "mito" ];
    lispLibs = [ (getAttr "cl-reexport" pkgs) (getAttr "lack-middleware-mito" pkgs) (getAttr "mito-core" pkgs) (getAttr "mito-migration" pkgs) ];
  };
  mito-auth = {
    pname = "mito-auth";
    version = "20171019-git";
    asds = [ "mito-auth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito-auth/2017-10-19/mito-auth-20171019-git.tgz";
      sha256 = "1q1yxjpnshzmia34a68dlscjadzynzyzz14sr4mkkkjyg5dhkazi";
      system = "mito-auth";
      asd = "mito-auth";
    });
    systems = [ "mito-auth" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "ironclad" pkgs) (getAttr "mito" pkgs) ];
  };
  mito-core = {
    pname = "mito-core";
    version = "20221106-git";
    asds = [ "mito-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2022-11-06/mito-20221106-git.tgz";
      sha256 = "1wm0kmlg8b7l74s1kxs2yxrv07c6fhfb7yn3018pjh1y28i5cx7n";
      system = "mito-core";
      asd = "mito-core";
    });
    systems = [ "mito-core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dissect" pkgs) (getAttr "local-time" pkgs) (getAttr "sxql" pkgs) (getAttr "trivia" pkgs) (getAttr "uuid" pkgs) ];
  };
  mito-migration = {
    pname = "mito-migration";
    version = "20221106-git";
    asds = [ "mito-migration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2022-11-06/mito-20221106-git.tgz";
      sha256 = "1wm0kmlg8b7l74s1kxs2yxrv07c6fhfb7yn3018pjh1y28i5cx7n";
      system = "mito-migration";
      asd = "mito-migration";
    });
    systems = [ "mito-migration" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "chipz" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "closer-mop" pkgs) (getAttr "esrap" pkgs) (getAttr "mito-core" pkgs) (getAttr "sxql" pkgs) (getAttr "uiop" pkgs) ];
  };
  mito-test = {
    pname = "mito-test";
    version = "20221106-git";
    asds = [ "mito-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2022-11-06/mito-20221106-git.tgz";
      sha256 = "1wm0kmlg8b7l74s1kxs2yxrv07c6fhfb7yn3018pjh1y28i5cx7n";
      system = "mito-test";
      asd = "mito-test";
    });
    systems = [ "mito-test" ];
    lispLibs = [ (getAttr "mito" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  mixalot = {
    pname = "mixalot";
    version = "20151218-git";
    asds = [ "mixalot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot";
      asd = "mixalot";
    });
    systems = [ "mixalot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) ];
  };
  mixalot-flac = {
    pname = "mixalot-flac";
    version = "20151218-git";
    asds = [ "mixalot-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-flac";
      asd = "mixalot-flac";
    });
    systems = [ "mixalot-flac" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "flac" pkgs) (getAttr "mixalot" pkgs) ];
  };
  mixalot-mp3 = {
    pname = "mixalot-mp3";
    version = "20151218-git";
    asds = [ "mixalot-mp3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-mp3";
      asd = "mixalot-mp3";
    });
    systems = [ "mixalot-mp3" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "mixalot" pkgs) (getAttr "mpg123-ffi" pkgs) ];
  };
  mixalot-vorbis = {
    pname = "mixalot-vorbis";
    version = "20151218-git";
    asds = [ "mixalot-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-vorbis";
      asd = "mixalot-vorbis";
    });
    systems = [ "mixalot-vorbis" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "mixalot" pkgs) (getAttr "vorbisfile-ffi" pkgs) ];
  };
  mk-defsystem = {
    pname = "mk-defsystem";
    version = "20220220-git";
    asds = [ "mk-defsystem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-defsystem/2022-02-20/mk-defsystem-20220220-git.tgz";
      sha256 = "1j83cx0dm12hjy54xfvv22ij13yp2z14qr73yxnkg0awvw6i2rnx";
      system = "mk-defsystem";
      asd = "mk-defsystem";
    });
    systems = [ "mk-defsystem" ];
    lispLibs = [  ];
  };
  mk-string-metrics = {
    pname = "mk-string-metrics";
    version = "20180131-git";
    asds = [ "mk-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-string-metrics/2018-01-31/mk-string-metrics-20180131-git.tgz";
      sha256 = "0c50hjpylhkh5phcxxcwqdzpa94vk5pq1j7c6x0d3wfpb2yx0wkd";
      system = "mk-string-metrics";
      asd = "mk-string-metrics";
    });
    systems = [ "mk-string-metrics" ];
    lispLibs = [  ];
  };
  mk-string-metrics-tests = {
    pname = "mk-string-metrics-tests";
    version = "20180131-git";
    asds = [ "mk-string-metrics-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-string-metrics/2018-01-31/mk-string-metrics-20180131-git.tgz";
      sha256 = "0c50hjpylhkh5phcxxcwqdzpa94vk5pq1j7c6x0d3wfpb2yx0wkd";
      system = "mk-string-metrics-tests";
      asd = "mk-string-metrics-tests";
    });
    systems = [ "mk-string-metrics-tests" ];
    lispLibs = [ (getAttr "mk-string-metrics" pkgs) ];
  };
  ml-dsl = {
    pname = "ml-dsl";
    version = "20210124-git";
    asds = [ "ml-dsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-dsl";
      asd = "ml-dsl";
    });
    systems = [ "ml-dsl" ];
    lispLibs = [ (getAttr "cl-marklogic" pkgs) ];
  };
  ml-optimizer = {
    pname = "ml-optimizer";
    version = "20210124-git";
    asds = [ "ml-optimizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-optimizer";
      asd = "ml-optimizer";
    });
    systems = [ "ml-optimizer" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-marklogic" pkgs) (getAttr "cl-opsresearch" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  ml-test = {
    pname = "ml-test";
    version = "20210124-git";
    asds = [ "ml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-test";
      asd = "ml-test";
    });
    systems = [ "ml-test" ];
    lispLibs = [ (getAttr "cl-marklogic" pkgs) (getAttr "ml-optimizer" pkgs) (getAttr "fiveam" pkgs) ];
  };
  mlep = {
    pname = "mlep";
    version = "20180430-git";
    asds = [ "mlep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mlep/2018-04-30/cl-mlep-20180430-git.tgz";
      sha256 = "1y49fgc5py34b8r6908pxij73qxrl6yxjwx1pxigpnkbdf6a92lk";
      system = "mlep";
      asd = "mlep";
    });
    systems = [ "mlep" ];
    lispLibs = [  ];
  };
  mlep-add = {
    pname = "mlep-add";
    version = "20180430-git";
    asds = [ "mlep-add" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mlep/2018-04-30/cl-mlep-20180430-git.tgz";
      sha256 = "1y49fgc5py34b8r6908pxij73qxrl6yxjwx1pxigpnkbdf6a92lk";
      system = "mlep-add";
      asd = "mlep-add";
    });
    systems = [ "mlep-add" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "mlep" pkgs) (getAttr "cl-num-utils" pkgs) (getAttr "lla" pkgs) ];
  };
  mmap = {
    pname = "mmap";
    version = "20220707-git";
    asds = [ "mmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mmap/2022-07-07/mmap-20220707-git.tgz";
      sha256 = "0gsmhpj83p9hiy4r0z2jzr6psypzgk06sfzwwqxv72k6hxm241gz";
      system = "mmap";
      asd = "mmap";
    });
    systems = [ "mmap" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  mmap-test = {
    pname = "mmap-test";
    version = "20220707-git";
    asds = [ "mmap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mmap/2022-07-07/mmap-20220707-git.tgz";
      sha256 = "0gsmhpj83p9hiy4r0z2jzr6psypzgk06sfzwwqxv72k6hxm241gz";
      system = "mmap-test";
      asd = "mmap-test";
    });
    systems = [ "mmap-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "mmap" pkgs) (getAttr "parachute" pkgs) ];
  };
  mnas-graph = {
    pname = "mnas-graph";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
  };
  mnas-graph_slash_alg = {
    pname = "mnas-graph_alg";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/alg" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_core = {
    pname = "mnas-graph_core";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/core" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_demos = {
    pname = "mnas-graph_demos";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/demos" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_docs = {
    pname = "mnas-graph_docs";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "mnas-graph" pkgs) (getAttr "mnas-package" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_filter = {
    pname = "mnas-graph_filter";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/filter" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_printer-viewer = {
    pname = "mnas-graph_printer-viewer";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/printer-viewer" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_sample = {
    pname = "mnas-graph_sample";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/sample" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_tests = {
    pname = "mnas-graph_tests";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mnas-graph" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-graph_slash_view = {
    pname = "mnas-graph_view";
    version = "20221106-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2022-11-06/mnas-graph-20221106-git.tgz";
      sha256 = "0lhq9m8js55jlzmc2jiwk2q8nzlnarsh5cpjrnl2gznxaxmml0wi";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph/view" ];
    lispLibs = [ (getAttr "mnas-hash-table" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-hash-table = {
    pname = "mnas-hash-table";
    version = "20220707-git";
    asds = [ "mnas-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-hash-table/2022-07-07/mnas-hash-table-20220707-git.tgz";
      sha256 = "0wgv04zi4dx5d7cmmwkkzf5qf7ik3rlmnxnivkp9ya98gz2lr0rv";
      system = "mnas-hash-table";
      asd = "mnas-hash-table";
    });
    systems = [ "mnas-hash-table" ];
    lispLibs = [  ];
  };
  mnas-hash-table_slash_docs = {
    pname = "mnas-hash-table_docs";
    version = "20220707-git";
    asds = [ "mnas-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-hash-table/2022-07-07/mnas-hash-table-20220707-git.tgz";
      sha256 = "0wgv04zi4dx5d7cmmwkkzf5qf7ik3rlmnxnivkp9ya98gz2lr0rv";
      system = "mnas-hash-table";
      asd = "mnas-hash-table";
    });
    systems = [ "mnas-hash-table/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "mnas-hash-table" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-hash-table_slash_tests = {
    pname = "mnas-hash-table_tests";
    version = "20220707-git";
    asds = [ "mnas-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-hash-table/2022-07-07/mnas-hash-table-20220707-git.tgz";
      sha256 = "0wgv04zi4dx5d7cmmwkkzf5qf7ik3rlmnxnivkp9ya98gz2lr0rv";
      system = "mnas-hash-table";
      asd = "mnas-hash-table";
    });
    systems = [ "mnas-hash-table/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mnas-hash-table" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package = {
    pname = "mnas-package";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "mnas-graph" pkgs) (getAttr "mnas-string" pkgs) (getAttr "slynk" pkgs) ];
  };
  mnas-package_slash_doc = {
    pname = "mnas-package_doc";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_docs = {
    pname = "mnas-package_docs";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "mnas-package" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_example = {
    pname = "mnas-package_example";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/example" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_make = {
    pname = "mnas-package_make";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/make" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "mnas-graph" pkgs) (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_obj = {
    pname = "mnas-package_obj";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/obj" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_pkg = {
    pname = "mnas-package_pkg";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/pkg" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_sec = {
    pname = "mnas-package_sec";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/sec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "mnas-graph" pkgs) (getAttr "mnas-string" pkgs) (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_sys = {
    pname = "mnas-package_sys";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/sys" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_tests = {
    pname = "mnas-package_tests";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mnas-package" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-package_slash_view = {
    pname = "mnas-package_view";
    version = "20221106-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2022-11-06/mnas-package-20221106-git.tgz";
      sha256 = "1x5csk262qghdg1a6vjsn8khqjkm7rpmzn5mpp0hkid88gdi9acj";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package/view" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "mnas-graph" pkgs) (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-path = {
    pname = "mnas-path";
    version = "20220707-git";
    asds = [ "mnas-path" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-path/2022-07-07/mnas-path-20220707-git.tgz";
      sha256 = "07lhn8ak3dmr48l1kaf4xbxmrz33p8bvs1fz8z3jvjywz23zl0cs";
      system = "mnas-path";
      asd = "mnas-path";
    });
    systems = [ "mnas-path" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) ];
  };
  mnas-path_slash_docs = {
    pname = "mnas-path_docs";
    version = "20220707-git";
    asds = [ "mnas-path" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-path/2022-07-07/mnas-path-20220707-git.tgz";
      sha256 = "07lhn8ak3dmr48l1kaf4xbxmrz33p8bvs1fz8z3jvjywz23zl0cs";
      system = "mnas-path";
      asd = "mnas-path";
    });
    systems = [ "mnas-path/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "mnas-package" pkgs) (getAttr "mnas-path" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string = {
    pname = "mnas-string";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  mnas-string_slash_core = {
    pname = "mnas-string_core";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/core" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_db = {
    pname = "mnas-string_db";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/db" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_docs = {
    pname = "mnas-string_docs";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/docs" ];
    lispLibs = [ (getAttr "codex" pkgs) (getAttr "mnas-package" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_parse = {
    pname = "mnas-string_parse";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/parse" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_print = {
    pname = "mnas-string_print";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/print" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_tests = {
    pname = "mnas-string_tests";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mnas-string" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mnas-string_slash_translit = {
    pname = "mnas-string_translit";
    version = "20220707-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2022-07-07/mnas-string-20220707-git.tgz";
      sha256 = "1aqcgig7ydaw8ckmh5kpplrjqf25xmx9sa2k2p21p64sii7gnyfn";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string/translit" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  mnst-relay = {
    pname = "mnst-relay";
    version = "20210807-git";
    asds = [ "mnst-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "mnst-relay";
      asd = "mnst-relay";
    });
    systems = [ "mnst-relay" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-selftest-utils" pkgs) ];
  };
  mockingbird = {
    pname = "mockingbird";
    version = "20211020-git";
    asds = [ "mockingbird" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mockingbird/2021-10-20/mockingbird-20211020-git.tgz";
      sha256 = "1n1mxl2qk7g63z92d943ysn12axw0bx5dvw0cmm3cs1hjpx5rdly";
      system = "mockingbird";
      asd = "mockingbird";
    });
    systems = [ "mockingbird" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fare-utils" pkgs) (getAttr "trivial-arguments" pkgs) ];
  };
  mockingbird-test = {
    pname = "mockingbird-test";
    version = "20211020-git";
    asds = [ "mockingbird-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mockingbird/2021-10-20/mockingbird-20211020-git.tgz";
      sha256 = "1n1mxl2qk7g63z92d943ysn12axw0bx5dvw0cmm3cs1hjpx5rdly";
      system = "mockingbird-test";
      asd = "mockingbird-test";
    });
    systems = [ "mockingbird-test" ];
    lispLibs = [ (getAttr "mockingbird" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  modest-config = {
    pname = "modest-config";
    version = "20180228-git";
    asds = [ "modest-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modest-config/2018-02-28/modest-config-20180228-git.tgz";
      sha256 = "0ali9lvg7ngzmpgaxmbc4adp4djznavbywiig8x94c2xwicvjh83";
      system = "modest-config";
      asd = "modest-config";
    });
    systems = [ "modest-config" ];
    lispLibs = [  ];
  };
  modest-config-test = {
    pname = "modest-config-test";
    version = "20180228-git";
    asds = [ "modest-config-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modest-config/2018-02-28/modest-config-20180228-git.tgz";
      sha256 = "0ali9lvg7ngzmpgaxmbc4adp4djznavbywiig8x94c2xwicvjh83";
      system = "modest-config-test";
      asd = "modest-config-test";
    });
    systems = [ "modest-config-test" ];
    lispLibs = [ (getAttr "modest-config" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  modf = {
    pname = "modf";
    version = "20200925-git";
    asds = [ "modf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf/2020-09-25/modf-20200925-git.tgz";
      sha256 = "1aap7ldy7lv942khp026pgndgdzfkkqa9xcq1ykinrmflrgdazay";
      system = "modf";
      asd = "modf";
    });
    systems = [ "modf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) ];
  };
  modf-fset = {
    pname = "modf-fset";
    version = "20150608-git";
    asds = [ "modf-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf-fset/2015-06-08/modf-fset-20150608-git.tgz";
      sha256 = "0xdlwsw3b31l9c6db7rgvikn42ncqk98s45zcq116f51ph3dr95y";
      system = "modf-fset";
      asd = "modf-fset";
    });
    systems = [ "modf-fset" ];
    lispLibs = [ (getAttr "fset" pkgs) (getAttr "modf" pkgs) ];
  };
  modf-fset-test = {
    pname = "modf-fset-test";
    version = "20150608-git";
    asds = [ "modf-fset-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf-fset/2015-06-08/modf-fset-20150608-git.tgz";
      sha256 = "0xdlwsw3b31l9c6db7rgvikn42ncqk98s45zcq116f51ph3dr95y";
      system = "modf-fset-test";
      asd = "modf-fset-test";
    });
    systems = [ "modf-fset-test" ];
    lispLibs = [ (getAttr "modf" pkgs) (getAttr "modf-fset" pkgs) (getAttr "stefil" pkgs) ];
  };
  modf-test = {
    pname = "modf-test";
    version = "20200925-git";
    asds = [ "modf-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf/2020-09-25/modf-20200925-git.tgz";
      sha256 = "1aap7ldy7lv942khp026pgndgdzfkkqa9xcq1ykinrmflrgdazay";
      system = "modf-test";
      asd = "modf-test";
    });
    systems = [ "modf-test" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "modf" pkgs) (getAttr "stefil" pkgs) ];
  };
  modlisp = {
    pname = "modlisp";
    version = "20150923-git";
    asds = [ "modlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-modlisp/2015-09-23/cl-modlisp-20150923-git.tgz";
      sha256 = "14gfhhy8blyrhpb1jk17bq4vazgwmzgcx3misw48ja77x17bl1zf";
      system = "modlisp";
      asd = "modlisp";
    });
    systems = [ "modlisp" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) ];
  };
  modularize = {
    pname = "modularize";
    version = "20200427-git";
    asds = [ "modularize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize/2020-04-27/modularize-20200427-git.tgz";
      sha256 = "1zys29rfkb649rkgl3snxhajk8d5yf7ryxkrwy020kwdh7zdsg7d";
      system = "modularize";
      asd = "modularize";
    });
    systems = [ "modularize" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
  };
  modularize-hooks = {
    pname = "modularize-hooks";
    version = "20190710-git";
    asds = [ "modularize-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-hooks/2019-07-10/modularize-hooks-20190710-git.tgz";
      sha256 = "12kjvin8hxidwkzfb7inqv5b6g5qzcssnj9wc497v2ixc56fqdz7";
      system = "modularize-hooks";
      asd = "modularize-hooks";
    });
    systems = [ "modularize-hooks" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "modularize" pkgs) (getAttr "trivial-arguments" pkgs) ];
  };
  modularize-interfaces = {
    pname = "modularize-interfaces";
    version = "20210630-git";
    asds = [ "modularize-interfaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-interfaces/2021-06-30/modularize-interfaces-20210630-git.tgz";
      sha256 = "1jl11ffkrah3553wzysmxanhrzv3rnzi5x11ll626baf69im0v7x";
      system = "modularize-interfaces";
      asd = "modularize-interfaces";
    });
    systems = [ "modularize-interfaces" ];
    lispLibs = [ (getAttr "lambda-fiddle" pkgs) (getAttr "modularize" pkgs) (getAttr "trivial-arguments" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  modularize-test-module = {
    pname = "modularize-test-module";
    version = "20200427-git";
    asds = [ "modularize-test-module" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize/2020-04-27/modularize-20200427-git.tgz";
      sha256 = "1zys29rfkb649rkgl3snxhajk8d5yf7ryxkrwy020kwdh7zdsg7d";
      system = "modularize-test-module";
      asd = "modularize-test-module";
    });
    systems = [ "modularize-test-module" ];
    lispLibs = [ (getAttr "modularize" pkgs) ];
  };
  moira = {
    pname = "moira";
    version = "20171130-git";
    asds = [ "moira" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moira/2017-11-30/moira-20171130-git.tgz";
      sha256 = "0r6hvq8j04y1i85f8jwhhafylgfrkg8c1z5746nsbv0v0348sf5h";
      system = "moira";
      asd = "moira";
    });
    systems = [ "moira" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "osicat" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  monkeylib-html = {
    pname = "monkeylib-html";
    version = "20180228-git";
    asds = [ "monkeylib-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-html/2018-02-28/monkeylib-html-20180228-git.tgz";
      sha256 = "11a778ynyb8mhiy9fkpyg2x1p53hi1i9mry9gfin2r28mjgwj096";
      system = "monkeylib-html";
      asd = "monkeylib-html";
    });
    systems = [ "monkeylib-html" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "com_dot_gigamonkeys_dot_pathnames" pkgs) (getAttr "com_dot_gigamonkeys_dot_test-framework" pkgs) (getAttr "monkeylib-text-languages" pkgs) (getAttr "monkeylib-text-output" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  monkeylib-markup-html = {
    pname = "monkeylib-markup-html";
    version = "20120208-git";
    asds = [ "monkeylib-markup-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-markup-html/2012-02-08/monkeylib-markup-html-20120208-git.tgz";
      sha256 = "1kwnlb7dka9bqyc8a06lbsap8j83kdayk4m9a1m3mazjgaxlpv2a";
      system = "monkeylib-markup-html";
      asd = "monkeylib-markup-html";
    });
    systems = [ "monkeylib-markup-html" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "monkeylib-html" pkgs) (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "com_dot_gigamonkeys_dot_markup" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  monkeylib-text-languages = {
    pname = "monkeylib-text-languages";
    version = "20111203-git";
    asds = [ "monkeylib-text-languages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-text-languages/2011-12-03/monkeylib-text-languages-20111203-git.tgz";
      sha256 = "1f6hb3r2s5phz5z4rv3llyfi30vbxlq9qpipsq9vppmw51fvdsdk";
      system = "monkeylib-text-languages";
      asd = "monkeylib-text-languages";
    });
    systems = [ "monkeylib-text-languages" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "monkeylib-text-output" pkgs) ];
  };
  monkeylib-text-output = {
    pname = "monkeylib-text-output";
    version = "20111203-git";
    asds = [ "monkeylib-text-output" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-text-output/2011-12-03/monkeylib-text-output-20111203-git.tgz";
      sha256 = "0lygfxap2ppxxi0sbz8lig1h878ad84jwbp3c895r7h9svjh1ffm";
      system = "monkeylib-text-output";
      asd = "monkeylib-text-output";
    });
    systems = [ "monkeylib-text-output" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" pkgs) (getAttr "com_dot_gigamonkeys_dot_pathnames" pkgs) (getAttr "com_dot_gigamonkeys_dot_test-framework" pkgs) (getAttr "com_dot_gigamonkeys_dot_utilities" pkgs) ];
  };
  monomyth = {
    pname = "monomyth";
    version = "20211230-git";
    asds = [ "monomyth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monomyth/2021-12-30/monomyth-20211230-git.tgz";
      sha256 = "162g6fr7r2qdvfxhjgvq70p0grbvlllxih8g753jby2zcazb6syy";
      system = "monomyth";
      asd = "monomyth";
    });
    systems = [ "monomyth" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-algebraic-data-type" pkgs) (getAttr "cl-rabbit" pkgs) (getAttr "cl-store" pkgs) (getAttr "clack" pkgs) (getAttr "closer-mop" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "fset" pkgs) (getAttr "iterate" pkgs) (getAttr "jonathan" pkgs) (getAttr "ningle" pkgs) (getAttr "optima" pkgs) (getAttr "pzmq" pkgs) (getAttr "rutils" pkgs) (getAttr "stmx" pkgs) (getAttr "trivia" pkgs) (getAttr "uuid" pkgs) (getAttr "verbose" pkgs) (getAttr "woo" pkgs) ];
  };
  monomyth_slash_basic-example-master = {
    pname = "monomyth_basic-example-master";
    version = "20211230-git";
    asds = [ "monomyth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monomyth/2021-12-30/monomyth-20211230-git.tgz";
      sha256 = "162g6fr7r2qdvfxhjgvq70p0grbvlllxih8g753jby2zcazb6syy";
      system = "monomyth";
      asd = "monomyth";
    });
    systems = [ "monomyth/basic-example-master" ];
    lispLibs = [ (getAttr "monomyth" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  monomyth_slash_basic-example-worker = {
    pname = "monomyth_basic-example-worker";
    version = "20211230-git";
    asds = [ "monomyth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monomyth/2021-12-30/monomyth-20211230-git.tgz";
      sha256 = "162g6fr7r2qdvfxhjgvq70p0grbvlllxih8g753jby2zcazb6syy";
      system = "monomyth";
      asd = "monomyth";
    });
    systems = [ "monomyth/basic-example-worker" ];
    lispLibs = [ (getAttr "monomyth" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  monomyth_slash_tests = {
    pname = "monomyth_tests";
    version = "20211230-git";
    asds = [ "monomyth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monomyth/2021-12-30/monomyth-20211230-git.tgz";
      sha256 = "162g6fr7r2qdvfxhjgvq70p0grbvlllxih8g753jby2zcazb6syy";
      system = "monomyth";
      asd = "monomyth";
    });
    systems = [ "monomyth/tests" ];
    lispLibs = [ (getAttr "cl-mock" pkgs) (getAttr "dexador" pkgs) (getAttr "lparallel" pkgs) (getAttr "monomyth" pkgs) (getAttr "quri" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  montezuma = {
    pname = "montezuma";
    version = "20180228-git";
    asds = [ "montezuma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma";
      asd = "montezuma";
    });
    systems = [ "montezuma" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  montezuma-indexfiles = {
    pname = "montezuma-indexfiles";
    version = "20180228-git";
    asds = [ "montezuma-indexfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma-indexfiles";
      asd = "montezuma-indexfiles";
    });
    systems = [ "montezuma-indexfiles" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "montezuma" pkgs) ];
  };
  montezuma-tests = {
    pname = "montezuma-tests";
    version = "20180228-git";
    asds = [ "montezuma-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma-tests";
      asd = "montezuma";
    });
    systems = [ "montezuma-tests" ];
    lispLibs = [ (getAttr "montezuma" pkgs) (getAttr "trivial-timeout" pkgs) ];
  };
  moptilities = {
    pname = "moptilities";
    version = "20170403-git";
    asds = [ "moptilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moptilities/2017-04-03/moptilities-20170403-git.tgz";
      sha256 = "1q12bqjbj47lx98yim1kfnnhgfhkl80102fkgp9pdqxg0fp6g5fc";
      system = "moptilities";
      asd = "moptilities";
    });
    systems = [ "moptilities" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  moptilities-test = {
    pname = "moptilities-test";
    version = "20170403-git";
    asds = [ "moptilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moptilities/2017-04-03/moptilities-20170403-git.tgz";
      sha256 = "1q12bqjbj47lx98yim1kfnnhgfhkl80102fkgp9pdqxg0fp6g5fc";
      system = "moptilities-test";
      asd = "moptilities-test";
    });
    systems = [ "moptilities-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "moptilities" pkgs) ];
  };
  more-cffi = {
    pname = "more-cffi";
    version = "20221106-git";
    asds = [ "more-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/more-cffi/2022-11-06/more-cffi-20221106-git.tgz";
      sha256 = "0bnpz5c1c6paifdy2krrw2plz1w2rb90mghhip8154amwzgacm35";
      system = "more-cffi";
      asd = "more-cffi";
    });
    systems = [ "more-cffi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "iterate" pkgs) ];
  };
  more-conditions = {
    pname = "more-conditions";
    version = "20180831-git";
    asds = [ "more-conditions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/more-conditions/2018-08-31/more-conditions-20180831-git.tgz";
      sha256 = "1n0xbz0yiqn9dxf0ycm57wqvsr4gh2q4hs5fskjbv87c47d7l7zr";
      system = "more-conditions";
      asd = "more-conditions";
    });
    systems = [ "more-conditions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  more-conditions_slash_test = {
    pname = "more-conditions_test";
    version = "20180831-git";
    asds = [ "more-conditions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/more-conditions/2018-08-31/more-conditions-20180831-git.tgz";
      sha256 = "1n0xbz0yiqn9dxf0ycm57wqvsr4gh2q4hs5fskjbv87c47d7l7zr";
      system = "more-conditions";
      asd = "more-conditions";
    });
    systems = [ "more-conditions/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mp3-duration = {
    pname = "mp3-duration";
    version = "20160208-git";
    asds = [ "mp3-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mp3-duration/2016-02-08/mp3-duration-20160208-git.tgz";
      sha256 = "1mhn9g1kz2yan178m2adg0pz3dx2nmg7hq4gfmfz7lrlsxm08bs7";
      system = "mp3-duration";
      asd = "mp3-duration";
    });
    systems = [ "mp3-duration" ];
    lispLibs = [  ];
  };
  mp3-duration-test = {
    pname = "mp3-duration-test";
    version = "20160208-git";
    asds = [ "mp3-duration-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mp3-duration/2016-02-08/mp3-duration-20160208-git.tgz";
      sha256 = "1mhn9g1kz2yan178m2adg0pz3dx2nmg7hq4gfmfz7lrlsxm08bs7";
      system = "mp3-duration-test";
      asd = "mp3-duration-test";
    });
    systems = [ "mp3-duration-test" ];
    lispLibs = [ (getAttr "mp3-duration" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  mpc = {
    pname = "mpc";
    version = "20160929-git";
    asds = [ "mpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mpc/2016-09-29/mpc-20160929-git.tgz";
      sha256 = "1nig0v91m4ybcr19s50xijwv488qlma0b36zy6cric2y8wgclmsx";
      system = "mpc";
      asd = "mpc";
    });
    systems = [ "mpc" ];
    lispLibs = [  ];
  };
  mpg123-ffi = {
    pname = "mpg123-ffi";
    version = "20151218-git";
    asds = [ "mpg123-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mpg123-ffi";
      asd = "mpg123-ffi";
    });
    systems = [ "mpg123-ffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  mra-wavelet-plot = {
    pname = "mra-wavelet-plot";
    version = "20181210-git";
    asds = [ "mra-wavelet-plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mra-wavelet-plot/2018-12-10/mra-wavelet-plot-20181210-git.tgz";
      sha256 = "0d6sdgj1zvkliga9drsqnj4l748vbcwwz744ayq5nnvp5fvhnc29";
      system = "mra-wavelet-plot";
      asd = "mra-wavelet-plot";
    });
    systems = [ "mra-wavelet-plot" ];
    lispLibs = [  ];
  };
  mssql = {
    pname = "mssql";
    version = "20210124-git";
    asds = [ "mssql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mssql/2021-01-24/cl-mssql-20210124-git.tgz";
      sha256 = "09i50adppgc1ybm3ka9vbindhwa2x29f9n3n0jkrryymdhb8zknm";
      system = "mssql";
      asd = "mssql";
    });
    systems = [ "mssql" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "garbage-pools" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-number" pkgs) ];
  };
  mstrings = {
    pname = "mstrings";
    version = "20220707-git";
    asds = [ "mstrings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mstrings/2022-07-07/mstrings-20220707-git.tgz";
      sha256 = "0s1zqwnv9agvlp79gh7y06rmly56v8nm1l594rry9gzwvvx1jj1k";
      system = "mstrings";
      asd = "mstrings";
    });
    systems = [ "mstrings" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  mstrings_slash_test = {
    pname = "mstrings_test";
    version = "20220707-git";
    asds = [ "mstrings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mstrings/2022-07-07/mstrings-20220707-git.tgz";
      sha256 = "0s1zqwnv9agvlp79gh7y06rmly56v8nm1l594rry9gzwvvx1jj1k";
      system = "mstrings";
      asd = "mstrings";
    });
    systems = [ "mstrings/test" ];
    lispLibs = [ (getAttr "cl-syntax" pkgs) (getAttr "mstrings" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mt19937 = {
    pname = "mt19937";
    version = "1.1.1";
    asds = [ "mt19937" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mt19937/2011-02-19/mt19937-1.1.1.tgz";
      sha256 = "0h02ssnncc760b68ipm0sbrzrbnllp6fqabvw98w43af08s36xlg";
      system = "mt19937";
      asd = "mt19937";
    });
    systems = [ "mt19937" ];
    lispLibs = [  ];
  };
  mtif = {
    pname = "mtif";
    version = "20171130-git";
    asds = [ "mtif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mtif/2017-11-30/mtif-20171130-git.tgz";
      sha256 = "0fzlf0xawv579i4jp5l994d7m220py5j169klaj0l43frgxb4n7y";
      system = "mtif";
      asd = "mtif";
    });
    systems = [ "mtif" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  mtlisp = {
    pname = "mtlisp";
    version = "20130615-git";
    asds = [ "mtlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mtlisp/2013-06-15/mtlisp-20130615-git.tgz";
      sha256 = "0qpbhiy2z2q7mf4lf2lpj66a13xj7bj0c584d1i7zi156s2hcnvs";
      system = "mtlisp";
      asd = "mtlisp";
    });
    systems = [ "mtlisp" ];
    lispLibs = [ (getAttr "acl-compat" pkgs) ];
  };
  multilang-documentation = {
    pname = "multilang-documentation";
    version = "20190710-git";
    asds = [ "multilang-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multilang-documentation/2019-07-10/multilang-documentation-20190710-git.tgz";
      sha256 = "13y5jskx8n2b7kimpfarr8v777w3b7zj5swg1b99nj3hk0843ixw";
      system = "multilang-documentation";
      asd = "multilang-documentation";
    });
    systems = [ "multilang-documentation" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "language-codes" pkgs) (getAttr "system-locale" pkgs) ];
  };
  multilang-documentation-utils = {
    pname = "multilang-documentation-utils";
    version = "20190710-git";
    asds = [ "multilang-documentation-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils/2019-07-10/documentation-utils-20190710-git.tgz";
      sha256 = "098qhkqskmmrh4wix34mawf7p5c87yql28r51r75yjxj577k5idq";
      system = "multilang-documentation-utils";
      asd = "multilang-documentation-utils";
    });
    systems = [ "multilang-documentation-utils" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "multilang-documentation" pkgs) ];
  };
  multiple-value-variants = {
    pname = "multiple-value-variants";
    version = "1.0.1";
    asds = [ "multiple-value-variants" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiple-value-variants/2014-08-26/multiple-value-variants-1.0.1.tgz";
      sha256 = "0kb7bkgg2iri89ph2lcgfk57pf8h4r6471sn2jcyp5sz13g4f6yw";
      system = "multiple-value-variants";
      asd = "multiple-value-variants";
    });
    systems = [ "multiple-value-variants" ];
    lispLibs = [ (getAttr "enhanced-multiple-value-bind" pkgs) (getAttr "map-bind" pkgs) (getAttr "positional-lambda" pkgs) ];
  };
  multiposter = {
    pname = "multiposter";
    version = "20221106-git";
    asds = [ "multiposter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter";
      asd = "multiposter";
    });
    systems = [ "multiposter" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  multiposter-git = {
    pname = "multiposter-git";
    version = "20221106-git";
    asds = [ "multiposter-git" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-git";
      asd = "multiposter-git";
    });
    systems = [ "multiposter-git" ];
    lispLibs = [ (getAttr "legit" pkgs) (getAttr "multiposter" pkgs) ];
  };
  multiposter-lichat = {
    pname = "multiposter-lichat";
    version = "20221106-git";
    asds = [ "multiposter-lichat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-lichat";
      asd = "multiposter-lichat";
    });
    systems = [ "multiposter-lichat" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "lichat-tcp-client" pkgs) (getAttr "multiposter" pkgs) (getAttr "trivial-mimes" pkgs) ];
  };
  multiposter-mastodon = {
    pname = "multiposter-mastodon";
    version = "20221106-git";
    asds = [ "multiposter-mastodon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-mastodon";
      asd = "multiposter-mastodon";
    });
    systems = [ "multiposter-mastodon" ];
    lispLibs = [ (getAttr "multiposter" pkgs) (getAttr "tooter" pkgs) ];
  };
  multiposter-studio = {
    pname = "multiposter-studio";
    version = "20221106-git";
    asds = [ "multiposter-studio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-studio";
      asd = "multiposter-studio";
    });
    systems = [ "multiposter-studio" ];
    lispLibs = [ (getAttr "multiposter" pkgs) (getAttr "north-dexador" pkgs) (getAttr "studio-client" pkgs) ];
  };
  multiposter-tumblr = {
    pname = "multiposter-tumblr";
    version = "20221106-git";
    asds = [ "multiposter-tumblr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-tumblr";
      asd = "multiposter-tumblr";
    });
    systems = [ "multiposter-tumblr" ];
    lispLibs = [ (getAttr "humbler" pkgs) (getAttr "multiposter" pkgs) (getAttr "north-dexador" pkgs) ];
  };
  multiposter-twitter = {
    pname = "multiposter-twitter";
    version = "20221106-git";
    asds = [ "multiposter-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2022-11-06/multiposter-20221106-git.tgz";
      sha256 = "0c6ji1hg2i5gk60kijcyml2gvi23qyzr1byy08hjyvybajwwzza2";
      system = "multiposter-twitter";
      asd = "multiposter-twitter";
    });
    systems = [ "multiposter-twitter" ];
    lispLibs = [ (getAttr "chirp" pkgs) (getAttr "multiposter" pkgs) ];
  };
  multival-plist = {
    pname = "multival-plist";
    version = "20120305-git";
    asds = [ "multival-plist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multival-plist/2012-03-05/multival-plist-20120305-git.tgz";
      sha256 = "0cfca0qvngbvs9v4z8qpzr6wsjvf01jzaszagmasa4zkvmjycx1b";
      system = "multival-plist";
      asd = "multival-plist";
    });
    systems = [ "multival-plist" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  multival-plist-test = {
    pname = "multival-plist-test";
    version = "20120305-git";
    asds = [ "multival-plist-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multival-plist/2012-03-05/multival-plist-20120305-git.tgz";
      sha256 = "0cfca0qvngbvs9v4z8qpzr6wsjvf01jzaszagmasa4zkvmjycx1b";
      system = "multival-plist-test";
      asd = "multival-plist-test";
    });
    systems = [ "multival-plist-test" ];
    lispLibs = [ (getAttr "multival-plist" pkgs) (getAttr "cl-test-more" pkgs) ];
  };
  music-spelling = {
    pname = "music-spelling";
    version = "20221106-git";
    asds = [ "music-spelling" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/music-spelling/2022-11-06/music-spelling-20221106-git.tgz";
      sha256 = "1416np95bm2ikpcp17mlhdp9prw2skyznc6xcf0gh0yss59vigkl";
      system = "music-spelling";
      asd = "music-spelling";
    });
    systems = [ "music-spelling" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  mutility = {
    pname = "mutility";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) ];
  };
  mutility_slash_files = {
    pname = "mutility_files";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility/files" ];
    lispLibs = [ (getAttr "mutility" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mutility_slash_loopy = {
    pname = "mutility_loopy";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility/loopy" ];
    lispLibs = [ (getAttr "mutility" pkgs) (getAttr "trivial-do" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mutility_slash_most = {
    pname = "mutility_most";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility/most" ];
    lispLibs = [ (getAttr "mutility" pkgs) (getAttr "trivial-do" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mutility_slash_test-helpers = {
    pname = "mutility_test-helpers";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility/test-helpers" ];
    lispLibs = [ (getAttr "mutility" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mutility_slash_tests = {
    pname = "mutility_tests";
    version = "20221106-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2022-11-06/mutility-20221106-git.tgz";
      sha256 = "1kih8maw1wx97x9ciwy16bj0s392ninj4rdb22j4ad07sq0cv56k";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-patterns" pkgs) (getAttr "fiveam" pkgs) (getAttr "mutility" pkgs) (getAttr "trivial-do" pkgs) ];
    meta = {
      broken = true;
    };
  };
  mw-equiv = {
    pname = "mw-equiv";
    version = "0.1.3";
    asds = [ "mw-equiv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mw-equiv/2010-10-06/mw-equiv-0.1.3.tgz";
      sha256 = "1fl90wp0jp7l90mps53fq0kzb28f10qfr739527h03xwqccyylad";
      system = "mw-equiv";
      asd = "mw-equiv";
    });
    systems = [ "mw-equiv" ];
    lispLibs = [  ];
  };
  mystic = {
    pname = "mystic";
    version = "20160208-git";
    asds = [ "mystic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic";
      asd = "mystic";
    });
    systems = [ "mystic" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-mustache" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  mystic-file-mixin = {
    pname = "mystic-file-mixin";
    version = "20160208-git";
    asds = [ "mystic-file-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-file-mixin";
      asd = "mystic-file-mixin";
    });
    systems = [ "mystic-file-mixin" ];
    lispLibs = [ (getAttr "mystic" pkgs) ];
  };
  mystic-fiveam-mixin = {
    pname = "mystic-fiveam-mixin";
    version = "20160208-git";
    asds = [ "mystic-fiveam-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-fiveam-mixin";
      asd = "mystic-fiveam-mixin";
    });
    systems = [ "mystic-fiveam-mixin" ];
    lispLibs = [ (getAttr "mystic" pkgs) (getAttr "mystic-file-mixin" pkgs) ];
  };
  mystic-gitignore-mixin = {
    pname = "mystic-gitignore-mixin";
    version = "20160208-git";
    asds = [ "mystic-gitignore-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-gitignore-mixin";
      asd = "mystic-gitignore-mixin";
    });
    systems = [ "mystic-gitignore-mixin" ];
    lispLibs = [ (getAttr "mystic" pkgs) (getAttr "mystic-file-mixin" pkgs) ];
  };
  mystic-library-template = {
    pname = "mystic-library-template";
    version = "20160208-git";
    asds = [ "mystic-library-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-library-template";
      asd = "mystic-library-template";
    });
    systems = [ "mystic-library-template" ];
    lispLibs = [ (getAttr "mystic" pkgs) (getAttr "mystic-fiveam-mixin" pkgs) (getAttr "mystic-gitignore-mixin" pkgs) (getAttr "mystic-readme-mixin" pkgs) (getAttr "mystic-travis-mixin" pkgs) ];
  };
  mystic-readme-mixin = {
    pname = "mystic-readme-mixin";
    version = "20160208-git";
    asds = [ "mystic-readme-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-readme-mixin";
      asd = "mystic-readme-mixin";
    });
    systems = [ "mystic-readme-mixin" ];
    lispLibs = [ (getAttr "mystic" pkgs) (getAttr "mystic-file-mixin" pkgs) ];
  };
  mystic-test = {
    pname = "mystic-test";
    version = "20160208-git";
    asds = [ "mystic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-test";
      asd = "mystic-test";
    });
    systems = [ "mystic-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "mystic" pkgs) (getAttr "mystic-library-template" pkgs) ];
  };
  mystic-travis-mixin = {
    pname = "mystic-travis-mixin";
    version = "20160208-git";
    asds = [ "mystic-travis-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2016-02-08/mystic-20160208-git.tgz";
      sha256 = "1lqy2ijzpyamm15212z0xc5647fcbajs5argajgx33brz83afb5w";
      system = "mystic-travis-mixin";
      asd = "mystic-travis-mixin";
    });
    systems = [ "mystic-travis-mixin" ];
    lispLibs = [ (getAttr "mystic" pkgs) (getAttr "mystic-file-mixin" pkgs) ];
  };
  myway = {
    pname = "myway";
    version = "20221106-git";
    asds = [ "myway" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myway/2022-11-06/myway-20221106-git.tgz";
      sha256 = "0xac8xpbcvq457f2jzzkf46mh5ganf1k2ix8sg61hqqmld5z4dag";
      system = "myway";
      asd = "myway";
    });
    systems = [ "myway" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "map-set" pkgs) (getAttr "quri" pkgs) ];
  };
  myway-test = {
    pname = "myway-test";
    version = "20221106-git";
    asds = [ "myway-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myway/2022-11-06/myway-20221106-git.tgz";
      sha256 = "0xac8xpbcvq457f2jzzkf46mh5ganf1k2ix8sg61hqqmld5z4dag";
      system = "myway-test";
      asd = "myway-test";
    });
    systems = [ "myway-test" ];
    lispLibs = [ (getAttr "myway" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  myweb = {
    pname = "myweb";
    version = "20150608-git";
    asds = [ "myweb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myweb/2015-06-08/myweb-20150608-git.tgz";
      sha256 = "0yncx40mfw7yxbm5hli9hr3aw4x1lf1912adyvylldfjfh2yxcjy";
      system = "myweb";
      asd = "myweb";
    });
    systems = [ "myweb" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-log" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "usocket" pkgs) ];
  };
  nail = {
    pname = "nail";
    version = "20221106-git";
    asds = [ "nail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nail/2022-11-06/nail-20221106-git.tgz";
      sha256 = "0w6184qaaf6v8p55h088igr8b6snyfxn5hpynjhdbyh7sj8xdm9y";
      system = "nail";
      asd = "nail";
    });
    systems = [ "nail" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "eazy-gnuplot" pkgs) ];
  };
  named-closure = {
    pname = "named-closure";
    version = "20220220-git";
    asds = [ "named-closure" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-closure/2022-02-20/named-closure-20220220-git.tgz";
      sha256 = "1ppkl739fp4wypdqbav9i6y65rcxcj4zslrmbx96z3xx0sinv245";
      system = "named-closure";
      asd = "named-closure";
    });
    systems = [ "named-closure" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "hu_dot_dwim_dot_walker" pkgs) ];
  };
  named-read-macros = {
    pname = "named-read-macros";
    version = "20210228-git";
    asds = [ "named-read-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-read-macros/2021-02-28/named-read-macros-20210228-git.tgz";
      sha256 = "0bgqy43h06nq2p9avqix2k15ab306sghrz2pkr17pli87q0qkxhi";
      system = "named-read-macros";
      asd = "named-read-macros";
    });
    systems = [ "named-read-macros" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  named-read-macros-test = {
    pname = "named-read-macros-test";
    version = "20210228-git";
    asds = [ "named-read-macros-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-read-macros/2021-02-28/named-read-macros-20210228-git.tgz";
      sha256 = "0bgqy43h06nq2p9avqix2k15ab306sghrz2pkr17pli87q0qkxhi";
      system = "named-read-macros-test";
      asd = "named-read-macros-test";
    });
    systems = [ "named-read-macros-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "named-read-macros" pkgs) (getAttr "uiop" pkgs) ];
  };
  named-readtables = {
    pname = "named-readtables";
    version = "20220331-git";
    asds = [ "named-readtables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-readtables/2022-03-31/named-readtables-20220331-git.tgz";
      sha256 = "0gfgxywzbmavy0kpnxav11vz10qfzxwwrpgqaak9sgzg17g8x5yv";
      system = "named-readtables";
      asd = "named-readtables";
    });
    systems = [ "named-readtables" ];
    lispLibs = [  ];
  };
  named-readtables_slash_doc = {
    pname = "named-readtables_doc";
    version = "20220331-git";
    asds = [ "named-readtables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-readtables/2022-03-31/named-readtables-20220331-git.tgz";
      sha256 = "0gfgxywzbmavy0kpnxav11vz10qfzxwwrpgqaak9sgzg17g8x5yv";
      system = "named-readtables";
      asd = "named-readtables";
    });
    systems = [ "named-readtables/doc" ];
    lispLibs = [ (getAttr "mgl-pax" pkgs) (getAttr "named-readtables" pkgs) ];
    meta = {
      broken = true;
    };
  };
  named-readtables_slash_test = {
    pname = "named-readtables_test";
    version = "20220331-git";
    asds = [ "named-readtables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-readtables/2022-03-31/named-readtables-20220331-git.tgz";
      sha256 = "0gfgxywzbmavy0kpnxav11vz10qfzxwwrpgqaak9sgzg17g8x5yv";
      system = "named-readtables";
      asd = "named-readtables";
    });
    systems = [ "named-readtables/test" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nanovg-blob = {
    pname = "nanovg-blob";
    version = "stable-git";
    asds = [ "nanovg-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nanovg-blob/2020-10-16/nanovg-blob-stable-git.tgz";
      sha256 = "1q80inrlfcqqqc912jcskfn667jgq6lcw0jvhk270x5qpj8z2pfj";
      system = "nanovg-blob";
      asd = "nanovg-blob";
    });
    systems = [ "nanovg-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "glad-blob" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  napa-fft3 = {
    pname = "napa-fft3";
    version = "20151218-git";
    asds = [ "napa-fft3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/napa-fft3/2015-12-18/napa-fft3-20151218-git.tgz";
      sha256 = "1hxjf599xgwm28gbryy7q96j9ys6hfszmv0qxpr5698hxnhknscp";
      system = "napa-fft3";
      asd = "napa-fft3";
    });
    systems = [ "napa-fft3" ];
    lispLibs = [  ];
  };
  narrowed-types = {
    pname = "narrowed-types";
    version = "20180228-git";
    asds = [ "narrowed-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/narrowed-types/2018-02-28/narrowed-types-20180228-git.tgz";
      sha256 = "03v4jgdysapj3ndg2qij7liqc6n9zb07r5j4k1jhmhpml86jxg4g";
      system = "narrowed-types";
      asd = "narrowed-types";
    });
    systems = [ "narrowed-types" ];
    lispLibs = [  ];
  };
  narrowed-types-test = {
    pname = "narrowed-types-test";
    version = "20180228-git";
    asds = [ "narrowed-types-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/narrowed-types/2018-02-28/narrowed-types-20180228-git.tgz";
      sha256 = "03v4jgdysapj3ndg2qij7liqc6n9zb07r5j4k1jhmhpml86jxg4g";
      system = "narrowed-types-test";
      asd = "narrowed-types-test";
    });
    systems = [ "narrowed-types-test" ];
    lispLibs = [ (getAttr "narrowed-types" pkgs) (getAttr "rt" pkgs) ];
  };
  nbd = {
    pname = "nbd";
    version = "20211020-git";
    asds = [ "nbd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nbd/2021-10-20/nbd-20211020-git.tgz";
      sha256 = "1p9dpyvlpjm32a2ymhps782dp5pjya5bnky6sb20gf4zyw6r826n";
      system = "nbd";
      asd = "nbd";
    });
    systems = [ "nbd" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "lisp-binary" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
  };
  nbd_slash_simple-in-memory = {
    pname = "nbd_simple-in-memory";
    version = "20211020-git";
    asds = [ "nbd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nbd/2021-10-20/nbd-20211020-git.tgz";
      sha256 = "1p9dpyvlpjm32a2ymhps782dp5pjya5bnky6sb20gf4zyw6r826n";
      system = "nbd";
      asd = "nbd";
    });
    systems = [ "nbd/simple-in-memory" ];
    lispLibs = [ (getAttr "nbd" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ncurses-clone-for-lem = {
    pname = "ncurses-clone-for-lem";
    version = "20200427-git";
    asds = [ "ncurses-clone-for-lem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "ncurses-clone-for-lem";
      asd = "ncurses-clone-for-lem";
    });
    systems = [ "ncurses-clone-for-lem" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "lparallel" pkgs) (getAttr "application" pkgs) (getAttr "nsb-cga" pkgs) (getAttr "text-subsystem" pkgs) (getAttr "utility" pkgs) ];
  };
  ndebug = {
    pname = "ndebug";
    version = "20221106-git";
    asds = [ "ndebug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ndebug/2022-11-06/ndebug-20221106-git.tgz";
      sha256 = "0xqy0spn4s7jryzhx0bjnha7bir71wr9vbns8v7dmmj83s3hm7js";
      system = "ndebug";
      asd = "ndebug";
    });
    systems = [ "ndebug" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "dissect" pkgs) (getAttr "trivial-custom-debugger" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  ndebug_slash_tests = {
    pname = "ndebug_tests";
    version = "20221106-git";
    asds = [ "ndebug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ndebug/2022-11-06/ndebug-20221106-git.tgz";
      sha256 = "0xqy0spn4s7jryzhx0bjnha7bir71wr9vbns8v7dmmj83s3hm7js";
      system = "ndebug";
      asd = "ndebug";
    });
    systems = [ "ndebug/tests" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "ndebug" pkgs) ];
    meta = {
      broken = true;
    };
  };
  ndfa = {
    pname = "ndfa";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "ndfa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "ndfa";
      asd = "ndfa";
    });
    systems = [ "ndfa" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) ];
  };
  ndfa-test = {
    pname = "ndfa-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "ndfa-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "ndfa-test";
      asd = "ndfa-test";
    });
    systems = [ "ndfa-test" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "ndfa" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  neo4cl = {
    pname = "neo4cl";
    version = "20220707-git";
    asds = [ "neo4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neo4cl/2022-07-07/neo4cl-20220707-git.tgz";
      sha256 = "196c32gh6kq0iqjc4z9sq1hiad77rp6zyrn5fbkmhw1qnznn5p9n";
      system = "neo4cl";
      asd = "neo4cl";
    });
    systems = [ "neo4cl" ];
    lispLibs = [ (getAttr "ieee-floats" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "usocket" pkgs) ];
  };
  neo4cl-test = {
    pname = "neo4cl-test";
    version = "20220707-git";
    asds = [ "neo4cl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neo4cl/2022-07-07/neo4cl-20220707-git.tgz";
      sha256 = "196c32gh6kq0iqjc4z9sq1hiad77rp6zyrn5fbkmhw1qnznn5p9n";
      system = "neo4cl-test";
      asd = "neo4cl-test";
    });
    systems = [ "neo4cl-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "neo4cl" pkgs) ];
  };
  net-telent-date = {
    pname = "net-telent-date";
    version = "0.42";
    asds = [ "net-telent-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/net-telent-date/2010-10-06/net-telent-date_0.42.tgz";
      sha256 = "0vgibf76hy3zy39pix367xnvpwxiqsxvv6w0gqdxprd5ljpb7g2j";
      system = "net-telent-date";
      asd = "net-telent-date";
    });
    systems = [ "net-telent-date" ];
    lispLibs = [  ];
  };
  net_dot_didierverna_dot_asdf-flv = {
    pname = "net.didierverna.asdf-flv";
    version = "version-2.1";
    asds = [ "net.didierverna.asdf-flv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-flv/2016-04-21/asdf-flv-version-2.1.tgz";
      sha256 = "10094avq2whg8j5dnvla5wzqk5h36bx74lxbdbhdchv0wvn5x0g4";
      system = "net.didierverna.asdf-flv";
      asd = "net.didierverna.asdf-flv";
    });
    systems = [ "net.didierverna.asdf-flv" ];
    lispLibs = [  ];
  };
  net_dot_didierverna_dot_clon = {
    pname = "net.didierverna.clon";
    version = "clon-1.0b25";
    asds = [ "net.didierverna.clon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "net.didierverna.clon";
      asd = "net.didierverna.clon";
    });
    systems = [ "net.didierverna.clon" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_core" pkgs) (getAttr "net_dot_didierverna_dot_clon_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_clon_dot_core = {
    pname = "net.didierverna.clon.core";
    version = "clon-1.0b25";
    asds = [ "net.didierverna.clon.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "net.didierverna.clon.core";
      asd = "net.didierverna.clon.core";
    });
    systems = [ "net.didierverna.clon.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_clon_dot_setup = {
    pname = "net.didierverna.clon.setup";
    version = "clon-1.0b25";
    asds = [ "net.didierverna.clon.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "net.didierverna.clon.setup";
      asd = "net.didierverna.clon.setup";
    });
    systems = [ "net.didierverna.clon.setup" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  net_dot_didierverna_dot_clon_dot_setup_slash_termio = {
    pname = "net.didierverna.clon.setup_termio";
    version = "clon-1.0b25";
    asds = [ "net.didierverna.clon.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "net.didierverna.clon.setup";
      asd = "net.didierverna.clon.setup";
    });
    systems = [ "net.didierverna.clon.setup/termio" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_setup" pkgs) ];
    meta = {
      broken = true;
    };
  };
  net_dot_didierverna_dot_declt = {
    pname = "net.didierverna.declt";
    version = "4.0b2";
    asds = [ "net.didierverna.declt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt";
      asd = "net.didierverna.declt";
    });
    systems = [ "net.didierverna.declt" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_core" pkgs) (getAttr "net_dot_didierverna_dot_declt_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_declt_dot_assess = {
    pname = "net.didierverna.declt.assess";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.assess" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.assess";
      asd = "net.didierverna.declt.assess";
    });
    systems = [ "net.didierverna.declt.assess" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_declt_dot_core = {
    pname = "net.didierverna.declt.core";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.core";
      asd = "net.didierverna.declt.core";
    });
    systems = [ "net.didierverna.declt.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_assess" pkgs) (getAttr "net_dot_didierverna_dot_declt_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_declt_dot_setup = {
    pname = "net.didierverna.declt.setup";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.setup";
      asd = "net.didierverna.declt.setup";
    });
    systems = [ "net.didierverna.declt.setup" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  net_dot_didierverna_dot_focus = {
    pname = "net.didierverna.focus";
    version = "20170403-git";
    asds = [ "net.didierverna.focus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus";
      asd = "net.didierverna.focus";
    });
    systems = [ "net.didierverna.focus" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_core" pkgs) (getAttr "net_dot_didierverna_dot_focus_dot_flv" pkgs) (getAttr "net_dot_didierverna_dot_focus_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_focus_dot_core = {
    pname = "net.didierverna.focus.core";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.core";
      asd = "net.didierverna.focus.core";
    });
    systems = [ "net.didierverna.focus.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_focus_dot_demos_dot_quotation = {
    pname = "net.didierverna.focus.demos.quotation";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.demos.quotation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.demos.quotation";
      asd = "net.didierverna.focus.demos.quotation";
    });
    systems = [ "net.didierverna.focus.demos.quotation" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_flv" pkgs) ];
  };
  net_dot_didierverna_dot_focus_dot_flv = {
    pname = "net.didierverna.focus.flv";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.flv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.flv";
      asd = "net.didierverna.focus.flv";
    });
    systems = [ "net.didierverna.focus.flv" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_asdf-flv" pkgs) (getAttr "net_dot_didierverna_dot_focus_dot_core" pkgs) (getAttr "net_dot_didierverna_dot_focus_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_focus_dot_setup = {
    pname = "net.didierverna.focus.setup";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.setup";
      asd = "net.didierverna.focus.setup";
    });
    systems = [ "net.didierverna.focus.setup" ];
    lispLibs = [  ];
  };
  net_dot_didierverna_dot_focus_dot_setup_slash_flv = {
    pname = "net.didierverna.focus.setup_flv";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.setup";
      asd = "net.didierverna.focus.setup";
    });
    systems = [ "net.didierverna.focus.setup/flv" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_setup" pkgs) ];
    meta = {
      broken = true;
    };
  };
  net_dot_didierverna_dot_tfm = {
    pname = "net.didierverna.tfm";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm";
      asd = "net.didierverna.tfm";
    });
    systems = [ "net.didierverna.tfm" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_tfm_dot_core" pkgs) ];
  };
  net_dot_didierverna_dot_tfm_dot_core = {
    pname = "net.didierverna.tfm.core";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm.core";
      asd = "net.didierverna.tfm.core";
    });
    systems = [ "net.didierverna.tfm.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_tfm_dot_setup" pkgs) ];
  };
  net_dot_didierverna_dot_tfm_dot_setup = {
    pname = "net.didierverna.tfm.setup";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm.setup";
      asd = "net.didierverna.tfm.setup";
    });
    systems = [ "net.didierverna.tfm.setup" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  net_dot_scipolis_dot_graphs = {
    pname = "net.scipolis.graphs";
    version = "20210411-git";
    asds = [ "net.scipolis.graphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "net.scipolis.graphs";
      asd = "net.scipolis.graphs";
    });
    systems = [ "net.scipolis.graphs" ];
    lispLibs = [ (getAttr "femlisp-basic" pkgs) ];
  };
  network-addresses = {
    pname = "network-addresses";
    version = "20160628-git";
    asds = [ "network-addresses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/network-addresses/2016-06-28/network-addresses-20160628-git.tgz";
      sha256 = "0zkyfdvfy9pz08vrgz40qpnqx0y7vf92aarp9dq2wipimnwy8df2";
      system = "network-addresses";
      asd = "network-addresses";
    });
    systems = [ "network-addresses" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  network-addresses-test = {
    pname = "network-addresses-test";
    version = "20160628-git";
    asds = [ "network-addresses-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/network-addresses/2016-06-28/network-addresses-20160628-git.tgz";
      sha256 = "0zkyfdvfy9pz08vrgz40qpnqx0y7vf92aarp9dq2wipimnwy8df2";
      system = "network-addresses-test";
      asd = "network-addresses-test";
    });
    systems = [ "network-addresses-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "network-addresses" pkgs) ];
  };
  neural-classifier = {
    pname = "neural-classifier";
    version = "20221106-git";
    asds = [ "neural-classifier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neural-classifier/2022-11-06/neural-classifier-20221106-git.tgz";
      sha256 = "1d23q1k3i2kbjcrvp0qml2nmmdcr12lrmga3qdrgrvsbdcqarn3c";
      system = "neural-classifier";
      asd = "neural-classifier";
    });
    systems = [ "neural-classifier" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "magicl" pkgs) (getAttr "snakes" pkgs) ];
  };
  neural-classifier_slash_mnist = {
    pname = "neural-classifier_mnist";
    version = "20221106-git";
    asds = [ "neural-classifier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neural-classifier/2022-11-06/neural-classifier-20221106-git.tgz";
      sha256 = "1d23q1k3i2kbjcrvp0qml2nmmdcr12lrmga3qdrgrvsbdcqarn3c";
      system = "neural-classifier";
      asd = "neural-classifier";
    });
    systems = [ "neural-classifier/mnist" ];
    lispLibs = [ (getAttr "neural-classifier" pkgs) (getAttr "nibbles" pkgs) ];
    meta = {
      broken = true;
    };
  };
  neural-classifier_slash_tests = {
    pname = "neural-classifier_tests";
    version = "20221106-git";
    asds = [ "neural-classifier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neural-classifier/2022-11-06/neural-classifier-20221106-git.tgz";
      sha256 = "1d23q1k3i2kbjcrvp0qml2nmmdcr12lrmga3qdrgrvsbdcqarn3c";
      system = "neural-classifier";
      asd = "neural-classifier";
    });
    systems = [ "neural-classifier/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "neural-classifier" pkgs) (getAttr "nibbles" pkgs) ];
    meta = {
      broken = true;
    };
  };
  new-op = {
    pname = "new-op";
    version = "20211230-git";
    asds = [ "new-op" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/new-op/2021-12-30/new-op-20211230-git.tgz";
      sha256 = "10336s6nly62jg08f6mvybg54c797znhxkr3wiaphpxn4i24vaql";
      system = "new-op";
      asd = "new-op";
    });
    systems = [ "new-op" ];
    lispLibs = [  ];
  };
  nfiles = {
    pname = "nfiles";
    version = "20221106-git";
    asds = [ "nfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nfiles/2022-11-06/nfiles-20221106-git.tgz";
      sha256 = "088biha7554794vlz0n9h1b4xwfs6k2rfkh034km3lirn73z5vwp";
      system = "nfiles";
      asd = "nfiles";
    });
    systems = [ "nfiles" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  nfiles_slash_tests = {
    pname = "nfiles_tests";
    version = "20221106-git";
    asds = [ "nfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nfiles/2022-11-06/nfiles-20221106-git.tgz";
      sha256 = "088biha7554794vlz0n9h1b4xwfs6k2rfkh034km3lirn73z5vwp";
      system = "nfiles";
      asd = "nfiles";
    });
    systems = [ "nfiles/tests" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "nfiles" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nhooks = {
    pname = "nhooks";
    version = "20221106-git";
    asds = [ "nhooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nhooks/2022-11-06/nhooks-20221106-git.tgz";
      sha256 = "0dy1jvsrifqck4zhw93s5nhl2ana5yinqr7sqgn0j9r9ic1pw5rj";
      system = "nhooks";
      asd = "nhooks";
    });
    systems = [ "nhooks" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "serapeum" pkgs) ];
  };
  nibbles = {
    pname = "nibbles";
    version = "20220331-git";
    asds = [ "nibbles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles/2022-03-31/nibbles-20220331-git.tgz";
      sha256 = "1idnscdw39zfk4h11x0jm6yjbj7i7l1wl75pd7p4iygc6zcwdi6l";
      system = "nibbles";
      asd = "nibbles";
    });
    systems = [ "nibbles" ];
    lispLibs = [  ];
  };
  nibbles-streams = {
    pname = "nibbles-streams";
    version = "20220707-git";
    asds = [ "nibbles-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles-streams/2022-07-07/nibbles-streams-20220707-git.tgz";
      sha256 = "0c5q5rywdrpldmga9kmjfvy3nxba3rbinnrpz93qw921jgb77war";
      system = "nibbles-streams";
      asd = "nibbles-streams";
    });
    systems = [ "nibbles-streams" ];
    lispLibs = [ (getAttr "nibbles" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  nibbles-streams_slash_tests = {
    pname = "nibbles-streams_tests";
    version = "20220707-git";
    asds = [ "nibbles-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles-streams/2022-07-07/nibbles-streams-20220707-git.tgz";
      sha256 = "0c5q5rywdrpldmga9kmjfvy3nxba3rbinnrpz93qw921jgb77war";
      system = "nibbles-streams";
      asd = "nibbles-streams";
    });
    systems = [ "nibbles-streams/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "nibbles-streams" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nibbles_slash_tests = {
    pname = "nibbles_tests";
    version = "20220331-git";
    asds = [ "nibbles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles/2022-03-31/nibbles-20220331-git.tgz";
      sha256 = "1idnscdw39zfk4h11x0jm6yjbj7i7l1wl75pd7p4iygc6zcwdi6l";
      system = "nibbles";
      asd = "nibbles";
    });
    systems = [ "nibbles/tests" ];
    lispLibs = [ (getAttr "nibbles" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nineveh = {
    pname = "nineveh";
    version = "release-quicklisp-0a10a846-git";
    asds = [ "nineveh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nineveh/2019-10-07/nineveh-release-quicklisp-0a10a846-git.tgz";
      sha256 = "0bpdgqc9iz37240ypirpi489pnqpb92i94snyhjbh87i50y4br2l";
      system = "nineveh";
      asd = "nineveh";
    });
    systems = [ "nineveh" ];
    lispLibs = [ (getAttr "cepl" pkgs) (getAttr "cl-soil" pkgs) (getAttr "dendrite_dot_primitives" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "easing" pkgs) (getAttr "livesupport" pkgs) (getAttr "rtg-math_dot_vari" pkgs) (getAttr "with-setf" pkgs) ];
  };
  ningle = {
    pname = "ningle";
    version = "20211230-git";
    asds = [ "ningle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ningle/2021-12-30/ningle-20211230-git.tgz";
      sha256 = "0s9nn8ml1j4839rycvdjcbsynkqnhxw1zmrgpjz48smscwdf1f8p";
      system = "ningle";
      asd = "ningle";
    });
    systems = [ "ningle" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "lack-component" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-response" pkgs) (getAttr "myway" pkgs) ];
  };
  ningle-test = {
    pname = "ningle-test";
    version = "20211230-git";
    asds = [ "ningle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ningle/2021-12-30/ningle-20211230-git.tgz";
      sha256 = "0s9nn8ml1j4839rycvdjcbsynkqnhxw1zmrgpjz48smscwdf1f8p";
      system = "ningle-test";
      asd = "ningle-test";
    });
    systems = [ "ningle-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "clack-test" pkgs) (getAttr "drakma" pkgs) (getAttr "ningle" pkgs) (getAttr "prove" pkgs) (getAttr "yason" pkgs) ];
  };
  nkeymaps = {
    pname = "nkeymaps";
    version = "20221106-git";
    asds = [ "nkeymaps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nkeymaps/2022-11-06/nkeymaps-20221106-git.tgz";
      sha256 = "1drq8pdg850z9fmlwyhxxn0k5d438h0i758f5gxzl5xw3x03rb1k";
      system = "nkeymaps";
      asd = "nkeymaps";
    });
    systems = [ "nkeymaps" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fset" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "uiop" pkgs) ];
  };
  nkeymaps_slash_tests = {
    pname = "nkeymaps_tests";
    version = "20221106-git";
    asds = [ "nkeymaps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nkeymaps/2022-11-06/nkeymaps-20221106-git.tgz";
      sha256 = "1drq8pdg850z9fmlwyhxxn0k5d438h0i758f5gxzl5xw3x03rb1k";
      system = "nkeymaps";
      asd = "nkeymaps";
    });
    systems = [ "nkeymaps/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fset" pkgs) (getAttr "lisp-unit2" pkgs) (getAttr "nkeymaps" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nlopt = {
    pname = "nlopt";
    version = "20220707-git";
    asds = [ "nlopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nlopt/2022-07-07/nlopt-20220707-git.tgz";
      sha256 = "01zw4yx38kc8x3by0m3dw5j87hwb180ggp4njfnzi1qjq1fdczp5";
      system = "nlopt";
      asd = "nlopt";
    });
    systems = [ "nlopt" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  nodgui = {
    pname = "nodgui";
    version = "20221106-git";
    asds = [ "nodgui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nodgui/2022-11-06/nodgui-20221106-git.tgz";
      sha256 = "0h03w7jrf0zj9px9kgk2nqydb5w9qhdjirjgp978vc8v41hz8ciy";
      system = "nodgui";
      asd = "nodgui";
    });
    systems = [ "nodgui" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-colors2" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "cl-lex" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "yacc" pkgs) (getAttr "clunit2" pkgs) (getAttr "named-readtables" pkgs) (getAttr "parse-number" pkgs) ];
  };
  north = {
    pname = "north";
    version = "20210411-git";
    asds = [ "north" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2021-04-11/north-20210411-git.tgz";
      sha256 = "1gaa3vcl6fg13kjslrmwgi7736zhi9haza2ghfnz90x5g65qd9l1";
      system = "north";
      asd = "north";
    });
    systems = [ "north" ];
    lispLibs = [ (getAttr "north-drakma" pkgs) ];
  };
  north-core = {
    pname = "north-core";
    version = "20210411-git";
    asds = [ "north-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2021-04-11/north-20210411-git.tgz";
      sha256 = "1gaa3vcl6fg13kjslrmwgi7736zhi9haza2ghfnz90x5g65qd9l1";
      system = "north-core";
      asd = "north-core";
    });
    systems = [ "north-core" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "crypto-shortcuts" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "uuid" pkgs) ];
  };
  north-dexador = {
    pname = "north-dexador";
    version = "20210411-git";
    asds = [ "north-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2021-04-11/north-20210411-git.tgz";
      sha256 = "1gaa3vcl6fg13kjslrmwgi7736zhi9haza2ghfnz90x5g65qd9l1";
      system = "north-dexador";
      asd = "north-dexador";
    });
    systems = [ "north-dexador" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "north-core" pkgs) ];
  };
  north-drakma = {
    pname = "north-drakma";
    version = "20210411-git";
    asds = [ "north-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2021-04-11/north-20210411-git.tgz";
      sha256 = "1gaa3vcl6fg13kjslrmwgi7736zhi9haza2ghfnz90x5g65qd9l1";
      system = "north-drakma";
      asd = "north-drakma";
    });
    systems = [ "north-drakma" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "north-core" pkgs) ];
  };
  north-example = {
    pname = "north-example";
    version = "20210411-git";
    asds = [ "north-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2021-04-11/north-20210411-git.tgz";
      sha256 = "1gaa3vcl6fg13kjslrmwgi7736zhi9haza2ghfnz90x5g65qd9l1";
      system = "north-example";
      asd = "north-example";
    });
    systems = [ "north-example" ];
    lispLibs = [ (getAttr "clip" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "north" pkgs) ];
  };
  nsb-cga = {
    pname = "nsb-cga";
    version = "20200427-git";
    asds = [ "nsb-cga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "nsb-cga";
      asd = "nsb-cga";
    });
    systems = [ "nsb-cga" ];
    lispLibs = [ (getAttr "cl-reexport" pkgs) ];
  };
  nsort = {
    pname = "nsort";
    version = "20150505-git";
    asds = [ "nsort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nsort/2015-05-05/nsort-20150505-git.tgz";
      sha256 = "1q58slg8pl390av8pv16xb8g9qibgy3pm6vyl1fw75mx37yqkyd3";
      system = "nsort";
      asd = "nsort";
    });
    systems = [ "nsort" ];
    lispLibs = [ (getAttr "prove" pkgs) ];
  };
  nst = {
    pname = "nst";
    version = "20210807-git";
    asds = [ "nst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst";
      asd = "nst";
    });
    systems = [ "nst" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "org-sampler" pkgs) ];
  };
  nst-manual-tests = {
    pname = "nst-manual-tests";
    version = "20210807-git";
    asds = [ "nst-manual-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-manual-tests";
      asd = "nst-manual-tests";
    });
    systems = [ "nst-manual-tests" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-selftest-utils" pkgs) ];
  };
  nst-meta-tests = {
    pname = "nst-meta-tests";
    version = "20210807-git";
    asds = [ "nst-meta-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-meta-tests";
      asd = "nst-meta-tests";
    });
    systems = [ "nst-meta-tests" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-selftest-utils" pkgs) ];
  };
  nst-mop-utils = {
    pname = "nst-mop-utils";
    version = "20210807-git";
    asds = [ "nst-mop-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-mop-utils";
      asd = "nst-mop-utils";
    });
    systems = [ "nst-mop-utils" ];
    lispLibs = [ (getAttr "nst" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  nst-selftest-utils = {
    pname = "nst-selftest-utils";
    version = "20210807-git";
    asds = [ "nst-selftest-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-selftest-utils";
      asd = "nst-selftest-utils";
    });
    systems = [ "nst-selftest-utils" ];
    lispLibs = [ (getAttr "nst" pkgs) ];
  };
  nst-simple-tests = {
    pname = "nst-simple-tests";
    version = "20210807-git";
    asds = [ "nst-simple-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-simple-tests";
      asd = "nst-simple-tests";
    });
    systems = [ "nst-simple-tests" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-selftest-utils" pkgs) ];
  };
  nst-test = {
    pname = "nst-test";
    version = "20210807-git";
    asds = [ "nst-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-test";
      asd = "nst-test";
    });
    systems = [ "nst-test" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-meta-tests" pkgs) (getAttr "nst-simple-tests" pkgs) ];
  };
  nst-test-jenkins = {
    pname = "nst-test-jenkins";
    version = "20210807-git";
    asds = [ "nst-test-jenkins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-test-jenkins";
      asd = "nst-test-jenkins";
    });
    systems = [ "nst-test-jenkins" ];
    lispLibs = [ (getAttr "asdf-nst" pkgs) (getAttr "nst" pkgs) (getAttr "nst-test" pkgs) ];
  };
  nuclblog = {
    pname = "nuclblog";
    version = "20140826-git";
    asds = [ "nuclblog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuclblog/2014-08-26/nuclblog-20140826-git.tgz";
      sha256 = "03ngrxas65l7h9ykyy100arm0imvnrxxyyf809l8iqqv87b3k1hz";
      system = "nuclblog";
      asd = "nuclblog";
    });
    systems = [ "nuclblog" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "cl-store" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "hunchentoot-auth" pkgs) (getAttr "md5" pkgs) ];
  };
  nuklear-blob = {
    pname = "nuklear-blob";
    version = "stable-git";
    asds = [ "nuklear-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuklear-blob/2020-10-16/nuklear-blob-stable-git.tgz";
      sha256 = "1qqx08sd74ix027p6w35yr0ycp72swy1zzps015hwkiwxsawkncm";
      system = "nuklear-blob";
      asd = "nuklear-blob";
    });
    systems = [ "nuklear-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "glad-blob" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  nuklear-renderer-blob = {
    pname = "nuklear-renderer-blob";
    version = "stable-git";
    asds = [ "nuklear-renderer-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuklear-renderer-blob/2020-10-16/nuklear-renderer-blob-stable-git.tgz";
      sha256 = "0f73ns9dq02v7ixpbnvrfgp52cjdvmbbbhhfwjyv0ywxx30mrdq4";
      system = "nuklear-renderer-blob";
      asd = "nuklear-renderer-blob";
    });
    systems = [ "nuklear-renderer-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "glad-blob" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  null-package = {
    pname = "null-package";
    version = "20220707-git";
    asds = [ "null-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/null-package/2022-07-07/null-package-20220707-git.tgz";
      sha256 = "1ildain46gw0nfnxdwfvasr5vg1fs93afni3k65sl5imc82g910f";
      system = "null-package";
      asd = "null-package";
    });
    systems = [ "null-package" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "core-reader" pkgs) (getAttr "named-readtables" pkgs) (getAttr "read-as-string" pkgs) ];
  };
  null-package_dot_test = {
    pname = "null-package.test";
    version = "20220707-git";
    asds = [ "null-package.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/null-package/2022-07-07/null-package-20220707-git.tgz";
      sha256 = "1ildain46gw0nfnxdwfvasr5vg1fs93afni3k65sl5imc82g910f";
      system = "null-package.test";
      asd = "null-package.test";
    });
    systems = [ "null-package.test" ];
    lispLibs = [ (getAttr "bnf" pkgs) (getAttr "jingoh" pkgs) (getAttr "null-package" pkgs) ];
  };
  num-utils = {
    pname = "num-utils";
    version = "20221106-git";
    asds = [ "num-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numerical-utilities/2022-11-06/numerical-utilities-20221106-git.tgz";
      sha256 = "1dwz8zxhqzi31qp863zj1cn1lgljny14snycb9nk871qs121kmsd";
      system = "num-utils";
      asd = "num-utils";
    });
    systems = [ "num-utils" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "alexandria_plus" pkgs) (getAttr "anaphora" pkgs) (getAttr "array-operations" pkgs) (getAttr "let-plus" pkgs) (getAttr "select" pkgs) ];
  };
  num-utils_slash_tests = {
    pname = "num-utils_tests";
    version = "20221106-git";
    asds = [ "num-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numerical-utilities/2022-11-06/numerical-utilities-20221106-git.tgz";
      sha256 = "1dwz8zxhqzi31qp863zj1cn1lgljny14snycb9nk871qs121kmsd";
      system = "num-utils";
      asd = "num-utils";
    });
    systems = [ "num-utils/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "num-utils" pkgs) (getAttr "select" pkgs) ];
    meta = {
      broken = true;
    };
  };
  numcl = {
    pname = "numcl";
    version = "20221106-git";
    asds = [ "numcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numcl/2022-11-06/numcl-20221106-git.tgz";
      sha256 = "1x0j4vx5w3rn18pssfwys3ghfxr2lkkrv37y47144kr890jrcad9";
      system = "numcl";
      asd = "numcl";
    });
    systems = [ "numcl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-randist" pkgs) (getAttr "constantfold" pkgs) (getAttr "float-features" pkgs) (getAttr "function-cache" pkgs) (getAttr "gtype" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "specialized-function" pkgs) (getAttr "trivia" pkgs) (getAttr "type-r" pkgs) ];
  };
  numcl_dot_test = {
    pname = "numcl.test";
    version = "20221106-git";
    asds = [ "numcl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numcl/2022-11-06/numcl-20221106-git.tgz";
      sha256 = "1x0j4vx5w3rn18pssfwys3ghfxr2lkkrv37y47144kr890jrcad9";
      system = "numcl.test";
      asd = "numcl.test";
    });
    systems = [ "numcl.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "numcl" pkgs) ];
  };
  numericals = {
    pname = "numericals";
    version = "2022.09.0";
    asds = [ "numericals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numericals/2022-11-06/numericals-2022.09.0.tgz";
      sha256 = "0hfyd045yq7pr4sh9xgqag67yrvnfia1h8ycnxss244zrziabyci";
      system = "numericals";
      asd = "numericals";
    });
    systems = [ "numericals" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "bmas" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "compiler-macro-notes" pkgs) (getAttr "ctype" pkgs) (getAttr "fiveam" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "iterate" pkgs) (getAttr "lparallel" pkgs) (getAttr "magicl" pkgs) (getAttr "numericals_dot_common" pkgs) (getAttr "policy-cond" pkgs) (getAttr "polymorphic-functions" pkgs) (getAttr "swank" pkgs) (getAttr "specialized-function" pkgs) (getAttr "trivial-coerce" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  numericals_dot_common = {
    pname = "numericals.common";
    version = "2022.09.0";
    asds = [ "numericals.common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numericals/2022-11-06/numericals-2022.09.0.tgz";
      sha256 = "0hfyd045yq7pr4sh9xgqag67yrvnfia1h8ycnxss244zrziabyci";
      system = "numericals.common";
      asd = "numericals.common";
    });
    systems = [ "numericals.common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) ];
  };
  numericals_slash_benchmarks = {
    pname = "numericals_benchmarks";
    version = "2022.09.0";
    asds = [ "numericals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numericals/2022-11-06/numericals-2022.09.0.tgz";
      sha256 = "0hfyd045yq7pr4sh9xgqag67yrvnfia1h8ycnxss244zrziabyci";
      system = "numericals";
      asd = "numericals";
    });
    systems = [ "numericals/benchmarks" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ascii-table" pkgs) (getAttr "fiveam" pkgs) (getAttr "jsown-utils" pkgs) (getAttr "numericals" pkgs) (getAttr "py4cl2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  numpy-file-format = {
    pname = "numpy-file-format";
    version = "20210124-git";
    asds = [ "numpy-file-format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numpy-file-format/2021-01-24/numpy-file-format-20210124-git.tgz";
      sha256 = "0j7jjcf6k3anvgpm4nf81g6gbhff44v0v9rai7kwm2bm3abzsjfd";
      system = "numpy-file-format";
      asd = "numpy-file-format";
    });
    systems = [ "numpy-file-format" ];
    lispLibs = [ (getAttr "ieee-floats" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  numpy-file-format_slash_tests = {
    pname = "numpy-file-format_tests";
    version = "20210124-git";
    asds = [ "numpy-file-format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numpy-file-format/2021-01-24/numpy-file-format-20210124-git.tgz";
      sha256 = "0j7jjcf6k3anvgpm4nf81g6gbhff44v0v9rai7kwm2bm3abzsjfd";
      system = "numpy-file-format";
      asd = "numpy-file-format";
    });
    systems = [ "numpy-file-format/tests" ];
    lispLibs = [ (getAttr "numpy-file-format" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nxt = {
    pname = "nxt";
    version = "20150608-git";
    asds = [ "nxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nxt/2015-06-08/cl-nxt-20150608-git.tgz";
      sha256 = "1r9004ra140i9v2pmxnjv86dix4040jr0rgww2zwk370zxys7h2g";
      system = "nxt";
      asd = "nxt";
    });
    systems = [ "nxt" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  nxt-proxy = {
    pname = "nxt-proxy";
    version = "20150608-git";
    asds = [ "nxt-proxy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nxt/2015-06-08/cl-nxt-20150608-git.tgz";
      sha256 = "1r9004ra140i9v2pmxnjv86dix4040jr0rgww2zwk370zxys7h2g";
      system = "nxt-proxy";
      asd = "nxt-proxy";
    });
    systems = [ "nxt-proxy" ];
    lispLibs = [ (getAttr "nxt" pkgs) (getAttr "usocket" pkgs) ];
  };
  nyaml = {
    pname = "nyaml";
    version = "20211230-git";
    asds = [ "nyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyaml/2021-12-30/nyaml-20211230-git.tgz";
      sha256 = "1gdsxhgqx9ynzrxwjidgljlkmz35wx83r6gwslxgg4v0g4vix9da";
      system = "nyaml";
      asd = "nyaml";
    });
    systems = [ "nyaml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) (getAttr "fare-quasiquote" pkgs) (getAttr "fare-quasiquote-extras" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivia" pkgs) ];
  };
  nyaml_slash_test = {
    pname = "nyaml_test";
    version = "20211230-git";
    asds = [ "nyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyaml/2021-12-30/nyaml-20211230-git.tgz";
      sha256 = "1gdsxhgqx9ynzrxwjidgljlkmz35wx83r6gwslxgg4v0g4vix9da";
      system = "nyaml";
      asd = "nyaml";
    });
    systems = [ "nyaml/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "nyaml" pkgs) (getAttr "parachute" pkgs) (getAttr "split-sequence" pkgs) (getAttr "yason" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt = {
    pname = "nyxt";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "calispel" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-css" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "enchant" pkgs) (getAttr "cl-gopher" pkgs) (getAttr "cl-html-diff" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "cl-prevalence" pkgs) (getAttr "cl-qrencode" pkgs) (getAttr "str" pkgs) (getAttr "cl-tld" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clss" pkgs) (getAttr "cluffer" pkgs) (getAttr "dexador" pkgs) (getAttr "dissect" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "iolib" pkgs) (getAttr "local-time" pkgs) (getAttr "log4cl" pkgs) (getAttr "lparallel" pkgs) (getAttr "moptilities" pkgs) (getAttr "ndebug" pkgs) (getAttr "nfiles" pkgs) (getAttr "nhooks" pkgs) (getAttr "nkeymaps" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "ospm" pkgs) (getAttr "parenscript" pkgs) (getAttr "phos" pkgs) (getAttr "plump" pkgs) (getAttr "py-configparser" pkgs) (getAttr "quri" pkgs) (getAttr "serapeum" pkgs) (getAttr "swank" pkgs) (getAttr "slynk" pkgs) (getAttr "spinneret" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-clipboard" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) (getAttr "unix-opts" pkgs) ];
  };
  nyxt-asdf = {
    pname = "nyxt-asdf";
    version = "20221106-git";
    asds = [ "nyxt-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt-asdf";
      asd = "nyxt-asdf";
    });
    systems = [ "nyxt-asdf" ];
    lispLibs = [  ];
  };
  nyxt-ubuntu-package = {
    pname = "nyxt-ubuntu-package";
    version = "20221106-git";
    asds = [ "nyxt-ubuntu-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt-ubuntu-package";
      asd = "nyxt-ubuntu-package";
    });
    systems = [ "nyxt-ubuntu-package" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-gobject-introspection" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "linux-packaging" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
  };
  nyxt_slash_analysis = {
    pname = "nyxt_analysis";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/analysis" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_analysis_slash_tests = {
    pname = "nyxt_analysis_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/analysis/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_application_slash_tests = {
    pname = "nyxt_application_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/application/tests" ];
    lispLibs = [ (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_benchmark = {
    pname = "nyxt_benchmark";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/benchmark" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "trivial-benchmark" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_class-star = {
    pname = "nyxt_class-star";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/class-star" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_clean-fasls = {
    pname = "nyxt_clean-fasls";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/clean-fasls" ];
    lispLibs = [ (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_documentation = {
    pname = "nyxt_documentation";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/documentation" ];
    lispLibs = [ (getAttr "nyxt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_download-manager = {
    pname = "nyxt_download-manager";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/download-manager" ];
    lispLibs = [ (getAttr "calispel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "dexador" pkgs) (getAttr "log4cl" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "quri" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_gi-gtk = {
    pname = "nyxt_gi-gtk";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/gi-gtk" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-gobject-introspection" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_gi-gtk-application = {
    pname = "nyxt_gi-gtk-application";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/gi-gtk-application" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-gobject-introspection" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_gi-gtk_slash_tests = {
    pname = "nyxt_gi-gtk_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/gi-gtk/tests" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-gobject-introspection" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_gtk = {
    pname = "nyxt_gtk";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/gtk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_gtk-application = {
    pname = "nyxt_gtk-application";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/gtk-application" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" pkgs) (getAttr "cl-webkit2" pkgs) (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_history-tree = {
    pname = "nyxt_history-tree";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/history-tree" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "local-time" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_history-tree_slash_tests = {
    pname = "nyxt_history-tree_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/history-tree/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-custom-hash-table" pkgs) (getAttr "str" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "local-time" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_password-manager = {
    pname = "nyxt_password-manager";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/password-manager" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-clipboard" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_prompter = {
    pname = "nyxt_prompter";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/prompter" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "calispel" pkgs) (getAttr "cl-containers" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "lparallel" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_prompter_slash_tests = {
    pname = "nyxt_prompter_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/prompter/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "calispel" pkgs) (getAttr "cl-containers" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "lparallel" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivial-package-local-nicknames" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_submodules = {
    pname = "nyxt_submodules";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/submodules" ];
    lispLibs = [ (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_tests = {
    pname = "nyxt_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/tests" ];
    lispLibs = [ (getAttr "nyxt" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_text-buffer = {
    pname = "nyxt_text-buffer";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/text-buffer" ];
    lispLibs = [ (getAttr "cluffer" pkgs) (getAttr "nyxt-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_theme = {
    pname = "nyxt_theme";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/theme" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-css" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_theme_slash_tests = {
    pname = "nyxt_theme_tests";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/theme/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-css" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "moptilities" pkgs) (getAttr "nyxt-asdf" pkgs) (getAttr "serapeum" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_user-interface = {
    pname = "nyxt_user-interface";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/user-interface" ];
    lispLibs = [ (getAttr "nyxt-asdf" pkgs) (getAttr "spinneret" pkgs) ];
    meta = {
      broken = true;
    };
  };
  nyxt_slash_version = {
    pname = "nyxt_version";
    version = "20221106-git";
    asds = [ "nyxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyxt/2022-11-06/nyxt-20221106-git.tgz";
      sha256 = "1rxj8gp4a30r0yfcqgysnrnamwzkp25lyqmkjmp1lyzp1jg2kzar";
      system = "nyxt";
      asd = "nyxt";
    });
    systems = [ "nyxt/version" ];
    lispLibs = [ (getAttr "nyxt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  object-class = {
    pname = "object-class";
    version = "1.0";
    asds = [ "object-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/object-class/2020-09-25/object-class_1.0.tgz";
      sha256 = "0qagmd2mxbr8b60l0y3jccj0maxjchds96p935pd3q805ry50683";
      system = "object-class";
      asd = "object-class";
    });
    systems = [ "object-class" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "compatible-metaclasses" pkgs) (getAttr "enhanced-find-class" pkgs) ];
  };
  object-class_tests = {
    pname = "object-class_tests";
    version = "1.0";
    asds = [ "object-class_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/object-class/2020-09-25/object-class_1.0.tgz";
      sha256 = "0qagmd2mxbr8b60l0y3jccj0maxjchds96p935pd3q805ry50683";
      system = "object-class_tests";
      asd = "object-class_tests";
    });
    systems = [ "object-class_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" pkgs) (getAttr "object-class" pkgs) (getAttr "parachute" pkgs) ];
  };
  oclcl = {
    pname = "oclcl";
    version = "20190521-git";
    asds = [ "oclcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl";
      asd = "oclcl";
    });
    systems = [ "oclcl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-pattern" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "external-program" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  oclcl-examples = {
    pname = "oclcl-examples";
    version = "20190521-git";
    asds = [ "oclcl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl-examples";
      asd = "oclcl-examples";
    });
    systems = [ "oclcl-examples" ];
    lispLibs = [ (getAttr "cl-oclapi" pkgs) (getAttr "imago" pkgs) (getAttr "oclcl" pkgs) ];
  };
  oclcl-test = {
    pname = "oclcl-test";
    version = "20190521-git";
    asds = [ "oclcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl-test";
      asd = "oclcl-test";
    });
    systems = [ "oclcl-test" ];
    lispLibs = [ (getAttr "arrow-macros" pkgs) (getAttr "oclcl" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  ode-blob = {
    pname = "ode-blob";
    version = "stable-git";
    asds = [ "ode-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ode-blob/2020-10-16/ode-blob-stable-git.tgz";
      sha256 = "1l2zq27zmivmr6h66kadbh3isnbdmkxvc7wq16wwmsvq23bhpss6";
      system = "ode-blob";
      asd = "ode-blob";
    });
    systems = [ "ode-blob" ];
    lispLibs = [ (getAttr "base-blobs" pkgs) (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  odepack = {
    pname = "odepack";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  odepack_slash_blas-util = {
    pname = "odepack_blas-util";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/blas-util" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsoda = {
    pname = "odepack_lsoda";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsoda" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsoda-demo = {
    pname = "odepack_lsoda-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsoda-demo" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsodar = {
    pname = "odepack_lsodar";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsodar" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsodar-demo = {
    pname = "odepack_lsodar-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsodar-demo" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsode = {
    pname = "odepack_lsode";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsode" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsode-demo = {
    pname = "odepack_lsode-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsode-demo" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsodi-demo = {
    pname = "odepack_lsodi-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsodi-demo" ];
    lispLibs = [ (getAttr "odepack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsodkr-demo = {
    pname = "odepack_lsodkr-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsodkr-demo" ];
    lispLibs = [ (getAttr "odepack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsodpk-demo = {
    pname = "odepack_lsodpk-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsodpk-demo" ];
    lispLibs = [ (getAttr "odepack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_lsoibt-demo = {
    pname = "odepack_lsoibt-demo";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/lsoibt-demo" ];
    lispLibs = [ (getAttr "odepack" pkgs) ];
    meta = {
      broken = true;
    };
  };
  odepack_slash_package = {
    pname = "odepack_package";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack/package" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  odesk = {
    pname = "odesk";
    version = "20150608-git";
    asds = [ "odesk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-odesk/2015-06-08/cl-odesk-20150608-git.tgz";
      sha256 = "1j5pjq4aw83m1in0l7ljn7jq4ixckg91p4h0lwf420xks3lhi4ka";
      system = "odesk";
      asd = "odesk";
    });
    systems = [ "odesk" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "iterate" pkgs) (getAttr "md5" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  oe-encode = {
    pname = "oe-encode";
    version = "20150804-git";
    asds = [ "oe-encode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oe-encode/2015-08-04/oe-encode-20150804-git.tgz";
      sha256 = "18hd97509vpg04gaf8lzjr2jfyj3w4ql1ydb5202p2r9k4qpvnj9";
      system = "oe-encode";
      asd = "oe-encode";
    });
    systems = [ "oe-encode" ];
    lispLibs = [ (getAttr "babel" pkgs) ];
  };
  oe-encode-test = {
    pname = "oe-encode-test";
    version = "20150804-git";
    asds = [ "oe-encode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oe-encode/2015-08-04/oe-encode-20150804-git.tgz";
      sha256 = "18hd97509vpg04gaf8lzjr2jfyj3w4ql1ydb5202p2r9k4qpvnj9";
      system = "oe-encode-test";
      asd = "oe-encode";
    });
    systems = [ "oe-encode-test" ];
    lispLibs = [ (getAttr "clunit" pkgs) (getAttr "oe-encode" pkgs) ];
  };
  olc = {
    pname = "olc";
    version = "20220331-git";
    asds = [ "olc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/olc/2022-03-31/olc-20220331-git.tgz";
      sha256 = "02r6w9kfa6v4a12y2azmyjkxbn54r1y18c6a024vq4y6zp20fqnz";
      system = "olc";
      asd = "olc";
    });
    systems = [ "olc" ];
    lispLibs = [  ];
  };
  olc_slash_tests = {
    pname = "olc_tests";
    version = "20220331-git";
    asds = [ "olc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/olc/2022-03-31/olc-20220331-git.tgz";
      sha256 = "02r6w9kfa6v4a12y2azmyjkxbn54r1y18c6a024vq4y6zp20fqnz";
      system = "olc";
      asd = "olc";
    });
    systems = [ "olc/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "olc" pkgs) ];
    meta = {
      broken = true;
    };
  };
  omg = {
    pname = "omg";
    version = "20221106-git";
    asds = [ "omg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/omglib/2022-11-06/omglib-20221106-git.tgz";
      sha256 = "0bdzs6ba5bk50512116af4dglfaw1sylcixay2b4f9iw9wddhb7f";
      system = "omg";
      asd = "omg";
    });
    systems = [ "omg" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "clack" pkgs) (getAttr "find-port" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "media-types" pkgs) (getAttr "osicat" pkgs) (getAttr "pngload" pkgs) (getAttr "skippy" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) (getAttr "websocket-driver-server" pkgs) ];
  };
  one-more-re-nightmare = {
    pname = "one-more-re-nightmare";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare";
      asd = "one-more-re-nightmare";
    });
    systems = [ "one-more-re-nightmare" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "dynamic-mixins" pkgs) (getAttr "esrap" pkgs) (getAttr "stealth-mixin" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  one-more-re-nightmare-simd = {
    pname = "one-more-re-nightmare-simd";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare-simd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare-simd";
      asd = "one-more-re-nightmare-simd";
    });
    systems = [ "one-more-re-nightmare-simd" ];
    lispLibs = [ (getAttr "one-more-re-nightmare" pkgs) ];
  };
  one-more-re-nightmare-tests = {
    pname = "one-more-re-nightmare-tests";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare-tests";
      asd = "one-more-re-nightmare-tests";
    });
    systems = [ "one-more-re-nightmare-tests" ];
    lispLibs = [ (getAttr "lparallel" pkgs) (getAttr "one-more-re-nightmare" pkgs) (getAttr "parachute" pkgs) ];
  };
  ook = {
    pname = "ook";
    version = "20211230-git";
    asds = [ "ook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ook/2021-12-30/ook-20211230-git.tgz";
      sha256 = "1pa6iak7z5c9260nakipkhb2z9x5gbmyyq4wrhmg7xrrxla67was";
      system = "ook";
      asd = "ook";
    });
    systems = [ "ook" ];
    lispLibs = [  ];
  };
  oook = {
    pname = "oook";
    version = "20171130-git";
    asds = [ "oook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oook/2017-11-30/oook-20171130-git.tgz";
      sha256 = "0vxw160kbb2b624lc2aqvrx91xnmfhwz8nrzjvmbk5m55q1s4hxr";
      system = "oook";
      asd = "oook";
    });
    systems = [ "oook" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-inflector" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clsql" pkgs) (getAttr "jonathan" pkgs) (getAttr "parse-number" pkgs) (getAttr "semantic-spinneret" pkgs) (getAttr "spinneret" pkgs) ];
  };
  open-geneva = {
    pname = "open-geneva";
    version = "20161204-git";
    asds = [ "open-geneva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "open-geneva";
      asd = "open-geneva";
    });
    systems = [ "open-geneva" ];
    lispLibs = [ (getAttr "geneva" pkgs) (getAttr "geneva-cl" pkgs) (getAttr "geneva-html" pkgs) (getAttr "geneva-latex" pkgs) (getAttr "geneva-mk2" pkgs) (getAttr "geneva-plain-text" pkgs) (getAttr "geneva-tex" pkgs) ];
  };
  open-location-code = {
    pname = "open-location-code";
    version = "20220331-git";
    asds = [ "open-location-code" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-location-code/2022-03-31/open-location-code-20220331-git.tgz";
      sha256 = "1ii8aj9kxxikgafsycy2ngrs9f2zdvmzrhggq7z5cgmi1h0fqg1z";
      system = "open-location-code";
      asd = "open-location-code";
    });
    systems = [ "open-location-code" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  open-vrp = {
    pname = "open-vrp";
    version = "20140914-git";
    asds = [ "open-vrp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-vrp/2014-09-14/open-vrp-20140914-git.tgz";
      sha256 = "04k0kp18gpr4cfpsck7pjizawwswh372df4pvm5v87brm6xdw1fr";
      system = "open-vrp";
      asd = "open-vrp";
    });
    systems = [ "open-vrp" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "open-vrp-lib" pkgs) (getAttr "vecto" pkgs) ];
  };
  open-vrp-lib = {
    pname = "open-vrp-lib";
    version = "20140914-git";
    asds = [ "open-vrp-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-vrp/2014-09-14/open-vrp-20140914-git.tgz";
      sha256 = "04k0kp18gpr4cfpsck7pjizawwswh372df4pvm5v87brm6xdw1fr";
      system = "open-vrp-lib";
      asd = "open-vrp-lib";
    });
    systems = [ "open-vrp-lib" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "fiveam" pkgs) (getAttr "vecto" pkgs) ];
  };
  openal-blob = {
    pname = "openal-blob";
    version = "stable-git";
    asds = [ "openal-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openal-blob/2020-10-16/openal-blob-stable-git.tgz";
      sha256 = "0bspdqb0xbvwvi6xkn88n4jswpds8fzbgj44ygm7mi6lpwp7lmv2";
      system = "openal-blob";
      asd = "openal-blob";
    });
    systems = [ "openal-blob" ];
    lispLibs = [ (getAttr "base-blobs" pkgs) (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  openapi-parser = {
    pname = "openapi-parser";
    version = "20210630-git";
    asds = [ "openapi-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openapi-parser/2021-06-30/cl-openapi-parser-20210630-git.tgz";
      sha256 = "0s1h4pfjfl7rkxyc27p2w7f3s88fn133nj0wqbh897h5jz13rkmg";
      system = "openapi-parser";
      asd = "openapi-parser";
    });
    systems = [ "openapi-parser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-change-case" pkgs) (getAttr "cl-package-locks" pkgs) (getAttr "str" pkgs) (getAttr "cl-yaml" pkgs) (getAttr "closer-mop" pkgs) (getAttr "esrap" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  openapi-parser-tests = {
    pname = "openapi-parser-tests";
    version = "20210630-git";
    asds = [ "openapi-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openapi-parser/2021-06-30/cl-openapi-parser-20210630-git.tgz";
      sha256 = "0s1h4pfjfl7rkxyc27p2w7f3s88fn133nj0wqbh897h5jz13rkmg";
      system = "openapi-parser-tests";
      asd = "openapi-parser";
    });
    systems = [ "openapi-parser-tests" ];
    lispLibs = [ (getAttr "openapi-parser" pkgs) (getAttr "rove" pkgs) ];
  };
  openid-key = {
    pname = "openid-key";
    version = "20181210-git";
    asds = [ "openid-key" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openid-key/2018-12-10/openid-key-20181210-git.tgz";
      sha256 = "0ja1g4f8nrcn965376j7lnhha9krx4wjqxrg6vc57k7rmkhkzm1z";
      system = "openid-key";
      asd = "openid-key";
    });
    systems = [ "openid-key" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "dexador" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-rfc-1123" pkgs) ];
  };
  openid-key-test = {
    pname = "openid-key-test";
    version = "20181210-git";
    asds = [ "openid-key-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openid-key/2018-12-10/openid-key-20181210-git.tgz";
      sha256 = "0ja1g4f8nrcn965376j7lnhha9krx4wjqxrg6vc57k7rmkhkzm1z";
      system = "openid-key-test";
      asd = "openid-key-test";
    });
    systems = [ "openid-key-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "openid-key" pkgs) ];
  };
  ops-test = {
    pname = "ops-test";
    version = "20211020-git";
    asds = [ "ops-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "ops-test";
      asd = "ops-test";
    });
    systems = [ "ops-test" ];
    lispLibs = [ (getAttr "png" pkgs) ];
  };
  ops5 = {
    pname = "ops5";
    version = "20200218-git";
    asds = [ "ops5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ops5/2020-02-18/ops5-20200218-git.tgz";
      sha256 = "1q2mrza40qvhny06f4ks2dghyk8a7pjjsi3vj83b9if7fmyj152a";
      system = "ops5";
      asd = "ops5";
    });
    systems = [ "ops5" ];
    lispLibs = [  ];
  };
  opticl = {
    pname = "opticl";
    version = "20220220-git";
    asds = [ "opticl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl/2022-02-20/opticl-20220220-git.tgz";
      sha256 = "1jx9n78d4lf53iz24yid34l92zrpqxfihv6049ixcy0xigf7j4ac";
      system = "opticl";
      asd = "opticl";
    });
    systems = [ "opticl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-jpeg" pkgs) (getAttr "cl-tga" pkgs) (getAttr "opticl-core" pkgs) (getAttr "pngload" pkgs) (getAttr "retrospectiff" pkgs) (getAttr "skippy" pkgs) (getAttr "zpng" pkgs) ];
  };
  opticl-core = {
    pname = "opticl-core";
    version = "20171019-git";
    asds = [ "opticl-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl-core/2017-10-19/opticl-core-20171019-git.tgz";
      sha256 = "0458bllabcdjghfrqx6aki49c9qmvfmkk8jl75cfpi7q0i12kh95";
      system = "opticl-core";
      asd = "opticl-core";
    });
    systems = [ "opticl-core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  opticl-doc = {
    pname = "opticl-doc";
    version = "20220220-git";
    asds = [ "opticl-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl/2022-02-20/opticl-20220220-git.tgz";
      sha256 = "1jx9n78d4lf53iz24yid34l92zrpqxfihv6049ixcy0xigf7j4ac";
      system = "opticl-doc";
      asd = "opticl-doc";
    });
    systems = [ "opticl-doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "opticl" pkgs) ];
  };
  opticl_slash_test = {
    pname = "opticl_test";
    version = "20220220-git";
    asds = [ "opticl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl/2022-02-20/opticl-20220220-git.tgz";
      sha256 = "1jx9n78d4lf53iz24yid34l92zrpqxfihv6049ixcy0xigf7j4ac";
      system = "opticl";
      asd = "opticl";
    });
    systems = [ "opticl/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "opticl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  optima = {
    pname = "optima";
    version = "20150709-git";
    asds = [ "optima" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima";
      asd = "optima";
    });
    systems = [ "optima" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) ];
  };
  optima_dot_ppcre = {
    pname = "optima.ppcre";
    version = "20150709-git";
    asds = [ "optima.ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima.ppcre";
      asd = "optima.ppcre";
    });
    systems = [ "optima.ppcre" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "optima" pkgs) ];
  };
  optima_dot_test = {
    pname = "optima.test";
    version = "20150709-git";
    asds = [ "optima.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima.test";
      asd = "optima.test";
    });
    systems = [ "optima.test" ];
    lispLibs = [ (getAttr "eos" pkgs) (getAttr "optima" pkgs) (getAttr "optima_dot_ppcre" pkgs) ];
  };
  or-cluster = {
    pname = "or-cluster";
    version = "20170403-git";
    asds = [ "or-cluster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-cluster";
      asd = "or-cluster";
    });
    systems = [ "or-cluster" ];
    lispLibs = [ (getAttr "cl-opsresearch" pkgs) (getAttr "drakma" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  or-fann = {
    pname = "or-fann";
    version = "20170403-git";
    asds = [ "or-fann" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-fann";
      asd = "or-fann";
    });
    systems = [ "or-fann" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opsresearch" pkgs) ];
  };
  or-glpk = {
    pname = "or-glpk";
    version = "20170403-git";
    asds = [ "or-glpk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-glpk";
      asd = "or-glpk";
    });
    systems = [ "or-glpk" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opsresearch" pkgs) ];
  };
  or-gsl = {
    pname = "or-gsl";
    version = "20170403-git";
    asds = [ "or-gsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-gsl";
      asd = "or-gsl";
    });
    systems = [ "or-gsl" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opsresearch" pkgs) ];
  };
  or-test = {
    pname = "or-test";
    version = "20170403-git";
    asds = [ "or-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-test";
      asd = "or-test";
    });
    systems = [ "or-test" ];
    lispLibs = [ (getAttr "cl-opsresearch" pkgs) (getAttr "or-fann" pkgs) (getAttr "or-glpk" pkgs) (getAttr "or-gsl" pkgs) (getAttr "fiveam" pkgs) ];
  };
  org-davep-dict = {
    pname = "org-davep-dict";
    version = "20190521-git";
    asds = [ "org-davep-dict" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-davep-dict/2019-05-21/org-davep-dict-20190521-git.tgz";
      sha256 = "09dryqlprssrw0jpcg2313cc1hmlsasxvp1rs5z7axhasc16kl31";
      system = "org-davep-dict";
      asd = "org-davep-dict";
    });
    systems = [ "org-davep-dict" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "acl-compat" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  org-davep-dictrepl = {
    pname = "org-davep-dictrepl";
    version = "20190521-git";
    asds = [ "org-davep-dictrepl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-davep-dictrepl/2019-05-21/org-davep-dictrepl-20190521-git.tgz";
      sha256 = "1s461asil8cxsbcpyxsw3g7phdn5c3mwv6wswp86hsxiga5hi327";
      system = "org-davep-dictrepl";
      asd = "org-davep-dictrepl";
    });
    systems = [ "org-davep-dictrepl" ];
    lispLibs = [ (getAttr "org-davep-dict" pkgs) ];
  };
  org-sampler = {
    pname = "org-sampler";
    version = "0.2.0";
    asds = [ "org-sampler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-sampler/2016-03-18/org-sampler-0.2.0.tgz";
      sha256 = "1j2i24x9afxp6s5gyqlvy11c0lq9rzhmdj1bf0qpxcaa4znj48c3";
      system = "org-sampler";
      asd = "org-sampler";
    });
    systems = [ "org-sampler" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  org_dot_melusina_dot_confidence = {
    pname = "org.melusina.confidence";
    version = "20221106-git";
    asds = [ "org.melusina.confidence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-confidence/2022-11-06/cl-confidence-20221106-git.tgz";
      sha256 = "17xb8k53ncpp7h8b5g9y56cg5imrczxx8zpr5xkslrvlsb551i1q";
      system = "org.melusina.confidence";
      asd = "org.melusina.confidence";
    });
    systems = [ "org.melusina.confidence" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  org_dot_melusina_dot_confidence_slash_testsuite = {
    pname = "org.melusina.confidence_testsuite";
    version = "20221106-git";
    asds = [ "org.melusina.confidence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-confidence/2022-11-06/cl-confidence-20221106-git.tgz";
      sha256 = "17xb8k53ncpp7h8b5g9y56cg5imrczxx8zpr5xkslrvlsb551i1q";
      system = "org.melusina.confidence";
      asd = "org.melusina.confidence";
    });
    systems = [ "org.melusina.confidence/testsuite" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "org_dot_melusina_dot_confidence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  org_dot_melusina_dot_rashell = {
    pname = "org.melusina.rashell";
    version = "20220707-git";
    asds = [ "org.melusina.rashell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rashell/2022-07-07/cl-rashell-20220707-git.tgz";
      sha256 = "1g99ymyl61sn62rn9sq9cznx67ydz34dvm2x5b0ljd6p503j1wp9";
      system = "org.melusina.rashell";
      asd = "org.melusina.rashell";
    });
    systems = [ "org.melusina.rashell" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "parse-float" pkgs) ];
  };
  org_dot_melusina_dot_rashell_slash_testsuite = {
    pname = "org.melusina.rashell_testsuite";
    version = "20220707-git";
    asds = [ "org.melusina.rashell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rashell/2022-07-07/cl-rashell-20220707-git.tgz";
      sha256 = "1g99ymyl61sn62rn9sq9cznx67ydz34dvm2x5b0ljd6p503j1wp9";
      system = "org.melusina.rashell";
      asd = "org.melusina.rashell";
    });
    systems = [ "org.melusina.rashell/testsuite" ];
    lispLibs = [ (getAttr "org_dot_melusina_dot_confidence" pkgs) (getAttr "org_dot_melusina_dot_rashell" pkgs) ];
    meta = {
      broken = true;
    };
  };
  org_dot_tfeb_dot_conduit-packages = {
    pname = "org.tfeb.conduit-packages";
    version = "20221106-git";
    asds = [ "org.tfeb.conduit-packages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conduit-packages/2022-11-06/conduit-packages-20221106-git.tgz";
      sha256 = "16mqbwwgpx4k462cnh59j184530dcsr1cbps0jjh0v0yfamyvnqk";
      system = "org.tfeb.conduit-packages";
      asd = "org.tfeb.conduit-packages";
    });
    systems = [ "org.tfeb.conduit-packages" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_dsm = {
    pname = "org.tfeb.dsm";
    version = "20221106-git";
    asds = [ "org.tfeb.dsm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dsm/2022-11-06/dsm-20221106-git.tgz";
      sha256 = "0xxlv8l7fa5mp8qfvh94ndjm4rz89xjs0xj4sni30f2vnzqsyfij";
      system = "org.tfeb.dsm";
      asd = "org.tfeb.dsm";
    });
    systems = [ "org.tfeb.dsm" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_spam" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_utilities" pkgs) (getAttr "org_dot_tfeb_dot_tools_dot_require-module" pkgs) ];
  };
  org_dot_tfeb_dot_dsm_slash_bench = {
    pname = "org.tfeb.dsm_bench";
    version = "20221106-git";
    asds = [ "org.tfeb.dsm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dsm/2022-11-06/dsm-20221106-git.tgz";
      sha256 = "0xxlv8l7fa5mp8qfvh94ndjm4rz89xjs0xj4sni30f2vnzqsyfij";
      system = "org.tfeb.dsm";
      asd = "org.tfeb.dsm";
    });
    systems = [ "org.tfeb.dsm/bench" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_dsm" pkgs) ];
    meta = {
      broken = true;
    };
  };
  org_dot_tfeb_dot_dsm_slash_test = {
    pname = "org.tfeb.dsm_test";
    version = "20221106-git";
    asds = [ "org.tfeb.dsm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dsm/2022-11-06/dsm-20221106-git.tgz";
      sha256 = "0xxlv8l7fa5mp8qfvh94ndjm4rz89xjs0xj4sni30f2vnzqsyfij";
      system = "org.tfeb.dsm";
      asd = "org.tfeb.dsm";
    });
    systems = [ "org.tfeb.dsm/test" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_dsm" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  org_dot_tfeb_dot_hax = {
    pname = "org.tfeb.hax";
    version = "20221106-git";
    asds = [ "org.tfeb.hax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax";
      asd = "org.tfeb.hax";
    });
    systems = [ "org.tfeb.hax" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_abstract-classes = {
    pname = "org.tfeb.hax.abstract-classes";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.abstract-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.abstract-classes";
      asd = "org.tfeb.hax.abstract-classes";
    });
    systems = [ "org.tfeb.hax.abstract-classes" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_binding = {
    pname = "org.tfeb.hax.binding";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.binding" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.binding";
      asd = "org.tfeb.hax.binding";
    });
    systems = [ "org.tfeb.hax.binding" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_collecting = {
    pname = "org.tfeb.hax.collecting";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.collecting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.collecting";
      asd = "org.tfeb.hax.collecting";
    });
    systems = [ "org.tfeb.hax.collecting" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_comment-form = {
    pname = "org.tfeb.hax.comment-form";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.comment-form" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.comment-form";
      asd = "org.tfeb.hax.comment-form";
    });
    systems = [ "org.tfeb.hax.comment-form" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_cs-forms = {
    pname = "org.tfeb.hax.cs-forms";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.cs-forms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.cs-forms";
      asd = "org.tfeb.hax.cs-forms";
    });
    systems = [ "org.tfeb.hax.cs-forms" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_define-functions = {
    pname = "org.tfeb.hax.define-functions";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.define-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.define-functions";
      asd = "org.tfeb.hax.define-functions";
    });
    systems = [ "org.tfeb.hax.define-functions" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_dynamic-state = {
    pname = "org.tfeb.hax.dynamic-state";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.dynamic-state" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.dynamic-state";
      asd = "org.tfeb.hax.dynamic-state";
    });
    systems = [ "org.tfeb.hax.dynamic-state" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_iterate = {
    pname = "org.tfeb.hax.iterate";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.iterate";
      asd = "org.tfeb.hax.iterate";
    });
    systems = [ "org.tfeb.hax.iterate" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_memoize = {
    pname = "org.tfeb.hax.memoize";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.memoize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.memoize";
      asd = "org.tfeb.hax.memoize";
    });
    systems = [ "org.tfeb.hax.memoize" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_metatronic = {
    pname = "org.tfeb.hax.metatronic";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.metatronic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.metatronic";
      asd = "org.tfeb.hax.metatronic";
    });
    systems = [ "org.tfeb.hax.metatronic" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_utilities" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_object-accessors = {
    pname = "org.tfeb.hax.object-accessors";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.object-accessors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.object-accessors";
      asd = "org.tfeb.hax.object-accessors";
    });
    systems = [ "org.tfeb.hax.object-accessors" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_read-package = {
    pname = "org.tfeb.hax.read-package";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.read-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.read-package";
      asd = "org.tfeb.hax.read-package";
    });
    systems = [ "org.tfeb.hax.read-package" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_simple-loops = {
    pname = "org.tfeb.hax.simple-loops";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.simple-loops" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.simple-loops";
      asd = "org.tfeb.hax.simple-loops";
    });
    systems = [ "org.tfeb.hax.simple-loops" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_utilities" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_singleton-classes = {
    pname = "org.tfeb.hax.singleton-classes";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.singleton-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.singleton-classes";
      asd = "org.tfeb.hax.singleton-classes";
    });
    systems = [ "org.tfeb.hax.singleton-classes" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_slog = {
    pname = "org.tfeb.hax.slog";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.slog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.slog";
      asd = "org.tfeb.hax.slog";
    });
    systems = [ "org.tfeb.hax.slog" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_metatronic" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_spam" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_spam = {
    pname = "org.tfeb.hax.spam";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.spam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.spam";
      asd = "org.tfeb.hax.spam";
    });
    systems = [ "org.tfeb.hax.spam" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_stringtable = {
    pname = "org.tfeb.hax.stringtable";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.stringtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.stringtable";
      asd = "org.tfeb.hax.stringtable";
    });
    systems = [ "org.tfeb.hax.stringtable" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_trace-macroexpand = {
    pname = "org.tfeb.hax.trace-macroexpand";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.trace-macroexpand" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.trace-macroexpand";
      asd = "org.tfeb.hax.trace-macroexpand";
    });
    systems = [ "org.tfeb.hax.trace-macroexpand" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_dot_utilities = {
    pname = "org.tfeb.hax.utilities";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.utilities";
      asd = "org.tfeb.hax.utilities";
    });
    systems = [ "org.tfeb.hax.utilities" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" pkgs) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" pkgs) ];
  };
  org_dot_tfeb_dot_hax_dot_wrapping-standard = {
    pname = "org.tfeb.hax.wrapping-standard";
    version = "20221106-git";
    asds = [ "org.tfeb.hax.wrapping-standard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax.wrapping-standard";
      asd = "org.tfeb.hax.wrapping-standard";
    });
    systems = [ "org.tfeb.hax.wrapping-standard" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_hax_slash_test = {
    pname = "org.tfeb.hax_test";
    version = "20221106-git";
    asds = [ "org.tfeb.hax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2022-11-06/tfeb-lisp-hax-20221106-git.tgz";
      sha256 = "0l36jlril1ypx1866dmsk7czlc61rj2i9yn97qaapwxbqhf7ypxp";
      system = "org.tfeb.hax";
      asd = "org.tfeb.hax";
    });
    systems = [ "org.tfeb.hax/test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "org_dot_tfeb_dot_hax" pkgs) ];
    meta = {
      broken = true;
    };
  };
  org_dot_tfeb_dot_tools = {
    pname = "org.tfeb.tools";
    version = "20221106-git";
    asds = [ "org.tfeb.tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools";
      asd = "org.tfeb.tools";
    });
    systems = [ "org.tfeb.tools" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_tools_dot_asdf-module-sysdcls = {
    pname = "org.tfeb.tools.asdf-module-sysdcls";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.asdf-module-sysdcls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.asdf-module-sysdcls";
      asd = "org.tfeb.tools.asdf-module-sysdcls";
    });
    systems = [ "org.tfeb.tools.asdf-module-sysdcls" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_tools_dot_build-modules = {
    pname = "org.tfeb.tools.build-modules";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.build-modules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.build-modules";
      asd = "org.tfeb.tools.build-modules";
    });
    systems = [ "org.tfeb.tools.build-modules" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_tools_dot_require-module" pkgs) ];
  };
  org_dot_tfeb_dot_tools_dot_deprecations = {
    pname = "org.tfeb.tools.deprecations";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.deprecations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.deprecations";
      asd = "org.tfeb.tools.deprecations";
    });
    systems = [ "org.tfeb.tools.deprecations" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_tools_dot_feature-expressions = {
    pname = "org.tfeb.tools.feature-expressions";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.feature-expressions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.feature-expressions";
      asd = "org.tfeb.tools.feature-expressions";
    });
    systems = [ "org.tfeb.tools.feature-expressions" ];
    lispLibs = [  ];
  };
  org_dot_tfeb_dot_tools_dot_install-providers = {
    pname = "org.tfeb.tools.install-providers";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.install-providers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.install-providers";
      asd = "org.tfeb.tools.install-providers";
    });
    systems = [ "org.tfeb.tools.install-providers" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_tools_dot_require-module" pkgs) ];
  };
  org_dot_tfeb_dot_tools_dot_require-module = {
    pname = "org.tfeb.tools.require-module";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.require-module" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.require-module";
      asd = "org.tfeb.tools.require-module";
    });
    systems = [ "org.tfeb.tools.require-module" ];
    lispLibs = [  ];
  };
  origin = {
    pname = "origin";
    version = "20220707-git";
    asds = [ "origin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/origin/2022-07-07/origin-20220707-git.tgz";
      sha256 = "01b5rn83w85fnd92x5jgan2a092y7ir420r55p2b0a98xpvb4a71";
      system = "origin";
      asd = "origin";
    });
    systems = [ "origin" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  origin_dot_test = {
    pname = "origin.test";
    version = "20220707-git";
    asds = [ "origin.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/origin/2022-07-07/origin-20220707-git.tgz";
      sha256 = "01b5rn83w85fnd92x5jgan2a092y7ir420r55p2b0a98xpvb4a71";
      system = "origin.test";
      asd = "origin.test";
    });
    systems = [ "origin.test" ];
    lispLibs = [ (getAttr "origin" pkgs) (getAttr "parachute" pkgs) ];
  };
  orizuru-orm = {
    pname = "orizuru-orm";
    version = "20210228-git";
    asds = [ "orizuru-orm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/orizuru-orm/2021-02-28/orizuru-orm-20210228-git.tgz";
      sha256 = "0hx1qny188a1h40ns63sr291bw7fc0nmgic3mka3gnar8l6karbr";
      system = "orizuru-orm";
      asd = "orizuru-orm";
    });
    systems = [ "orizuru-orm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "clos-fixtures" pkgs) (getAttr "closer-mop" pkgs) (getAttr "clunit2" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "sxql" pkgs) (getAttr "uiop" pkgs) ];
  };
  osc = {
    pname = "osc";
    version = "20221106-git";
    asds = [ "osc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osc/2022-11-06/osc-20221106-git.tgz";
      sha256 = "05whbssv32f25vy2krklgg73k8yw9ck99pdha436kpkimr2rpqrf";
      system = "osc";
      asd = "osc";
    });
    systems = [ "osc" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  osicat = {
    pname = "osicat";
    version = "20221106-git";
    asds = [ "osicat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osicat/2022-11-06/osicat-20221106-git.tgz";
      sha256 = "1gxjy11g6k78m3kx3l06v8pqcjdjq51x713f8dapm7hi1c00nzvg";
      system = "osicat";
      asd = "osicat";
    });
    systems = [ "osicat" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  osicat_slash_tests = {
    pname = "osicat_tests";
    version = "20221106-git";
    asds = [ "osicat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osicat/2022-11-06/osicat-20221106-git.tgz";
      sha256 = "1gxjy11g6k78m3kx3l06v8pqcjdjq51x713f8dapm7hi1c00nzvg";
      system = "osicat";
      asd = "osicat";
    });
    systems = [ "osicat/tests" ];
    lispLibs = [ (getAttr "osicat" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  osmpbf = {
    pname = "osmpbf";
    version = "20210630-git";
    asds = [ "osmpbf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osmpbf/2021-06-30/osmpbf-20210630-git.tgz";
      sha256 = "0kx5g52l8mk5400gkjds0xfllqxdyxa203a0hgpxjm86r0ppym8v";
      system = "osmpbf";
      asd = "osmpbf";
    });
    systems = [ "osmpbf" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "com_dot_google_dot_base" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "nibbles" pkgs) (getAttr "protobuf" pkgs) ];
  };
  ospm = {
    pname = "ospm";
    version = "20221106-git";
    asds = [ "ospm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ospm/2022-11-06/ospm-20221106-git.tgz";
      sha256 = "0ixx6y20q4kcvm60lp3wca5q1nhnpakdw5avz4mlj6mm8m4z526g";
      system = "ospm";
      asd = "ospm";
    });
    systems = [ "ospm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "calispel" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "local-time" pkgs) (getAttr "moptilities" pkgs) (getAttr "named-readtables" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) ];
  };
  ospm_slash_tests = {
    pname = "ospm_tests";
    version = "20221106-git";
    asds = [ "ospm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ospm/2022-11-06/ospm-20221106-git.tgz";
      sha256 = "0ixx6y20q4kcvm60lp3wca5q1nhnpakdw5avz4mlj6mm8m4z526g";
      system = "ospm";
      asd = "ospm";
    });
    systems = [ "ospm/tests" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "ospm" pkgs) ];
    meta = {
      broken = true;
    };
  };
  overlord = {
    pname = "overlord";
    version = "20221106-git";
    asds = [ "overlord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/overlord/2022-11-06/overlord-20221106-git.tgz";
      sha256 = "02f3nhqg42z5i1fqz998vcn31vn27z3gvwqhh8m5cxkj1c5l4zxz";
      system = "overlord";
      asd = "overlord";
    });
    systems = [ "overlord" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "bit-smasher" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-murmurhash" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-strftime" pkgs) (getAttr "cmd" pkgs) (getAttr "exit-hooks" pkgs) (getAttr "fset" pkgs) (getAttr "global-vars" pkgs) (getAttr "local-time" pkgs) (getAttr "lparallel" pkgs) (getAttr "named-readtables" pkgs) (getAttr "quickproject" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-file-size" pkgs) ];
  };
  oxenfurt = {
    pname = "oxenfurt";
    version = "20190710-git";
    asds = [ "oxenfurt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt";
      asd = "oxenfurt";
    });
    systems = [ "oxenfurt" ];
    lispLibs = [ (getAttr "oxenfurt-dexador" pkgs) ];
  };
  oxenfurt-core = {
    pname = "oxenfurt-core";
    version = "20190710-git";
    asds = [ "oxenfurt-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-core";
      asd = "oxenfurt-core";
    });
    systems = [ "oxenfurt-core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "yason" pkgs) ];
  };
  oxenfurt-dexador = {
    pname = "oxenfurt-dexador";
    version = "20190710-git";
    asds = [ "oxenfurt-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-dexador";
      asd = "oxenfurt-dexador";
    });
    systems = [ "oxenfurt-dexador" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "oxenfurt-core" pkgs) ];
  };
  oxenfurt-drakma = {
    pname = "oxenfurt-drakma";
    version = "20190710-git";
    asds = [ "oxenfurt-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-drakma";
      asd = "oxenfurt-drakma";
    });
    systems = [ "oxenfurt-drakma" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "oxenfurt-core" pkgs) ];
  };
  pack = {
    pname = "pack";
    version = "20110619-git";
    asds = [ "pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pack/2011-06-19/pack-20110619-git.tgz";
      sha256 = "1b3qi04v1wj9nig0mx591sl4phqcalwdl0vsnf4kqp4d2qx2czi1";
      system = "pack";
      asd = "pack";
    });
    systems = [ "pack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "ieee-floats" pkgs) ];
  };
  package-renaming = {
    pname = "package-renaming";
    version = "20120407-git";
    asds = [ "package-renaming" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/package-renaming/2012-04-07/package-renaming-20120407-git.tgz";
      sha256 = "15kgd15r9bib8wfnn3hmv42rlifr4ph3rv2mji5i9d5ixhyqqwgq";
      system = "package-renaming";
      asd = "package-renaming";
    });
    systems = [ "package-renaming" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  package-renaming-test = {
    pname = "package-renaming-test";
    version = "20120407-git";
    asds = [ "package-renaming-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/package-renaming/2012-04-07/package-renaming-20120407-git.tgz";
      sha256 = "15kgd15r9bib8wfnn3hmv42rlifr4ph3rv2mji5i9d5ixhyqqwgq";
      system = "package-renaming-test";
      asd = "package-renaming-test";
    });
    systems = [ "package-renaming-test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "package-renaming" pkgs) ];
  };
  packet = {
    pname = "packet";
    version = "20150302-git";
    asds = [ "packet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/packet/2015-03-02/packet-20150302-git.tgz";
      sha256 = "1vcmxwrliwczz161nz3ysx9cbfia4cmlqgnjgrx5016lp394pnx1";
      system = "packet";
      asd = "packet";
    });
    systems = [ "packet" ];
    lispLibs = [ (getAttr "ieee-floats" pkgs) ];
  };
  packet-crafting = {
    pname = "packet-crafting";
    version = "20200610-git";
    asds = [ "packet-crafting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/packet-crafting/2020-06-10/packet-crafting-20200610-git.tgz";
      sha256 = "1ivnvkbqckqf5hm6khffc2wkbjl64fn03w9i0kypkb0mrazxdpdq";
      system = "packet-crafting";
      asd = "packet-crafting";
    });
    systems = [ "packet-crafting" ];
    lispLibs = [ (getAttr "lisp-binary" pkgs) ];
  };
  packet-crafting_slash_tests = {
    pname = "packet-crafting_tests";
    version = "20200610-git";
    asds = [ "packet-crafting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/packet-crafting/2020-06-10/packet-crafting-20200610-git.tgz";
      sha256 = "1ivnvkbqckqf5hm6khffc2wkbjl64fn03w9i0kypkb0mrazxdpdq";
      system = "packet-crafting";
      asd = "packet-crafting";
    });
    systems = [ "packet-crafting/tests" ];
    lispLibs = [ (getAttr "packet-crafting" pkgs) (getAttr "rove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  paiprolog = {
    pname = "paiprolog";
    version = "20180228-git";
    asds = [ "paiprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paiprolog/2018-02-28/paiprolog-20180228-git.tgz";
      sha256 = "1nxz01i6f8s920gm69r2kwjdpq9pli8b2ayqwijhzgjwi0r4jj9r";
      system = "paiprolog";
      asd = "paiprolog";
    });
    systems = [ "paiprolog" ];
    lispLibs = [  ];
  };
  pal = {
    pname = "pal";
    version = "20150608-git";
    asds = [ "pal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pal/2015-06-08/pal-20150608-git.tgz";
      sha256 = "0kn6jxirrn7wzqymzsi0kx2ivl0nrrcgbl4dm1714s48qw0jwhcw";
      system = "pal";
      asd = "pal";
    });
    systems = [ "pal" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  pandocl = {
    pname = "pandocl";
    version = "20150923-git";
    asds = [ "pandocl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pandocl/2015-09-23/pandocl-20150923-git.tgz";
      sha256 = "1fmlpx5m7ivdkqss1fa3xqbpcwzqrpyyx2nny12aqxn8f13vpvmg";
      system = "pandocl";
      asd = "pandocl";
    });
    systems = [ "pandocl" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "common-doc-contrib" pkgs) (getAttr "common-html" pkgs) (getAttr "parenml" pkgs) (getAttr "scriba" pkgs) (getAttr "thorn" pkgs) (getAttr "vertex" pkgs) ];
  };
  pango-markup = {
    pname = "pango-markup";
    version = "20200325-git";
    asds = [ "pango-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pango-markup/2020-03-25/pango-markup-20200325-git.tgz";
      sha256 = "0m1hc6lasbzjz5gc5mk9hqmmxgq7mpc9q94fmni109yncpqawxvr";
      system = "pango-markup";
      asd = "pango-markup";
    });
    systems = [ "pango-markup" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  papyrus = {
    pname = "papyrus";
    version = "20221106-git";
    asds = [ "papyrus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/papyrus/2022-11-06/papyrus-20221106-git.tgz";
      sha256 = "0swpsxir553cs2pj6xz8cgyr3y9fh88hiv527ssa8cm7qkxcbbg9";
      system = "papyrus";
      asd = "papyrus";
    });
    systems = [ "papyrus" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  parachute = {
    pname = "parachute";
    version = "20221106-git";
    asds = [ "parachute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2022-11-06/parachute-20221106-git.tgz";
      sha256 = "0cppp1sp9xqkgxgkwidhqzlsj03ywnar7z9mzwcliww8y0kv5555";
      system = "parachute";
      asd = "parachute";
    });
    systems = [ "parachute" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "trivial-custom-debugger" pkgs) ];
  };
  parachute-fiveam = {
    pname = "parachute-fiveam";
    version = "20221106-git";
    asds = [ "parachute-fiveam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2022-11-06/parachute-20221106-git.tgz";
      sha256 = "0cppp1sp9xqkgxgkwidhqzlsj03ywnar7z9mzwcliww8y0kv5555";
      system = "parachute-fiveam";
      asd = "parachute-fiveam";
    });
    systems = [ "parachute-fiveam" ];
    lispLibs = [ (getAttr "parachute" pkgs) ];
  };
  parachute-lisp-unit = {
    pname = "parachute-lisp-unit";
    version = "20221106-git";
    asds = [ "parachute-lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2022-11-06/parachute-20221106-git.tgz";
      sha256 = "0cppp1sp9xqkgxgkwidhqzlsj03ywnar7z9mzwcliww8y0kv5555";
      system = "parachute-lisp-unit";
      asd = "parachute-lisp-unit";
    });
    systems = [ "parachute-lisp-unit" ];
    lispLibs = [ (getAttr "parachute" pkgs) ];
  };
  parachute-prove = {
    pname = "parachute-prove";
    version = "20221106-git";
    asds = [ "parachute-prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2022-11-06/parachute-20221106-git.tgz";
      sha256 = "0cppp1sp9xqkgxgkwidhqzlsj03ywnar7z9mzwcliww8y0kv5555";
      system = "parachute-prove";
      asd = "parachute-prove";
    });
    systems = [ "parachute-prove" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parachute" pkgs) ];
  };
  parameterized-function = {
    pname = "parameterized-function";
    version = "20190307-hg";
    asds = [ "parameterized-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parameterized-function/2019-03-07/parameterized-function-20190307-hg.tgz";
      sha256 = "0iwnvfrhwprki8d6r0j4649daakjlc2jsh8xcpqdfa2nx563fylw";
      system = "parameterized-function";
      asd = "parameterized-function";
    });
    systems = [ "parameterized-function" ];
    lispLibs = [ (getAttr "interface" pkgs) ];
  };
  paren-files = {
    pname = "paren-files";
    version = "20110418-git";
    asds = [ "paren-files" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-files/2011-04-18/paren-files-20110418-git.tgz";
      sha256 = "19lwzvdn9gpn28x6ismkwzs49vr4cbc6drsivkmll3dxb950wgw9";
      system = "paren-files";
      asd = "paren-files";
    });
    systems = [ "paren-files" ];
    lispLibs = [ (getAttr "parenscript" pkgs) ];
  };
  paren-test = {
    pname = "paren-test";
    version = "20170830-git";
    asds = [ "paren-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-test/2017-08-30/paren-test-20170830-git.tgz";
      sha256 = "0b2d3kcv3n4b0dm67pzhxx8wxjsgnb32bw2dsprblc7149gaczdr";
      system = "paren-test";
      asd = "paren-test";
    });
    systems = [ "paren-test" ];
    lispLibs = [ (getAttr "paren-files" pkgs) (getAttr "parenscript" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  paren-util = {
    pname = "paren-util";
    version = "20110418-git";
    asds = [ "paren-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-util/2011-04-18/paren-util-20110418-git.tgz";
      sha256 = "0jn7sgndhpn9ndn3xfmsp03alj2qksqz6p1c5h6x8hvi46caqvpy";
      system = "paren-util";
      asd = "paren-util";
    });
    systems = [ "paren-util" ];
    lispLibs = [ (getAttr "paren-files" pkgs) (getAttr "parenscript" pkgs) ];
  };
  paren6 = {
    pname = "paren6";
    version = "20220331-git";
    asds = [ "paren6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren6/2022-03-31/paren6-20220331-git.tgz";
      sha256 = "0m7z7zkc1vrwmp68f3yx0mdsb0j45dmw3iddnbvf94dpv8aywwpx";
      system = "paren6";
      asd = "paren6";
    });
    systems = [ "paren6" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parenscript" pkgs) ];
  };
  parenml = {
    pname = "parenml";
    version = "20150923-git";
    asds = [ "parenml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenml/2015-09-23/parenml-20150923-git.tgz";
      sha256 = "0g6s5phinpcfhixgsfqniwxd3kd4bwh78s90ixs2fwk3qjhh9zsb";
      system = "parenml";
      asd = "parenml";
    });
    systems = [ "parenml" ];
    lispLibs = [ (getAttr "common-doc-plump" pkgs) (getAttr "esrap" pkgs) (getAttr "plump" pkgs) ];
  };
  parenml-test = {
    pname = "parenml-test";
    version = "20150923-git";
    asds = [ "parenml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenml/2015-09-23/parenml-20150923-git.tgz";
      sha256 = "0g6s5phinpcfhixgsfqniwxd3kd4bwh78s90ixs2fwk3qjhh9zsb";
      system = "parenml-test";
      asd = "parenml-test";
    });
    systems = [ "parenml-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "parenml" pkgs) ];
  };
  parenscript = {
    pname = "parenscript";
    version = "Parenscript-2.7.1";
    asds = [ "parenscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript/2018-12-10/Parenscript-2.7.1.tgz";
      sha256 = "0vg9b9j5psil5iba1d9k6vfxl5rn133qvy750dny20qkp9mf3a13";
      system = "parenscript";
      asd = "parenscript";
    });
    systems = [ "parenscript" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  parenscript-classic = {
    pname = "parenscript-classic";
    version = "20111203-darcs";
    asds = [ "parenscript-classic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript-classic/2011-12-03/parenscript-classic-20111203-darcs.tgz";
      sha256 = "19zsiyjlz938la2dd39cy6lwh95m10j4nx8837xm6qk8rz5f8dgy";
      system = "parenscript-classic";
      asd = "parenscript-classic";
    });
    systems = [ "parenscript-classic" ];
    lispLibs = [  ];
  };
  parenscript_dot_tests = {
    pname = "parenscript.tests";
    version = "Parenscript-2.7.1";
    asds = [ "parenscript.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript/2018-12-10/Parenscript-2.7.1.tgz";
      sha256 = "0vg9b9j5psil5iba1d9k6vfxl5rn133qvy750dny20qkp9mf3a13";
      system = "parenscript.tests";
      asd = "parenscript.tests";
    });
    systems = [ "parenscript.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-js" pkgs) (getAttr "parenscript" pkgs) ];
  };
  parse = {
    pname = "parse";
    version = "20200925-git";
    asds = [ "parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse/2020-09-25/parse-20200925-git.tgz";
      sha256 = "0l18yabyh7jizm5lgvra0jxi8s1cfwghidi6ix1pyixjkdbjlmvy";
      system = "parse";
      asd = "parse";
    });
    systems = [ "parse" ];
    lispLibs = [  ];
  };
  parse-declarations-1_dot_0 = {
    pname = "parse-declarations-1.0";
    version = "20101006-darcs";
    asds = [ "parse-declarations-1.0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-declarations/2010-10-06/parse-declarations-20101006-darcs.tgz";
      sha256 = "04l3s180wxq6xyhgd77mbd03a1w1m0j9snag961g2f9dd77w6q1r";
      system = "parse-declarations-1.0";
      asd = "parse-declarations-1.0";
    });
    systems = [ "parse-declarations-1.0" ];
    lispLibs = [  ];
  };
  parse-float = {
    pname = "parse-float";
    version = "20200218-git";
    asds = [ "parse-float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-float/2020-02-18/parse-float-20200218-git.tgz";
      sha256 = "0jd2spawc3v8vzqf8ky4cngl45jm65fhkrdf20mf6dcbn3mzpkmr";
      system = "parse-float";
      asd = "parse-float";
    });
    systems = [ "parse-float" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  parse-float-tests = {
    pname = "parse-float-tests";
    version = "20200218-git";
    asds = [ "parse-float-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-float/2020-02-18/parse-float-20200218-git.tgz";
      sha256 = "0jd2spawc3v8vzqf8ky4cngl45jm65fhkrdf20mf6dcbn3mzpkmr";
      system = "parse-float-tests";
      asd = "parse-float";
    });
    systems = [ "parse-float-tests" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "parse-float" pkgs) ];
  };
  parse-front-matter = {
    pname = "parse-front-matter";
    version = "20160825-git";
    asds = [ "parse-front-matter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-front-matter/2016-08-25/parse-front-matter-20160825-git.tgz";
      sha256 = "1yzadrjwycvyzlzb0mixxmwi5bjzkjwylnv3aslnr1j14q44vq58";
      system = "parse-front-matter";
      asd = "parse-front-matter";
    });
    systems = [ "parse-front-matter" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  parse-front-matter-test = {
    pname = "parse-front-matter-test";
    version = "20160825-git";
    asds = [ "parse-front-matter-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-front-matter/2016-08-25/parse-front-matter-20160825-git.tgz";
      sha256 = "1yzadrjwycvyzlzb0mixxmwi5bjzkjwylnv3aslnr1j14q44vq58";
      system = "parse-front-matter-test";
      asd = "parse-front-matter-test";
    });
    systems = [ "parse-front-matter-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "parse-front-matter" pkgs) ];
  };
  parse-js = {
    pname = "parse-js";
    version = "20160421-git";
    asds = [ "parse-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-js/2016-04-21/parse-js-20160421-git.tgz";
      sha256 = "1wddrnr5kiya5s3gp4cdq6crbfy9fqcz7fr44p81502sj3bvdv39";
      system = "parse-js";
      asd = "parse-js";
    });
    systems = [ "parse-js" ];
    lispLibs = [  ];
  };
  parse-number = {
    pname = "parse-number";
    version = "v1.7";
    asds = [ "parse-number" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-number/2018-02-28/parse-number-v1.7.tgz";
      sha256 = "0sk06ib1bhqv9y39vwnnw44vmbc4b0kvqm37xxmkxd4dwchq82d7";
      system = "parse-number";
      asd = "parse-number";
    });
    systems = [ "parse-number" ];
    lispLibs = [  ];
  };
  parse-number-range = {
    pname = "parse-number-range";
    version = "1.0";
    asds = [ "parse-number-range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-number-range/2012-11-25/parse-number-range-1.0.tgz";
      sha256 = "176j9rabpqdkxd7b1cdy3dk8b8x05bdk0ypnxg2i41zbp9ww2f8d";
      system = "parse-number-range";
      asd = "parse-number-range";
    });
    systems = [ "parse-number-range" ];
    lispLibs = [ (getAttr "cartesian-product-switch" pkgs) (getAttr "enhanced-multiple-value-bind" pkgs) (getAttr "map-bind" pkgs) ];
  };
  parse-number_slash_tests = {
    pname = "parse-number_tests";
    version = "v1.7";
    asds = [ "parse-number" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-number/2018-02-28/parse-number-v1.7.tgz";
      sha256 = "0sk06ib1bhqv9y39vwnnw44vmbc4b0kvqm37xxmkxd4dwchq82d7";
      system = "parse-number";
      asd = "parse-number";
    });
    systems = [ "parse-number/tests" ];
    lispLibs = [ (getAttr "parse-number" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parse-rgb = {
    pname = "parse-rgb";
    version = "20201220-git";
    asds = [ "parse-rgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tcod/2020-12-20/cl-tcod-20201220-git.tgz";
      sha256 = "145h0dhxm1idblcld456cv7k00vi6p0zyn5rxkky5y4gk85ws8l5";
      system = "parse-rgb";
      asd = "parse-rgb";
    });
    systems = [ "parse-rgb" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "tcod" pkgs) ];
  };
  parseltongue = {
    pname = "parseltongue";
    version = "20130312-git";
    asds = [ "parseltongue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parseltongue/2013-03-12/parseltongue-20130312-git.tgz";
      sha256 = "1cjy7p0snms604zp6x0jlm4v9divqc5r38ns737hffj9q6pi1nlx";
      system = "parseltongue";
      asd = "parseltongue";
    });
    systems = [ "parseltongue" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) ];
  };
  parseq = {
    pname = "parseq";
    version = "20210531-git";
    asds = [ "parseq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parseq/2021-05-31/parseq-20210531-git.tgz";
      sha256 = "0yv9wdziiwv6yqbaiabijd4lcyg8djrml0qbg22jfixkxyqxhxqw";
      system = "parseq";
      asd = "parseq";
    });
    systems = [ "parseq" ];
    lispLibs = [  ];
  };
  parseq_slash_test = {
    pname = "parseq_test";
    version = "20210531-git";
    asds = [ "parseq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parseq/2021-05-31/parseq-20210531-git.tgz";
      sha256 = "0yv9wdziiwv6yqbaiabijd4lcyg8djrml0qbg22jfixkxyqxhxqw";
      system = "parseq";
      asd = "parseq";
    });
    systems = [ "parseq/test" ];
    lispLibs = [ (getAttr "parseq" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parser-combinators = {
    pname = "parser-combinators";
    version = "20131111-git";
    asds = [ "parser-combinators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators";
      asd = "parser-combinators";
    });
    systems = [ "parser-combinators" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  parser-combinators-cl-ppcre = {
    pname = "parser-combinators-cl-ppcre";
    version = "20131111-git";
    asds = [ "parser-combinators-cl-ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-cl-ppcre";
      asd = "parser-combinators-cl-ppcre";
    });
    systems = [ "parser-combinators-cl-ppcre" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parser-combinators" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) ];
  };
  parser-combinators-debug = {
    pname = "parser-combinators-debug";
    version = "20131111-git";
    asds = [ "parser-combinators-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-debug";
      asd = "parser-combinators-debug";
    });
    systems = [ "parser-combinators-debug" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "parser-combinators" pkgs) ];
  };
  parser-combinators-tests = {
    pname = "parser-combinators-tests";
    version = "20131111-git";
    asds = [ "parser-combinators-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-tests";
      asd = "parser-combinators-tests";
    });
    systems = [ "parser-combinators-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parser-combinators" pkgs) (getAttr "infix" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "iterate" pkgs) ];
  };
  parser_dot_common-rules = {
    pname = "parser.common-rules";
    version = "20200715-git";
    asds = [ "parser.common-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules";
      asd = "parser.common-rules";
    });
    systems = [ "parser.common-rules" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "esrap" pkgs) (getAttr "let-plus" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  parser_dot_common-rules_dot_operators = {
    pname = "parser.common-rules.operators";
    version = "20200715-git";
    asds = [ "parser.common-rules.operators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules.operators";
      asd = "parser.common-rules.operators";
    });
    systems = [ "parser.common-rules.operators" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "esrap" pkgs) (getAttr "let-plus" pkgs) (getAttr "parser_dot_common-rules" pkgs) ];
  };
  parser_dot_common-rules_dot_operators_slash_test = {
    pname = "parser.common-rules.operators_test";
    version = "20200715-git";
    asds = [ "parser.common-rules.operators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules.operators";
      asd = "parser.common-rules.operators";
    });
    systems = [ "parser.common-rules.operators/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "parser_dot_common-rules" pkgs) (getAttr "parser_dot_common-rules_dot_operators" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parser_dot_common-rules_slash_test = {
    pname = "parser.common-rules_test";
    version = "20200715-git";
    asds = [ "parser.common-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules";
      asd = "parser.common-rules";
    });
    systems = [ "parser.common-rules/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "parser_dot_common-rules" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parser_dot_ini = {
    pname = "parser.ini";
    version = "20181018-git";
    asds = [ "parser.ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.ini/2018-10-18/parser.ini-20181018-git.tgz";
      sha256 = "0ri4c7877i9val67z5sm8nfhz04p9l6brajx2fkavs8556l1wm1d";
      system = "parser.ini";
      asd = "parser.ini";
    });
    systems = [ "parser.ini" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "architecture_dot_builder-protocol" pkgs) (getAttr "esrap" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) (getAttr "parser_dot_common-rules" pkgs) ];
  };
  parser_dot_ini_slash_test = {
    pname = "parser.ini_test";
    version = "20181018-git";
    asds = [ "parser.ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.ini/2018-10-18/parser.ini-20181018-git.tgz";
      sha256 = "0ri4c7877i9val67z5sm8nfhz04p9l6brajx2fkavs8556l1wm1d";
      system = "parser.ini";
      asd = "parser.ini";
    });
    systems = [ "parser.ini/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "parser_dot_ini" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parsnip = {
    pname = "parsnip";
    version = "20220331-git";
    asds = [ "parsnip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parsnip/2022-03-31/parsnip-20220331-git.tgz";
      sha256 = "0gl7z8kn37qiz0vab89wawn78iczii7iqw43jy2ls7nw0l5jv13w";
      system = "parsnip";
      asd = "parsnip";
    });
    systems = [ "parsnip" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  parsnip_slash_examples = {
    pname = "parsnip_examples";
    version = "20220331-git";
    asds = [ "parsnip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parsnip/2022-03-31/parsnip-20220331-git.tgz";
      sha256 = "0gl7z8kn37qiz0vab89wawn78iczii7iqw43jy2ls7nw0l5jv13w";
      system = "parsnip";
      asd = "parsnip";
    });
    systems = [ "parsnip/examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parsnip" pkgs) ];
    meta = {
      broken = true;
    };
  };
  parsnip_slash_test = {
    pname = "parsnip_test";
    version = "20220331-git";
    asds = [ "parsnip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parsnip/2022-03-31/parsnip-20220331-git.tgz";
      sha256 = "0gl7z8kn37qiz0vab89wawn78iczii7iqw43jy2ls7nw0l5jv13w";
      system = "parsnip";
      asd = "parsnip";
    });
    systems = [ "parsnip/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parachute" pkgs) (getAttr "parsnip" pkgs) ];
    meta = {
      broken = true;
    };
  };
  patchwork = {
    pname = "patchwork";
    version = "20220707-git";
    asds = [ "patchwork" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/patchwork/2022-07-07/patchwork-20220707-git.tgz";
      sha256 = "08d08hslcs69509wj56mlklv1cz5lq2rz0sl870zcxyn4j1nnf3f";
      system = "patchwork";
      asd = "patchwork";
    });
    systems = [ "patchwork" ];
    lispLibs = [ (getAttr "binpack" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "opticl" pkgs) (getAttr "uiop" pkgs) ];
  };
  path-parse = {
    pname = "path-parse";
    version = "20160421-git";
    asds = [ "path-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-parse/2016-04-21/path-parse-20160421-git.tgz";
      sha256 = "10mxm6q62cfpv3hw2w8k968ba8a1xglqdkwlkqs4l4nby3b11aaq";
      system = "path-parse";
      asd = "path-parse";
    });
    systems = [ "path-parse" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  path-parse-test = {
    pname = "path-parse-test";
    version = "20160421-git";
    asds = [ "path-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-parse/2016-04-21/path-parse-20160421-git.tgz";
      sha256 = "10mxm6q62cfpv3hw2w8k968ba8a1xglqdkwlkqs4l4nby3b11aaq";
      system = "path-parse-test";
      asd = "path-parse-test";
    });
    systems = [ "path-parse-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "path-parse" pkgs) ];
  };
  path-string = {
    pname = "path-string";
    version = "20160825-git";
    asds = [ "path-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-string/2016-08-25/path-string-20160825-git.tgz";
      sha256 = "0hs36kf4njxafxrngs1m1sh9c7b9wv7sa8n316dq4icx3kf3v6yp";
      system = "path-string";
      asd = "path-string";
    });
    systems = [ "path-string" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  path-string-test = {
    pname = "path-string-test";
    version = "20160825-git";
    asds = [ "path-string-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-string/2016-08-25/path-string-20160825-git.tgz";
      sha256 = "0hs36kf4njxafxrngs1m1sh9c7b9wv7sa8n316dq4icx3kf3v6yp";
      system = "path-string-test";
      asd = "path-string-test";
    });
    systems = [ "path-string-test" ];
    lispLibs = [ (getAttr "path-string" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  pathname-utils = {
    pname = "pathname-utils";
    version = "20221106-git";
    asds = [ "pathname-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pathname-utils/2022-11-06/pathname-utils-20221106-git.tgz";
      sha256 = "1c1g2piiw01gcawgxlp7c4jaqls3kcjh9q8smwrvnvnr2g3hbn98";
      system = "pathname-utils";
      asd = "pathname-utils";
    });
    systems = [ "pathname-utils" ];
    lispLibs = [ (getAttr "trivial-features" pkgs) ];
  };
  pathname-utils-test = {
    pname = "pathname-utils-test";
    version = "20221106-git";
    asds = [ "pathname-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pathname-utils/2022-11-06/pathname-utils-20221106-git.tgz";
      sha256 = "1c1g2piiw01gcawgxlp7c4jaqls3kcjh9q8smwrvnvnr2g3hbn98";
      system = "pathname-utils-test";
      asd = "pathname-utils-test";
    });
    systems = [ "pathname-utils-test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "pathname-utils" pkgs) ];
  };
  patron = {
    pname = "patron";
    version = "20130420-git";
    asds = [ "patron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/patron/2013-04-20/patron-20130420-git.tgz";
      sha256 = "0i2vlwspnssjxdnq7dsrb98q3y8c8drd0a11nxn9808q76sqzsqc";
      system = "patron";
      asd = "patron";
    });
    systems = [ "patron" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  pcall = {
    pname = "pcall";
    version = "0.3";
    asds = [ "pcall" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall";
      asd = "pcall";
    });
    systems = [ "pcall" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "pcall-queue" pkgs) ];
  };
  pcall-queue = {
    pname = "pcall-queue";
    version = "0.3";
    asds = [ "pcall-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall-queue";
      asd = "pcall-queue";
    });
    systems = [ "pcall-queue" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  pcall-tests = {
    pname = "pcall-tests";
    version = "0.3";
    asds = [ "pcall-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall-tests";
      asd = "pcall";
    });
    systems = [ "pcall-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "pcall" pkgs) ];
  };
  pcl-binary-data = {
    pname = "pcl-binary-data";
    version = "20180430-git";
    asds = [ "pcl-binary-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-binary-data";
      asd = "pcl-binary-data";
    });
    systems = [ "pcl-binary-data" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" pkgs) ];
  };
  pcl-html = {
    pname = "pcl-html";
    version = "20180430-git";
    asds = [ "pcl-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-html";
      asd = "pcl-html";
    });
    systems = [ "pcl-html" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" pkgs) ];
  };
  pcl-id3v2 = {
    pname = "pcl-id3v2";
    version = "20180430-git";
    asds = [ "pcl-id3v2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-id3v2";
      asd = "pcl-id3v2";
    });
    systems = [ "pcl-id3v2" ];
    lispLibs = [ (getAttr "pcl-binary-data" pkgs) (getAttr "pcl-pathnames" pkgs) ];
  };
  pcl-macro-utilities = {
    pname = "pcl-macro-utilities";
    version = "20180430-git";
    asds = [ "pcl-macro-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-macro-utilities";
      asd = "pcl-macro-utilities";
    });
    systems = [ "pcl-macro-utilities" ];
    lispLibs = [  ];
  };
  pcl-mp3-browser = {
    pname = "pcl-mp3-browser";
    version = "20180430-git";
    asds = [ "pcl-mp3-browser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-mp3-browser";
      asd = "pcl-mp3-browser";
    });
    systems = [ "pcl-mp3-browser" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "pcl-html" pkgs) (getAttr "pcl-id3v2" pkgs) (getAttr "pcl-mp3-database" pkgs) (getAttr "pcl-shoutcast" pkgs) (getAttr "pcl-url-function" pkgs) ];
  };
  pcl-mp3-database = {
    pname = "pcl-mp3-database";
    version = "20180430-git";
    asds = [ "pcl-mp3-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-mp3-database";
      asd = "pcl-mp3-database";
    });
    systems = [ "pcl-mp3-database" ];
    lispLibs = [ (getAttr "pcl-id3v2" pkgs) (getAttr "pcl-macro-utilities" pkgs) (getAttr "pcl-pathnames" pkgs) ];
  };
  pcl-pathnames = {
    pname = "pcl-pathnames";
    version = "20180430-git";
    asds = [ "pcl-pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-pathnames";
      asd = "pcl-pathnames";
    });
    systems = [ "pcl-pathnames" ];
    lispLibs = [  ];
  };
  pcl-shoutcast = {
    pname = "pcl-shoutcast";
    version = "20180430-git";
    asds = [ "pcl-shoutcast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-shoutcast";
      asd = "pcl-shoutcast";
    });
    systems = [ "pcl-shoutcast" ];
    lispLibs = [ (getAttr "pcl-html" pkgs) (getAttr "pcl-id3v2" pkgs) (getAttr "pcl-macro-utilities" pkgs) (getAttr "pcl-mp3-database" pkgs) (getAttr "pcl-pathnames" pkgs) (getAttr "pcl-url-function" pkgs) ];
  };
  pcl-simple-database = {
    pname = "pcl-simple-database";
    version = "20180430-git";
    asds = [ "pcl-simple-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-simple-database";
      asd = "pcl-simple-database";
    });
    systems = [ "pcl-simple-database" ];
    lispLibs = [  ];
  };
  pcl-spam = {
    pname = "pcl-spam";
    version = "20180430-git";
    asds = [ "pcl-spam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-spam";
      asd = "pcl-spam";
    });
    systems = [ "pcl-spam" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "pcl-pathnames" pkgs) (getAttr "pcl-test-framework" pkgs) ];
  };
  pcl-test-framework = {
    pname = "pcl-test-framework";
    version = "20180430-git";
    asds = [ "pcl-test-framework" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-test-framework";
      asd = "pcl-test-framework";
    });
    systems = [ "pcl-test-framework" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" pkgs) ];
  };
  pcl-unit-test = {
    pname = "pcl-unit-test";
    version = "20121125-git";
    asds = [ "pcl-unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "pcl-unit-test";
      asd = "pcl-unit-test";
    });
    systems = [ "pcl-unit-test" ];
    lispLibs = [ (getAttr "standard-cl" pkgs) ];
  };
  pcl-url-function = {
    pname = "pcl-url-function";
    version = "20180430-git";
    asds = [ "pcl-url-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-url-function";
      asd = "pcl-url-function";
    });
    systems = [ "pcl-url-function" ];
    lispLibs = [ (getAttr "aserve" pkgs) (getAttr "pcl-html" pkgs) (getAttr "pcl-macro-utilities" pkgs) ];
  };
  peppol = {
    pname = "peppol";
    version = "20201016-git";
    asds = [ "peppol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-peppol/2020-10-16/cl-peppol-20201016-git.tgz";
      sha256 = "02wc6h1fiaqzf14py2kwsvx0dmb22wdkd54pl0ixnmivj436ln99";
      system = "peppol";
      asd = "peppol";
    });
    systems = [ "peppol" ];
    lispLibs = [ (getAttr "cxml" pkgs) (getAttr "xpath" pkgs) ];
  };
  percent-encoding = {
    pname = "percent-encoding";
    version = "20121013-git";
    asds = [ "percent-encoding" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/percent-encoding/2012-10-13/percent-encoding-20121013-git.tgz";
      sha256 = "0q1lh3sa6mkjr5gcdkgimkpc29rgf9cjhv90f61h8ridj28grq0h";
      system = "percent-encoding";
      asd = "percent-encoding";
    });
    systems = [ "percent-encoding" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "babel" pkgs) ];
  };
  percent-encoding-test = {
    pname = "percent-encoding-test";
    version = "20121013-git";
    asds = [ "percent-encoding-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/percent-encoding/2012-10-13/percent-encoding-20121013-git.tgz";
      sha256 = "0q1lh3sa6mkjr5gcdkgimkpc29rgf9cjhv90f61h8ridj28grq0h";
      system = "percent-encoding-test";
      asd = "percent-encoding";
    });
    systems = [ "percent-encoding-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "percent-encoding" pkgs) ];
  };
  perceptual-hashes = {
    pname = "perceptual-hashes";
    version = "20220707-git";
    asds = [ "perceptual-hashes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/perceptual-hashes/2022-07-07/perceptual-hashes-20220707-git.tgz";
      sha256 = "1hg2vxi4avmjwscgab7wqf3c4d60x933lac4d86fmfk0wgl5nzzd";
      system = "perceptual-hashes";
      asd = "perceptual-hashes";
    });
    systems = [ "perceptual-hashes" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "array-operations" pkgs) (getAttr "imago" pkgs) (getAttr "serapeum" pkgs) ];
  };
  perceptual-hashes_slash_tests = {
    pname = "perceptual-hashes_tests";
    version = "20220707-git";
    asds = [ "perceptual-hashes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/perceptual-hashes/2022-07-07/perceptual-hashes-20220707-git.tgz";
      sha256 = "1hg2vxi4avmjwscgab7wqf3c4d60x933lac4d86fmfk0wgl5nzzd";
      system = "perceptual-hashes";
      asd = "perceptual-hashes";
    });
    systems = [ "perceptual-hashes/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "perceptual-hashes" pkgs) ];
    meta = {
      broken = true;
    };
  };
  periodic-table = {
    pname = "periodic-table";
    version = "1.0";
    asds = [ "periodic-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periodic-table/2011-10-01/periodic-table-1.0.tgz";
      sha256 = "147j9kn0afsvlz09vdjmvw5si08ix3dyypg21vrc5xvn9nsalrxx";
      system = "periodic-table";
      asd = "periodic-table";
    });
    systems = [ "periodic-table" ];
    lispLibs = [  ];
  };
  periods = {
    pname = "periods";
    version = "20221106-git";
    asds = [ "periods" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periods/2022-11-06/periods-20221106-git.tgz";
      sha256 = "0ynhdmlzb499mlm7c7zy6vgw8vglkkf14zr0v40jcl1sgq3236ry";
      system = "periods";
      asd = "periods";
    });
    systems = [ "periods" ];
    lispLibs = [ (getAttr "local-time" pkgs) ];
  };
  periods-series = {
    pname = "periods-series";
    version = "20221106-git";
    asds = [ "periods-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periods/2022-11-06/periods-20221106-git.tgz";
      sha256 = "0ynhdmlzb499mlm7c7zy6vgw8vglkkf14zr0v40jcl1sgq3236ry";
      system = "periods-series";
      asd = "periods-series";
    });
    systems = [ "periods-series" ];
    lispLibs = [ (getAttr "periods" pkgs) (getAttr "series" pkgs) ];
  };
  perlre = {
    pname = "perlre";
    version = "20200715-git";
    asds = [ "perlre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/perlre/2020-07-15/perlre-20200715-git.tgz";
      sha256 = "1izhrn1xd0mi2nl0p6930ln3nb4wp3y5ngg81wy5g5s4vqy2h54a";
      system = "perlre";
      asd = "perlre";
    });
    systems = [ "perlre" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "let-over-lambda" pkgs) (getAttr "prove" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_ppcre" pkgs) ];
  };
  pero = {
    pname = "pero";
    version = "20221106-git";
    asds = [ "pero" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pero/2022-11-06/pero-20221106-git.tgz";
      sha256 = "0hpv2vn42210niw6hs4z17w0c565nzln2xzapw7jhm1xjl633vbc";
      system = "pero";
      asd = "pero";
    });
    systems = [ "pero" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "local-time" pkgs) ];
  };
  persistent = {
    pname = "persistent";
    version = "20221106-git";
    asds = [ "persistent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "persistent";
      asd = "persistent";
    });
    systems = [ "persistent" ];
    lispLibs = [  ];
  };
  persistent-tables = {
    pname = "persistent-tables";
    version = "20120208-git";
    asds = [ "persistent-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-tables/2012-02-08/persistent-tables-20120208-git.tgz";
      sha256 = "0klfjza85mgj2z42x2lhcqy9q66avac7zw0cpbmwwng3m7679hpa";
      system = "persistent-tables";
      asd = "persistent-tables";
    });
    systems = [ "persistent-tables" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "random-access-lists" pkgs) ];
  };
  persistent-variables = {
    pname = "persistent-variables";
    version = "20130312-git";
    asds = [ "persistent-variables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-variables/2013-03-12/persistent-variables-20130312-git.tgz";
      sha256 = "0r72cbjkb5q4sn109svlcsvrwgvwdsn5c63rv5cpaf3jrfv1z8xn";
      system = "persistent-variables";
      asd = "persistent-variables";
    });
    systems = [ "persistent-variables" ];
    lispLibs = [  ];
  };
  persistent-variables_dot_test = {
    pname = "persistent-variables.test";
    version = "20130312-git";
    asds = [ "persistent-variables.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-variables/2013-03-12/persistent-variables-20130312-git.tgz";
      sha256 = "0r72cbjkb5q4sn109svlcsvrwgvwdsn5c63rv5cpaf3jrfv1z8xn";
      system = "persistent-variables.test";
      asd = "persistent-variables";
    });
    systems = [ "persistent-variables.test" ];
    lispLibs = [ (getAttr "persistent-variables" pkgs) ];
  };
  petalisp = {
    pname = "petalisp";
    version = "20221106-git";
    asds = [ "petalisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp";
      asd = "petalisp";
    });
    systems = [ "petalisp" ];
    lispLibs = [ (getAttr "petalisp_dot_api" pkgs) ];
  };
  petalisp_dot_api = {
    pname = "petalisp.api";
    version = "20221106-git";
    asds = [ "petalisp.api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.api";
      asd = "petalisp.api";
    });
    systems = [ "petalisp.api" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "petalisp_dot_core" pkgs) (getAttr "petalisp_dot_utilities" pkgs) (getAttr "petalisp_dot_xmas-backend" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-macroexpand-all" pkgs) ];
  };
  petalisp_dot_core = {
    pname = "petalisp.core";
    version = "20221106-git";
    asds = [ "petalisp.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.core";
      asd = "petalisp.core";
    });
    systems = [ "petalisp.core" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "lparallel" pkgs) (getAttr "petalisp_dot_type-inference" pkgs) (getAttr "petalisp_dot_utilities" pkgs) (getAttr "trivia" pkgs) ];
  };
  petalisp_dot_examples = {
    pname = "petalisp.examples";
    version = "20221106-git";
    asds = [ "petalisp.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.examples";
      asd = "petalisp.examples";
    });
    systems = [ "petalisp.examples" ];
    lispLibs = [ (getAttr "numpy-file-format" pkgs) (getAttr "petalisp" pkgs) ];
  };
  petalisp_dot_graphviz = {
    pname = "petalisp.graphviz";
    version = "20221106-git";
    asds = [ "petalisp.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.graphviz";
      asd = "petalisp.graphviz";
    });
    systems = [ "petalisp.graphviz" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-dot" pkgs) (getAttr "petalisp" pkgs) (getAttr "petalisp_dot_core" pkgs) (getAttr "petalisp_dot_ir" pkgs) (getAttr "petalisp_dot_utilities" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  petalisp_dot_ir = {
    pname = "petalisp.ir";
    version = "20221106-git";
    asds = [ "petalisp.ir" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.ir";
      asd = "petalisp.ir";
    });
    systems = [ "petalisp.ir" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "petalisp_dot_core" pkgs) (getAttr "petalisp_dot_utilities" pkgs) (getAttr "priority-queue" pkgs) (getAttr "split-sequence" pkgs) (getAttr "ucons" pkgs) ];
  };
  petalisp_dot_test-suite = {
    pname = "petalisp.test-suite";
    version = "20221106-git";
    asds = [ "petalisp.test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.test-suite";
      asd = "petalisp.test-suite";
    });
    systems = [ "petalisp.test-suite" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "petalisp" pkgs) (getAttr "petalisp_dot_examples" pkgs) (getAttr "petalisp_dot_graphviz" pkgs) (getAttr "petalisp_dot_xmas-backend" pkgs) ];
  };
  petalisp_dot_type-inference = {
    pname = "petalisp.type-inference";
    version = "20221106-git";
    asds = [ "petalisp.type-inference" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.type-inference";
      asd = "petalisp.type-inference";
    });
    systems = [ "petalisp.type-inference" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-arguments" pkgs) ];
  };
  petalisp_dot_utilities = {
    pname = "petalisp.utilities";
    version = "20221106-git";
    asds = [ "petalisp.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.utilities";
      asd = "petalisp.utilities";
    });
    systems = [ "petalisp.utilities" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "atomics" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "queues_dot_priority-queue" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  petalisp_dot_xmas-backend = {
    pname = "petalisp.xmas-backend";
    version = "20221106-git";
    asds = [ "petalisp.xmas-backend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2022-11-06/petalisp-20221106-git.tgz";
      sha256 = "0wd9p8rdalil1qqzpagx920jwrr3i6c8bf9svah88i6vdvh21x63";
      system = "petalisp.xmas-backend";
      asd = "petalisp.xmas-backend";
    });
    systems = [ "petalisp.xmas-backend" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "atomics" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "lparallel" pkgs) (getAttr "petalisp_dot_core" pkgs) (getAttr "petalisp_dot_ir" pkgs) (getAttr "petalisp_dot_type-inference" pkgs) (getAttr "petalisp_dot_utilities" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  petit_dot_package-utils = {
    pname = "petit.package-utils";
    version = "20140826-git";
    asds = [ "petit.package-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.package-utils/2014-08-26/petit.package-utils-20140826-git.tgz";
      sha256 = "0jj4c1jpcqfy9mrlxhjmq4ypwlzk84h09i8nr34wjwh6z7idhpyv";
      system = "petit.package-utils";
      asd = "petit.package-utils";
    });
    systems = [ "petit.package-utils" ];
    lispLibs = [  ];
  };
  petit_dot_string-utils = {
    pname = "petit.string-utils";
    version = "20141106-git";
    asds = [ "petit.string-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.string-utils/2014-11-06/petit.string-utils-20141106-git.tgz";
      sha256 = "04kqdj69x53wzvpp54zp6767186in24p8yrr82wdg2bwzw4qh4yl";
      system = "petit.string-utils";
      asd = "petit.string-utils";
    });
    systems = [ "petit.string-utils" ];
    lispLibs = [  ];
  };
  petit_dot_string-utils-test = {
    pname = "petit.string-utils-test";
    version = "20141106-git";
    asds = [ "petit.string-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.string-utils/2014-11-06/petit.string-utils-20141106-git.tgz";
      sha256 = "04kqdj69x53wzvpp54zp6767186in24p8yrr82wdg2bwzw4qh4yl";
      system = "petit.string-utils-test";
      asd = "petit.string-utils-test";
    });
    systems = [ "petit.string-utils-test" ];
    lispLibs = [ (getAttr "petit_dot_string-utils" pkgs) (getAttr "rt" pkgs) ];
  };
  petri = {
    pname = "petri";
    version = "20200427-git";
    asds = [ "petri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petri/2020-04-27/petri-20200427-git.tgz";
      sha256 = "1y78s3jndyxll46zq7s5is9pwv8f6jr2npjkcpd48ik7xkj2269b";
      system = "petri";
      asd = "petri";
    });
    systems = [ "petri" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "phoe-toolbox" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  petri_slash_graph = {
    pname = "petri_graph";
    version = "20200427-git";
    asds = [ "petri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petri/2020-04-27/petri-20200427-git.tgz";
      sha256 = "1y78s3jndyxll46zq7s5is9pwv8f6jr2npjkcpd48ik7xkj2269b";
      system = "petri";
      asd = "petri";
    });
    systems = [ "petri/graph" ];
    lispLibs = [ (getAttr "cl-dot" pkgs) (getAttr "petri" pkgs) ];
    meta = {
      broken = true;
    };
  };
  petri_slash_test = {
    pname = "petri_test";
    version = "20200427-git";
    asds = [ "petri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petri/2020-04-27/petri-20200427-git.tgz";
      sha256 = "1y78s3jndyxll46zq7s5is9pwv8f6jr2npjkcpd48ik7xkj2269b";
      system = "petri";
      asd = "petri";
    });
    systems = [ "petri/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "lparallel" pkgs) (getAttr "petri" pkgs) (getAttr "trivial-backtrace" pkgs) ];
    meta = {
      broken = true;
    };
  };
  petri_slash_threaded = {
    pname = "petri_threaded";
    version = "20200427-git";
    asds = [ "petri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petri/2020-04-27/petri-20200427-git.tgz";
      sha256 = "1y78s3jndyxll46zq7s5is9pwv8f6jr2npjkcpd48ik7xkj2269b";
      system = "petri";
      asd = "petri";
    });
    systems = [ "petri/threaded" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "lparallel" pkgs) (getAttr "petri" pkgs) (getAttr "trivial-backtrace" pkgs) ];
    meta = {
      broken = true;
    };
  };
  pettomato-deque = {
    pname = "pettomato-deque";
    version = "20120107-git";
    asds = [ "pettomato-deque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-deque/2012-01-07/pettomato-deque-20120107-git.tgz";
      sha256 = "07ai4fa64cg6shfvnx9xk7pscbsz64ys80482zz2fb9q0rba80b7";
      system = "pettomato-deque";
      asd = "pettomato-deque";
    });
    systems = [ "pettomato-deque" ];
    lispLibs = [  ];
  };
  pettomato-deque-tests = {
    pname = "pettomato-deque-tests";
    version = "20120107-git";
    asds = [ "pettomato-deque-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-deque/2012-01-07/pettomato-deque-20120107-git.tgz";
      sha256 = "07ai4fa64cg6shfvnx9xk7pscbsz64ys80482zz2fb9q0rba80b7";
      system = "pettomato-deque-tests";
      asd = "pettomato-deque-tests";
    });
    systems = [ "pettomato-deque-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "pettomato-deque" pkgs) ];
  };
  pettomato-indexed-priority-queue = {
    pname = "pettomato-indexed-priority-queue";
    version = "20120909-git";
    asds = [ "pettomato-indexed-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-indexed-priority-queue/2012-09-09/pettomato-indexed-priority-queue-20120909-git.tgz";
      sha256 = "14i36qbdnif28xcbxdbr5abzmzxr7vzv64n1aix0f6khxg99pylz";
      system = "pettomato-indexed-priority-queue";
      asd = "pettomato-indexed-priority-queue";
    });
    systems = [ "pettomato-indexed-priority-queue" ];
    lispLibs = [  ];
  };
  pettomato-indexed-priority-queue-tests = {
    pname = "pettomato-indexed-priority-queue-tests";
    version = "20120909-git";
    asds = [ "pettomato-indexed-priority-queue-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-indexed-priority-queue/2012-09-09/pettomato-indexed-priority-queue-20120909-git.tgz";
      sha256 = "14i36qbdnif28xcbxdbr5abzmzxr7vzv64n1aix0f6khxg99pylz";
      system = "pettomato-indexed-priority-queue-tests";
      asd = "pettomato-indexed-priority-queue-tests";
    });
    systems = [ "pettomato-indexed-priority-queue-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "pettomato-indexed-priority-queue" pkgs) ];
  };
  pfft = {
    pname = "pfft";
    version = "20180711-git";
    asds = [ "pfft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fft/2018-07-11/fft-20180711-git.tgz";
      sha256 = "0ymnfplap2cncw49mhq7crapgxphfwsvqdgrcckpgsvw6qsymasd";
      system = "pfft";
      asd = "pfft";
    });
    systems = [ "pfft" ];
    lispLibs = [ (getAttr "fft" pkgs) (getAttr "pcall" pkgs) ];
  };
  pg = {
    pname = "pg";
    version = "20150608-git";
    asds = [ "pg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pg/2015-06-08/pg-20150608-git.tgz";
      sha256 = "1c7axd2yxw9lxf7l5djrnfkp197mmr88qpigy2cjgim8vxab4n2l";
      system = "pg";
      asd = "pg";
    });
    systems = [ "pg" ];
    lispLibs = [  ];
  };
  pgloader = {
    pname = "pgloader";
    version = "v3.6.9";
    asds = [ "pgloader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pgloader/2022-11-06/pgloader-v3.6.9.tgz";
      sha256 = "03kp3ms2sjz4gwb94xs404mi63fnv1bq00hyqxyvc9csmicxzawn";
      system = "pgloader";
      asd = "pgloader";
    });
    systems = [ "pgloader" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-csv" pkgs) (getAttr "db3" pkgs) (getAttr "cl-fad" pkgs) (getAttr "ixf" pkgs) (getAttr "cl-log" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "mssql" pkgs) (getAttr "cl-mustache" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "sqlite" pkgs) (getAttr "closer-mop" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "drakma" pkgs) (getAttr "esrap" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "local-time" pkgs) (getAttr "lparallel" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "postmodern" pkgs) (getAttr "simple-date" pkgs) (getAttr "py-configparser" pkgs) (getAttr "qmynd" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) (getAttr "uuid" pkgs) (getAttr "yason" pkgs) (getAttr "zs3" pkgs) ];
  };
  phoe-toolbox = {
    pname = "phoe-toolbox";
    version = "20210124-git";
    asds = [ "phoe-toolbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phoe-toolbox/2021-01-24/phoe-toolbox-20210124-git.tgz";
      sha256 = "0bzbgs4lkhw93y1cwrs9kp5yiyz8sg4885cnvi83dzzbla9b74kv";
      system = "phoe-toolbox";
      asd = "phoe-toolbox";
    });
    systems = [ "phoe-toolbox" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  phoe-toolbox_slash_bag = {
    pname = "phoe-toolbox_bag";
    version = "20210124-git";
    asds = [ "phoe-toolbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phoe-toolbox/2021-01-24/phoe-toolbox-20210124-git.tgz";
      sha256 = "0bzbgs4lkhw93y1cwrs9kp5yiyz8sg4885cnvi83dzzbla9b74kv";
      system = "phoe-toolbox";
      asd = "phoe-toolbox";
    });
    systems = [ "phoe-toolbox/bag" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  phonon = {
    pname = "phonon";
    version = "20210531-git";
    asds = [ "phonon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "phonon";
      asd = "phonon";
    });
    systems = [ "phonon" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtdbus" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtxml" pkgs) ];
  };
  phos = {
    pname = "phos";
    version = "20220220-git";
    asds = [ "phos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phos/2022-02-20/phos-20220220-git.tgz";
      sha256 = "1zwci86rkbaiix0w2gd5q6nr8v2vv945pkvwp0j240iyzd4hfxr3";
      system = "phos";
      asd = "phos";
    });
    systems = [ "phos" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "quri" pkgs) (getAttr "trivia" pkgs) (getAttr "usocket" pkgs) ];
  };
  phos_slash_nodgui = {
    pname = "phos_nodgui";
    version = "20220220-git";
    asds = [ "phos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phos/2022-02-20/phos-20220220-git.tgz";
      sha256 = "1zwci86rkbaiix0w2gd5q6nr8v2vv945pkvwp0j240iyzd4hfxr3";
      system = "phos";
      asd = "phos";
    });
    systems = [ "phos/nodgui" ];
    lispLibs = [ (getAttr "nodgui" pkgs) (getAttr "phos" pkgs) ];
    meta = {
      broken = true;
    };
  };
  phos_slash_test = {
    pname = "phos_test";
    version = "20220220-git";
    asds = [ "phos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phos/2022-02-20/phos-20220220-git.tgz";
      sha256 = "1zwci86rkbaiix0w2gd5q6nr8v2vv945pkvwp0j240iyzd4hfxr3";
      system = "phos";
      asd = "phos";
    });
    systems = [ "phos/test" ];
    lispLibs = [ (getAttr "clunit2" pkgs) (getAttr "phos" pkgs) ];
    meta = {
      broken = true;
    };
  };
  physical-dimension = {
    pname = "physical-dimension";
    version = "master-df14cb8c-git";
    asds = [ "physical-dimension" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "physical-dimension";
      asd = "physical-dimension";
    });
    systems = [ "physical-dimension" ];
    lispLibs = [ (getAttr "foreign-array" pkgs) (getAttr "fare-utils" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  physical-quantities = {
    pname = "physical-quantities";
    version = "20211020-git";
    asds = [ "physical-quantities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/physical-quantities/2021-10-20/physical-quantities-20211020-git.tgz";
      sha256 = "0mb2s94s6fhw5vfa89naalw7ld11sdsszlqpz0c65dvpfyfmmdmh";
      system = "physical-quantities";
      asd = "physical-quantities";
    });
    systems = [ "physical-quantities" ];
    lispLibs = [ (getAttr "parseq" pkgs) ];
  };
  physical-quantities_slash_test = {
    pname = "physical-quantities_test";
    version = "20211020-git";
    asds = [ "physical-quantities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/physical-quantities/2021-10-20/physical-quantities-20211020-git.tgz";
      sha256 = "0mb2s94s6fhw5vfa89naalw7ld11sdsszlqpz0c65dvpfyfmmdmh";
      system = "physical-quantities";
      asd = "physical-quantities";
    });
    systems = [ "physical-quantities/test" ];
    lispLibs = [ (getAttr "physical-quantities" pkgs) ];
    meta = {
      broken = true;
    };
  };
  picl = {
    pname = "picl";
    version = "20210124-git";
    asds = [ "picl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/picl/2021-01-24/picl-20210124-git.tgz";
      sha256 = "14jwx7hv6h563ppvxicdkrqx0cxlz15im9a4grd9yvwdfxl70l4c";
      system = "picl";
      asd = "picl";
    });
    systems = [ "picl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "defclass-std" pkgs) ];
  };
  picl_slash_iterate = {
    pname = "picl_iterate";
    version = "20210124-git";
    asds = [ "picl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/picl/2021-01-24/picl-20210124-git.tgz";
      sha256 = "14jwx7hv6h563ppvxicdkrqx0cxlz15im9a4grd9yvwdfxl70l4c";
      system = "picl";
      asd = "picl";
    });
    systems = [ "picl/iterate" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "picl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  picl_slash_tests = {
    pname = "picl_tests";
    version = "20210124-git";
    asds = [ "picl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/picl/2021-01-24/picl-20210124-git.tgz";
      sha256 = "14jwx7hv6h563ppvxicdkrqx0cxlz15im9a4grd9yvwdfxl70l4c";
      system = "picl";
      asd = "picl";
    });
    systems = [ "picl/tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-cl" pkgs) (getAttr "iterate" pkgs) (getAttr "picl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  piggyback-parameters = {
    pname = "piggyback-parameters";
    version = "20200610-git";
    asds = [ "piggyback-parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/piggyback-parameters/2020-06-10/piggyback-parameters-20200610-git.tgz";
      sha256 = "1187bgnz9pvs8xdxapqhrm4yqzwlp368ijmc5szm8r8q3zrb219n";
      system = "piggyback-parameters";
      asd = "piggyback-parameters";
    });
    systems = [ "piggyback-parameters" ];
    lispLibs = [ (getAttr "trivial-hashtable-serialize" pkgs) (getAttr "trivial-json-codec" pkgs) (getAttr "trivial-pooled-database" pkgs) ];
  };
  piggyback-parameters_slash_test = {
    pname = "piggyback-parameters_test";
    version = "20200610-git";
    asds = [ "piggyback-parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/piggyback-parameters/2020-06-10/piggyback-parameters-20200610-git.tgz";
      sha256 = "1187bgnz9pvs8xdxapqhrm4yqzwlp368ijmc5szm8r8q3zrb219n";
      system = "piggyback-parameters";
      asd = "piggyback-parameters";
    });
    systems = [ "piggyback-parameters/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "piggyback-parameters" pkgs) ];
    meta = {
      broken = true;
    };
  };
  pileup = {
    pname = "pileup";
    version = "20150709-git";
    asds = [ "pileup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pileup/2015-07-09/pileup-20150709-git.tgz";
      sha256 = "01gvshpxil0ggjgfmgcymbgmpsfaxy6aggm0bywkn40rck3038vb";
      system = "pileup";
      asd = "pileup";
    });
    systems = [ "pileup" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  pileup-tests = {
    pname = "pileup-tests";
    version = "20150709-git";
    asds = [ "pileup-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pileup/2015-07-09/pileup-20150709-git.tgz";
      sha256 = "01gvshpxil0ggjgfmgcymbgmpsfaxy6aggm0bywkn40rck3038vb";
      system = "pileup-tests";
      asd = "pileup";
    });
    systems = [ "pileup-tests" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "pileup" pkgs) ];
  };
  pipes = {
    pname = "pipes";
    version = "20150923-git";
    asds = [ "pipes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pipes/2015-09-23/pipes-20150923-git.tgz";
      sha256 = "17qcxalbdip20nkbwiv3kpdjjsy0g1y9s4a0zv38ch47bdl9yxpc";
      system = "pipes";
      asd = "pipes";
    });
    systems = [ "pipes" ];
    lispLibs = [  ];
  };
  piping = {
    pname = "piping";
    version = "20221106-git";
    asds = [ "piping" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/piping/2022-11-06/piping-20221106-git.tgz";
      sha256 = "0kmjpa3wjinsfiik50n2c9b5g9n39qf7p2piy4237xddx2a0300r";
      system = "piping";
      asd = "piping";
    });
    systems = [ "piping" ];
    lispLibs = [  ];
  };
  pithy-xml = {
    pname = "pithy-xml";
    version = "20101006-git";
    asds = [ "pithy-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pithy-xml/2010-10-06/pithy-xml-20101006-git.tgz";
      sha256 = "05zw5adiw7jgvi9w9c661s4r49fidpcxn6m7azmn0pzc936dg17h";
      system = "pithy-xml";
      asd = "pithy-xml";
    });
    systems = [ "pithy-xml" ];
    lispLibs = [  ];
  };
  pixman = {
    pname = "pixman";
    version = "20170830-git";
    asds = [ "pixman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pixman/2017-08-30/cl-pixman-20170830-git.tgz";
      sha256 = "068hh7cv6f2wqwd8092wqh3rgdix6sa319qpm648mss8jfnjjbgj";
      system = "pixman";
      asd = "pixman";
    });
    systems = [ "pixman" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  pjlink = {
    pname = "pjlink";
    version = "20220331-git";
    asds = [ "pjlink" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pjlink/2022-03-31/pjlink-20220331-git.tgz";
      sha256 = "1rsmg0x7fd32na36x9ahj6vji3xs6ckg5pyng8nf33fmdj8dscbc";
      system = "pjlink";
      asd = "pjlink";
    });
    systems = [ "pjlink" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "ip-interfaces" pkgs) (getAttr "md5" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "usocket" pkgs) ];
  };
  pk-serialize = {
    pname = "pk-serialize";
    version = "20221106-git";
    asds = [ "pk-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pk-serialize/2022-11-06/pk-serialize-20221106-git.tgz";
      sha256 = "1fi9xxdlg2z9dnqb2sc7wg37aqzqjz43h2l1wxa5zvk73qqzapyn";
      system = "pk-serialize";
      asd = "pk-serialize";
    });
    systems = [ "pk-serialize" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  pkg-doc = {
    pname = "pkg-doc";
    version = "20200925-git";
    asds = [ "pkg-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pkg-doc/2020-09-25/pkg-doc-20200925-git.tgz";
      sha256 = "1y4dcc0q3iizgvavnkl8q4bjxq0dngvqw5dhrf9bxf4d3q3vrbd4";
      system = "pkg-doc";
      asd = "pkg-doc";
    });
    systems = [ "pkg-doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "stdutils" pkgs) (getAttr "clim-widgets" pkgs) (getAttr "manifest" pkgs) (getAttr "nsort" pkgs) (getAttr "repl-utilities" pkgs) ];
  };
  place-modifiers = {
    pname = "place-modifiers";
    version = "2.1";
    asds = [ "place-modifiers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/place-modifiers/2012-11-25/place-modifiers-2.1.tgz";
      sha256 = "13nd911h6i7gks78l30bzdqzygcqh47946jwaf50ak2iraagknvf";
      system = "place-modifiers";
      asd = "place-modifiers";
    });
    systems = [ "place-modifiers" ];
    lispLibs = [ (getAttr "cartesian-product-switch" pkgs) (getAttr "map-bind" pkgs) ];
  };
  place-utils = {
    pname = "place-utils";
    version = "0.2";
    asds = [ "place-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/place-utils/2018-10-18/place-utils-0.2.tgz";
      sha256 = "1riaxxafn2xbyy6776yqns1bhz5jnzzpd177wb5xzvwlxiix6yf9";
      system = "place-utils";
      asd = "place-utils";
    });
    systems = [ "place-utils" ];
    lispLibs = [  ];
  };
  plain-odbc = {
    pname = "plain-odbc";
    version = "20191130-git";
    asds = [ "plain-odbc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plain-odbc/2019-11-30/plain-odbc-20191130-git.tgz";
      sha256 = "1ca5v50bffycl0dlwydm385cgacbxvwfphi2gjy2ni573czy1lgb";
      system = "plain-odbc";
      asd = "plain-odbc";
    });
    systems = [ "plain-odbc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) ];
  };
  planks = {
    pname = "planks";
    version = "20110522-git";
    asds = [ "planks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/planks/2011-05-22/planks-20110522-git.tgz";
      sha256 = "1y7cg9xb75j1yslbxsmw0fyg738f4d28lnlm7w7hzgc51fc7875k";
      system = "planks";
      asd = "planks";
    });
    systems = [ "planks" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "ironclad" pkgs) (getAttr "rucksack" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  plokami = {
    pname = "plokami";
    version = "20200218-git";
    asds = [ "plokami" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plokami/2020-02-18/plokami-20200218-git.tgz";
      sha256 = "1k78lpbaqqa2gnwi9k0y646md4s9xnijm774knl11p05r83w5ycb";
      system = "plokami";
      asd = "plokami";
    });
    systems = [ "plokami" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "uiop" pkgs) ];
  };
  plot = {
    pname = "plot";
    version = "20221106-git";
    asds = [ "plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plot/2022-11-06/plot-20221106-git.tgz";
      sha256 = "1fwp31jn9a0hla9yv44havgldmjf3hi2dgpm3j3h770d8wypy5vv";
      system = "plot";
      asd = "plot";
    });
    systems = [ "plot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "alexandria_plus" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "data-frame" pkgs) ];
  };
  plot_slash_text = {
    pname = "plot_text";
    version = "20221106-git";
    asds = [ "plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plot/2022-11-06/plot-20221106-git.tgz";
      sha256 = "1fwp31jn9a0hla9yv44havgldmjf3hi2dgpm3j3h770d8wypy5vv";
      system = "plot";
      asd = "plot";
    });
    systems = [ "plot/text" ];
    lispLibs = [ (getAttr "cl-spark" pkgs) (getAttr "iterate" pkgs) (getAttr "num-utils" pkgs) (getAttr "select" pkgs) ];
    meta = {
      broken = true;
    };
  };
  plot_slash_vega = {
    pname = "plot_vega";
    version = "20221106-git";
    asds = [ "plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plot/2022-11-06/plot-20221106-git.tgz";
      sha256 = "1fwp31jn9a0hla9yv44havgldmjf3hi2dgpm3j3h770d8wypy5vv";
      system = "plot";
      asd = "plot";
    });
    systems = [ "plot/vega" ];
    lispLibs = [ (getAttr "cl-who" pkgs) (getAttr "dfio" pkgs) (getAttr "duologue" pkgs) (getAttr "lass" pkgs) (getAttr "let-plus" pkgs) (getAttr "lisp-stat" pkgs) (getAttr "local-time" pkgs) (getAttr "parenscript" pkgs) (getAttr "plot" pkgs) (getAttr "quri" pkgs) (getAttr "yason" pkgs) ];
    meta = {
      broken = true;
    };
  };
  plplot-examples = {
    pname = "plplot-examples";
    version = "20180228-git";
    asds = [ "plplot-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plplot/2018-02-28/cl-plplot-20180228-git.tgz";
      sha256 = "0hfgq47ga2r764jfc3ywaz5ynnvp701fjhbw0s4j1mrw4gaf6y6w";
      system = "plplot-examples";
      asd = "cl-plplot";
    });
    systems = [ "plplot-examples" ];
    lispLibs = [ (getAttr "cl-plplot" pkgs) (getAttr "png" pkgs) ];
  };
  pludeck = {
    pname = "pludeck";
    version = "20180831-git";
    asds = [ "pludeck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pludeck/2018-08-31/pludeck-20180831-git.tgz";
      sha256 = "0p6v7fxs48fxr76kvkh6z2mjjyz3vf2rp698jq1fl6p3hihbgl0m";
      system = "pludeck";
      asd = "pludeck";
    });
    systems = [ "pludeck" ];
    lispLibs = [ (getAttr "plump" pkgs) ];
  };
  plump = {
    pname = "plump";
    version = "20221106-git";
    asds = [ "plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2022-11-06/plump-20221106-git.tgz";
      sha256 = "1ndj8bs690fpwpz1xjkgfj9kdlrpvbv2qid4h7viynlpldqgbqnq";
      system = "plump";
      asd = "plump";
    });
    systems = [ "plump" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  plump-bundle = {
    pname = "plump-bundle";
    version = "20190710-git";
    asds = [ "plump-bundle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-bundle/2019-07-10/plump-bundle-20190710-git.tgz";
      sha256 = "1r9k4fh9vqszvsdsa101m1nqn3wmnb89cis2sj2asbssrmcllgn3";
      system = "plump-bundle";
      asd = "plump-bundle";
    });
    systems = [ "plump-bundle" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fast-io" pkgs) (getAttr "plump-dom" pkgs) ];
  };
  plump-dom = {
    pname = "plump-dom";
    version = "20221106-git";
    asds = [ "plump-dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2022-11-06/plump-20221106-git.tgz";
      sha256 = "1ndj8bs690fpwpz1xjkgfj9kdlrpvbv2qid4h7viynlpldqgbqnq";
      system = "plump-dom";
      asd = "plump-dom";
    });
    systems = [ "plump-dom" ];
    lispLibs = [ (getAttr "plump" pkgs) ];
  };
  plump-lexer = {
    pname = "plump-lexer";
    version = "20221106-git";
    asds = [ "plump-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2022-11-06/plump-20221106-git.tgz";
      sha256 = "1ndj8bs690fpwpz1xjkgfj9kdlrpvbv2qid4h7viynlpldqgbqnq";
      system = "plump-lexer";
      asd = "plump-lexer";
    });
    systems = [ "plump-lexer" ];
    lispLibs = [ (getAttr "plump" pkgs) ];
  };
  plump-parser = {
    pname = "plump-parser";
    version = "20221106-git";
    asds = [ "plump-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2022-11-06/plump-20221106-git.tgz";
      sha256 = "1ndj8bs690fpwpz1xjkgfj9kdlrpvbv2qid4h7viynlpldqgbqnq";
      system = "plump-parser";
      asd = "plump-parser";
    });
    systems = [ "plump-parser" ];
    lispLibs = [ (getAttr "plump" pkgs) ];
  };
  plump-sexp = {
    pname = "plump-sexp";
    version = "20210531-git";
    asds = [ "plump-sexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-sexp/2021-05-31/plump-sexp-20210531-git.tgz";
      sha256 = "0zm9h0assjb8766z2v6l1k1s60y90y6f8smrl1dczwqlvc8xyln5";
      system = "plump-sexp";
      asd = "plump-sexp";
    });
    systems = [ "plump-sexp" ];
    lispLibs = [ (getAttr "plump" pkgs) ];
  };
  plump-tex = {
    pname = "plump-tex";
    version = "20210531-git";
    asds = [ "plump-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-tex/2021-05-31/plump-tex-20210531-git.tgz";
      sha256 = "1qjiyw0kh8i2rd8rdznfz9vnvklcf9iffdbm8xvp3z1086frzfms";
      system = "plump-tex";
      asd = "plump-tex";
    });
    systems = [ "plump-tex" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "plump" pkgs) ];
  };
  plump-tex-test = {
    pname = "plump-tex-test";
    version = "20210531-git";
    asds = [ "plump-tex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-tex/2021-05-31/plump-tex-20210531-git.tgz";
      sha256 = "1qjiyw0kh8i2rd8rdznfz9vnvklcf9iffdbm8xvp3z1086frzfms";
      system = "plump-tex-test";
      asd = "plump-tex-test";
    });
    systems = [ "plump-tex-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "plump-tex" pkgs) ];
  };
  png = {
    pname = "png";
    version = "20211020-git";
    asds = [ "png" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "png";
      asd = "png";
    });
    systems = [ "png" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  png-read = {
    pname = "png-read";
    version = "20170830-git";
    asds = [ "png-read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/png-read/2017-08-30/png-read-20170830-git.tgz";
      sha256 = "0vyczbcwskrygrf1hgrsnk0jil8skmvf1kiaalw5jps4fjrfdkw0";
      system = "png-read";
      asd = "png-read";
    });
    systems = [ "png-read" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "chipz" pkgs) (getAttr "iterate" pkgs) ];
  };
  png-test = {
    pname = "png-test";
    version = "20211020-git";
    asds = [ "png-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "png-test";
      asd = "png-test";
    });
    systems = [ "png-test" ];
    lispLibs = [ (getAttr "png" pkgs) ];
  };
  pngload = {
    pname = "pngload";
    version = "20220707-git";
    asds = [ "pngload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pngload/2022-07-07/pngload-20220707-git.tgz";
      sha256 = "1qnd2pz6ckdm5nnf4ipli3zgiyisfqjyf1aiy7iigijv4018lrlx";
      system = "pngload";
      asd = "pngload";
    });
    systems = [ "pngload" ];
    lispLibs = [ (getAttr "_3bz" pkgs) (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "mmap" pkgs) (getAttr "parse-float" pkgs) (getAttr "static-vectors" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "uiop" pkgs) (getAttr "zpb-exif" pkgs) ];
  };
  pngload_dot_test = {
    pname = "pngload.test";
    version = "20220707-git";
    asds = [ "pngload.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pngload/2022-07-07/pngload-20220707-git.tgz";
      sha256 = "1qnd2pz6ckdm5nnf4ipli3zgiyisfqjyf1aiy7iigijv4018lrlx";
      system = "pngload.test";
      asd = "pngload.test";
    });
    systems = [ "pngload.test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "local-time" pkgs) (getAttr "opticl" pkgs) (getAttr "png-read" pkgs) (getAttr "pngload" pkgs) (getAttr "uiop" pkgs) ];
  };
  poler = {
    pname = "poler";
    version = "20181210-git";
    asds = [ "poler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/poler/2018-12-10/poler-20181210-git.tgz";
      sha256 = "1lcyjxmz5vm5is1kgxqjvpkllywvbsj6wqx5v2ac0py5vqws1l8z";
      system = "poler";
      asd = "poler";
    });
    systems = [ "poler" ];
    lispLibs = [  ];
  };
  poler-test = {
    pname = "poler-test";
    version = "20181210-git";
    asds = [ "poler-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/poler/2018-12-10/poler-20181210-git.tgz";
      sha256 = "1lcyjxmz5vm5is1kgxqjvpkllywvbsj6wqx5v2ac0py5vqws1l8z";
      system = "poler-test";
      asd = "poler-test";
    });
    systems = [ "poler-test" ];
    lispLibs = [ (getAttr "poler" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  policy-cond = {
    pname = "policy-cond";
    version = "20200427-git";
    asds = [ "policy-cond" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/policy-cond/2020-04-27/policy-cond-20200427-git.tgz";
      sha256 = "0xj2a6lcg7i7g4038sc4f641din6m8vdiha8c5afz9fik80bshxk";
      system = "policy-cond";
      asd = "policy-cond";
    });
    systems = [ "policy-cond" ];
    lispLibs = [  ];
  };
  polisher = {
    pname = "polisher";
    version = "20211230-git";
    asds = [ "polisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polisher/2021-12-30/polisher-20211230-git.tgz";
      sha256 = "1i63kgk4vfisiyrfqdz0wc8ldvfh9jpkivsasgdhc97cad095ln0";
      system = "polisher";
      asd = "polisher";
    });
    systems = [ "polisher" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  polisher_dot_test = {
    pname = "polisher.test";
    version = "20211230-git";
    asds = [ "polisher.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polisher/2021-12-30/polisher-20211230-git.tgz";
      sha256 = "1i63kgk4vfisiyrfqdz0wc8ldvfh9jpkivsasgdhc97cad095ln0";
      system = "polisher.test";
      asd = "polisher.test";
    });
    systems = [ "polisher.test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "polisher" pkgs) ];
  };
  polymorphic-functions = {
    pname = "polymorphic-functions";
    version = "20221106-git";
    asds = [ "polymorphic-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polymorphic-functions/2022-11-06/polymorphic-functions-20221106-git.tgz";
      sha256 = "04bb7iiwq16hkn78r2qrfqwxldqrkdspfdfyvymcbp9w5jy67nlw";
      system = "polymorphic-functions";
      asd = "polymorphic-functions";
    });
    systems = [ "polymorphic-functions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "closer-mop" pkgs) (getAttr "compiler-macro-notes" pkgs) (getAttr "ctype" pkgs) (getAttr "fiveam" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "optima" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  polymorphic-functions_slash_swank = {
    pname = "polymorphic-functions_swank";
    version = "20221106-git";
    asds = [ "polymorphic-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polymorphic-functions/2022-11-06/polymorphic-functions-20221106-git.tgz";
      sha256 = "04bb7iiwq16hkn78r2qrfqwxldqrkdspfdfyvymcbp9w5jy67nlw";
      system = "polymorphic-functions";
      asd = "polymorphic-functions";
    });
    systems = [ "polymorphic-functions/swank" ];
    lispLibs = [ (getAttr "polymorphic-functions" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  pooler = {
    pname = "pooler";
    version = "20150608-git";
    asds = [ "pooler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pooler/2015-06-08/pooler-20150608-git.tgz";
      sha256 = "18vdl06cckk07m7r477qzcz24j3sid1agfa69fp91jna5aqi46kb";
      system = "pooler";
      asd = "pooler";
    });
    systems = [ "pooler" ];
    lispLibs = [  ];
  };
  portable-condition-system = {
    pname = "portable-condition-system";
    version = "20210807-git";
    asds = [ "portable-condition-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system";
      asd = "portable-condition-system";
    });
    systems = [ "portable-condition-system" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  portable-condition-system_dot_integration = {
    pname = "portable-condition-system.integration";
    version = "20210807-git";
    asds = [ "portable-condition-system.integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system.integration";
      asd = "portable-condition-system.integration";
    });
    systems = [ "portable-condition-system.integration" ];
    lispLibs = [ (getAttr "portable-condition-system" pkgs) (getAttr "trivial-custom-debugger" pkgs) ];
  };
  portable-condition-system_dot_integration_slash_test = {
    pname = "portable-condition-system.integration_test";
    version = "20210807-git";
    asds = [ "portable-condition-system.integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system.integration";
      asd = "portable-condition-system.integration";
    });
    systems = [ "portable-condition-system.integration/test" ];
    lispLibs = [ (getAttr "portable-condition-system_dot_integration" pkgs) ];
    meta = {
      broken = true;
    };
  };
  portable-condition-system_slash_test = {
    pname = "portable-condition-system_test";
    version = "20210807-git";
    asds = [ "portable-condition-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system";
      asd = "portable-condition-system";
    });
    systems = [ "portable-condition-system/test" ];
    lispLibs = [ (getAttr "portable-condition-system" pkgs) ];
    meta = {
      broken = true;
    };
  };
  portable-threads = {
    pname = "portable-threads";
    version = "20210531-git";
    asds = [ "portable-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-threads/2021-05-31/portable-threads-20210531-git.tgz";
      sha256 = "05y00mlvwlfas4jj50qas2v2rxa0hyc9834lpnbh61a3g8sz0d1f";
      system = "portable-threads";
      asd = "portable-threads";
    });
    systems = [ "portable-threads" ];
    lispLibs = [  ];
  };
  portable-threads_slash_test = {
    pname = "portable-threads_test";
    version = "20210531-git";
    asds = [ "portable-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-threads/2021-05-31/portable-threads-20210531-git.tgz";
      sha256 = "05y00mlvwlfas4jj50qas2v2rxa0hyc9834lpnbh61a3g8sz0d1f";
      system = "portable-threads";
      asd = "portable-threads";
    });
    systems = [ "portable-threads/test" ];
    lispLibs = [ (getAttr "portable-threads" pkgs) ];
    meta = {
      broken = true;
    };
  };
  portal = {
    pname = "portal";
    version = "20211209-git";
    asds = [ "portal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portal/2021-12-09/portal-20211209-git.tgz";
      sha256 = "1012jc068qdd8df6mmbn8vmmqlniqm5j2jbyrraw3yz8c13c8280";
      system = "portal";
      asd = "portal";
    });
    systems = [ "portal" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-base64" pkgs) (getAttr "str" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "global-vars" pkgs) (getAttr "ironclad" pkgs) (getAttr "parse-float" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  portmanteau = {
    pname = "portmanteau";
    version = "20181018-git";
    asds = [ "portmanteau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portmanteau/2018-10-18/cl-portmanteau-20181018-git.tgz";
      sha256 = "0430yixy722zkiljc6kh68hx2pyf2pbylgyp7n4qnnky86c0z0ip";
      system = "portmanteau";
      asd = "portmanteau";
    });
    systems = [ "portmanteau" ];
    lispLibs = [ (getAttr "vom" pkgs) ];
  };
  portmanteau-tests = {
    pname = "portmanteau-tests";
    version = "20181018-git";
    asds = [ "portmanteau-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portmanteau/2018-10-18/cl-portmanteau-20181018-git.tgz";
      sha256 = "0430yixy722zkiljc6kh68hx2pyf2pbylgyp7n4qnnky86c0z0ip";
      system = "portmanteau-tests";
      asd = "portmanteau-tests";
    });
    systems = [ "portmanteau-tests" ];
    lispLibs = [ (getAttr "portmanteau" pkgs) (getAttr "fiveam" pkgs) ];
  };
  positional-lambda = {
    pname = "positional-lambda";
    version = "2.0";
    asds = [ "positional-lambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/positional-lambda/2012-10-13/positional-lambda-2.0.tgz";
      sha256 = "00jbr42czv7piza5sm5hmmls7xnhq1pnzl09j6c28xrknr61cj8r";
      system = "positional-lambda";
      asd = "positional-lambda";
    });
    systems = [ "positional-lambda" ];
    lispLibs = [ (getAttr "map-bind" pkgs) ];
  };
  posix-shm = {
    pname = "posix-shm";
    version = "20221106-git";
    asds = [ "posix-shm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/posix-shm/2022-11-06/posix-shm-20221106-git.tgz";
      sha256 = "057qm9db502a86q60rsp5g7f8n4a997iwsfcid41gqadyd9rcjjz";
      system = "posix-shm";
      asd = "posix-shm";
    });
    systems = [ "posix-shm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  posix-shm_slash_ffi = {
    pname = "posix-shm_ffi";
    version = "20221106-git";
    asds = [ "posix-shm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/posix-shm/2022-11-06/posix-shm-20221106-git.tgz";
      sha256 = "057qm9db502a86q60rsp5g7f8n4a997iwsfcid41gqadyd9rcjjz";
      system = "posix-shm";
      asd = "posix-shm";
    });
    systems = [ "posix-shm/ffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
    meta = {
      broken = true;
    };
  };
  posix-shm_slash_test = {
    pname = "posix-shm_test";
    version = "20221106-git";
    asds = [ "posix-shm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/posix-shm/2022-11-06/posix-shm-20221106-git.tgz";
      sha256 = "057qm9db502a86q60rsp5g7f8n4a997iwsfcid41gqadyd9rcjjz";
      system = "posix-shm";
      asd = "posix-shm";
    });
    systems = [ "posix-shm/test" ];
    lispLibs = [ (getAttr "osicat" pkgs) (getAttr "parachute" pkgs) (getAttr "posix-shm" pkgs) ];
    meta = {
      broken = true;
    };
  };
  postmodern = {
    pname = "postmodern";
    version = "20221106-git";
    asds = [ "postmodern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "postmodern";
      asd = "postmodern";
    });
    systems = [ "postmodern" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "global-vars" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "s-sql" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  postmodern-localtime = {
    pname = "postmodern-localtime";
    version = "20200610-git";
    asds = [ "postmodern-localtime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern-localtime/2020-06-10/postmodern-localtime-20200610-git.tgz";
      sha256 = "0kiswbdr3vsl7xfs43h0w9c2s6fm6ammff6mpab6zba7rdmfg6d3";
      system = "postmodern-localtime";
      asd = "postmodern-localtime";
    });
    systems = [ "postmodern-localtime" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "postmodern" pkgs) ];
  };
  postmodern_slash_tests = {
    pname = "postmodern_tests";
    version = "20221106-git";
    asds = [ "postmodern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "postmodern";
      asd = "postmodern";
    });
    systems = [ "postmodern/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-postgres_plus_local-time" pkgs) (getAttr "local-time" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "postmodern" pkgs) (getAttr "s-sql" pkgs) (getAttr "simple-date" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  postmodernity = {
    pname = "postmodernity";
    version = "20170124-git";
    asds = [ "postmodernity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodernity/2017-01-24/postmodernity-20170124-git.tgz";
      sha256 = "06mwlp79dgzsgfhgbhvqk4691nm52v3lqm99y72dm7pm4gmc2m9m";
      system = "postmodernity";
      asd = "postmodernity";
    });
    systems = [ "postmodernity" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "postmodern" pkgs) ];
  };
  postoffice = {
    pname = "postoffice";
    version = "20120909-git";
    asds = [ "postoffice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postoffice/2012-09-09/postoffice-20120909-git.tgz";
      sha256 = "041k8nc969xyjdmbn6348pra3v5jb1sw4mrnxmamv0flngyv12fg";
      system = "postoffice";
      asd = "postoffice";
    });
    systems = [ "postoffice" ];
    lispLibs = [ (getAttr "acl-compat" pkgs) ];
  };
  pounds = {
    pname = "pounds";
    version = "20160208-git";
    asds = [ "pounds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pounds/2016-02-08/pounds-20160208-git.tgz";
      sha256 = "17hz0ywzfirmlwkrd9zrbl07ihhm03zhzqrz3rkmh1j9v95sy2kl";
      system = "pounds";
      asd = "pounds";
    });
    systems = [ "pounds" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "nibbles" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  pp-toml = {
    pname = "pp-toml";
    version = "20221106-git";
    asds = [ "pp-toml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pp-toml/2022-11-06/pp-toml-20221106-git.tgz";
      sha256 = "136d7jzz7l2ck9wwld0ac46jmpm94lvja6m50sy73s232slka2hg";
      system = "pp-toml";
      asd = "pp-toml";
    });
    systems = [ "pp-toml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) (getAttr "generic-comparability" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  pp-toml-tests = {
    pname = "pp-toml-tests";
    version = "20221106-git";
    asds = [ "pp-toml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pp-toml/2022-11-06/pp-toml-20221106-git.tgz";
      sha256 = "136d7jzz7l2ck9wwld0ac46jmpm94lvja6m50sy73s232slka2hg";
      system = "pp-toml-tests";
      asd = "pp-toml-tests";
    });
    systems = [ "pp-toml-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "esrap" pkgs) (getAttr "fiveam" pkgs) (getAttr "generic-comparability" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-number" pkgs) (getAttr "pp-toml" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  ppath = {
    pname = "ppath";
    version = "20180711-git";
    asds = [ "ppath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ppath/2018-07-11/ppath-20180711-git.tgz";
      sha256 = "1c46q9lmzqv14z80d3fwdawgn3pn4922x31fyqvsvbcjm4hd16fb";
      system = "ppath";
      asd = "ppath";
    });
    systems = [ "ppath" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) ];
  };
  ppath-test = {
    pname = "ppath-test";
    version = "20180711-git";
    asds = [ "ppath-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ppath/2018-07-11/ppath-20180711-git.tgz";
      sha256 = "1c46q9lmzqv14z80d3fwdawgn3pn4922x31fyqvsvbcjm4hd16fb";
      system = "ppath-test";
      asd = "ppath-test";
    });
    systems = [ "ppath-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fad" pkgs) (getAttr "ppath" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  practical-cl = {
    pname = "practical-cl";
    version = "20180430-git";
    asds = [ "practical-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "practical-cl";
      asd = "practical-cl";
    });
    systems = [ "practical-cl" ];
    lispLibs = [ (getAttr "pcl-binary-data" pkgs) (getAttr "pcl-html" pkgs) (getAttr "pcl-id3v2" pkgs) (getAttr "pcl-macro-utilities" pkgs) (getAttr "pcl-mp3-browser" pkgs) (getAttr "pcl-mp3-database" pkgs) (getAttr "pcl-pathnames" pkgs) (getAttr "pcl-shoutcast" pkgs) (getAttr "pcl-simple-database" pkgs) (getAttr "pcl-spam" pkgs) (getAttr "pcl-test-framework" pkgs) (getAttr "pcl-url-function" pkgs) ];
  };
  prbs = {
    pname = "prbs";
    version = "20180228-git";
    asds = [ "prbs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prbs/2018-02-28/prbs-20180228-git.tgz";
      sha256 = "0qbvbmxa66b367z9px4nyxqb21b9w2hr82rw7hfq5aynmwfk3fzi";
      system = "prbs";
      asd = "prbs";
    });
    systems = [ "prbs" ];
    lispLibs = [  ];
  };
  prbs-docs = {
    pname = "prbs-docs";
    version = "20180228-git";
    asds = [ "prbs-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prbs/2018-02-28/prbs-20180228-git.tgz";
      sha256 = "0qbvbmxa66b367z9px4nyxqb21b9w2hr82rw7hfq5aynmwfk3fzi";
      system = "prbs-docs";
      asd = "prbs-docs";
    });
    systems = [ "prbs-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" pkgs) (getAttr "prbs" pkgs) ];
  };
  pretty-function = {
    pname = "pretty-function";
    version = "20130615-git";
    asds = [ "pretty-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pretty-function/2013-06-15/pretty-function-20130615-git.tgz";
      sha256 = "1hzfjwsp6r5nki6h8kry8k2bgj19mrp0jbq7jhsz3kz6y4ll0hb5";
      system = "pretty-function";
      asd = "pretty-function";
    });
    systems = [ "pretty-function" ];
    lispLibs = [  ];
  };
  primecount = {
    pname = "primecount";
    version = "20200325-git";
    asds = [ "primecount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/primecount/2020-03-25/primecount-20200325-git.tgz";
      sha256 = "1fw855qp82b887azww7z3yhd2zafaxjnzyff1ldf2wa6mb4f0dj8";
      system = "primecount";
      asd = "primecount";
    });
    systems = [ "primecount" ];
    lispLibs = [  ];
  };
  print-html = {
    pname = "print-html";
    version = "20181018-git";
    asds = [ "print-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/print-html/2018-10-18/print-html-20181018-git.tgz";
      sha256 = "1ihr2yy6fvli3awrkfn4v8pm41wab5wsj30v84rr75v4p5irqmz8";
      system = "print-html";
      asd = "print-html";
    });
    systems = [ "print-html" ];
    lispLibs = [  ];
  };
  print-licenses = {
    pname = "print-licenses";
    version = "20220707-git";
    asds = [ "print-licenses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/print-licenses/2022-07-07/print-licenses-20220707-git.tgz";
      sha256 = "1rwzsckcb2yzg7yvzg4ypw3352agfxr7h49j8kynvs17zzbi0w07";
      system = "print-licenses";
      asd = "print-licenses";
    });
    systems = [ "print-licenses" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  printv = {
    pname = "printv";
    version = "20211230-git";
    asds = [ "printv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/printv/2021-12-30/printv-20211230-git.tgz";
      sha256 = "07agyzkwp3w2r4d2anrmr8h00yngpr5dq9mjd3m4kzhn1jcmilfb";
      system = "printv";
      asd = "printv";
    });
    systems = [ "printv" ];
    lispLibs = [  ];
  };
  priority-queue = {
    pname = "priority-queue";
    version = "20150709-git";
    asds = [ "priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/priority-queue/2015-07-09/priority-queue-20150709-git.tgz";
      sha256 = "0y5a1fid8xzzl58hfdj64n8mrzq0kr06a0lnmdjpgi0czc3x0jcy";
      system = "priority-queue";
      asd = "priority-queue";
    });
    systems = [ "priority-queue" ];
    lispLibs = [  ];
  };
  priority-queue-benchmark = {
    pname = "priority-queue-benchmark";
    version = "20221106-git";
    asds = [ "priority-queue-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "priority-queue-benchmark";
      asd = "priority-queue-benchmark";
    });
    systems = [ "priority-queue-benchmark" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-heap" pkgs) (getAttr "cl-heap" pkgs) (getAttr "damn-fast-priority-queue" pkgs) (getAttr "damn-fast-stable-priority-queue" pkgs) (getAttr "heap" pkgs) (getAttr "minheap" pkgs) (getAttr "pettomato-indexed-priority-queue" pkgs) (getAttr "pileup" pkgs) (getAttr "priority-queue" pkgs) (getAttr "queues_dot_priority-queue" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  proc-parse = {
    pname = "proc-parse";
    version = "20190813-git";
    asds = [ "proc-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/proc-parse/2019-08-13/proc-parse-20190813-git.tgz";
      sha256 = "07vbj26bfq4ywlcmamsqyac29rsdsa8lamjqx1ycla1bcvgmi4w2";
      system = "proc-parse";
      asd = "proc-parse";
    });
    systems = [ "proc-parse" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) ];
  };
  proc-parse-test = {
    pname = "proc-parse-test";
    version = "20190813-git";
    asds = [ "proc-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/proc-parse/2019-08-13/proc-parse-20190813-git.tgz";
      sha256 = "07vbj26bfq4ywlcmamsqyac29rsdsa8lamjqx1ycla1bcvgmi4w2";
      system = "proc-parse-test";
      asd = "proc-parse-test";
    });
    systems = [ "proc-parse-test" ];
    lispLibs = [ (getAttr "proc-parse" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  projectured_dot_document = {
    pname = "projectured.document";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.document" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.document";
      asd = "projectured.document";
    });
    systems = [ "projectured.document" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "parse-number" pkgs) (getAttr "projectured_dot_editor" pkgs) (getAttr "s-xml" pkgs) ];
  };
  projectured_dot_editor = {
    pname = "projectured.editor";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.editor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.editor";
      asd = "projectured.editor";
    });
    systems = [ "projectured.editor" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_common" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "hu_dot_dwim_dot_defclass-star" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_serializer" pkgs) (getAttr "hu_dot_dwim_dot_syntax-sugar" pkgs) (getAttr "hu_dot_dwim_dot_util" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  projectured_dot_executable = {
    pname = "projectured.executable";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.executable";
      asd = "projectured.executable";
    });
    systems = [ "projectured.executable" ];
    lispLibs = [ (getAttr "command-line-arguments" pkgs) (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "projectured_dot_sdl" pkgs) ];
  };
  projectured_dot_projection = {
    pname = "projectured.projection";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.projection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.projection";
      asd = "projectured.projection";
    });
    systems = [ "projectured.projection" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "projectured_dot_document" pkgs) (getAttr "projectured_dot_editor" pkgs) ];
  };
  projectured_dot_sdl = {
    pname = "projectured.sdl";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.sdl";
      asd = "projectured.sdl";
    });
    systems = [ "projectured.sdl" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_sdl" pkgs) (getAttr "projectured_dot_document" pkgs) (getAttr "projectured_dot_editor" pkgs) (getAttr "projectured_dot_projection" pkgs) ];
  };
  projectured_dot_sdl_dot_test = {
    pname = "projectured.sdl.test";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.sdl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.sdl.test";
      asd = "projectured.sdl.test";
    });
    systems = [ "projectured.sdl.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "projectured_dot_sdl" pkgs) (getAttr "projectured_dot_test" pkgs) ];
  };
  projectured_dot_swank = {
    pname = "projectured.swank";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.swank";
      asd = "projectured.swank";
    });
    systems = [ "projectured.swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "projectured_dot_editor" pkgs) (getAttr "swank" pkgs) ];
  };
  projectured_dot_test = {
    pname = "projectured.test";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.test";
      asd = "projectured.test";
    });
    systems = [ "projectured.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" pkgs) (getAttr "hu_dot_dwim_dot_logger" pkgs) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" pkgs) (getAttr "projectured_dot_document" pkgs) (getAttr "projectured_dot_editor" pkgs) (getAttr "projectured_dot_projection" pkgs) (getAttr "projectured_dot_swank" pkgs) ];
  };
  prometheus = {
    pname = "prometheus";
    version = "20201220-git";
    asds = [ "prometheus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus";
      asd = "prometheus";
    });
    systems = [ "prometheus" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "quantile-estimator" pkgs) ];
  };
  prometheus_dot_collectors_dot_process = {
    pname = "prometheus.collectors.process";
    version = "20201220-git";
    asds = [ "prometheus.collectors.process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.process";
      asd = "prometheus.collectors.process";
    });
    systems = [ "prometheus.collectors.process" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "prometheus" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  prometheus_dot_collectors_dot_process_dot_test = {
    pname = "prometheus.collectors.process.test";
    version = "20201220-git";
    asds = [ "prometheus.collectors.process.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.process.test";
      asd = "prometheus.collectors.process.test";
    });
    systems = [ "prometheus.collectors.process.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus_dot_collectors_dot_process" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_collectors_dot_sbcl = {
    pname = "prometheus.collectors.sbcl";
    version = "20201220-git";
    asds = [ "prometheus.collectors.sbcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.sbcl";
      asd = "prometheus.collectors.sbcl";
    });
    systems = [ "prometheus.collectors.sbcl" ];
    lispLibs = [ (getAttr "prometheus" pkgs) ];
  };
  prometheus_dot_collectors_dot_sbcl_dot_test = {
    pname = "prometheus.collectors.sbcl.test";
    version = "20201220-git";
    asds = [ "prometheus.collectors.sbcl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.sbcl.test";
      asd = "prometheus.collectors.sbcl.test";
    });
    systems = [ "prometheus.collectors.sbcl.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus_dot_collectors_dot_sbcl" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_examples = {
    pname = "prometheus.examples";
    version = "20201220-git";
    asds = [ "prometheus.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.examples";
      asd = "prometheus.examples";
    });
    systems = [ "prometheus.examples" ];
    lispLibs = [ (getAttr "prometheus" pkgs) (getAttr "prometheus_dot_collectors_dot_process" pkgs) (getAttr "prometheus_dot_collectors_dot_sbcl" pkgs) (getAttr "prometheus_dot_exposers_dot_hunchentoot" pkgs) (getAttr "prometheus_dot_formats_dot_text" pkgs) ];
  };
  prometheus_dot_exposers_dot_hunchentoot = {
    pname = "prometheus.exposers.hunchentoot";
    version = "20201220-git";
    asds = [ "prometheus.exposers.hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.exposers.hunchentoot";
      asd = "prometheus.exposers.hunchentoot";
    });
    systems = [ "prometheus.exposers.hunchentoot" ];
    lispLibs = [ (getAttr "hunchentoot" pkgs) (getAttr "prometheus" pkgs) (getAttr "prometheus_dot_formats_dot_text" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  prometheus_dot_exposers_dot_hunchentoot_dot_test = {
    pname = "prometheus.exposers.hunchentoot.test";
    version = "20201220-git";
    asds = [ "prometheus.exposers.hunchentoot.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.exposers.hunchentoot.test";
      asd = "prometheus.exposers.hunchentoot.test";
    });
    systems = [ "prometheus.exposers.hunchentoot.test" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "drakma" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus_dot_exposers_dot_hunchentoot" pkgs) (getAttr "prometheus_dot_formats_dot_text" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_formats_dot_text = {
    pname = "prometheus.formats.text";
    version = "20201220-git";
    asds = [ "prometheus.formats.text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.formats.text";
      asd = "prometheus.formats.text";
    });
    systems = [ "prometheus.formats.text" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "prometheus" pkgs) ];
  };
  prometheus_dot_formats_dot_text_dot_test = {
    pname = "prometheus.formats.text.test";
    version = "20201220-git";
    asds = [ "prometheus.formats.text.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.formats.text.test";
      asd = "prometheus.formats.text.test";
    });
    systems = [ "prometheus.formats.text.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus_dot_formats_dot_text" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_pushgateway = {
    pname = "prometheus.pushgateway";
    version = "20201220-git";
    asds = [ "prometheus.pushgateway" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.pushgateway";
      asd = "prometheus.pushgateway";
    });
    systems = [ "prometheus.pushgateway" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "prometheus" pkgs) (getAttr "prometheus_dot_formats_dot_text" pkgs) ];
  };
  prometheus_dot_pushgateway_dot_test = {
    pname = "prometheus.pushgateway.test";
    version = "20201220-git";
    asds = [ "prometheus.pushgateway.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.pushgateway.test";
      asd = "prometheus.pushgateway.test";
    });
    systems = [ "prometheus.pushgateway.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus_dot_pushgateway" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_test = {
    pname = "prometheus.test";
    version = "20201220-git";
    asds = [ "prometheus.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test";
      asd = "prometheus.test";
    });
    systems = [ "prometheus.test" ];
    lispLibs = [ (getAttr "cl-interpol" pkgs) (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prometheus" pkgs) (getAttr "prometheus_dot_test_dot_support" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_test_dot_all = {
    pname = "prometheus.test.all";
    version = "20201220-git";
    asds = [ "prometheus.test.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test.all";
      asd = "prometheus.test.all";
    });
    systems = [ "prometheus.test.all" ];
    lispLibs = [ (getAttr "cl-coveralls" pkgs) (getAttr "prometheus_dot_collectors_dot_process_dot_test" pkgs) (getAttr "prometheus_dot_collectors_dot_sbcl_dot_test" pkgs) (getAttr "prometheus_dot_exposers_dot_hunchentoot_dot_test" pkgs) (getAttr "prometheus_dot_formats_dot_text_dot_test" pkgs) (getAttr "prometheus_dot_pushgateway_dot_test" pkgs) (getAttr "prometheus_dot_test" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  prometheus_dot_test_dot_support = {
    pname = "prometheus.test.support";
    version = "20201220-git";
    asds = [ "prometheus.test.support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test.support";
      asd = "prometheus.test.support";
    });
    systems = [ "prometheus.test.support" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "prometheus" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  promise = {
    pname = "promise";
    version = "20211230-git";
    asds = [ "promise" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/promise/2021-12-30/promise-20211230-git.tgz";
      sha256 = "1wzp4pda8nddvnh1isnr8z0q3czjghy0dhhd15690ph69jyjb22s";
      system = "promise";
      asd = "promise";
    });
    systems = [ "promise" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  promise-test = {
    pname = "promise-test";
    version = "20211230-git";
    asds = [ "promise-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/promise/2021-12-30/promise-20211230-git.tgz";
      sha256 = "1wzp4pda8nddvnh1isnr8z0q3czjghy0dhhd15690ph69jyjb22s";
      system = "promise-test";
      asd = "promise-test";
    });
    systems = [ "promise-test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "promise" pkgs) ];
  };
  prompt-for = {
    pname = "prompt-for";
    version = "20220707-git";
    asds = [ "prompt-for" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prompt-for/2022-07-07/prompt-for-20220707-git.tgz";
      sha256 = "1zjc96ryyzsr5519s7yji40askqyymjrbdwx3r2r7bv146siqs5m";
      system = "prompt-for";
      asd = "prompt-for";
    });
    systems = [ "prompt-for" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  prompt-for_dot_test = {
    pname = "prompt-for.test";
    version = "20220707-git";
    asds = [ "prompt-for.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prompt-for/2022-07-07/prompt-for-20220707-git.tgz";
      sha256 = "1zjc96ryyzsr5519s7yji40askqyymjrbdwx3r2r7bv146siqs5m";
      system = "prompt-for.test";
      asd = "prompt-for.test";
    });
    systems = [ "prompt-for.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "prompt-for" pkgs) ];
  };
  protest = {
    pname = "protest";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  protest_slash_1am = {
    pname = "protest_1am";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/1am" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_base = {
    pname = "protest_base";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/base" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common = {
    pname = "protest_common";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common_slash_addressed = {
    pname = "protest_common_addressed";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common/addressed" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common_slash_date = {
    pname = "protest_common_date";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common/date" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common_slash_handling = {
    pname = "protest_common_handling";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common/handling" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common_slash_killable = {
    pname = "protest_common_killable";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common/killable" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_common_slash_named = {
    pname = "protest_common_named";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/common/named" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_ftype = {
    pname = "protest_ftype";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/ftype" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_parachute = {
    pname = "protest_parachute";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/parachute" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) (getAttr "parachute" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_protocol = {
    pname = "protest_protocol";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/protocol" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "moptilities" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_test = {
    pname = "protest_test";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) (getAttr "protest" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  protest_slash_test-case = {
    pname = "protest_test-case";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest/test-case" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  proto = {
    pname = "proto";
    version = "quicklisp-dd18337d-git";
    asds = [ "proto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "proto";
      asd = "gtirb";
    });
    systems = [ "proto" ];
    lispLibs = [ (getAttr "protobuf" pkgs) ];
  };
  proto-v0 = {
    pname = "proto-v0";
    version = "quicklisp-dd18337d-git";
    asds = [ "proto-v0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "proto-v0";
      asd = "gtirb";
    });
    systems = [ "proto-v0" ];
    lispLibs = [ (getAttr "protobuf" pkgs) ];
  };
  protobuf = {
    pname = "protobuf";
    version = "20220331-git";
    asds = [ "protobuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2022-03-31/protobuf-20220331-git.tgz";
      sha256 = "011jhbda4q77hjc4v2dyx3pc54zdq7m496qgrrv69ksy901lss4s";
      system = "protobuf";
      asd = "protobuf";
    });
    systems = [ "protobuf" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "varint" pkgs) ];
  };
  protobuf-conformance = {
    pname = "protobuf-conformance";
    version = "20220331-git";
    asds = [ "protobuf-conformance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2022-03-31/protobuf-20220331-git.tgz";
      sha256 = "011jhbda4q77hjc4v2dyx3pc54zdq7m496qgrrv69ksy901lss4s";
      system = "protobuf-conformance";
      asd = "protobuf-conformance";
    });
    systems = [ "protobuf-conformance" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "nibbles" pkgs) (getAttr "protobuf" pkgs) ];
  };
  prove = {
    pname = "prove";
    version = "20200218-git";
    asds = [ "prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove";
      asd = "prove";
    });
    systems = [ "prove" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-colors" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) ];
  };
  prove-asdf = {
    pname = "prove-asdf";
    version = "20200218-git";
    asds = [ "prove-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove-asdf";
      asd = "prove-asdf";
    });
    systems = [ "prove-asdf" ];
    lispLibs = [  ];
  };
  prove-test = {
    pname = "prove-test";
    version = "20200218-git";
    asds = [ "prove-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove-test";
      asd = "prove-test";
    });
    systems = [ "prove-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  pseudonyms = {
    pname = "pseudonyms";
    version = "20200325-git";
    asds = [ "pseudonyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pseudonyms/2020-03-25/pseudonyms-20200325-git.tgz";
      sha256 = "0ph7l130hr8gz88gw8i15zbsbq96519srfhzgm6zzkw85vab1ysn";
      system = "pseudonyms";
      asd = "pseudonyms";
    });
    systems = [ "pseudonyms" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  psgraph = {
    pname = "psgraph";
    version = "1.2";
    asds = [ "psgraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psgraph/2010-10-06/psgraph-1.2.tgz";
      sha256 = "19x1lvzfj2c2h83y5bng6jsp2300qfvd25mmf157qiss15al22vs";
      system = "psgraph";
      asd = "psgraph";
    });
    systems = [ "psgraph" ];
    lispLibs = [  ];
  };
  psychiq = {
    pname = "psychiq";
    version = "20200925-git";
    asds = [ "psychiq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psychiq/2020-09-25/psychiq-20200925-git.tgz";
      sha256 = "1g8m0nglhqn5zf79hcdx3kafa0y9h3f4yqvjn7diddimqckf0fw6";
      system = "psychiq";
      asd = "psychiq";
    });
    systems = [ "psychiq" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-redis" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "dissect" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "uiop" pkgs) (getAttr "vom" pkgs) ];
  };
  psychiq-test = {
    pname = "psychiq-test";
    version = "20200925-git";
    asds = [ "psychiq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psychiq/2020-09-25/psychiq-20200925-git.tgz";
      sha256 = "1g8m0nglhqn5zf79hcdx3kafa0y9h3f4yqvjn7diddimqckf0fw6";
      system = "psychiq-test";
      asd = "psychiq-test";
    });
    systems = [ "psychiq-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "psychiq" pkgs) ];
  };
  ptester = {
    pname = "ptester";
    version = "20160929-git";
    asds = [ "ptester" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ptester/2016-09-29/ptester-20160929-git.tgz";
      sha256 = "1l0lfl7cdnr2qf4zh38hi4llxg22c49zkm639bdkmvlkzwj3ndwf";
      system = "ptester";
      asd = "ptester";
    });
    systems = [ "ptester" ];
    lispLibs = [  ];
  };
  purgatory = {
    pname = "purgatory";
    version = "20220707-git";
    asds = [ "purgatory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purgatory/2022-07-07/purgatory-20220707-git.tgz";
      sha256 = "0iy2jdgrwqrq9cph7bwf79d8l4zdsgcd9sfcn0lclzai2v0yizp9";
      system = "purgatory";
      asd = "purgatory";
    });
    systems = [ "purgatory" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  purgatory-tests = {
    pname = "purgatory-tests";
    version = "20220707-git";
    asds = [ "purgatory-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purgatory/2022-07-07/purgatory-20220707-git.tgz";
      sha256 = "0iy2jdgrwqrq9cph7bwf79d8l4zdsgcd9sfcn0lclzai2v0yizp9";
      system = "purgatory-tests";
      asd = "purgatory-tests";
    });
    systems = [ "purgatory-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "clunit2" pkgs) (getAttr "purgatory" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  puri = {
    pname = "puri";
    version = "20201016-git";
    asds = [ "puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/puri/2020-10-16/puri-20201016-git.tgz";
      sha256 = "0gq2rsr0aihs0z20v4zqvmdl4szq53b52rh97pvnmwrlbn4mapmd";
      system = "puri";
      asd = "puri";
    });
    systems = [ "puri" ];
    lispLibs = [  ];
  };
  puri_slash_test = {
    pname = "puri_test";
    version = "20201016-git";
    asds = [ "puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/puri/2020-10-16/puri-20201016-git.tgz";
      sha256 = "0gq2rsr0aihs0z20v4zqvmdl4szq53b52rh97pvnmwrlbn4mapmd";
      system = "puri";
      asd = "puri";
    });
    systems = [ "puri/test" ];
    lispLibs = [ (getAttr "ptester" pkgs) (getAttr "puri" pkgs) ];
    meta = {
      broken = true;
    };
  };
  purl = {
    pname = "purl";
    version = "20160929-git";
    asds = [ "purl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purl/2016-09-29/purl-20160929-git.tgz";
      sha256 = "1fw3ip4b7n3q6kimh683apg381p7y4w6s4mb8mmv9n3dw0p0sdww";
      system = "purl";
      asd = "purl";
    });
    systems = [ "purl" ];
    lispLibs = [ (getAttr "maxpc" pkgs) (getAttr "percent-encoding" pkgs) (getAttr "uiop" pkgs) ];
  };
  pvars = {
    pname = "pvars";
    version = "20210228-git";
    asds = [ "pvars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pvars/2021-02-28/pvars-20210228-git.tgz";
      sha256 = "1x9mmz53sj0mgd288pa65x963mrd27sw47a8vbggsc4ykwacqf1d";
      system = "pvars";
      asd = "pvars";
    });
    systems = [ "pvars" ];
    lispLibs = [ (getAttr "cl-store" pkgs) (getAttr "global-vars" pkgs) ];
  };
  py-configparser = {
    pname = "py-configparser";
    version = "20170830-svn";
    asds = [ "py-configparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py-configparser/2017-08-30/py-configparser-20170830-svn.tgz";
      sha256 = "1mpzhrys1b1mp1kp2xvryl6v01gfqfccb1zdiib49nf4bms4irvw";
      system = "py-configparser";
      asd = "py-configparser";
    });
    systems = [ "py-configparser" ];
    lispLibs = [ (getAttr "parse-number" pkgs) ];
  };
  py4cl = {
    pname = "py4cl";
    version = "20220707-git";
    asds = [ "py4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py4cl/2022-07-07/py4cl-20220707-git.tgz";
      sha256 = "14pps4r9dx9wx36vwv0r45g0fw1z6739bqacqmzwmyvdilxip977";
      system = "py4cl";
      asd = "py4cl";
    });
    systems = [ "py4cl" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "numpy-file-format" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  py4cl2 = {
    pname = "py4cl2";
    version = "v2.9.0";
    asds = [ "py4cl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py4cl2/2021-12-09/py4cl2-v2.9.0.tgz";
      sha256 = "00f1nyvjy43fcx5gxbhx0ya0srq8r0g3gqxrqhk4605kqchqfz7s";
      system = "py4cl2";
      asd = "py4cl2";
    });
    systems = [ "py4cl2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-json" pkgs) (getAttr "iterate" pkgs) (getAttr "numpy-file-format" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  pythonic-string-reader = {
    pname = "pythonic-string-reader";
    version = "20180711-git";
    asds = [ "pythonic-string-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pythonic-string-reader/2018-07-11/pythonic-string-reader-20180711-git.tgz";
      sha256 = "1b5iryqw8xsh36swckmz8rrngmc39k92si33fgy5pml3n9l5rq3j";
      system = "pythonic-string-reader";
      asd = "pythonic-string-reader";
    });
    systems = [ "pythonic-string-reader" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  pzmq = {
    pname = "pzmq";
    version = "20210531-git";
    asds = [ "pzmq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq";
      asd = "pzmq";
    });
    systems = [ "pzmq" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  pzmq-compat = {
    pname = "pzmq-compat";
    version = "20210531-git";
    asds = [ "pzmq-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-compat";
      asd = "pzmq";
    });
    systems = [ "pzmq-compat" ];
    lispLibs = [ (getAttr "pzmq" pkgs) ];
  };
  pzmq-examples = {
    pname = "pzmq-examples";
    version = "20210531-git";
    asds = [ "pzmq-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-examples";
      asd = "pzmq";
    });
    systems = [ "pzmq-examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "pzmq" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  pzmq-test = {
    pname = "pzmq-test";
    version = "20210531-git";
    asds = [ "pzmq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-test";
      asd = "pzmq";
    });
    systems = [ "pzmq-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "pzmq" pkgs) ];
  };
  q_plus = {
    pname = "q+";
    version = "20200427-git";
    asds = [ "q+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "q+";
      asd = "q+";
    });
    systems = [ "q+" ];
    lispLibs = [ (getAttr "qtools" pkgs) ];
  };
  qbase64 = {
    pname = "qbase64";
    version = "20220220-git";
    asds = [ "qbase64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qbase64/2022-02-20/qbase64-20220220-git.tgz";
      sha256 = "06daqqfdd51wkx0pyxgz7zq4ibzsqsgn3qs04jabx67gyybgnmjm";
      system = "qbase64";
      asd = "qbase64";
    });
    systems = [ "qbase64" ];
    lispLibs = [ (getAttr "metabang-bind" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  qbase64_slash_test = {
    pname = "qbase64_test";
    version = "20220220-git";
    asds = [ "qbase64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qbase64/2022-02-20/qbase64-20220220-git.tgz";
      sha256 = "06daqqfdd51wkx0pyxgz7zq4ibzsqsgn3qs04jabx67gyybgnmjm";
      system = "qbase64";
      asd = "qbase64";
    });
    systems = [ "qbase64/test" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "fiveam" pkgs) (getAttr "qbase64" pkgs) ];
    meta = {
      broken = true;
    };
  };
  qbook = {
    pname = "qbook";
    version = "20130312-darcs";
    asds = [ "qbook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qbook/2013-03-12/qbook-20130312-darcs.tgz";
      sha256 = "0l5hc2v73416jpwc2nsnj03z85fisirgm4av2anvlpv5m1291p6g";
      system = "qbook";
      asd = "qbook";
    });
    systems = [ "qbook" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "yaclml" pkgs) ];
  };
  qimageblitz = {
    pname = "qimageblitz";
    version = "20210531-git";
    asds = [ "qimageblitz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qimageblitz";
      asd = "qimageblitz";
    });
    systems = [ "qimageblitz" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  ql-checkout = {
    pname = "ql-checkout";
    version = "20190521-git";
    asds = [ "ql-checkout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ql-checkout/2019-05-21/ql-checkout-20190521-git.tgz";
      sha256 = "1zp3wa7g1wn7sypfsla7510ywvldqavlmv90pncanwpwn79klyhw";
      system = "ql-checkout";
      asd = "ql-checkout";
    });
    systems = [ "ql-checkout" ];
    lispLibs = [  ];
  };
  qlot = {
    pname = "qlot";
    version = "20220331-git";
    asds = [ "qlot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qlot/2022-03-31/qlot-20220331-git.tgz";
      sha256 = "18dzrjy66a4xrzm4ap7kvzbi0xvp2s2nm0l04jjwy7vgizbw29y1";
      system = "qlot";
      asd = "qlot";
    });
    systems = [ "qlot" ];
    lispLibs = [  ];
  };
  qlot_slash_command = {
    pname = "qlot_command";
    version = "20220331-git";
    asds = [ "qlot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qlot/2022-03-31/qlot-20220331-git.tgz";
      sha256 = "18dzrjy66a4xrzm4ap7kvzbi0xvp2s2nm0l04jjwy7vgizbw29y1";
      system = "qlot";
      asd = "qlot";
    });
    systems = [ "qlot/command" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  qmynd = {
    pname = "qmynd";
    version = "20190710-git";
    asds = [ "qmynd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qmynd/2019-07-10/qmynd-20190710-git.tgz";
      sha256 = "06gw5wxcpdclb6a5i5k9lbmdlyqsp182czrm9bm1cpklzbj0ihrl";
      system = "qmynd";
      asd = "qmynd";
    });
    systems = [ "qmynd" ];
    lispLibs = [ (getAttr "list-of" pkgs) (getAttr "babel" pkgs) (getAttr "chipz" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  qmynd-test = {
    pname = "qmynd-test";
    version = "20190710-git";
    asds = [ "qmynd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qmynd/2019-07-10/qmynd-20190710-git.tgz";
      sha256 = "06gw5wxcpdclb6a5i5k9lbmdlyqsp182czrm9bm1cpklzbj0ihrl";
      system = "qmynd-test";
      asd = "qmynd-test";
    });
    systems = [ "qmynd-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "qmynd" pkgs) ];
  };
  qoi = {
    pname = "qoi";
    version = "20220707-git";
    asds = [ "qoi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qoi/2022-07-07/qoi-20220707-git.tgz";
      sha256 = "12j762h599cc9qpdpcmxiddixm168sxd2i60mbyka8x6dab64mla";
      system = "qoi";
      asd = "qoi";
    });
    systems = [ "qoi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  qsci = {
    pname = "qsci";
    version = "20210531-git";
    asds = [ "qsci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qsci";
      asd = "qsci";
    });
    systems = [ "qsci" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qt = {
    pname = "qt";
    version = "20200925-git";
    asds = [ "qt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2020-09-25/commonqt-20200925-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt";
      asd = "qt";
    });
    systems = [ "qt" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  qt_plus_libs = {
    pname = "qt+libs";
    version = "20200925-git";
    asds = [ "qt+libs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2020-09-25/commonqt-20200925-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt+libs";
      asd = "qt+libs";
    });
    systems = [ "qt+libs" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "named-readtables" pkgs) (getAttr "qt-libs" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  qt-lib-generator = {
    pname = "qt-lib-generator";
    version = "20210531-git";
    asds = [ "qt-lib-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt-lib-generator";
      asd = "qt-lib-generator";
    });
    systems = [ "qt-lib-generator" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  qt-libs = {
    pname = "qt-libs";
    version = "20210531-git";
    asds = [ "qt-libs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt-libs";
      asd = "qt-libs";
    });
    systems = [ "qt-libs" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "qt-lib-generator" pkgs) ];
  };
  qt-repl = {
    pname = "qt-repl";
    version = "20200925-git";
    asds = [ "qt-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2020-09-25/commonqt-20200925-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt-repl";
      asd = "qt-repl";
    });
    systems = [ "qt-repl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "qt" pkgs) ];
  };
  qt-test = {
    pname = "qt-test";
    version = "20200925-git";
    asds = [ "qt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2020-09-25/commonqt-20200925-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt-test";
      asd = "qt-test";
    });
    systems = [ "qt-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "qt" pkgs) (getAttr "iterate" pkgs) (getAttr "rt" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  qt-tutorial = {
    pname = "qt-tutorial";
    version = "20200925-git";
    asds = [ "qt-tutorial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2020-09-25/commonqt-20200925-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt-tutorial";
      asd = "qt-tutorial";
    });
    systems = [ "qt-tutorial" ];
    lispLibs = [ (getAttr "qt" pkgs) ];
  };
  qt3support = {
    pname = "qt3support";
    version = "20210531-git";
    asds = [ "qt3support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt3support";
      asd = "qt3support";
    });
    systems = [ "qt3support" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtnetwork" pkgs) (getAttr "qtsql" pkgs) (getAttr "qtxml" pkgs) ];
  };
  qtcore = {
    pname = "qtcore";
    version = "20210531-git";
    asds = [ "qtcore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtcore";
      asd = "qtcore";
    });
    systems = [ "qtcore" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "commonqt" pkgs) (getAttr "qt-libs" pkgs) ];
  };
  qtdbus = {
    pname = "qtdbus";
    version = "20210531-git";
    asds = [ "qtdbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtdbus";
      asd = "qtdbus";
    });
    systems = [ "qtdbus" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtxml" pkgs) ];
  };
  qtdeclarative = {
    pname = "qtdeclarative";
    version = "20210531-git";
    asds = [ "qtdeclarative" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtdeclarative";
      asd = "qtdeclarative";
    });
    systems = [ "qtdeclarative" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtnetwork" pkgs) (getAttr "qtscript" pkgs) (getAttr "qtsql" pkgs) (getAttr "qtxmlpatterns" pkgs) ];
  };
  qtgui = {
    pname = "qtgui";
    version = "20210531-git";
    asds = [ "qtgui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtgui";
      asd = "qtgui";
    });
    systems = [ "qtgui" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) ];
  };
  qthelp = {
    pname = "qthelp";
    version = "20210531-git";
    asds = [ "qthelp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qthelp";
      asd = "qthelp";
    });
    systems = [ "qthelp" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtnetwork" pkgs) (getAttr "qtsql" pkgs) ];
  };
  qtnetwork = {
    pname = "qtnetwork";
    version = "20210531-git";
    asds = [ "qtnetwork" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtnetwork";
      asd = "qtnetwork";
    });
    systems = [ "qtnetwork" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) ];
  };
  qtools = {
    pname = "qtools";
    version = "20200427-git";
    asds = [ "qtools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools";
      asd = "qtools";
    });
    systems = [ "qtools" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "qt_plus_libs" pkgs) (getAttr "deploy" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "form-fiddle" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-indent" pkgs) (getAttr "trivial-main-thread" pkgs) ];
  };
  qtools-evaluator = {
    pname = "qtools-evaluator";
    version = "20200427-git";
    asds = [ "qtools-evaluator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-evaluator";
      asd = "qtools-evaluator";
    });
    systems = [ "qtools-evaluator" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  qtools-game = {
    pname = "qtools-game";
    version = "20200427-git";
    asds = [ "qtools-game" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-game";
      asd = "qtools-game";
    });
    systems = [ "qtools-game" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtopengl" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-helloworld = {
    pname = "qtools-helloworld";
    version = "20200427-git";
    asds = [ "qtools-helloworld" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-helloworld";
      asd = "qtools-helloworld";
    });
    systems = [ "qtools-helloworld" ];
    lispLibs = [ (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-melody = {
    pname = "qtools-melody";
    version = "20200427-git";
    asds = [ "qtools-melody" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-melody";
      asd = "qtools-melody";
    });
    systems = [ "qtools-melody" ];
    lispLibs = [ (getAttr "phonon" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-opengl = {
    pname = "qtools-opengl";
    version = "20200427-git";
    asds = [ "qtools-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-opengl";
      asd = "qtools-opengl";
    });
    systems = [ "qtools-opengl" ];
    lispLibs = [ (getAttr "cl-opengl" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtopengl" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-titter = {
    pname = "qtools-titter";
    version = "20200427-git";
    asds = [ "qtools-titter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2020-04-27/qtools-20200427-git.tgz";
      sha256 = "13c9syk1l3a9xwpii0j82g0fkgnbxx8yabjjjczmr0l29hykhd4v";
      system = "qtools-titter";
      asd = "qtools-titter";
    });
    systems = [ "qtools-titter" ];
    lispLibs = [ (getAttr "chirp" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-ui = {
    pname = "qtools-ui";
    version = "20200218-git";
    asds = [ "qtools-ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui";
      asd = "qtools-ui";
    });
    systems = [ "qtools-ui" ];
    lispLibs = [ (getAttr "qtools-ui-auto-resizing-textedit" pkgs) (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-cell" pkgs) (getAttr "qtools-ui-color-history" pkgs) (getAttr "qtools-ui-color-picker" pkgs) (getAttr "qtools-ui-color-sliders" pkgs) (getAttr "qtools-ui-color-triangle" pkgs) (getAttr "qtools-ui-compass" pkgs) (getAttr "qtools-ui-container" pkgs) (getAttr "qtools-ui-debugger" pkgs) (getAttr "qtools-ui-dialog" pkgs) (getAttr "qtools-ui-dictionary" pkgs) (getAttr "qtools-ui-drag-and-drop" pkgs) (getAttr "qtools-ui-fixed-qtextedit" pkgs) (getAttr "qtools-ui-flow-layout" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "qtools-ui-imagetools" pkgs) (getAttr "qtools-ui-keychord-editor" pkgs) (getAttr "qtools-ui-layout" pkgs) (getAttr "qtools-ui-listing" pkgs) (getAttr "qtools-ui-notification" pkgs) (getAttr "qtools-ui-options" pkgs) (getAttr "qtools-ui-panels" pkgs) (getAttr "qtools-ui-placeholder-text-edit" pkgs) (getAttr "qtools-ui-plot" pkgs) (getAttr "qtools-ui-repl" pkgs) (getAttr "qtools-ui-slider" pkgs) (getAttr "qtools-ui-spellchecked-text-edit" pkgs) (getAttr "qtools-ui-splitter" pkgs) ];
  };
  qtools-ui-auto-resizing-textedit = {
    pname = "qtools-ui-auto-resizing-textedit";
    version = "20200218-git";
    asds = [ "qtools-ui-auto-resizing-textedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-auto-resizing-textedit";
      asd = "qtools-ui-auto-resizing-textedit";
    });
    systems = [ "qtools-ui-auto-resizing-textedit" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-fixed-qtextedit" pkgs) ];
  };
  qtools-ui-base = {
    pname = "qtools-ui-base";
    version = "20200218-git";
    asds = [ "qtools-ui-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-base";
      asd = "qtools-ui-base";
    });
    systems = [ "qtools-ui-base" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) ];
  };
  qtools-ui-bytearray = {
    pname = "qtools-ui-bytearray";
    version = "20200218-git";
    asds = [ "qtools-ui-bytearray" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-bytearray";
      asd = "qtools-ui-bytearray";
    });
    systems = [ "qtools-ui-bytearray" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-cell = {
    pname = "qtools-ui-cell";
    version = "20200218-git";
    asds = [ "qtools-ui-cell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-cell";
      asd = "qtools-ui-cell";
    });
    systems = [ "qtools-ui-cell" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "qtools-ui-layout" pkgs) ];
  };
  qtools-ui-color-history = {
    pname = "qtools-ui-color-history";
    version = "20200218-git";
    asds = [ "qtools-ui-color-history" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-history";
      asd = "qtools-ui-color-history";
    });
    systems = [ "qtools-ui-color-history" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-flow-layout" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-color-picker = {
    pname = "qtools-ui-color-picker";
    version = "20200218-git";
    asds = [ "qtools-ui-color-picker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-picker";
      asd = "qtools-ui-color-picker";
    });
    systems = [ "qtools-ui-color-picker" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-color-history" pkgs) (getAttr "qtools-ui-color-sliders" pkgs) (getAttr "qtools-ui-color-triangle" pkgs) (getAttr "qtools-ui-dialog" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-color-sliders = {
    pname = "qtools-ui-color-sliders";
    version = "20200218-git";
    asds = [ "qtools-ui-color-sliders" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-sliders";
      asd = "qtools-ui-color-sliders";
    });
    systems = [ "qtools-ui-color-sliders" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-color-triangle = {
    pname = "qtools-ui-color-triangle";
    version = "20200218-git";
    asds = [ "qtools-ui-color-triangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-triangle";
      asd = "qtools-ui-color-triangle";
    });
    systems = [ "qtools-ui-color-triangle" ];
    lispLibs = [ (getAttr "cl-opengl" pkgs) (getAttr "qtopengl" pkgs) (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-compass = {
    pname = "qtools-ui-compass";
    version = "20200218-git";
    asds = [ "qtools-ui-compass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-compass";
      asd = "qtools-ui-compass";
    });
    systems = [ "qtools-ui-compass" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-layout" pkgs) ];
  };
  qtools-ui-container = {
    pname = "qtools-ui-container";
    version = "20200218-git";
    asds = [ "qtools-ui-container" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-container";
      asd = "qtools-ui-container";
    });
    systems = [ "qtools-ui-container" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-layout" pkgs) ];
  };
  qtools-ui-debugger = {
    pname = "qtools-ui-debugger";
    version = "20200218-git";
    asds = [ "qtools-ui-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-debugger";
      asd = "qtools-ui-debugger";
    });
    systems = [ "qtools-ui-debugger" ];
    lispLibs = [ (getAttr "dissect" pkgs) (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-dialog = {
    pname = "qtools-ui-dialog";
    version = "20200218-git";
    asds = [ "qtools-ui-dialog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-dialog";
      asd = "qtools-ui-dialog";
    });
    systems = [ "qtools-ui-dialog" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-dictionary = {
    pname = "qtools-ui-dictionary";
    version = "20200218-git";
    asds = [ "qtools-ui-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-dictionary";
      asd = "qtools-ui-dictionary";
    });
    systems = [ "qtools-ui-dictionary" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-fixed-qtextedit" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "wordnet" pkgs) ];
  };
  qtools-ui-drag-and-drop = {
    pname = "qtools-ui-drag-and-drop";
    version = "20200218-git";
    asds = [ "qtools-ui-drag-and-drop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-drag-and-drop";
      asd = "qtools-ui-drag-and-drop";
    });
    systems = [ "qtools-ui-drag-and-drop" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-executable = {
    pname = "qtools-ui-executable";
    version = "20200218-git";
    asds = [ "qtools-ui-executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-executable";
      asd = "qtools-ui-executable";
    });
    systems = [ "qtools-ui-executable" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-fixed-qtextedit = {
    pname = "qtools-ui-fixed-qtextedit";
    version = "20200218-git";
    asds = [ "qtools-ui-fixed-qtextedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-fixed-qtextedit";
      asd = "qtools-ui-fixed-qtextedit";
    });
    systems = [ "qtools-ui-fixed-qtextedit" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-flow-layout = {
    pname = "qtools-ui-flow-layout";
    version = "20200218-git";
    asds = [ "qtools-ui-flow-layout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-flow-layout";
      asd = "qtools-ui-flow-layout";
    });
    systems = [ "qtools-ui-flow-layout" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-container" pkgs) ];
  };
  qtools-ui-helpers = {
    pname = "qtools-ui-helpers";
    version = "20200218-git";
    asds = [ "qtools-ui-helpers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-helpers";
      asd = "qtools-ui-helpers";
    });
    systems = [ "qtools-ui-helpers" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-layout" pkgs) ];
  };
  qtools-ui-imagetools = {
    pname = "qtools-ui-imagetools";
    version = "20200218-git";
    asds = [ "qtools-ui-imagetools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-imagetools";
      asd = "qtools-ui-imagetools";
    });
    systems = [ "qtools-ui-imagetools" ];
    lispLibs = [ (getAttr "qimageblitz" pkgs) (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-keychord-editor = {
    pname = "qtools-ui-keychord-editor";
    version = "20200218-git";
    asds = [ "qtools-ui-keychord-editor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-keychord-editor";
      asd = "qtools-ui-keychord-editor";
    });
    systems = [ "qtools-ui-keychord-editor" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-layout = {
    pname = "qtools-ui-layout";
    version = "20200218-git";
    asds = [ "qtools-ui-layout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-layout";
      asd = "qtools-ui-layout";
    });
    systems = [ "qtools-ui-layout" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-listing = {
    pname = "qtools-ui-listing";
    version = "20200218-git";
    asds = [ "qtools-ui-listing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-listing";
      asd = "qtools-ui-listing";
    });
    systems = [ "qtools-ui-listing" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-cell" pkgs) (getAttr "qtools-ui-container" pkgs) ];
  };
  qtools-ui-notification = {
    pname = "qtools-ui-notification";
    version = "20200218-git";
    asds = [ "qtools-ui-notification" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-notification";
      asd = "qtools-ui-notification";
    });
    systems = [ "qtools-ui-notification" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-options = {
    pname = "qtools-ui-options";
    version = "20200218-git";
    asds = [ "qtools-ui-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-options";
      asd = "qtools-ui-options";
    });
    systems = [ "qtools-ui-options" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-color-picker" pkgs) (getAttr "qtools-ui-color-triangle" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "qtools-ui-listing" pkgs) (getAttr "qtools-ui-slider" pkgs) ];
  };
  qtools-ui-panels = {
    pname = "qtools-ui-panels";
    version = "20200218-git";
    asds = [ "qtools-ui-panels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-panels";
      asd = "qtools-ui-panels";
    });
    systems = [ "qtools-ui-panels" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-compass" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "qtools-ui-splitter" pkgs) ];
  };
  qtools-ui-placeholder-text-edit = {
    pname = "qtools-ui-placeholder-text-edit";
    version = "20200218-git";
    asds = [ "qtools-ui-placeholder-text-edit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-placeholder-text-edit";
      asd = "qtools-ui-placeholder-text-edit";
    });
    systems = [ "qtools-ui-placeholder-text-edit" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-fixed-qtextedit" pkgs) ];
  };
  qtools-ui-plot = {
    pname = "qtools-ui-plot";
    version = "20200218-git";
    asds = [ "qtools-ui-plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-plot";
      asd = "qtools-ui-plot";
    });
    systems = [ "qtools-ui-plot" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-progress-bar = {
    pname = "qtools-ui-progress-bar";
    version = "20200218-git";
    asds = [ "qtools-ui-progress-bar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-progress-bar";
      asd = "qtools-ui-progress-bar";
    });
    systems = [ "qtools-ui-progress-bar" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) ];
  };
  qtools-ui-repl = {
    pname = "qtools-ui-repl";
    version = "20200218-git";
    asds = [ "qtools-ui-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-repl";
      asd = "qtools-ui-repl";
    });
    systems = [ "qtools-ui-repl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "qtools-ui-base" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  qtools-ui-slider = {
    pname = "qtools-ui-slider";
    version = "20200218-git";
    asds = [ "qtools-ui-slider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-slider";
      asd = "qtools-ui-slider";
    });
    systems = [ "qtools-ui-slider" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-spellchecked-text-edit = {
    pname = "qtools-ui-spellchecked-text-edit";
    version = "20200218-git";
    asds = [ "qtools-ui-spellchecked-text-edit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-spellchecked-text-edit";
      asd = "qtools-ui-spellchecked-text-edit";
    });
    systems = [ "qtools-ui-spellchecked-text-edit" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-fixed-qtextedit" pkgs) (getAttr "qtools-ui-helpers" pkgs) (getAttr "spell" pkgs) ];
  };
  qtools-ui-splitter = {
    pname = "qtools-ui-splitter";
    version = "20200218-git";
    asds = [ "qtools-ui-splitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-splitter";
      asd = "qtools-ui-splitter";
    });
    systems = [ "qtools-ui-splitter" ];
    lispLibs = [ (getAttr "qtools-ui-base" pkgs) (getAttr "qtools-ui-container" pkgs) (getAttr "qtools-ui-helpers" pkgs) ];
  };
  qtools-ui-svgtools = {
    pname = "qtools-ui-svgtools";
    version = "20200218-git";
    asds = [ "qtools-ui-svgtools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-svgtools";
      asd = "qtools-ui-svgtools";
    });
    systems = [ "qtools-ui-svgtools" ];
    lispLibs = [ (getAttr "qtsvg" pkgs) (getAttr "qtools-ui-base" pkgs) ];
  };
  qtopengl = {
    pname = "qtopengl";
    version = "20210531-git";
    asds = [ "qtopengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtopengl";
      asd = "qtopengl";
    });
    systems = [ "qtopengl" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qtscript = {
    pname = "qtscript";
    version = "20210531-git";
    asds = [ "qtscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtscript";
      asd = "qtscript";
    });
    systems = [ "qtscript" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) ];
  };
  qtsql = {
    pname = "qtsql";
    version = "20210531-git";
    asds = [ "qtsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtsql";
      asd = "qtsql";
    });
    systems = [ "qtsql" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qtsvg = {
    pname = "qtsvg";
    version = "20210531-git";
    asds = [ "qtsvg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtsvg";
      asd = "qtsvg";
    });
    systems = [ "qtsvg" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qttest = {
    pname = "qttest";
    version = "20210531-git";
    asds = [ "qttest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qttest";
      asd = "qttest";
    });
    systems = [ "qttest" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qtuitools = {
    pname = "qtuitools";
    version = "20210531-git";
    asds = [ "qtuitools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtuitools";
      asd = "qtuitools";
    });
    systems = [ "qtuitools" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  qtwebkit = {
    pname = "qtwebkit";
    version = "20210531-git";
    asds = [ "qtwebkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtwebkit";
      asd = "qtwebkit";
    });
    systems = [ "qtwebkit" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtnetwork" pkgs) ];
  };
  qtxml = {
    pname = "qtxml";
    version = "20210531-git";
    asds = [ "qtxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtxml";
      asd = "qtxml";
    });
    systems = [ "qtxml" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) ];
  };
  qtxmlpatterns = {
    pname = "qtxmlpatterns";
    version = "20210531-git";
    asds = [ "qtxmlpatterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtxmlpatterns";
      asd = "qtxmlpatterns";
    });
    systems = [ "qtxmlpatterns" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtnetwork" pkgs) ];
  };
  quad-tree = {
    pname = "quad-tree";
    version = "20220707-git";
    asds = [ "quad-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quad-tree/2022-07-07/quad-tree-20220707-git.tgz";
      sha256 = "1pg43zw75dbqxs8vca3fynqfvza59v1fmwh9m4x0jrnw7ysgkl6j";
      system = "quad-tree";
      asd = "quad-tree";
    });
    systems = [ "quad-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "origin" pkgs) ];
  };
  quadpack = {
    pname = "quadpack";
    version = "20200925-git";
    asds = [ "quadpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "quadpack";
      asd = "quadpack";
    });
    systems = [ "quadpack" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  quadpack_slash_mach-par = {
    pname = "quadpack_mach-par";
    version = "20200925-git";
    asds = [ "quadpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "quadpack";
      asd = "quadpack";
    });
    systems = [ "quadpack/mach-par" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  quadpack_slash_tests = {
    pname = "quadpack_tests";
    version = "20200925-git";
    asds = [ "quadpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "quadpack";
      asd = "quadpack";
    });
    systems = [ "quadpack/tests" ];
    lispLibs = [ (getAttr "quadpack" pkgs) (getAttr "rt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  quads = {
    pname = "quads";
    version = "20200427-git";
    asds = [ "quads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "quads";
      asd = "quads";
    });
    systems = [ "quads" ];
    lispLibs = [ (getAttr "utility" pkgs) ];
  };
  quadtree = {
    pname = "quadtree";
    version = "20150709-git";
    asds = [ "quadtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quadtree/2015-07-09/quadtree-20150709-git.tgz";
      sha256 = "0590f0sbv4qg590d2bb7ypncg3wn5xjapi24w78mnzr9bdnhh4vx";
      system = "quadtree";
      asd = "quadtree";
    });
    systems = [ "quadtree" ];
    lispLibs = [  ];
  };
  quadtree-test = {
    pname = "quadtree-test";
    version = "20150709-git";
    asds = [ "quadtree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quadtree/2015-07-09/quadtree-20150709-git.tgz";
      sha256 = "0590f0sbv4qg590d2bb7ypncg3wn5xjapi24w78mnzr9bdnhh4vx";
      system = "quadtree-test";
      asd = "quadtree-test";
    });
    systems = [ "quadtree-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "quadtree" pkgs) ];
  };
  quantile-estimator = {
    pname = "quantile-estimator";
    version = "20160825-git";
    asds = [ "quantile-estimator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quantile-estimator.cl/2016-08-25/quantile-estimator.cl-20160825-git.tgz";
      sha256 = "1rrazbl0gbsymynlxp7ild6wvwp6csmdig4hwrp3wjvqhdl8j3mj";
      system = "quantile-estimator";
      asd = "quantile-estimator";
    });
    systems = [ "quantile-estimator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  quantile-estimator_dot_test = {
    pname = "quantile-estimator.test";
    version = "20160825-git";
    asds = [ "quantile-estimator.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quantile-estimator.cl/2016-08-25/quantile-estimator.cl-20160825-git.tgz";
      sha256 = "1rrazbl0gbsymynlxp7ild6wvwp6csmdig4hwrp3wjvqhdl8j3mj";
      system = "quantile-estimator.test";
      asd = "quantile-estimator.test";
    });
    systems = [ "quantile-estimator.test" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "mw-equiv" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "quantile-estimator" pkgs) ];
  };
  quasiquote-2_dot_0 = {
    pname = "quasiquote-2.0";
    version = "20150505-git";
    asds = [ "quasiquote-2.0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quasiquote-2.0/2015-05-05/quasiquote-2.0-20150505-git.tgz";
      sha256 = "1g0s3aplrgmdjj8k1wrx3dkqdsl4lka2nmgdng0rcd93xp11q6hn";
      system = "quasiquote-2.0";
      asd = "quasiquote-2.0";
    });
    systems = [ "quasiquote-2.0" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  quasiquote-2_dot_0-tests = {
    pname = "quasiquote-2.0-tests";
    version = "20150505-git";
    asds = [ "quasiquote-2.0-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quasiquote-2.0/2015-05-05/quasiquote-2.0-20150505-git.tgz";
      sha256 = "1g0s3aplrgmdjj8k1wrx3dkqdsl4lka2nmgdng0rcd93xp11q6hn";
      system = "quasiquote-2.0-tests";
      asd = "quasiquote-2.0";
    });
    systems = [ "quasiquote-2.0-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "quasiquote-2_dot_0" pkgs) ];
  };
  queen = {
    pname = "queen";
    version = "20160929-git";
    asds = [ "queen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queen.lisp/2016-09-29/queen.lisp-20160929-git.tgz";
      sha256 = "187mlbhxxhgj7cx3j9vzv3a26mxnibwbp5hcbn92wzw7m04w0mln";
      system = "queen";
      asd = "queen";
    });
    systems = [ "queen" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  query-fs = {
    pname = "query-fs";
    version = "20221106-git";
    asds = [ "query-fs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-fs/2022-11-06/query-fs-20221106-git.tgz";
      sha256 = "010ljk1p8r5rm6b5fpznk9m241362fwy3qk8xdx836ncs8pzzyqf";
      system = "query-fs";
      asd = "query-fs";
    });
    systems = [ "query-fs" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fuse" pkgs) (getAttr "cl-fuse-meta-fs" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  query-repl = {
    pname = "query-repl";
    version = "20220331-git";
    asds = [ "query-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-repl/2022-03-31/query-repl-20220331-git.tgz";
      sha256 = "0gzrr1k7071hdmd64i5lqmg62i3yqim7nmcc9r94sry47bkp16v2";
      system = "query-repl";
      asd = "query-repl";
    });
    systems = [ "query-repl" ];
    lispLibs = [ (getAttr "check-bnf" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "uiop" pkgs) ];
  };
  query-repl_dot_test = {
    pname = "query-repl.test";
    version = "20220331-git";
    asds = [ "query-repl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-repl/2022-03-31/query-repl-20220331-git.tgz";
      sha256 = "0gzrr1k7071hdmd64i5lqmg62i3yqim7nmcc9r94sry47bkp16v2";
      system = "query-repl.test";
      asd = "query-repl.test";
    });
    systems = [ "query-repl.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "query-repl" pkgs) ];
  };
  queues = {
    pname = "queues";
    version = "20170124-git";
    asds = [ "queues" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues";
      asd = "queues";
    });
    systems = [ "queues" ];
    lispLibs = [  ];
  };
  queues_dot_priority-cqueue = {
    pname = "queues.priority-cqueue";
    version = "20170124-git";
    asds = [ "queues.priority-cqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.priority-cqueue";
      asd = "queues.priority-cqueue";
    });
    systems = [ "queues.priority-cqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "queues" pkgs) (getAttr "queues_dot_priority-queue" pkgs) ];
  };
  queues_dot_priority-queue = {
    pname = "queues.priority-queue";
    version = "20170124-git";
    asds = [ "queues.priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.priority-queue";
      asd = "queues.priority-queue";
    });
    systems = [ "queues.priority-queue" ];
    lispLibs = [ (getAttr "queues" pkgs) ];
  };
  queues_dot_simple-cqueue = {
    pname = "queues.simple-cqueue";
    version = "20170124-git";
    asds = [ "queues.simple-cqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.simple-cqueue";
      asd = "queues.simple-cqueue";
    });
    systems = [ "queues.simple-cqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "queues" pkgs) (getAttr "queues_dot_simple-queue" pkgs) ];
  };
  queues_dot_simple-queue = {
    pname = "queues.simple-queue";
    version = "20170124-git";
    asds = [ "queues.simple-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.simple-queue";
      asd = "queues.simple-queue";
    });
    systems = [ "queues.simple-queue" ];
    lispLibs = [ (getAttr "queues" pkgs) ];
  };
  quick-patch = {
    pname = "quick-patch";
    version = "20221106-git";
    asds = [ "quick-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quick-patch/2022-11-06/quick-patch-20221106-git.tgz";
      sha256 = "1v56f630ld1kkfx9f20hqbqfxyv7cpqrs2zp324m2h6rnfs5xl19";
      system = "quick-patch";
      asd = "quick-patch";
    });
    systems = [ "quick-patch" ];
    lispLibs = [  ];
  };
  quick-patch_slash_tests = {
    pname = "quick-patch_tests";
    version = "20221106-git";
    asds = [ "quick-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quick-patch/2022-11-06/quick-patch-20221106-git.tgz";
      sha256 = "1v56f630ld1kkfx9f20hqbqfxyv7cpqrs2zp324m2h6rnfs5xl19";
      system = "quick-patch";
      asd = "quick-patch";
    });
    systems = [ "quick-patch/tests" ];
    lispLibs = [ (getAttr "cl-mock" pkgs) (getAttr "str" pkgs) (getAttr "fiveam" pkgs) (getAttr "quick-patch" pkgs) (getAttr "tmpdir" pkgs) ];
    meta = {
      broken = true;
    };
  };
  quickapp = {
    pname = "quickapp";
    version = "20160825-git";
    asds = [ "quickapp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickapp/2016-08-25/quickapp-20160825-git.tgz";
      sha256 = "0rhhxwggbh9sf3c4c9fv39c5imy48416mwf0dkhqpnm8x55xbw22";
      system = "quickapp";
      asd = "quickapp";
    });
    systems = [ "quickapp" ];
    lispLibs = [  ];
  };
  quicklisp-slime-helper = {
    pname = "quicklisp-slime-helper";
    version = "20150709-git";
    asds = [ "quicklisp-slime-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicklisp-slime-helper/2015-07-09/quicklisp-slime-helper-20150709-git.tgz";
      sha256 = "14b1zg26h75pnhj3ic0h9i5jbmwf8wjp91scbcg1ra9fyhh73pa6";
      system = "quicklisp-slime-helper";
      asd = "quicklisp-slime-helper";
    });
    systems = [ "quicklisp-slime-helper" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "swank" pkgs) ];
  };
  quicklisp-stats = {
    pname = "quicklisp-stats";
    version = "20210411-git";
    asds = [ "quicklisp-stats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicklisp-stats/2021-04-11/quicklisp-stats-20210411-git.tgz";
      sha256 = "0v8dgmlgd283n1g486q4sj2mghgdvgywg2nqp43nnrfc04mkvgc0";
      system = "quicklisp-stats";
      asd = "quicklisp-stats";
    });
    systems = [ "quicklisp-stats" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  quickproject = {
    pname = "quickproject";
    version = "1.4.1";
    asds = [ "quickproject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickproject/2019-12-27/quickproject-1.4.1.tgz";
      sha256 = "1szs8p2wr1yr9mjmj3h3557l6wxzzga0iszimb68z0hb1jj3lva6";
      system = "quickproject";
      asd = "quickproject";
    });
    systems = [ "quickproject" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "html-template" pkgs) ];
  };
  quicksearch = {
    pname = "quicksearch";
    version = "20171019-git";
    asds = [ "quicksearch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicksearch/2017-10-19/quicksearch-20171019-git.tgz";
      sha256 = "16k19zjkhh7r64vjq371k5jwjs7cdfjz83flh561n4h4v1z89fps";
      system = "quicksearch";
      asd = "quicksearch";
    });
    systems = [ "quicksearch" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "html-entities" pkgs) (getAttr "iterate" pkgs) (getAttr "yason" pkgs) ];
  };
  quickutil = {
    pname = "quickutil";
    version = "20210807-git";
    asds = [ "quickutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil";
      asd = "quickutil";
    });
    systems = [ "quickutil" ];
    lispLibs = [ (getAttr "quickutil-client" pkgs) ];
  };
  quickutil-client = {
    pname = "quickutil-client";
    version = "20210807-git";
    asds = [ "quickutil-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-client";
      asd = "quickutil-client";
    });
    systems = [ "quickutil-client" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "quickutil-client-management" pkgs) (getAttr "quickutil-utilities" pkgs) ];
  };
  quickutil-client-management = {
    pname = "quickutil-client-management";
    version = "20210807-git";
    asds = [ "quickutil-client-management" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-client-management";
      asd = "quickutil-client-management";
    });
    systems = [ "quickutil-client-management" ];
    lispLibs = [ (getAttr "trivial-garbage" pkgs) ];
  };
  quickutil-server = {
    pname = "quickutil-server";
    version = "20210807-git";
    asds = [ "quickutil-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-server";
      asd = "quickutil-server";
    });
    systems = [ "quickutil-server" ];
    lispLibs = [ (getAttr "assoc-utils" pkgs) (getAttr "closure-template" pkgs) (getAttr "dbi" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-markdown" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syntax" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "clack" pkgs) (getAttr "lack" pkgs) (getAttr "lack-component" pkgs) (getAttr "lack-middleware-csrf" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-response" pkgs) (getAttr "ningle" pkgs) (getAttr "quickutil-utilities" pkgs) (getAttr "trivial-shell" pkgs) (getAttr "yason" pkgs) ];
  };
  quickutil-utilities = {
    pname = "quickutil-utilities";
    version = "20210807-git";
    asds = [ "quickutil-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-utilities";
      asd = "quickutil-utilities";
    });
    systems = [ "quickutil-utilities" ];
    lispLibs = [ (getAttr "cl-heredoc" pkgs) ];
  };
  quickutil-utilities-test = {
    pname = "quickutil-utilities-test";
    version = "20210807-git";
    asds = [ "quickutil-utilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-utilities-test";
      asd = "quickutil-utilities-test";
    });
    systems = [ "quickutil-utilities-test" ];
    lispLibs = [ (getAttr "quickutil-client" pkgs) (getAttr "quickutil-server" pkgs) ];
  };
  quilc = {
    pname = "quilc";
    version = "v1.26.0";
    asds = [ "quilc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "quilc";
      asd = "quilc";
    });
    systems = [ "quilc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syslog" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "drakma" pkgs) (getAttr "magicl" pkgs) (getAttr "cl-quil" pkgs) (getAttr "cl-quil-benchmarking" pkgs) (getAttr "rpcq" pkgs) (getAttr "swank" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) (getAttr "yason" pkgs) ];
  };
  quilc-tests = {
    pname = "quilc-tests";
    version = "v1.26.0";
    asds = [ "quilc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "quilc-tests";
      asd = "quilc-tests";
    });
    systems = [ "quilc-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "fiasco" pkgs) (getAttr "quilc" pkgs) (getAttr "uiop" pkgs) (getAttr "uuid" pkgs) ];
  };
  quine-mccluskey = {
    pname = "quine-mccluskey";
    version = "20141217-git";
    asds = [ "quine-mccluskey" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-logic/2014-12-17/cl-logic-20141217-git.tgz";
      sha256 = "17n2wzqali3j6b7pqbydipwlxgwdrj4mdnsgwjdyz32n8jvfyjwh";
      system = "quine-mccluskey";
      asd = "cl-logic";
    });
    systems = [ "quine-mccluskey" ];
    lispLibs = [  ];
  };
  quri = {
    pname = "quri";
    version = "20221106-git";
    asds = [ "quri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quri/2022-11-06/quri-20221106-git.tgz";
      sha256 = "1crzgavvzsjp3xsddp4a5kd3ay0bn4scs839f0hk2yp482mg9jcx";
      system = "quri";
      asd = "quri";
    });
    systems = [ "quri" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  quri-test = {
    pname = "quri-test";
    version = "20221106-git";
    asds = [ "quri-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quri/2022-11-06/quri-20221106-git.tgz";
      sha256 = "1crzgavvzsjp3xsddp4a5kd3ay0bn4scs839f0hk2yp482mg9jcx";
      system = "quri-test";
      asd = "quri-test";
    });
    systems = [ "quri-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "quri" pkgs) ];
  };
  quux-hunchentoot = {
    pname = "quux-hunchentoot";
    version = "20211230-git";
    asds = [ "quux-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quux-hunchentoot/2021-12-30/quux-hunchentoot-20211230-git.tgz";
      sha256 = "0v0x4hzzfm835blqbp00vmj74gaq8wyldrnfj0x5s6zfl64w135y";
      system = "quux-hunchentoot";
      asd = "quux-hunchentoot";
    });
    systems = [ "quux-hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "lil" pkgs) (getAttr "lparallel" pkgs) (getAttr "trivia" pkgs) ];
  };
  quux-time = {
    pname = "quux-time";
    version = "20150407-git";
    asds = [ "quux-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quux-time/2015-04-07/quux-time-20150407-git.tgz";
      sha256 = "0hsa2n1j0abhw8na9fql47rq1rxpf2vkwg2mbb1c3ax56r8dsh0v";
      system = "quux-time";
      asd = "quux-time";
    });
    systems = [ "quux-time" ];
    lispLibs = [  ];
  };
  qvm = {
    pname = "qvm";
    version = "v1.17.2";
    asds = [ "qvm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm";
      asd = "qvm";
    });
    systems = [ "qvm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "abstract-classes" pkgs) (getAttr "global-vars" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "lparallel" pkgs) (getAttr "magicl" pkgs) (getAttr "mt19937" pkgs) (getAttr "cl-quil" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  qvm-app = {
    pname = "qvm-app";
    version = "v1.17.2";
    asds = [ "qvm-app" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app";
      asd = "qvm-app";
    });
    systems = [ "qvm-app" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syslog" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "drakma" pkgs) (getAttr "global-vars" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "qvm-benchmarks" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) (getAttr "yason" pkgs) ];
  };
  qvm-app-ng = {
    pname = "qvm-app-ng";
    version = "v1.17.2";
    asds = [ "qvm-app-ng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-ng";
      asd = "qvm-app-ng";
    });
    systems = [ "qvm-app-ng" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-algebraic-data-type" pkgs) (getAttr "cl-syslog" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "global-vars" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "trivial-features" pkgs) (getAttr "uiop" pkgs) (getAttr "uuid" pkgs) (getAttr "yason" pkgs) ];
  };
  qvm-app-ng-tests = {
    pname = "qvm-app-ng-tests";
    version = "v1.17.2";
    asds = [ "qvm-app-ng-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-ng-tests";
      asd = "qvm-app-ng-tests";
    });
    systems = [ "qvm-app-ng-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "fiasco" pkgs) (getAttr "lparallel" pkgs) (getAttr "qvm-app-ng" pkgs) (getAttr "uiop" pkgs) (getAttr "yason" pkgs) ];
  };
  qvm-app-tests = {
    pname = "qvm-app-tests";
    version = "v1.17.2";
    asds = [ "qvm-app-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-tests";
      asd = "qvm-app-tests";
    });
    systems = [ "qvm-app-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "qvm-app" pkgs) (getAttr "uiop" pkgs) ];
  };
  qvm-benchmarks = {
    pname = "qvm-benchmarks";
    version = "v1.17.2";
    asds = [ "qvm-benchmarks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-benchmarks";
      asd = "qvm-benchmarks";
    });
    systems = [ "qvm-benchmarks" ];
    lispLibs = [ (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "trivial-benchmark" pkgs) (getAttr "yason" pkgs) ];
  };
  qvm-examples = {
    pname = "qvm-examples";
    version = "v1.17.2";
    asds = [ "qvm-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-examples";
      asd = "qvm-examples";
    });
    systems = [ "qvm-examples" ];
    lispLibs = [ (getAttr "cl-grnm" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "qvm-app" pkgs) ];
  };
  qvm-tests = {
    pname = "qvm-tests";
    version = "v1.17.2";
    asds = [ "qvm-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-tests";
      asd = "qvm-tests";
    });
    systems = [ "qvm-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "fiasco" pkgs) (getAttr "cl-quil" pkgs) (getAttr "qvm" pkgs) (getAttr "qvm-examples" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  qwt = {
    pname = "qwt";
    version = "20210531-git";
    asds = [ "qwt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qwt";
      asd = "qwt";
    });
    systems = [ "qwt" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) ];
  };
  racer = {
    pname = "racer";
    version = "20190710-git";
    asds = [ "racer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/racer/2019-07-10/racer-20190710-git.tgz";
      sha256 = "120x046c6vcrj70vb6ryf04mwbr8c6a15llb68x7h1siij8vwgvk";
      system = "racer";
      asd = "racer";
    });
    systems = [ "racer" ];
    lispLibs = [ (getAttr "deflate" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "aserve" pkgs) ];
  };
  rail = {
    pname = "rail";
    version = "20171227-git";
    asds = [ "rail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rail/2017-12-27/cl-rail-20171227-git.tgz";
      sha256 = "0vxbxyfl5lw7na8iki1cjp0cd31z2bnxcpdv0x25hq0vch1cb5rj";
      system = "rail";
      asd = "rail";
    });
    systems = [ "rail" ];
    lispLibs = [  ];
  };
  rail-test = {
    pname = "rail-test";
    version = "20171227-git";
    asds = [ "rail-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rail/2017-12-27/cl-rail-20171227-git.tgz";
      sha256 = "0vxbxyfl5lw7na8iki1cjp0cd31z2bnxcpdv0x25hq0vch1cb5rj";
      system = "rail-test";
      asd = "rail";
    });
    systems = [ "rail-test" ];
    lispLibs = [ (getAttr "rail" pkgs) (getAttr "fiasco" pkgs) ];
  };
  random = {
    pname = "random";
    version = "20191007-git";
    asds = [ "random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "random";
      asd = "random";
    });
    systems = [ "random" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) ];
  };
  random-access-lists = {
    pname = "random-access-lists";
    version = "20120208-git";
    asds = [ "random-access-lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-access-lists/2012-02-08/random-access-lists-20120208-git.tgz";
      sha256 = "0wslxxdmmr25hvmcyscph1bjlknm3nzh5g79cif22was1z411m5c";
      system = "random-access-lists";
      asd = "random-access-lists";
    });
    systems = [ "random-access-lists" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) ];
  };
  random-sample = {
    pname = "random-sample";
    version = "20211230-git";
    asds = [ "random-sample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-sample/2021-12-30/random-sample-20211230-git.tgz";
      sha256 = "0nhgca6wf754wbg91h40gx7xq22rawg2pn6l7h02wv1jxac4q6nh";
      system = "random-sample";
      asd = "random-sample";
    });
    systems = [ "random-sample" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "infix-math" pkgs) (getAttr "named-readtables" pkgs) (getAttr "serapeum" pkgs) ];
  };
  random-state = {
    pname = "random-state";
    version = "20221106-git";
    asds = [ "random-state" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-state/2022-11-06/random-state-20221106-git.tgz";
      sha256 = "07qmlzkn0s7qrz06ycsr1idj58w0mjhr30mjwsj7wblmmczilq69";
      system = "random-state";
      asd = "random-state";
    });
    systems = [ "random-state" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  random-state-viewer = {
    pname = "random-state-viewer";
    version = "20221106-git";
    asds = [ "random-state-viewer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-state/2022-11-06/random-state-20221106-git.tgz";
      sha256 = "07qmlzkn0s7qrz06ycsr1idj58w0mjhr30mjwsj7wblmmczilq69";
      system = "random-state-viewer";
      asd = "random-state-viewer";
    });
    systems = [ "random-state-viewer" ];
    lispLibs = [ (getAttr "qtcore" pkgs) (getAttr "qtgui" pkgs) (getAttr "qtools" pkgs) (getAttr "random-state" pkgs) ];
  };
  random-test = {
    pname = "random-test";
    version = "20191007-git";
    asds = [ "random-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "random-test";
      asd = "random-test";
    });
    systems = [ "random-test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "random" pkgs) ];
  };
  random-uuid = {
    pname = "random-uuid";
    version = "20220707-git";
    asds = [ "random-uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-uuid/2022-07-07/random-uuid-20220707-git.tgz";
      sha256 = "09yfi16gh12qg4pi13gbr5n881q5zvw7acq27a6sbqbkny35a6wj";
      system = "random-uuid";
      asd = "random-uuid";
    });
    systems = [ "random-uuid" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "seedable-rng" pkgs) ];
  };
  rate-monotonic = {
    pname = "rate-monotonic";
    version = "20200325-git";
    asds = [ "rate-monotonic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rate-monotonic/2020-03-25/rate-monotonic-20200325-git.tgz";
      sha256 = "0v9m704zy3834whldx2fbs8x92hp7hlrzdlcxm1rd17wqpv7pvrv";
      system = "rate-monotonic";
      asd = "rate-monotonic";
    });
    systems = [ "rate-monotonic" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "timer-wheel" pkgs) ];
  };
  rate-monotonic_dot_examples = {
    pname = "rate-monotonic.examples";
    version = "20200325-git";
    asds = [ "rate-monotonic.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rate-monotonic/2020-03-25/rate-monotonic-20200325-git.tgz";
      sha256 = "0v9m704zy3834whldx2fbs8x92hp7hlrzdlcxm1rd17wqpv7pvrv";
      system = "rate-monotonic.examples";
      asd = "rate-monotonic.examples";
    });
    systems = [ "rate-monotonic.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "rate-monotonic" pkgs) ];
  };
  ratify = {
    pname = "ratify";
    version = "20191007-git";
    asds = [ "ratify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ratify/2019-10-07/ratify-20191007-git.tgz";
      sha256 = "0lhz3g85sc8ral59bs6g32f9nvxvbz126wchr8c3f5jj95xhngma";
      system = "ratify";
      asd = "ratify";
    });
    systems = [ "ratify" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-float" pkgs) ];
  };
  ratmath = {
    pname = "ratmath";
    version = "20200218-git";
    asds = [ "ratmath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ratmath/2020-02-18/ratmath-20200218-git.tgz";
      sha256 = "1p5rl1bam8qjsgscn7gwk2w55hdjawfgjikka59lwb6ia13v4rj9";
      system = "ratmath";
      asd = "ratmath";
    });
    systems = [ "ratmath" ];
    lispLibs = [  ];
  };
  rcl = {
    pname = "rcl";
    version = "20201220-http";
    asds = [ "rcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rcl/2020-12-20/rcl-20201220-http.tgz";
      sha256 = "1s6cvqs0s7fxh63zwc5zj7ryrffmv780rscm7aq3alzb9njwmg14";
      system = "rcl";
      asd = "rcl";
    });
    systems = [ "rcl" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "named-readtables" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "simple-tasks" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  rcl_slash_prove = {
    pname = "rcl_prove";
    version = "20201220-http";
    asds = [ "rcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rcl/2020-12-20/rcl-20201220-http.tgz";
      sha256 = "1s6cvqs0s7fxh63zwc5zj7ryrffmv780rscm7aq3alzb9njwmg14";
      system = "rcl";
      asd = "rcl";
    });
    systems = [ "rcl/prove" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "rcl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  rcl_slash_test = {
    pname = "rcl_test";
    version = "20201220-http";
    asds = [ "rcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rcl/2020-12-20/rcl-20201220-http.tgz";
      sha256 = "1s6cvqs0s7fxh63zwc5zj7ryrffmv780rscm7aq3alzb9njwmg14";
      system = "rcl";
      asd = "rcl";
    });
    systems = [ "rcl/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "rcl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  re = {
    pname = "re";
    version = "20210630-git";
    asds = [ "re" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/re/2021-06-30/re-20210630-git.tgz";
      sha256 = "15q4zvvzkxf1j0wxw0b1kz4d03js9cbgv82ndl8z6riz40kbffdp";
      system = "re";
      asd = "re";
    });
    systems = [ "re" ];
    lispLibs = [ (getAttr "parse" pkgs) ];
  };
  read-as-string = {
    pname = "read-as-string";
    version = "20220707-git";
    asds = [ "read-as-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-as-string/2022-07-07/read-as-string-20220707-git.tgz";
      sha256 = "08dnnqmbadsrbsqr4n1x7rf0p46j9al0hw6la0z3jclp604dd0k3";
      system = "read-as-string";
      asd = "read-as-string";
    });
    systems = [ "read-as-string" ];
    lispLibs = [ (getAttr "core-reader" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  read-as-string_dot_test = {
    pname = "read-as-string.test";
    version = "20220707-git";
    asds = [ "read-as-string.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-as-string/2022-07-07/read-as-string-20220707-git.tgz";
      sha256 = "08dnnqmbadsrbsqr4n1x7rf0p46j9al0hw6la0z3jclp604dd0k3";
      system = "read-as-string.test";
      asd = "read-as-string.test";
    });
    systems = [ "read-as-string.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "read-as-string" pkgs) ];
  };
  read-csv = {
    pname = "read-csv";
    version = "20181018-git";
    asds = [ "read-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-csv/2018-10-18/read-csv-20181018-git.tgz";
      sha256 = "1wr6n8z7jm611xf2jwp3pw03qzq76440cmb75495l5p907lmrbcs";
      system = "read-csv";
      asd = "read-csv";
    });
    systems = [ "read-csv" ];
    lispLibs = [  ];
  };
  read-csv_dot_test = {
    pname = "read-csv.test";
    version = "20181018-git";
    asds = [ "read-csv.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-csv/2018-10-18/read-csv-20181018-git.tgz";
      sha256 = "1wr6n8z7jm611xf2jwp3pw03qzq76440cmb75495l5p907lmrbcs";
      system = "read-csv.test";
      asd = "read-csv";
    });
    systems = [ "read-csv.test" ];
    lispLibs = [ (getAttr "read-csv" pkgs) ];
  };
  read-number = {
    pname = "read-number";
    version = "20220331-git";
    asds = [ "read-number" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-number/2022-03-31/read-number-20220331-git.tgz";
      sha256 = "1g8l7l02w77iy2dhw88vnmz05a38vyrlx5ri4yc5l8k3dkfc5q64";
      system = "read-number";
      asd = "read-number";
    });
    systems = [ "read-number" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  reader = {
    pname = "reader";
    version = "v0.10.0";
    asds = [ "reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader/2020-12-20/reader-v0.10.0.tgz";
      sha256 = "0pbv6w0d8d4qmfkdsz2rk21bp1las9r7pyvpmd95qjz7kpxrirl7";
      system = "reader";
      asd = "reader";
    });
    systems = [ "reader" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "hash-set" pkgs) (getAttr "iterate" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-types" pkgs) (getAttr "uiop" pkgs) ];
  };
  reader_plus_swank = {
    pname = "reader+swank";
    version = "v0.10.0";
    asds = [ "reader+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader/2020-12-20/reader-v0.10.0.tgz";
      sha256 = "0pbv6w0d8d4qmfkdsz2rk21bp1las9r7pyvpmd95qjz7kpxrirl7";
      system = "reader+swank";
      asd = "reader+swank";
    });
    systems = [ "reader+swank" ];
    lispLibs = [ (getAttr "reader" pkgs) (getAttr "swank" pkgs) ];
  };
  reader-interception = {
    pname = "reader-interception";
    version = "20150608-git";
    asds = [ "reader-interception" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader-interception/2015-06-08/reader-interception-20150608-git.tgz";
      sha256 = "1f6xblayqb9q01qclvqx2gllqxm0qk8rmlp38rz433vgjxbq79y0";
      system = "reader-interception";
      asd = "reader-interception";
    });
    systems = [ "reader-interception" ];
    lispLibs = [  ];
  };
  reader-interception-test = {
    pname = "reader-interception-test";
    version = "20150608-git";
    asds = [ "reader-interception-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader-interception/2015-06-08/reader-interception-20150608-git.tgz";
      sha256 = "1f6xblayqb9q01qclvqx2gllqxm0qk8rmlp38rz433vgjxbq79y0";
      system = "reader-interception-test";
      asd = "reader-interception-test";
    });
    systems = [ "reader-interception-test" ];
    lispLibs = [ (getAttr "fare-utils" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "reader-interception" pkgs) ];
  };
  rectangle-packing = {
    pname = "rectangle-packing";
    version = "20130615-git";
    asds = [ "rectangle-packing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rectangle-packing/2013-06-15/rectangle-packing-20130615-git.tgz";
      sha256 = "1m31qbgkrgbp753mr012hpzjfddwmfzvazaadp3s6wd34vmbbv01";
      system = "rectangle-packing";
      asd = "rectangle-packing";
    });
    systems = [ "rectangle-packing" ];
    lispLibs = [  ];
  };
  recur = {
    pname = "recur";
    version = "20190307-hg";
    asds = [ "recur" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recur/2019-03-07/recur-20190307-hg.tgz";
      sha256 = "1m19f0m0kn9pk2i6vhd6fwz9bjm6kqp24p5kxmicdr9vn29jihhn";
      system = "recur";
      asd = "recur";
    });
    systems = [ "recur" ];
    lispLibs = [  ];
  };
  recursive-regex = {
    pname = "recursive-regex";
    version = "20120407-git";
    asds = [ "recursive-regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-regex/2012-04-07/recursive-regex-20120407-git.tgz";
      sha256 = "1alsfqfa85dwms7i3xrbp6ahlqk9a3sl8d4llxy1ydb0rlb09l4r";
      system = "recursive-regex";
      asd = "recursive-regex";
    });
    systems = [ "recursive-regex" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  recursive-regex-test = {
    pname = "recursive-regex-test";
    version = "20120407-git";
    asds = [ "recursive-regex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-regex/2012-04-07/recursive-regex-20120407-git.tgz";
      sha256 = "1alsfqfa85dwms7i3xrbp6ahlqk9a3sl8d4llxy1ydb0rlb09l4r";
      system = "recursive-regex-test";
      asd = "recursive-regex";
    });
    systems = [ "recursive-regex-test" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "recursive-regex" pkgs) ];
  };
  recursive-restart = {
    pname = "recursive-restart";
    version = "20161031-git";
    asds = [ "recursive-restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-restart/2016-10-31/recursive-restart-20161031-git.tgz";
      sha256 = "0lgw95bnzw99avrb7vcg02fbw3y5mazfgnkim8gsazfjliaj21m7";
      system = "recursive-restart";
      asd = "recursive-restart";
    });
    systems = [ "recursive-restart" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  red-black-tree = {
    pname = "red-black-tree";
    version = "20220707-git";
    asds = [ "red-black-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/red-black-tree/2022-07-07/red-black-tree-20220707-git.tgz";
      sha256 = "0dbl6y4l7k30a13d6rfdfby6p27li5b17nvz7xgyajxl9q5zz5kk";
      system = "red-black-tree";
      asd = "red-black-tree";
    });
    systems = [ "red-black-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  redirect-stream = {
    pname = "redirect-stream";
    version = "20190710-git";
    asds = [ "redirect-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/redirect-stream/2019-07-10/redirect-stream-20190710-git.tgz";
      sha256 = "1l1mwkk3pxbahx2m2v9yw19na45sjdxfy1dv59if738x5mvaqb05";
      system = "redirect-stream";
      asd = "redirect-stream";
    });
    systems = [ "redirect-stream" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  regex = {
    pname = "regex";
    version = "20120909-git";
    asds = [ "regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regex/2012-09-09/regex-20120909-git.tgz";
      sha256 = "0wq5wlafrxv13wg28hg5b10sc48b88swsvznpy2zg7x37m4nmm6a";
      system = "regex";
      asd = "regex";
    });
    systems = [ "regex" ];
    lispLibs = [  ];
  };
  regression = {
    pname = "regression";
    version = "master-1a957fb2-git";
    asds = [ "regression" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "regression";
      asd = "regression";
    });
    systems = [ "regression" ];
    lispLibs = [ (getAttr "surf" pkgs) (getAttr "tasty" pkgs) (getAttr "lift" pkgs) ];
  };
  remote-js = {
    pname = "remote-js";
    version = "20190710-git";
    asds = [ "remote-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/remote-js/2019-07-10/remote-js-20190710-git.tgz";
      sha256 = "1z8apvfng8i7x4dsnz9da4y2l9mr7jykm19lmq3070qra7r3lby6";
      system = "remote-js";
      asd = "remote-js";
    });
    systems = [ "remote-js" ];
    lispLibs = [ (getAttr "cl-markup" pkgs) (getAttr "find-port" pkgs) (getAttr "trivial-ws" pkgs) ];
  };
  remote-js-test = {
    pname = "remote-js-test";
    version = "20190710-git";
    asds = [ "remote-js-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/remote-js/2019-07-10/remote-js-20190710-git.tgz";
      sha256 = "1z8apvfng8i7x4dsnz9da4y2l9mr7jykm19lmq3070qra7r3lby6";
      system = "remote-js-test";
      asd = "remote-js-test";
    });
    systems = [ "remote-js-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) (getAttr "remote-js" pkgs) (getAttr "trivial-open-browser" pkgs) ];
  };
  repl-utilities = {
    pname = "repl-utilities";
    version = "20210228-git";
    asds = [ "repl-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/repl-utilities/2021-02-28/repl-utilities-20210228-git.tgz";
      sha256 = "1hh56pq5nw3l4b83dzlyss69f06r038byj2cnjwvci4hfjhdfcc3";
      system = "repl-utilities";
      asd = "repl-utilities";
    });
    systems = [ "repl-utilities" ];
    lispLibs = [  ];
  };
  replic = {
    pname = "replic";
    version = "20221106-git";
    asds = [ "replic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/replic/2022-11-06/replic-20221106-git.tgz";
      sha256 = "02i4h06b1jb461k1bdb3qbmpbxvj4g4yi664p15dcwr9pjqjpg2w";
      system = "replic";
      asd = "replic";
    });
    systems = [ "replic" ];
    lispLibs = [ (getAttr "cl-ansi-text" pkgs) (getAttr "cl-readline" pkgs) (getAttr "shlex" pkgs) (getAttr "str" pkgs) (getAttr "py-configparser" pkgs) (getAttr "unix-opts" pkgs) ];
  };
  replic-test = {
    pname = "replic-test";
    version = "20221106-git";
    asds = [ "replic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/replic/2022-11-06/replic-20221106-git.tgz";
      sha256 = "02i4h06b1jb461k1bdb3qbmpbxvj4g4yi664p15dcwr9pjqjpg2w";
      system = "replic-test";
      asd = "replic-test";
    });
    systems = [ "replic-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "replic" pkgs) ];
  };
  research = {
    pname = "research";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "research" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "research";
      asd = "research";
    });
    systems = [ "research" ];
    lispLibs = [ (getAttr "_2d-array-test" pkgs) (getAttr "adjuvant" pkgs) (getAttr "adjuvant-test" pkgs) (getAttr "dispatch-test" pkgs) (getAttr "ndfa-test" pkgs) (getAttr "rte-regexp-test" pkgs) (getAttr "rte-test" pkgs) (getAttr "scrutiny" pkgs) (getAttr "scrutiny-test" pkgs) ];
  };
  resignal-bind = {
    pname = "resignal-bind";
    version = "20211020-git";
    asds = [ "resignal-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/resignal-bind/2021-10-20/resignal-bind-20211020-git.tgz";
      sha256 = "109b5bf2h3yqax87r16dsbnb0xdd9kqi0zdisy0wja1h622yrxhc";
      system = "resignal-bind";
      asd = "resignal-bind";
    });
    systems = [ "resignal-bind" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  resignal-bind_dot_test = {
    pname = "resignal-bind.test";
    version = "20211020-git";
    asds = [ "resignal-bind.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/resignal-bind/2021-10-20/resignal-bind-20211020-git.tgz";
      sha256 = "109b5bf2h3yqax87r16dsbnb0xdd9kqi0zdisy0wja1h622yrxhc";
      system = "resignal-bind.test";
      asd = "resignal-bind.test";
    });
    systems = [ "resignal-bind.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "resignal-bind" pkgs) ];
  };
  restas = {
    pname = "restas";
    version = "20191008-git";
    asds = [ "restas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas/2019-10-08/restas-20191008-git.tgz";
      sha256 = "00ng6jik1lwjw3bbxhijy8s0ml24lgm73liwrr01gcsb0r6wrjjn";
      system = "restas";
      asd = "restas";
    });
    systems = [ "restas" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "routes" pkgs) (getAttr "data-sift" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  restas-directory-publisher = {
    pname = "restas-directory-publisher";
    version = "20130128-git";
    asds = [ "restas-directory-publisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas-directory-publisher/2013-01-28/restas-directory-publisher-20130128-git.tgz";
      sha256 = "1ra4bxsg9v507zrqjx78ak3797clagl6n62d3bx0aghrnkal1gmp";
      system = "restas-directory-publisher";
      asd = "restas-directory-publisher";
    });
    systems = [ "restas-directory-publisher" ];
    lispLibs = [ (getAttr "closure-template" pkgs) (getAttr "local-time" pkgs) (getAttr "restas" pkgs) ];
  };
  restas-doc = {
    pname = "restas-doc";
    version = "20191008-git";
    asds = [ "restas-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas/2019-10-08/restas-20191008-git.tgz";
      sha256 = "00ng6jik1lwjw3bbxhijy8s0ml24lgm73liwrr01gcsb0r6wrjjn";
      system = "restas-doc";
      asd = "restas-doc";
    });
    systems = [ "restas-doc" ];
    lispLibs = [ (getAttr "sphinx" pkgs) (getAttr "restas" pkgs) (getAttr "restas-directory-publisher" pkgs) ];
  };
  restas_dot_file-publisher = {
    pname = "restas.file-publisher";
    version = "20120107-git";
    asds = [ "restas.file-publisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas.file-publisher/2012-01-07/restas.file-publisher-20120107-git.tgz";
      sha256 = "12h291as21ziqb1l6p2p4hy429z6zznacp1gn0m2vah7f811q75l";
      system = "restas.file-publisher";
      asd = "restas.file-publisher";
    });
    systems = [ "restas.file-publisher" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "restas" pkgs) ];
  };
  restful = {
    pname = "restful";
    version = "20150608-git";
    asds = [ "restful" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restful/2015-06-08/restful-20150608-git.tgz";
      sha256 = "1imcpd9zm1dbb1675pf3g3d6w9vyxk07g7r33174qdw470j8ml5n";
      system = "restful";
      asd = "restful";
    });
    systems = [ "restful" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "jonathan" pkgs) ];
  };
  restful-test = {
    pname = "restful-test";
    version = "20150608-git";
    asds = [ "restful-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restful/2015-06-08/restful-20150608-git.tgz";
      sha256 = "1imcpd9zm1dbb1675pf3g3d6w9vyxk07g7r33174qdw470j8ml5n";
      system = "restful-test";
      asd = "restful-test";
    });
    systems = [ "restful-test" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "restful" pkgs) ];
  };
  restricted-functions = {
    pname = "restricted-functions";
    version = "20190521-git";
    asds = [ "restricted-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restricted-functions/2019-05-21/restricted-functions-20190521-git.tgz";
      sha256 = "092k7bp6n8kppf2wdqf1kf1h8lrww6k1dcxp05dby779b8c6kfz4";
      system = "restricted-functions";
      asd = "restricted-functions";
    });
    systems = [ "restricted-functions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "simplified-types" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-arguments" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  retrospectiff = {
    pname = "retrospectiff";
    version = "20211209-git";
    asds = [ "retrospectiff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/retrospectiff/2021-12-09/retrospectiff-20211209-git.tgz";
      sha256 = "1vfcbfzhkm2wkxnjg7y6gg93wlib9cqpbdbhyqcm5kc7170ci3vz";
      system = "retrospectiff";
      asd = "retrospectiff";
    });
    systems = [ "retrospectiff" ];
    lispLibs = [ (getAttr "cl-jpeg" pkgs) (getAttr "deflate" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "com_dot_gigamonkeys_dot_binary-data" pkgs) (getAttr "opticl-core" pkgs) ];
  };
  retrospectiff_slash_test = {
    pname = "retrospectiff_test";
    version = "20211209-git";
    asds = [ "retrospectiff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/retrospectiff/2021-12-09/retrospectiff-20211209-git.tgz";
      sha256 = "1vfcbfzhkm2wkxnjg7y6gg93wlib9cqpbdbhyqcm5kc7170ci3vz";
      system = "retrospectiff";
      asd = "retrospectiff";
    });
    systems = [ "retrospectiff/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "retrospectiff" pkgs) ];
    meta = {
      broken = true;
    };
  };
  reversi = {
    pname = "reversi";
    version = "20201016-git";
    asds = [ "reversi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reversi/2020-10-16/reversi-20201016-git.tgz";
      sha256 = "1vwjk207hvn5skazmkrcifkv4ia9nm5312rj0fr3w5423dr56swx";
      system = "reversi";
      asd = "reversi";
    });
    systems = [ "reversi" ];
    lispLibs = [  ];
  };
  rfc2109 = {
    pname = "rfc2109";
    version = "20151218-darcs";
    asds = [ "rfc2109" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2109/2015-12-18/rfc2109-20151218-darcs.tgz";
      sha256 = "1y767qjv5jxyfqzp0zpw96yz95mb8hhpjj9dn2i6b92r0z2vr42d";
      system = "rfc2109";
      asd = "rfc2109";
    });
    systems = [ "rfc2109" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  rfc2109_slash_test = {
    pname = "rfc2109_test";
    version = "20151218-darcs";
    asds = [ "rfc2109" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2109/2015-12-18/rfc2109-20151218-darcs.tgz";
      sha256 = "1y767qjv5jxyfqzp0zpw96yz95mb8hhpjj9dn2i6b92r0z2vr42d";
      system = "rfc2109";
      asd = "rfc2109";
    });
    systems = [ "rfc2109/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  rfc2388 = {
    pname = "rfc2388";
    version = "20180831-git";
    asds = [ "rfc2388" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2388/2018-08-31/rfc2388-20180831-git.tgz";
      sha256 = "0phh5n3clhl9ji8jaxrajidn22d3f0aq87mlbfkkxlnx2pnw694k";
      system = "rfc2388";
      asd = "rfc2388";
    });
    systems = [ "rfc2388" ];
    lispLibs = [  ];
  };
  rfc2388-binary = {
    pname = "rfc2388-binary";
    version = "20170124-darcs";
    asds = [ "rfc2388-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2388-binary/2017-01-24/rfc2388-binary-20170124-darcs.tgz";
      sha256 = "1ddjhd9vqramg93963d4py9a2hqpy1fr1ly517r3bpjx7a5mffwk";
      system = "rfc2388-binary";
      asd = "rfc2388-binary";
    });
    systems = [ "rfc2388-binary" ];
    lispLibs = [  ];
  };
  rlc = {
    pname = "rlc";
    version = "20150923-git";
    asds = [ "rlc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rlc/2015-09-23/rlc-20150923-git.tgz";
      sha256 = "1c37as5x45yizs76s7115a0w3fgas80bjb8xzq7yylpmxq44s2rk";
      system = "rlc";
      asd = "rlc";
    });
    systems = [ "rlc" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) ];
  };
  roan = {
    pname = "roan";
    version = "20201220-git";
    asds = [ "roan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/roan/2020-12-20/roan-20201220-git.tgz";
      sha256 = "032znprz03x4apzssb5vzs55cfdfyvca56bcrwxwm9dgkh3cnh7z";
      system = "roan";
      asd = "roan";
    });
    systems = [ "roan" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-encodings" pkgs) (getAttr "binascii" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "named-readtables" pkgs) (getAttr "plump" pkgs) (getAttr "uuid" pkgs) (getAttr "zip" pkgs) ];
  };
  roan_slash_doc = {
    pname = "roan_doc";
    version = "20201220-git";
    asds = [ "roan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/roan/2020-12-20/roan-20201220-git.tgz";
      sha256 = "032znprz03x4apzssb5vzs55cfdfyvca56bcrwxwm9dgkh3cnh7z";
      system = "roan";
      asd = "roan";
    });
    systems = [ "roan/doc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-encodings" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "roan" pkgs) (getAttr "trivial-documentation" pkgs) ];
    meta = {
      broken = true;
    };
  };
  roan_slash_test = {
    pname = "roan_test";
    version = "20201220-git";
    asds = [ "roan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/roan/2020-12-20/roan-20201220-git.tgz";
      sha256 = "032znprz03x4apzssb5vzs55cfdfyvca56bcrwxwm9dgkh3cnh7z";
      system = "roan";
      asd = "roan";
    });
    systems = [ "roan/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-encodings" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-unit2" pkgs) (getAttr "roan" pkgs) ];
    meta = {
      broken = true;
    };
  };
  robot = {
    pname = "robot";
    version = "master-1a957fb2-git";
    asds = [ "robot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "robot";
      asd = "robot";
    });
    systems = [ "robot" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  rock = {
    pname = "rock";
    version = "20150608-git";
    asds = [ "rock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock";
      asd = "rock";
    });
    systems = [ "rock" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "trivial-download" pkgs) (getAttr "trivial-extract" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  rock-test = {
    pname = "rock-test";
    version = "20150608-git";
    asds = [ "rock-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock-test";
      asd = "rock-test";
    });
    systems = [ "rock-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "rock" pkgs) ];
  };
  rock-web = {
    pname = "rock-web";
    version = "20150608-git";
    asds = [ "rock-web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock-web";
      asd = "rock-web";
    });
    systems = [ "rock-web" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "_3bmd-ext-definition-lists" pkgs) (getAttr "cl-markup" pkgs) (getAttr "lass" pkgs) (getAttr "rock" pkgs) ];
  };
  rollback = {
    pname = "rollback";
    version = "20221106-git";
    asds = [ "rollback" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rollback/2022-11-06/cl-rollback-20221106-git.tgz";
      sha256 = "12dpxsbm2al633y87i8p784k2dn4bbskz6sl40v9f5ljjmjqjzxf";
      system = "rollback";
      asd = "rollback";
    });
    systems = [ "rollback" ];
    lispLibs = [  ];
  };
  romreader = {
    pname = "romreader";
    version = "20140713-git";
    asds = [ "romreader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/romreader/2014-07-13/romreader-20140713-git.tgz";
      sha256 = "1k3fnh48vy5wdbqif4hmflmxc3xnihyi1222cldcjvxl294yk6xx";
      system = "romreader";
      asd = "romreader";
    });
    systems = [ "romreader" ];
    lispLibs = [  ];
  };
  routes = {
    pname = "routes";
    version = "20170124-git";
    asds = [ "routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-routes/2017-01-24/cl-routes-20170124-git.tgz";
      sha256 = "1zpk3cp2v8hm50ppjl10yxr437vv4552r8hylvizglzrq2ibsbr1";
      system = "routes";
      asd = "routes";
    });
    systems = [ "routes" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  routes-test = {
    pname = "routes-test";
    version = "20170124-git";
    asds = [ "routes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-routes/2017-01-24/cl-routes-20170124-git.tgz";
      sha256 = "1zpk3cp2v8hm50ppjl10yxr437vv4552r8hylvizglzrq2ibsbr1";
      system = "routes-test";
      asd = "routes";
    });
    systems = [ "routes-test" ];
    lispLibs = [ (getAttr "routes" pkgs) (getAttr "lift" pkgs) ];
  };
  rove = {
    pname = "rove";
    version = "20220331-git";
    asds = [ "rove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rove/2022-03-31/rove-20220331-git.tgz";
      sha256 = "00j96yll6w7xcsscrirxmb99xspdj71922hfjlb9jl44j4kiknya";
      system = "rove";
      asd = "rove";
    });
    systems = [ "rove" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "dissect" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  rovers-problem-translator = {
    pname = "rovers-problem-translator";
    version = "20221106-git";
    asds = [ "rovers-problem-translator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "rovers-problem-translator";
      asd = "rovers-problem-translator";
    });
    systems = [ "rovers-problem-translator" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "shop3" pkgs) ];
  };
  rpcq = {
    pname = "rpcq";
    version = "v3.10.0";
    asds = [ "rpcq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpcq/2022-07-07/rpcq-v3.10.0.tgz";
      sha256 = "1bvppxlacvp0pfdbpn7ls1zxd127jacl225ds7lph5s8f8cyvf17";
      system = "rpcq";
      asd = "rpcq";
    });
    systems = [ "rpcq" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-messagepack" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-syslog" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-float" pkgs) (getAttr "pzmq" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "uuid" pkgs) (getAttr "yason" pkgs) ];
  };
  rpcq-tests = {
    pname = "rpcq-tests";
    version = "v3.10.0";
    asds = [ "rpcq-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpcq/2022-07-07/rpcq-v3.10.0.tgz";
      sha256 = "1bvppxlacvp0pfdbpn7ls1zxd127jacl225ds7lph5s8f8cyvf17";
      system = "rpcq-tests";
      asd = "rpcq-tests";
    });
    systems = [ "rpcq-tests" ];
    lispLibs = [ (getAttr "cl-messagepack" pkgs) (getAttr "cl-syslog" pkgs) (getAttr "fiasco" pkgs) (getAttr "rpcq" pkgs) (getAttr "uiop" pkgs) ];
  };
  rpm = {
    pname = "rpm";
    version = "20160421-git";
    asds = [ "rpm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpm/2016-04-21/rpm-20160421-git.tgz";
      sha256 = "0qn4vw3pvjm0maksl57mwikcmv7calzlblp5s01ixrn3nrgxmd9k";
      system = "rpm";
      asd = "rpm";
    });
    systems = [ "rpm" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "fare-utils" pkgs) (getAttr "inferior-shell" pkgs) (getAttr "lambda-reader" pkgs) ];
  };
  rs-colors = {
    pname = "rs-colors";
    version = "20220331-git";
    asds = [ "rs-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors";
      asd = "rs-colors";
    });
    systems = [ "rs-colors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "read-number" pkgs) (getAttr "rs-colors-internal" pkgs) ];
  };
  rs-colors-html = {
    pname = "rs-colors-html";
    version = "20220331-git";
    asds = [ "rs-colors-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-html";
      asd = "rs-colors-html";
    });
    systems = [ "rs-colors-html" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-internal = {
    pname = "rs-colors-internal";
    version = "20220331-git";
    asds = [ "rs-colors-internal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-internal";
      asd = "rs-colors-internal";
    });
    systems = [ "rs-colors-internal" ];
    lispLibs = [ (getAttr "iterate" pkgs) ];
  };
  rs-colors-material-io = {
    pname = "rs-colors-material-io";
    version = "20220331-git";
    asds = [ "rs-colors-material-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-material-io";
      asd = "rs-colors-material-io";
    });
    systems = [ "rs-colors-material-io" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-ral = {
    pname = "rs-colors-ral";
    version = "20220331-git";
    asds = [ "rs-colors-ral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-ral";
      asd = "rs-colors-ral";
    });
    systems = [ "rs-colors-ral" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-ral-design = {
    pname = "rs-colors-ral-design";
    version = "20220331-git";
    asds = [ "rs-colors-ral-design" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-ral-design";
      asd = "rs-colors-ral-design";
    });
    systems = [ "rs-colors-ral-design" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-svg = {
    pname = "rs-colors-svg";
    version = "20220331-git";
    asds = [ "rs-colors-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-svg";
      asd = "rs-colors-svg";
    });
    systems = [ "rs-colors-svg" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-tango = {
    pname = "rs-colors-tango";
    version = "20220331-git";
    asds = [ "rs-colors-tango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-tango";
      asd = "rs-colors-tango";
    });
    systems = [ "rs-colors-tango" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rs-colors-x11 = {
    pname = "rs-colors-x11";
    version = "20220331-git";
    asds = [ "rs-colors-x11" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-x11";
      asd = "rs-colors-x11";
    });
    systems = [ "rs-colors-x11" ];
    lispLibs = [ (getAttr "rs-colors" pkgs) ];
  };
  rss = {
    pname = "rss";
    version = "20201016-git";
    asds = [ "rss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rss/2020-10-16/cl-rss-20201016-git.tgz";
      sha256 = "0wv3j13fj73gigriw5r9vi920hz05ld7zllsvbxdxvmyfy9k1kly";
      system = "rss";
      asd = "rss";
    });
    systems = [ "rss" ];
    lispLibs = [ (getAttr "kmrcl" pkgs) (getAttr "aserve" pkgs) (getAttr "xmls" pkgs) ];
  };
  rt = {
    pname = "rt";
    version = "20101006-git";
    asds = [ "rt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt/2010-10-06/rt-20101006-git.tgz";
      sha256 = "13si2rrxaagbr0bkvg6sqicxxpyshabx6ad6byc9n2ik5ysna69b";
      system = "rt";
      asd = "rt";
    });
    systems = [ "rt" ];
    lispLibs = [  ];
  };
  rt-events = {
    pname = "rt-events";
    version = "20160318-git";
    asds = [ "rt-events" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt-events/2016-03-18/rt-events-20160318-git.tgz";
      sha256 = "17wqhczsi4mq00fp5hfc38b9ijdiaqjh7cvxhy714qqz3f5mxzdw";
      system = "rt-events";
      asd = "rt-events";
    });
    systems = [ "rt-events" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  rt-events_dot_examples = {
    pname = "rt-events.examples";
    version = "20160318-git";
    asds = [ "rt-events.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt-events/2016-03-18/rt-events-20160318-git.tgz";
      sha256 = "17wqhczsi4mq00fp5hfc38b9ijdiaqjh7cvxhy714qqz3f5mxzdw";
      system = "rt-events.examples";
      asd = "rt-events.examples";
    });
    systems = [ "rt-events.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "rt-events" pkgs) ];
  };
  rte = {
    pname = "rte";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte";
      asd = "rte";
    });
    systems = [ "rte" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "lisp-types" pkgs) (getAttr "ndfa" pkgs) ];
  };
  rte-regexp = {
    pname = "rte-regexp";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-regexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-regexp";
      asd = "rte-regexp";
    });
    systems = [ "rte-regexp" ];
    lispLibs = [ (getAttr "yacc" pkgs) (getAttr "adjuvant" pkgs) (getAttr "rte" pkgs) ];
  };
  rte-regexp-test = {
    pname = "rte-regexp-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-regexp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-regexp-test";
      asd = "rte-regexp-test";
    });
    systems = [ "rte-regexp-test" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) (getAttr "rte" pkgs) (getAttr "rte-regexp" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  rte-test = {
    pname = "rte-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-test";
      asd = "rte-test";
    });
    systems = [ "rte-test" ];
    lispLibs = [ (getAttr "_2d-array" pkgs) (getAttr "_2d-array-test" pkgs) (getAttr "adjuvant" pkgs) (getAttr "lisp-types-test" pkgs) (getAttr "ndfa-test" pkgs) (getAttr "rte" pkgs) (getAttr "rte-regexp-test" pkgs) (getAttr "scrutiny" pkgs) ];
  };
  rtg-math = {
    pname = "rtg-math";
    version = "release-quicklisp-29fc5b3d-git";
    asds = [ "rtg-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rtg-math/2019-10-07/rtg-math-release-quicklisp-29fc5b3d-git.tgz";
      sha256 = "0bhxxnv7ldkkb18zdxyz2rj2a3iawzq2kcp7cn5i91iby7n0082x";
      system = "rtg-math";
      asd = "rtg-math";
    });
    systems = [ "rtg-math" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "glsl-symbols" pkgs) ];
  };
  rtg-math_dot_vari = {
    pname = "rtg-math.vari";
    version = "release-quicklisp-29fc5b3d-git";
    asds = [ "rtg-math.vari" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rtg-math/2019-10-07/rtg-math-release-quicklisp-29fc5b3d-git.tgz";
      sha256 = "0bhxxnv7ldkkb18zdxyz2rj2a3iawzq2kcp7cn5i91iby7n0082x";
      system = "rtg-math.vari";
      asd = "rtg-math.vari";
    });
    systems = [ "rtg-math.vari" ];
    lispLibs = [ (getAttr "glsl-symbols" pkgs) (getAttr "rtg-math" pkgs) (getAttr "varjo" pkgs) ];
  };
  rucksack = {
    pname = "rucksack";
    version = "20150608-git";
    asds = [ "rucksack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rucksack/2015-06-08/rucksack-20150608-git.tgz";
      sha256 = "0d6lvhc18i0brh75vp3n974ssx52b42rvwd24llhnphlnhryxh86";
      system = "rucksack";
      asd = "rucksack";
    });
    systems = [ "rucksack" ];
    lispLibs = [  ];
  };
  rucksack-test = {
    pname = "rucksack-test";
    version = "20150608-git";
    asds = [ "rucksack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rucksack/2015-06-08/rucksack-20150608-git.tgz";
      sha256 = "0d6lvhc18i0brh75vp3n974ssx52b42rvwd24llhnphlnhryxh86";
      system = "rucksack-test";
      asd = "rucksack-test";
    });
    systems = [ "rucksack-test" ];
    lispLibs = [ (getAttr "rucksack" pkgs) ];
  };
  rutils = {
    pname = "rutils";
    version = "20221106-git";
    asds = [ "rutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutils";
      asd = "rutils";
    });
    systems = [ "rutils" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  rutils-test = {
    pname = "rutils-test";
    version = "20221106-git";
    asds = [ "rutils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutils-test";
      asd = "rutils-test";
    });
    systems = [ "rutils-test" ];
    lispLibs = [ (getAttr "rutils" pkgs) (getAttr "should-test" pkgs) ];
  };
  rutilsx = {
    pname = "rutilsx";
    version = "20221106-git";
    asds = [ "rutilsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutilsx";
      asd = "rutilsx";
    });
    systems = [ "rutilsx" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "named-readtables" pkgs) (getAttr "rutils" pkgs) ];
  };
  ryeboy = {
    pname = "ryeboy";
    version = "20201016-git";
    asds = [ "ryeboy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ryeboy/2020-10-16/ryeboy-20201016-git.tgz";
      sha256 = "0div6m6861damksxdxcycpdyyjn50bjsxfdkksm34w6162zdjcla";
      system = "ryeboy";
      asd = "ryeboy";
    });
    systems = [ "ryeboy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "com_dot_google_dot_base" pkgs) (getAttr "protobuf" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "usocket" pkgs) ];
  };
  ryeboy_slash_test = {
    pname = "ryeboy_test";
    version = "20201016-git";
    asds = [ "ryeboy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ryeboy/2020-10-16/ryeboy-20201016-git.tgz";
      sha256 = "0div6m6861damksxdxcycpdyyjn50bjsxfdkksm34w6162zdjcla";
      system = "ryeboy";
      asd = "ryeboy";
    });
    systems = [ "ryeboy/test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "ryeboy" pkgs) ];
    meta = {
      broken = true;
    };
  };
  s-base64 = {
    pname = "s-base64";
    version = "20130128-git";
    asds = [ "s-base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-base64/2013-01-28/s-base64-20130128-git.tgz";
      sha256 = "0zrr8zhnkdy97c5g54605nhjlf7fly79ylr1yf6wwyssia04cagg";
      system = "s-base64";
      asd = "s-base64";
    });
    systems = [ "s-base64" ];
    lispLibs = [  ];
  };
  s-dot2 = {
    pname = "s-dot2";
    version = "20181018-git";
    asds = [ "s-dot2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-dot2/2018-10-18/s-dot2-20181018-git.tgz";
      sha256 = "0q8293fhdb1i2mgmck5611z92p71g9fcarrm87nsr6s21w29hzrz";
      system = "s-dot2";
      asd = "s-dot2";
    });
    systems = [ "s-dot2" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  s-graphviz = {
    pname = "s-graphviz";
    version = "20201220-git";
    asds = [ "s-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-graphviz/2020-12-20/s-graphviz-20201220-git.tgz";
      sha256 = "1841xwci6y1gfhg15464wrlnw8xgsh1mwbg4yy2y7di02q4fbma2";
      system = "s-graphviz";
      asd = "s-graphviz";
    });
    systems = [ "s-graphviz" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "literate-lisp" pkgs) ];
  };
  s-http-client = {
    pname = "s-http-client";
    version = "20200427-git";
    asds = [ "s-http-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-http-client/2020-04-27/s-http-client-20200427-git.tgz";
      sha256 = "1fb2901h91rgfxz3cm1lb2dnd84m1fr745nd2kswd1mj2xz94zn8";
      system = "s-http-client";
      asd = "s-http-client";
    });
    systems = [ "s-http-client" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "puri" pkgs) (getAttr "s-base64" pkgs) (getAttr "s-sysdeps" pkgs) (getAttr "s-utils" pkgs) ];
  };
  s-http-server = {
    pname = "s-http-server";
    version = "20200427-git";
    asds = [ "s-http-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-http-server/2020-04-27/s-http-server-20200427-git.tgz";
      sha256 = "025mvnqhxx2c092aam3s4fk9v0p65hzdw39y4lamm0bdralda4bk";
      system = "s-http-server";
      asd = "s-http-server";
    });
    systems = [ "s-http-server" ];
    lispLibs = [ (getAttr "puri" pkgs) (getAttr "s-base64" pkgs) (getAttr "s-sysdeps" pkgs) (getAttr "s-utils" pkgs) (getAttr "salza2" pkgs) ];
  };
  s-sql = {
    pname = "s-sql";
    version = "20221106-git";
    asds = [ "s-sql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "s-sql";
      asd = "s-sql";
    });
    systems = [ "s-sql" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-postgres" pkgs) ];
  };
  s-sql_slash_tests = {
    pname = "s-sql_tests";
    version = "20221106-git";
    asds = [ "s-sql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "s-sql";
      asd = "s-sql";
    });
    systems = [ "s-sql/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "postmodern" pkgs) (getAttr "s-sql" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  s-sysdeps = {
    pname = "s-sysdeps";
    version = "20210228-git";
    asds = [ "s-sysdeps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-sysdeps/2021-02-28/s-sysdeps-20210228-git.tgz";
      sha256 = "0rp81iq0rgl48qdwbmfy89glga81hmry2lp8adjbr5h5ybr92b4n";
      system = "s-sysdeps";
      asd = "s-sysdeps";
    });
    systems = [ "s-sysdeps" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "usocket" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  s-utils = {
    pname = "s-utils";
    version = "20200427-git";
    asds = [ "s-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-utils/2020-04-27/s-utils-20200427-git.tgz";
      sha256 = "0xggbcvjmj4sdqcs6vaccryqp2piaqxkc0ygkczrd5m14bwrmlp6";
      system = "s-utils";
      asd = "s-utils";
    });
    systems = [ "s-utils" ];
    lispLibs = [  ];
  };
  s-xml = {
    pname = "s-xml";
    version = "20150608-git";
    asds = [ "s-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml";
      asd = "s-xml";
    });
    systems = [ "s-xml" ];
    lispLibs = [  ];
  };
  s-xml-rpc = {
    pname = "s-xml-rpc";
    version = "20190521-git";
    asds = [ "s-xml-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml-rpc/2019-05-21/s-xml-rpc-20190521-git.tgz";
      sha256 = "0z42awkz124xphkahw0mhg1pk029l2799rhyy51387ndd6gbqscx";
      system = "s-xml-rpc";
      asd = "s-xml-rpc";
    });
    systems = [ "s-xml-rpc" ];
    lispLibs = [ (getAttr "s-xml" pkgs) ];
  };
  s-xml_dot_examples = {
    pname = "s-xml.examples";
    version = "20150608-git";
    asds = [ "s-xml.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml.examples";
      asd = "s-xml";
    });
    systems = [ "s-xml.examples" ];
    lispLibs = [ (getAttr "s-xml" pkgs) ];
  };
  s-xml_dot_test = {
    pname = "s-xml.test";
    version = "20150608-git";
    asds = [ "s-xml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml.test";
      asd = "s-xml";
    });
    systems = [ "s-xml.test" ];
    lispLibs = [ (getAttr "s-xml" pkgs) ];
  };
  safe-queue = {
    pname = "safe-queue";
    version = "20200325-git";
    asds = [ "safe-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safe-queue/2020-03-25/safe-queue-20200325-git.tgz";
      sha256 = "1agvp8y2k5c6w35kly6d9a7hi1y6csn4k0hqqdv7i87lgjdi7vrq";
      system = "safe-queue";
      asd = "safe-queue";
    });
    systems = [ "safe-queue" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  safe-read = {
    pname = "safe-read";
    version = "20220220-git";
    asds = [ "safe-read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safe-read/2022-02-20/safe-read-20220220-git.tgz";
      sha256 = "1r9k8danfnqgpbn2vb90n6wdc6jd92h1ig565yplrbh6232lhi26";
      system = "safe-read";
      asd = "safe-read";
    });
    systems = [ "safe-read" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  safe-read_slash_test = {
    pname = "safe-read_test";
    version = "20220220-git";
    asds = [ "safe-read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safe-read/2022-02-20/safe-read-20220220-git.tgz";
      sha256 = "1r9k8danfnqgpbn2vb90n6wdc6jd92h1ig565yplrbh6232lhi26";
      system = "safe-read";
      asd = "safe-read";
    });
    systems = [ "safe-read/test" ];
    lispLibs = [ (getAttr "safe-read" pkgs) ];
    meta = {
      broken = true;
    };
  };
  safety-params = {
    pname = "safety-params";
    version = "20190202-git";
    asds = [ "safety-params" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safety-params/2019-02-02/safety-params-20190202-git.tgz";
      sha256 = "1y69b9aw3vsnsk0vdjyxw011j0lgc5gdwv6ay6vzfipa9gzi92ki";
      system = "safety-params";
      asd = "safety-params";
    });
    systems = [ "safety-params" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parse-number" pkgs) ];
  };
  safety-params_slash_tests = {
    pname = "safety-params_tests";
    version = "20190202-git";
    asds = [ "safety-params" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safety-params/2019-02-02/safety-params-20190202-git.tgz";
      sha256 = "1y69b9aw3vsnsk0vdjyxw011j0lgc5gdwv6ay6vzfipa9gzi92ki";
      system = "safety-params";
      asd = "safety-params";
    });
    systems = [ "safety-params/tests" ];
    lispLibs = [ (getAttr "rove" pkgs) (getAttr "safety-params" pkgs) ];
    meta = {
      broken = true;
    };
  };
  salza2 = {
    pname = "salza2";
    version = "2.1";
    asds = [ "salza2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/salza2/2021-10-20/salza2-2.1.tgz";
      sha256 = "1p48lxdibnps5rpyh5cmnk0vc77bmmxb32qdzfz93zadr8wwas10";
      system = "salza2";
      asd = "salza2";
    });
    systems = [ "salza2" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  salza2_slash_test = {
    pname = "salza2_test";
    version = "2.1";
    asds = [ "salza2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/salza2/2021-10-20/salza2-2.1.tgz";
      sha256 = "1p48lxdibnps5rpyh5cmnk0vc77bmmxb32qdzfz93zadr8wwas10";
      system = "salza2";
      asd = "salza2";
    });
    systems = [ "salza2/test" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "parachute" pkgs) (getAttr "salza2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sandalphon_dot_lambda-list = {
    pname = "sandalphon.lambda-list";
    version = "20180711-git";
    asds = [ "sandalphon.lambda-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sandalphon.lambda-list/2018-07-11/sandalphon.lambda-list-20180711-git.tgz";
      sha256 = "1iihs05cwy4xyms2vl3fjc9xpivyxb2mpmb60nylxrkvlm0l7v7h";
      system = "sandalphon.lambda-list";
      asd = "sandalphon.lambda-list";
    });
    systems = [ "sandalphon.lambda-list" ];
    lispLibs = [  ];
  };
  sane = {
    pname = "sane";
    version = "20150608-git";
    asds = [ "sane" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sane/2015-06-08/cl-sane-20150608-git.tgz";
      sha256 = "1fyih96byyccw1rk7sm5qapqb3lwy7p65sxvxpfkc0cxziixf90w";
      system = "sane";
      asd = "sane";
    });
    systems = [ "sane" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  sanitize = {
    pname = "sanitize";
    version = "20130720-git";
    asds = [ "sanitize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sanitize/2013-07-20/cl-sanitize-20130720-git.tgz";
      sha256 = "101qqgi53scz3aaca57yg5wk9ana2axpwssmgrcb5c2ip5a2lwi3";
      system = "sanitize";
      asd = "sanitize";
    });
    systems = [ "sanitize" ];
    lispLibs = [ (getAttr "cl-libxml2" pkgs) ];
  };
  sanitize-test = {
    pname = "sanitize-test";
    version = "20130720-git";
    asds = [ "sanitize-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sanitize/2013-07-20/cl-sanitize-20130720-git.tgz";
      sha256 = "101qqgi53scz3aaca57yg5wk9ana2axpwssmgrcb5c2ip5a2lwi3";
      system = "sanitize-test";
      asd = "sanitize";
    });
    systems = [ "sanitize-test" ];
    lispLibs = [ (getAttr "sanitize" pkgs) (getAttr "eos" pkgs) ];
  };
  sanity-clause = {
    pname = "sanity-clause";
    version = "20210807-git";
    asds = [ "sanity-clause" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sanity-clause/2021-08-07/sanity-clause-20210807-git.tgz";
      sha256 = "0dzh00zpaqv48pn0xhbibiy33j8fwd2scsy5i466c9x9mcbhjz4f";
      system = "sanity-clause";
      asd = "sanity-clause";
    });
    systems = [ "sanity-clause" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "parse-float" pkgs) (getAttr "quri" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  sanity-clause_slash_test = {
    pname = "sanity-clause_test";
    version = "20210807-git";
    asds = [ "sanity-clause" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sanity-clause/2021-08-07/sanity-clause-20210807-git.tgz";
      sha256 = "0dzh00zpaqv48pn0xhbibiy33j8fwd2scsy5i466c9x9mcbhjz4f";
      system = "sanity-clause";
      asd = "sanity-clause";
    });
    systems = [ "sanity-clause/test" ];
    lispLibs = [ (getAttr "rove" pkgs) (getAttr "sanity-clause" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sapaclisp = {
    pname = "sapaclisp";
    version = "1.0a";
    asds = [ "sapaclisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sapaclisp/2012-05-20/sapaclisp-1.0a.tgz";
      sha256 = "1bgqvwvjq8g5wrmp5r1dn1v99hgin9gihwkihz455n9dn90l3pyq";
      system = "sapaclisp";
      asd = "sapaclisp";
    });
    systems = [ "sapaclisp" ];
    lispLibs = [  ];
  };
  sb-cga = {
    pname = "sb-cga";
    version = "20210531-git";
    asds = [ "sb-cga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-cga/2021-05-31/sb-cga-20210531-git.tgz";
      sha256 = "1y54qlwfrhch9aghk7nsbdx7x2qsvgsws1g2k631l9dsgdakw4w8";
      system = "sb-cga";
      asd = "sb-cga";
    });
    systems = [ "sb-cga" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  sb-fastcgi = {
    pname = "sb-fastcgi";
    version = "20210124-git";
    asds = [ "sb-fastcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-fastcgi/2021-01-24/sb-fastcgi-20210124-git.tgz";
      sha256 = "15arl39xq0wp9marrgf36grv7z5w2z4zaigllypx96b3kbmw6qb5";
      system = "sb-fastcgi";
      asd = "sb-fastcgi";
    });
    systems = [ "sb-fastcgi" ];
    lispLibs = [  ];
  };
  sb-vector-io = {
    pname = "sb-vector-io";
    version = "20110829-git";
    asds = [ "sb-vector-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-vector-io/2011-08-29/sb-vector-io-20110829-git.tgz";
      sha256 = "0pwc0nxhv8ba33i8z2f1y7r7ldik4a4xrqrb69dvvasz838k6r22";
      system = "sb-vector-io";
      asd = "sb-vector-io";
    });
    systems = [ "sb-vector-io" ];
    lispLibs = [  ];
  };
  sc-extensions = {
    pname = "sc-extensions";
    version = "20220707-git";
    asds = [ "sc-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sc-extensions/2022-07-07/sc-extensions-20220707-git.tgz";
      sha256 = "1rkya76fnf694fmyzgh40xpzshzadrr21w5xmrrfwzmv8psp24fa";
      system = "sc-extensions";
      asd = "sc-extensions";
    });
    systems = [ "sc-extensions" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-collider" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  sc-osc = {
    pname = "sc-osc";
    version = "20221106-git";
    asds = [ "sc-osc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-collider/2022-11-06/cl-collider-20221106-git.tgz";
      sha256 = "03z11hcjvbawkli0bw90h4za7vvpm9pk7rh9gi6m2k7wwq2rsxk5";
      system = "sc-osc";
      asd = "sc-osc";
    });
    systems = [ "sc-osc" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "osc" pkgs) (getAttr "usocket" pkgs) ];
  };
  schannel = {
    pname = "schannel";
    version = "20211230-git";
    asds = [ "schannel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/schannel/2021-12-30/schannel-20211230-git.tgz";
      sha256 = "1f7dncrjsswrr8wrm7qzxdvrmzg3n2ap607ad74mnfd806rwldnw";
      system = "schannel";
      asd = "schannel";
    });
    systems = [ "schannel" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  scheduler = {
    pname = "scheduler";
    version = "20220707-git";
    asds = [ "scheduler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scheduler/2022-07-07/scheduler-20220707-git.tgz";
      sha256 = "1xsxzb294r0qxhj34m3a9ya9y054c4l01r0ccvsp134dp71yzkzd";
      system = "scheduler";
      asd = "scheduler";
    });
    systems = [ "scheduler" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "local-time" pkgs) (getAttr "optima" pkgs) (getAttr "optima_dot_ppcre" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  scheduler_slash_tests = {
    pname = "scheduler_tests";
    version = "20220707-git";
    asds = [ "scheduler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scheduler/2022-07-07/scheduler-20220707-git.tgz";
      sha256 = "1xsxzb294r0qxhj34m3a9ya9y054c4l01r0ccvsp134dp71yzkzd";
      system = "scheduler";
      asd = "scheduler";
    });
    systems = [ "scheduler/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "local-time" pkgs) (getAttr "scheduler" pkgs) ];
    meta = {
      broken = true;
    };
  };
  science-data = {
    pname = "science-data";
    version = "master-df14cb8c-git";
    asds = [ "science-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "science-data";
      asd = "science-data";
    });
    systems = [ "science-data" ];
    lispLibs = [ (getAttr "physical-dimension" pkgs) (getAttr "drakma" pkgs) ];
  };
  scigraph = {
    pname = "scigraph";
    version = "20221106-git";
    asds = [ "scigraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "scigraph";
      asd = "scigraph";
    });
    systems = [ "scigraph" ];
    lispLibs = [ (getAttr "mcclim" pkgs) ];
  };
  scigraph_slash_dwim = {
    pname = "scigraph_dwim";
    version = "20221106-git";
    asds = [ "scigraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "scigraph";
      asd = "scigraph";
    });
    systems = [ "scigraph/dwim" ];
    lispLibs = [ (getAttr "mcclim" pkgs) ];
    meta = {
      broken = true;
    };
  };
  scratch-buffer = {
    pname = "scratch-buffer";
    version = "20200427-git";
    asds = [ "scratch-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "scratch-buffer";
      asd = "scratch-buffer";
    });
    systems = [ "scratch-buffer" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "utility" pkgs) ];
  };
  screamer = {
    pname = "screamer";
    version = "20210807-git";
    asds = [ "screamer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/screamer/2021-08-07/screamer-20210807-git.tgz";
      sha256 = "0913wmy0fpf6shvbz40ay9gnjhgyjglf661d1p5ld2glkw1ky8hm";
      system = "screamer";
      asd = "screamer";
    });
    systems = [ "screamer" ];
    lispLibs = [  ];
  };
  screamer-tests = {
    pname = "screamer-tests";
    version = "20210807-git";
    asds = [ "screamer-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/screamer/2021-08-07/screamer-20210807-git.tgz";
      sha256 = "0913wmy0fpf6shvbz40ay9gnjhgyjglf661d1p5ld2glkw1ky8hm";
      system = "screamer-tests";
      asd = "screamer-tests";
    });
    systems = [ "screamer-tests" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "iterate" pkgs) (getAttr "screamer" pkgs) ];
  };
  scriba = {
    pname = "scriba";
    version = "20220707-git";
    asds = [ "scriba" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriba/2022-07-07/scriba-20220707-git.tgz";
      sha256 = "1n32bxf3b1cgb7y4015y3vahjgnbw59pi6d08by78pnpa2nx43sa";
      system = "scriba";
      asd = "scriba";
    });
    systems = [ "scriba" ];
    lispLibs = [ (getAttr "common-doc-plump" pkgs) (getAttr "esrap" pkgs) (getAttr "plump-sexp" pkgs) ];
  };
  scriba-test = {
    pname = "scriba-test";
    version = "20220707-git";
    asds = [ "scriba-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriba/2022-07-07/scriba-20220707-git.tgz";
      sha256 = "1n32bxf3b1cgb7y4015y3vahjgnbw59pi6d08by78pnpa2nx43sa";
      system = "scriba-test";
      asd = "scriba-test";
    });
    systems = [ "scriba-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "scriba" pkgs) ];
  };
  scribble = {
    pname = "scribble";
    version = "20160628-git";
    asds = [ "scribble" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scribble/2016-06-28/scribble-20160628-git.tgz";
      sha256 = "056qi6vw9bk19s42mapyg55mimhhvhlwgny080v9mhv4fhnqi196";
      system = "scribble";
      asd = "scribble";
    });
    systems = [ "scribble" ];
    lispLibs = [ (getAttr "fare-memoization" pkgs) (getAttr "fare-quasiquote-readtable" pkgs) (getAttr "fare-utils" pkgs) (getAttr "meta" pkgs) ];
  };
  scribble_slash_test = {
    pname = "scribble_test";
    version = "20160628-git";
    asds = [ "scribble" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scribble/2016-06-28/scribble-20160628-git.tgz";
      sha256 = "056qi6vw9bk19s42mapyg55mimhhvhlwgny080v9mhv4fhnqi196";
      system = "scribble";
      asd = "scribble";
    });
    systems = [ "scribble/test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "scribble" pkgs) ];
    meta = {
      broken = true;
    };
  };
  scriptl = {
    pname = "scriptl";
    version = "20180228-git";
    asds = [ "scriptl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl";
      asd = "scriptl";
    });
    systems = [ "scriptl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "defpackage-plus" pkgs) (getAttr "iolib" pkgs) (getAttr "osicat" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  scriptl-examples = {
    pname = "scriptl-examples";
    version = "20180228-git";
    asds = [ "scriptl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl-examples";
      asd = "scriptl-examples";
    });
    systems = [ "scriptl-examples" ];
    lispLibs = [ (getAttr "scriptl" pkgs) (getAttr "unix-options" pkgs) ];
  };
  scriptl-util = {
    pname = "scriptl-util";
    version = "20180228-git";
    asds = [ "scriptl-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl-util";
      asd = "scriptl-util";
    });
    systems = [ "scriptl-util" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "scriptl" pkgs) ];
  };
  scrutiny = {
    pname = "scrutiny";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "scrutiny" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "scrutiny";
      asd = "scrutiny";
    });
    systems = [ "scrutiny" ];
    lispLibs = [ (getAttr "adjuvant" pkgs) ];
  };
  scrutiny-test = {
    pname = "scrutiny-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "scrutiny-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "scrutiny-test";
      asd = "scrutiny-test";
    });
    systems = [ "scrutiny-test" ];
    lispLibs = [ (getAttr "scrutiny" pkgs) ];
  };
  sdl2 = {
    pname = "sdl2";
    version = "20220707-git";
    asds = [ "sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2/2022-07-07/cl-sdl2-20220707-git.tgz";
      sha256 = "0kh4k9622aykgz2n3kmqcr9lhk2qh3sw7k70sqksfpz891w5y97j";
      system = "sdl2";
      asd = "sdl2";
    });
    systems = [ "sdl2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "cl-plus-c" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "trivial-channels" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  sdl2-game-controller-db = {
    pname = "sdl2-game-controller-db";
    version = "release-quicklisp-335d2b68-git";
    asds = [ "sdl2-game-controller-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2-game-controller-db/2018-02-28/sdl2-game-controller-db-release-quicklisp-335d2b68-git.tgz";
      sha256 = "0yf4ygndmacs0pf3ws5197k51c4fdximvxcmvn56bqmsvil56kcd";
      system = "sdl2-game-controller-db";
      asd = "sdl2-game-controller-db";
    });
    systems = [ "sdl2-game-controller-db" ];
    lispLibs = [ (getAttr "sdl2" pkgs) ];
  };
  sdl2-image = {
    pname = "sdl2-image";
    version = "20190202-git";
    asds = [ "sdl2-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-image/2019-02-02/cl-sdl2-image-20190202-git.tgz";
      sha256 = "1nr7mdl125q32m15m8rdlza5kwi7m0birh1cq846pyy6zl1sjms7";
      system = "sdl2-image";
      asd = "sdl2-image";
    });
    systems = [ "sdl2-image" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "sdl2" pkgs) (getAttr "defpackage-plus" pkgs) ];
  };
  sdl2-mixer = {
    pname = "sdl2-mixer";
    version = "20211020-git";
    asds = [ "sdl2-mixer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-mixer/2021-10-20/cl-sdl2-mixer-20211020-git.tgz";
      sha256 = "0g6ywb3gqr0rif4z6kkz6m8vyv8nrr5wr1w9sc6d3zypbbnqgbp6";
      system = "sdl2-mixer";
      asd = "sdl2-mixer";
    });
    systems = [ "sdl2-mixer" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "sdl2" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  sdl2-ttf = {
    pname = "sdl2-ttf";
    version = "20200925-git";
    asds = [ "sdl2-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-ttf/2020-09-25/cl-sdl2-ttf-20200925-git.tgz";
      sha256 = "15mvb7hr5l284s56gbf1xyb9v5xv95b2043zaysswhn5x20ylcnb";
      system = "sdl2-ttf";
      asd = "sdl2-ttf";
    });
    systems = [ "sdl2-ttf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "cl-autowrap" pkgs) (getAttr "sdl2" pkgs) (getAttr "defpackage-plus" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  sdl2-ttf-examples = {
    pname = "sdl2-ttf-examples";
    version = "20200925-git";
    asds = [ "sdl2-ttf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-ttf/2020-09-25/cl-sdl2-ttf-20200925-git.tgz";
      sha256 = "15mvb7hr5l284s56gbf1xyb9v5xv95b2043zaysswhn5x20ylcnb";
      system = "sdl2-ttf-examples";
      asd = "sdl2-ttf-examples";
    });
    systems = [ "sdl2-ttf-examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "sdl2" pkgs) (getAttr "sdl2-ttf" pkgs) (getAttr "mathkit" pkgs) ];
  };
  sdl2_slash_examples = {
    pname = "sdl2_examples";
    version = "20220707-git";
    asds = [ "sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2/2022-07-07/cl-sdl2-20220707-git.tgz";
      sha256 = "0kh4k9622aykgz2n3kmqcr9lhk2qh3sw7k70sqksfpz891w5y97j";
      system = "sdl2";
      asd = "sdl2";
    });
    systems = [ "sdl2/examples" ];
    lispLibs = [ (getAttr "cl-opengl" pkgs) (getAttr "sdl2" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sdl2kit = {
    pname = "sdl2kit";
    version = "20171130-git";
    asds = [ "sdl2kit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2kit/2017-11-30/sdl2kit-20171130-git.tgz";
      sha256 = "10ymmxqsvdn7ndda9k2qcixj75l7namgqdxc5y2w3v5r1313fy2d";
      system = "sdl2kit";
      asd = "sdl2kit";
    });
    systems = [ "sdl2kit" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "sdl2" pkgs) (getAttr "defpackage-plus" pkgs) ];
  };
  sdl2kit-examples = {
    pname = "sdl2kit-examples";
    version = "20171130-git";
    asds = [ "sdl2kit-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2kit/2017-11-30/sdl2kit-20171130-git.tgz";
      sha256 = "10ymmxqsvdn7ndda9k2qcixj75l7namgqdxc5y2w3v5r1313fy2d";
      system = "sdl2kit-examples";
      asd = "sdl2kit-examples";
    });
    systems = [ "sdl2kit-examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "defpackage-plus" pkgs) (getAttr "glkit" pkgs) (getAttr "mathkit" pkgs) (getAttr "sdl2kit" pkgs) ];
  };
  sealable-metaobjects = {
    pname = "sealable-metaobjects";
    version = "20200610-git";
    asds = [ "sealable-metaobjects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sealable-metaobjects/2020-06-10/sealable-metaobjects-20200610-git.tgz";
      sha256 = "0hz1ivlpfhnk1w2cw4q2i000j2dc7maay06ndzziyywg7li6zf2p";
      system = "sealable-metaobjects";
      asd = "sealable-metaobjects";
    });
    systems = [ "sealable-metaobjects" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  secp256k1 = {
    pname = "secp256k1";
    version = "20220707-git";
    asds = [ "secp256k1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-secp256k1/2022-07-07/cl-secp256k1-20220707-git.tgz";
      sha256 = "0lg84jkwwp95nnk865yfhg16z0d04wk3dzf5yilkfm2yxnmjnv85";
      system = "secp256k1";
      asd = "secp256k1";
    });
    systems = [ "secp256k1" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  secp256k1_slash_test = {
    pname = "secp256k1_test";
    version = "20220707-git";
    asds = [ "secp256k1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-secp256k1/2022-07-07/cl-secp256k1-20220707-git.tgz";
      sha256 = "0lg84jkwwp95nnk865yfhg16z0d04wk3dzf5yilkfm2yxnmjnv85";
      system = "secp256k1";
      asd = "secp256k1";
    });
    systems = [ "secp256k1/test" ];
    lispLibs = [ (getAttr "secp256k1" pkgs) (getAttr "ironclad" pkgs) (getAttr "parachute" pkgs) (getAttr "trivial-benchmark" pkgs) ];
    meta = {
      broken = true;
    };
  };
  secret-values = {
    pname = "secret-values";
    version = "20201220-git";
    asds = [ "secret-values" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/secret-values/2020-12-20/secret-values-20201220-git.tgz";
      sha256 = "07ph49s27gvjzx60yy094bb9ddwiys34r8cx5l837i34nm2fn3nh";
      system = "secret-values";
      asd = "secret-values";
    });
    systems = [ "secret-values" ];
    lispLibs = [  ];
  };
  secure-random = {
    pname = "secure-random";
    version = "20160208-git";
    asds = [ "secure-random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/secure-random/2016-02-08/secure-random-20160208-git.tgz";
      sha256 = "09cnclnivkc87ja3z12ihcm02vkwp0cflcfa6hpjlbd5m75hvgsd";
      system = "secure-random";
      asd = "secure-random";
    });
    systems = [ "secure-random" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) ];
  };
  seedable-rng = {
    pname = "seedable-rng";
    version = "20220707-git";
    asds = [ "seedable-rng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/seedable-rng/2022-07-07/seedable-rng-20220707-git.tgz";
      sha256 = "1pr2flvrj32m055apwn5f2cddki2ws5xldmj2v367iyry3lz2vm1";
      system = "seedable-rng";
      asd = "seedable-rng";
    });
    systems = [ "seedable-rng" ];
    lispLibs = [ (getAttr "cl-pcg" pkgs) (getAttr "ironclad" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  select = {
    pname = "select";
    version = "20221106-git";
    asds = [ "select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/select/2022-11-06/select-20221106-git.tgz";
      sha256 = "0bhpvfqp7n33pia4y62qi31bx86gjl2nxjy529rfawac57c9rxv3";
      system = "select";
      asd = "select";
    });
    systems = [ "select" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "let-plus" pkgs) ];
  };
  select-file = {
    pname = "select-file";
    version = "20200427-git";
    asds = [ "select-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/select-file/2020-04-27/select-file-20200427-git.tgz";
      sha256 = "1v89k5vvn1a3gdhlwbb4wxggzzr1ic7iqzvrrxgsh90fr129rmzq";
      system = "select-file";
      asd = "select-file";
    });
    systems = [ "select-file" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "mcclim" pkgs) ];
  };
  select_slash_tests = {
    pname = "select_tests";
    version = "20221106-git";
    asds = [ "select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/select/2022-11-06/select-20221106-git.tgz";
      sha256 = "0bhpvfqp7n33pia4y62qi31bx86gjl2nxjy529rfawac57c9rxv3";
      system = "select";
      asd = "select";
    });
    systems = [ "select/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "select" pkgs) ];
    meta = {
      broken = true;
    };
  };
  selenium = {
    pname = "selenium";
    version = "20160531-git";
    asds = [ "selenium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium/2016-05-31/cl-selenium-20160531-git.tgz";
      sha256 = "1wx3343gkmyb25vbbpv6g5d1m2c5qxrkq7hsz1v2fcchgdgvwgxl";
      system = "selenium";
      asd = "selenium";
    });
    systems = [ "selenium" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "puri" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  semantic-spinneret = {
    pname = "semantic-spinneret";
    version = "20170830-git";
    asds = [ "semantic-spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/semantic-spinneret/2017-08-30/semantic-spinneret-20170830-git.tgz";
      sha256 = "0ghd4lwwcbcidj70j26hj9vic1nqrj78ksrqlxj29q61bnji05ix";
      system = "semantic-spinneret";
      asd = "semantic-spinneret";
    });
    systems = [ "semantic-spinneret" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "spinneret" pkgs) ];
  };
  sendgrid = {
    pname = "sendgrid";
    version = "20221106-git";
    asds = [ "sendgrid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sendgrid/2022-11-06/cl-sendgrid-20221106-git.tgz";
      sha256 = "0safsw9if83mv76y8fiaaa3a6akn7icqc6fmmacfypy3vkykr8i9";
      system = "sendgrid";
      asd = "sendgrid";
    });
    systems = [ "sendgrid" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) ];
  };
  sento = {
    pname = "sento";
    version = "20221106-git";
    asds = [ "sento" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gserver/2022-11-06/cl-gserver-20221106-git.tgz";
      sha256 = "1a6bx0bmkli6nddd1pxqzjqjvkz2nkf7v3pn4d9bjv42xkch5hqc";
      system = "sento";
      asd = "sento";
    });
    systems = [ "sento" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "atomics" pkgs) (getAttr "binding-arrows" pkgs) (getAttr "blackbird" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-speedy-queue" pkgs) (getAttr "str" pkgs) (getAttr "log4cl" pkgs) (getAttr "lparallel" pkgs) (getAttr "timer-wheel" pkgs) ];
  };
  sento_slash_docs = {
    pname = "sento_docs";
    version = "20221106-git";
    asds = [ "sento" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gserver/2022-11-06/cl-gserver-20221106-git.tgz";
      sha256 = "1a6bx0bmkli6nddd1pxqzjqjvkz2nkf7v3pn4d9bjv42xkch5hqc";
      system = "sento";
      asd = "sento";
    });
    systems = [ "sento/docs" ];
    lispLibs = [ (getAttr "sento" pkgs) (getAttr "mgl-pax" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sento_slash_tests = {
    pname = "sento_tests";
    version = "20221106-git";
    asds = [ "sento" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gserver/2022-11-06/cl-gserver-20221106-git.tgz";
      sha256 = "1a6bx0bmkli6nddd1pxqzjqjvkz2nkf7v3pn4d9bjv42xkch5hqc";
      system = "sento";
      asd = "sento";
    });
    systems = [ "sento/tests" ];
    lispLibs = [ (getAttr "sento" pkgs) (getAttr "cl-mock" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sentry-client = {
    pname = "sentry-client";
    version = "20221106-git";
    asds = [ "sentry-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2022-11-06/cl-sentry-client-20221106-git.tgz";
      sha256 = "10zynv31xhyknl991w85r0g1vyyghxg6bg7rd9bhny84p006fb38";
      system = "sentry-client";
      asd = "sentry-client";
    });
    systems = [ "sentry-client" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "uuid" pkgs) ];
  };
  sentry-client_dot_async = {
    pname = "sentry-client.async";
    version = "20221106-git";
    asds = [ "sentry-client.async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2022-11-06/cl-sentry-client-20221106-git.tgz";
      sha256 = "10zynv31xhyknl991w85r0g1vyyghxg6bg7rd9bhny84p006fb38";
      system = "sentry-client.async";
      asd = "sentry-client.async";
    });
    systems = [ "sentry-client.async" ];
    lispLibs = [ (getAttr "sentry-client" pkgs) (getAttr "simple-tasks" pkgs) ];
  };
  sentry-client_dot_hunchentoot = {
    pname = "sentry-client.hunchentoot";
    version = "20221106-git";
    asds = [ "sentry-client.hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2022-11-06/cl-sentry-client-20221106-git.tgz";
      sha256 = "10zynv31xhyknl991w85r0g1vyyghxg6bg7rd9bhny84p006fb38";
      system = "sentry-client.hunchentoot";
      asd = "sentry-client.hunchentoot";
    });
    systems = [ "sentry-client.hunchentoot" ];
    lispLibs = [ (getAttr "sentry-client" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  sequence-iterators = {
    pname = "sequence-iterators";
    version = "20130813-darcs";
    asds = [ "sequence-iterators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "sequence-iterators";
      asd = "sequence-iterators";
    });
    systems = [ "sequence-iterators" ];
    lispLibs = [ (getAttr "parse-declarations-1_dot_0" pkgs) ];
  };
  sequence-iterators-test = {
    pname = "sequence-iterators-test";
    version = "20130813-darcs";
    asds = [ "sequence-iterators-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "sequence-iterators-test";
      asd = "sequence-iterators";
    });
    systems = [ "sequence-iterators-test" ];
    lispLibs = [ (getAttr "sequence-iterators" pkgs) ];
  };
  serapeum = {
    pname = "serapeum";
    version = "20221106-git";
    asds = [ "serapeum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serapeum/2022-11-06/serapeum-20221106-git.tgz";
      sha256 = "0gz70hwlsyawmm7j85yjg449hpy57w5jdd7rkal6lhmmfnl0nsbp";
      system = "serapeum";
      asd = "serapeum";
    });
    systems = [ "serapeum" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "global-vars" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "parse-declarations-1_dot_0" pkgs) (getAttr "parse-number" pkgs) (getAttr "split-sequence" pkgs) (getAttr "string-case" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-cltl2" pkgs) (getAttr "trivial-file-size" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-macroexpand-all" pkgs) ];
  };
  serapeum_slash_docs = {
    pname = "serapeum_docs";
    version = "20221106-git";
    asds = [ "serapeum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serapeum/2022-11-06/serapeum-20221106-git.tgz";
      sha256 = "0gz70hwlsyawmm7j85yjg449hpy57w5jdd7rkal6lhmmfnl0nsbp";
      system = "serapeum";
      asd = "serapeum";
    });
    systems = [ "serapeum/docs" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "serapeum" pkgs) (getAttr "swank" pkgs) ];
    meta = {
      broken = true;
    };
  };
  serializable-object = {
    pname = "serializable-object";
    version = "20191227-git";
    asds = [ "serializable-object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serializable-object/2019-12-27/serializable-object-20191227-git.tgz";
      sha256 = "0978ljw998ypryiiqmb1s11ymwg4h5qz9bv7ig1i29wf5s14s2i0";
      system = "serializable-object";
      asd = "serializable-object";
    });
    systems = [ "serializable-object" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  serializable-object_dot_test = {
    pname = "serializable-object.test";
    version = "20191227-git";
    asds = [ "serializable-object.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serializable-object/2019-12-27/serializable-object-20191227-git.tgz";
      sha256 = "0978ljw998ypryiiqmb1s11ymwg4h5qz9bv7ig1i29wf5s14s2i0";
      system = "serializable-object.test";
      asd = "serializable-object.test";
    });
    systems = [ "serializable-object.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "serializable-object" pkgs) ];
  };
  series = {
    pname = "series";
    version = "20131111-git";
    asds = [ "series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/series/2013-11-11/series-20131111-git.tgz";
      sha256 = "07hk2lhfx42zk018pxqvn4gs77vd4n4g8m4xxbqaxgca76mifwfw";
      system = "series";
      asd = "series";
    });
    systems = [ "series" ];
    lispLibs = [  ];
  };
  series-tests = {
    pname = "series-tests";
    version = "20131111-git";
    asds = [ "series-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/series/2013-11-11/series-20131111-git.tgz";
      sha256 = "07hk2lhfx42zk018pxqvn4gs77vd4n4g8m4xxbqaxgca76mifwfw";
      system = "series-tests";
      asd = "series";
    });
    systems = [ "series-tests" ];
    lispLibs = [ (getAttr "series" pkgs) ];
  };
  session-token = {
    pname = "session-token";
    version = "20141106-git";
    asds = [ "session-token" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/session-token/2014-11-06/session-token-20141106-git.tgz";
      sha256 = "1yb6m8nbh4gaskplrd2bwsnpkq6dl9dkvbjmvhzls6vh4lp6cc2z";
      system = "session-token";
      asd = "session-token";
    });
    systems = [ "session-token" ];
    lispLibs = [ (getAttr "cl-isaac" pkgs) ];
  };
  setup-cffi = {
    pname = "setup-cffi";
    version = "master-1a957fb2-git";
    asds = [ "setup-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "setup-cffi";
      asd = "setup-cffi";
    });
    systems = [ "setup-cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  sexml = {
    pname = "sexml";
    version = "20140713-git";
    asds = [ "sexml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sexml/2014-07-13/sexml-20140713-git.tgz";
      sha256 = "1s7isk9v7qh03sf60zw32kaa1rgvdh24bsc37q173r282m8plbk3";
      system = "sexml";
      asd = "sexml";
    });
    systems = [ "sexml" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "contextl" pkgs) (getAttr "cxml" pkgs) (getAttr "macroexpand-dammit" pkgs) ];
  };
  sexml-objects = {
    pname = "sexml-objects";
    version = "20140713-git";
    asds = [ "sexml-objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sexml/2014-07-13/sexml-20140713-git.tgz";
      sha256 = "1s7isk9v7qh03sf60zw32kaa1rgvdh24bsc37q173r282m8plbk3";
      system = "sexml-objects";
      asd = "sexml-objects";
    });
    systems = [ "sexml-objects" ];
    lispLibs = [ (getAttr "sexml" pkgs) ];
  };
  sha1 = {
    pname = "sha1";
    version = "20211020-git";
    asds = [ "sha1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sha1/2021-10-20/sha1-20211020-git.tgz";
      sha256 = "1cfn0j5yfwqkwr2dm73wr9hz8dmws3ngxlbk9886ahxkg544qx4z";
      system = "sha1";
      asd = "sha1";
    });
    systems = [ "sha1" ];
    lispLibs = [  ];
  };
  sha3 = {
    pname = "sha3";
    version = "20180228-git";
    asds = [ "sha3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sha3/2018-02-28/sha3-20180228-git.tgz";
      sha256 = "112pwx8jzraxn0xqssmjlgd7j4sbl19vz6l8ansdq1zd69dryzy6";
      system = "sha3";
      asd = "sha3";
    });
    systems = [ "sha3" ];
    lispLibs = [  ];
  };
  shadchen = {
    pname = "shadchen";
    version = "20131003-git";
    asds = [ "shadchen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shadchen/2013-10-03/shadchen-20131003-git.tgz";
      sha256 = "0731hrpzf9pn1hyvs9wl0w3mnv13mr9ky3jx3dc4baj4nmjyb1k6";
      system = "shadchen";
      asd = "shadchen";
    });
    systems = [ "shadchen" ];
    lispLibs = [  ];
  };
  shadow = {
    pname = "shadow";
    version = "20220707-git";
    asds = [ "shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shadow/2022-07-07/shadow-20220707-git.tgz";
      sha256 = "1lw98ir9381kmmranaa111f8jh47adsx0v4hzlw3qkf2xjcfah3l";
      system = "shadow";
      asd = "shadow";
    });
    systems = [ "shadow" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "glsl-packing" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "static-vectors" pkgs) (getAttr "varjo" pkgs) ];
  };
  shared-preferences = {
    pname = "shared-preferences";
    version = "1.1.1";
    asds = [ "shared-preferences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shared-preferences/2021-02-28/shared-preferences_1.1.1.tgz";
      sha256 = "12m4kaba2lxndkjw30a6y2rq16fflh5016lp74l7pf3v0y3j1ydf";
      system = "shared-preferences";
      asd = "shared-preferences";
    });
    systems = [ "shared-preferences" ];
    lispLibs = [ (getAttr "inheriting-readers" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  shared-preferences_tests = {
    pname = "shared-preferences_tests";
    version = "1.1.1";
    asds = [ "shared-preferences_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shared-preferences/2021-02-28/shared-preferences_1.1.1.tgz";
      sha256 = "12m4kaba2lxndkjw30a6y2rq16fflh5016lp74l7pf3v0y3j1ydf";
      system = "shared-preferences_tests";
      asd = "shared-preferences_tests";
    });
    systems = [ "shared-preferences_tests" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "shared-preferences" pkgs) ];
  };
  shasht = {
    pname = "shasht";
    version = "20221106-git";
    asds = [ "shasht" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shasht/2022-11-06/shasht-20221106-git.tgz";
      sha256 = "1xpspksfkhk95wjirrqfrqm7sc1wyr2pjw7z25i0qz02rg479hlg";
      system = "shasht";
      asd = "shasht";
    });
    systems = [ "shasht" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "trivial-do" pkgs) ];
  };
  shasht_slash_test = {
    pname = "shasht_test";
    version = "20221106-git";
    asds = [ "shasht" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shasht/2022-11-06/shasht-20221106-git.tgz";
      sha256 = "1xpspksfkhk95wjirrqfrqm7sc1wyr2pjw7z25i0qz02rg479hlg";
      system = "shasht";
      asd = "shasht";
    });
    systems = [ "shasht/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parachute" pkgs) (getAttr "shasht" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sheeple = {
    pname = "sheeple";
    version = "20210124-git";
    asds = [ "sheeple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sheeple/2021-01-24/sheeple-20210124-git.tgz";
      sha256 = "13k6xm8a29xxkrwgc5j3bk2wr9skg4bzdnc4krrzgcdmx4gbcca3";
      system = "sheeple";
      asd = "sheeple";
    });
    systems = [ "sheeple" ];
    lispLibs = [  ];
  };
  sheeple-tests = {
    pname = "sheeple-tests";
    version = "20210124-git";
    asds = [ "sheeple-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sheeple/2021-01-24/sheeple-20210124-git.tgz";
      sha256 = "13k6xm8a29xxkrwgc5j3bk2wr9skg4bzdnc4krrzgcdmx4gbcca3";
      system = "sheeple-tests";
      asd = "sheeple";
    });
    systems = [ "sheeple-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "sheeple" pkgs) ];
  };
  shellpool = {
    pname = "shellpool";
    version = "20200925-git";
    asds = [ "shellpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shellpool/2020-09-25/shellpool-20200925-git.tgz";
      sha256 = "1bpv58i2l2a3ayk3jvi2wwd90gjczp0qk24bj82775qp8miw9vz0";
      system = "shellpool";
      asd = "shellpool";
    });
    systems = [ "shellpool" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "bt-semaphore" pkgs) (getAttr "cl-fad" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  shelly = {
    pname = "shelly";
    version = "20141106-git";
    asds = [ "shelly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shelly/2014-11-06/shelly-20141106-git.tgz";
      sha256 = "07whfcd2ygq07lw73bqby74cqbp2bx0rnyx7c0v7s16y9xfqxw7b";
      system = "shelly";
      asd = "shelly";
    });
    systems = [ "shelly" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-signal" pkgs) (getAttr "uiop" pkgs) ];
  };
  shelly-test = {
    pname = "shelly-test";
    version = "20141106-git";
    asds = [ "shelly-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shelly/2014-11-06/shelly-20141106-git.tgz";
      sha256 = "07whfcd2ygq07lw73bqby74cqbp2bx0rnyx7c0v7s16y9xfqxw7b";
      system = "shelly-test";
      asd = "shelly-test";
    });
    systems = [ "shelly-test" ];
    lispLibs = [ (getAttr "cl-test-more" pkgs) (getAttr "shelly" pkgs) ];
  };
  shlex = {
    pname = "shlex";
    version = "20210411-git";
    asds = [ "shlex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shlex/2021-04-11/cl-shlex-20210411-git.tgz";
      sha256 = "16ag48sswgimr1fzr582vhym4s03idpd4lkydw5s58lv80ibpim8";
      system = "shlex";
      asd = "shlex";
    });
    systems = [ "shlex" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-unicode" pkgs) (getAttr "serapeum" pkgs) ];
  };
  shlex_slash_test = {
    pname = "shlex_test";
    version = "20210411-git";
    asds = [ "shlex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shlex/2021-04-11/cl-shlex-20210411-git.tgz";
      sha256 = "16ag48sswgimr1fzr582vhym4s03idpd4lkydw5s58lv80ibpim8";
      system = "shlex";
      asd = "shlex";
    });
    systems = [ "shlex/test" ];
    lispLibs = [ (getAttr "shlex" pkgs) (getAttr "fiveam" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3 = {
    pname = "shop3";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam-asdf" pkgs) (getAttr "iterate" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  shop3-thmpr-api = {
    pname = "shop3-thmpr-api";
    version = "20221106-git";
    asds = [ "shop3-thmpr-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3-thmpr-api";
      asd = "shop3-thmpr-api";
    });
    systems = [ "shop3-thmpr-api" ];
    lispLibs = [ (getAttr "shop3" pkgs) ];
  };
  shop3_slash_common = {
    pname = "shop3_common";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_openstacks = {
    pname = "shop3_openstacks";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/openstacks" ];
    lispLibs = [ (getAttr "shop3" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_plan-grapher = {
    pname = "shop3_plan-grapher";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/plan-grapher" ];
    lispLibs = [ (getAttr "cl-dot" pkgs) (getAttr "shop3" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_rovers = {
    pname = "shop3_rovers";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/rovers" ];
    lispLibs = [ (getAttr "shop3" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_test-unifier = {
    pname = "shop3_test-unifier";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/test-unifier" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam-asdf" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_theorem-prover = {
    pname = "shop3_theorem-prover";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/theorem-prover" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
    meta = {
      broken = true;
    };
  };
  shop3_slash_unifier = {
    pname = "shop3_unifier";
    version = "20221106-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2022-11-06/shop3-20221106-git.tgz";
      sha256 = "18fqx41qyd74q0y1niav05wsrjd6wcn6sa6imx0ykyw6libq33z3";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3/unifier" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  should-test = {
    pname = "should-test";
    version = "20191007-git";
    asds = [ "should-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/should-test/2019-10-07/should-test-20191007-git.tgz";
      sha256 = "1fqqa7lhf28qg60ji9libkylkcy747x576qpjn1y7c945j2fxmnm";
      system = "should-test";
      asd = "should-test";
    });
    systems = [ "should-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "rutils" pkgs) ];
  };
  shuffletron = {
    pname = "shuffletron";
    version = "20181018-git";
    asds = [ "shuffletron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shuffletron/2018-10-18/shuffletron-20181018-git.tgz";
      sha256 = "10626wp2xdk0wxj0kl49m9gyb2bp6f0vp67563mw6zrzfs7ynpkb";
      system = "shuffletron";
      asd = "shuffletron";
    });
    systems = [ "shuffletron" ];
    lispLibs = [ (getAttr "mixalot" pkgs) (getAttr "mixalot-flac" pkgs) (getAttr "mixalot-mp3" pkgs) (getAttr "mixalot-vorbis" pkgs) (getAttr "osicat" pkgs) ];
  };
  silo = {
    pname = "silo";
    version = "20211020-git";
    asds = [ "silo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "silo";
      asd = "silo";
    });
    systems = [ "silo" ];
    lispLibs = [  ];
  };
  simple = {
    pname = "simple";
    version = "clon-1.0b25";
    asds = [ "simple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2021-04-11/clon-1.0b25.tgz";
      sha256 = "0nj47xl2fwj7z31wiaad8dw97fpq3zpwxlgmpvppawz0z3hgf8d0";
      system = "simple";
      asd = "simple";
    });
    systems = [ "simple" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon" pkgs) ];
  };
  simple-actors = {
    pname = "simple-actors";
    version = "20200925-git";
    asds = [ "simple-actors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-actors/2020-09-25/simple-actors-20200925-git.tgz";
      sha256 = "1q843l1bh0xipp535gwm7713gpp04cycvq0i8yz54b6ym3dzkql4";
      system = "simple-actors";
      asd = "simple-actors";
    });
    systems = [ "simple-actors" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  simple-config = {
    pname = "simple-config";
    version = "20220707-git";
    asds = [ "simple-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-config/2022-07-07/simple-config-20220707-git.tgz";
      sha256 = "006a0nn2p6ilvzbk2qj081nb832aa39sna1lzh5r5lscmlasdh50";
      system = "simple-config";
      asd = "simple-config";
    });
    systems = [ "simple-config" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "uiop" pkgs) ];
  };
  simple-config-test = {
    pname = "simple-config-test";
    version = "20220707-git";
    asds = [ "simple-config-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-config/2022-07-07/simple-config-20220707-git.tgz";
      sha256 = "006a0nn2p6ilvzbk2qj081nb832aa39sna1lzh5r5lscmlasdh50";
      system = "simple-config-test";
      asd = "simple-config-test";
    });
    systems = [ "simple-config-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "simple-config" pkgs) ];
  };
  simple-currency = {
    pname = "simple-currency";
    version = "20171130-git";
    asds = [ "simple-currency" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-currency/2017-11-30/simple-currency-20171130-git.tgz";
      sha256 = "1qrxaj5v25165vyjp2fmasasjri2cn53y6ckv3rlv04skifvnq2s";
      system = "simple-currency";
      asd = "simple-currency";
    });
    systems = [ "simple-currency" ];
    lispLibs = [ (getAttr "cl-store" pkgs) (getAttr "dexador" pkgs) (getAttr "plump" pkgs) (getAttr "simple-date" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  simple-date = {
    pname = "simple-date";
    version = "20221106-git";
    asds = [ "simple-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "simple-date";
      asd = "simple-date";
    });
    systems = [ "simple-date" ];
    lispLibs = [  ];
  };
  simple-date-time = {
    pname = "simple-date-time";
    version = "20160421-git";
    asds = [ "simple-date-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-date-time/2016-04-21/simple-date-time-20160421-git.tgz";
      sha256 = "06iwf13gcdyqhkzfkcsfdl8iqbdl44cx01c3fjsmhl0v1pp8h2m4";
      system = "simple-date-time";
      asd = "simple-date-time";
    });
    systems = [ "simple-date-time" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  simple-date_slash_postgres-glue = {
    pname = "simple-date_postgres-glue";
    version = "20221106-git";
    asds = [ "simple-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "simple-date";
      asd = "simple-date";
    });
    systems = [ "simple-date/postgres-glue" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "simple-date" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  simple-date_slash_tests = {
    pname = "simple-date_tests";
    version = "20221106-git";
    asds = [ "simple-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2022-11-06/postmodern-20221106-git.tgz";
      sha256 = "012ipwi4m5x6jhl7pd9gwvdga5hgp1l08vqdgd28rzy34s2mfv74";
      system = "simple-date";
      asd = "simple-date";
    });
    systems = [ "simple-date/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "simple-date" pkgs) ];
    meta = {
      broken = true;
    };
  };
  simple-finalizer = {
    pname = "simple-finalizer";
    version = "20101006-git";
    asds = [ "simple-finalizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-finalizer/2010-10-06/simple-finalizer-20101006-git.tgz";
      sha256 = "1qdm48zjlkbygz9ip006xwpas59fhijrswv1k7pzvhdwl04vkq65";
      system = "simple-finalizer";
      asd = "simple-finalizer";
    });
    systems = [ "simple-finalizer" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  simple-flow-dispatcher = {
    pname = "simple-flow-dispatcher";
    version = "stable-git";
    asds = [ "simple-flow-dispatcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-flow-dispatcher/2020-10-16/simple-flow-dispatcher-stable-git.tgz";
      sha256 = "11k16svq4mgf0pagrs4drvf57hawffghv9g96b1n071nqyk2ald2";
      system = "simple-flow-dispatcher";
      asd = "simple-flow-dispatcher";
    });
    systems = [ "simple-flow-dispatcher" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-queue" pkgs) (getAttr "cl-muth" pkgs) ];
  };
  simple-guess = {
    pname = "simple-guess";
    version = "1.0";
    asds = [ "simple-guess" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-guess/2020-09-25/simple-guess_1.0.tgz";
      sha256 = "11v3wxj3k036r0kazn69vi580qm593ir1yf7j5d737j4rb382682";
      system = "simple-guess";
      asd = "simple-guess";
    });
    systems = [ "simple-guess" ];
    lispLibs = [  ];
  };
  simple-guess_tests = {
    pname = "simple-guess_tests";
    version = "1.0";
    asds = [ "simple-guess_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-guess/2020-09-25/simple-guess_1.0.tgz";
      sha256 = "11v3wxj3k036r0kazn69vi580qm593ir1yf7j5d737j4rb382682";
      system = "simple-guess_tests";
      asd = "simple-guess_tests";
    });
    systems = [ "simple-guess_tests" ];
    lispLibs = [ (getAttr "fakenil" pkgs) (getAttr "parachute" pkgs) (getAttr "simple-guess" pkgs) ];
  };
  simple-inferiors = {
    pname = "simple-inferiors";
    version = "20200325-git";
    asds = [ "simple-inferiors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-inferiors/2020-03-25/simple-inferiors-20200325-git.tgz";
      sha256 = "08vsvqv3768bwb2y8mwxbw5wyqzzwqr7rd004r6gafdgf9p9mcx3";
      system = "simple-inferiors";
      asd = "simple-inferiors";
    });
    systems = [ "simple-inferiors" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "uiop" pkgs) ];
  };
  simple-neural-network = {
    pname = "simple-neural-network";
    version = "20221106-git";
    asds = [ "simple-neural-network" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-neural-network/2022-11-06/simple-neural-network-20221106-git.tgz";
      sha256 = "14bxgxqmn6n9yyv3xnh1km47b5l85brhddks43zsxhc8i0q3qgqg";
      system = "simple-neural-network";
      asd = "simple-neural-network";
    });
    systems = [ "simple-neural-network" ];
    lispLibs = [ (getAttr "cl-store" pkgs) (getAttr "lparallel" pkgs) ];
  };
  simple-neural-network_slash_test = {
    pname = "simple-neural-network_test";
    version = "20221106-git";
    asds = [ "simple-neural-network" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-neural-network/2022-11-06/simple-neural-network-20221106-git.tgz";
      sha256 = "14bxgxqmn6n9yyv3xnh1km47b5l85brhddks43zsxhc8i0q3qgqg";
      system = "simple-neural-network";
      asd = "simple-neural-network";
    });
    systems = [ "simple-neural-network/test" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "fiveam" pkgs) (getAttr "simple-neural-network" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  simple-parallel-tasks = {
    pname = "simple-parallel-tasks";
    version = "20201220-git";
    asds = [ "simple-parallel-tasks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-parallel-tasks/2020-12-20/simple-parallel-tasks-20201220-git.tgz";
      sha256 = "0gvbpyff4siifp3cp86cpr9ksmakn66fx21f3h0hpn647zl07nj7";
      system = "simple-parallel-tasks";
      asd = "simple-parallel-tasks";
    });
    systems = [ "simple-parallel-tasks" ];
    lispLibs = [ (getAttr "chanl" pkgs) ];
  };
  simple-parallel-tasks-tests = {
    pname = "simple-parallel-tasks-tests";
    version = "20201220-git";
    asds = [ "simple-parallel-tasks-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-parallel-tasks/2020-12-20/simple-parallel-tasks-20201220-git.tgz";
      sha256 = "0gvbpyff4siifp3cp86cpr9ksmakn66fx21f3h0hpn647zl07nj7";
      system = "simple-parallel-tasks-tests";
      asd = "simple-parallel-tasks-tests";
    });
    systems = [ "simple-parallel-tasks-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "simple-parallel-tasks" pkgs) ];
  };
  simple-rgb = {
    pname = "simple-rgb";
    version = "20190521-git";
    asds = [ "simple-rgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-rgb/2019-05-21/simple-rgb-20190521-git.tgz";
      sha256 = "0ggv0h2n4mvwnggjr1b40gw667gnyykzki2zadaczi38ydzyzlp1";
      system = "simple-rgb";
      asd = "simple-rgb";
    });
    systems = [ "simple-rgb" ];
    lispLibs = [  ];
  };
  simple-routes = {
    pname = "simple-routes";
    version = "20180228-git";
    asds = [ "simple-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simple-routes";
      asd = "simple-routes";
    });
    systems = [ "simple-routes" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  simple-scanf = {
    pname = "simple-scanf";
    version = "20211209-git";
    asds = [ "simple-scanf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "simple-scanf";
      asd = "simple-scanf";
    });
    systems = [ "simple-scanf" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-float" pkgs) (getAttr "proc-parse" pkgs) ];
  };
  simple-tasks = {
    pname = "simple-tasks";
    version = "20190710-git";
    asds = [ "simple-tasks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-tasks/2019-07-10/simple-tasks-20190710-git.tgz";
      sha256 = "1ls1pij7dvb65g4nam7nvik1218jvfk5iplr48vy290fw3lq7v98";
      system = "simple-tasks";
      asd = "simple-tasks";
    });
    systems = [ "simple-tasks" ];
    lispLibs = [ (getAttr "array-utils" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "dissect" pkgs) ];
  };
  simpleroutes-demo = {
    pname = "simpleroutes-demo";
    version = "20180228-git";
    asds = [ "simpleroutes-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simpleroutes-demo";
      asd = "simple-routes";
    });
    systems = [ "simpleroutes-demo" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "simple-routes" pkgs) ];
  };
  simpleroutes-test = {
    pname = "simpleroutes-test";
    version = "20180228-git";
    asds = [ "simpleroutes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simpleroutes-test";
      asd = "simple-routes";
    });
    systems = [ "simpleroutes-test" ];
    lispLibs = [ (getAttr "simple-routes" pkgs) ];
  };
  simplet = {
    pname = "simplet";
    version = "20191227-git";
    asds = [ "simplet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplet/2019-12-27/simplet-20191227-git.tgz";
      sha256 = "1scsalzbwxk6z48b61zq532c02l36yr3vl2jdy0xjm2diycq6jgs";
      system = "simplet";
      asd = "simplet";
    });
    systems = [ "simplet" ];
    lispLibs = [  ];
  };
  simplet-asdf = {
    pname = "simplet-asdf";
    version = "20191227-git";
    asds = [ "simplet-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplet/2019-12-27/simplet-20191227-git.tgz";
      sha256 = "1scsalzbwxk6z48b61zq532c02l36yr3vl2jdy0xjm2diycq6jgs";
      system = "simplet-asdf";
      asd = "simplet-asdf";
    });
    systems = [ "simplet-asdf" ];
    lispLibs = [  ];
  };
  simplet_slash_test = {
    pname = "simplet_test";
    version = "20191227-git";
    asds = [ "simplet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplet/2019-12-27/simplet-20191227-git.tgz";
      sha256 = "1scsalzbwxk6z48b61zq532c02l36yr3vl2jdy0xjm2diycq6jgs";
      system = "simplet";
      asd = "simplet";
    });
    systems = [ "simplet/test" ];
    lispLibs = [ (getAttr "simplet" pkgs) ];
    meta = {
      broken = true;
    };
  };
  simplified-types = {
    pname = "simplified-types";
    version = "20190813-git";
    asds = [ "simplified-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplified-types/2019-08-13/simplified-types-20190813-git.tgz";
      sha256 = "1hdwmn5lz717aj6qdqmfmr3cbjl8l3giwn0fb5ca9pj83cx7fg8y";
      system = "simplified-types";
      asd = "simplified-types";
    });
    systems = [ "simplified-types" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "trivia" pkgs) ];
  };
  simplified-types-test-suite = {
    pname = "simplified-types-test-suite";
    version = "20190813-git";
    asds = [ "simplified-types-test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplified-types/2019-08-13/simplified-types-20190813-git.tgz";
      sha256 = "1hdwmn5lz717aj6qdqmfmr3cbjl8l3giwn0fb5ca9pj83cx7fg8y";
      system = "simplified-types-test-suite";
      asd = "simplified-types-test-suite";
    });
    systems = [ "simplified-types-test-suite" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "simplified-types" pkgs) ];
  };
  simpsamp = {
    pname = "simpsamp";
    version = "0.1";
    asds = [ "simpsamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simpsamp/2010-10-06/simpsamp-0.1.tgz";
      sha256 = "0i85andjaz16lh4wwpdvd5kgg7lsfp206g7kniy16gs78xjy5jlc";
      system = "simpsamp";
      asd = "simpsamp";
    });
    systems = [ "simpsamp" ];
    lispLibs = [ (getAttr "jpl-util" pkgs) ];
  };
  single-threaded-ccl = {
    pname = "single-threaded-ccl";
    version = "20150608-git";
    asds = [ "single-threaded-ccl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/single-threaded-ccl/2015-06-08/single-threaded-ccl-20150608-git.tgz";
      sha256 = "0d8cf8x77b3f7qh2cr3fnkc6i7dm7pwlnldmv9k4q033rmmhnfxb";
      system = "single-threaded-ccl";
      asd = "single-threaded-ccl";
    });
    systems = [ "single-threaded-ccl" ];
    lispLibs = [  ];
  };
  singleton-classes = {
    pname = "singleton-classes";
    version = "20190307-hg";
    asds = [ "singleton-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abstract-classes/2019-03-07/cl-abstract-classes-20190307-hg.tgz";
      sha256 = "0q03j3ksgn56j9xvs3d3hhasplj3hvg488f4cx1z97nlyqxr5w1d";
      system = "singleton-classes";
      asd = "singleton-classes";
    });
    systems = [ "singleton-classes" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  sip-hash = {
    pname = "sip-hash";
    version = "20200610-git";
    asds = [ "sip-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sip-hash/2020-06-10/sip-hash-20200610-git.tgz";
      sha256 = "0cd6g37lxd5i5fyg9my4jja27ki5agbpr9d635rcwpf32yhc4sh9";
      system = "sip-hash";
      asd = "sip-hash";
    });
    systems = [ "sip-hash" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "nibbles" pkgs) ];
  };
  sip-hash_slash_test = {
    pname = "sip-hash_test";
    version = "20200610-git";
    asds = [ "sip-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sip-hash/2020-06-10/sip-hash-20200610-git.tgz";
      sha256 = "0cd6g37lxd5i5fyg9my4jja27ki5agbpr9d635rcwpf32yhc4sh9";
      system = "sip-hash";
      asd = "sip-hash";
    });
    systems = [ "sip-hash/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "sip-hash" pkgs) ];
    meta = {
      broken = true;
    };
  };
  skeleton = {
    pname = "skeleton";
    version = "20200610-git";
    asds = [ "skeleton" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ahungry-fleece/2020-06-10/ahungry-fleece-20200610-git.tgz";
      sha256 = "1l2rsy5qn5n456cxbd6kj0hpniy5vf35xcixzfj4j7lv00j0c5lz";
      system = "skeleton";
      asd = "skeleton";
    });
    systems = [ "skeleton" ];
    lispLibs = [ (getAttr "ahungry-fleece" pkgs) ];
  };
  skeleton-creator = {
    pname = "skeleton-creator";
    version = "20191227-git";
    asds = [ "skeleton-creator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skeleton-creator/2019-12-27/skeleton-creator-20191227-git.tgz";
      sha256 = "1yj8w9lpb2jzyf02zg65ngmjfsakzc7k1kcw90w52gk14hv1lk6s";
      system = "skeleton-creator";
      asd = "skeleton-creator";
    });
    systems = [ "skeleton-creator" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "conf" pkgs) (getAttr "simplet-asdf" pkgs) ];
  };
  skeleton-creator_slash_test = {
    pname = "skeleton-creator_test";
    version = "20191227-git";
    asds = [ "skeleton-creator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skeleton-creator/2019-12-27/skeleton-creator-20191227-git.tgz";
      sha256 = "1yj8w9lpb2jzyf02zg65ngmjfsakzc7k1kcw90w52gk14hv1lk6s";
      system = "skeleton-creator";
      asd = "skeleton-creator";
    });
    systems = [ "skeleton-creator/test" ];
    lispLibs = [ (getAttr "simplet" pkgs) (getAttr "simplet-asdf" pkgs) (getAttr "skeleton-creator" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sketch = {
    pname = "sketch";
    version = "20221106-git";
    asds = [ "sketch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sketch/2022-11-06/sketch-20221106-git.tgz";
      sha256 = "0vlnfl2gbcraw2kdwmlj55j5pnz8cskaq4ygw0p6dwy20x25264b";
      system = "sketch";
      asd = "sketch";
    });
    systems = [ "sketch" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-geometry" pkgs) (getAttr "sdl2-image" pkgs) (getAttr "sdl2-ttf" pkgs) (getAttr "glkit" pkgs) (getAttr "mathkit" pkgs) (getAttr "md5" pkgs) (getAttr "sdl2kit" pkgs) (getAttr "split-sequence" pkgs) (getAttr "static-vectors" pkgs) ];
  };
  sketch-examples = {
    pname = "sketch-examples";
    version = "20221106-git";
    asds = [ "sketch-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sketch/2022-11-06/sketch-20221106-git.tgz";
      sha256 = "0vlnfl2gbcraw2kdwmlj55j5pnz8cskaq4ygw0p6dwy20x25264b";
      system = "sketch-examples";
      asd = "sketch-examples";
    });
    systems = [ "sketch-examples" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "sketch" pkgs) ];
  };
  skippy = {
    pname = "skippy";
    version = "1.3.12";
    asds = [ "skippy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skippy/2015-04-07/skippy-1.3.12.tgz";
      sha256 = "1n8925qz19w00qc67z3hc97fpmfhi0r54dd50fzqm24vhyb7qwc2";
      system = "skippy";
      asd = "skippy";
    });
    systems = [ "skippy" ];
    lispLibs = [  ];
  };
  skippy-renderer = {
    pname = "skippy-renderer";
    version = "20221106-git";
    asds = [ "skippy-renderer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skippy-renderer/2022-11-06/skippy-renderer-20221106-git.tgz";
      sha256 = "0x9zv8zchxn48axl5rwfnywg9kb9m0pz3gwjk7gpg9m574jw8x0c";
      system = "skippy-renderer";
      asd = "skippy-renderer";
    });
    systems = [ "skippy-renderer" ];
    lispLibs = [ (getAttr "skippy" pkgs) ];
  };
  skitter = {
    pname = "skitter";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter";
      asd = "skitter";
    });
    systems = [ "skitter" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "rtg-math" pkgs) (getAttr "structy-defclass" pkgs) ];
  };
  skitter_dot_glop = {
    pname = "skitter.glop";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter.glop";
      asd = "skitter.glop";
    });
    systems = [ "skitter.glop" ];
    lispLibs = [ (getAttr "glop" pkgs) (getAttr "skitter" pkgs) ];
  };
  skitter_dot_sdl2 = {
    pname = "skitter.sdl2";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter.sdl2";
      asd = "skitter.sdl2";
    });
    systems = [ "skitter.sdl2" ];
    lispLibs = [ (getAttr "sdl2" pkgs) (getAttr "skitter" pkgs) ];
  };
  slack-client = {
    pname = "slack-client";
    version = "20160825-git";
    asds = [ "slack-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slack-client/2016-08-25/slack-client-20160825-git.tgz";
      sha256 = "1yl2wqhx1h2kw3s5dkkq5c4hk1r7679yzq41j2j2bscbl3xk3jp9";
      system = "slack-client";
      asd = "slack-client";
    });
    systems = [ "slack-client" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "blackbird" pkgs) (getAttr "cl-async" pkgs) (getAttr "drakma-async" pkgs) (getAttr "event-glue" pkgs) (getAttr "jonathan" pkgs) (getAttr "safe-queue" pkgs) (getAttr "websocket-driver" pkgs) ];
  };
  slack-client-test = {
    pname = "slack-client-test";
    version = "20160825-git";
    asds = [ "slack-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slack-client/2016-08-25/slack-client-20160825-git.tgz";
      sha256 = "1yl2wqhx1h2kw3s5dkkq5c4hk1r7679yzq41j2j2bscbl3xk3jp9";
      system = "slack-client-test";
      asd = "slack-client-test";
    });
    systems = [ "slack-client-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "slack-client" pkgs) ];
  };
  slim = {
    pname = "slim";
    version = "20221106-git";
    asds = [ "slim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2022-11-06/mcclim-20221106-git.tgz";
      sha256 = "0hz6vz4c0xv8bjx02hf3rbnp66c7ifx2ld4y6nxdz6i70wyhwbdf";
      system = "slim";
      asd = "slim";
    });
    systems = [ "slim" ];
    lispLibs = [ (getAttr "mcclim" pkgs) ];
  };
  slite = {
    pname = "slite";
    version = "20221106-git";
    asds = [ "slite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slite/2022-11-06/slite-20221106-git.tgz";
      sha256 = "1l9b3dvmi0hf38ir3sx6005hpaqm1dc3x02hcprn4x6fik5l0zdk";
      system = "slite";
      asd = "slite";
    });
    systems = [ "slite" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "fiveam" pkgs) ];
  };
  slite_slash_lisp-unit2 = {
    pname = "slite_lisp-unit2";
    version = "20221106-git";
    asds = [ "slite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slite/2022-11-06/slite-20221106-git.tgz";
      sha256 = "1l9b3dvmi0hf38ir3sx6005hpaqm1dc3x02hcprn4x6fik5l0zdk";
      system = "slite";
      asd = "slite";
    });
    systems = [ "slite/lisp-unit2" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "slite" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slite_slash_parachute = {
    pname = "slite_parachute";
    version = "20221106-git";
    asds = [ "slite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slite/2022-11-06/slite-20221106-git.tgz";
      sha256 = "1l9b3dvmi0hf38ir3sx6005hpaqm1dc3x02hcprn4x6fik5l0zdk";
      system = "slite";
      asd = "slite";
    });
    systems = [ "slite/parachute" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "slite" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slite_slash_tests = {
    pname = "slite_tests";
    version = "20221106-git";
    asds = [ "slite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slite/2022-11-06/slite-20221106-git.tgz";
      sha256 = "1l9b3dvmi0hf38ir3sx6005hpaqm1dc3x02hcprn4x6fik5l0zdk";
      system = "slite";
      asd = "slite";
    });
    systems = [ "slite/tests" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "parachute" pkgs) (getAttr "slite" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slot-extra-options = {
    pname = "slot-extra-options";
    version = "20210411-git";
    asds = [ "slot-extra-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-extra-options/2021-04-11/slot-extra-options-20210411-git.tgz";
      sha256 = "1b2swhjjs0w1034cy045q8l3ndmci7rjawka39q23vncy6d90497";
      system = "slot-extra-options";
      asd = "slot-extra-options";
    });
    systems = [ "slot-extra-options" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "serapeum" pkgs) ];
  };
  slot-extra-options-tests = {
    pname = "slot-extra-options-tests";
    version = "20210411-git";
    asds = [ "slot-extra-options-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-extra-options/2021-04-11/slot-extra-options-20210411-git.tgz";
      sha256 = "1b2swhjjs0w1034cy045q8l3ndmci7rjawka39q23vncy6d90497";
      system = "slot-extra-options-tests";
      asd = "slot-extra-options-tests";
    });
    systems = [ "slot-extra-options-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "parachute" pkgs) (getAttr "serapeum" pkgs) (getAttr "slot-extra-options" pkgs) ];
  };
  slot-map = {
    pname = "slot-map";
    version = "20220707-git";
    asds = [ "slot-map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-map/2022-07-07/slot-map-20220707-git.tgz";
      sha256 = "1z9qprjqj3pwqf469bxj0fvvjni1ncap6g7w5q9gmv5hnf2a4yjb";
      system = "slot-map";
      asd = "slot-map";
    });
    systems = [ "slot-map" ];
    lispLibs = [ (getAttr "dynamic-array" pkgs) (getAttr "mfiano-utils" pkgs) ];
  };
  slynk = {
    pname = "slynk";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk" ];
    lispLibs = [  ];
  };
  slynk_slash_arglists = {
    pname = "slynk_arglists";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/arglists" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_fancy-inspector = {
    pname = "slynk_fancy-inspector";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/fancy-inspector" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_indentation = {
    pname = "slynk_indentation";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/indentation" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_mrepl = {
    pname = "slynk_mrepl";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/mrepl" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_package-fu = {
    pname = "slynk_package-fu";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/package-fu" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_profiler = {
    pname = "slynk_profiler";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/profiler" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_retro = {
    pname = "slynk_retro";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/retro" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_stickers = {
    pname = "slynk_stickers";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/stickers" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  slynk_slash_trace-dialog = {
    pname = "slynk_trace-dialog";
    version = "20221106-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2022-11-06/sly-20221106-git.tgz";
      sha256 = "081rpyvzxma5ms2am9mpkwbigbhqbgkxgrclj1fhccv5xpp163wp";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk/trace-dialog" ];
    lispLibs = [ (getAttr "slynk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  smackjack = {
    pname = "smackjack";
    version = "20180228-git";
    asds = [ "smackjack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smackjack/2018-02-28/smackjack-20180228-git.tgz";
      sha256 = "1n2x7qij2ci70axd2xn295qqgqrvbfbpvv2438lhwd8qa92dhk8b";
      system = "smackjack";
      asd = "smackjack";
    });
    systems = [ "smackjack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-json" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "parenscript" pkgs) ];
  };
  smackjack-demo = {
    pname = "smackjack-demo";
    version = "20180228-git";
    asds = [ "smackjack-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smackjack/2018-02-28/smackjack-20180228-git.tgz";
      sha256 = "1n2x7qij2ci70axd2xn295qqgqrvbfbpvv2438lhwd8qa92dhk8b";
      system = "smackjack-demo";
      asd = "smackjack-demo";
    });
    systems = [ "smackjack-demo" ];
    lispLibs = [ (getAttr "cl-containers" pkgs) (getAttr "cl-who" pkgs) (getAttr "local-time" pkgs) (getAttr "smackjack" pkgs) ];
  };
  smart-buffer = {
    pname = "smart-buffer";
    version = "20211020-git";
    asds = [ "smart-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smart-buffer/2021-10-20/smart-buffer-20211020-git.tgz";
      sha256 = "1r9y61a791m7aqgg2ixs86lc63y78w7n6dwipakcpjzscqmprppr";
      system = "smart-buffer";
      asd = "smart-buffer";
    });
    systems = [ "smart-buffer" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "uiop" pkgs) (getAttr "xsubseq" pkgs) ];
  };
  smart-buffer-test = {
    pname = "smart-buffer-test";
    version = "20211020-git";
    asds = [ "smart-buffer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smart-buffer/2021-10-20/smart-buffer-20211020-git.tgz";
      sha256 = "1r9y61a791m7aqgg2ixs86lc63y78w7n6dwipakcpjzscqmprppr";
      system = "smart-buffer-test";
      asd = "smart-buffer-test";
    });
    systems = [ "smart-buffer-test" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "smart-buffer" pkgs) ];
  };
  smokebase = {
    pname = "smokebase";
    version = "20210531-git";
    asds = [ "smokebase" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "smokebase";
      asd = "smokebase";
    });
    systems = [ "smokebase" ];
    lispLibs = [ (getAttr "qt_plus_libs" pkgs) (getAttr "qt-libs" pkgs) ];
  };
  smug = {
    pname = "smug";
    version = "20211230-git";
    asds = [ "smug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smug/2021-12-30/smug-20211230-git.tgz";
      sha256 = "13gzkj9skya2ziwclk041v7sif392ydbvhvikhg2raa3qjcxb3rq";
      system = "smug";
      asd = "smug";
    });
    systems = [ "smug" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) ];
  };
  snakes = {
    pname = "snakes";
    version = "20221106-git";
    asds = [ "snakes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snakes/2022-11-06/snakes-20221106-git.tgz";
      sha256 = "17fqkw256c2iacy5g37sv9h0mbrmb3fg2s9sd83gj9clrg5r4wkl";
      system = "snakes";
      asd = "snakes";
    });
    systems = [ "snakes" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-cont" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "closer-mop" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) ];
  };
  snappy = {
    pname = "snappy";
    version = "20211209-git";
    asds = [ "snappy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snappy/2021-12-09/snappy-20211209-git.tgz";
      sha256 = "1g0d8icbqmahywqczb8pimr63970dil6mnlxkv3y9ng31dg0npy6";
      system = "snappy";
      asd = "snappy";
    });
    systems = [ "snappy" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "nibbles" pkgs) (getAttr "varint" pkgs) ];
  };
  snappy_slash_test = {
    pname = "snappy_test";
    version = "20211209-git";
    asds = [ "snappy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snappy/2021-12-09/snappy-20211209-git.tgz";
      sha256 = "1g0d8icbqmahywqczb8pimr63970dil6mnlxkv3y9ng31dg0npy6";
      system = "snappy";
      asd = "snappy";
    });
    systems = [ "snappy/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "nibbles" pkgs) (getAttr "acm-random" pkgs) (getAttr "snappy" pkgs) ];
    meta = {
      broken = true;
    };
  };
  snark = {
    pname = "snark";
    version = "20160421-git";
    asds = [ "snark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark";
      asd = "snark";
    });
    systems = [ "snark" ];
    lispLibs = [ (getAttr "snark-implementation" pkgs) ];
  };
  snark-agenda = {
    pname = "snark-agenda";
    version = "20160421-git";
    asds = [ "snark-agenda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-agenda";
      asd = "snark-agenda";
    });
    systems = [ "snark-agenda" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-deque" pkgs) (getAttr "snark-lisp" pkgs) (getAttr "snark-sparse-array" pkgs) ];
  };
  snark-auxiliary-packages = {
    pname = "snark-auxiliary-packages";
    version = "20160421-git";
    asds = [ "snark-auxiliary-packages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-auxiliary-packages";
      asd = "snark-auxiliary-packages";
    });
    systems = [ "snark-auxiliary-packages" ];
    lispLibs = [  ];
  };
  snark-deque = {
    pname = "snark-deque";
    version = "20160421-git";
    asds = [ "snark-deque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-deque";
      asd = "snark-deque";
    });
    systems = [ "snark-deque" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) ];
  };
  snark-dpll = {
    pname = "snark-dpll";
    version = "20160421-git";
    asds = [ "snark-dpll" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-dpll";
      asd = "snark-dpll";
    });
    systems = [ "snark-dpll" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) ];
  };
  snark-examples = {
    pname = "snark-examples";
    version = "20160421-git";
    asds = [ "snark-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-examples";
      asd = "snark-examples";
    });
    systems = [ "snark-examples" ];
    lispLibs = [ (getAttr "snark" pkgs) ];
  };
  snark-feature = {
    pname = "snark-feature";
    version = "20160421-git";
    asds = [ "snark-feature" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-feature";
      asd = "snark-feature";
    });
    systems = [ "snark-feature" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) ];
  };
  snark-implementation = {
    pname = "snark-implementation";
    version = "20160421-git";
    asds = [ "snark-implementation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-implementation";
      asd = "snark-implementation";
    });
    systems = [ "snark-implementation" ];
    lispLibs = [ (getAttr "snark-agenda" pkgs) (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-deque" pkgs) (getAttr "snark-dpll" pkgs) (getAttr "snark-feature" pkgs) (getAttr "snark-infix-reader" pkgs) (getAttr "snark-lisp" pkgs) (getAttr "snark-numbering" pkgs) (getAttr "snark-pkg" pkgs) (getAttr "snark-sparse-array" pkgs) ];
  };
  snark-infix-reader = {
    pname = "snark-infix-reader";
    version = "20160421-git";
    asds = [ "snark-infix-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-infix-reader";
      asd = "snark-infix-reader";
    });
    systems = [ "snark-infix-reader" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) ];
  };
  snark-lisp = {
    pname = "snark-lisp";
    version = "20160421-git";
    asds = [ "snark-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-lisp";
      asd = "snark-lisp";
    });
    systems = [ "snark-lisp" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) ];
  };
  snark-loads = {
    pname = "snark-loads";
    version = "20160421-git";
    asds = [ "snark-loads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-loads";
      asd = "snark-loads";
    });
    systems = [ "snark-loads" ];
    lispLibs = [  ];
  };
  snark-numbering = {
    pname = "snark-numbering";
    version = "20160421-git";
    asds = [ "snark-numbering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-numbering";
      asd = "snark-numbering";
    });
    systems = [ "snark-numbering" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) (getAttr "snark-sparse-array" pkgs) ];
  };
  snark-pkg = {
    pname = "snark-pkg";
    version = "20160421-git";
    asds = [ "snark-pkg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-pkg";
      asd = "snark-pkg";
    });
    systems = [ "snark-pkg" ];
    lispLibs = [ (getAttr "snark-dpll" pkgs) ];
  };
  snark-sparse-array = {
    pname = "snark-sparse-array";
    version = "20160421-git";
    asds = [ "snark-sparse-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-sparse-array";
      asd = "snark-sparse-array";
    });
    systems = [ "snark-sparse-array" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" pkgs) (getAttr "snark-lisp" pkgs) ];
  };
  sndfile-blob = {
    pname = "sndfile-blob";
    version = "stable-git";
    asds = [ "sndfile-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sndfile-blob/2020-10-16/sndfile-blob-stable-git.tgz";
      sha256 = "1csbm2cgj76smia59044vx8698w9dy223cmwv8l4i8kb95m1i3l0";
      system = "sndfile-blob";
      asd = "sndfile-blob";
    });
    systems = [ "sndfile-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  snmp = {
    pname = "snmp";
    version = "6.1";
    asds = [ "snmp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp";
      asd = "snmp";
    });
    systems = [ "snmp" ];
    lispLibs = [ (getAttr "ieee-floats" pkgs) (getAttr "ironclad" pkgs) (getAttr "portable-threads" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  snmp-server = {
    pname = "snmp-server";
    version = "6.1";
    asds = [ "snmp-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-server";
      asd = "snmp-server";
    });
    systems = [ "snmp-server" ];
    lispLibs = [ (getAttr "snmp" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  snmp-test = {
    pname = "snmp-test";
    version = "6.1";
    asds = [ "snmp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-test";
      asd = "snmp-test";
    });
    systems = [ "snmp-test" ];
    lispLibs = [ (getAttr "snmp" pkgs) (getAttr "snmp-server" pkgs) ];
  };
  snmp-ui = {
    pname = "snmp-ui";
    version = "6.1";
    asds = [ "snmp-ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-ui";
      asd = "snmp-ui";
    });
    systems = [ "snmp-ui" ];
    lispLibs = [ (getAttr "snmp" pkgs) ];
  };
  snooze = {
    pname = "snooze";
    version = "20210807-git";
    asds = [ "snooze" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze";
      asd = "snooze";
    });
    systems = [ "snooze" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "parse-float" pkgs) (getAttr "quri" pkgs) (getAttr "rfc2388" pkgs) (getAttr "uiop" pkgs) ];
  };
  snooze-demo = {
    pname = "snooze-demo";
    version = "20210807-git";
    asds = [ "snooze-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze-demo";
      asd = "snooze";
    });
    systems = [ "snooze-demo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-css" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-who" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "local-time" pkgs) (getAttr "local-time-duration" pkgs) (getAttr "snooze" pkgs) ];
  };
  snooze-tests = {
    pname = "snooze-tests";
    version = "20210807-git";
    asds = [ "snooze-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze-tests";
      asd = "snooze";
    });
    systems = [ "snooze-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "snooze" pkgs) ];
  };
  softdrink = {
    pname = "softdrink";
    version = "20200427-git";
    asds = [ "softdrink" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/softdrink/2020-04-27/softdrink-20200427-git.tgz";
      sha256 = "1b0by4ymvk120aaq0viqqjqnbk91g00cd7bipnrb75nfb4ahi2s9";
      system = "softdrink";
      asd = "softdrink";
    });
    systems = [ "softdrink" ];
    lispLibs = [ (getAttr "lass" pkgs) (getAttr "lquery" pkgs) ];
  };
  software-evolution-library = {
    pname = "software-evolution-library";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "atomics" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "gt" pkgs) (getAttr "deploy" pkgs) ];
  };
  software-evolution-library_slash_deploy-tree-sitter-interface = {
    pname = "software-evolution-library_deploy-tree-sitter-interface";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/deploy-tree-sitter-interface" ];
    lispLibs = [ (getAttr "deploy" pkgs) ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_run-dump-store = {
    pname = "software-evolution-library_run-dump-store";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/run-dump-store" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_run-rest-server = {
    pname = "software-evolution-library_run-rest-server";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/run-rest-server" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_run-test-parse = {
    pname = "software-evolution-library_run-test-parse";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/run-test-parse" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_run-tree-sitter-interface = {
    pname = "software-evolution-library_run-tree-sitter-interface";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/run-tree-sitter-interface" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_run-tree-sitter-py-generator = {
    pname = "software-evolution-library_run-tree-sitter-py-generator";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/run-tree-sitter-py-generator" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_terminal = {
    pname = "software-evolution-library_terminal";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/terminal" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-interpol" pkgs) (getAttr "gt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  software-evolution-library_slash_utility_slash_fare-qq = {
    pname = "software-evolution-library_utility_fare-qq";
    version = "20221106-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2022-11-06/sel-20221106-git.tgz";
      sha256 = "10bb8xb9zq0nbigc2119vhp5spa7y3r180h46qzf13jrnwy5qaj7";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library/utility/fare-qq" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" pkgs) ];
    meta = {
      broken = true;
    };
  };
  solid-engine = {
    pname = "solid-engine";
    version = "20190521-git";
    asds = [ "solid-engine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/solid-engine/2019-05-21/solid-engine-20190521-git.tgz";
      sha256 = "1pxrgxfqz8br258jy35qyimsrz544fg9k7lw2jshkj4jr2pswsv0";
      system = "solid-engine";
      asd = "solid-engine";
    });
    systems = [ "solid-engine" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  soundex = {
    pname = "soundex";
    version = "1.0";
    asds = [ "soundex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/soundex/2010-10-06/soundex-1.0.tgz";
      sha256 = "00ar2x7ja35337v6gwa4h2b8w7gf7dwx5mdfz91dqay43kx1pjsi";
      system = "soundex";
      asd = "soundex";
    });
    systems = [ "soundex" ];
    lispLibs = [  ];
  };
  south = {
    pname = "south";
    version = "20190710-git";
    asds = [ "south" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/south/2019-07-10/south-20190710-git.tgz";
      sha256 = "09fyqxsflc107f3g2mzh81wnr3lzbaaz2jj5js0q6rpyaq2yc39p";
      system = "south";
      asd = "south";
    });
    systems = [ "south" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "uuid" pkgs) ];
  };
  sparse-set = {
    pname = "sparse-set";
    version = "20220707-git";
    asds = [ "sparse-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sparse-set/2022-07-07/sparse-set-20220707-git.tgz";
      sha256 = "0czms03lrvg20hw3sz7wzzkl1z0vm0ndb3dmbvwsjd7m89fag793";
      system = "sparse-set";
      asd = "sparse-set";
    });
    systems = [ "sparse-set" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  spatial-trees = {
    pname = "spatial-trees";
    version = "20140826-git";
    asds = [ "spatial-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees";
      asd = "spatial-trees";
    });
    systems = [ "spatial-trees" ];
    lispLibs = [  ];
  };
  spatial-trees_dot_nns = {
    pname = "spatial-trees.nns";
    version = "20140826-git";
    asds = [ "spatial-trees.nns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.nns";
      asd = "spatial-trees.nns";
    });
    systems = [ "spatial-trees.nns" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "optima" pkgs) (getAttr "spatial-trees" pkgs) ];
  };
  spatial-trees_dot_nns_dot_test = {
    pname = "spatial-trees.nns.test";
    version = "20140826-git";
    asds = [ "spatial-trees.nns.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.nns.test";
      asd = "spatial-trees.nns.test";
    });
    systems = [ "spatial-trees.nns.test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "iterate" pkgs) (getAttr "optima" pkgs) (getAttr "spatial-trees" pkgs) (getAttr "spatial-trees_dot_nns" pkgs) ];
  };
  spatial-trees_dot_test = {
    pname = "spatial-trees.test";
    version = "20140826-git";
    asds = [ "spatial-trees.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.test";
      asd = "spatial-trees.test";
    });
    systems = [ "spatial-trees.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "spatial-trees" pkgs) ];
  };
  special-functions = {
    pname = "special-functions";
    version = "20221106-git";
    asds = [ "special-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/special-functions/2022-11-06/special-functions-20221106-git.tgz";
      sha256 = "092szffy7zfxgrvfck11wnj8l0mgcym13yiafj01ad02lbj1fnnv";
      system = "special-functions";
      asd = "special-functions";
    });
    systems = [ "special-functions" ];
    lispLibs = [ (getAttr "alexandria_plus" pkgs) (getAttr "float-features" pkgs) (getAttr "let-plus" pkgs) (getAttr "num-utils" pkgs) ];
  };
  special-functions_slash_tests = {
    pname = "special-functions_tests";
    version = "20221106-git";
    asds = [ "special-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/special-functions/2022-11-06/special-functions-20221106-git.tgz";
      sha256 = "092szffy7zfxgrvfck11wnj8l0mgcym13yiafj01ad02lbj1fnnv";
      system = "special-functions";
      asd = "special-functions";
    });
    systems = [ "special-functions/tests" ];
    lispLibs = [ (getAttr "cl-variates" pkgs) (getAttr "fiveam" pkgs) (getAttr "select" pkgs) (getAttr "special-functions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  specialization-store = {
    pname = "specialization-store";
    version = "v0.0.5";
    asds = [ "specialization-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store";
      asd = "specialization-store";
    });
    systems = [ "specialization-store" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "specialization-store-features" pkgs) ];
  };
  specialization-store-features = {
    pname = "specialization-store-features";
    version = "v0.0.5";
    asds = [ "specialization-store-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store-features";
      asd = "specialization-store-features";
    });
    systems = [ "specialization-store-features" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) ];
  };
  specialization-store-tests = {
    pname = "specialization-store-tests";
    version = "v0.0.5";
    asds = [ "specialization-store-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store-tests";
      asd = "specialization-store-tests";
    });
    systems = [ "specialization-store-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "specialization-store" pkgs) ];
  };
  specialized-function = {
    pname = "specialized-function";
    version = "20210531-git";
    asds = [ "specialized-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialized-function/2021-05-31/specialized-function-20210531-git.tgz";
      sha256 = "19hfgc83b7as630r1w9r8yl0v6xq3dn01vcrl0bd4pza5hgjn4la";
      system = "specialized-function";
      asd = "specialized-function";
    });
    systems = [ "specialized-function" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-cltl2" pkgs) (getAttr "type-r" pkgs) ];
  };
  specialized-function_dot_test = {
    pname = "specialized-function.test";
    version = "20210531-git";
    asds = [ "specialized-function.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialized-function/2021-05-31/specialized-function-20210531-git.tgz";
      sha256 = "19hfgc83b7as630r1w9r8yl0v6xq3dn01vcrl0bd4pza5hgjn4la";
      system = "specialized-function.test";
      asd = "specialized-function.test";
    });
    systems = [ "specialized-function.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "specialized-function" pkgs) ];
  };
  speechless = {
    pname = "speechless";
    version = "20221106-git";
    asds = [ "speechless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/speechless/2022-11-06/speechless-20221106-git.tgz";
      sha256 = "1mq4q0caxvbjj2vs024z2mcsm7r0wd7kw0j2fd6ak9a96cz23jai";
      system = "speechless";
      asd = "speechless";
    });
    systems = [ "speechless" ];
    lispLibs = [ (getAttr "cl-markless" pkgs) (getAttr "documentation-utils" pkgs) ];
  };
  spell = {
    pname = "spell";
    version = "20190307-git";
    asds = [ "spell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spell/2019-03-07/spell-20190307-git.tgz";
      sha256 = "1ifhx5q0iz80i9zwgcpv3w7xpp92ar9grz25008wnqzaayhfl020";
      system = "spell";
      asd = "spell";
    });
    systems = [ "spell" ];
    lispLibs = [  ];
  };
  spell_slash_simple = {
    pname = "spell_simple";
    version = "20190307-git";
    asds = [ "spell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spell/2019-03-07/spell-20190307-git.tgz";
      sha256 = "1ifhx5q0iz80i9zwgcpv3w7xpp92ar9grz25008wnqzaayhfl020";
      system = "spell";
      asd = "spell";
    });
    systems = [ "spell/simple" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  spellcheck = {
    pname = "spellcheck";
    version = "20131003-git";
    asds = [ "spellcheck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spellcheck/2013-10-03/spellcheck-20131003-git.tgz";
      sha256 = "0a0r1dgh7y06s7j9mzxrryri8fhajzjsrrsh3i6vv65vq5zzxlka";
      system = "spellcheck";
      asd = "spellcheck";
    });
    systems = [ "spellcheck" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  sphinx = {
    pname = "sphinx";
    version = "20110619-git";
    asds = [ "sphinx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sphinx/2011-06-19/cl-sphinx-20110619-git.tgz";
      sha256 = "0z1ksxz1gh12ly6lbc77l0d5f380s81vx44qakm2dl1398lgb7x1";
      system = "sphinx";
      asd = "sphinx";
    });
    systems = [ "sphinx" ];
    lispLibs = [ (getAttr "closure-template" pkgs) (getAttr "docutils" pkgs) (getAttr "cl-fad" pkgs) (getAttr "colorize" pkgs) ];
  };
  spinneret = {
    pname = "spinneret";
    version = "20221106-git";
    asds = [ "spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spinneret/2022-11-06/spinneret-20221106-git.tgz";
      sha256 = "0v3rqv0ka97zmhpvwiqixb0sxn7fp5b2jancvhffp846mqbskn6k";
      system = "spinneret";
      asd = "spinneret";
    });
    systems = [ "spinneret" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "global-vars" pkgs) (getAttr "parenscript" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  spinneret_slash_cl-markdown = {
    pname = "spinneret_cl-markdown";
    version = "20221106-git";
    asds = [ "spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spinneret/2022-11-06/spinneret-20221106-git.tgz";
      sha256 = "0v3rqv0ka97zmhpvwiqixb0sxn7fp5b2jancvhffp846mqbskn6k";
      system = "spinneret";
      asd = "spinneret";
    });
    systems = [ "spinneret/cl-markdown" ];
    lispLibs = [ (getAttr "cl-markdown" pkgs) (getAttr "spinneret" pkgs) ];
    meta = {
      broken = true;
    };
  };
  spinneret_slash_ps = {
    pname = "spinneret_ps";
    version = "20221106-git";
    asds = [ "spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spinneret/2022-11-06/spinneret-20221106-git.tgz";
      sha256 = "0v3rqv0ka97zmhpvwiqixb0sxn7fp5b2jancvhffp846mqbskn6k";
      system = "spinneret";
      asd = "spinneret";
    });
    systems = [ "spinneret/ps" ];
    lispLibs = [ (getAttr "parenscript" pkgs) (getAttr "spinneret" pkgs) ];
    meta = {
      broken = true;
    };
  };
  spinneret_slash_tests = {
    pname = "spinneret_tests";
    version = "20221106-git";
    asds = [ "spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spinneret/2022-11-06/spinneret-20221106-git.tgz";
      sha256 = "0v3rqv0ka97zmhpvwiqixb0sxn7fp5b2jancvhffp846mqbskn6k";
      system = "spinneret";
      asd = "spinneret";
    });
    systems = [ "spinneret/tests" ];
    lispLibs = [ (getAttr "cl-markdown" pkgs) (getAttr "fiveam" pkgs) (getAttr "parenscript" pkgs) (getAttr "serapeum" pkgs) (getAttr "spinneret" pkgs) ];
    meta = {
      broken = true;
    };
  };
  split-sequence = {
    pname = "split-sequence";
    version = "v2.0.1";
    asds = [ "split-sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/split-sequence/2021-05-31/split-sequence-v2.0.1.tgz";
      sha256 = "172k7iv775kwism6304p6z7mqpjvipl57nq1bgvmbk445943fmhq";
      system = "split-sequence";
      asd = "split-sequence";
    });
    systems = [ "split-sequence" ];
    lispLibs = [  ];
  };
  split-sequence_slash_tests = {
    pname = "split-sequence_tests";
    version = "v2.0.1";
    asds = [ "split-sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/split-sequence/2021-05-31/split-sequence-v2.0.1.tgz";
      sha256 = "172k7iv775kwism6304p6z7mqpjvipl57nq1bgvmbk445943fmhq";
      system = "split-sequence";
      asd = "split-sequence";
    });
    systems = [ "split-sequence/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "split-sequence" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sqlite = {
    pname = "sqlite";
    version = "20190813-git";
    asds = [ "sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sqlite/2019-08-13/cl-sqlite-20190813-git.tgz";
      sha256 = "08iv7b4m0hh7qx2cvq4f510nrgdld0vicnvmqsh9w0fgrcgmyg4k";
      system = "sqlite";
      asd = "sqlite";
    });
    systems = [ "sqlite" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "iterate" pkgs) ];
  };
  srfi-1 = {
    pname = "srfi-1";
    version = "20200218-git";
    asds = [ "srfi-1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-1/2020-02-18/srfi-1-20200218-git.tgz";
      sha256 = "00r2ikf1ck1zz3mx3jgk3plf3ibfhhrr8sc8hzr6ix34sbfvdadg";
      system = "srfi-1";
      asd = "srfi-1";
    });
    systems = [ "srfi-1" ];
    lispLibs = [  ];
  };
  srfi-1_dot_test = {
    pname = "srfi-1.test";
    version = "20200218-git";
    asds = [ "srfi-1.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-1/2020-02-18/srfi-1-20200218-git.tgz";
      sha256 = "00r2ikf1ck1zz3mx3jgk3plf3ibfhhrr8sc8hzr6ix34sbfvdadg";
      system = "srfi-1.test";
      asd = "srfi-1";
    });
    systems = [ "srfi-1.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "srfi-1" pkgs) ];
  };
  srfi-23 = {
    pname = "srfi-23";
    version = "20200218-git";
    asds = [ "srfi-23" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-23/2020-02-18/srfi-23-20200218-git.tgz";
      sha256 = "0hgq2bdpdjp550kk9xlrxh82n45ldb42j2zzhkndmffh4rp9hd13";
      system = "srfi-23";
      asd = "srfi-23";
    });
    systems = [ "srfi-23" ];
    lispLibs = [  ];
  };
  srfi-6 = {
    pname = "srfi-6";
    version = "20200218-git";
    asds = [ "srfi-6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-6/2020-02-18/srfi-6-20200218-git.tgz";
      sha256 = "1m9316r75haig84fhcrfm69gq0zfh5xqwqw8wsccc6z6vpz7pfwm";
      system = "srfi-6";
      asd = "srfi-6";
    });
    systems = [ "srfi-6" ];
    lispLibs = [  ];
  };
  srfi-98 = {
    pname = "srfi-98";
    version = "20200218-git";
    asds = [ "srfi-98" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-98/2020-02-18/srfi-98-20200218-git.tgz";
      sha256 = "0qqa7c6nas85n8mdpmk996jh12xm0nf63nhj1chi9qkwgm924fj3";
      system = "srfi-98";
      asd = "srfi-98";
    });
    systems = [ "srfi-98" ];
    lispLibs = [  ];
  };
  srfi-98_dot_test = {
    pname = "srfi-98.test";
    version = "20200218-git";
    asds = [ "srfi-98.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-98/2020-02-18/srfi-98-20200218-git.tgz";
      sha256 = "0qqa7c6nas85n8mdpmk996jh12xm0nf63nhj1chi9qkwgm924fj3";
      system = "srfi-98.test";
      asd = "srfi-98";
    });
    systems = [ "srfi-98.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "srfi-98" pkgs) ];
  };
  sse-client = {
    pname = "sse-client";
    version = "20210807-git";
    asds = [ "sse-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-client";
      asd = "sse-client";
    });
    systems = [ "sse-client" ];
    lispLibs = [  ];
  };
  sse-client-test = {
    pname = "sse-client-test";
    version = "20210807-git";
    asds = [ "sse-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-client-test";
      asd = "sse-client-test";
    });
    systems = [ "sse-client-test" ];
    lispLibs = [ (getAttr "sse-client" pkgs) (getAttr "fiveam" pkgs) (getAttr "trivial-escapes" pkgs) ];
  };
  sse-demo = {
    pname = "sse-demo";
    version = "20210807-git";
    asds = [ "sse-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-demo";
      asd = "sse-demo";
    });
    systems = [ "sse-demo" ];
    lispLibs = [ (getAttr "sse-server" pkgs) (getAttr "easy-routes" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hunchentoot" pkgs) ];
  };
  sse-server = {
    pname = "sse-server";
    version = "20210807-git";
    asds = [ "sse-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-server";
      asd = "sse-server";
    });
    systems = [ "sse-server" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "trivial-escapes" pkgs) ];
  };
  sse-server-test = {
    pname = "sse-server-test";
    version = "20210807-git";
    asds = [ "sse-server-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-server-test";
      asd = "sse-server-test";
    });
    systems = [ "sse-server-test" ];
    lispLibs = [ (getAttr "sse-server" pkgs) (getAttr "fiveam" pkgs) (getAttr "trivial-escapes" pkgs) ];
  };
  st-json = {
    pname = "st-json";
    version = "20210630-git";
    asds = [ "st-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/st-json/2021-06-30/st-json-20210630-git.tgz";
      sha256 = "06qrhr5iw73k96lai2x9w52l6gnmlxy7fsr0r35gz6nz1f71x7gx";
      system = "st-json";
      asd = "st-json";
    });
    systems = [ "st-json" ];
    lispLibs = [  ];
  };
  standard-cl = {
    pname = "standard-cl";
    version = "20121125-git";
    asds = [ "standard-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "standard-cl";
      asd = "standard-cl";
    });
    systems = [ "standard-cl" ];
    lispLibs = [  ];
  };
  staple = {
    pname = "staple";
    version = "20221106-git";
    asds = [ "staple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple";
      asd = "staple";
    });
    systems = [ "staple" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "clip" pkgs) (getAttr "definitions" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "language-codes" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "staple-code-parser" pkgs) (getAttr "staple-package-recording" pkgs) ];
  };
  staple-code-parser = {
    pname = "staple-code-parser";
    version = "20221106-git";
    asds = [ "staple-code-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-code-parser";
      asd = "staple-code-parser";
    });
    systems = [ "staple-code-parser" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "concrete-syntax-tree" pkgs) (getAttr "concrete-syntax-tree-destructuring" pkgs) (getAttr "concrete-syntax-tree-lambda-list" pkgs) (getAttr "definitions" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "eclector" pkgs) (getAttr "eclector-concrete-syntax-tree" pkgs) ];
  };
  staple-markdown = {
    pname = "staple-markdown";
    version = "20221106-git";
    asds = [ "staple-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-markdown";
      asd = "staple-markdown";
    });
    systems = [ "staple-markdown" ];
    lispLibs = [ (getAttr "_3bmd" pkgs) (getAttr "_3bmd-ext-code-blocks" pkgs) (getAttr "staple" pkgs) ];
  };
  staple-markless = {
    pname = "staple-markless";
    version = "20221106-git";
    asds = [ "staple-markless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-markless";
      asd = "staple-markless";
    });
    systems = [ "staple-markless" ];
    lispLibs = [ (getAttr "cl-markless-plump" pkgs) (getAttr "staple" pkgs) ];
  };
  staple-package-recording = {
    pname = "staple-package-recording";
    version = "20221106-git";
    asds = [ "staple-package-recording" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-package-recording";
      asd = "staple-package-recording";
    });
    systems = [ "staple-package-recording" ];
    lispLibs = [  ];
  };
  staple-restructured-text = {
    pname = "staple-restructured-text";
    version = "20221106-git";
    asds = [ "staple-restructured-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-restructured-text";
      asd = "staple-restructured-text";
    });
    systems = [ "staple-restructured-text" ];
    lispLibs = [ (getAttr "docutils" pkgs) (getAttr "staple" pkgs) ];
  };
  staple-server = {
    pname = "staple-server";
    version = "20221106-git";
    asds = [ "staple-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2022-11-06/staple-20221106-git.tgz";
      sha256 = "0igs9dfc3bkzzz3bkhr5pijy6bf13lhhi4vl12gydjmyhckirkkk";
      system = "staple-server";
      asd = "staple-server";
    });
    systems = [ "staple-server" ];
    lispLibs = [ (getAttr "dissect" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "staple-markdown" pkgs) (getAttr "staple-markless" pkgs) ];
  };
  stars = {
    pname = "stars";
    version = "20180831-git";
    asds = [ "stars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sprint-stars/2018-08-31/sprint-stars-20180831-git.tgz";
      sha256 = "1pm6wvywfgy0vlb0b2lbybpvhw9xzyn1nlpy0wpcglxxig6mnrgi";
      system = "stars";
      asd = "stars";
    });
    systems = [ "stars" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) (getAttr "xmls" pkgs) ];
  };
  static-dispatch = {
    pname = "static-dispatch";
    version = "20211209-git";
    asds = [ "static-dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-dispatch/2021-12-09/static-dispatch-20211209-git.tgz";
      sha256 = "1cishp7nckda5hav6c907axdfn1zpmzxpsy6hk7kkb69qn81yn2i";
      system = "static-dispatch";
      asd = "static-dispatch";
    });
    systems = [ "static-dispatch" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "arrows" pkgs) (getAttr "cl-environments" pkgs) (getAttr "cl-form-types" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "optima" pkgs) ];
  };
  static-dispatch_slash_test = {
    pname = "static-dispatch_test";
    version = "20211209-git";
    asds = [ "static-dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-dispatch/2021-12-09/static-dispatch-20211209-git.tgz";
      sha256 = "1cishp7nckda5hav6c907axdfn1zpmzxpsy6hk7kkb69qn81yn2i";
      system = "static-dispatch";
      asd = "static-dispatch";
    });
    systems = [ "static-dispatch/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "static-dispatch" pkgs) ];
    meta = {
      broken = true;
    };
  };
  static-vectors = {
    pname = "static-vectors";
    version = "v1.8.9";
    asds = [ "static-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-vectors/2021-06-30/static-vectors-v1.8.9.tgz";
      sha256 = "079qa20lhanzsz1qf4iags91n0ziylbjgbcymm5a5qj7yryas4fw";
      system = "static-vectors";
      asd = "static-vectors";
    });
    systems = [ "static-vectors" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  static-vectors_slash_test = {
    pname = "static-vectors_test";
    version = "v1.8.9";
    asds = [ "static-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-vectors/2021-06-30/static-vectors-v1.8.9.tgz";
      sha256 = "079qa20lhanzsz1qf4iags91n0ziylbjgbcymm5a5qj7yryas4fw";
      system = "static-vectors";
      asd = "static-vectors";
    });
    systems = [ "static-vectors/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "static-vectors" pkgs) ];
    meta = {
      broken = true;
    };
  };
  statistics = {
    pname = "statistics";
    version = "20221106-git";
    asds = [ "statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/statistics/2022-11-06/statistics-20221106-git.tgz";
      sha256 = "135dk9fr1bny0hfpkg0g9s7f67gjf9f8ipx01q2is5iqmz24hy94";
      system = "statistics";
      asd = "statistics";
    });
    systems = [ "statistics" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "org_dot_tfeb_dot_conduit-packages" pkgs) (getAttr "distributions" pkgs) (getAttr "let-plus" pkgs) (getAttr "num-utils" pkgs) ];
  };
  statistics_slash_lh = {
    pname = "statistics_lh";
    version = "20221106-git";
    asds = [ "statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/statistics/2022-11-06/statistics-20221106-git.tgz";
      sha256 = "135dk9fr1bny0hfpkg0g9s7f67gjf9f8ipx01q2is5iqmz24hy94";
      system = "statistics";
      asd = "statistics";
    });
    systems = [ "statistics/lh" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  statistics_slash_tests = {
    pname = "statistics_tests";
    version = "20221106-git";
    asds = [ "statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/statistics/2022-11-06/statistics-20221106-git.tgz";
      sha256 = "135dk9fr1bny0hfpkg0g9s7f67gjf9f8ipx01q2is5iqmz24hy94";
      system = "statistics";
      asd = "statistics";
    });
    systems = [ "statistics/tests" ];
    lispLibs = [ (getAttr "clunit2" pkgs) (getAttr "num-utils" pkgs) (getAttr "statistics" pkgs) ];
    meta = {
      broken = true;
    };
  };
  stdutils = {
    pname = "stdutils";
    version = "20111001-git";
    asds = [ "stdutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stdutils/2011-10-01/cl-stdutils-20111001-git.tgz";
      sha256 = "16vxxphqdq8264x0aanm36x9r6d3ci1gjf4vf46mwl59gcff4wcj";
      system = "stdutils";
      asd = "stdutils";
    });
    systems = [ "stdutils" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  stealth-mixin = {
    pname = "stealth-mixin";
    version = "20211020-git";
    asds = [ "stealth-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stealth-mixin/2021-10-20/stealth-mixin-20211020-git.tgz";
      sha256 = "0ar9cdmbmdnqz1ywpw34n47hlh0vqmb6pl76f5vbfgip3c81xwyi";
      system = "stealth-mixin";
      asd = "stealth-mixin";
    });
    systems = [ "stealth-mixin" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  stefil = {
    pname = "stefil";
    version = "20181210-git";
    asds = [ "stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil/2018-12-10/stefil-20181210-git.tgz";
      sha256 = "0bqz64q2szzhf91zyqyssmvrz7da6442rs01808pf3wrdq28bclh";
      system = "stefil";
      asd = "stefil";
    });
    systems = [ "stefil" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "swank" pkgs) ];
  };
  stefil_plus = {
    pname = "stefil+";
    version = "20211209-git";
    asds = [ "stefil+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil-/2021-12-09/stefil--20211209-git.tgz";
      sha256 = "039jjhcb3ka6vag39hz5v1bi81x444rqj6rb3np5qbm07dh1aij0";
      system = "stefil+";
      asd = "stefil+";
    });
    systems = [ "stefil+" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "gt" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "stefil" pkgs) ];
  };
  stefil-test = {
    pname = "stefil-test";
    version = "20181210-git";
    asds = [ "stefil-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil/2018-12-10/stefil-20181210-git.tgz";
      sha256 = "0bqz64q2szzhf91zyqyssmvrz7da6442rs01808pf3wrdq28bclh";
      system = "stefil-test";
      asd = "stefil";
    });
    systems = [ "stefil-test" ];
    lispLibs = [ (getAttr "stefil" pkgs) ];
  };
  stem = {
    pname = "stem";
    version = "20150608-git";
    asds = [ "stem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stem/2015-06-08/stem-20150608-git.tgz";
      sha256 = "0a2kr09c3qcwg16n8rm15qgy5p9l6z4m72jray0846hqbnji77mp";
      system = "stem";
      asd = "stem";
    });
    systems = [ "stem" ];
    lispLibs = [  ];
  };
  stepster = {
    pname = "stepster";
    version = "20221106-git";
    asds = [ "stepster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stepster/2022-11-06/stepster-20221106-git.tgz";
      sha256 = "1891b5n4b5pnms90q7d3iaaxdw11fzd4b97mgawx2mh5kmwjvl47";
      system = "stepster";
      asd = "stepster";
    });
    systems = [ "stepster" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-reexport" pkgs) (getAttr "clss" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) (getAttr "plump" pkgs) ];
  };
  stl = {
    pname = "stl";
    version = "20171019-git";
    asds = [ "stl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stl/2017-10-19/stl-20171019-git.tgz";
      sha256 = "12v11bsarlnx5k930gx116wbgv41kwm45ysdikq3am4x3lqsjz2n";
      system = "stl";
      asd = "stl";
    });
    systems = [ "stl" ];
    lispLibs = [ (getAttr "_3d-vectors" pkgs) ];
  };
  stmx = {
    pname = "stmx";
    version = "stable-49eef1d5-git";
    asds = [ "stmx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stmx/2020-12-20/stmx-stable-49eef1d5-git.tgz";
      sha256 = "0pqh8yp3aqyk1sx3y8zinhrimq9rzizn7v5vsqfgj84xcv3qgybr";
      system = "stmx";
      asd = "stmx";
    });
    systems = [ "stmx" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "closer-mop" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  stmx_dot_test = {
    pname = "stmx.test";
    version = "stable-49eef1d5-git";
    asds = [ "stmx.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stmx/2020-12-20/stmx-stable-49eef1d5-git.tgz";
      sha256 = "0pqh8yp3aqyk1sx3y8zinhrimq9rzizn7v5vsqfgj84xcv3qgybr";
      system = "stmx.test";
      asd = "stmx.test";
    });
    systems = [ "stmx.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) (getAttr "log4cl" pkgs) (getAttr "stmx" pkgs) ];
  };
  str = {
    pname = "str";
    version = "20221106-git";
    asds = [ "str" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-str/2022-11-06/cl-str-20221106-git.tgz";
      sha256 = "072im185fmm01ddkfx920g1nm8z2ndw24drf808kn32dw51wjjda";
      system = "str";
      asd = "str";
    });
    systems = [ "str" ];
    lispLibs = [ (getAttr "cl-change-case" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-ppcre-unicode" pkgs) ];
  };
  str_dot_test = {
    pname = "str.test";
    version = "20221106-git";
    asds = [ "str.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-str/2022-11-06/cl-str-20221106-git.tgz";
      sha256 = "072im185fmm01ddkfx920g1nm8z2ndw24drf808kn32dw51wjjda";
      system = "str.test";
      asd = "str.test";
    });
    systems = [ "str.test" ];
    lispLibs = [ (getAttr "str" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  strict-function = {
    pname = "strict-function";
    version = "20211020-git";
    asds = [ "strict-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/strict-function/2021-10-20/strict-function-20211020-git.tgz";
      sha256 = "176l5024qa72my7wiag0w6mmwys1q4yk6b4n944378qbqr2zpq2a";
      system = "strict-function";
      asd = "strict-function";
    });
    systems = [ "strict-function" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivia" pkgs) ];
  };
  strict-function_slash_test = {
    pname = "strict-function_test";
    version = "20211020-git";
    asds = [ "strict-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/strict-function/2021-10-20/strict-function-20211020-git.tgz";
      sha256 = "176l5024qa72my7wiag0w6mmwys1q4yk6b4n944378qbqr2zpq2a";
      system = "strict-function";
      asd = "strict-function";
    });
    systems = [ "strict-function/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "rove" pkgs) (getAttr "strict-function" pkgs) ];
    meta = {
      broken = true;
    };
  };
  string-case = {
    pname = "string-case";
    version = "20180711-git";
    asds = [ "string-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/string-case/2018-07-11/string-case-20180711-git.tgz";
      sha256 = "1n5i3yh0h5s636rcnwn7jwqy3rjflikra04lymimhpcshhjsk0md";
      system = "string-case";
      asd = "string-case";
    });
    systems = [ "string-case" ];
    lispLibs = [  ];
  };
  string-escape = {
    pname = "string-escape";
    version = "20150407-http";
    asds = [ "string-escape" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/string-escape/2015-04-07/string-escape-20150407-http.tgz";
      sha256 = "0r7b699332hy3qj17jax9jdhq4jx6rbw5xf0j43bwg79wddk0rq3";
      system = "string-escape";
      asd = "string-escape";
    });
    systems = [ "string-escape" ];
    lispLibs = [  ];
  };
  stripe = {
    pname = "stripe";
    version = "20220707-git";
    asds = [ "stripe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stripe/2022-07-07/stripe-20220707-git.tgz";
      sha256 = "1n9lv9yixzampf986vkspspr7mrvpsz2l5h919agc52hkv9wg2f7";
      system = "stripe";
      asd = "stripe";
    });
    systems = [ "stripe" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "local-time" pkgs) (getAttr "mfiano-utils" pkgs) (getAttr "yason" pkgs) ];
  };
  stripe-against-the-modern-world = {
    pname = "stripe-against-the-modern-world";
    version = "20221106-git";
    asds = [ "stripe-against-the-modern-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stripe-against-the-modern-world/2022-11-06/stripe-against-the-modern-world-20221106-git.tgz";
      sha256 = "1qp714y7b7vfdafirlphk02gixa4jffs0xgcy96fncxs6r2zq3q9";
      system = "stripe-against-the-modern-world";
      asd = "stripe-against-the-modern-world";
    });
    systems = [ "stripe-against-the-modern-world" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "ironclad" pkgs) (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "ningle" pkgs) ];
  };
  structure-ext = {
    pname = "structure-ext";
    version = "20211209-git";
    asds = [ "structure-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext";
      asd = "structure-ext";
    });
    systems = [ "structure-ext" ];
    lispLibs = [ (getAttr "structure-ext_dot_as-class" pkgs) (getAttr "structure-ext_dot_left-arrow-accessors" pkgs) (getAttr "structure-ext_dot_make-instance" pkgs) ];
  };
  structure-ext_dot_as-class = {
    pname = "structure-ext.as-class";
    version = "20211209-git";
    asds = [ "structure-ext.as-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.as-class";
      asd = "structure-ext.as-class";
    });
    systems = [ "structure-ext.as-class" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "uiop" pkgs) ];
  };
  structure-ext_dot_as-class_dot_test = {
    pname = "structure-ext.as-class.test";
    version = "20211209-git";
    asds = [ "structure-ext.as-class.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.as-class.test";
      asd = "structure-ext.as-class.test";
    });
    systems = [ "structure-ext.as-class.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "structure-ext_dot_as-class" pkgs) ];
  };
  structure-ext_dot_left-arrow-accessors = {
    pname = "structure-ext.left-arrow-accessors";
    version = "20211209-git";
    asds = [ "structure-ext.left-arrow-accessors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.left-arrow-accessors";
      asd = "structure-ext.left-arrow-accessors";
    });
    systems = [ "structure-ext.left-arrow-accessors" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  structure-ext_dot_left-arrow-accessors_dot_test = {
    pname = "structure-ext.left-arrow-accessors.test";
    version = "20211209-git";
    asds = [ "structure-ext.left-arrow-accessors.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.left-arrow-accessors.test";
      asd = "structure-ext.left-arrow-accessors.test";
    });
    systems = [ "structure-ext.left-arrow-accessors.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "structure-ext_dot_left-arrow-accessors" pkgs) ];
  };
  structure-ext_dot_make-instance = {
    pname = "structure-ext.make-instance";
    version = "20211209-git";
    asds = [ "structure-ext.make-instance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.make-instance";
      asd = "structure-ext.make-instance";
    });
    systems = [ "structure-ext.make-instance" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  structure-ext_dot_make-instance_dot_test = {
    pname = "structure-ext.make-instance.test";
    version = "20211209-git";
    asds = [ "structure-ext.make-instance.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.make-instance.test";
      asd = "structure-ext.make-instance.test";
    });
    systems = [ "structure-ext.make-instance.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "structure-ext_dot_make-instance" pkgs) ];
  };
  structy-defclass = {
    pname = "structy-defclass";
    version = "20170630-git";
    asds = [ "structy-defclass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structy-defclass/2017-06-30/structy-defclass-20170630-git.tgz";
      sha256 = "0fdlj45xzyghmg65dvs7ww7dxji84iid2y6rh9j77aip7v0l5q63";
      system = "structy-defclass";
      asd = "structy-defclass";
    });
    systems = [ "structy-defclass" ];
    lispLibs = [  ];
  };
  studio-client = {
    pname = "studio-client";
    version = "20210228-git";
    asds = [ "studio-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/studio-client/2021-02-28/studio-client-20210228-git.tgz";
      sha256 = "0rlvp1pm1ryjwnc4zl92p0nh53iy9hqrim13pi9mjcrdaqfi5qsk";
      system = "studio-client";
      asd = "studio-client";
    });
    systems = [ "studio-client" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "north-core" pkgs) (getAttr "yason" pkgs) ];
  };
  stumpwm = {
    pname = "stumpwm";
    version = "20221106-git";
    asds = [ "stumpwm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2022-11-06/stumpwm-20221106-git.tgz";
      sha256 = "0gvr136fv5zs61017gns3kbkz00837n0b52fif9vany5fslx3aj2";
      system = "stumpwm";
      asd = "stumpwm";
    });
    systems = [ "stumpwm" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "clx" pkgs) (getAttr "dynamic-mixins" pkgs) ];
  };
  stumpwm-dynamic-float = {
    pname = "stumpwm-dynamic-float";
    version = "20221106-git";
    asds = [ "stumpwm-dynamic-float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm-dynamic-float/2022-11-06/stumpwm-dynamic-float-20221106-git.tgz";
      sha256 = "13m9864vfj4b5b0hlvp7jrb96368rxr5ydjsdqldky10yad7icxf";
      system = "stumpwm-dynamic-float";
      asd = "stumpwm-dynamic-float";
    });
    systems = [ "stumpwm-dynamic-float" ];
    lispLibs = [ (getAttr "stumpwm" pkgs) ];
  };
  stumpwm-sndioctl = {
    pname = "stumpwm-sndioctl";
    version = "20210531-git";
    asds = [ "stumpwm-sndioctl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm-sndioctl/2021-05-31/stumpwm-sndioctl-20210531-git.tgz";
      sha256 = "1q4w4grim7izvw01k95wh7bbaaq0hz2ljjhn47nyd7pzrk9dabpv";
      system = "stumpwm-sndioctl";
      asd = "stumpwm-sndioctl";
    });
    systems = [ "stumpwm-sndioctl" ];
    lispLibs = [ (getAttr "stumpwm" pkgs) ];
  };
  stumpwm-tests = {
    pname = "stumpwm-tests";
    version = "20221106-git";
    asds = [ "stumpwm-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2022-11-06/stumpwm-20221106-git.tgz";
      sha256 = "0gvr136fv5zs61017gns3kbkz00837n0b52fif9vany5fslx3aj2";
      system = "stumpwm-tests";
      asd = "stumpwm-tests";
    });
    systems = [ "stumpwm-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "stumpwm" pkgs) ];
  };
  stumpwm_slash_build = {
    pname = "stumpwm_build";
    version = "20221106-git";
    asds = [ "stumpwm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2022-11-06/stumpwm-20221106-git.tgz";
      sha256 = "0gvr136fv5zs61017gns3kbkz00837n0b52fif9vany5fslx3aj2";
      system = "stumpwm";
      asd = "stumpwm";
    });
    systems = [ "stumpwm/build" ];
    lispLibs = [ (getAttr "stumpwm" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sucle = {
    pname = "sucle";
    version = "20200427-git";
    asds = [ "sucle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle";
      asd = "sucle";
    });
    systems = [ "sucle" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "black-tie" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "livesupport" pkgs) (getAttr "aabbcc" pkgs) (getAttr "application" pkgs) (getAttr "camera-matrix" pkgs) (getAttr "control" pkgs) (getAttr "crud" pkgs) (getAttr "fps-independent-timestep" pkgs) (getAttr "glhelp" pkgs) (getAttr "image-utility" pkgs) (getAttr "ncurses-clone-for-lem" pkgs) (getAttr "nsb-cga" pkgs) (getAttr "quads" pkgs) (getAttr "scratch-buffer" pkgs) (getAttr "sucle-multiprocessing" pkgs) (getAttr "sucle-temp" pkgs) (getAttr "text-subsystem" pkgs) (getAttr "uncommon-lisp" pkgs) (getAttr "utility" pkgs) ];
  };
  sucle-multiprocessing = {
    pname = "sucle-multiprocessing";
    version = "20200427-git";
    asds = [ "sucle-multiprocessing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-multiprocessing";
      asd = "sucle-multiprocessing";
    });
    systems = [ "sucle-multiprocessing" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cpus" pkgs) (getAttr "lparallel" pkgs) (getAttr "uncommon-lisp" pkgs) (getAttr "utility" pkgs) ];
  };
  sucle-serialize = {
    pname = "sucle-serialize";
    version = "20200427-git";
    asds = [ "sucle-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-serialize";
      asd = "sucle-serialize";
    });
    systems = [ "sucle-serialize" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "cl-conspack" pkgs) (getAttr "salza2" pkgs) ];
  };
  sucle-temp = {
    pname = "sucle-temp";
    version = "20200427-git";
    asds = [ "sucle-temp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-temp";
      asd = "sucle-temp";
    });
    systems = [ "sucle-temp" ];
    lispLibs = [  ];
  };
  sucle-test = {
    pname = "sucle-test";
    version = "20200427-git";
    asds = [ "sucle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-test";
      asd = "sucle-test";
    });
    systems = [ "sucle-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-opengl" pkgs) (getAttr "aabbcc" pkgs) (getAttr "application" pkgs) (getAttr "camera-matrix" pkgs) (getAttr "character-modifier-bits" pkgs) (getAttr "control" pkgs) (getAttr "deflazy" pkgs) (getAttr "fps-independent-timestep" pkgs) (getAttr "image-utility" pkgs) (getAttr "ncurses-clone-for-lem" pkgs) (getAttr "nsb-cga" pkgs) (getAttr "quads" pkgs) (getAttr "scratch-buffer" pkgs) (getAttr "sucle" pkgs) (getAttr "sucle-multiprocessing" pkgs) (getAttr "sucle-serialize" pkgs) (getAttr "text-subsystem" pkgs) (getAttr "uncommon-lisp" pkgs) (getAttr "window" pkgs) ];
  };
  surf = {
    pname = "surf";
    version = "master-1a957fb2-git";
    asds = [ "surf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "surf";
      asd = "surf";
    });
    systems = [ "surf" ];
    lispLibs = [ (getAttr "geom-base" pkgs) ];
  };
  swank = {
    pname = "swank";
    version = "v2.27";
    asds = [ "swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slime/2022-02-20/slime-v2.27.tgz";
      sha256 = "0wrq7s39lwca9wi01fj0wa2z6n0yyrv17c471kdkxxqppl4whi8m";
      system = "swank";
      asd = "swank";
    });
    systems = [ "swank" ];
    lispLibs = [  ];
  };
  swank-client = {
    pname = "swank-client";
    version = "20201220-git";
    asds = [ "swank-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-client/2020-12-20/swank-client-20201220-git.tgz";
      sha256 = "1rcm6fnp5v73wxsi04chdvy76jivf5ib4ghqc3qs85zy4hswcdlv";
      system = "swank-client";
      asd = "swank-client";
    });
    systems = [ "swank-client" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "com_dot_google_dot_base" pkgs) (getAttr "swank" pkgs) (getAttr "usocket" pkgs) ];
  };
  swank-client_slash_test = {
    pname = "swank-client_test";
    version = "20201220-git";
    asds = [ "swank-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-client/2020-12-20/swank-client-20201220-git.tgz";
      sha256 = "1rcm6fnp5v73wxsi04chdvy76jivf5ib4ghqc3qs85zy4hswcdlv";
      system = "swank-client";
      asd = "swank-client";
    });
    systems = [ "swank-client/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "swank-client" pkgs) ];
    meta = {
      broken = true;
    };
  };
  swank-crew = {
    pname = "swank-crew";
    version = "20200610-git";
    asds = [ "swank-crew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-crew/2020-06-10/swank-crew-20200610-git.tgz";
      sha256 = "0gfdkq4c1zzgkpxinfws9k9n6igisj6lmzz6n195m3g4kahx1nq4";
      system = "swank-crew";
      asd = "swank-crew";
    });
    systems = [ "swank-crew" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "com_dot_google_dot_base" pkgs) (getAttr "swank-client" pkgs) ];
  };
  swank-crew_slash_test = {
    pname = "swank-crew_test";
    version = "20200610-git";
    asds = [ "swank-crew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-crew/2020-06-10/swank-crew-20200610-git.tgz";
      sha256 = "0gfdkq4c1zzgkpxinfws9k9n6igisj6lmzz6n195m3g4kahx1nq4";
      system = "swank-crew";
      asd = "swank-crew";
    });
    systems = [ "swank-crew/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "swank-crew" pkgs) ];
    meta = {
      broken = true;
    };
  };
  swank-protocol = {
    pname = "swank-protocol";
    version = "20211020-git";
    asds = [ "swank-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-protocol/2021-10-20/swank-protocol-20211020-git.tgz";
      sha256 = "1c6cbkvcy3k56pkq5nlnj5m0zwkgbbrhfs1igwkr89xal2a4fz56";
      system = "swank-protocol";
      asd = "swank-protocol";
    });
    systems = [ "swank-protocol" ];
    lispLibs = [ (getAttr "swank" pkgs) (getAttr "usocket" pkgs) ];
  };
  swank_dot_live = {
    pname = "swank.live";
    version = "20160208-git";
    asds = [ "swank.live" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank.live/2016-02-08/swank.live-20160208-git.tgz";
      sha256 = "0p7jyf07symfan6lmbhd3r42kf5vrsbmmh9li0n1kky8rd6fhgls";
      system = "swank.live";
      asd = "swank.live";
    });
    systems = [ "swank.live" ];
    lispLibs = [ (getAttr "swank" pkgs) ];
  };
  swap-bytes = {
    pname = "swap-bytes";
    version = "v1.2";
    asds = [ "swap-bytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swap-bytes/2019-11-30/swap-bytes-v1.2.tgz";
      sha256 = "1hw1v1lw26rifyznpnj1csphha9jgzwpiic16ni3pvs6hcsni9rz";
      system = "swap-bytes";
      asd = "swap-bytes";
    });
    systems = [ "swap-bytes" ];
    lispLibs = [ (getAttr "trivial-features" pkgs) ];
  };
  swap-bytes_slash_test = {
    pname = "swap-bytes_test";
    version = "v1.2";
    asds = [ "swap-bytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swap-bytes/2019-11-30/swap-bytes-v1.2.tgz";
      sha256 = "1hw1v1lw26rifyznpnj1csphha9jgzwpiic16ni3pvs6hcsni9rz";
      system = "swap-bytes";
      asd = "swap-bytes";
    });
    systems = [ "swap-bytes/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "swap-bytes" pkgs) ];
    meta = {
      broken = true;
    };
  };
  sxql = {
    pname = "sxql";
    version = "20210630-git";
    asds = [ "sxql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql/2021-06-30/sxql-20210630-git.tgz";
      sha256 = "011an993amy8q3gl4hyqrgnc93cgny3cv9gbp679rrmyyp8zmywr";
      system = "sxql";
      asd = "sxql";
    });
    systems = [ "sxql" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-package-locks" pkgs) (getAttr "cl-syntax-annot" pkgs) (getAttr "iterate" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  sxql-composer = {
    pname = "sxql-composer";
    version = "20200325-git";
    asds = [ "sxql-composer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql-composer/2020-03-25/sxql-composer-20200325-git.tgz";
      sha256 = "1agkrj3ymskzc3c7pxbrj123d1kygjqcls145m0ap3i07q96hh1r";
      system = "sxql-composer";
      asd = "sxql-composer";
    });
    systems = [ "sxql-composer" ];
    lispLibs = [ (getAttr "sxql" pkgs) ];
  };
  sxql-test = {
    pname = "sxql-test";
    version = "20210630-git";
    asds = [ "sxql-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql/2021-06-30/sxql-20210630-git.tgz";
      sha256 = "011an993amy8q3gl4hyqrgnc93cgny3cv9gbp679rrmyyp8zmywr";
      system = "sxql-test";
      asd = "sxql-test";
    });
    systems = [ "sxql-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "sxql" pkgs) ];
  };
  sycamore = {
    pname = "sycamore";
    version = "20211020-git";
    asds = [ "sycamore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sycamore/2021-10-20/sycamore-20211020-git.tgz";
      sha256 = "0icw7fba1ch51w24f4sinvy4xg3zc7zif0aqcjfrzxj14x108hai";
      system = "sycamore";
      asd = "sycamore";
    });
    systems = [ "sycamore" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-fuzz" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  symbol-munger = {
    pname = "symbol-munger";
    version = "20220220-git";
    asds = [ "symbol-munger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symbol-munger/2022-02-20/symbol-munger-20220220-git.tgz";
      sha256 = "16fshnxp9212503z1vjlmx5pafv14bzpihn486x1ljakqjigfnfz";
      system = "symbol-munger";
      asd = "symbol-munger";
    });
    systems = [ "symbol-munger" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  symbol-munger_slash_test = {
    pname = "symbol-munger_test";
    version = "20220220-git";
    asds = [ "symbol-munger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symbol-munger/2022-02-20/symbol-munger-20220220-git.tgz";
      sha256 = "16fshnxp9212503z1vjlmx5pafv14bzpihn486x1ljakqjigfnfz";
      system = "symbol-munger";
      asd = "symbol-munger";
    });
    systems = [ "symbol-munger/test" ];
    lispLibs = [ (getAttr "lisp-unit2" pkgs) (getAttr "symbol-munger" pkgs) ];
    meta = {
      broken = true;
    };
  };
  symbol-namespaces = {
    pname = "symbol-namespaces";
    version = "1.0";
    asds = [ "symbol-namespaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symbol-namespaces/2013-01-28/symbol-namespaces-1.0.tgz";
      sha256 = "0rw4ndhg669rkpjmv5n0zh69bzar60zn3bb4vs5ijgvxyl5f7xp1";
      system = "symbol-namespaces";
      asd = "symbol-namespaces";
    });
    systems = [ "symbol-namespaces" ];
    lispLibs = [ (getAttr "map-bind" pkgs) ];
  };
  synonyms = {
    pname = "synonyms";
    version = "20190307-hg";
    asds = [ "synonyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/synonyms/2019-03-07/synonyms-20190307-hg.tgz";
      sha256 = "11vlyal1pmr1mylnzjcffzvsnvhq0d3pnhm8dd158na9b7ingcrc";
      system = "synonyms";
      asd = "synonyms";
    });
    systems = [ "synonyms" ];
    lispLibs = [  ];
  };
  sysexits = {
    pname = "sysexits";
    version = "20220707-git";
    asds = [ "sysexits" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sysexits/2022-07-07/cl-sysexits-20220707-git.tgz";
      sha256 = "1khkj0qqvmgylnvl32sks8v3iabasbcr9sj9zl89xh3rajc67z73";
      system = "sysexits";
      asd = "sysexits";
    });
    systems = [ "sysexits" ];
    lispLibs = [  ];
  };
  system-locale = {
    pname = "system-locale";
    version = "20200610-git";
    asds = [ "system-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/system-locale/2020-06-10/system-locale-20200610-git.tgz";
      sha256 = "00p5c053kmgq4ks6l9mxsqz6g3bjcybvkvj0bh3r90qgpkaawm1p";
      system = "system-locale";
      asd = "system-locale";
    });
    systems = [ "system-locale" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  t-clack-handler-fcgi = {
    pname = "t-clack-handler-fcgi";
    version = "20221106-git";
    asds = [ "t-clack-handler-fcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "t-clack-handler-fcgi";
      asd = "t-clack-handler-fcgi";
    });
    systems = [ "t-clack-handler-fcgi" ];
    lispLibs = [ (getAttr "clack-test" pkgs) ];
  };
  t-clack-handler-hunchentoot = {
    pname = "t-clack-handler-hunchentoot";
    version = "20221106-git";
    asds = [ "t-clack-handler-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "t-clack-handler-hunchentoot";
      asd = "t-clack-handler-hunchentoot";
    });
    systems = [ "t-clack-handler-hunchentoot" ];
    lispLibs = [ (getAttr "clack-handler-hunchentoot" pkgs) (getAttr "clack-test" pkgs) ];
  };
  t-clack-handler-toot = {
    pname = "t-clack-handler-toot";
    version = "20221106-git";
    asds = [ "t-clack-handler-toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "t-clack-handler-toot";
      asd = "t-clack-handler-toot";
    });
    systems = [ "t-clack-handler-toot" ];
    lispLibs = [ (getAttr "clack-handler-toot" pkgs) (getAttr "clack-test" pkgs) ];
  };
  t-clack-handler-wookie = {
    pname = "t-clack-handler-wookie";
    version = "20221106-git";
    asds = [ "t-clack-handler-wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2022-11-06/clack-20221106-git.tgz";
      sha256 = "1vg61xfgch7lqm15kz8yr5qhqz2507qg88iqpa52mddwg91yamny";
      system = "t-clack-handler-wookie";
      asd = "t-clack-handler-wookie";
    });
    systems = [ "t-clack-handler-wookie" ];
    lispLibs = [ (getAttr "clack-test" pkgs) ];
  };
  t-lack = {
    pname = "t-lack";
    version = "20221106-git";
    asds = [ "t-lack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack";
      asd = "t-lack";
    });
    systems = [ "t-lack" ];
    lispLibs = [ (getAttr "clack" pkgs) (getAttr "lack" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-component = {
    pname = "t-lack-component";
    version = "20221106-git";
    asds = [ "t-lack-component" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-component";
      asd = "t-lack-component";
    });
    systems = [ "t-lack-component" ];
    lispLibs = [ (getAttr "lack-component" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-accesslog = {
    pname = "t-lack-middleware-accesslog";
    version = "20221106-git";
    asds = [ "t-lack-middleware-accesslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-accesslog";
      asd = "t-lack-middleware-accesslog";
    });
    systems = [ "t-lack-middleware-accesslog" ];
    lispLibs = [ (getAttr "lack" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  t-lack-middleware-auth-basic = {
    pname = "t-lack-middleware-auth-basic";
    version = "20221106-git";
    asds = [ "t-lack-middleware-auth-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-auth-basic";
      asd = "t-lack-middleware-auth-basic";
    });
    systems = [ "t-lack-middleware-auth-basic" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-base64" pkgs) (getAttr "lack" pkgs) (getAttr "lack-middleware-auth-basic" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-backtrace = {
    pname = "t-lack-middleware-backtrace";
    version = "20221106-git";
    asds = [ "t-lack-middleware-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-backtrace";
      asd = "t-lack-middleware-backtrace";
    });
    systems = [ "t-lack-middleware-backtrace" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "lack" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-csrf = {
    pname = "t-lack-middleware-csrf";
    version = "20221106-git";
    asds = [ "t-lack-middleware-csrf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-csrf";
      asd = "t-lack-middleware-csrf";
    });
    systems = [ "t-lack-middleware-csrf" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "lack" pkgs) (getAttr "lack-middleware-csrf" pkgs) (getAttr "lack-request" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-mount = {
    pname = "t-lack-middleware-mount";
    version = "20221106-git";
    asds = [ "t-lack-middleware-mount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-mount";
      asd = "t-lack-middleware-mount";
    });
    systems = [ "t-lack-middleware-mount" ];
    lispLibs = [ (getAttr "lack" pkgs) (getAttr "lack-component" pkgs) (getAttr "lack-middleware-mount" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-session = {
    pname = "t-lack-middleware-session";
    version = "20221106-git";
    asds = [ "t-lack-middleware-session" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-session";
      asd = "t-lack-middleware-session";
    });
    systems = [ "t-lack-middleware-session" ];
    lispLibs = [ (getAttr "cl-cookie" pkgs) (getAttr "lack" pkgs) (getAttr "lack-middleware-session" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-middleware-static = {
    pname = "t-lack-middleware-static";
    version = "20221106-git";
    asds = [ "t-lack-middleware-static" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-middleware-static";
      asd = "t-lack-middleware-static";
    });
    systems = [ "t-lack-middleware-static" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "lack" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-request = {
    pname = "t-lack-request";
    version = "20221106-git";
    asds = [ "t-lack-request" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-request";
      asd = "t-lack-request";
    });
    systems = [ "t-lack-request" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "clack-test" pkgs) (getAttr "dexador" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "lack-request" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-session-store-dbi = {
    pname = "t-lack-session-store-dbi";
    version = "20221106-git";
    asds = [ "t-lack-session-store-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-session-store-dbi";
      asd = "t-lack-session-store-dbi";
    });
    systems = [ "t-lack-session-store-dbi" ];
    lispLibs = [ (getAttr "dbi" pkgs) (getAttr "sqlite" pkgs) (getAttr "lack" pkgs) (getAttr "lack-session-store-dbi" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-session-store-redis = {
    pname = "t-lack-session-store-redis";
    version = "20221106-git";
    asds = [ "t-lack-session-store-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-session-store-redis";
      asd = "t-lack-session-store-redis";
    });
    systems = [ "t-lack-session-store-redis" ];
    lispLibs = [ (getAttr "lack" pkgs) (getAttr "lack-session-store-redis" pkgs) (getAttr "lack-test" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  t-lack-util = {
    pname = "t-lack-util";
    version = "20221106-git";
    asds = [ "t-lack-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2022-11-06/lack-20221106-git.tgz";
      sha256 = "0yx5z4xr1pcd2g36f1jhyyaisr2p1ys1a9d7hxyigj31lq1dl9jw";
      system = "t-lack-util";
      asd = "t-lack-util";
    });
    systems = [ "t-lack-util" ];
    lispLibs = [ (getAttr "lack-test" pkgs) (getAttr "lack-util" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  ta2 = {
    pname = "ta2";
    version = "master-1a957fb2-git";
    asds = [ "ta2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "ta2";
      asd = "ta2";
    });
    systems = [ "ta2" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  tagger = {
    pname = "tagger";
    version = "20200715-git";
    asds = [ "tagger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tagger/2020-07-15/tagger-20200715-git.tgz";
      sha256 = "1mxkr5hx8p4rxc7vajgrpl49zh018wyspvww5fg50164if0n7j2q";
      system = "tagger";
      asd = "tagger";
    });
    systems = [ "tagger" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  taglib = {
    pname = "taglib";
    version = "20210411-git";
    asds = [ "taglib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/taglib/2021-04-11/taglib-20210411-git.tgz";
      sha256 = "13291kb95hwb2nbkjscjb2abn5l267cjwspaqsmr3bsdvvf0033b";
      system = "taglib";
      asd = "taglib";
    });
    systems = [ "taglib" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "optima" pkgs) (getAttr "optima_dot_ppcre" pkgs) ];
  };
  taglib-tests = {
    pname = "taglib-tests";
    version = "20210411-git";
    asds = [ "taglib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/taglib/2021-04-11/taglib-20210411-git.tgz";
      sha256 = "13291kb95hwb2nbkjscjb2abn5l267cjwspaqsmr3bsdvvf0033b";
      system = "taglib-tests";
      asd = "taglib-tests";
    });
    systems = [ "taglib-tests" ];
    lispLibs = [ (getAttr "chanl" pkgs) (getAttr "cl-fad" pkgs) (getAttr "taglib" pkgs) ];
  };
  tailrec = {
    pname = "tailrec";
    version = "20210807-git";
    asds = [ "tailrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tailrec/2021-08-07/tailrec-20210807-git.tgz";
      sha256 = "1h8m2npdzd2cpnl75pvv4yvvfwxa7kl6qvalc9s0y4yws0kaih3i";
      system = "tailrec";
      asd = "tailrec";
    });
    systems = [ "tailrec" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-macroexpand-all" pkgs) (getAttr "trivial-with-current-source-form" pkgs) ];
  };
  talcl = {
    pname = "talcl";
    version = "20180228-git";
    asds = [ "talcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl";
      asd = "talcl";
    });
    systems = [ "talcl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "buildnode" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  talcl-examples = {
    pname = "talcl-examples";
    version = "20180228-git";
    asds = [ "talcl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-examples";
      asd = "talcl";
    });
    systems = [ "talcl-examples" ];
    lispLibs = [ (getAttr "buildnode-xhtml" pkgs) (getAttr "talcl" pkgs) ];
  };
  talcl-speed-tests = {
    pname = "talcl-speed-tests";
    version = "20180228-git";
    asds = [ "talcl-speed-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-speed-tests";
      asd = "talcl";
    });
    systems = [ "talcl-speed-tests" ];
    lispLibs = [ (getAttr "buildnode-xhtml" pkgs) (getAttr "lisp-unit2" pkgs) (getAttr "talcl" pkgs) (getAttr "talcl-examples" pkgs) ];
  };
  talcl-test = {
    pname = "talcl-test";
    version = "20180228-git";
    asds = [ "talcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-test";
      asd = "talcl";
    });
    systems = [ "talcl-test" ];
    lispLibs = [ (getAttr "buildnode-xhtml" pkgs) (getAttr "lisp-unit2" pkgs) (getAttr "talcl" pkgs) ];
  };
  tap-unit-test = {
    pname = "tap-unit-test";
    version = "20171227-git";
    asds = [ "tap-unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tap-unit-test/2017-12-27/tap-unit-test-20171227-git.tgz";
      sha256 = "1fzsnpng7y4sghasl29sjicbs4v6m5mgfj8wf2izhhcn1hbhr694";
      system = "tap-unit-test";
      asd = "tap-unit-test";
    });
    systems = [ "tap-unit-test" ];
    lispLibs = [  ];
  };
  tar = {
    pname = "tar";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "tar-file" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
  };
  tar-file = {
    pname = "tar-file";
    version = "20220220-git";
    asds = [ "tar-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar-file/2022-02-20/cl-tar-file-20220220-git.tgz";
      sha256 = "0i8j05fkgdqy4c4pqj0c68sh4s3klpx9kc5wp73qwzrl3xqd2svy";
      system = "tar-file";
      asd = "tar-file";
    });
    systems = [ "tar-file" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "chipz" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uiop" pkgs) ];
  };
  tar-file_slash_test = {
    pname = "tar-file_test";
    version = "20220220-git";
    asds = [ "tar-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar-file/2022-02-20/cl-tar-file-20220220-git.tgz";
      sha256 = "0i8j05fkgdqy4c4pqj0c68sh4s3klpx9kc5wp73qwzrl3xqd2svy";
      system = "tar-file";
      asd = "tar-file";
    });
    systems = [ "tar-file/test" ];
    lispLibs = [ (getAttr "tar-file" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_common-extract = {
    pname = "tar_common-extract";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/common-extract" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_create = {
    pname = "tar_create";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/create" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_create-test = {
    pname = "tar_create-test";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/create-test" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "parachute" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_docs = {
    pname = "tar_docs";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/docs" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "tar" pkgs) (getAttr "_40ants-doc" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_extract = {
    pname = "tar_extract";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/extract" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_extract-test = {
    pname = "tar_extract-test";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/extract-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "parachute" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_simple-extract = {
    pname = "tar_simple-extract";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/simple-extract" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_simple-extract-test = {
    pname = "tar_simple-extract-test";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/simple-extract-test" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "local-time" pkgs) (getAttr "osicat" pkgs) (getAttr "parachute" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uiop" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tar_slash_test = {
    pname = "tar_test";
    version = "20220220-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2022-02-20/cl-tar-20220220-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar/test" ];
    lispLibs = [ (getAttr "tar" pkgs) (getAttr "parachute" pkgs) ];
    meta = {
      broken = true;
    };
  };
  targa = {
    pname = "targa";
    version = "20181018-git";
    asds = [ "targa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/targa/2018-10-18/targa-20181018-git.tgz";
      sha256 = "0fslb2alp4pfmp8md2q89xh8n43r8awwf343wfvkywwqdnls2zws";
      system = "targa";
      asd = "targa";
    });
    systems = [ "targa" ];
    lispLibs = [  ];
  };
  tasty = {
    pname = "tasty";
    version = "master-1a957fb2-git";
    asds = [ "tasty" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "tasty";
      asd = "tasty";
    });
    systems = [ "tasty" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) (getAttr "tree" pkgs) ];
  };
  tclcs-code = {
    pname = "tclcs-code";
    version = "20210124-git";
    asds = [ "tclcs-code" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tclcs-code/2021-01-24/tclcs-code-20210124-git.tgz";
      sha256 = "0p0g8shy284sj9ncq27zn8yj7xsrdcg2aiy2q783l6sl2ip6nfxa";
      system = "tclcs-code";
      asd = "tclcs-code";
    });
    systems = [ "tclcs-code" ];
    lispLibs = [ (getAttr "trivial-custom-debugger" pkgs) ];
  };
  tcod = {
    pname = "tcod";
    version = "20201220-git";
    asds = [ "tcod" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tcod/2020-12-20/cl-tcod-20201220-git.tgz";
      sha256 = "145h0dhxm1idblcld456cv7k00vi6p0zyn5rxkky5y4gk85ws8l5";
      system = "tcod";
      asd = "tcod";
    });
    systems = [ "tcod" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-libffi" pkgs) (getAttr "defstar" pkgs) ];
  };
  teddy = {
    pname = "teddy";
    version = "20211020-git";
    asds = [ "teddy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teddy/2021-10-20/teddy-20211020-git.tgz";
      sha256 = "108cdxckzpdixi975rr2q1kkga6jngwj7j3nhfss9pzqcsf9w9ks";
      system = "teddy";
      asd = "teddy";
    });
    systems = [ "teddy" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "asdf-finalizers" pkgs) (getAttr "list-of" pkgs) (getAttr "cl-ascii-table" pkgs) (getAttr "eazy-gnuplot" pkgs) (getAttr "hu_dot_dwim_dot_def" pkgs) (getAttr "lhstats" pkgs) (getAttr "rutils" pkgs) (getAttr "simplified-types" pkgs) ];
  };
  teepeedee2 = {
    pname = "teepeedee2";
    version = "20200218-git";
    asds = [ "teepeedee2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teepeedee2/2020-02-18/teepeedee2-20200218-git.tgz";
      sha256 = "1dz5rf5rfcbgab99nprr1pv2x44f74jgcpgxr575z021k4pby5s5";
      system = "teepeedee2";
      asd = "teepeedee2";
    });
    systems = [ "teepeedee2" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-cont" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-irregsexp" pkgs) (getAttr "iterate" pkgs) (getAttr "parenscript" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  teepeedee2-test = {
    pname = "teepeedee2-test";
    version = "20200218-git";
    asds = [ "teepeedee2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teepeedee2/2020-02-18/teepeedee2-20200218-git.tgz";
      sha256 = "1dz5rf5rfcbgab99nprr1pv2x44f74jgcpgxr575z021k4pby5s5";
      system = "teepeedee2-test";
      asd = "teepeedee2-test";
    });
    systems = [ "teepeedee2-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "teepeedee2" pkgs) ];
  };
  telnetlib = {
    pname = "telnetlib";
    version = "20141217-git";
    asds = [ "telnetlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/telnetlib/2014-12-17/telnetlib-20141217-git.tgz";
      sha256 = "1gdf6i352qkmp27nqbv6qfi7sqn5wjzdaffh6ls1y5jznqh3nb0h";
      system = "telnetlib";
      asd = "telnetlib";
    });
    systems = [ "telnetlib" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  template = {
    pname = "template";
    version = "20190307-hg";
    asds = [ "template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template/2019-03-07/template-20190307-hg.tgz";
      sha256 = "10sibwhisablzv03844bhs5qifqnysz2zw1gmnzcx4pszq16c1k1";
      system = "template";
      asd = "template";
    });
    systems = [ "template" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "parameterized-function" pkgs) ];
  };
  template-function = {
    pname = "template-function";
    version = "v0.0.1-git";
    asds = [ "template-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template-function/2017-11-30/template-function-v0.0.1-git.tgz";
      sha256 = "1nq782cdi9vr3hgqqyzvvng2sbyc09biggwq4zp7k1vmqnm6qdaf";
      system = "template-function";
      asd = "template-function";
    });
    systems = [ "template-function" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "specialization-store" pkgs) ];
  };
  template-function-tests = {
    pname = "template-function-tests";
    version = "v0.0.1-git";
    asds = [ "template-function-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template-function/2017-11-30/template-function-v0.0.1-git.tgz";
      sha256 = "1nq782cdi9vr3hgqqyzvvng2sbyc09biggwq4zp7k1vmqnm6qdaf";
      system = "template-function-tests";
      asd = "template-function-tests";
    });
    systems = [ "template-function-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "template-function" pkgs) ];
  };
  temporal-functions = {
    pname = "temporal-functions";
    version = "20171019-git";
    asds = [ "temporal-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/temporal-functions/2017-10-19/temporal-functions-20171019-git.tgz";
      sha256 = "03cbgw949g68n72nqp0nmjq9nx0kfz5zs6kpk0pwchy3i8bwf22j";
      system = "temporal-functions";
      asd = "temporal-functions";
    });
    systems = [ "temporal-functions" ];
    lispLibs = [ (getAttr "fn" pkgs) ];
  };
  temporary-file = {
    pname = "temporary-file";
    version = "20150608-git";
    asds = [ "temporary-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/temporary-file/2015-06-08/temporary-file-20150608-git.tgz";
      sha256 = "0m38lncj6bmj7gwq8vp7l0gwzmk7pfasl4samzgl2fah8hzb064a";
      system = "temporary-file";
      asd = "temporary-file";
    });
    systems = [ "temporary-file" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "unit-test" pkgs) ];
  };
  ten = {
    pname = "ten";
    version = "20220220-git";
    asds = [ "ten" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2022-02-20/ten-20220220-git.tgz";
      sha256 = "0fsd3nlqffqgd2qxh320n1lv0812byiyk0wg3ssg46vvwqwpl98s";
      system = "ten";
      asd = "ten";
    });
    systems = [ "ten" ];
    lispLibs = [ (getAttr "access" pkgs) (getAttr "cl-who" pkgs) (getAttr "esrap" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  ten_dot_examples = {
    pname = "ten.examples";
    version = "20220220-git";
    asds = [ "ten.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2022-02-20/ten-20220220-git.tgz";
      sha256 = "0fsd3nlqffqgd2qxh320n1lv0812byiyk0wg3ssg46vvwqwpl98s";
      system = "ten.examples";
      asd = "ten.examples";
    });
    systems = [ "ten.examples" ];
    lispLibs = [ (getAttr "ten" pkgs) ];
  };
  ten_dot_i18n_dot_cl-locale = {
    pname = "ten.i18n.cl-locale";
    version = "20220220-git";
    asds = [ "ten.i18n.cl-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2022-02-20/ten-20220220-git.tgz";
      sha256 = "0fsd3nlqffqgd2qxh320n1lv0812byiyk0wg3ssg46vvwqwpl98s";
      system = "ten.i18n.cl-locale";
      asd = "ten.i18n.cl-locale";
    });
    systems = [ "ten.i18n.cl-locale" ];
    lispLibs = [ (getAttr "cl-locale" pkgs) (getAttr "ten" pkgs) ];
  };
  ten_dot_i18n_dot_gettext = {
    pname = "ten.i18n.gettext";
    version = "20220220-git";
    asds = [ "ten.i18n.gettext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2022-02-20/ten-20220220-git.tgz";
      sha256 = "0fsd3nlqffqgd2qxh320n1lv0812byiyk0wg3ssg46vvwqwpl98s";
      system = "ten.i18n.gettext";
      asd = "ten.i18n.gettext";
    });
    systems = [ "ten.i18n.gettext" ];
    lispLibs = [ (getAttr "gettext" pkgs) (getAttr "ten" pkgs) ];
  };
  ten_dot_tests = {
    pname = "ten.tests";
    version = "20220220-git";
    asds = [ "ten.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2022-02-20/ten-20220220-git.tgz";
      sha256 = "0fsd3nlqffqgd2qxh320n1lv0812byiyk0wg3ssg46vvwqwpl98s";
      system = "ten.tests";
      asd = "ten.tests";
    });
    systems = [ "ten.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "ten" pkgs) (getAttr "ten_dot_examples" pkgs) ];
  };
  terminfo = {
    pname = "terminfo";
    version = "20210124-git";
    asds = [ "terminfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/terminfo/2021-01-24/terminfo-20210124-git.tgz";
      sha256 = "1nmin9rr6f75xdhxysba66xa1dh62fh27w9ad1cvmj0062armf6b";
      system = "terminfo";
      asd = "terminfo";
    });
    systems = [ "terminfo" ];
    lispLibs = [  ];
  };
  terrable = {
    pname = "terrable";
    version = "20190710-git";
    asds = [ "terrable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/terrable/2019-07-10/terrable-20190710-git.tgz";
      sha256 = "0pnqflgz410zydc1ivwnd8hcl24bgr7x12yjzr7g4lq3ibc8y97b";
      system = "terrable";
      asd = "terrable";
    });
    systems = [ "terrable" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) (getAttr "fast-io" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "static-vectors" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  tesseract-capi = {
    pname = "tesseract-capi";
    version = "20201220-git";
    asds = [ "tesseract-capi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tesseract-capi/2020-12-20/tesseract-capi-20201220-git.tgz";
      sha256 = "1g8afgzbvfk80gi05nbwp9cmmrsqm5knhqi04v1cx556vrbp6ks1";
      system = "tesseract-capi";
      asd = "tesseract-capi";
    });
    systems = [ "tesseract-capi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  test-gadgets = {
    pname = "test-gadgets";
    version = "20220220-git";
    asds = [ "test-gadgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gadgets/2022-02-20/gadgets-20220220-git.tgz";
      sha256 = "0g06wb3dciri2q93x2dcf58x5r8gq2kb86fgd2w4pr5r1wxwd1sm";
      system = "test-gadgets";
      asd = "test-gadgets";
    });
    systems = [ "test-gadgets" ];
    lispLibs = [ (getAttr "gadgets" pkgs) (getAttr "prove" pkgs) ];
  };
  test-paren6 = {
    pname = "test-paren6";
    version = "20220331-git";
    asds = [ "test-paren6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren6/2022-03-31/paren6-20220331-git.tgz";
      sha256 = "0m7z7zkc1vrwmp68f3yx0mdsb0j45dmw3iddnbvf94dpv8aywwpx";
      system = "test-paren6";
      asd = "test-paren6";
    });
    systems = [ "test-paren6" ];
    lispLibs = [ (getAttr "external-program" pkgs) (getAttr "paren6" pkgs) (getAttr "parenscript" pkgs) ];
  };
  test-serial-system = {
    pname = "test-serial-system";
    version = "20170403-git";
    asds = [ "test-serial-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-dependency-grovel/2017-04-03/asdf-dependency-grovel-20170403-git.tgz";
      sha256 = "1y4kdqsda4ira4r9dws6kxzzv6mg45q3lkmb2c9mg9q7ksc5glif";
      system = "test-serial-system";
      asd = "test-serial-system";
    });
    systems = [ "test-serial-system" ];
    lispLibs = [  ];
  };
  test-utils = {
    pname = "test-utils";
    version = "20200610-git";
    asds = [ "test-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/test-utils/2020-06-10/test-utils-20200610-git.tgz";
      sha256 = "036a8wvs37lnsf9dy3c810qk54963v7hnxx0zas25b50ikcmiqm5";
      system = "test-utils";
      asd = "test-utils";
    });
    systems = [ "test-utils" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-quickcheck" pkgs) (getAttr "prove" pkgs) ];
  };
  test_dot_eager-future2 = {
    pname = "test.eager-future2";
    version = "20191130-git";
    asds = [ "test.eager-future2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future2/2019-11-30/eager-future2-20191130-git.tgz";
      sha256 = "1qs1bv3m0ki8l5czhsflxcryh22r9d9g9a3a3b0cr0pl954q5rld";
      system = "test.eager-future2";
      asd = "test.eager-future2";
    });
    systems = [ "test.eager-future2" ];
    lispLibs = [ (getAttr "eager-future2" pkgs) (getAttr "eos" pkgs) ];
  };
  test_dot_vas-string-metrics = {
    pname = "test.vas-string-metrics";
    version = "20211209-git";
    asds = [ "test.vas-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vas-string-metrics/2021-12-09/vas-string-metrics-20211209-git.tgz";
      sha256 = "1yvkwc939dckv070nlgqfj5ys9ii2rm32m5wfx7qxdjrb4n19sx9";
      system = "test.vas-string-metrics";
      asd = "test.vas-string-metrics";
    });
    systems = [ "test.vas-string-metrics" ];
    lispLibs = [ (getAttr "vas-string-metrics" pkgs) ];
  };
  testbild = {
    pname = "testbild";
    version = "20101207-git";
    asds = [ "testbild" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testbild/2010-12-07/testbild-20101207-git.tgz";
      sha256 = "024b6rlgljcjazwg302zkdmkpxs2hirjg7g39ypppz81ns2v65sw";
      system = "testbild";
      asd = "testbild";
    });
    systems = [ "testbild" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "graylex" pkgs) ];
  };
  testbild-test = {
    pname = "testbild-test";
    version = "20101207-git";
    asds = [ "testbild-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testbild/2010-12-07/testbild-20101207-git.tgz";
      sha256 = "024b6rlgljcjazwg302zkdmkpxs2hirjg7g39ypppz81ns2v65sw";
      system = "testbild-test";
      asd = "testbild-test";
    });
    systems = [ "testbild-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-heredoc" pkgs) (getAttr "testbild" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  testiere = {
    pname = "testiere";
    version = "20221106-git";
    asds = [ "testiere" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testiere/2022-11-06/testiere-20221106-git.tgz";
      sha256 = "0q9kw18fkj9sskijy348rxfnri2pcfwxkw3mjsqkp9i2ih285hgp";
      system = "testiere";
      asd = "testiere";
    });
    systems = [ "testiere" ];
    lispLibs = [ (getAttr "trivia" pkgs) ];
  };
  texp = {
    pname = "texp";
    version = "20151218-git";
    asds = [ "texp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/texp/2015-12-18/texp-20151218-git.tgz";
      sha256 = "1sbll7jwmzd86hg0zva8r7db2565nnliasv2x6rkrm9xl97q0kg5";
      system = "texp";
      asd = "texp";
    });
    systems = [ "texp" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  text-query = {
    pname = "text-query";
    version = "1.1";
    asds = [ "text-query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/text-query/2011-11-05/text-query-1.1.tgz";
      sha256 = "082xqpfchmg2752m1lw78q6c0z3walzsmqk8gl6qnj6bdwbhf4dm";
      system = "text-query";
      asd = "text-query";
    });
    systems = [ "text-query" ];
    lispLibs = [  ];
  };
  text-subsystem = {
    pname = "text-subsystem";
    version = "20200427-git";
    asds = [ "text-subsystem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "text-subsystem";
      asd = "text-subsystem";
    });
    systems = [ "text-subsystem" ];
    lispLibs = [ (getAttr "application" pkgs) (getAttr "deflazy" pkgs) (getAttr "image-utility" pkgs) (getAttr "nsb-cga" pkgs) (getAttr "quads" pkgs) (getAttr "sucle-temp" pkgs) (getAttr "utility" pkgs) ];
  };
  text-subsystem-generate-font = {
    pname = "text-subsystem-generate-font";
    version = "20200427-git";
    asds = [ "text-subsystem-generate-font" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "text-subsystem-generate-font";
      asd = "text-subsystem-generate-font";
    });
    systems = [ "text-subsystem-generate-font" ];
    lispLibs = [ (getAttr "cl-freetype2" pkgs) (getAttr "opticl" pkgs) (getAttr "utility" pkgs) ];
  };
  textery = {
    pname = "textery";
    version = "20201220-git";
    asds = [ "textery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/textery/2020-12-20/textery-20201220-git.tgz";
      sha256 = "0v8zk1s18fi462qwvjbci8nikgs5wqjpl97ckfk0spvhybrdgwcc";
      system = "textery";
      asd = "textery";
    });
    systems = [ "textery" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "str" pkgs) (getAttr "uiop" pkgs) ];
  };
  the-cost-of-nothing = {
    pname = "the-cost-of-nothing";
    version = "20191130-git";
    asds = [ "the-cost-of-nothing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/the-cost-of-nothing/2019-11-30/the-cost-of-nothing-20191130-git.tgz";
      sha256 = "1ccrglyr1wnnfp218w1qj7yfl4yzlxkki3hqaifi5axgbi5dmmh8";
      system = "the-cost-of-nothing";
      asd = "the-cost-of-nothing";
    });
    systems = [ "the-cost-of-nothing" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "local-time" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  thnappy = {
    pname = "thnappy";
    version = "20180831-git";
    asds = [ "thnappy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thnappy/2018-08-31/thnappy-20180831-git.tgz";
      sha256 = "0p03w2mcc655gm9x3rpgixhap9l56imjyblkwv05rk6mjx7wfnrp";
      system = "thnappy";
      asd = "thnappy";
    });
    systems = [ "thnappy" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  thorn = {
    pname = "thorn";
    version = "20150608-git";
    asds = [ "thorn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn";
      asd = "thorn";
    });
    systems = [ "thorn" ];
    lispLibs = [ (getAttr "common-doc" pkgs) ];
  };
  thorn-doc = {
    pname = "thorn-doc";
    version = "20150608-git";
    asds = [ "thorn-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn-doc";
      asd = "thorn-doc";
    });
    systems = [ "thorn-doc" ];
    lispLibs = [ (getAttr "thorn" pkgs) ];
  };
  thorn-test = {
    pname = "thorn-test";
    version = "20150608-git";
    asds = [ "thorn-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn-test";
      asd = "thorn-test";
    });
    systems = [ "thorn-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "thorn" pkgs) (getAttr "thorn-doc" pkgs) ];
  };
  thread-pool = {
    pname = "thread-pool";
    version = "20120107-git";
    asds = [ "thread-pool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread-pool/2012-01-07/thread-pool-20120107-git.tgz";
      sha256 = "0wi9l0m660332w9pnc3w08m5hlsry9s0cgc3rznb5kyap68iv847";
      system = "thread-pool";
      asd = "thread-pool";
    });
    systems = [ "thread-pool" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "bordeaux-threads" pkgs) ];
  };
  thread_dot_comm_dot_rendezvous = {
    pname = "thread.comm.rendezvous";
    version = "20121013-git";
    asds = [ "thread.comm.rendezvous" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread.comm.rendezvous/2012-10-13/thread.comm.rendezvous-20121013-git.tgz";
      sha256 = "16crdy09zm20iclgln1vj0psd8ifz4rqb6g9255p0d2rkjk2rgfx";
      system = "thread.comm.rendezvous";
      asd = "thread.comm.rendezvous";
    });
    systems = [ "thread.comm.rendezvous" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-annot" pkgs) ];
  };
  thread_dot_comm_dot_rendezvous_dot_test = {
    pname = "thread.comm.rendezvous.test";
    version = "20121013-git";
    asds = [ "thread.comm.rendezvous.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread.comm.rendezvous/2012-10-13/thread.comm.rendezvous-20121013-git.tgz";
      sha256 = "16crdy09zm20iclgln1vj0psd8ifz4rqb6g9255p0d2rkjk2rgfx";
      system = "thread.comm.rendezvous.test";
      asd = "thread.comm.rendezvous.test";
    });
    systems = [ "thread.comm.rendezvous.test" ];
    lispLibs = [ (getAttr "cl-test-more" pkgs) (getAttr "thread_dot_comm_dot_rendezvous" pkgs) ];
  };
  tile-grid = {
    pname = "tile-grid";
    version = "20220707-git";
    asds = [ "tile-grid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tile-grid/2022-07-07/tile-grid-20220707-git.tgz";
      sha256 = "10sqiqspiljnk4i1v4w0dkr640cgf9nvkgmkaww3smmhyjsd9270";
      system = "tile-grid";
      asd = "tile-grid";
    });
    systems = [ "tile-grid" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) ];
  };
  time-interval = {
    pname = "time-interval";
    version = "20190202-git";
    asds = [ "time-interval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/time-interval/2019-02-02/time-interval-20190202-git.tgz";
      sha256 = "0dydlg42bwcd7sr57v8hhrd86n80d5cb5r6r2id0zyqbrijabdw5";
      system = "time-interval";
      asd = "time-interval";
    });
    systems = [ "time-interval" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "local-time" pkgs) ];
  };
  timer-wheel = {
    pname = "timer-wheel";
    version = "20180228-git";
    asds = [ "timer-wheel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/timer-wheel/2018-02-28/timer-wheel-20180228-git.tgz";
      sha256 = "12pc1dpnkwj43n1sdqhg8n8h0mb16zcx4wxly85b7bqf00s962bc";
      system = "timer-wheel";
      asd = "timer-wheel";
    });
    systems = [ "timer-wheel" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  timer-wheel_dot_examples = {
    pname = "timer-wheel.examples";
    version = "20180228-git";
    asds = [ "timer-wheel.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/timer-wheel/2018-02-28/timer-wheel-20180228-git.tgz";
      sha256 = "12pc1dpnkwj43n1sdqhg8n8h0mb16zcx4wxly85b7bqf00s962bc";
      system = "timer-wheel.examples";
      asd = "timer-wheel.examples";
    });
    systems = [ "timer-wheel.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "timer-wheel" pkgs) ];
  };
  tinaa = {
    pname = "tinaa";
    version = "20171227-git";
    asds = [ "tinaa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tinaa/2017-12-27/tinaa-20171227-git.tgz";
      sha256 = "10r1ypxphs5h7xxkl7v7r9pi2wdz1ik948mp63006hn44j7s1sa1";
      system = "tinaa";
      asd = "tinaa";
    });
    systems = [ "tinaa" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "asdf-system-connections" pkgs) (getAttr "cl-containers" pkgs) (getAttr "cl-graph" pkgs) (getAttr "defsystem-compatibility" pkgs) (getAttr "dynamic-classes" pkgs) (getAttr "lml2" pkgs) (getAttr "metatilities" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  tinaa-test = {
    pname = "tinaa-test";
    version = "20171227-git";
    asds = [ "tinaa-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tinaa/2017-12-27/tinaa-20171227-git.tgz";
      sha256 = "10r1ypxphs5h7xxkl7v7r9pi2wdz1ik948mp63006hn44j7s1sa1";
      system = "tinaa-test";
      asd = "tinaa-test";
    });
    systems = [ "tinaa-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "tinaa" pkgs) ];
  };
  tinaa_slash_with-cl-markdown = {
    pname = "tinaa_with-cl-markdown";
    version = "20171227-git";
    asds = [ "tinaa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tinaa/2017-12-27/tinaa-20171227-git.tgz";
      sha256 = "10r1ypxphs5h7xxkl7v7r9pi2wdz1ik948mp63006hn44j7s1sa1";
      system = "tinaa";
      asd = "tinaa";
    });
    systems = [ "tinaa/with-cl-markdown" ];
    lispLibs = [ (getAttr "cl-markdown" pkgs) (getAttr "tinaa" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tiny-routes = {
    pname = "tiny-routes";
    version = "20220331-git";
    asds = [ "tiny-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tiny-routes/2022-03-31/tiny-routes-20220331-git.tgz";
      sha256 = "1210j7wd9rgh95p8ccwrz5axvganag14wg10giwmj236p08869ww";
      system = "tiny-routes";
      asd = "tiny-routes";
    });
    systems = [ "tiny-routes" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "uiop" pkgs) ];
  };
  tiny-routes_slash_test = {
    pname = "tiny-routes_test";
    version = "20220331-git";
    asds = [ "tiny-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tiny-routes/2022-03-31/tiny-routes-20220331-git.tgz";
      sha256 = "1210j7wd9rgh95p8ccwrz5axvganag14wg10giwmj236p08869ww";
      system = "tiny-routes";
      asd = "tiny-routes";
    });
    systems = [ "tiny-routes/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "tiny-routes" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tm = {
    pname = "tm";
    version = "v0.8";
    asds = [ "tm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tm/2018-02-28/tm-v0.8.tgz";
      sha256 = "0lhqg5jpkzni1vzni0nnw7jb8ick1pbp04gfij2iczbi82qsw8x1";
      system = "tm";
      asd = "tm";
    });
    systems = [ "tm" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "local-time" pkgs) ];
  };
  tmpdir = {
    pname = "tmpdir";
    version = "20200218-git";
    asds = [ "tmpdir" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tmpdir/2020-02-18/tmpdir-20200218-git.tgz";
      sha256 = "11yshmg2wyd75ywwfybklm131d5rdw246pg35a6ksndiq3w5n4k8";
      system = "tmpdir";
      asd = "tmpdir";
    });
    systems = [ "tmpdir" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) ];
  };
  tmpdir_dot_tests = {
    pname = "tmpdir.tests";
    version = "20200218-git";
    asds = [ "tmpdir.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tmpdir/2020-02-18/tmpdir-20200218-git.tgz";
      sha256 = "11yshmg2wyd75ywwfybklm131d5rdw246pg35a6ksndiq3w5n4k8";
      system = "tmpdir.tests";
      asd = "tmpdir.tests";
    });
    systems = [ "tmpdir.tests" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "fiveam" pkgs) (getAttr "osicat" pkgs) (getAttr "tmpdir" pkgs) ];
  };
  toadstool = {
    pname = "toadstool";
    version = "20130615-git";
    asds = [ "toadstool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toadstool/2013-06-15/toadstool-20130615-git.tgz";
      sha256 = "0njb1mdzk0247h87db90zv7bk40mw54pq8sj35l1dwa30d5yhi6r";
      system = "toadstool";
      asd = "toadstool";
    });
    systems = [ "toadstool" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  toadstool-tests = {
    pname = "toadstool-tests";
    version = "20130615-git";
    asds = [ "toadstool-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toadstool/2013-06-15/toadstool-20130615-git.tgz";
      sha256 = "0njb1mdzk0247h87db90zv7bk40mw54pq8sj35l1dwa30d5yhi6r";
      system = "toadstool-tests";
      asd = "toadstool-tests";
    });
    systems = [ "toadstool-tests" ];
    lispLibs = [ (getAttr "stefil" pkgs) (getAttr "toadstool" pkgs) ];
  };
  toms419 = {
    pname = "toms419";
    version = "20200925-git";
    asds = [ "toms419" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms419";
      asd = "toms419";
    });
    systems = [ "toms419" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  toms419_slash_test = {
    pname = "toms419_test";
    version = "20200925-git";
    asds = [ "toms419" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms419";
      asd = "toms419";
    });
    systems = [ "toms419/test" ];
    lispLibs = [ (getAttr "toms419" pkgs) ];
    meta = {
      broken = true;
    };
  };
  toms715 = {
    pname = "toms715";
    version = "20200925-git";
    asds = [ "toms715" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms715";
      asd = "toms715";
    });
    systems = [ "toms715" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  toms715_slash_tests = {
    pname = "toms715_tests";
    version = "20200925-git";
    asds = [ "toms715" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms715";
      asd = "toms715";
    });
    systems = [ "toms715/tests" ];
    lispLibs = [ (getAttr "toms715" pkgs) ];
    meta = {
      broken = true;
    };
  };
  toms717 = {
    pname = "toms717";
    version = "20200925-git";
    asds = [ "toms717" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms717";
      asd = "toms717";
    });
    systems = [ "toms717" ];
    lispLibs = [ (getAttr "f2cl" pkgs) ];
  };
  toms717_slash_tests = {
    pname = "toms717_tests";
    version = "20200925-git";
    asds = [ "toms717" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms717";
      asd = "toms717";
    });
    systems = [ "toms717/tests" ];
    lispLibs = [ (getAttr "toms717" pkgs) ];
    meta = {
      broken = true;
    };
  };
  toot = {
    pname = "toot";
    version = "20121125-git";
    asds = [ "toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toot/2012-11-25/toot-20121125-git.tgz";
      sha256 = "1235qhkjrg1mmy6kx1vhsqvgjjgc7hk2sjssapv7xr43m71n6ivx";
      system = "toot";
      asd = "toot";
    });
    systems = [ "toot" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "chunga" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "md5" pkgs) (getAttr "puri" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "usocket" pkgs) ];
  };
  tooter = {
    pname = "tooter";
    version = "20220220-git";
    asds = [ "tooter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tooter/2022-02-20/tooter-20220220-git.tgz";
      sha256 = "02gy1hyirz5w7ik7rjqxxl8dfp1m2b135sxw6qmn1lak29ap8c5c";
      system = "tooter";
      asd = "tooter";
    });
    systems = [ "tooter" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "drakma" pkgs) (getAttr "yason" pkgs) ];
  };
  torrents = {
    pname = "torrents";
    version = "20221106-git";
    asds = [ "torrents" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-torrents/2022-11-06/cl-torrents-20221106-git.tgz";
      sha256 = "1icz98icnisz8cz669adin5x68y3ybcajy69yrma1djgd3v7inl5";
      system = "torrents";
      asd = "torrents";
    });
    systems = [ "torrents" ];
    lispLibs = [ (getAttr "access" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "cl-readline" pkgs) (getAttr "str" pkgs) (getAttr "cl-transmission" pkgs) (getAttr "clache" pkgs) (getAttr "dexador" pkgs) (getAttr "jonathan" pkgs) (getAttr "log4cl" pkgs) (getAttr "lparallel" pkgs) (getAttr "lquery" pkgs) (getAttr "mockingbird" pkgs) (getAttr "parse-float" pkgs) (getAttr "plump" pkgs) (getAttr "py-configparser" pkgs) (getAttr "replic" pkgs) (getAttr "unix-opts" pkgs) (getAttr "x_dot_let-star" pkgs) ];
  };
  torrents-test = {
    pname = "torrents-test";
    version = "20221106-git";
    asds = [ "torrents-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-torrents/2022-11-06/cl-torrents-20221106-git.tgz";
      sha256 = "1icz98icnisz8cz669adin5x68y3ybcajy69yrma1djgd3v7inl5";
      system = "torrents-test";
      asd = "torrents-test";
    });
    systems = [ "torrents-test" ];
    lispLibs = [ (getAttr "torrents" pkgs) (getAttr "mockingbird" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  torrents_slash_tk = {
    pname = "torrents_tk";
    version = "20221106-git";
    asds = [ "torrents" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-torrents/2022-11-06/cl-torrents-20221106-git.tgz";
      sha256 = "1icz98icnisz8cz669adin5x68y3ybcajy69yrma1djgd3v7inl5";
      system = "torrents";
      asd = "torrents";
    });
    systems = [ "torrents/tk" ];
    lispLibs = [ (getAttr "torrents" pkgs) (getAttr "nodgui" pkgs) ];
    meta = {
      broken = true;
    };
  };
  towers = {
    pname = "towers";
    version = "20141217-git";
    asds = [ "towers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/towers/2014-12-17/towers-20141217-git.tgz";
      sha256 = "0r89z1hfb7kmj0a4qm7ih599hlin8rhxk6pb7nnvsdjgn436dkga";
      system = "towers";
      asd = "towers";
    });
    systems = [ "towers" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-glu" pkgs) (getAttr "cl-glut" pkgs) (getAttr "cl-opengl" pkgs) ];
  };
  trace-db = {
    pname = "trace-db";
    version = "20221106-git";
    asds = [ "trace-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trace-db/2022-11-06/trace-db-20221106-git.tgz";
      sha256 = "0263y0nks377hkm6cx9017hyyw9vd4mvmnhpdfi724knljm6pllk";
      system = "trace-db";
      asd = "trace-db";
    });
    systems = [ "trace-db" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) ];
  };
  track-best = {
    pname = "track-best";
    version = "20220220-git";
    asds = [ "track-best" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/track-best/2022-02-20/track-best-20220220-git.tgz";
      sha256 = "1f59bn57y1mdq18l1ji5q8yazv73g85y1mns2xzwbmx8sgxsa6pq";
      system = "track-best";
      asd = "track-best";
    });
    systems = [ "track-best" ];
    lispLibs = [  ];
  };
  track-best_slash_tests = {
    pname = "track-best_tests";
    version = "20220220-git";
    asds = [ "track-best" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/track-best/2022-02-20/track-best-20220220-git.tgz";
      sha256 = "1f59bn57y1mdq18l1ji5q8yazv73g85y1mns2xzwbmx8sgxsa6pq";
      system = "track-best";
      asd = "track-best";
    });
    systems = [ "track-best/tests" ];
    lispLibs = [ (getAttr "nst" pkgs) (getAttr "track-best" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trainable-object = {
    pname = "trainable-object";
    version = "20191227-git";
    asds = [ "trainable-object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trainable-object/2019-12-27/trainable-object-20191227-git.tgz";
      sha256 = "06hfv039xx5vwm3qpm4kwlzlxc4zxlfcpxnbbq8x12a32ngqykwm";
      system = "trainable-object";
      asd = "trainable-object";
    });
    systems = [ "trainable-object" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "serializable-object" pkgs) ];
  };
  trainable-object_dot_test = {
    pname = "trainable-object.test";
    version = "20191227-git";
    asds = [ "trainable-object.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trainable-object/2019-12-27/trainable-object-20191227-git.tgz";
      sha256 = "06hfv039xx5vwm3qpm4kwlzlxc4zxlfcpxnbbq8x12a32ngqykwm";
      system = "trainable-object.test";
      asd = "trainable-object.test";
    });
    systems = [ "trainable-object.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trainable-object" pkgs) ];
  };
  translate = {
    pname = "translate";
    version = "20180228-git";
    asds = [ "translate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/translate/2018-02-28/translate-20180228-git.tgz";
      sha256 = "07bvdmj8x77k8pw24yhfp1xv9h40n5w717vgj3wmq703159kyjia";
      system = "translate";
      asd = "translate";
    });
    systems = [ "translate" ];
    lispLibs = [  ];
  };
  translate-client = {
    pname = "translate-client";
    version = "20180228-git";
    asds = [ "translate-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/translate-client/2018-02-28/translate-client-20180228-git.tgz";
      sha256 = "0mjzzahy5wrycik37dirwnvcd5bj5xm20cnw6cmzh0ncvb442mdx";
      system = "translate-client";
      asd = "translate-client";
    });
    systems = [ "translate-client" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "assoc-utils" pkgs) (getAttr "dexador" pkgs) (getAttr "quri" pkgs) (getAttr "yason" pkgs) ];
  };
  translate_slash_test = {
    pname = "translate_test";
    version = "20180228-git";
    asds = [ "translate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/translate/2018-02-28/translate-20180228-git.tgz";
      sha256 = "07bvdmj8x77k8pw24yhfp1xv9h40n5w717vgj3wmq703159kyjia";
      system = "translate";
      asd = "translate";
    });
    systems = [ "translate/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "translate" pkgs) ];
    meta = {
      broken = true;
    };
  };
  translators = {
    pname = "translators";
    version = "master-1a957fb2-git";
    asds = [ "translators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "translators";
      asd = "translators";
    });
    systems = [ "translators" ];
    lispLibs = [ (getAttr "gwl" pkgs) ];
  };
  transparent-wrap = {
    pname = "transparent-wrap";
    version = "20200925-git";
    asds = [ "transparent-wrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/transparent-wrap/2020-09-25/transparent-wrap-20200925-git.tgz";
      sha256 = "0ghva34ksdvczfwpjdaf97bkjxrp35fjqkxamyqf7fbadh4wmfqj";
      system = "transparent-wrap";
      asd = "transparent-wrap";
    });
    systems = [ "transparent-wrap" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" pkgs) (getAttr "named-readtables" pkgs) (getAttr "optima" pkgs) (getAttr "trivial-arguments" pkgs) ];
  };
  tree = {
    pname = "tree";
    version = "master-1a957fb2-git";
    asds = [ "tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "tree";
      asd = "tree";
    });
    systems = [ "tree" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  tree-search = {
    pname = "tree-search";
    version = "0.0.1";
    asds = [ "tree-search" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tree-search/2020-12-20/tree-search-0.0.1.tgz";
      sha256 = "10qgd5yj3n2w4j6wsq1xly0hnpdi1bhhzpia4s1gpkywhglw84zq";
      system = "tree-search";
      asd = "tree-search";
    });
    systems = [ "tree-search" ];
    lispLibs = [  ];
  };
  tree-search_slash_test = {
    pname = "tree-search_test";
    version = "0.0.1";
    asds = [ "tree-search" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tree-search/2020-12-20/tree-search-0.0.1.tgz";
      sha256 = "10qgd5yj3n2w4j6wsq1xly0hnpdi1bhhzpia4s1gpkywhglw84zq";
      system = "tree-search";
      asd = "tree-search";
    });
    systems = [ "tree-search/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "tree-search" pkgs) ];
    meta = {
      broken = true;
    };
  };
  treedb = {
    pname = "treedb";
    version = "20160825-git";
    asds = [ "treedb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb";
      asd = "treedb";
    });
    systems = [ "treedb" ];
    lispLibs = [ (getAttr "cl-json" pkgs) ];
  };
  treedb_dot_doc = {
    pname = "treedb.doc";
    version = "20160825-git";
    asds = [ "treedb.doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb.doc";
      asd = "treedb.doc";
    });
    systems = [ "treedb.doc" ];
    lispLibs = [ (getAttr "cl-gendoc" pkgs) (getAttr "treedb" pkgs) (getAttr "treedb_dot_tests" pkgs) ];
  };
  treedb_dot_tests = {
    pname = "treedb.tests";
    version = "20160825-git";
    asds = [ "treedb.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb.tests";
      asd = "treedb.tests";
    });
    systems = [ "treedb.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "treedb" pkgs) ];
  };
  trees = {
    pname = "trees";
    version = "20180131-git";
    asds = [ "trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trees/2018-01-31/trees-20180131-git.tgz";
      sha256 = "1xvydf3qc17rd7ia8sffxcpclgm3l0iyhx8k72ddk59v3pg5is4k";
      system = "trees";
      asd = "trees";
    });
    systems = [ "trees" ];
    lispLibs = [  ];
  };
  trees-tests = {
    pname = "trees-tests";
    version = "20180131-git";
    asds = [ "trees-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trees/2018-01-31/trees-20180131-git.tgz";
      sha256 = "1xvydf3qc17rd7ia8sffxcpclgm3l0iyhx8k72ddk59v3pg5is4k";
      system = "trees-tests";
      asd = "trees";
    });
    systems = [ "trees-tests" ];
    lispLibs = [ (getAttr "trees" pkgs) ];
  };
  trestrul = {
    pname = "trestrul";
    version = "20211020-git";
    asds = [ "trestrul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trestrul/2021-10-20/trestrul-20211020-git.tgz";
      sha256 = "12bghcfnfxq8l4a1jzh6vx4yna9da1xvp0b7kfdcfylnyga9ivy6";
      system = "trestrul";
      asd = "trestrul";
    });
    systems = [ "trestrul" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  trestrul_dot_test = {
    pname = "trestrul.test";
    version = "20211020-git";
    asds = [ "trestrul.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trestrul/2021-10-20/trestrul-20211020-git.tgz";
      sha256 = "12bghcfnfxq8l4a1jzh6vx4yna9da1xvp0b7kfdcfylnyga9ivy6";
      system = "trestrul.test";
      asd = "trestrul.test";
    });
    systems = [ "trestrul.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "trestrul" pkgs) ];
  };
  trivia = {
    pname = "trivia";
    version = "20220707-git";
    asds = [ "trivia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia";
      asd = "trivia";
    });
    systems = [ "trivia" ];
    lispLibs = [ (getAttr "trivia_dot_balland2006" pkgs) ];
  };
  trivia_dot_balland2006 = {
    pname = "trivia.balland2006";
    version = "20220707-git";
    asds = [ "trivia.balland2006" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.balland2006";
      asd = "trivia.balland2006";
    });
    systems = [ "trivia.balland2006" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) (getAttr "trivia_dot_trivial" pkgs) (getAttr "type-i" pkgs) ];
  };
  trivia_dot_benchmark = {
    pname = "trivia.benchmark";
    version = "20220707-git";
    asds = [ "trivia.benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.benchmark";
      asd = "trivia.benchmark";
    });
    systems = [ "trivia.benchmark" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "optima" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_balland2006" pkgs) ];
  };
  trivia_dot_benchmark_slash_run = {
    pname = "trivia.benchmark_run";
    version = "20220707-git";
    asds = [ "trivia.benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.benchmark";
      asd = "trivia.benchmark";
    });
    systems = [ "trivia.benchmark/run" ];
    lispLibs = [ (getAttr "trivia_dot_benchmark" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivia_dot_cffi = {
    pname = "trivia.cffi";
    version = "20220707-git";
    asds = [ "trivia.cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.cffi";
      asd = "trivia.cffi";
    });
    systems = [ "trivia.cffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "trivia_dot_trivial" pkgs) ];
  };
  trivia_dot_fset = {
    pname = "trivia.fset";
    version = "20220707-git";
    asds = [ "trivia.fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.fset";
      asd = "trivia.fset";
    });
    systems = [ "trivia.fset" ];
    lispLibs = [ (getAttr "fset" pkgs) (getAttr "trivia_dot_trivial" pkgs) ];
  };
  trivia_dot_level0 = {
    pname = "trivia.level0";
    version = "20220707-git";
    asds = [ "trivia.level0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.level0";
      asd = "trivia.level0";
    });
    systems = [ "trivia.level0" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  trivia_dot_level1 = {
    pname = "trivia.level1";
    version = "20220707-git";
    asds = [ "trivia.level1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.level1";
      asd = "trivia.level1";
    });
    systems = [ "trivia.level1" ];
    lispLibs = [ (getAttr "trivia_dot_level0" pkgs) ];
  };
  trivia_dot_level2 = {
    pname = "trivia.level2";
    version = "20220707-git";
    asds = [ "trivia.level2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.level2";
      asd = "trivia.level2";
    });
    systems = [ "trivia.level2" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "trivia_dot_level1" pkgs) (getAttr "trivial-cltl2" pkgs) ];
  };
  trivia_dot_ppcre = {
    pname = "trivia.ppcre";
    version = "20220707-git";
    asds = [ "trivia.ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.ppcre";
      asd = "trivia.ppcre";
    });
    systems = [ "trivia.ppcre" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "trivia_dot_trivial" pkgs) ];
  };
  trivia_dot_quasiquote = {
    pname = "trivia.quasiquote";
    version = "20220707-git";
    asds = [ "trivia.quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.quasiquote";
      asd = "trivia.quasiquote";
    });
    systems = [ "trivia.quasiquote" ];
    lispLibs = [ (getAttr "fare-quasiquote-readtable" pkgs) (getAttr "trivia_dot_trivial" pkgs) ];
  };
  trivia_dot_test = {
    pname = "trivia.test";
    version = "20220707-git";
    asds = [ "trivia.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.test";
      asd = "trivia.test";
    });
    systems = [ "trivia.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "optima" pkgs) (getAttr "trivia" pkgs) (getAttr "trivia_dot_cffi" pkgs) (getAttr "trivia_dot_fset" pkgs) (getAttr "trivia_dot_ppcre" pkgs) (getAttr "trivia_dot_quasiquote" pkgs) ];
  };
  trivia_dot_trivial = {
    pname = "trivia.trivial";
    version = "20220707-git";
    asds = [ "trivia.trivial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2022-07-07/trivia-20220707-git.tgz";
      sha256 = "0w0qnl7j833b054fm47xnlx283rd6rzxf2sl672r91h081jk9ahv";
      system = "trivia.trivial";
      asd = "trivia.trivial";
    });
    systems = [ "trivia.trivial" ];
    lispLibs = [ (getAttr "trivia_dot_level2" pkgs) ];
  };
  trivial-arguments = {
    pname = "trivial-arguments";
    version = "20200925-git";
    asds = [ "trivial-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-arguments/2020-09-25/trivial-arguments-20200925-git.tgz";
      sha256 = "02vaqfavhj8jqxnr68nnzvzshm8jbgcy6m9lvyv4daa6f7ihqf88";
      system = "trivial-arguments";
      asd = "trivial-arguments";
    });
    systems = [ "trivial-arguments" ];
    lispLibs = [  ];
  };
  trivial-backtrace = {
    pname = "trivial-backtrace";
    version = "20200610-git";
    asds = [ "trivial-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-backtrace/2020-06-10/trivial-backtrace-20200610-git.tgz";
      sha256 = "1mbaqiwj5034iw6jzw30jyhwzp1pvhnz1zcy0lns0z5j2h9ldapw";
      system = "trivial-backtrace";
      asd = "trivial-backtrace";
    });
    systems = [ "trivial-backtrace" ];
    lispLibs = [  ];
  };
  trivial-backtrace-test = {
    pname = "trivial-backtrace-test";
    version = "20200610-git";
    asds = [ "trivial-backtrace-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-backtrace/2020-06-10/trivial-backtrace-20200610-git.tgz";
      sha256 = "1mbaqiwj5034iw6jzw30jyhwzp1pvhnz1zcy0lns0z5j2h9ldapw";
      system = "trivial-backtrace-test";
      asd = "trivial-backtrace-test";
    });
    systems = [ "trivial-backtrace-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "trivial-backtrace" pkgs) ];
  };
  trivial-battery = {
    pname = "trivial-battery";
    version = "20211020-git";
    asds = [ "trivial-battery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-battery/2021-10-20/trivial-battery-20211020-git.tgz";
      sha256 = "12ni2502v9gjszhjsh0aai08cm64gl8g815xghdjhcf7y34ffl2b";
      system = "trivial-battery";
      asd = "trivial-battery";
    });
    systems = [ "trivial-battery" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  trivial-benchmark = {
    pname = "trivial-benchmark";
    version = "20220707-git";
    asds = [ "trivial-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-benchmark/2022-07-07/trivial-benchmark-20220707-git.tgz";
      sha256 = "1n8p3gjkv1fx8qfjykjvzf1b02mpv1d5s58583c1vyvc5ikjm389";
      system = "trivial-benchmark";
      asd = "trivial-benchmark";
    });
    systems = [ "trivial-benchmark" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  trivial-bit-streams = {
    pname = "trivial-bit-streams";
    version = "20190710-git";
    asds = [ "trivial-bit-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-bit-streams/2019-07-10/trivial-bit-streams-20190710-git.tgz";
      sha256 = "01xcs069934pzm8gi1xkwgd4lw37ams30i6rcgrlw8gnx4zc4zc9";
      system = "trivial-bit-streams";
      asd = "trivial-bit-streams";
    });
    systems = [ "trivial-bit-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  trivial-bit-streams-tests = {
    pname = "trivial-bit-streams-tests";
    version = "20190710-git";
    asds = [ "trivial-bit-streams-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-bit-streams/2019-07-10/trivial-bit-streams-20190710-git.tgz";
      sha256 = "01xcs069934pzm8gi1xkwgd4lw37ams30i6rcgrlw8gnx4zc4zc9";
      system = "trivial-bit-streams-tests";
      asd = "trivial-bit-streams-tests";
    });
    systems = [ "trivial-bit-streams-tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "trivial-bit-streams" pkgs) ];
  };
  trivial-build = {
    pname = "trivial-build";
    version = "20151218-git";
    asds = [ "trivial-build" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-build/2015-12-18/trivial-build-20151218-git.tgz";
      sha256 = "10h1igvryaqz6f72i57ppifysnw8swnss9395sijnk595icja7q0";
      system = "trivial-build";
      asd = "trivial-build";
    });
    systems = [ "trivial-build" ];
    lispLibs = [ (getAttr "lisp-invocation" pkgs) (getAttr "trivial-exe" pkgs) ];
  };
  trivial-build-test = {
    pname = "trivial-build-test";
    version = "20151218-git";
    asds = [ "trivial-build-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-build/2015-12-18/trivial-build-20151218-git.tgz";
      sha256 = "10h1igvryaqz6f72i57ppifysnw8swnss9395sijnk595icja7q0";
      system = "trivial-build-test";
      asd = "trivial-build-test";
    });
    systems = [ "trivial-build-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-build" pkgs) ];
  };
  trivial-channels = {
    pname = "trivial-channels";
    version = "20160421-git";
    asds = [ "trivial-channels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-channels/2016-04-21/trivial-channels-20160421-git.tgz";
      sha256 = "04wnxcgk40x8p0gxnz9arv1a5wasdqrdxa8c4p5v7r2mycfps6jj";
      system = "trivial-channels";
      asd = "trivial-channels";
    });
    systems = [ "trivial-channels" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "trivial-timeout" pkgs) ];
  };
  trivial-clipboard = {
    pname = "trivial-clipboard";
    version = "20221106-git";
    asds = [ "trivial-clipboard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-clipboard/2022-11-06/trivial-clipboard-20221106-git.tgz";
      sha256 = "0l198m1gg2ixc43lqjq1ffd80s1sjxhqf1w83qqa1cn51rra2jp8";
      system = "trivial-clipboard";
      asd = "trivial-clipboard";
    });
    systems = [ "trivial-clipboard" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  trivial-clipboard-test = {
    pname = "trivial-clipboard-test";
    version = "20221106-git";
    asds = [ "trivial-clipboard-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-clipboard/2022-11-06/trivial-clipboard-20221106-git.tgz";
      sha256 = "0l198m1gg2ixc43lqjq1ffd80s1sjxhqf1w83qqa1cn51rra2jp8";
      system = "trivial-clipboard-test";
      asd = "trivial-clipboard-test";
    });
    systems = [ "trivial-clipboard-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-clipboard" pkgs) ];
  };
  trivial-cltl2 = {
    pname = "trivial-cltl2";
    version = "20211230-git";
    asds = [ "trivial-cltl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-cltl2/2021-12-30/trivial-cltl2-20211230-git.tgz";
      sha256 = "0xx5vr0dp623m111zbfdk6x7l4jgd4wwyp6iarbj6ijq514wi3a3";
      system = "trivial-cltl2";
      asd = "trivial-cltl2";
    });
    systems = [ "trivial-cltl2" ];
    lispLibs = [  ];
  };
  trivial-coerce = {
    pname = "trivial-coerce";
    version = "20220707-git";
    asds = [ "trivial-coerce" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-coerce/2022-07-07/trivial-coerce-20220707-git.tgz";
      sha256 = "0nn8ib6j0w0mhbwl0hqi3n7svpfi1if56m9cslhslq2gs2w7qn58";
      system = "trivial-coerce";
      asd = "trivial-coerce";
    });
    systems = [ "trivial-coerce" ];
    lispLibs = [ (getAttr "ctype" pkgs) (getAttr "polymorphic-functions" pkgs) (getAttr "trivial-types" pkgs) ];
  };
  trivial-coerce_slash_tests = {
    pname = "trivial-coerce_tests";
    version = "20220707-git";
    asds = [ "trivial-coerce" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-coerce/2022-07-07/trivial-coerce-20220707-git.tgz";
      sha256 = "0nn8ib6j0w0mhbwl0hqi3n7svpfi1if56m9cslhslq2gs2w7qn58";
      system = "trivial-coerce";
      asd = "trivial-coerce";
    });
    systems = [ "trivial-coerce/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-coerce" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-compress = {
    pname = "trivial-compress";
    version = "20201220-git";
    asds = [ "trivial-compress" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-compress/2020-12-20/trivial-compress-20201220-git.tgz";
      sha256 = "1pbaz0phvzi27dgnfknscak1h27bsi16gys23kchg8y8zbm0z0g7";
      system = "trivial-compress";
      asd = "trivial-compress";
    });
    systems = [ "trivial-compress" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "archive" pkgs) (getAttr "uiop" pkgs) (getAttr "which" pkgs) (getAttr "zip" pkgs) ];
  };
  trivial-compress-test = {
    pname = "trivial-compress-test";
    version = "20201220-git";
    asds = [ "trivial-compress-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-compress/2020-12-20/trivial-compress-20201220-git.tgz";
      sha256 = "1pbaz0phvzi27dgnfknscak1h27bsi16gys23kchg8y8zbm0z0g7";
      system = "trivial-compress-test";
      asd = "trivial-compress-test";
    });
    systems = [ "trivial-compress-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-compress" pkgs) ];
  };
  trivial-continuation = {
    pname = "trivial-continuation";
    version = "20191007-git";
    asds = [ "trivial-continuation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-continuation/2019-10-07/trivial-continuation-20191007-git.tgz";
      sha256 = "1j8d8q86r60qr9pi5p3q7rqn16xpzbzygs0i9b8sn3qyxnnz5037";
      system = "trivial-continuation";
      asd = "trivial-continuation";
    });
    systems = [ "trivial-continuation" ];
    lispLibs = [ (getAttr "log4cl" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-continuation_slash_test = {
    pname = "trivial-continuation_test";
    version = "20191007-git";
    asds = [ "trivial-continuation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-continuation/2019-10-07/trivial-continuation-20191007-git.tgz";
      sha256 = "1j8d8q86r60qr9pi5p3q7rqn16xpzbzygs0i9b8sn3qyxnnz5037";
      system = "trivial-continuation";
      asd = "trivial-continuation";
    });
    systems = [ "trivial-continuation/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-continuation" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-coverage = {
    pname = "trivial-coverage";
    version = "20200218-git";
    asds = [ "trivial-coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-coverage/2020-02-18/trivial-coverage-20200218-git.tgz";
      sha256 = "1ak4mjcvzdjsjjh7j89zlnwgaamfrspxmjh2i9kg67kqn36prbsp";
      system = "trivial-coverage";
      asd = "trivial-coverage";
    });
    systems = [ "trivial-coverage" ];
    lispLibs = [ (getAttr "lquery" pkgs) ];
  };
  trivial-custom-debugger = {
    pname = "trivial-custom-debugger";
    version = "20200925-git";
    asds = [ "trivial-custom-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-custom-debugger/2020-09-25/trivial-custom-debugger-20200925-git.tgz";
      sha256 = "1iri5wsp9sc1f5q934cj87zd79r5dc8fda0gl7x1pz95v0wx28yk";
      system = "trivial-custom-debugger";
      asd = "trivial-custom-debugger";
    });
    systems = [ "trivial-custom-debugger" ];
    lispLibs = [  ];
  };
  trivial-custom-debugger_slash_test = {
    pname = "trivial-custom-debugger_test";
    version = "20200925-git";
    asds = [ "trivial-custom-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-custom-debugger/2020-09-25/trivial-custom-debugger-20200925-git.tgz";
      sha256 = "1iri5wsp9sc1f5q934cj87zd79r5dc8fda0gl7x1pz95v0wx28yk";
      system = "trivial-custom-debugger";
      asd = "trivial-custom-debugger";
    });
    systems = [ "trivial-custom-debugger/test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "trivial-custom-debugger" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-debug-console = {
    pname = "trivial-debug-console";
    version = "20150407-git";
    asds = [ "trivial-debug-console" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-debug-console/2015-04-07/trivial-debug-console-20150407-git.tgz";
      sha256 = "07r42k57vldg01hfwjhkic2hsy84c2s5zj7pl60xjl960i0lqnam";
      system = "trivial-debug-console";
      asd = "trivial-debug-console";
    });
    systems = [ "trivial-debug-console" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  trivial-do = {
    pname = "trivial-do";
    version = "20220331-git";
    asds = [ "trivial-do" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-do/2022-03-31/trivial-do-20220331-git.tgz";
      sha256 = "0vql7am4zyg6zav3l6n6q3qgdxlnchdxpgdxp8lr9sm7jra7sdsf";
      system = "trivial-do";
      asd = "trivial-do";
    });
    systems = [ "trivial-do" ];
    lispLibs = [  ];
  };
  trivial-documentation = {
    pname = "trivial-documentation";
    version = "20161204-git";
    asds = [ "trivial-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-documentation/2016-12-04/trivial-documentation-20161204-git.tgz";
      sha256 = "0y90zi6kaw7226xc089dl47677fz594a5ck1ld8yggk9ww7cdaav";
      system = "trivial-documentation";
      asd = "trivial-documentation";
    });
    systems = [ "trivial-documentation" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  trivial-documentation-test = {
    pname = "trivial-documentation-test";
    version = "20161204-git";
    asds = [ "trivial-documentation-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-documentation/2016-12-04/trivial-documentation-20161204-git.tgz";
      sha256 = "0y90zi6kaw7226xc089dl47677fz594a5ck1ld8yggk9ww7cdaav";
      system = "trivial-documentation-test";
      asd = "trivial-documentation-test";
    });
    systems = [ "trivial-documentation-test" ];
    lispLibs = [ (getAttr "trivial-documentation" pkgs) ];
  };
  trivial-download = {
    pname = "trivial-download";
    version = "20200925-git";
    asds = [ "trivial-download" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-download/2020-09-25/trivial-download-20200925-git.tgz";
      sha256 = "06f46zr3gp3wlm2kgxna24qd2gpr1v89x9fynh1x5vrw6c6hqjcv";
      system = "trivial-download";
      asd = "trivial-download";
    });
    systems = [ "trivial-download" ];
    lispLibs = [ (getAttr "drakma" pkgs) ];
  };
  trivial-dump-core = {
    pname = "trivial-dump-core";
    version = "20170227-git";
    asds = [ "trivial-dump-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-dump-core/2017-02-27/trivial-dump-core-20170227-git.tgz";
      sha256 = "08lnp84gbf3yd3gpnbjbl8jm9p42j3m4hf2f355l7lylb8kabxn8";
      system = "trivial-dump-core";
      asd = "trivial-dump-core";
    });
    systems = [ "trivial-dump-core" ];
    lispLibs = [  ];
  };
  trivial-ed-functions = {
    pname = "trivial-ed-functions";
    version = "20210807-git";
    asds = [ "trivial-ed-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ed-functions/2021-08-07/trivial-ed-functions-20210807-git.tgz";
      sha256 = "05r8n4jjcg2lci5qrjwqz913wivckgk01ivjg1barpnm0nr29qn1";
      system = "trivial-ed-functions";
      asd = "trivial-ed-functions";
    });
    systems = [ "trivial-ed-functions" ];
    lispLibs = [  ];
  };
  trivial-ed-functions_slash_test = {
    pname = "trivial-ed-functions_test";
    version = "20210807-git";
    asds = [ "trivial-ed-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ed-functions/2021-08-07/trivial-ed-functions-20210807-git.tgz";
      sha256 = "05r8n4jjcg2lci5qrjwqz913wivckgk01ivjg1barpnm0nr29qn1";
      system = "trivial-ed-functions";
      asd = "trivial-ed-functions";
    });
    systems = [ "trivial-ed-functions/test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "trivial-ed-functions" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-escapes = {
    pname = "trivial-escapes";
    version = "20180228-git";
    asds = [ "trivial-escapes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-escapes/2018-02-28/trivial-escapes-20180228-git.tgz";
      sha256 = "0v6h8lk17iqv1qkxgqjyzn8gi6v0hvq2vmfbb01md3zjvjqxn6lr";
      system = "trivial-escapes";
      asd = "trivial-escapes";
    });
    systems = [ "trivial-escapes" ];
    lispLibs = [ (getAttr "named-readtables" pkgs) ];
  };
  trivial-escapes-test = {
    pname = "trivial-escapes-test";
    version = "20180228-git";
    asds = [ "trivial-escapes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-escapes/2018-02-28/trivial-escapes-20180228-git.tgz";
      sha256 = "0v6h8lk17iqv1qkxgqjyzn8gi6v0hvq2vmfbb01md3zjvjqxn6lr";
      system = "trivial-escapes-test";
      asd = "trivial-escapes-test";
    });
    systems = [ "trivial-escapes-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-escapes" pkgs) (getAttr "uiop" pkgs) ];
  };
  trivial-exe = {
    pname = "trivial-exe";
    version = "20151218-git";
    asds = [ "trivial-exe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-exe/2015-12-18/trivial-exe-20151218-git.tgz";
      sha256 = "1ryn7gh3n057czj3hwq6lx7h25ipfjxsvddywpm2ngfdwywaqzvc";
      system = "trivial-exe";
      asd = "trivial-exe";
    });
    systems = [ "trivial-exe" ];
    lispLibs = [ (getAttr "osicat" pkgs) (getAttr "uiop" pkgs) ];
  };
  trivial-exe-test = {
    pname = "trivial-exe-test";
    version = "20151218-git";
    asds = [ "trivial-exe-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-exe/2015-12-18/trivial-exe-20151218-git.tgz";
      sha256 = "1ryn7gh3n057czj3hwq6lx7h25ipfjxsvddywpm2ngfdwywaqzvc";
      system = "trivial-exe-test";
      asd = "trivial-exe-test";
    });
    systems = [ "trivial-exe-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-exe" pkgs) ];
  };
  trivial-extensible-sequences = {
    pname = "trivial-extensible-sequences";
    version = "20221106-git";
    asds = [ "trivial-extensible-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extensible-sequences/2022-11-06/trivial-extensible-sequences-20221106-git.tgz";
      sha256 = "0352psdd8j0phjycr6ldckwspyal4jcf0f2fizi6fwdp7nvadng7";
      system = "trivial-extensible-sequences";
      asd = "trivial-extensible-sequences";
    });
    systems = [ "trivial-extensible-sequences" ];
    lispLibs = [  ];
  };
  trivial-extract = {
    pname = "trivial-extract";
    version = "20160421-git";
    asds = [ "trivial-extract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extract/2016-04-21/trivial-extract-20160421-git.tgz";
      sha256 = "0083x71f4x6b64wd8ywgaiqi0ygmdhl5rv101jcv44l3l61839sx";
      system = "trivial-extract";
      asd = "trivial-extract";
    });
    systems = [ "trivial-extract" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "archive" pkgs) (getAttr "cl-fad" pkgs) (getAttr "deflate" pkgs) (getAttr "uiop" pkgs) (getAttr "which" pkgs) (getAttr "zip" pkgs) ];
  };
  trivial-extract-test = {
    pname = "trivial-extract-test";
    version = "20160421-git";
    asds = [ "trivial-extract-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extract/2016-04-21/trivial-extract-20160421-git.tgz";
      sha256 = "0083x71f4x6b64wd8ywgaiqi0ygmdhl5rv101jcv44l3l61839sx";
      system = "trivial-extract-test";
      asd = "trivial-extract-test";
    });
    systems = [ "trivial-extract-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-extract" pkgs) ];
  };
  trivial-features = {
    pname = "trivial-features";
    version = "20211209-git";
    asds = [ "trivial-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-features/2021-12-09/trivial-features-20211209-git.tgz";
      sha256 = "0v3kvkz91zmc1y71xg0w08dwljrjngv375m14rypxi65ym1kabmk";
      system = "trivial-features";
      asd = "trivial-features";
    });
    systems = [ "trivial-features" ];
    lispLibs = [  ];
  };
  trivial-features-tests = {
    pname = "trivial-features-tests";
    version = "20211209-git";
    asds = [ "trivial-features-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-features/2021-12-09/trivial-features-20211209-git.tgz";
      sha256 = "0v3kvkz91zmc1y71xg0w08dwljrjngv375m14rypxi65ym1kabmk";
      system = "trivial-features-tests";
      asd = "trivial-features-tests";
    });
    systems = [ "trivial-features-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "rt" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  trivial-file-size = {
    pname = "trivial-file-size";
    version = "20221106-git";
    asds = [ "trivial-file-size" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-file-size/2022-11-06/trivial-file-size-20221106-git.tgz";
      sha256 = "0ji5j3zgshmfgxwg2yh599r47zaivzky646zk12jg48sb3i7q8fw";
      system = "trivial-file-size";
      asd = "trivial-file-size";
    });
    systems = [ "trivial-file-size" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  trivial-file-size_slash_tests = {
    pname = "trivial-file-size_tests";
    version = "20221106-git";
    asds = [ "trivial-file-size" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-file-size/2022-11-06/trivial-file-size-20221106-git.tgz";
      sha256 = "0ji5j3zgshmfgxwg2yh599r47zaivzky646zk12jg48sb3i7q8fw";
      system = "trivial-file-size";
      asd = "trivial-file-size";
    });
    systems = [ "trivial-file-size/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-file-size" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-garbage = {
    pname = "trivial-garbage";
    version = "20211230-git";
    asds = [ "trivial-garbage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-garbage/2021-12-30/trivial-garbage-20211230-git.tgz";
      sha256 = "1kmx5kdl4zfa8cfdjyi75z43fqzxvywavwg1s8fl5zxpflfdj8h8";
      system = "trivial-garbage";
      asd = "trivial-garbage";
    });
    systems = [ "trivial-garbage" ];
    lispLibs = [  ];
  };
  trivial-garbage_slash_tests = {
    pname = "trivial-garbage_tests";
    version = "20211230-git";
    asds = [ "trivial-garbage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-garbage/2021-12-30/trivial-garbage-20211230-git.tgz";
      sha256 = "1kmx5kdl4zfa8cfdjyi75z43fqzxvywavwg1s8fl5zxpflfdj8h8";
      system = "trivial-garbage";
      asd = "trivial-garbage";
    });
    systems = [ "trivial-garbage/tests" ];
    lispLibs = [ (getAttr "rt" pkgs) (getAttr "trivial-garbage" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-gray-streams = {
    pname = "trivial-gray-streams";
    version = "20210124-git";
    asds = [ "trivial-gray-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-gray-streams/2021-01-24/trivial-gray-streams-20210124-git.tgz";
      sha256 = "1hipqwwd5ylskybd173rvlsk7ds4w4nq1cmh9952ivm6dgh7pwzn";
      system = "trivial-gray-streams";
      asd = "trivial-gray-streams";
    });
    systems = [ "trivial-gray-streams" ];
    lispLibs = [  ];
  };
  trivial-gray-streams-test = {
    pname = "trivial-gray-streams-test";
    version = "20210124-git";
    asds = [ "trivial-gray-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-gray-streams/2021-01-24/trivial-gray-streams-20210124-git.tgz";
      sha256 = "1hipqwwd5ylskybd173rvlsk7ds4w4nq1cmh9952ivm6dgh7pwzn";
      system = "trivial-gray-streams-test";
      asd = "trivial-gray-streams-test";
    });
    systems = [ "trivial-gray-streams-test" ];
    lispLibs = [ (getAttr "trivial-gray-streams" pkgs) ];
  };
  trivial-hashtable-serialize = {
    pname = "trivial-hashtable-serialize";
    version = "20191007-git";
    asds = [ "trivial-hashtable-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-hashtable-serialize/2019-10-07/trivial-hashtable-serialize-20191007-git.tgz";
      sha256 = "06xdci47h6rpfkmrf7p9kd217jbkmkmf90ygqcmkkgf3sv5623bh";
      system = "trivial-hashtable-serialize";
      asd = "trivial-hashtable-serialize";
    });
    systems = [ "trivial-hashtable-serialize" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  trivial-http = {
    pname = "trivial-http";
    version = "20110219-http";
    asds = [ "trivial-http" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-http/2011-02-19/trivial-http-20110219-http.tgz";
      sha256 = "06mrh2bjzhfdzi48dnq0bhl2cac4v41aqck53rfm4rnsygcjsn78";
      system = "trivial-http";
      asd = "trivial-http";
    });
    systems = [ "trivial-http" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  trivial-http-test = {
    pname = "trivial-http-test";
    version = "20110219-http";
    asds = [ "trivial-http-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-http/2011-02-19/trivial-http-20110219-http.tgz";
      sha256 = "06mrh2bjzhfdzi48dnq0bhl2cac4v41aqck53rfm4rnsygcjsn78";
      system = "trivial-http-test";
      asd = "trivial-http-test";
    });
    systems = [ "trivial-http-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "trivial-http" pkgs) ];
  };
  trivial-indent = {
    pname = "trivial-indent";
    version = "20210531-git";
    asds = [ "trivial-indent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-indent/2021-05-31/trivial-indent-20210531-git.tgz";
      sha256 = "0j8ip54v0w49hi8y3cd52r4ayy3fz8zqsm6jl88xwa6v3lh05rhv";
      system = "trivial-indent";
      asd = "trivial-indent";
    });
    systems = [ "trivial-indent" ];
    lispLibs = [  ];
  };
  trivial-inspector-hook = {
    pname = "trivial-inspector-hook";
    version = "20210807-git";
    asds = [ "trivial-inspector-hook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-inspector-hook/2021-08-07/trivial-inspector-hook-20210807-git.tgz";
      sha256 = "0h9m1ps5sqgrr171czj6rq84wpy2xvggfzspvy667xsldv4xi0c2";
      system = "trivial-inspector-hook";
      asd = "trivial-inspector-hook";
    });
    systems = [ "trivial-inspector-hook" ];
    lispLibs = [  ];
  };
  trivial-irc = {
    pname = "trivial-irc";
    version = "20171019-git";
    asds = [ "trivial-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-irc/2017-10-19/trivial-irc-20171019-git.tgz";
      sha256 = "0jjgx6ld2gcr0w0g5k62dr0rl6202ydih6ylmypv6m5jmrarcbza";
      system = "trivial-irc";
      asd = "trivial-irc";
    });
    systems = [ "trivial-irc" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) (getAttr "usocket" pkgs) ];
  };
  trivial-irc-echobot = {
    pname = "trivial-irc-echobot";
    version = "20171019-git";
    asds = [ "trivial-irc-echobot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-irc/2017-10-19/trivial-irc-20171019-git.tgz";
      sha256 = "0jjgx6ld2gcr0w0g5k62dr0rl6202ydih6ylmypv6m5jmrarcbza";
      system = "trivial-irc-echobot";
      asd = "trivial-irc-echobot";
    });
    systems = [ "trivial-irc-echobot" ];
    lispLibs = [ (getAttr "trivial-irc" pkgs) ];
  };
  trivial-json-codec = {
    pname = "trivial-json-codec";
    version = "20220707-git";
    asds = [ "trivial-json-codec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-json-codec/2022-07-07/trivial-json-codec-20220707-git.tgz";
      sha256 = "1k0nnsn3nsb83gzmkrf81zqz6ydn21gzfq96r2d5690v5zkrg1kg";
      system = "trivial-json-codec";
      asd = "trivial-json-codec";
    });
    systems = [ "trivial-json-codec" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-jumptables = {
    pname = "trivial-jumptables";
    version = "1.1";
    asds = [ "trivial-jumptables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-jumptables/2019-11-30/trivial-jumptables_1.1.tgz";
      sha256 = "10ih84hkscj0l4ki3s196d9b85iil8f56ps5r8ng222i0lln1ni9";
      system = "trivial-jumptables";
      asd = "trivial-jumptables";
    });
    systems = [ "trivial-jumptables" ];
    lispLibs = [  ];
  };
  trivial-jumptables_tests = {
    pname = "trivial-jumptables_tests";
    version = "1.1";
    asds = [ "trivial-jumptables_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-jumptables/2019-11-30/trivial-jumptables_1.1.tgz";
      sha256 = "10ih84hkscj0l4ki3s196d9b85iil8f56ps5r8ng222i0lln1ni9";
      system = "trivial-jumptables_tests";
      asd = "trivial-jumptables_tests";
    });
    systems = [ "trivial-jumptables_tests" ];
    lispLibs = [ (getAttr "bubble-operator-upwards" pkgs) (getAttr "parachute" pkgs) (getAttr "trivial-jumptables" pkgs) ];
  };
  trivial-lazy = {
    pname = "trivial-lazy";
    version = "20150709-git";
    asds = [ "trivial-lazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-lazy/2015-07-09/trivial-lazy-20150709-git.tgz";
      sha256 = "0fnsz2kdb0v5cz4xl5a2c1szcif7jmnkxhbzvk6lrhzjccgyhjc7";
      system = "trivial-lazy";
      asd = "trivial-lazy";
    });
    systems = [ "trivial-lazy" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  trivial-ldap = {
    pname = "trivial-ldap";
    version = "20180711-git";
    asds = [ "trivial-ldap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ldap/2018-07-11/trivial-ldap-20180711-git.tgz";
      sha256 = "1zaa4wnk5y5ff211pkg6dl27j4pjwh56hq0246slxsdxv6kvp1z9";
      system = "trivial-ldap";
      asd = "trivial-ldap";
    });
    systems = [ "trivial-ldap" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "yacc" pkgs) (getAttr "usocket" pkgs) ];
  };
  trivial-left-pad = {
    pname = "trivial-left-pad";
    version = "20190813-git";
    asds = [ "trivial-left-pad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-left-pad/2019-08-13/trivial-left-pad-20190813-git.tgz";
      sha256 = "0q68j0x0x3z8rl577jsl3y0s3x5xiqv54sla6kds43q7821qfnwk";
      system = "trivial-left-pad";
      asd = "trivial-left-pad";
    });
    systems = [ "trivial-left-pad" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "prove-asdf" pkgs) ];
  };
  trivial-left-pad-test = {
    pname = "trivial-left-pad-test";
    version = "20190813-git";
    asds = [ "trivial-left-pad-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-left-pad/2019-08-13/trivial-left-pad-20190813-git.tgz";
      sha256 = "0q68j0x0x3z8rl577jsl3y0s3x5xiqv54sla6kds43q7821qfnwk";
      system = "trivial-left-pad-test";
      asd = "trivial-left-pad";
    });
    systems = [ "trivial-left-pad-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-left-pad" pkgs) ];
  };
  trivial-macroexpand-all = {
    pname = "trivial-macroexpand-all";
    version = "20171023-git";
    asds = [ "trivial-macroexpand-all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-macroexpand-all/2017-10-23/trivial-macroexpand-all-20171023-git.tgz";
      sha256 = "191hnn4b5j4i3crydmlzbm231kj0h7l8zj6mzj69r1npbzkas4bd";
      system = "trivial-macroexpand-all";
      asd = "trivial-macroexpand-all";
    });
    systems = [ "trivial-macroexpand-all" ];
    lispLibs = [  ];
  };
  trivial-main-thread = {
    pname = "trivial-main-thread";
    version = "20190710-git";
    asds = [ "trivial-main-thread" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-main-thread/2019-07-10/trivial-main-thread-20190710-git.tgz";
      sha256 = "0bw1887i7396lqg75qvmgjfzz4xbiq9w5dp8wxdgrcsm0qwlraw7";
      system = "trivial-main-thread";
      asd = "trivial-main-thread";
    });
    systems = [ "trivial-main-thread" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "simple-tasks" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  trivial-method-combinations = {
    pname = "trivial-method-combinations";
    version = "20191130-git";
    asds = [ "trivial-method-combinations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-method-combinations/2019-11-30/trivial-method-combinations-20191130-git.tgz";
      sha256 = "0w9w8bj835sfp797rdm7b5crpnz0xrz2q5vgbzm2p9n9jskxnxnv";
      system = "trivial-method-combinations";
      asd = "trivial-method-combinations";
    });
    systems = [ "trivial-method-combinations" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) ];
  };
  trivial-mimes = {
    pname = "trivial-mimes";
    version = "20221106-git";
    asds = [ "trivial-mimes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-mimes/2022-11-06/trivial-mimes-20221106-git.tgz";
      sha256 = "0dv76zsf701wapm0sw0hj074v8wjiynn700ri2sgkf5zbdwrza7h";
      system = "trivial-mimes";
      asd = "trivial-mimes";
    });
    systems = [ "trivial-mimes" ];
    lispLibs = [  ];
  };
  trivial-mmap = {
    pname = "trivial-mmap";
    version = "20210124-git";
    asds = [ "trivial-mmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-mmap/2021-01-24/trivial-mmap-20210124-git.tgz";
      sha256 = "1ckhd7b0ll9xcmwdh42g0v38grk2acs3kv66k1gwh539f99kzcps";
      system = "trivial-mmap";
      asd = "trivial-mmap";
    });
    systems = [ "trivial-mmap" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "osicat" pkgs) ];
  };
  trivial-monitored-thread = {
    pname = "trivial-monitored-thread";
    version = "20220707-git";
    asds = [ "trivial-monitored-thread" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-monitored-thread/2022-07-07/trivial-monitored-thread-20220707-git.tgz";
      sha256 = "1vmhc5id0qk5yh8az4j1znqc73r18pygmrnfxmwwndh1a9yf98z4";
      system = "trivial-monitored-thread";
      asd = "trivial-monitored-thread";
    });
    systems = [ "trivial-monitored-thread" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-monitored-thread_slash_test = {
    pname = "trivial-monitored-thread_test";
    version = "20220707-git";
    asds = [ "trivial-monitored-thread" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-monitored-thread/2022-07-07/trivial-monitored-thread-20220707-git.tgz";
      sha256 = "1vmhc5id0qk5yh8az4j1znqc73r18pygmrnfxmwwndh1a9yf98z4";
      system = "trivial-monitored-thread";
      asd = "trivial-monitored-thread";
    });
    systems = [ "trivial-monitored-thread/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-monitored-thread" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-msi = {
    pname = "trivial-msi";
    version = "20160208-git";
    asds = [ "trivial-msi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-msi/2016-02-08/trivial-msi-20160208-git.tgz";
      sha256 = "1mbpwnsvv30gf7z8m96kv8933s6csg4q0frx03vazp4ckplwff8w";
      system = "trivial-msi";
      asd = "trivial-msi";
    });
    systems = [ "trivial-msi" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  trivial-msi-test = {
    pname = "trivial-msi-test";
    version = "20160208-git";
    asds = [ "trivial-msi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-msi/2016-02-08/trivial-msi-20160208-git.tgz";
      sha256 = "1mbpwnsvv30gf7z8m96kv8933s6csg4q0frx03vazp4ckplwff8w";
      system = "trivial-msi-test";
      asd = "trivial-msi-test";
    });
    systems = [ "trivial-msi-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-msi" pkgs) ];
  };
  trivial-nntp = {
    pname = "trivial-nntp";
    version = "20161204-git";
    asds = [ "trivial-nntp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-nntp/2016-12-04/trivial-nntp-20161204-git.tgz";
      sha256 = "0ywwrjx4vaz117zaxqhk2b4xrb75cw1ac5xir9zhvgzkyl6wf867";
      system = "trivial-nntp";
      asd = "trivial-nntp";
    });
    systems = [ "trivial-nntp" ];
    lispLibs = [ (getAttr "cl_plus_ssl" pkgs) (getAttr "usocket" pkgs) ];
  };
  trivial-object-lock = {
    pname = "trivial-object-lock";
    version = "20220707-git";
    asds = [ "trivial-object-lock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-object-lock/2022-07-07/trivial-object-lock-20220707-git.tgz";
      sha256 = "18xwwgvshib4l2bs6m16mk0kzdp40482yf7v72nzk13v0bgnw91s";
      system = "trivial-object-lock";
      asd = "trivial-object-lock";
    });
    systems = [ "trivial-object-lock" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-object-lock_slash_test = {
    pname = "trivial-object-lock_test";
    version = "20220707-git";
    asds = [ "trivial-object-lock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-object-lock/2022-07-07/trivial-object-lock-20220707-git.tgz";
      sha256 = "18xwwgvshib4l2bs6m16mk0kzdp40482yf7v72nzk13v0bgnw91s";
      system = "trivial-object-lock";
      asd = "trivial-object-lock";
    });
    systems = [ "trivial-object-lock/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-object-lock" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-octet-streams = {
    pname = "trivial-octet-streams";
    version = "20130128-git";
    asds = [ "trivial-octet-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-octet-streams/2013-01-28/trivial-octet-streams-20130128-git.tgz";
      sha256 = "0ysnsarlzynb7jf4b63b6kkxjancxc66jwmn0sb3vxyh87siiv6n";
      system = "trivial-octet-streams";
      asd = "trivial-octet-streams";
    });
    systems = [ "trivial-octet-streams" ];
    lispLibs = [  ];
  };
  trivial-open-browser = {
    pname = "trivial-open-browser";
    version = "20160825-git";
    asds = [ "trivial-open-browser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-open-browser/2016-08-25/trivial-open-browser-20160825-git.tgz";
      sha256 = "0ixay1piq420i6adx642qhw45l6ik7rvgk52lyz27dvx5f8yqsdb";
      system = "trivial-open-browser";
      asd = "trivial-open-browser";
    });
    systems = [ "trivial-open-browser" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  trivial-openstack = {
    pname = "trivial-openstack";
    version = "20160628-git";
    asds = [ "trivial-openstack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-openstack/2016-06-28/trivial-openstack-20160628-git.tgz";
      sha256 = "0sdc6rhjqv1i7wknn44jg5xxnz70087bhfslh0izggny9d9s015i";
      system = "trivial-openstack";
      asd = "trivial-openstack";
    });
    systems = [ "trivial-openstack" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "drakma" pkgs) (getAttr "local-time" pkgs) (getAttr "st-json" pkgs) ];
  };
  trivial-openstack-test = {
    pname = "trivial-openstack-test";
    version = "20160628-git";
    asds = [ "trivial-openstack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-openstack/2016-06-28/trivial-openstack-20160628-git.tgz";
      sha256 = "0sdc6rhjqv1i7wknn44jg5xxnz70087bhfslh0izggny9d9s015i";
      system = "trivial-openstack-test";
      asd = "trivial-openstack-test";
    });
    systems = [ "trivial-openstack-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "local-time" pkgs) (getAttr "st-json" pkgs) (getAttr "trivial-openstack" pkgs) (getAttr "uri-template" pkgs) ];
  };
  trivial-package-local-nicknames = {
    pname = "trivial-package-local-nicknames";
    version = "20220220-git";
    asds = [ "trivial-package-local-nicknames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-local-nicknames/2022-02-20/trivial-package-local-nicknames-20220220-git.tgz";
      sha256 = "0p80s474czfqh7phd4qq5yjcy8q2160vxmn8pi6qlkqgdd7ix37r";
      system = "trivial-package-local-nicknames";
      asd = "trivial-package-local-nicknames";
    });
    systems = [ "trivial-package-local-nicknames" ];
    lispLibs = [  ];
  };
  trivial-package-locks = {
    pname = "trivial-package-locks";
    version = "20211230-git";
    asds = [ "trivial-package-locks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-locks/2021-12-30/trivial-package-locks-20211230-git.tgz";
      sha256 = "15wnz095mc4hvgrb5dipdvlkm3gl17f3ip333c61cn00f5lc4pq6";
      system = "trivial-package-locks";
      asd = "trivial-package-locks";
    });
    systems = [ "trivial-package-locks" ];
    lispLibs = [  ];
  };
  trivial-package-locks_slash_test = {
    pname = "trivial-package-locks_test";
    version = "20211230-git";
    asds = [ "trivial-package-locks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-locks/2021-12-30/trivial-package-locks-20211230-git.tgz";
      sha256 = "15wnz095mc4hvgrb5dipdvlkm3gl17f3ip333c61cn00f5lc4pq6";
      system = "trivial-package-locks";
      asd = "trivial-package-locks";
    });
    systems = [ "trivial-package-locks/test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "trivial-package-locks" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-package-manager = {
    pname = "trivial-package-manager";
    version = "20171227-git";
    asds = [ "trivial-package-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-manager/2017-12-27/trivial-package-manager-20171227-git.tgz";
      sha256 = "0v61x4wzamilnjyq35ki46zl9443fslv9slwqwlazfknnbp3vcq8";
      system = "trivial-package-manager";
      asd = "trivial-package-manager";
    });
    systems = [ "trivial-package-manager" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-open-browser" pkgs) ];
  };
  trivial-package-manager_dot_test = {
    pname = "trivial-package-manager.test";
    version = "20171227-git";
    asds = [ "trivial-package-manager.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-manager/2017-12-27/trivial-package-manager-20171227-git.tgz";
      sha256 = "0v61x4wzamilnjyq35ki46zl9443fslv9slwqwlazfknnbp3vcq8";
      system = "trivial-package-manager.test";
      asd = "trivial-package-manager.test";
    });
    systems = [ "trivial-package-manager.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-package-manager" pkgs) ];
  };
  trivial-pooled-database = {
    pname = "trivial-pooled-database";
    version = "20201220-git";
    asds = [ "trivial-pooled-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-pooled-database/2020-12-20/trivial-pooled-database-20201220-git.tgz";
      sha256 = "0a7c8bjl13k37b83lksklcw9sch570wgqv58cgs0dw9jcmsihqmx";
      system = "trivial-pooled-database";
      asd = "trivial-pooled-database";
    });
    systems = [ "trivial-pooled-database" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-dbi" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-object-lock" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-project = {
    pname = "trivial-project";
    version = "quicklisp-9e3fe231-git";
    asds = [ "trivial-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-project/2017-08-30/trivial-project-quicklisp-9e3fe231-git.tgz";
      sha256 = "1s5h0fgs0rq00j492xln716w9i52v90rnfcr0idjzyimicx7hk22";
      system = "trivial-project";
      asd = "trivial-project";
    });
    systems = [ "trivial-project" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  trivial-raw-io = {
    pname = "trivial-raw-io";
    version = "20141217-git";
    asds = [ "trivial-raw-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-raw-io/2014-12-17/trivial-raw-io-20141217-git.tgz";
      sha256 = "19290zw2b64k78wr62gv30pp7cmqg07q85vfwjknaffjdd73xwi1";
      system = "trivial-raw-io";
      asd = "trivial-raw-io";
    });
    systems = [ "trivial-raw-io" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  trivial-renamer = {
    pname = "trivial-renamer";
    version = "quicklisp-1282597d-git";
    asds = [ "trivial-renamer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-renamer/2017-08-30/trivial-renamer-quicklisp-1282597d-git.tgz";
      sha256 = "1nlgsayx4iw6gskg0d5vc823p0lmh414k9jiccvcsk1r17684mp8";
      system = "trivial-renamer";
      asd = "trivial-renamer";
    });
    systems = [ "trivial-renamer" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  trivial-rfc-1123 = {
    pname = "trivial-rfc-1123";
    version = "20220707-git";
    asds = [ "trivial-rfc-1123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-rfc-1123/2022-07-07/trivial-rfc-1123-20220707-git.tgz";
      sha256 = "1w4ywpj10fnp7cya62dzlxlg8nyk4lppn2pnmfixsndwr4ib1h6x";
      system = "trivial-rfc-1123";
      asd = "trivial-rfc-1123";
    });
    systems = [ "trivial-rfc-1123" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) ];
  };
  trivial-sanitize = {
    pname = "trivial-sanitize";
    version = "20221106-git";
    asds = [ "trivial-sanitize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sanitize/2022-11-06/trivial-sanitize-20221106-git.tgz";
      sha256 = "1pv36ywkqcck1vrxdwhlwjw80qkzbr6aqwyrghfng6qfc90r05f6";
      system = "trivial-sanitize";
      asd = "trivial-sanitize";
    });
    systems = [ "trivial-sanitize" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-html5-parser" pkgs) (getAttr "cl-ppcre-unicode" pkgs) (getAttr "uiop" pkgs) ];
  };
  trivial-sanitize-tests = {
    pname = "trivial-sanitize-tests";
    version = "20221106-git";
    asds = [ "trivial-sanitize-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sanitize/2022-11-06/trivial-sanitize-20221106-git.tgz";
      sha256 = "1pv36ywkqcck1vrxdwhlwjw80qkzbr6aqwyrghfng6qfc90r05f6";
      system = "trivial-sanitize-tests";
      asd = "trivial-sanitize-tests";
    });
    systems = [ "trivial-sanitize-tests" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "clunit2" pkgs) (getAttr "trivial-sanitize" pkgs) (getAttr "uiop" pkgs) ];
  };
  trivial-shell = {
    pname = "trivial-shell";
    version = "20180228-git";
    asds = [ "trivial-shell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-shell/2018-02-28/trivial-shell-20180228-git.tgz";
      sha256 = "08mpkl5ij5sjfsyn8pq2kvsvpvyvr7ha1r8g1224fa667b8k2q85";
      system = "trivial-shell";
      asd = "trivial-shell";
    });
    systems = [ "trivial-shell" ];
    lispLibs = [  ];
  };
  trivial-shell-test = {
    pname = "trivial-shell-test";
    version = "20180228-git";
    asds = [ "trivial-shell-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-shell/2018-02-28/trivial-shell-20180228-git.tgz";
      sha256 = "08mpkl5ij5sjfsyn8pq2kvsvpvyvr7ha1r8g1224fa667b8k2q85";
      system = "trivial-shell-test";
      asd = "trivial-shell-test";
    });
    systems = [ "trivial-shell-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  trivial-signal = {
    pname = "trivial-signal";
    version = "20190710-git";
    asds = [ "trivial-signal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-signal/2019-07-10/trivial-signal-20190710-git.tgz";
      sha256 = "13rh1jwh786xg235rkgqbdqga4b9jwn99zlxm0wr73rs2a5ga8ad";
      system = "trivial-signal";
      asd = "trivial-signal";
    });
    systems = [ "trivial-signal" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  trivial-sockets = {
    pname = "trivial-sockets";
    version = "20190107-git";
    asds = [ "trivial-sockets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sockets/2019-01-07/trivial-sockets-20190107-git.tgz";
      sha256 = "0xj9x5z3psxqap9c29qz1xswx5fiqxyzd35kmbw2g6z08cgb7nd0";
      system = "trivial-sockets";
      asd = "trivial-sockets";
    });
    systems = [ "trivial-sockets" ];
    lispLibs = [  ];
  };
  trivial-ssh = {
    pname = "trivial-ssh";
    version = "20191130-git";
    asds = [ "trivial-ssh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh";
      asd = "trivial-ssh";
    });
    systems = [ "trivial-ssh" ];
    lispLibs = [ (getAttr "trivial-ssh-libssh2" pkgs) ];
  };
  trivial-ssh-libssh2 = {
    pname = "trivial-ssh-libssh2";
    version = "20191130-git";
    asds = [ "trivial-ssh-libssh2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh-libssh2";
      asd = "trivial-ssh-libssh2";
    });
    systems = [ "trivial-ssh-libssh2" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "usocket" pkgs) ];
  };
  trivial-ssh-test = {
    pname = "trivial-ssh-test";
    version = "20191130-git";
    asds = [ "trivial-ssh-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh-test";
      asd = "trivial-ssh-test";
    });
    systems = [ "trivial-ssh-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-ssh" pkgs) ];
  };
  trivial-string-template = {
    pname = "trivial-string-template";
    version = "20201220-git";
    asds = [ "trivial-string-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-string-template/2020-12-20/trivial-string-template-20201220-git.tgz";
      sha256 = "1g3hm2xkskzq3dgygxbny0f5wqcyv8f7wkdh473jkya9lq7c3jph";
      system = "trivial-string-template";
      asd = "trivial-string-template";
    });
    systems = [ "trivial-string-template" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "proc-parse" pkgs) ];
  };
  trivial-string-template-test = {
    pname = "trivial-string-template-test";
    version = "20201220-git";
    asds = [ "trivial-string-template-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-string-template/2020-12-20/trivial-string-template-20201220-git.tgz";
      sha256 = "1g3hm2xkskzq3dgygxbny0f5wqcyv8f7wkdh473jkya9lq7c3jph";
      system = "trivial-string-template-test";
      asd = "trivial-string-template-test";
    });
    systems = [ "trivial-string-template-test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-string-template" pkgs) ];
  };
  trivial-tco = {
    pname = "trivial-tco";
    version = "20131003-git";
    asds = [ "trivial-tco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-tco/2013-10-03/trivial-tco-20131003-git.tgz";
      sha256 = "0j6mkchrk6bzkpdkrahagip9lxxr8rx3qj4547wg8bdqr7mm2nmi";
      system = "trivial-tco";
      asd = "trivial-tco";
    });
    systems = [ "trivial-tco" ];
    lispLibs = [  ];
  };
  trivial-tco-test = {
    pname = "trivial-tco-test";
    version = "20131003-git";
    asds = [ "trivial-tco-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-tco/2013-10-03/trivial-tco-20131003-git.tgz";
      sha256 = "0j6mkchrk6bzkpdkrahagip9lxxr8rx3qj4547wg8bdqr7mm2nmi";
      system = "trivial-tco-test";
      asd = "trivial-tco-test";
    });
    systems = [ "trivial-tco-test" ];
    lispLibs = [ (getAttr "clunit" pkgs) (getAttr "trivial-tco" pkgs) ];
  };
  trivial-thumbnail = {
    pname = "trivial-thumbnail";
    version = "20190710-git";
    asds = [ "trivial-thumbnail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-thumbnail/2019-07-10/trivial-thumbnail-20190710-git.tgz";
      sha256 = "0d1jdfab1wrc3xfzhdbq7bgjwc78qb6gs1llyjsj4cq04yhlc57a";
      system = "trivial-thumbnail";
      asd = "trivial-thumbnail";
    });
    systems = [ "trivial-thumbnail" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  trivial-timeout = {
    pname = "trivial-timeout";
    version = "20211209-git";
    asds = [ "trivial-timeout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-timeout/2021-12-09/trivial-timeout-20211209-git.tgz";
      sha256 = "0nzsb4pbk1ia49v50dmbsdc6svmiy1k9zqr9ri1nkfy01zhdvg07";
      system = "trivial-timeout";
      asd = "trivial-timeout";
    });
    systems = [ "trivial-timeout" ];
    lispLibs = [  ];
  };
  trivial-timer = {
    pname = "trivial-timer";
    version = "20210531-git";
    asds = [ "trivial-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-timer/2021-05-31/trivial-timer-20210531-git.tgz";
      sha256 = "1b8pnw613h1dngzmv3qglmfrl1jdjbxrsbqnh7rfdj0lnv43h1il";
      system = "trivial-timer";
      asd = "trivial-timer";
    });
    systems = [ "trivial-timer" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "chanl" pkgs) (getAttr "iterate" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-timer_slash_test = {
    pname = "trivial-timer_test";
    version = "20210531-git";
    asds = [ "trivial-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-timer/2021-05-31/trivial-timer-20210531-git.tgz";
      sha256 = "1b8pnw613h1dngzmv3qglmfrl1jdjbxrsbqnh7rfdj0lnv43h1il";
      system = "trivial-timer";
      asd = "trivial-timer";
    });
    systems = [ "trivial-timer/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-timer" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-types = {
    pname = "trivial-types";
    version = "20120407-git";
    asds = [ "trivial-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-types/2012-04-07/trivial-types-20120407-git.tgz";
      sha256 = "1s4cp9bdlbn8447q7w7f1wkgwrbvfzp20mgs307l5pxvdslin341";
      system = "trivial-types";
      asd = "trivial-types";
    });
    systems = [ "trivial-types" ];
    lispLibs = [  ];
  };
  trivial-update = {
    pname = "trivial-update";
    version = "20180131-git";
    asds = [ "trivial-update" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-update/2018-01-31/trivial-update-20180131-git.tgz";
      sha256 = "0dpijh9alljk0jmnkp37hfliylscs7xwvlmjkfshizmyh0qjjxir";
      system = "trivial-update";
      asd = "trivial-update";
    });
    systems = [ "trivial-update" ];
    lispLibs = [  ];
  };
  trivial-utf-8 = {
    pname = "trivial-utf-8";
    version = "20220220-git";
    asds = [ "trivial-utf-8" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utf-8/2022-02-20/trivial-utf-8-20220220-git.tgz";
      sha256 = "0gzgbyzbbhny5y1lq2x82vfy4b4p1snq1sy9lj82hdq7lkyj03ss";
      system = "trivial-utf-8";
      asd = "trivial-utf-8";
    });
    systems = [ "trivial-utf-8" ];
    lispLibs = [  ];
  };
  trivial-utf-8_slash_doc = {
    pname = "trivial-utf-8_doc";
    version = "20220220-git";
    asds = [ "trivial-utf-8" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utf-8/2022-02-20/trivial-utf-8-20220220-git.tgz";
      sha256 = "0gzgbyzbbhny5y1lq2x82vfy4b4p1snq1sy9lj82hdq7lkyj03ss";
      system = "trivial-utf-8";
      asd = "trivial-utf-8";
    });
    systems = [ "trivial-utf-8/doc" ];
    lispLibs = [ (getAttr "mgl-pax" pkgs) (getAttr "trivial-utf-8" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-utf-8_slash_tests = {
    pname = "trivial-utf-8_tests";
    version = "20220220-git";
    asds = [ "trivial-utf-8" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utf-8/2022-02-20/trivial-utf-8-20220220-git.tgz";
      sha256 = "0gzgbyzbbhny5y1lq2x82vfy4b4p1snq1sy9lj82hdq7lkyj03ss";
      system = "trivial-utf-8";
      asd = "trivial-utf-8";
    });
    systems = [ "trivial-utf-8/tests" ];
    lispLibs = [ (getAttr "trivial-utf-8" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-utilities = {
    pname = "trivial-utilities";
    version = "20220707-git";
    asds = [ "trivial-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utilities/2022-07-07/trivial-utilities-20220707-git.tgz";
      sha256 = "0k1xmn5f5dik7scadw0vyy67mik4ypnfqbhlv2vsg9afxzbpx2dz";
      system = "trivial-utilities";
      asd = "trivial-utilities";
    });
    systems = [ "trivial-utilities" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) ];
  };
  trivial-variable-bindings = {
    pname = "trivial-variable-bindings";
    version = "20191007-git";
    asds = [ "trivial-variable-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-variable-bindings/2019-10-07/trivial-variable-bindings-20191007-git.tgz";
      sha256 = "08lx5m1bspxsnv572zma1hxk3yfyk9fkmi5cvcr5riannyimdqgy";
      system = "trivial-variable-bindings";
      asd = "trivial-variable-bindings";
    });
    systems = [ "trivial-variable-bindings" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "trivial-utilities" pkgs) ];
  };
  trivial-variable-bindings_slash_test = {
    pname = "trivial-variable-bindings_test";
    version = "20191007-git";
    asds = [ "trivial-variable-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-variable-bindings/2019-10-07/trivial-variable-bindings-20191007-git.tgz";
      sha256 = "08lx5m1bspxsnv572zma1hxk3yfyk9fkmi5cvcr5riannyimdqgy";
      system = "trivial-variable-bindings";
      asd = "trivial-variable-bindings";
    });
    systems = [ "trivial-variable-bindings/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivial-variable-bindings" pkgs) ];
    meta = {
      broken = true;
    };
  };
  trivial-wish = {
    pname = "trivial-wish";
    version = "quicklisp-910afeea-git";
    asds = [ "trivial-wish" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-wish/2017-06-30/trivial-wish-quicklisp-910afeea-git.tgz";
      sha256 = "1ydb9vsanrv6slbddhxc38pq5s88k0rzgqnwabw5cgc8cp5gqvyp";
      system = "trivial-wish";
      asd = "trivial-wish";
    });
    systems = [ "trivial-wish" ];
    lispLibs = [  ];
  };
  trivial-with = {
    pname = "trivial-with";
    version = "quicklisp-2fd8ca54-git";
    asds = [ "trivial-with" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-with/2017-08-30/trivial-with-quicklisp-2fd8ca54-git.tgz";
      sha256 = "1h880j9k7piq6y5a6sywn1r43h439dd6vfymqvhgnbx458wy69sq";
      system = "trivial-with";
      asd = "trivial-with";
    });
    systems = [ "trivial-with" ];
    lispLibs = [  ];
  };
  trivial-with-current-source-form = {
    pname = "trivial-with-current-source-form";
    version = "20211020-git";
    asds = [ "trivial-with-current-source-form" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-with-current-source-form/2021-10-20/trivial-with-current-source-form-20211020-git.tgz";
      sha256 = "1114iibrds8rvwn4zrqnmvm8mvbgdzbrka53dxs1q61ajv44x8i0";
      system = "trivial-with-current-source-form";
      asd = "trivial-with-current-source-form";
    });
    systems = [ "trivial-with-current-source-form" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  trivial-ws = {
    pname = "trivial-ws";
    version = "20180131-git";
    asds = [ "trivial-ws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws";
      asd = "trivial-ws";
    });
    systems = [ "trivial-ws" ];
    lispLibs = [ (getAttr "hunchensocket" pkgs) ];
  };
  trivial-ws-client = {
    pname = "trivial-ws-client";
    version = "20180131-git";
    asds = [ "trivial-ws-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws-client";
      asd = "trivial-ws-client";
    });
    systems = [ "trivial-ws-client" ];
    lispLibs = [ (getAttr "cl-async" pkgs) (getAttr "websocket-driver" pkgs) ];
  };
  trivial-ws-test = {
    pname = "trivial-ws-test";
    version = "20180131-git";
    asds = [ "trivial-ws-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws-test";
      asd = "trivial-ws-test";
    });
    systems = [ "trivial-ws-test" ];
    lispLibs = [ (getAttr "find-port" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "trivial-ws" pkgs) (getAttr "trivial-ws-client" pkgs) ];
  };
  trivial-yenc = {
    pname = "trivial-yenc";
    version = "20161204-git";
    asds = [ "trivial-yenc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-yenc/2016-12-04/trivial-yenc-20161204-git.tgz";
      sha256 = "0jsqwixgikdinc1rq22c4dh9kgg6z0kvw9rh9sbssbmxv99sb5bf";
      system = "trivial-yenc";
      asd = "trivial-yenc";
    });
    systems = [ "trivial-yenc" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  trivialib_dot_bdd = {
    pname = "trivialib.bdd";
    version = "20211209-git";
    asds = [ "trivialib.bdd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.bdd/2021-12-09/trivialib.bdd-20211209-git.tgz";
      sha256 = "1iqpcihpm6glr0afi35z6qifj0ppl7s4h1k94fn6lqpv2js6lzbr";
      system = "trivialib.bdd";
      asd = "trivialib.bdd";
    });
    systems = [ "trivialib.bdd" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "immutable-struct" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  trivialib_dot_bdd_dot_test = {
    pname = "trivialib.bdd.test";
    version = "20211209-git";
    asds = [ "trivialib.bdd.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.bdd/2021-12-09/trivialib.bdd-20211209-git.tgz";
      sha256 = "1iqpcihpm6glr0afi35z6qifj0ppl7s4h1k94fn6lqpv2js6lzbr";
      system = "trivialib.bdd.test";
      asd = "trivialib.bdd.test";
    });
    systems = [ "trivialib.bdd.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivialib_dot_bdd" pkgs) ];
  };
  trivialib_dot_type-unify = {
    pname = "trivialib.type-unify";
    version = "20200325-git";
    asds = [ "trivialib.type-unify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.type-unify/2020-03-25/trivialib.type-unify-20200325-git.tgz";
      sha256 = "0b5ck9ldn1w3imgpxyh164bypy28kvjzkwlcyyfsc0h1njnm5jmy";
      system = "trivialib.type-unify";
      asd = "trivialib.type-unify";
    });
    systems = [ "trivialib.type-unify" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "trivia" pkgs) (getAttr "type-r" pkgs) ];
  };
  trivialib_dot_type-unify_dot_test = {
    pname = "trivialib.type-unify.test";
    version = "20200325-git";
    asds = [ "trivialib.type-unify.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.type-unify/2020-03-25/trivialib.type-unify-20200325-git.tgz";
      sha256 = "0b5ck9ldn1w3imgpxyh164bypy28kvjzkwlcyyfsc0h1njnm5jmy";
      system = "trivialib.type-unify.test";
      asd = "trivialib.type-unify.test";
    });
    systems = [ "trivialib.type-unify.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "trivialib_dot_type-unify" pkgs) ];
  };
  trucler = {
    pname = "trucler";
    version = "20220707-git";
    asds = [ "trucler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2022-07-07/trucler-20220707-git.tgz";
      sha256 = "0ra1phwy0vn4xrm5i1dvq9205m6s9fl0sr0rpiz3xjykxyl9mzms";
      system = "trucler";
      asd = "trucler";
    });
    systems = [ "trucler" ];
    lispLibs = [ (getAttr "trucler-base" pkgs) (getAttr "trucler-native" pkgs) ];
  };
  trucler-base = {
    pname = "trucler-base";
    version = "20220707-git";
    asds = [ "trucler-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2022-07-07/trucler-20220707-git.tgz";
      sha256 = "0ra1phwy0vn4xrm5i1dvq9205m6s9fl0sr0rpiz3xjykxyl9mzms";
      system = "trucler-base";
      asd = "trucler-base";
    });
    systems = [ "trucler-base" ];
    lispLibs = [ (getAttr "acclimation" pkgs) ];
  };
  trucler-native = {
    pname = "trucler-native";
    version = "20220707-git";
    asds = [ "trucler-native" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2022-07-07/trucler-20220707-git.tgz";
      sha256 = "0ra1phwy0vn4xrm5i1dvq9205m6s9fl0sr0rpiz3xjykxyl9mzms";
      system = "trucler-native";
      asd = "trucler-native";
    });
    systems = [ "trucler-native" ];
    lispLibs = [ (getAttr "trucler-base" pkgs) ];
  };
  trucler-native-test = {
    pname = "trucler-native-test";
    version = "20220707-git";
    asds = [ "trucler-native-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2022-07-07/trucler-20220707-git.tgz";
      sha256 = "0ra1phwy0vn4xrm5i1dvq9205m6s9fl0sr0rpiz3xjykxyl9mzms";
      system = "trucler-native-test";
      asd = "trucler-native-test";
    });
    systems = [ "trucler-native-test" ];
    lispLibs = [ (getAttr "trucler-base" pkgs) (getAttr "trucler-native" pkgs) ];
  };
  trucler-reference = {
    pname = "trucler-reference";
    version = "20220707-git";
    asds = [ "trucler-reference" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2022-07-07/trucler-20220707-git.tgz";
      sha256 = "0ra1phwy0vn4xrm5i1dvq9205m6s9fl0sr0rpiz3xjykxyl9mzms";
      system = "trucler-reference";
      asd = "trucler-reference";
    });
    systems = [ "trucler-reference" ];
    lispLibs = [ (getAttr "trucler-base" pkgs) ];
  };
  truetype-clx = {
    pname = "truetype-clx";
    version = "20200218-git";
    asds = [ "truetype-clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/truetype-clx/2020-02-18/truetype-clx-20200218-git.tgz";
      sha256 = "1k46xa0nclj0mpd7khnlpam6q5hgnp23jixryhvv96gx47swhddr";
      system = "truetype-clx";
      asd = "truetype-clx";
    });
    systems = [ "truetype-clx" ];
    lispLibs = [ (getAttr "cl-aa" pkgs) (getAttr "cl-paths-ttf" pkgs) (getAttr "cl-vectors" pkgs) (getAttr "zpb-ttf" pkgs) ];
  };
  try = {
    pname = "try";
    version = "20220331-git";
    asds = [ "try" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2022-03-31/try-20220331-git.tgz";
      sha256 = "03dm2i2y4wiyzz9d25zdxm6gdglnvwali0ylp0rfwpk6wf29sj09";
      system = "try";
      asd = "try";
    });
    systems = [ "try" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "try_dot_asdf" pkgs) (getAttr "uiop" pkgs) ];
  };
  try_dot_asdf = {
    pname = "try.asdf";
    version = "20220331-git";
    asds = [ "try.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2022-03-31/try-20220331-git.tgz";
      sha256 = "03dm2i2y4wiyzz9d25zdxm6gdglnvwali0ylp0rfwpk6wf29sj09";
      system = "try.asdf";
      asd = "try.asdf";
    });
    systems = [ "try.asdf" ];
    lispLibs = [  ];
  };
  try_slash_doc = {
    pname = "try_doc";
    version = "20220331-git";
    asds = [ "try" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2022-03-31/try-20220331-git.tgz";
      sha256 = "03dm2i2y4wiyzz9d25zdxm6gdglnvwali0ylp0rfwpk6wf29sj09";
      system = "try";
      asd = "try";
    });
    systems = [ "try/doc" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  try_slash_test = {
    pname = "try_test";
    version = "20220331-git";
    asds = [ "try" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2022-03-31/try-20220331-git.tgz";
      sha256 = "03dm2i2y4wiyzz9d25zdxm6gdglnvwali0ylp0rfwpk6wf29sj09";
      system = "try";
      asd = "try";
    });
    systems = [ "try/test" ];
    lispLibs = [ (getAttr "try" pkgs) ];
    meta = {
      broken = true;
    };
  };
  tsqueue = {
    pname = "tsqueue";
    version = "20221106-git";
    asds = [ "tsqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tsqueue/2022-11-06/tsqueue-20221106-git.tgz";
      sha256 = "1ifq53b95a1sdpgx1hlz31pjbh0z6izh3wrgsiqvzgkbiyxq513q";
      system = "tsqueue";
      asd = "tsqueue";
    });
    systems = [ "tsqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  ttt = {
    pname = "ttt";
    version = "20220707-git";
    asds = [ "ttt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ttt/2022-07-07/ttt-20220707-git.tgz";
      sha256 = "0g6p8gpl8hl427mfrrf8824zq6wmkj11v1xq7pyv7v0b5cwp5ccv";
      system = "ttt";
      asd = "ttt";
    });
    systems = [ "ttt" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) ];
  };
  ttt_slash_tests = {
    pname = "ttt_tests";
    version = "20220707-git";
    asds = [ "ttt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ttt/2022-07-07/ttt-20220707-git.tgz";
      sha256 = "0g6p8gpl8hl427mfrrf8824zq6wmkj11v1xq7pyv7v0b5cwp5ccv";
      system = "ttt";
      asd = "ttt";
    });
    systems = [ "ttt/tests" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "ttt" pkgs) ];
    meta = {
      broken = true;
    };
  };
  twfy = {
    pname = "twfy";
    version = "20130420-git";
    asds = [ "twfy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/twfy/2013-04-20/twfy-20130420-git.tgz";
      sha256 = "1srns5ayg7q8dzviizgm7j767dxbbyzh2ca8a5wdz3bc0qmwrsbs";
      system = "twfy";
      asd = "twfy";
    });
    systems = [ "twfy" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) ];
  };
  twitter-mongodb-driver = {
    pname = "twitter-mongodb-driver";
    version = "20180228-git";
    asds = [ "twitter-mongodb-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "twitter-mongodb-driver";
      asd = "twitter-mongodb-driver";
    });
    systems = [ "twitter-mongodb-driver" ];
    lispLibs = [ (getAttr "cl-mongo" pkgs) (getAttr "cl-twitter" pkgs) ];
  };
  type-i = {
    pname = "type-i";
    version = "20220707-git";
    asds = [ "type-i" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-i/2022-07-07/type-i-20220707-git.tgz";
      sha256 = "16d43cnrhj6313ka59ac6klwfq8hjabhvk9f9046pqd2mpyzcq50";
      system = "type-i";
      asd = "type-i";
    });
    systems = [ "type-i" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "lisp-namespace" pkgs) (getAttr "trivia_dot_trivial" pkgs) ];
  };
  type-i_dot_test = {
    pname = "type-i.test";
    version = "20220707-git";
    asds = [ "type-i.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-i/2022-07-07/type-i-20220707-git.tgz";
      sha256 = "16d43cnrhj6313ka59ac6klwfq8hjabhvk9f9046pqd2mpyzcq50";
      system = "type-i.test";
      asd = "type-i.test";
    });
    systems = [ "type-i.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "type-i" pkgs) ];
  };
  type-r = {
    pname = "type-r";
    version = "20191227-git";
    asds = [ "type-r" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-r/2019-12-27/type-r-20191227-git.tgz";
      sha256 = "1arsxc2539rg8vbrdirz4xxj1b06mc6g6rqndz7a02g127qvk2sm";
      system = "type-r";
      asd = "type-r";
    });
    systems = [ "type-r" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivia" pkgs) ];
  };
  type-r_dot_test = {
    pname = "type-r.test";
    version = "20191227-git";
    asds = [ "type-r.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-r/2019-12-27/type-r-20191227-git.tgz";
      sha256 = "1arsxc2539rg8vbrdirz4xxj1b06mc6g6rqndz7a02g127qvk2sm";
      system = "type-r.test";
      asd = "type-r.test";
    });
    systems = [ "type-r.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "type-r" pkgs) ];
  };
  typo = {
    pname = "typo";
    version = "20221106-git";
    asds = [ "typo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/typo/2022-11-06/typo-20221106-git.tgz";
      sha256 = "08cmkjl3f77rfhxbjyd6f3kinhzak30mdfphnpf73sh1vw4v0vym";
      system = "typo";
      asd = "typo";
    });
    systems = [ "typo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "introspect-environment" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-arguments" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  typo_dot_test-suite = {
    pname = "typo.test-suite";
    version = "20221106-git";
    asds = [ "typo.test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/typo/2022-11-06/typo-20221106-git.tgz";
      sha256 = "08cmkjl3f77rfhxbjyd6f3kinhzak30mdfphnpf73sh1vw4v0vym";
      system = "typo.test-suite";
      asd = "typo.test-suite";
    });
    systems = [ "typo.test-suite" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "typo" pkgs) ];
  };
  uax-14 = {
    pname = "uax-14";
    version = "20200925-git";
    asds = [ "uax-14" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-14/2020-09-25/uax-14-20200925-git.tgz";
      sha256 = "1sb2s58k01yjaggaq8i7kbyfsh6mzyqbiz1vm59smxn9qqwd8apm";
      system = "uax-14";
      asd = "uax-14";
    });
    systems = [ "uax-14" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  uax-14-test = {
    pname = "uax-14-test";
    version = "20200925-git";
    asds = [ "uax-14-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-14/2020-09-25/uax-14-20200925-git.tgz";
      sha256 = "1sb2s58k01yjaggaq8i7kbyfsh6mzyqbiz1vm59smxn9qqwd8apm";
      system = "uax-14-test";
      asd = "uax-14-test";
    });
    systems = [ "uax-14-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parachute" pkgs) (getAttr "uax-14" pkgs) ];
  };
  uax-15 = {
    pname = "uax-15";
    version = "20221106-git";
    asds = [ "uax-15" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-15/2022-11-06/uax-15-20221106-git.tgz";
      sha256 = "0kkr3sw3hqsb8ciyn8dzb1cfz260fk1y39vydc98gsfrn6nqh3vw";
      system = "uax-15";
      asd = "uax-15";
    });
    systems = [ "uax-15" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  uax-15_slash_tests = {
    pname = "uax-15_tests";
    version = "20221106-git";
    asds = [ "uax-15" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-15/2022-11-06/uax-15-20221106-git.tgz";
      sha256 = "0kkr3sw3hqsb8ciyn8dzb1cfz260fk1y39vydc98gsfrn6nqh3vw";
      system = "uax-15";
      asd = "uax-15";
    });
    systems = [ "uax-15/tests" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parachute" pkgs) (getAttr "split-sequence" pkgs) (getAttr "uax-15" pkgs) ];
    meta = {
      broken = true;
    };
  };
  uax-9 = {
    pname = "uax-9";
    version = "20191007-git";
    asds = [ "uax-9" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-9/2019-10-07/uax-9-20191007-git.tgz";
      sha256 = "0z9wfvrs5xpqw059igqdlhrvg1g87bvsxyvgwrx59dvr16v6f0h7";
      system = "uax-9";
      asd = "uax-9";
    });
    systems = [ "uax-9" ];
    lispLibs = [ (getAttr "documentation-utils" pkgs) ];
  };
  uax-9-test = {
    pname = "uax-9-test";
    version = "20191007-git";
    asds = [ "uax-9-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-9/2019-10-07/uax-9-20191007-git.tgz";
      sha256 = "0z9wfvrs5xpqw059igqdlhrvg1g87bvsxyvgwrx59dvr16v6f0h7";
      system = "uax-9-test";
      asd = "uax-9-test";
    });
    systems = [ "uax-9-test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parachute" pkgs) (getAttr "uax-9" pkgs) ];
  };
  ubiquitous = {
    pname = "ubiquitous";
    version = "20190710-git";
    asds = [ "ubiquitous" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ubiquitous/2019-07-10/ubiquitous-20190710-git.tgz";
      sha256 = "1xlkaqmjcpkiv2xl2s2pvvrv976dlc846wm16s1lj62iy1315i49";
      system = "ubiquitous";
      asd = "ubiquitous";
    });
    systems = [ "ubiquitous" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  ubiquitous-concurrent = {
    pname = "ubiquitous-concurrent";
    version = "20190710-git";
    asds = [ "ubiquitous-concurrent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ubiquitous/2019-07-10/ubiquitous-20190710-git.tgz";
      sha256 = "1xlkaqmjcpkiv2xl2s2pvvrv976dlc846wm16s1lj62iy1315i49";
      system = "ubiquitous-concurrent";
      asd = "ubiquitous-concurrent";
    });
    systems = [ "ubiquitous-concurrent" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "ubiquitous" pkgs) ];
  };
  ucons = {
    pname = "ucons";
    version = "20210228-git";
    asds = [ "ucons" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucons/2021-02-28/ucons-20210228-git.tgz";
      sha256 = "17aj47pdjiywnf33hl46p27za2q0pq5ar3fpqxaqskggxrfxmijl";
      system = "ucons";
      asd = "ucons";
    });
    systems = [ "ucons" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "atomics" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "named-readtables" pkgs) (getAttr "trivia" pkgs) ];
  };
  ucw = {
    pname = "ucw";
    version = "20160208-darcs";
    asds = [ "ucw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw";
      asd = "ucw";
    });
    systems = [ "ucw" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "ucw-core" pkgs) ];
  };
  ucw-core = {
    pname = "ucw-core";
    version = "20160208-darcs";
    asds = [ "ucw-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw-core";
      asd = "ucw-core";
    });
    systems = [ "ucw-core" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-fad" pkgs) (getAttr "closer-mop" pkgs) (getAttr "iterate" pkgs) (getAttr "local-time" pkgs) (getAttr "net-telent-date" pkgs) (getAttr "rfc2109" pkgs) (getAttr "swank" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "usocket" pkgs) (getAttr "yaclml" pkgs) ];
  };
  ucw-core_dot_test = {
    pname = "ucw-core.test";
    version = "20160208-darcs";
    asds = [ "ucw-core.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw-core.test";
      asd = "ucw-core";
    });
    systems = [ "ucw-core.test" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "iterate" pkgs) (getAttr "stefil" pkgs) (getAttr "ucw-core" pkgs) ];
  };
  ucw_dot_examples = {
    pname = "ucw.examples";
    version = "20160208-darcs";
    asds = [ "ucw.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.examples";
      asd = "ucw";
    });
    systems = [ "ucw.examples" ];
    lispLibs = [ (getAttr "ucw" pkgs) ];
  };
  ucw_dot_httpd = {
    pname = "ucw.httpd";
    version = "20160208-darcs";
    asds = [ "ucw.httpd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.httpd";
      asd = "ucw-core";
    });
    systems = [ "ucw.httpd" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "puri" pkgs) (getAttr "rfc2388-binary" pkgs) (getAttr "ucw-core" pkgs) ];
  };
  ucw_dot_manual-examples = {
    pname = "ucw.manual-examples";
    version = "20160208-darcs";
    asds = [ "ucw.manual-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.manual-examples";
      asd = "ucw";
    });
    systems = [ "ucw.manual-examples" ];
    lispLibs = [ (getAttr "ucw" pkgs) ];
  };
  uffi = {
    pname = "uffi";
    version = "20180228-git";
    asds = [ "uffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uffi/2018-02-28/uffi-20180228-git.tgz";
      sha256 = "0ywly04k8vir39ld7ids80yjn34y3y3mlpky1pr1fh9p8q412a85";
      system = "uffi";
      asd = "uffi";
    });
    systems = [ "uffi" ];
    lispLibs = [  ];
  };
  uffi-tests = {
    pname = "uffi-tests";
    version = "20180228-git";
    asds = [ "uffi-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uffi/2018-02-28/uffi-20180228-git.tgz";
      sha256 = "0ywly04k8vir39ld7ids80yjn34y3y3mlpky1pr1fh9p8q412a85";
      system = "uffi-tests";
      asd = "uffi-tests";
    });
    systems = [ "uffi-tests" ];
    lispLibs = [ (getAttr "uffi" pkgs) ];
  };
  ufo = {
    pname = "ufo";
    version = "20210807-git";
    asds = [ "ufo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ufo/2021-08-07/ufo-20210807-git.tgz";
      sha256 = "0bbq4pjnbmf1zpmh11jlriv0qnvrhw1xxnjj2y35gk75rr8rvizy";
      system = "ufo";
      asd = "ufo";
    });
    systems = [ "ufo" ];
    lispLibs = [ (getAttr "uiop" pkgs) ];
  };
  ufo-test = {
    pname = "ufo-test";
    version = "20210807-git";
    asds = [ "ufo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ufo/2021-08-07/ufo-20210807-git.tgz";
      sha256 = "0bbq4pjnbmf1zpmh11jlriv0qnvrhw1xxnjj2y35gk75rr8rvizy";
      system = "ufo-test";
      asd = "ufo-test";
    });
    systems = [ "ufo-test" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "ufo" pkgs) ];
  };
  ugly-tiny-infix-macro = {
    pname = "ugly-tiny-infix-macro";
    version = "20160825-git";
    asds = [ "ugly-tiny-infix-macro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ugly-tiny-infix-macro/2016-08-25/ugly-tiny-infix-macro-20160825-git.tgz";
      sha256 = "15bbnr3kzy3p35skm6bkyyl5ck4d264am0zyjsix5k58d9fli3ii";
      system = "ugly-tiny-infix-macro";
      asd = "ugly-tiny-infix-macro";
    });
    systems = [ "ugly-tiny-infix-macro" ];
    lispLibs = [  ];
  };
  uiop = {
    pname = "uiop";
    version = "3.3.6";
    asds = [ "uiop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uiop/2022-11-06/uiop-3.3.6.tgz";
      sha256 = "080lcdw90j30gg2vv9bnwj21aq08mp1kk4nax3ffkjssnrnjwhmr";
      system = "uiop";
      asd = "uiop";
    });
    systems = [ "uiop" ];
    lispLibs = [  ];
  };
  umbra = {
    pname = "umbra";
    version = "20220707-git";
    asds = [ "umbra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umbra/2022-07-07/umbra-20220707-git.tgz";
      sha256 = "125bsf69gzdy0r6jh6fz8000rqww1rji354x0yrgmkz9x3mvz4k4";
      system = "umbra";
      asd = "umbra";
    });
    systems = [ "umbra" ];
    lispLibs = [ (getAttr "mfiano-utils" pkgs) (getAttr "shadow" pkgs) (getAttr "varjo" pkgs) ];
  };
  umlisp = {
    pname = "umlisp";
    version = "20210411-git";
    asds = [ "umlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp/2021-04-11/umlisp-20210411-git.tgz";
      sha256 = "1yyyn1qka4iw3hwii7i8k939dbwvhn543m8qclk2ajggkdky4mqb";
      system = "umlisp";
      asd = "umlisp";
    });
    systems = [ "umlisp" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-mysql" pkgs) (getAttr "hyperobject" pkgs) (getAttr "kmrcl" pkgs) ];
  };
  umlisp-orf = {
    pname = "umlisp-orf";
    version = "20150923-git";
    asds = [ "umlisp-orf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp-orf/2015-09-23/umlisp-orf-20150923-git.tgz";
      sha256 = "187i9rcj3rymi8hmlvglvig7yqandzzx57x0rzr4yfv8sgnb82qx";
      system = "umlisp-orf";
      asd = "umlisp-orf";
    });
    systems = [ "umlisp-orf" ];
    lispLibs = [ (getAttr "clsql" pkgs) (getAttr "clsql-postgresql-socket" pkgs) (getAttr "hyperobject" pkgs) (getAttr "kmrcl" pkgs) ];
  };
  umlisp-tests = {
    pname = "umlisp-tests";
    version = "20210411-git";
    asds = [ "umlisp-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp/2021-04-11/umlisp-20210411-git.tgz";
      sha256 = "1yyyn1qka4iw3hwii7i8k939dbwvhn543m8qclk2ajggkdky4mqb";
      system = "umlisp-tests";
      asd = "umlisp-tests";
    });
    systems = [ "umlisp-tests" ];
    lispLibs = [ (getAttr "rt" pkgs) (getAttr "umlisp" pkgs) ];
  };
  uncommon-lisp = {
    pname = "uncommon-lisp";
    version = "20200427-git";
    asds = [ "uncommon-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "uncommon-lisp";
      asd = "uncommon-lisp";
    });
    systems = [ "uncommon-lisp" ];
    lispLibs = [ (getAttr "structy-defclass" pkgs) ];
  };
  uncursed = {
    pname = "uncursed";
    version = "20220220-git";
    asds = [ "uncursed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uncursed/2022-02-20/uncursed-20220220-git.tgz";
      sha256 = "1hydiwh12851rrm12y0a6pb2jml2cjdk8wxvz4c00d2xwraqc6mr";
      system = "uncursed";
      asd = "uncursed";
    });
    systems = [ "uncursed" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "cl-setlocale" pkgs) (getAttr "terminfo" pkgs) ];
  };
  uncursed-examples = {
    pname = "uncursed-examples";
    version = "20220220-git";
    asds = [ "uncursed-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uncursed/2022-02-20/uncursed-20220220-git.tgz";
      sha256 = "1hydiwh12851rrm12y0a6pb2jml2cjdk8wxvz4c00d2xwraqc6mr";
      system = "uncursed-examples";
      asd = "uncursed-examples";
    });
    systems = [ "uncursed-examples" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) (getAttr "uncursed" pkgs) ];
  };
  unicly = {
    pname = "unicly";
    version = "20210124-git";
    asds = [ "unicly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unicly/2021-01-24/unicly-20210124-git.tgz";
      sha256 = "1f29zc1gmnsmb84hbsvacg02bqfiq2mv9wgr0hhf3bjbji5jh5zb";
      system = "unicly";
      asd = "unicly";
    });
    systems = [ "unicly" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  unifgram = {
    pname = "unifgram";
    version = "20180228-git";
    asds = [ "unifgram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paiprolog/2018-02-28/paiprolog-20180228-git.tgz";
      sha256 = "1nxz01i6f8s920gm69r2kwjdpq9pli8b2ayqwijhzgjwi0r4jj9r";
      system = "unifgram";
      asd = "unifgram";
    });
    systems = [ "unifgram" ];
    lispLibs = [ (getAttr "paiprolog" pkgs) ];
  };
  unit-formulas = {
    pname = "unit-formulas";
    version = "20180711-git";
    asds = [ "unit-formulas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unit-formula/2018-07-11/unit-formula-20180711-git.tgz";
      sha256 = "1j9zcnyj2ik7f2130pkfwr2bhh5ldlgc83n1024w0dy95ksl1f20";
      system = "unit-formulas";
      asd = "unit-formulas";
    });
    systems = [ "unit-formulas" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "iterate" pkgs) ];
  };
  unit-test = {
    pname = "unit-test";
    version = "20120520-git";
    asds = [ "unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unit-test/2012-05-20/unit-test-20120520-git.tgz";
      sha256 = "11hpksz56iqkv7jw25p2a8r3n9dj922fyarn16d98589g6hdskj9";
      system = "unit-test";
      asd = "unit-test";
    });
    systems = [ "unit-test" ];
    lispLibs = [  ];
  };
  universal-config = {
    pname = "universal-config";
    version = "20180430-git";
    asds = [ "universal-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/universal-config/2018-04-30/universal-config-20180430-git.tgz";
      sha256 = "17sjd37jwsi47yhsj9qsnfyhyrlhlxdrxa4szklwjh489hf01hd0";
      system = "universal-config";
      asd = "universal-config";
    });
    systems = [ "universal-config" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "parse-float" pkgs) ];
  };
  unix-options = {
    pname = "unix-options";
    version = "20151031-git";
    asds = [ "unix-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unix-options/2015-10-31/unix-options-20151031-git.tgz";
      sha256 = "17q7irrbmaja7gj86h01ali9n9p782jxisgkb1r2q5ajf4lr1rsv";
      system = "unix-options";
      asd = "unix-options";
    });
    systems = [ "unix-options" ];
    lispLibs = [  ];
  };
  unix-opts = {
    pname = "unix-opts";
    version = "20210124-git";
    asds = [ "unix-opts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unix-opts/2021-01-24/unix-opts-20210124-git.tgz";
      sha256 = "16mcqpzwrz808p9n3wwl99ckg3hg7yihw08y1i4l7c92aldbkasq";
      system = "unix-opts";
      asd = "unix-opts";
    });
    systems = [ "unix-opts" ];
    lispLibs = [  ];
  };
  unix-opts_slash_tests = {
    pname = "unix-opts_tests";
    version = "20210124-git";
    asds = [ "unix-opts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unix-opts/2021-01-24/unix-opts-20210124-git.tgz";
      sha256 = "16mcqpzwrz808p9n3wwl99ckg3hg7yihw08y1i4l7c92aldbkasq";
      system = "unix-opts";
      asd = "unix-opts";
    });
    systems = [ "unix-opts/tests" ];
    lispLibs = [ (getAttr "unix-opts" pkgs) ];
    meta = {
      broken = true;
    };
  };
  unix-sockets = {
    pname = "unix-sockets";
    version = "20221106-git";
    asds = [ "unix-sockets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unix-sockets/2022-11-06/cl-unix-sockets-20221106-git.tgz";
      sha256 = "1kbayll54228mmikw22isqv1p99i3bznvy0l661rjjhq2r2al8cb";
      system = "unix-sockets";
      asd = "unix-sockets";
    });
    systems = [ "unix-sockets" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "uffi" pkgs) ];
  };
  unix-sockets_dot_tests = {
    pname = "unix-sockets.tests";
    version = "20221106-git";
    asds = [ "unix-sockets.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unix-sockets/2022-11-06/cl-unix-sockets-20221106-git.tgz";
      sha256 = "1kbayll54228mmikw22isqv1p99i3bznvy0l661rjjhq2r2al8cb";
      system = "unix-sockets.tests";
      asd = "unix-sockets.tests";
    });
    systems = [ "unix-sockets.tests" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "unix-sockets" pkgs) (getAttr "fiveam" pkgs) (getAttr "tmpdir" pkgs) (getAttr "trivial-timeout" pkgs) ];
  };
  uri-template = {
    pname = "uri-template";
    version = "1.3.1";
    asds = [ "uri-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uri-template/2019-08-13/uri-template-1.3.1.tgz";
      sha256 = "06n5kmjax64kv57ng5g2030a67z131i4wm53npg9zq2xlj9sprd8";
      system = "uri-template";
      asd = "uri-template";
    });
    systems = [ "uri-template" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "named-readtables" pkgs) ];
  };
  uri-template_dot_test = {
    pname = "uri-template.test";
    version = "1.3.1";
    asds = [ "uri-template.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uri-template/2019-08-13/uri-template-1.3.1.tgz";
      sha256 = "06n5kmjax64kv57ng5g2030a67z131i4wm53npg9zq2xlj9sprd8";
      system = "uri-template.test";
      asd = "uri-template.test";
    });
    systems = [ "uri-template.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "uri-template" pkgs) ];
  };
  url-rewrite = {
    pname = "url-rewrite";
    version = "20171227-git";
    asds = [ "url-rewrite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/url-rewrite/2017-12-27/url-rewrite-20171227-git.tgz";
      sha256 = "0d3awcb938ajiylyfnbqsc7nndy6csx0qz1bcyr4f0p862w3xbqf";
      system = "url-rewrite";
      asd = "url-rewrite";
    });
    systems = [ "url-rewrite" ];
    lispLibs = [  ];
  };
  userial = {
    pname = "userial";
    version = "0.8.2011.06.02";
    asds = [ "userial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/userial/2011-06-19/userial_0.8.2011.06.02.tgz";
      sha256 = "08f8hc1f81gyn4br9p732p8r2gl6cvccd4yzc9ydz4i0ijclpp2m";
      system = "userial";
      asd = "userial";
    });
    systems = [ "userial" ];
    lispLibs = [ (getAttr "contextl" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  userial-tests = {
    pname = "userial-tests";
    version = "0.8.2011.06.02";
    asds = [ "userial-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/userial/2011-06-19/userial_0.8.2011.06.02.tgz";
      sha256 = "08f8hc1f81gyn4br9p732p8r2gl6cvccd4yzc9ydz4i0ijclpp2m";
      system = "userial-tests";
      asd = "userial-tests";
    });
    systems = [ "userial-tests" ];
    lispLibs = [ (getAttr "nst" pkgs) (getAttr "userial" pkgs) ];
  };
  usocket = {
    pname = "usocket";
    version = "0.8.5";
    asds = [ "usocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2022-11-06/usocket-0.8.5.tgz";
      sha256 = "1pn5mf4d9g3b7h0vfx0mh7rlrydfbk8q35pg4ip6prf4zyg70wba";
      system = "usocket";
      asd = "usocket";
    });
    systems = [ "usocket" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  usocket-server = {
    pname = "usocket-server";
    version = "0.8.5";
    asds = [ "usocket-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2022-11-06/usocket-0.8.5.tgz";
      sha256 = "1pn5mf4d9g3b7h0vfx0mh7rlrydfbk8q35pg4ip6prf4zyg70wba";
      system = "usocket-server";
      asd = "usocket-server";
    });
    systems = [ "usocket-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "usocket" pkgs) ];
  };
  usocket-test = {
    pname = "usocket-test";
    version = "0.8.5";
    asds = [ "usocket-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2022-11-06/usocket-0.8.5.tgz";
      sha256 = "1pn5mf4d9g3b7h0vfx0mh7rlrydfbk8q35pg4ip6prf4zyg70wba";
      system = "usocket-test";
      asd = "usocket-test";
    });
    systems = [ "usocket-test" ];
    lispLibs = [ (getAttr "rt" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  utilities_dot_binary-dump = {
    pname = "utilities.binary-dump";
    version = "20181210-git";
    asds = [ "utilities.binary-dump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.binary-dump/2018-12-10/utilities.binary-dump-20181210-git.tgz";
      sha256 = "1l20r1782bskyy50ca6vsyxrvbxlgfq4nm33wl8as761dcjpj4d4";
      system = "utilities.binary-dump";
      asd = "utilities.binary-dump";
    });
    systems = [ "utilities.binary-dump" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "let-plus" pkgs) (getAttr "nibbles" pkgs) ];
  };
  utilities_dot_binary-dump_slash_test = {
    pname = "utilities.binary-dump_test";
    version = "20181210-git";
    asds = [ "utilities.binary-dump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.binary-dump/2018-12-10/utilities.binary-dump-20181210-git.tgz";
      sha256 = "1l20r1782bskyy50ca6vsyxrvbxlgfq4nm33wl8as761dcjpj4d4";
      system = "utilities.binary-dump";
      asd = "utilities.binary-dump";
    });
    systems = [ "utilities.binary-dump/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "let-plus" pkgs) (getAttr "nibbles" pkgs) (getAttr "split-sequence" pkgs) (getAttr "utilities_dot_binary-dump" pkgs) ];
    meta = {
      broken = true;
    };
  };
  utilities_dot_print-items = {
    pname = "utilities.print-items";
    version = "20221106-git";
    asds = [ "utilities.print-items" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-items/2022-11-06/utilities.print-items-20221106-git.tgz";
      sha256 = "0qn0w7cyl76c3ssipqsx4ngb1641ajfkaihnb31w374zrzbns8wi";
      system = "utilities.print-items";
      asd = "utilities.print-items";
    });
    systems = [ "utilities.print-items" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  utilities_dot_print-items_slash_test = {
    pname = "utilities.print-items_test";
    version = "20221106-git";
    asds = [ "utilities.print-items" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-items/2022-11-06/utilities.print-items-20221106-git.tgz";
      sha256 = "0qn0w7cyl76c3ssipqsx4ngb1641ajfkaihnb31w374zrzbns8wi";
      system = "utilities.print-items";
      asd = "utilities.print-items";
    });
    systems = [ "utilities.print-items/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "utilities_dot_print-items" pkgs) ];
    meta = {
      broken = true;
    };
  };
  utilities_dot_print-tree = {
    pname = "utilities.print-tree";
    version = "20221106-git";
    asds = [ "utilities.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-tree/2022-11-06/utilities.print-tree-20221106-git.tgz";
      sha256 = "0i7371qvlnwjcybh3c2ac88xz39vjdynhgxwz4acjbcnsw0jqsls";
      system = "utilities.print-tree";
      asd = "utilities.print-tree";
    });
    systems = [ "utilities.print-tree" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "uiop" pkgs) ];
  };
  utilities_dot_print-tree_slash_test = {
    pname = "utilities.print-tree_test";
    version = "20221106-git";
    asds = [ "utilities.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-tree/2022-11-06/utilities.print-tree-20221106-git.tgz";
      sha256 = "0i7371qvlnwjcybh3c2ac88xz39vjdynhgxwz4acjbcnsw0jqsls";
      system = "utilities.print-tree";
      asd = "utilities.print-tree";
    });
    systems = [ "utilities.print-tree/test" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) (getAttr "utilities_dot_print-tree" pkgs) ];
    meta = {
      broken = true;
    };
  };
  utility = {
    pname = "utility";
    version = "20190202-git";
    asds = [ "utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utility/2019-02-02/utility-20190202-git.tgz";
      sha256 = "0nc83kxp2c0wy5ai7dm6w4anx5266j99pxzr0c7fxgllc7d0g1qd";
      system = "utility";
      asd = "utility";
    });
    systems = [ "utility" ];
    lispLibs = [  ];
  };
  utility-arguments = {
    pname = "utility-arguments";
    version = "20161204-git";
    asds = [ "utility-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utility-arguments/2016-12-04/utility-arguments-20161204-git.tgz";
      sha256 = "0dzbzzrla9709zl5dqdfw02mxa3rvcpca466qrcprgs3hnxdvgwb";
      system = "utility-arguments";
      asd = "utility-arguments";
    });
    systems = [ "utility-arguments" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  utils-kt = {
    pname = "utils-kt";
    version = "20200218-git";
    asds = [ "utils-kt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utils-kt/2020-02-18/utils-kt-20200218-git.tgz";
      sha256 = "016x3w034brz02z9mrsrkhk2djizg3yqsvhl9k62xqcnpy3b87dn";
      system = "utils-kt";
      asd = "utils-kt";
    });
    systems = [ "utils-kt" ];
    lispLibs = [  ];
  };
  utm = {
    pname = "utm";
    version = "20200218-git";
    asds = [ "utm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm/2020-02-18/utm-20200218-git.tgz";
      sha256 = "1a5dp5fls26ppc6fnvd941nfvk2qs72grl0a3pycq7vzw6580v01";
      system = "utm";
      asd = "utm";
    });
    systems = [ "utm" ];
    lispLibs = [  ];
  };
  utm-ups = {
    pname = "utm-ups";
    version = "20210228-git";
    asds = [ "utm-ups" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm-ups/2021-02-28/utm-ups-20210228-git.tgz";
      sha256 = "1rvyh0srgd81kvbzmq4ysd9y6c0qdwh23naqxc9asw1vh7fq08x1";
      system = "utm-ups";
      asd = "utm-ups";
    });
    systems = [ "utm-ups" ];
    lispLibs = [  ];
  };
  utm-ups_slash_tests = {
    pname = "utm-ups_tests";
    version = "20210228-git";
    asds = [ "utm-ups" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm-ups/2021-02-28/utm-ups-20210228-git.tgz";
      sha256 = "1rvyh0srgd81kvbzmq4ysd9y6c0qdwh23naqxc9asw1vh7fq08x1";
      system = "utm-ups";
      asd = "utm-ups";
    });
    systems = [ "utm-ups/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "utm-ups" pkgs) ];
    meta = {
      broken = true;
    };
  };
  utm_dot_test = {
    pname = "utm.test";
    version = "20200218-git";
    asds = [ "utm.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm/2020-02-18/utm-20200218-git.tgz";
      sha256 = "1a5dp5fls26ppc6fnvd941nfvk2qs72grl0a3pycq7vzw6580v01";
      system = "utm.test";
      asd = "utm.test";
    });
    systems = [ "utm.test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "utm" pkgs) ];
  };
  uuid = {
    pname = "uuid";
    version = "20200715-git";
    asds = [ "uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uuid/2020-07-15/uuid-20200715-git.tgz";
      sha256 = "1ncwhyw0zggwpkzjsw7d4pkrlldi34xvb69c0bzxmyz2krg8rpx0";
      system = "uuid";
      asd = "uuid";
    });
    systems = [ "uuid" ];
    lispLibs = [ (getAttr "ironclad" pkgs) (getAttr "trivial-utf-8" pkgs) ];
  };
  validate-list = {
    pname = "validate-list";
    version = "20210411-git";
    asds = [ "validate-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/validate-list/2021-04-11/validate-list-20210411-git.tgz";
      sha256 = "1rb7glqvlaz84cfd2wjk49si9jh4ffysmva5007gjhqfhr9z23lj";
      system = "validate-list";
      asd = "validate-list";
    });
    systems = [ "validate-list" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "arithmetic-operators-as-words" pkgs) (getAttr "lisp-unit" pkgs) ];
  };
  validate-list_slash_tests = {
    pname = "validate-list_tests";
    version = "20210411-git";
    asds = [ "validate-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/validate-list/2021-04-11/validate-list-20210411-git.tgz";
      sha256 = "1rb7glqvlaz84cfd2wjk49si9jh4ffysmva5007gjhqfhr9z23lj";
      system = "validate-list";
      asd = "validate-list";
    });
    systems = [ "validate-list/tests" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "validate-list" pkgs) ];
    meta = {
      broken = true;
    };
  };
  varint = {
    pname = "varint";
    version = "20220331-git";
    asds = [ "varint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2022-03-31/protobuf-20220331-git.tgz";
      sha256 = "011jhbda4q77hjc4v2dyx3pc54zdq7m496qgrrv69ksy901lss4s";
      system = "varint";
      asd = "varint";
    });
    systems = [ "varint" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" pkgs) (getAttr "nibbles" pkgs) ];
  };
  varint_slash_test = {
    pname = "varint_test";
    version = "20220331-git";
    asds = [ "varint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2022-03-31/protobuf-20220331-git.tgz";
      sha256 = "011jhbda4q77hjc4v2dyx3pc54zdq7m496qgrrv69ksy901lss4s";
      system = "varint";
      asd = "varint";
    });
    systems = [ "varint/test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" pkgs) (getAttr "varint" pkgs) ];
    meta = {
      broken = true;
    };
  };
  varjo = {
    pname = "varjo";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo";
      asd = "varjo";
    });
    systems = [ "varjo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "fn" pkgs) (getAttr "glsl-docs" pkgs) (getAttr "glsl-spec" pkgs) (getAttr "glsl-symbols" pkgs) (getAttr "named-readtables" pkgs) (getAttr "parse-float" pkgs) (getAttr "uiop" pkgs) (getAttr "vas-string-metrics" pkgs) ];
  };
  varjo_dot_import = {
    pname = "varjo.import";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo.import" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo.import";
      asd = "varjo.import";
    });
    systems = [ "varjo.import" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" pkgs) (getAttr "glsl-toolkit" pkgs) (getAttr "rtg-math_dot_vari" pkgs) (getAttr "split-sequence" pkgs) (getAttr "varjo" pkgs) ];
  };
  varjo_dot_tests = {
    pname = "varjo.tests";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo.tests";
      asd = "varjo.tests";
    });
    systems = [ "varjo.tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "rtg-math_dot_vari" pkgs) (getAttr "varjo" pkgs) ];
  };
  vas-string-metrics = {
    pname = "vas-string-metrics";
    version = "20211209-git";
    asds = [ "vas-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vas-string-metrics/2021-12-09/vas-string-metrics-20211209-git.tgz";
      sha256 = "1yvkwc939dckv070nlgqfj5ys9ii2rm32m5wfx7qxdjrb4n19sx9";
      system = "vas-string-metrics";
      asd = "vas-string-metrics";
    });
    systems = [ "vas-string-metrics" ];
    lispLibs = [  ];
  };
  vecto = {
    pname = "vecto";
    version = "1.6";
    asds = [ "vecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vecto/2021-12-30/vecto-1.6.tgz";
      sha256 = "1s3ii9absili7yiv89byjikxcxlbagsvcxdwkxgsm1rahgggyk5x";
      system = "vecto";
      asd = "vecto";
    });
    systems = [ "vecto" ];
    lispLibs = [ (getAttr "cl-vectors" pkgs) (getAttr "zpb-ttf" pkgs) (getAttr "zpng" pkgs) ];
  };
  vectometry = {
    pname = "vectometry";
    version = "1.6";
    asds = [ "vectometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vecto/2021-12-30/vecto-1.6.tgz";
      sha256 = "1s3ii9absili7yiv89byjikxcxlbagsvcxdwkxgsm1rahgggyk5x";
      system = "vectometry";
      asd = "vectometry";
    });
    systems = [ "vectometry" ];
    lispLibs = [ (getAttr "vecto" pkgs) ];
  };
  vectors = {
    pname = "vectors";
    version = "20171227-git";
    asds = [ "vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vectors/2017-12-27/vectors-20171227-git.tgz";
      sha256 = "1sflb1wz6fcszdbqrcfh52bp5ch6wbizzp7jx97ni8lrqq2r6cqy";
      system = "vectors";
      asd = "vectors";
    });
    systems = [ "vectors" ];
    lispLibs = [  ];
  };
  vellum = {
    pname = "vellum";
    version = "20221106-git";
    asds = [ "vellum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum/2022-11-06/vellum-20221106-git.tgz";
      sha256 = "0yp47awrfgk148fd6hpgwicm2r9673is655j9xaiiasfx42m3fir";
      system = "vellum";
      asd = "vellum";
    });
    systems = [ "vellum" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "alexandria" pkgs) (getAttr "cl-data-structures" pkgs) (getAttr "closer-mop" pkgs) (getAttr "documentation-utils-extensions" pkgs) (getAttr "iterate" pkgs) (getAttr "lparallel" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "serapeum" pkgs) ];
  };
  vellum-binary = {
    pname = "vellum-binary";
    version = "20221106-git";
    asds = [ "vellum-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-binary/2022-11-06/vellum-binary-20221106-git.tgz";
      sha256 = "1981mrzcfgda81j14xkqx8n2rir1kk01r7px1s9yjf1f2g2d4zdg";
      system = "vellum-binary";
      asd = "vellum-binary";
    });
    systems = [ "vellum-binary" ];
    lispLibs = [ (getAttr "chipz" pkgs) (getAttr "cl-conspack" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "nibbles" pkgs) (getAttr "salza2" pkgs) (getAttr "vellum" pkgs) ];
  };
  vellum-clim = {
    pname = "vellum-clim";
    version = "20210531-git";
    asds = [ "vellum-clim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-clim/2021-05-31/vellum-clim-20210531-git.tgz";
      sha256 = "06g1pw0r60yd13hzbjrbpa1p0pnlwkqfn06ipk1gs0kc76gf2im5";
      system = "vellum-clim";
      asd = "vellum-clim";
    });
    systems = [ "vellum-clim" ];
    lispLibs = [ (getAttr "iterate" pkgs) (getAttr "mcclim" pkgs) (getAttr "vellum" pkgs) ];
  };
  vellum-csv = {
    pname = "vellum-csv";
    version = "20220707-git";
    asds = [ "vellum-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-csv/2022-07-07/vellum-csv-20220707-git.tgz";
      sha256 = "1spx6hig55056k32s0fysfwqjnwkfr8j63v6zmfv84x2v90ppclj";
      system = "vellum-csv";
      asd = "vellum-csv";
    });
    systems = [ "vellum-csv" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "documentation-utils-extensions" pkgs) (getAttr "iterate" pkgs) (getAttr "parse-float" pkgs) (getAttr "serapeum" pkgs) (getAttr "uiop" pkgs) (getAttr "vellum" pkgs) ];
  };
  vellum-csv-tests = {
    pname = "vellum-csv-tests";
    version = "20220707-git";
    asds = [ "vellum-csv-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-csv/2022-07-07/vellum-csv-20220707-git.tgz";
      sha256 = "1spx6hig55056k32s0fysfwqjnwkfr8j63v6zmfv84x2v90ppclj";
      system = "vellum-csv-tests";
      asd = "vellum-csv-tests";
    });
    systems = [ "vellum-csv-tests" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "vellum-csv" pkgs) ];
  };
  vellum-postmodern = {
    pname = "vellum-postmodern";
    version = "20221106-git";
    asds = [ "vellum-postmodern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-postmodern/2022-11-06/vellum-postmodern-20221106-git.tgz";
      sha256 = "0nw2lwk32n16vfvzrihb7683fb38qq01aiacaw00402vzgjiskx6";
      system = "vellum-postmodern";
      asd = "vellum-postmodern";
    });
    systems = [ "vellum-postmodern" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "documentation-utils-extensions" pkgs) (getAttr "iterate" pkgs) (getAttr "cl-postgres" pkgs) (getAttr "postmodern" pkgs) (getAttr "s-sql" pkgs) (getAttr "serapeum" pkgs) (getAttr "vellum" pkgs) ];
  };
  vellum-tests = {
    pname = "vellum-tests";
    version = "20221106-git";
    asds = [ "vellum-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum/2022-11-06/vellum-20221106-git.tgz";
      sha256 = "0yp47awrfgk148fd6hpgwicm2r9673is655j9xaiiasfx42m3fir";
      system = "vellum-tests";
      asd = "vellum-tests";
    });
    systems = [ "vellum-tests" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "vellum" pkgs) ];
  };
  veq = {
    pname = "veq";
    version = "20220707-git";
    asds = [ "veq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-veq/2022-07-07/cl-veq-20220707-git.tgz";
      sha256 = "0smykplq5914xax1cp9cibvmjn5l5vipbm95f6wc8g0laysmqmkc";
      system = "veq";
      asd = "veq";
    });
    systems = [ "veq" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "str" pkgs) (getAttr "prove" pkgs) ];
  };
  veq_slash_tests = {
    pname = "veq_tests";
    version = "20220707-git";
    asds = [ "veq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-veq/2022-07-07/cl-veq-20220707-git.tgz";
      sha256 = "0smykplq5914xax1cp9cibvmjn5l5vipbm95f6wc8g0laysmqmkc";
      system = "veq";
      asd = "veq";
    });
    systems = [ "veq/tests" ];
    lispLibs = [ (getAttr "veq" pkgs) (getAttr "prove" pkgs) ];
    meta = {
      broken = true;
    };
  };
  verbose = {
    pname = "verbose";
    version = "20201220-git";
    asds = [ "verbose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verbose/2020-12-20/verbose-20201220-git.tgz";
      sha256 = "0r51ydj5v7afi2jrlscbhxprv13d9vzg5316g1yzwaxc1kzsdsw6";
      system = "verbose";
      asd = "verbose";
    });
    systems = [ "verbose" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "dissect" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "local-time" pkgs) (getAttr "piping" pkgs) ];
  };
  verlet = {
    pname = "verlet";
    version = "20211209-git";
    asds = [ "verlet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verlet/2021-12-09/verlet-20211209-git.tgz";
      sha256 = "0n6wgjwwbrr13ldwa4y59n2ixn47rr0ad7n3jbb58635z6ahfvd4";
      system = "verlet";
      asd = "verlet";
    });
    systems = [ "verlet" ];
    lispLibs = [ (getAttr "chain" pkgs) (getAttr "fset" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "mgl-pax" pkgs) (getAttr "rtg-math" pkgs) ];
  };
  vernacular = {
    pname = "vernacular";
    version = "20211020-git";
    asds = [ "vernacular" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vernacular/2021-10-20/vernacular-20211020-git.tgz";
      sha256 = "19vzn28hw4is4sgmvzqin18ds89s0pai21vcm0ky10vmfv6wg745";
      system = "vernacular";
      asd = "vernacular";
    });
    systems = [ "vernacular" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "local-time" pkgs) (getAttr "named-readtables" pkgs) (getAttr "overlord" pkgs) (getAttr "serapeum" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "trivial-macroexpand-all" pkgs) ];
  };
  verrazano = {
    pname = "verrazano";
    version = "20120909-darcs";
    asds = [ "verrazano" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verrazano/2012-09-09/verrazano-20120909-darcs.tgz";
      sha256 = "0d7qv5jwv5p1r64g4rfqb844b5fh71p82b5983gjz0a5p391p270";
      system = "verrazano";
      asd = "verrazano";
    });
    systems = [ "verrazano" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) (getAttr "parse-number" pkgs) (getAttr "trivial-shell" pkgs) ];
  };
  verrazano-runtime = {
    pname = "verrazano-runtime";
    version = "20120909-darcs";
    asds = [ "verrazano-runtime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verrazano/2012-09-09/verrazano-20120909-darcs.tgz";
      sha256 = "0d7qv5jwv5p1r64g4rfqb844b5fh71p82b5983gjz0a5p391p270";
      system = "verrazano-runtime";
      asd = "verrazano-runtime";
    });
    systems = [ "verrazano-runtime" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  vertex = {
    pname = "vertex";
    version = "20150608-git";
    asds = [ "vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vertex/2015-06-08/vertex-20150608-git.tgz";
      sha256 = "0g3ck1kvp6x9874ffizjz3fsd35a3m4hcr2x5gq9fdql680ic4k2";
      system = "vertex";
      asd = "vertex";
    });
    systems = [ "vertex" ];
    lispLibs = [ (getAttr "common-doc" pkgs) (getAttr "common-doc-plump" pkgs) (getAttr "plump-tex" pkgs) ];
  };
  vertex-test = {
    pname = "vertex-test";
    version = "20150608-git";
    asds = [ "vertex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vertex/2015-06-08/vertex-20150608-git.tgz";
      sha256 = "0g3ck1kvp6x9874ffizjz3fsd35a3m4hcr2x5gq9fdql680ic4k2";
      system = "vertex-test";
      asd = "vertex-test";
    });
    systems = [ "vertex-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "vertex" pkgs) ];
  };
  vex = {
    pname = "vex";
    version = "20220707-git";
    asds = [ "vex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2022-07-07/april-20220707-git.tgz";
      sha256 = "016mfldk98j1kbj8fpqwzhvdkfbmqsfbzjaawnlz9q5pr6srv26r";
      system = "vex";
      asd = "vex";
    });
    systems = [ "vex" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "maxpc-apache" pkgs) (getAttr "array-operations" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "prove" pkgs) (getAttr "symbol-munger" pkgs) ];
  };
  vgplot = {
    pname = "vgplot";
    version = "20220707-git";
    asds = [ "vgplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vgplot/2022-07-07/vgplot-20220707-git.tgz";
      sha256 = "1vc5fd787xa8831wjbmwrpg17f9isi5k8dmb85fsysz47plbvi1y";
      system = "vgplot";
      asd = "vgplot";
    });
    systems = [ "vgplot" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "ltk" pkgs) ];
  };
  vgplot_slash_test = {
    pname = "vgplot_test";
    version = "20220707-git";
    asds = [ "vgplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vgplot/2022-07-07/vgplot-20220707-git.tgz";
      sha256 = "1vc5fd787xa8831wjbmwrpg17f9isi5k8dmb85fsysz47plbvi1y";
      system = "vgplot";
      asd = "vgplot";
    });
    systems = [ "vgplot/test" ];
    lispLibs = [ (getAttr "lisp-unit" pkgs) (getAttr "vgplot" pkgs) ];
    meta = {
      broken = true;
    };
  };
  vivid-colors = {
    pname = "vivid-colors";
    version = "20220707-git";
    asds = [ "vivid-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors";
      asd = "vivid-colors";
    });
    systems = [ "vivid-colors" ];
    lispLibs = [ (getAttr "cl-colors2" pkgs) (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "lambda-fiddle" pkgs) (getAttr "millet" pkgs) (getAttr "vivid-colors_dot_content" pkgs) (getAttr "vivid-colors_dot_dispatch" pkgs) (getAttr "vivid-colors_dot_stream" pkgs) ];
  };
  vivid-colors_dot_content = {
    pname = "vivid-colors.content";
    version = "20220707-git";
    asds = [ "vivid-colors.content" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.content";
      asd = "vivid-colors.content";
    });
    systems = [ "vivid-colors.content" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "mcase" pkgs) (getAttr "vivid-colors_dot_queue" pkgs) (getAttr "vivid-colors_dot_shared" pkgs) ];
  };
  vivid-colors_dot_content_dot_test = {
    pname = "vivid-colors.content.test";
    version = "20220707-git";
    asds = [ "vivid-colors.content.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.content.test";
      asd = "vivid-colors.content.test";
    });
    systems = [ "vivid-colors.content.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors_dot_content" pkgs) ];
  };
  vivid-colors_dot_dispatch = {
    pname = "vivid-colors.dispatch";
    version = "20220707-git";
    asds = [ "vivid-colors.dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.dispatch";
      asd = "vivid-colors.dispatch";
    });
    systems = [ "vivid-colors.dispatch" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "millet" pkgs) ];
  };
  vivid-colors_dot_dispatch_dot_test = {
    pname = "vivid-colors.dispatch.test";
    version = "20220707-git";
    asds = [ "vivid-colors.dispatch.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.dispatch.test";
      asd = "vivid-colors.dispatch.test";
    });
    systems = [ "vivid-colors.dispatch.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors_dot_dispatch" pkgs) ];
  };
  vivid-colors_dot_queue = {
    pname = "vivid-colors.queue";
    version = "20220707-git";
    asds = [ "vivid-colors.queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.queue";
      asd = "vivid-colors.queue";
    });
    systems = [ "vivid-colors.queue" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "millet" pkgs) ];
  };
  vivid-colors_dot_queue_dot_test = {
    pname = "vivid-colors.queue.test";
    version = "20220707-git";
    asds = [ "vivid-colors.queue.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.queue.test";
      asd = "vivid-colors.queue.test";
    });
    systems = [ "vivid-colors.queue.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors_dot_queue" pkgs) ];
  };
  vivid-colors_dot_shared = {
    pname = "vivid-colors.shared";
    version = "20220707-git";
    asds = [ "vivid-colors.shared" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.shared";
      asd = "vivid-colors.shared";
    });
    systems = [ "vivid-colors.shared" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" pkgs) ];
  };
  vivid-colors_dot_shared_dot_test = {
    pname = "vivid-colors.shared.test";
    version = "20220707-git";
    asds = [ "vivid-colors.shared.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.shared.test";
      asd = "vivid-colors.shared.test";
    });
    systems = [ "vivid-colors.shared.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors_dot_shared" pkgs) ];
  };
  vivid-colors_dot_stream = {
    pname = "vivid-colors.stream";
    version = "20220707-git";
    asds = [ "vivid-colors.stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.stream";
      asd = "vivid-colors.stream";
    });
    systems = [ "vivid-colors.stream" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ansi-text" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "trivial-gray-streams" pkgs) (getAttr "vivid-colors_dot_content" pkgs) (getAttr "vivid-colors_dot_dispatch" pkgs) (getAttr "vivid-colors_dot_shared" pkgs) ];
  };
  vivid-colors_dot_stream_dot_test = {
    pname = "vivid-colors.stream.test";
    version = "20220707-git";
    asds = [ "vivid-colors.stream.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.stream.test";
      asd = "vivid-colors.stream.test";
    });
    systems = [ "vivid-colors.stream.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors_dot_stream" pkgs) ];
  };
  vivid-colors_dot_test = {
    pname = "vivid-colors.test";
    version = "20220707-git";
    asds = [ "vivid-colors.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.test";
      asd = "vivid-colors.test";
    });
    systems = [ "vivid-colors.test" ];
    lispLibs = [ (getAttr "jingoh" pkgs) (getAttr "vivid-colors" pkgs) ];
  };
  vivid-diff = {
    pname = "vivid-diff";
    version = "20220707-git";
    asds = [ "vivid-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-diff/2022-07-07/vivid-diff-20220707-git.tgz";
      sha256 = "195hqx304x4na56qpiblz30ahp1qj55kan50mkr0xyjhcx75nsdk";
      system = "vivid-diff";
      asd = "vivid-diff";
    });
    systems = [ "vivid-diff" ];
    lispLibs = [ (getAttr "cl-colors2" pkgs) (getAttr "closer-mop" pkgs) (getAttr "jingoh_dot_documentizer" pkgs) (getAttr "matrix-case" pkgs) (getAttr "vivid-colors" pkgs) ];
  };
  vivid-diff_dot_test = {
    pname = "vivid-diff.test";
    version = "20220707-git";
    asds = [ "vivid-diff.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-diff/2022-07-07/vivid-diff-20220707-git.tgz";
      sha256 = "195hqx304x4na56qpiblz30ahp1qj55kan50mkr0xyjhcx75nsdk";
      system = "vivid-diff.test";
      asd = "vivid-diff.test";
    });
    systems = [ "vivid-diff.test" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "jingoh" pkgs) (getAttr "vivid-diff" pkgs) ];
  };
  vk = {
    pname = "vk";
    version = "20221106-git";
    asds = [ "vk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vk/2022-11-06/vk-20221106-git.tgz";
      sha256 = "1a0bx15gjjzhgfp0y3lxp13binfvw4qm6pfwig45ii8lrwjwnlql";
      system = "vk";
      asd = "vk";
    });
    systems = [ "vk" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cffi" pkgs) (getAttr "rove" pkgs) ];
  };
  vk_slash_tests = {
    pname = "vk_tests";
    version = "20221106-git";
    asds = [ "vk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vk/2022-11-06/vk-20221106-git.tgz";
      sha256 = "1a0bx15gjjzhgfp0y3lxp13binfvw4qm6pfwig45ii8lrwjwnlql";
      system = "vk";
      asd = "vk";
    });
    systems = [ "vk/tests" ];
    lispLibs = [ (getAttr "rove" pkgs) (getAttr "vk" pkgs) ];
    meta = {
      broken = true;
    };
  };
  voipms = {
    pname = "voipms";
    version = "20220707-git";
    asds = [ "voipms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voipms/2022-07-07/cl-voipms-20220707-git.tgz";
      sha256 = "08ghirkmia8jn03r6z1025v321ygc2xalrwsqfvl3xy377xxrd3d";
      system = "voipms";
      asd = "voipms";
    });
    systems = [ "voipms" ];
    lispLibs = [ (getAttr "erjoalgo-webutil" pkgs) (getAttr "local-time" pkgs) ];
  };
  vom = {
    pname = "vom";
    version = "20160825-git";
    asds = [ "vom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vom/2016-08-25/vom-20160825-git.tgz";
      sha256 = "0536kppj76ax4lrxhv42npkfjsmx45km2g439vf9jmw3apinz9cy";
      system = "vom";
      asd = "vom";
    });
    systems = [ "vom" ];
    lispLibs = [  ];
  };
  vom-json = {
    pname = "vom-json";
    version = "20200610-git";
    asds = [ "vom-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vom-json/2020-06-10/vom-json-20200610-git.tgz";
      sha256 = "14b39kqbjpibh545gh9mb6w5g0kz7fhd5zxfmlf9a0fpdbwhw41c";
      system = "vom-json";
      asd = "vom-json";
    });
    systems = [ "vom-json" ];
    lispLibs = [ (getAttr "jonathan" pkgs) (getAttr "local-time" pkgs) (getAttr "vom" pkgs) ];
  };
  vom-json_slash_test = {
    pname = "vom-json_test";
    version = "20200610-git";
    asds = [ "vom-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vom-json/2020-06-10/vom-json-20200610-git.tgz";
      sha256 = "14b39kqbjpibh545gh9mb6w5g0kz7fhd5zxfmlf9a0fpdbwhw41c";
      system = "vom-json";
      asd = "vom-json";
    });
    systems = [ "vom-json/test" ];
    lispLibs = [ (getAttr "rove" pkgs) (getAttr "vom-json" pkgs) ];
    meta = {
      broken = true;
    };
  };
  vorbisfile-ffi = {
    pname = "vorbisfile-ffi";
    version = "20151218-git";
    asds = [ "vorbisfile-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "vorbisfile-ffi";
      asd = "vorbisfile-ffi";
    });
    systems = [ "vorbisfile-ffi" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) ];
  };
  vp-trees = {
    pname = "vp-trees";
    version = "20201220-git";
    asds = [ "vp-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vp-trees/2020-12-20/vp-trees-20201220-git.tgz";
      sha256 = "1y78l7ijbwb8j79mm95axclfxgvnhg7mawi6jkwy27q2vyhvhlip";
      system = "vp-trees";
      asd = "vp-trees";
    });
    systems = [ "vp-trees" ];
    lispLibs = [  ];
  };
  vp-trees_slash_tests = {
    pname = "vp-trees_tests";
    version = "20201220-git";
    asds = [ "vp-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vp-trees/2020-12-20/vp-trees-20201220-git.tgz";
      sha256 = "1y78l7ijbwb8j79mm95axclfxgvnhg7mawi6jkwy27q2vyhvhlip";
      system = "vp-trees";
      asd = "vp-trees";
    });
    systems = [ "vp-trees/tests" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "vp-trees" pkgs) ];
    meta = {
      broken = true;
    };
  };
  wallstreetflets = {
    pname = "wallstreetflets";
    version = "20211209-git";
    asds = [ "wallstreetflets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wallstreetflets/2021-12-09/wallstreetflets-20211209-git.tgz";
      sha256 = "0d9anws4gk16an1kl4kads6lhm8a4mpiwxg74i3235d5874gbdj5";
      system = "wallstreetflets";
      asd = "wallstreetflets";
    });
    systems = [ "wallstreetflets" ];
    lispLibs = [ (getAttr "dexador" pkgs) (getAttr "lquery" pkgs) (getAttr "parse-number" pkgs) ];
  };
  wasm-encoder = {
    pname = "wasm-encoder";
    version = "20210630-git";
    asds = [ "wasm-encoder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wasm-encoder/2021-06-30/wasm-encoder-20210630-git.tgz";
      sha256 = "1h094d8www9ydg96fjj17pi0lb63ikgyp5237cl6n3rmg4jpy9w6";
      system = "wasm-encoder";
      asd = "wasm-encoder";
    });
    systems = [ "wasm-encoder" ];
    lispLibs = [ (getAttr "agutil" pkgs) (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "generic-cl" pkgs) (getAttr "ieee-floats" pkgs) (getAttr "trivia" pkgs) ];
  };
  wasm-encoder_slash_test = {
    pname = "wasm-encoder_test";
    version = "20210630-git";
    asds = [ "wasm-encoder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wasm-encoder/2021-06-30/wasm-encoder-20210630-git.tgz";
      sha256 = "1h094d8www9ydg96fjj17pi0lb63ikgyp5237cl6n3rmg4jpy9w6";
      system = "wasm-encoder";
      asd = "wasm-encoder";
    });
    systems = [ "wasm-encoder/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "wasm-encoder" pkgs) ];
    meta = {
      broken = true;
    };
  };
  water = {
    pname = "water";
    version = "20190107-git";
    asds = [ "water" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/water/2019-01-07/water-20190107-git.tgz";
      sha256 = "0w9b6mh10rfv7rg1zq28pivad6435i9h839km6nlbhq9xmx0g27s";
      system = "water";
      asd = "water";
    });
    systems = [ "water" ];
    lispLibs = [ (getAttr "parenscript" pkgs) ];
  };
  wayflan = {
    pname = "wayflan";
    version = "20221106-git";
    asds = [ "wayflan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2022-11-06/wayflan-20221106-git.tgz";
      sha256 = "0d5m3w7312h9c9drrcilvf1k9cwrsksgrp1lggwiiyx810pw4jfj";
      system = "wayflan";
      asd = "wayflan";
    });
    systems = [ "wayflan" ];
    lispLibs = [ (getAttr "cffi-grovel" pkgs) (getAttr "wayflan-client" pkgs) ];
  };
  wayflan-client = {
    pname = "wayflan-client";
    version = "20221106-git";
    asds = [ "wayflan-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2022-11-06/wayflan-20221106-git.tgz";
      sha256 = "0d5m3w7312h9c9drrcilvf1k9cwrsksgrp1lggwiiyx810pw4jfj";
      system = "wayflan-client";
      asd = "wayflan-client";
    });
    systems = [ "wayflan-client" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "closer-mop" pkgs) (getAttr "plump" pkgs) ];
  };
  wayflan-client_slash_examples = {
    pname = "wayflan-client_examples";
    version = "20221106-git";
    asds = [ "wayflan-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2022-11-06/wayflan-20221106-git.tgz";
      sha256 = "0d5m3w7312h9c9drrcilvf1k9cwrsksgrp1lggwiiyx810pw4jfj";
      system = "wayflan-client";
      asd = "wayflan-client";
    });
    systems = [ "wayflan-client/examples" ];
    lispLibs = [ (getAttr "cl-cairo2" pkgs) (getAttr "cl-colors" pkgs) (getAttr "cl-pango" pkgs) (getAttr "cl-xkb" pkgs) (getAttr "input-event-codes" pkgs) (getAttr "posix-shm" pkgs) (getAttr "wayflan-client" pkgs) ];
    meta = {
      broken = true;
    };
  };
  wayflan_slash_common = {
    pname = "wayflan_common";
    version = "20221106-git";
    asds = [ "wayflan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2022-11-06/wayflan-20221106-git.tgz";
      sha256 = "0d5m3w7312h9c9drrcilvf1k9cwrsksgrp1lggwiiyx810pw4jfj";
      system = "wayflan";
      asd = "wayflan";
    });
    systems = [ "wayflan/common" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "plump" pkgs) ];
    meta = {
      broken = true;
    };
  };
  wayflan_slash_test = {
    pname = "wayflan_test";
    version = "20221106-git";
    asds = [ "wayflan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2022-11-06/wayflan-20221106-git.tgz";
      sha256 = "0d5m3w7312h9c9drrcilvf1k9cwrsksgrp1lggwiiyx810pw4jfj";
      system = "wayflan";
      asd = "wayflan";
    });
    systems = [ "wayflan/test" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "wayflan" pkgs) ];
    meta = {
      broken = true;
    };
  };
  webactions = {
    pname = "webactions";
    version = "20190813-git";
    asds = [ "webactions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "webactions";
      asd = "webactions";
    });
    systems = [ "webactions" ];
    lispLibs = [ (getAttr "acl-compat" pkgs) (getAttr "aserve" pkgs) (getAttr "htmlgen" pkgs) ];
  };
  webapi = {
    pname = "webapi";
    version = "20211020-git";
    asds = [ "webapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/webapi/2021-10-20/webapi-20211020-git.tgz";
      sha256 = "1bh2zp9gjdjk6zn5wwnv13qsav5b73hxd3lkph471jh0d1z9w0l7";
      system = "webapi";
      asd = "webapi";
    });
    systems = [ "webapi" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "dexador" pkgs) (getAttr "kebab" pkgs) (getAttr "quri" pkgs) (getAttr "st-json" pkgs) ];
  };
  weblocks-clsql = {
    pname = "weblocks-clsql";
    version = "20211020-git";
    asds = [ "weblocks-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-clsql";
      asd = "weblocks-clsql";
    });
    systems = [ "weblocks-clsql" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "clsql" pkgs) (getAttr "clsql-fluid" pkgs) (getAttr "metatilities" pkgs) (getAttr "weblocks-util" pkgs) (getAttr "weblocks-stores" pkgs) ];
  };
  weblocks-memory = {
    pname = "weblocks-memory";
    version = "20211020-git";
    asds = [ "weblocks-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-memory";
      asd = "weblocks-memory";
    });
    systems = [ "weblocks-memory" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "metatilities" pkgs) (getAttr "weblocks-stores" pkgs) ];
  };
  weblocks-montezuma = {
    pname = "weblocks-montezuma";
    version = "20211020-git";
    asds = [ "weblocks-montezuma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-montezuma";
      asd = "weblocks-montezuma";
    });
    systems = [ "weblocks-montezuma" ];
    lispLibs = [ (getAttr "montezuma" pkgs) (getAttr "weblocks-stores" pkgs) ];
  };
  weblocks-perec = {
    pname = "weblocks-perec";
    version = "20211020-git";
    asds = [ "weblocks-perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-perec";
      asd = "weblocks-perec";
    });
    systems = [ "weblocks-perec" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_perec" pkgs) (getAttr "weblocks-stores" pkgs) ];
  };
  weblocks-prevalence = {
    pname = "weblocks-prevalence";
    version = "20211020-git";
    asds = [ "weblocks-prevalence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-prevalence";
      asd = "weblocks-prevalence";
    });
    systems = [ "weblocks-prevalence" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-prevalence" pkgs) (getAttr "metatilities" pkgs) (getAttr "weblocks-memory" pkgs) (getAttr "weblocks-stores" pkgs) ];
  };
  weblocks-scripts = {
    pname = "weblocks-scripts";
    version = "20211020-git";
    asds = [ "weblocks-scripts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks/2021-10-20/weblocks-20211020-git.tgz";
      sha256 = "1hilpzm1p3hrp2hxghjr9y8sy5a9bgk96n8kc8bphvn7dvlbm78j";
      system = "weblocks-scripts";
      asd = "weblocks-scripts";
    });
    systems = [ "weblocks-scripts" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) ];
  };
  weblocks-stores = {
    pname = "weblocks-stores";
    version = "20211020-git";
    asds = [ "weblocks-stores" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-stores";
      asd = "weblocks-stores";
    });
    systems = [ "weblocks-stores" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "metatilities" pkgs) (getAttr "weblocks-util" pkgs) ];
  };
  weblocks-util = {
    pname = "weblocks-util";
    version = "20211020-git";
    asds = [ "weblocks-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks/2021-10-20/weblocks-20211020-git.tgz";
      sha256 = "1hilpzm1p3hrp2hxghjr9y8sy5a9bgk96n8kc8bphvn7dvlbm78j";
      system = "weblocks-util";
      asd = "weblocks-util";
    });
    systems = [ "weblocks-util" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-cont" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-json" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-who" pkgs) (getAttr "closer-mop" pkgs) (getAttr "f-underscore" pkgs) (getAttr "html-template" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "metatilities" pkgs) (getAttr "optima" pkgs) (getAttr "parenscript" pkgs) (getAttr "parse-number" pkgs) (getAttr "pretty-function" pkgs) (getAttr "puri" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-timeout" pkgs) ];
  };
  websocket-driver = {
    pname = "websocket-driver";
    version = "20220331-git";
    asds = [ "websocket-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver";
      asd = "websocket-driver";
    });
    systems = [ "websocket-driver" ];
    lispLibs = [ (getAttr "websocket-driver-client" pkgs) (getAttr "websocket-driver-server" pkgs) ];
  };
  websocket-driver-base = {
    pname = "websocket-driver-base";
    version = "20220331-git";
    asds = [ "websocket-driver-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-base";
      asd = "websocket-driver-base";
    });
    systems = [ "websocket-driver-base" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-base64" pkgs) (getAttr "event-emitter" pkgs) (getAttr "fast-io" pkgs) (getAttr "fast-websocket" pkgs) (getAttr "sha1" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  websocket-driver-client = {
    pname = "websocket-driver-client";
    version = "20220331-git";
    asds = [ "websocket-driver-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-client";
      asd = "websocket-driver-client";
    });
    systems = [ "websocket-driver-client" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "fast-websocket" pkgs) (getAttr "quri" pkgs) (getAttr "usocket" pkgs) (getAttr "websocket-driver-base" pkgs) ];
  };
  websocket-driver-server = {
    pname = "websocket-driver-server";
    version = "20220331-git";
    asds = [ "websocket-driver-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-server";
      asd = "websocket-driver-server";
    });
    systems = [ "websocket-driver-server" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "clack-socket" pkgs) (getAttr "fast-io" pkgs) (getAttr "fast-websocket" pkgs) (getAttr "websocket-driver-base" pkgs) ];
  };
  weft = {
    pname = "weft";
    version = "20180228-git";
    asds = [ "weft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weft/2018-02-28/weft-20180228-git.tgz";
      sha256 = "1ia38xcpp9g4v6sij99lyl9b8p59ysg2cj9k92nb683f8pzv9pl3";
      system = "weft";
      asd = "weft";
    });
    systems = [ "weft" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-timeout" pkgs) (getAttr "usocket" pkgs) ];
  };
  westbrook = {
    pname = "westbrook";
    version = "20180131-git";
    asds = [ "westbrook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/westbrook/2018-01-31/westbrook-20180131-git.tgz";
      sha256 = "08qs5lpg34d1mn6warrrq1wimyqqrjb8jih62g1pbysgni4ihm2v";
      system = "westbrook";
      asd = "westbrook";
    });
    systems = [ "westbrook" ];
    lispLibs = [ (getAttr "cxml" pkgs) ];
  };
  westbrook-tests = {
    pname = "westbrook-tests";
    version = "20180131-git";
    asds = [ "westbrook-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/westbrook/2018-01-31/westbrook-20180131-git.tgz";
      sha256 = "08qs5lpg34d1mn6warrrq1wimyqqrjb8jih62g1pbysgni4ihm2v";
      system = "westbrook-tests";
      asd = "westbrook-tests";
    });
    systems = [ "westbrook-tests" ];
    lispLibs = [ (getAttr "fiasco" pkgs) (getAttr "westbrook" pkgs) ];
  };
  what3words = {
    pname = "what3words";
    version = "20161204-git";
    asds = [ "what3words" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/what3words/2016-12-04/what3words-20161204-git.tgz";
      sha256 = "0nlrpi8phrf2mpgbw9bj9w4vksqb0baj542bhnq39sjalc8bj73r";
      system = "what3words";
      asd = "what3words";
    });
    systems = [ "what3words" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "drakma" pkgs) (getAttr "jsown" pkgs) ];
  };
  which = {
    pname = "which";
    version = "20160421-git";
    asds = [ "which" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/which/2016-04-21/which-20160421-git.tgz";
      sha256 = "127pm9h4rm4w9aadw5yvamnfzhk2rr69kchx10rf9k7sk7izqqfk";
      system = "which";
      asd = "which";
    });
    systems = [ "which" ];
    lispLibs = [ (getAttr "cl-fad" pkgs) (getAttr "path-parse" pkgs) (getAttr "uiop" pkgs) ];
  };
  which-test = {
    pname = "which-test";
    version = "20160421-git";
    asds = [ "which-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/which/2016-04-21/which-20160421-git.tgz";
      sha256 = "127pm9h4rm4w9aadw5yvamnfzhk2rr69kchx10rf9k7sk7izqqfk";
      system = "which-test";
      asd = "which-test";
    });
    systems = [ "which-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "which" pkgs) ];
  };
  whirlog = {
    pname = "whirlog";
    version = "20211020-git";
    asds = [ "whirlog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/whirlog/2021-10-20/whirlog-20211020-git.tgz";
      sha256 = "0sf1kc8ln1gszzrz3qh3bx11k42lpccrv6kp2ihlrg3d6lsa6i26";
      system = "whirlog";
      asd = "whirlog";
    });
    systems = [ "whirlog" ];
    lispLibs = [  ];
  };
  whofields = {
    pname = "whofields";
    version = "20211020-git";
    asds = [ "whofields" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/whofields/2021-10-20/whofields-20211020-git.tgz";
      sha256 = "1scpzzfdw5g7qsayhznjyzns8lxx4fvv2jxd0vr9vnxad3vm977x";
      system = "whofields";
      asd = "whofields";
    });
    systems = [ "whofields" ];
    lispLibs = [ (getAttr "asdf-package-system" pkgs) (getAttr "cl-who" pkgs) ];
  };
  whofields_slash_test = {
    pname = "whofields_test";
    version = "20211020-git";
    asds = [ "whofields" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/whofields/2021-10-20/whofields-20211020-git.tgz";
      sha256 = "1scpzzfdw5g7qsayhznjyzns8lxx4fvv2jxd0vr9vnxad3vm977x";
      system = "whofields";
      asd = "whofields";
    });
    systems = [ "whofields/test" ];
    lispLibs = [  ];
    meta = {
      broken = true;
    };
  };
  wilbur = {
    pname = "wilbur";
    version = "20181210-git";
    asds = [ "wilbur" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/de.setf.wilbur/2018-12-10/de.setf.wilbur-20181210-git.tgz";
      sha256 = "0w4qssyarim4v64vv7jmspmyba7xghx9bkalyyhvccf6zrf7b2v7";
      system = "wilbur";
      asd = "wilbur";
    });
    systems = [ "wilbur" ];
    lispLibs = [ (getAttr "usocket" pkgs) ];
  };
  wild-package-inferred-system = {
    pname = "wild-package-inferred-system";
    version = "20210531-git";
    asds = [ "wild-package-inferred-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wild-package-inferred-system/2021-05-31/wild-package-inferred-system-20210531-git.tgz";
      sha256 = "0sp3j3i83aqyq9bl3djs490nilryi9sh1wjbcqd9z94d9wfbfz80";
      system = "wild-package-inferred-system";
      asd = "wild-package-inferred-system";
    });
    systems = [ "wild-package-inferred-system" ];
    lispLibs = [  ];
  };
  wild-package-inferred-system_slash_test = {
    pname = "wild-package-inferred-system_test";
    version = "20210531-git";
    asds = [ "wild-package-inferred-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wild-package-inferred-system/2021-05-31/wild-package-inferred-system-20210531-git.tgz";
      sha256 = "0sp3j3i83aqyq9bl3djs490nilryi9sh1wjbcqd9z94d9wfbfz80";
      system = "wild-package-inferred-system";
      asd = "wild-package-inferred-system";
    });
    systems = [ "wild-package-inferred-system/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "wild-package-inferred-system" pkgs) ];
    meta = {
      broken = true;
    };
  };
  window = {
    pname = "window";
    version = "20200427-git";
    asds = [ "window" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "window";
      asd = "window";
    });
    systems = [ "window" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bodge-glfw" pkgs) (getAttr "cffi" pkgs) (getAttr "trivial-features" pkgs) (getAttr "utility" pkgs) ];
  };
  winhttp = {
    pname = "winhttp";
    version = "20200610-git";
    asds = [ "winhttp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/winhttp/2020-06-10/winhttp-20200610-git.tgz";
      sha256 = "121mpn14kfj86bp4qlc69a139ffrsvgiisa7rax9mvbj361s8dna";
      system = "winhttp";
      asd = "winhttp";
    });
    systems = [ "winhttp" ];
    lispLibs = [ (getAttr "cffi" pkgs) ];
  };
  winlock = {
    pname = "winlock";
    version = "20191130-git";
    asds = [ "winlock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/winlock/2019-11-30/winlock-20191130-git.tgz";
      sha256 = "0sgjq1cjbmshnh2zwyqws7rkr93zkjl0rrzyf04542gb1grj0vd8";
      system = "winlock";
      asd = "winlock";
    });
    systems = [ "winlock" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "named-readtables" pkgs) (getAttr "serapeum" pkgs) ];
  };
  winlock_slash_test = {
    pname = "winlock_test";
    version = "20191130-git";
    asds = [ "winlock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/winlock/2019-11-30/winlock-20191130-git.tgz";
      sha256 = "0sgjq1cjbmshnh2zwyqws7rkr93zkjl0rrzyf04542gb1grj0vd8";
      system = "winlock";
      asd = "winlock";
    });
    systems = [ "winlock/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "winlock" pkgs) ];
    meta = {
      broken = true;
    };
  };
  wire-world = {
    pname = "wire-world";
    version = "master-1a957fb2-git";
    asds = [ "wire-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "wire-world";
      asd = "wire-world";
    });
    systems = [ "wire-world" ];
    lispLibs = [ (getAttr "gwl-graphics" pkgs) ];
  };
  with-branching = {
    pname = "with-branching";
    version = "20220220-git";
    asds = [ "with-branching" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-branching/2022-02-20/with-branching-20220220-git.tgz";
      sha256 = "0jaaz2b1k6pbh9hyvvsxp8dn18gqjz24kgri9wazqxyn0n05jpl9";
      system = "with-branching";
      asd = "with-branching";
    });
    systems = [ "with-branching" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-indent" pkgs) ];
  };
  with-branching_slash_dangerous = {
    pname = "with-branching_dangerous";
    version = "20220220-git";
    asds = [ "with-branching" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-branching/2022-02-20/with-branching-20220220-git.tgz";
      sha256 = "0jaaz2b1k6pbh9hyvvsxp8dn18gqjz24kgri9wazqxyn0n05jpl9";
      system = "with-branching";
      asd = "with-branching";
    });
    systems = [ "with-branching/dangerous" ];
    lispLibs = [ (getAttr "with-branching" pkgs) ];
    meta = {
      broken = true;
    };
  };
  with-branching_slash_test = {
    pname = "with-branching_test";
    version = "20220220-git";
    asds = [ "with-branching" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-branching/2022-02-20/with-branching-20220220-git.tgz";
      sha256 = "0jaaz2b1k6pbh9hyvvsxp8dn18gqjz24kgri9wazqxyn0n05jpl9";
      system = "with-branching";
      asd = "with-branching";
    });
    systems = [ "with-branching/test" ];
    lispLibs = [ (getAttr "agnostic-lizard" pkgs) (getAttr "with-branching" pkgs) ];
    meta = {
      broken = true;
    };
  };
  with-c-syntax = {
    pname = "with-c-syntax";
    version = "20221106-git";
    asds = [ "with-c-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-c-syntax/2022-11-06/with-c-syntax-20221106-git.tgz";
      sha256 = "12gdwdyxyl9xm8n04qvmvyc1s06dkckb87i6hdysal5lsf1gwc41";
      system = "with-c-syntax";
      asd = "with-c-syntax";
    });
    systems = [ "with-c-syntax" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yacc" pkgs) (getAttr "float-features" pkgs) (getAttr "floating-point-contractions" pkgs) (getAttr "named-readtables" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  with-c-syntax-test = {
    pname = "with-c-syntax-test";
    version = "20221106-git";
    asds = [ "with-c-syntax-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-c-syntax/2022-11-06/with-c-syntax-20221106-git.tgz";
      sha256 = "12gdwdyxyl9xm8n04qvmvyc1s06dkckb87i6hdysal5lsf1gwc41";
      system = "with-c-syntax-test";
      asd = "with-c-syntax-test";
    });
    systems = [ "with-c-syntax-test" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "floating-point" pkgs) (getAttr "trivial-cltl2" pkgs) (getAttr "with-c-syntax" pkgs) ];
  };
  with-cached-reader-conditionals = {
    pname = "with-cached-reader-conditionals";
    version = "20170630-git";
    asds = [ "with-cached-reader-conditionals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-cached-reader-conditionals/2017-06-30/with-cached-reader-conditionals-20170630-git.tgz";
      sha256 = "0n7a089d0wb13l1nsdh3xlgwxwlqynkbjl8fg2x56h52a5i9gkv4";
      system = "with-cached-reader-conditionals";
      asd = "with-cached-reader-conditionals";
    });
    systems = [ "with-cached-reader-conditionals" ];
    lispLibs = [  ];
  };
  with-contexts = {
    pname = "with-contexts";
    version = "20220220-git";
    asds = [ "with-contexts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-contexts/2022-02-20/with-contexts-20220220-git.tgz";
      sha256 = "0lbv20cfvi4xl0akw092j6ms30daj9y1rh0gb1qlginry0nh8a24";
      system = "with-contexts";
      asd = "with-contexts";
    });
    systems = [ "with-contexts" ];
    lispLibs = [  ];
  };
  with-output-to-stream = {
    pname = "with-output-to-stream";
    version = "1.0";
    asds = [ "with-output-to-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-output-to-stream/2019-10-07/with-output-to-stream_1.0.tgz";
      sha256 = "0pv9kccjbxkgcv7wbcfpnzas9pq0n2rs2aq9kdnqkx55k12366sm";
      system = "with-output-to-stream";
      asd = "with-output-to-stream";
    });
    systems = [ "with-output-to-stream" ];
    lispLibs = [  ];
  };
  with-output-to-stream_tests = {
    pname = "with-output-to-stream_tests";
    version = "1.0";
    asds = [ "with-output-to-stream_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-output-to-stream/2019-10-07/with-output-to-stream_1.0.tgz";
      sha256 = "0pv9kccjbxkgcv7wbcfpnzas9pq0n2rs2aq9kdnqkx55k12366sm";
      system = "with-output-to-stream_tests";
      asd = "with-output-to-stream_tests";
    });
    systems = [ "with-output-to-stream_tests" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "with-output-to-stream" pkgs) ];
  };
  with-setf = {
    pname = "with-setf";
    version = "release-quicklisp-df3eed9d-git";
    asds = [ "with-setf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-setf/2018-02-28/with-setf-release-quicklisp-df3eed9d-git.tgz";
      sha256 = "090v39kdxk4py3axjrjjac2pn1p0109q14hvl818pik479xr4inz";
      system = "with-setf";
      asd = "with-setf";
    });
    systems = [ "with-setf" ];
    lispLibs = [  ];
  };
  with-shadowed-bindings = {
    pname = "with-shadowed-bindings";
    version = "1.0";
    asds = [ "with-shadowed-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-shadowed-bindings/2019-01-07/with-shadowed-bindings-1.0.tgz";
      sha256 = "0kxy86a21v4fm4xwd44c6kpdadgkcj8iv6a68xavhirhjhngcwy5";
      system = "with-shadowed-bindings";
      asd = "with-shadowed-bindings";
    });
    systems = [ "with-shadowed-bindings" ];
    lispLibs = [ (getAttr "map-bind" pkgs) ];
  };
  with-shadowed-bindings_tests = {
    pname = "with-shadowed-bindings_tests";
    version = "1.0";
    asds = [ "with-shadowed-bindings_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-shadowed-bindings/2019-01-07/with-shadowed-bindings-1.0.tgz";
      sha256 = "0kxy86a21v4fm4xwd44c6kpdadgkcj8iv6a68xavhirhjhngcwy5";
      system = "with-shadowed-bindings_tests";
      asd = "with-shadowed-bindings_tests";
    });
    systems = [ "with-shadowed-bindings_tests" ];
    lispLibs = [ (getAttr "parachute" pkgs) (getAttr "with-shadowed-bindings" pkgs) ];
  };
  with-user-abort = {
    pname = "with-user-abort";
    version = "20210411-git";
    asds = [ "with-user-abort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-user-abort/2021-04-11/with-user-abort-20210411-git.tgz";
      sha256 = "0k1xxfvncdw4fx8nncis1ma128bqq05zky1mrzak5rjbivzjm8j1";
      system = "with-user-abort";
      asd = "with-user-abort";
    });
    systems = [ "with-user-abort" ];
    lispLibs = [  ];
  };
  woo = {
    pname = "woo";
    version = "20220707-git";
    asds = [ "woo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "woo";
      asd = "woo";
    });
    systems = [ "woo" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "clack-socket" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "lev" pkgs) (getAttr "quri" pkgs) (getAttr "smart-buffer" pkgs) (getAttr "static-vectors" pkgs) (getAttr "swap-bytes" pkgs) (getAttr "trivial-mimes" pkgs) (getAttr "trivial-utf-8" pkgs) (getAttr "vom" pkgs) ];
  };
  woo-test = {
    pname = "woo-test";
    version = "20220707-git";
    asds = [ "woo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "woo-test";
      asd = "woo-test";
    });
    systems = [ "woo-test" ];
    lispLibs = [ (getAttr "clack-test" pkgs) (getAttr "rove" pkgs) (getAttr "woo" pkgs) ];
  };
  wookie = {
    pname = "wookie";
    version = "20191130-git";
    asds = [ "wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wookie/2019-11-30/wookie-20191130-git.tgz";
      sha256 = "17py6z5dk0y5ww99nsr69ksa4v9cqwwqqk90sv096dsh9va2b689";
      system = "wookie";
      asd = "wookie";
    });
    systems = [ "wookie" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "blackbird" pkgs) (getAttr "chunga" pkgs) (getAttr "cl-async" pkgs) (getAttr "cl-async-ssl" pkgs) (getAttr "cl-fad" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "do-urlencode" pkgs) (getAttr "fast-http" pkgs) (getAttr "fast-io" pkgs) (getAttr "quri" pkgs) (getAttr "vom" pkgs) ];
  };
  wordnet = {
    pname = "wordnet";
    version = "20220220-git";
    asds = [ "wordnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wordnet/2022-02-20/wordnet-20220220-git.tgz";
      sha256 = "07p60k295fsfcp0gmkqhrxd68hb38aqva8f4k8xk8bqqxxf42vkq";
      system = "wordnet";
      asd = "wordnet";
    });
    systems = [ "wordnet" ];
    lispLibs = [ (getAttr "split-sequence" pkgs) ];
  };
  workout-timer = {
    pname = "workout-timer";
    version = "20220707-git";
    asds = [ "workout-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/workout-timer/2022-07-07/workout-timer-20220707-git.tgz";
      sha256 = "0ibgynwivyxynfa4y9h8mqk0y5qkn97ii0xwfh0py0697hq74xp3";
      system = "workout-timer";
      asd = "workout-timer";
    });
    systems = [ "workout-timer" ];
    lispLibs = [ (getAttr "cffi-toolchain" pkgs) (getAttr "command-line-arguments" pkgs) (getAttr "local-time" pkgs) (getAttr "mixalot" pkgs) (getAttr "mixalot-vorbis" pkgs) (getAttr "vorbisfile-ffi" pkgs) ];
  };
  workout-timer_slash_static = {
    pname = "workout-timer_static";
    version = "20220707-git";
    asds = [ "workout-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/workout-timer/2022-07-07/workout-timer-20220707-git.tgz";
      sha256 = "0ibgynwivyxynfa4y9h8mqk0y5qkn97ii0xwfh0py0697hq74xp3";
      system = "workout-timer";
      asd = "workout-timer";
    });
    systems = [ "workout-timer/static" ];
    lispLibs = [ (getAttr "cffi-toolchain" pkgs) (getAttr "workout-timer" pkgs) ];
    meta = {
      broken = true;
    };
  };
  wu-decimal = {
    pname = "wu-decimal";
    version = "20130128-git";
    asds = [ "wu-decimal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wu-decimal/2013-01-28/wu-decimal-20130128-git.tgz";
      sha256 = "1p7na4hic7297amwm4idfwkyx664ny8cdssncyra37pmv4wzp8dm";
      system = "wu-decimal";
      asd = "wu-decimal";
    });
    systems = [ "wu-decimal" ];
    lispLibs = [  ];
  };
  wu-sugar = {
    pname = "wu-sugar";
    version = "20160825-git";
    asds = [ "wu-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wu-sugar/2016-08-25/wu-sugar-20160825-git.tgz";
      sha256 = "0ypn5195krfd1rva5myla8j7n2ilfs5gxh81flx7v0mr4r70fayl";
      system = "wu-sugar";
      asd = "wu-sugar";
    });
    systems = [ "wu-sugar" ];
    lispLibs = [  ];
  };
  wuwei = {
    pname = "wuwei";
    version = "20221106-git";
    asds = [ "wuwei" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wuwei/2022-11-06/wuwei-20221106-git.tgz";
      sha256 = "1k5yhxdqcx250kd56qgbch5z0hvjpjwch38c3949nf790pmrhl8f";
      system = "wuwei";
      asd = "wuwei";
    });
    systems = [ "wuwei" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "mtlisp" pkgs) (getAttr "aserve" pkgs) ];
  };
  wuwei-examples = {
    pname = "wuwei-examples";
    version = "20221106-git";
    asds = [ "wuwei-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wuwei/2022-11-06/wuwei-20221106-git.tgz";
      sha256 = "1k5yhxdqcx250kd56qgbch5z0hvjpjwch38c3949nf790pmrhl8f";
      system = "wuwei-examples";
      asd = "wuwei";
    });
    systems = [ "wuwei-examples" ];
    lispLibs = [ (getAttr "drakma" pkgs) (getAttr "wuwei" pkgs) ];
  };
  x_dot_let-star = {
    pname = "x.let-star";
    version = "20200325-git";
    asds = [ "x.let-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/x.let-star/2020-03-25/x.let-star-20200325-git.tgz";
      sha256 = "0qk0rpqzb7vaivggsqch06nmdjzp6b31a88w40y3864clajpcrnr";
      system = "x.let-star";
      asd = "x.let-star";
    });
    systems = [ "x.let-star" ];
    lispLibs = [  ];
  };
  xarray = {
    pname = "xarray";
    version = "20140113-git";
    asds = [ "xarray" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xarray/2014-01-13/xarray-20140113-git.tgz";
      sha256 = "031h1bvy9s6qas2160dgf7gc0y6inrhpzp8j3wrb6fjxkb0524yl";
      system = "xarray";
      asd = "xarray";
    });
    systems = [ "xarray" ];
    lispLibs = [ (getAttr "anaphora" pkgs) (getAttr "cl-utilities" pkgs) (getAttr "iterate" pkgs) (getAttr "metabang-bind" pkgs) ];
  };
  xarray-test = {
    pname = "xarray-test";
    version = "20140113-git";
    asds = [ "xarray-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xarray/2014-01-13/xarray-20140113-git.tgz";
      sha256 = "031h1bvy9s6qas2160dgf7gc0y6inrhpzp8j3wrb6fjxkb0524yl";
      system = "xarray-test";
      asd = "xarray-test";
    });
    systems = [ "xarray-test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "xarray" pkgs) ];
  };
  xcat = {
    pname = "xcat";
    version = "20200925-git";
    asds = [ "xcat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xcat/2020-09-25/xcat-20200925-git.tgz";
      sha256 = "1v8mcz8bidcbfl587b5lm07l91xan6z1y3zikjkyzagiigd4byvi";
      system = "xcat";
      asd = "xcat";
    });
    systems = [ "xcat" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "log4cl" pkgs) (getAttr "trivial-features" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  xecto = {
    pname = "xecto";
    version = "20151218-git";
    asds = [ "xecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xecto/2015-12-18/xecto-20151218-git.tgz";
      sha256 = "1m81cl02k28v9sgscl8qhig735x5qybhw69szs6bkkqml7hbl12q";
      system = "xecto";
      asd = "xecto";
    });
    systems = [ "xecto" ];
    lispLibs = [  ];
  };
  xembed = {
    pname = "xembed";
    version = "20191130-git";
    asds = [ "xembed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xembed/2019-11-30/clx-xembed-20191130-git.tgz";
      sha256 = "1abx4v36ycmfjdwpjk4hh8058ya8whwia7ds9vd96q2qsrs57f12";
      system = "xembed";
      asd = "xembed";
    });
    systems = [ "xembed" ];
    lispLibs = [ (getAttr "clx" pkgs) ];
  };
  xfactory = {
    pname = "xfactory";
    version = "20130615-git";
    asds = [ "xfactory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xfactory";
      asd = "xfactory";
    });
    systems = [ "xfactory" ];
    lispLibs = [ (getAttr "cl-libxml2" pkgs) ];
  };
  xfactory-test = {
    pname = "xfactory-test";
    version = "20130615-git";
    asds = [ "xfactory-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xfactory-test";
      asd = "xfactory";
    });
    systems = [ "xfactory-test" ];
    lispLibs = [ (getAttr "xfactory" pkgs) (getAttr "lift" pkgs) ];
  };
  xhtmlambda = {
    pname = "xhtmlambda";
    version = "20220220-git";
    asds = [ "xhtmlambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlambda/2022-02-20/xhtmlambda-20220220-git.tgz";
      sha256 = "1ca1fkycdblvm26a5vnxgg6anfqsq0kfjm1libr0yw4r59ds0mx1";
      system = "xhtmlambda";
      asd = "xhtmlambda";
    });
    systems = [ "xhtmlambda" ];
    lispLibs = [ (getAttr "cl-unicode" pkgs) ];
  };
  xhtmlgen = {
    pname = "xhtmlgen";
    version = "20170124-git";
    asds = [ "xhtmlgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlgen/2017-01-24/xhtmlgen-20170124-git.tgz";
      sha256 = "0br4pqhl7y7rd95l9xx2p96gds3dh4pgk9v038wbshl2dnhjv82k";
      system = "xhtmlgen";
      asd = "xhtmlgen";
    });
    systems = [ "xhtmlgen" ];
    lispLibs = [ (getAttr "cxml" pkgs) ];
  };
  xhtmlgen-test = {
    pname = "xhtmlgen-test";
    version = "20170124-git";
    asds = [ "xhtmlgen-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlgen/2017-01-24/xhtmlgen-20170124-git.tgz";
      sha256 = "0br4pqhl7y7rd95l9xx2p96gds3dh4pgk9v038wbshl2dnhjv82k";
      system = "xhtmlgen-test";
      asd = "xhtmlgen";
    });
    systems = [ "xhtmlgen-test" ];
    lispLibs = [ (getAttr "rt" pkgs) (getAttr "xhtmlgen" pkgs) ];
  };
  xkeyboard = {
    pname = "xkeyboard";
    version = "20120811-git";
    asds = [ "xkeyboard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xkeyboard/2012-08-11/clx-xkeyboard-20120811-git.tgz";
      sha256 = "1nxky9wsmm7nmwz372jgb4iy0ywlm22jw0vl8yi0k9slsfklvcqi";
      system = "xkeyboard";
      asd = "xkeyboard";
    });
    systems = [ "xkeyboard" ];
    lispLibs = [ (getAttr "clx" pkgs) ];
  };
  xkeyboard-test = {
    pname = "xkeyboard-test";
    version = "20120811-git";
    asds = [ "xkeyboard-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xkeyboard/2012-08-11/clx-xkeyboard-20120811-git.tgz";
      sha256 = "1nxky9wsmm7nmwz372jgb4iy0ywlm22jw0vl8yi0k9slsfklvcqi";
      system = "xkeyboard-test";
      asd = "xkeyboard";
    });
    systems = [ "xkeyboard-test" ];
    lispLibs = [ (getAttr "xkeyboard" pkgs) ];
  };
  xlsx = {
    pname = "xlsx";
    version = "20180711-git";
    asds = [ "xlsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlsx/2018-07-11/xlsx-20180711-git.tgz";
      sha256 = "15vw5zl13jg9b1rla7w2wv6ss93mijrnn9fzsh0fakgvfikqq1n6";
      system = "xlsx";
      asd = "xlsx";
    });
    systems = [ "xlsx" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "xmls" pkgs) (getAttr "zip" pkgs) ];
  };
  xlunit = {
    pname = "xlunit";
    version = "20150923-git";
    asds = [ "xlunit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlunit/2015-09-23/xlunit-20150923-git.tgz";
      sha256 = "0argfmp9nghs4sihyj3f8ch9qfib2b7ll07v5m9ziajgzsfl5xw3";
      system = "xlunit";
      asd = "xlunit";
    });
    systems = [ "xlunit" ];
    lispLibs = [  ];
  };
  xlunit-tests = {
    pname = "xlunit-tests";
    version = "20150923-git";
    asds = [ "xlunit-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlunit/2015-09-23/xlunit-20150923-git.tgz";
      sha256 = "0argfmp9nghs4sihyj3f8ch9qfib2b7ll07v5m9ziajgzsfl5xw3";
      system = "xlunit-tests";
      asd = "xlunit";
    });
    systems = [ "xlunit-tests" ];
    lispLibs = [ (getAttr "xlunit" pkgs) ];
  };
  xml-emitter = {
    pname = "xml-emitter";
    version = "20221106-git";
    asds = [ "xml-emitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml-emitter/2022-11-06/xml-emitter-20221106-git.tgz";
      sha256 = "0yvcrzqz14kx90i6sm7kpi8l8hy61a1yjj0a8wvgryjbgp6abqvc";
      system = "xml-emitter";
      asd = "xml-emitter";
    });
    systems = [ "xml-emitter" ];
    lispLibs = [ (getAttr "cl-utilities" pkgs) ];
  };
  xml-emitter_slash_tests = {
    pname = "xml-emitter_tests";
    version = "20221106-git";
    asds = [ "xml-emitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml-emitter/2022-11-06/xml-emitter-20221106-git.tgz";
      sha256 = "0yvcrzqz14kx90i6sm7kpi8l8hy61a1yjj0a8wvgryjbgp6abqvc";
      system = "xml-emitter";
      asd = "xml-emitter";
    });
    systems = [ "xml-emitter/tests" ];
    lispLibs = [ (getAttr "_1am" pkgs) (getAttr "xml-emitter" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xml-mop = {
    pname = "xml-mop";
    version = "20110418-git";
    asds = [ "xml-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml-mop/2011-04-18/xml-mop-20110418-git.tgz";
      sha256 = "1vfa3h5dghnpc7qbqqm80mm1ri6x7x5r528kvkwzngghrbxyhgjr";
      system = "xml-mop";
      asd = "xml-mop";
    });
    systems = [ "xml-mop" ];
    lispLibs = [ (getAttr "closer-mop" pkgs) (getAttr "s-xml" pkgs) ];
  };
  xml-render = {
    pname = "xml-render";
    version = "20210531-git";
    asds = [ "xml-render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "xml-render";
      asd = "xml-render";
    });
    systems = [ "xml-render" ];
    lispLibs = [ (getAttr "cl-typesetting" pkgs) (getAttr "xmls" pkgs) ];
  };
  xml_dot_location = {
    pname = "xml.location";
    version = "20200325-git";
    asds = [ "xml.location" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml.location/2020-03-25/xml.location-20200325-git.tgz";
      sha256 = "0ajl03k7krns6b0z3ykmngq3i77yd2j85z3h76drlc9whxvm2kii";
      system = "xml.location";
      asd = "xml.location";
    });
    systems = [ "xml.location" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "closer-mop" pkgs) (getAttr "cxml-stp" pkgs) (getAttr "iterate" pkgs) (getAttr "let-plus" pkgs) (getAttr "more-conditions" pkgs) (getAttr "xpath" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  xml_dot_location-and-local-time = {
    pname = "xml.location-and-local-time";
    version = "20200325-git";
    asds = [ "xml.location-and-local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml.location/2020-03-25/xml.location-20200325-git.tgz";
      sha256 = "0ajl03k7krns6b0z3ykmngq3i77yd2j85z3h76drlc9whxvm2kii";
      system = "xml.location-and-local-time";
      asd = "xml.location-and-local-time";
    });
    systems = [ "xml.location-and-local-time" ];
    lispLibs = [ (getAttr "local-time" pkgs) (getAttr "xml_dot_location" pkgs) ];
  };
  xml_dot_location_slash_test = {
    pname = "xml.location_test";
    version = "20200325-git";
    asds = [ "xml.location" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml.location/2020-03-25/xml.location-20200325-git.tgz";
      sha256 = "0ajl03k7krns6b0z3ykmngq3i77yd2j85z3h76drlc9whxvm2kii";
      system = "xml.location";
      asd = "xml.location";
    });
    systems = [ "xml.location/test" ];
    lispLibs = [ (getAttr "lift" pkgs) (getAttr "xml_dot_location" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xmls = {
    pname = "xmls";
    version = "release-c6ca1b39-git";
    asds = [ "xmls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xmls/2022-07-07/xmls-release-c6ca1b39-git.tgz";
      sha256 = "050c9z0xq8wagga2mbdhjm0j1530m4rz942sll4w6pxr0s6fmg3g";
      system = "xmls";
      asd = "xmls";
    });
    systems = [ "xmls" ];
    lispLibs = [  ];
  };
  xmls_slash_octets = {
    pname = "xmls_octets";
    version = "release-c6ca1b39-git";
    asds = [ "xmls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xmls/2022-07-07/xmls-release-c6ca1b39-git.tgz";
      sha256 = "050c9z0xq8wagga2mbdhjm0j1530m4rz942sll4w6pxr0s6fmg3g";
      system = "xmls";
      asd = "xmls";
    });
    systems = [ "xmls/octets" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "xmls" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xmls_slash_test = {
    pname = "xmls_test";
    version = "release-c6ca1b39-git";
    asds = [ "xmls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xmls/2022-07-07/xmls-release-c6ca1b39-git.tgz";
      sha256 = "050c9z0xq8wagga2mbdhjm0j1530m4rz942sll4w6pxr0s6fmg3g";
      system = "xmls";
      asd = "xmls";
    });
    systems = [ "xmls/test" ];
    lispLibs = [ (getAttr "xmls" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xmls_slash_unit-test = {
    pname = "xmls_unit-test";
    version = "release-c6ca1b39-git";
    asds = [ "xmls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xmls/2022-07-07/xmls-release-c6ca1b39-git.tgz";
      sha256 = "050c9z0xq8wagga2mbdhjm0j1530m4rz942sll4w6pxr0s6fmg3g";
      system = "xmls";
      asd = "xmls";
    });
    systems = [ "xmls/unit-test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "xmls" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xoverlay = {
    pname = "xoverlay";
    version = "20130615-git";
    asds = [ "xoverlay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xoverlay";
      asd = "xoverlay";
    });
    systems = [ "xoverlay" ];
    lispLibs = [ (getAttr "cl-libxml2" pkgs) ];
  };
  xpath = {
    pname = "xpath";
    version = "20190521-git";
    asds = [ "xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plexippus-xpath/2019-05-21/plexippus-xpath-20190521-git.tgz";
      sha256 = "1fb03fgnzrvh22lw1jdg04pmyja5fib5n42rzwp5mhr829yvxkvp";
      system = "xpath";
      asd = "xpath";
    });
    systems = [ "xpath" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "yacc" pkgs) (getAttr "cxml" pkgs) (getAttr "parse-number" pkgs) ];
  };
  xpath_slash_test = {
    pname = "xpath_test";
    version = "20190521-git";
    asds = [ "xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plexippus-xpath/2019-05-21/plexippus-xpath-20190521-git.tgz";
      sha256 = "1fb03fgnzrvh22lw1jdg04pmyja5fib5n42rzwp5mhr829yvxkvp";
      system = "xpath";
      asd = "xpath";
    });
    systems = [ "xpath/test" ];
    lispLibs = [ (getAttr "xpath" pkgs) ];
    meta = {
      broken = true;
    };
  };
  xptest = {
    pname = "xptest";
    version = "20150923-git";
    asds = [ "xptest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xptest/2015-09-23/xptest-20150923-git.tgz";
      sha256 = "02jwncq5d60l77gf87ahabzg6k6c878gfc4x1mf6ld97rj5lzp3b";
      system = "xptest";
      asd = "xptest";
    });
    systems = [ "xptest" ];
    lispLibs = [  ];
  };
  xsubseq = {
    pname = "xsubseq";
    version = "20170830-git";
    asds = [ "xsubseq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xsubseq/2017-08-30/xsubseq-20170830-git.tgz";
      sha256 = "1xz79q0p2mclf3sqjiwf6izdpb6xrsr350bv4mlmdlm6rg5r99px";
      system = "xsubseq";
      asd = "xsubseq";
    });
    systems = [ "xsubseq" ];
    lispLibs = [  ];
  };
  xsubseq-test = {
    pname = "xsubseq-test";
    version = "20170830-git";
    asds = [ "xsubseq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xsubseq/2017-08-30/xsubseq-20170830-git.tgz";
      sha256 = "1xz79q0p2mclf3sqjiwf6izdpb6xrsr350bv4mlmdlm6rg5r99px";
      system = "xsubseq-test";
      asd = "xsubseq-test";
    });
    systems = [ "xsubseq-test" ];
    lispLibs = [ (getAttr "prove" pkgs) (getAttr "prove-asdf" pkgs) (getAttr "xsubseq" pkgs) ];
  };
  xuriella = {
    pname = "xuriella";
    version = "20120305-git";
    asds = [ "xuriella" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xuriella/2012-03-05/xuriella-20120305-git.tgz";
      sha256 = "0wz98bfvr7h7g0r7dy815brq5sz3x40281hp0qk801q17aa4qhqh";
      system = "xuriella";
      asd = "xuriella";
    });
    systems = [ "xuriella" ];
    lispLibs = [ (getAttr "closure-html" pkgs) (getAttr "cxml" pkgs) (getAttr "cxml-stp" pkgs) (getAttr "xpath" pkgs) (getAttr "split-sequence" pkgs) ];
  };
  yacc = {
    pname = "yacc";
    version = "20101006-darcs";
    asds = [ "yacc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yacc/2010-10-06/cl-yacc-20101006-darcs.tgz";
      sha256 = "16946pzf8vvadnyfayvj8rbh4zjzw90h0azz2qk1mxrvhh5wklib";
      system = "yacc";
      asd = "yacc";
    });
    systems = [ "yacc" ];
    lispLibs = [  ];
  };
  yaclml = {
    pname = "yaclml";
    version = "20180131-git";
    asds = [ "yaclml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yaclml/2018-01-31/yaclml-20180131-git.tgz";
      sha256 = "0wq6clk4qwbdaf0hcfjz4vg27nyf6ng0rrip1ay4rlkb03hdnssq";
      system = "yaclml";
      asd = "yaclml";
    });
    systems = [ "yaclml" ];
    lispLibs = [ (getAttr "arnesi" pkgs) (getAttr "iterate" pkgs) ];
  };
  yaclml_slash_test = {
    pname = "yaclml_test";
    version = "20180131-git";
    asds = [ "yaclml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yaclml/2018-01-31/yaclml-20180131-git.tgz";
      sha256 = "0wq6clk4qwbdaf0hcfjz4vg27nyf6ng0rrip1ay4rlkb03hdnssq";
      system = "yaclml";
      asd = "yaclml";
    });
    systems = [ "yaclml/test" ];
    lispLibs = [ (getAttr "fiveam" pkgs) (getAttr "yaclml" pkgs) ];
    meta = {
      broken = true;
    };
  };
  yadd = {
    pname = "yadd";
    version = "master-1a957fb2-git";
    asds = [ "yadd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2022-07-07/gendl-master-1a957fb2-git.tgz";
      sha256 = "0j47qnvvfx3vnh3pll6rkya5m142hi93bd5jk65rv43vbc94sv30";
      system = "yadd";
      asd = "yadd";
    });
    systems = [ "yadd" ];
    lispLibs = [ (getAttr "cl-html-parse" pkgs) (getAttr "gwl-graphics" pkgs) ];
  };
  yah = {
    pname = "yah";
    version = "20221106-git";
    asds = [ "yah" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yah/2022-11-06/yah-20221106-git.tgz";
      sha256 = "1bxz8b7fb15yzipkpkaxgqr8yj4kqnbrzjf52zx0s3z1h7fg1vfd";
      system = "yah";
      asd = "yah";
    });
    systems = [ "yah" ];
    lispLibs = [ (getAttr "mgl-pax" pkgs) ];
  };
  yason = {
    pname = "yason";
    version = "20221106-git";
    asds = [ "yason" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yason/2022-11-06/yason-20221106-git.tgz";
      sha256 = "04h4jhk1z1r9q0vmhwc93x8gbikmsk1jblvpbghwvgrjbvns0vbc";
      system = "yason";
      asd = "yason";
    });
    systems = [ "yason" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  youtube = {
    pname = "youtube";
    version = "20191227-git";
    asds = [ "youtube" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/youtube/2019-12-27/youtube-20191227-git.tgz";
      sha256 = "0rqbyxgb9v3m8rwx2agaz7cq83w9k8gy5wl5wbw0rfg7r88ah5z0";
      system = "youtube";
      asd = "youtube";
    });
    systems = [ "youtube" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "yason" pkgs) ];
  };
  yxorp = {
    pname = "yxorp";
    version = "20221106-git";
    asds = [ "yxorp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yxorp/2022-11-06/cl-yxorp-20221106-git.tgz";
      sha256 = "0k93xmfpp5j1hr7jwvrxhi7v1h759y5b8kfxfygs0dv2p2801k6y";
      system = "yxorp";
      asd = "yxorp";
    });
    systems = [ "yxorp" ];
    lispLibs = [ (getAttr "binding-arrows" pkgs) (getAttr "chipz" pkgs) (getAttr "chunga" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "str" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "rutils" pkgs) (getAttr "salza2" pkgs) (getAttr "smart-buffer" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "usocket" pkgs) (getAttr "usocket-server" pkgs) ];
  };
  zacl = {
    pname = "zacl";
    version = "20210807-git";
    asds = [ "zacl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zacl/2021-08-07/zacl-20210807-git.tgz";
      sha256 = "1lvc8hljvd3ngx7l8j8yffyvdfjhsph13qqhxyzlx1g8wgk145mn";
      system = "zacl";
      asd = "zacl";
    });
    systems = [ "zacl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "cl_plus_ssl" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "cl-store" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "local-time" pkgs) (getAttr "md5" pkgs) (getAttr "queues_dot_simple-queue" pkgs) (getAttr "quri" pkgs) (getAttr "split-sequence" pkgs) (getAttr "trivial-backtrace" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) (getAttr "usocket" pkgs) ];
  };
  zaserve = {
    pname = "zaserve";
    version = "20211209-git";
    asds = [ "zaserve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aserve/2021-12-09/aserve-20211209-git.tgz";
      sha256 = "06bm9j873xwidvqn6n838b0gvsqs486z5k210l1i0vv8zc4lznxv";
      system = "zaserve";
      asd = "zaserve";
    });
    systems = [ "zaserve" ];
    lispLibs = [ (getAttr "zacl" pkgs) ];
  };
  zaws = {
    pname = "zaws";
    version = "20150407-git";
    asds = [ "zaws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zaws/2015-04-07/zaws-20150407-git.tgz";
      sha256 = "1iwjyqzm4b44in7i53z5lp8n4gzsi27ch02ql6y2vxbmq3sqffaw";
      system = "zaws";
      asd = "zaws";
    });
    systems = [ "zaws" ];
    lispLibs = [ (getAttr "cl-base64" pkgs) (getAttr "drakma" pkgs) (getAttr "flexi-streams" pkgs) (getAttr "ironclad" pkgs) ];
  };
  zaws-xml = {
    pname = "zaws-xml";
    version = "20150407-git";
    asds = [ "zaws-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zaws/2015-04-07/zaws-20150407-git.tgz";
      sha256 = "1iwjyqzm4b44in7i53z5lp8n4gzsi27ch02ql6y2vxbmq3sqffaw";
      system = "zaws-xml";
      asd = "zaws-xml";
    });
    systems = [ "zaws-xml" ];
    lispLibs = [ (getAttr "cxml" pkgs) ];
  };
  zbucium = {
    pname = "zbucium";
    version = "20190710-git";
    asds = [ "zbucium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zbucium/2019-07-10/zbucium-20190710-git.tgz";
      sha256 = "112qx8lwcsaipnnypv2jr57lwhlgzb5n53wgck3r66b8vjjb91gy";
      system = "zbucium";
      asd = "zbucium";
    });
    systems = [ "zbucium" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "bordeaux-threads" pkgs) (getAttr "drakma" pkgs) (getAttr "fare-memoization" pkgs) (getAttr "generators" pkgs) (getAttr "lastfm" pkgs) (getAttr "local-time" pkgs) (getAttr "lquery" pkgs) (getAttr "lyrics" pkgs) (getAttr "plump" pkgs) (getAttr "yason" pkgs) (getAttr "youtube" pkgs) ];
  };
  zcdb = {
    pname = "zcdb";
    version = "1.0.4";
    asds = [ "zcdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zcdb/2015-04-07/zcdb-1.0.4.tgz";
      sha256 = "1g83hqivh40xrpifm9v1vx92h13g5kzn12fjrlk57fyl1qwjqdi7";
      system = "zcdb";
      asd = "zcdb";
    });
    systems = [ "zcdb" ];
    lispLibs = [  ];
  };
  zenekindarl = {
    pname = "zenekindarl";
    version = "20171130-git";
    asds = [ "zenekindarl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zenekindarl/2017-11-30/zenekindarl-20171130-git.tgz";
      sha256 = "104y98j8fjj4wry55mhgv3g6358h5n1qcbhpn19b27b8cs8gqwib";
      system = "zenekindarl";
      asd = "zenekindarl";
    });
    systems = [ "zenekindarl" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "anaphora" pkgs) (getAttr "babel" pkgs) (getAttr "cl-annot" pkgs) (getAttr "cl-ppcre" pkgs) (getAttr "fast-io" pkgs) (getAttr "html-encode" pkgs) (getAttr "maxpc" pkgs) (getAttr "optima" pkgs) ];
  };
  zenekindarl-test = {
    pname = "zenekindarl-test";
    version = "20171130-git";
    asds = [ "zenekindarl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zenekindarl/2017-11-30/zenekindarl-20171130-git.tgz";
      sha256 = "104y98j8fjj4wry55mhgv3g6358h5n1qcbhpn19b27b8cs8gqwib";
      system = "zenekindarl-test";
      asd = "zenekindarl-test";
    });
    systems = [ "zenekindarl-test" ];
    lispLibs = [ (getAttr "flexi-streams" pkgs) (getAttr "prove" pkgs) (getAttr "zenekindarl" pkgs) ];
  };
  zeromq = {
    pname = "zeromq";
    version = "20160318-git";
    asds = [ "zeromq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zmq/2016-03-18/cl-zmq-20160318-git.tgz";
      sha256 = "0g19ych3n57qdd42m0bcdcrq8c1p0fqzz07xrxl0s0g8bms3a3ga";
      system = "zeromq";
      asd = "zeromq";
    });
    systems = [ "zeromq" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-garbage" pkgs) ];
  };
  zeromq_dot_tests = {
    pname = "zeromq.tests";
    version = "20160318-git";
    asds = [ "zeromq.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zmq/2016-03-18/cl-zmq-20160318-git.tgz";
      sha256 = "0g19ych3n57qdd42m0bcdcrq8c1p0fqzz07xrxl0s0g8bms3a3ga";
      system = "zeromq.tests";
      asd = "zeromq";
    });
    systems = [ "zeromq.tests" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "zeromq" pkgs) (getAttr "fiveam" pkgs) ];
  };
  zip = {
    pname = "zip";
    version = "20150608-git";
    asds = [ "zip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zip/2015-06-08/zip-20150608-git.tgz";
      sha256 = "0s08a6fq182fzsbfyvihqbdllq6gxcwkvphxnrd9wwz65dhg5y66";
      system = "zip";
      asd = "zip";
    });
    systems = [ "zip" ];
    lispLibs = [ (getAttr "babel" pkgs) (getAttr "cl-fad" pkgs) (getAttr "salza2" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  zippy = {
    pname = "zippy";
    version = "20221106-git";
    asds = [ "zippy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zippy/2022-11-06/zippy-20221106-git.tgz";
      sha256 = "16v2h95cqnp9gnbr4llicydsf47r5gwchf4slh9gq2flvq78p0x1";
      system = "zippy";
      asd = "zippy";
    });
    systems = [ "zippy" ];
    lispLibs = [ (getAttr "_3bz" pkgs) (getAttr "alexandria" pkgs) (getAttr "babel" pkgs) (getAttr "documentation-utils" pkgs) (getAttr "file-attributes" pkgs) (getAttr "nibbles" pkgs) (getAttr "pathname-utils" pkgs) (getAttr "salza2" pkgs) ];
  };
  zippy-dwim = {
    pname = "zippy-dwim";
    version = "20221106-git";
    asds = [ "zippy-dwim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zippy/2022-11-06/zippy-20221106-git.tgz";
      sha256 = "16v2h95cqnp9gnbr4llicydsf47r5gwchf4slh9gq2flvq78p0x1";
      system = "zippy-dwim";
      asd = "zippy-dwim";
    });
    systems = [ "zippy-dwim" ];
    lispLibs = [ (getAttr "deploy" pkgs) (getAttr "zippy" pkgs) ];
  };
  ziz = {
    pname = "ziz";
    version = "20191007-git";
    asds = [ "ziz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ziz/2019-10-07/ziz-20191007-git.tgz";
      sha256 = "1rh6ixkyyj7y9jkw046m4ilmr8a12ylzm0a7sm8mjybdpkh6bk30";
      system = "ziz";
      asd = "ziz";
    });
    systems = [ "ziz" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "hunchentoot" pkgs) (getAttr "ironclad" pkgs) (getAttr "trivial-file-size" pkgs) ];
  };
  zlib = {
    pname = "zlib";
    version = "20170403-git";
    asds = [ "zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zlib/2017-04-03/zlib-20170403-git.tgz";
      sha256 = "1gz771h2q3xhw1yxpwki5zr9mqysa818vn21501w6fsi8wlmlffa";
      system = "zlib";
      asd = "zlib";
    });
    systems = [ "zlib" ];
    lispLibs = [  ];
  };
  zmq = {
    pname = "zmq";
    version = "20200218-git";
    asds = [ "zmq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq";
      asd = "zmq";
    });
    systems = [ "zmq" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivial-features" pkgs) ];
  };
  zmq-examples = {
    pname = "zmq-examples";
    version = "20200218-git";
    asds = [ "zmq-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq-examples";
      asd = "zmq-examples";
    });
    systems = [ "zmq-examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "zmq" pkgs) ];
  };
  zmq-test = {
    pname = "zmq-test";
    version = "20200218-git";
    asds = [ "zmq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq-test";
      asd = "zmq-test";
    });
    systems = [ "zmq-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" pkgs) (getAttr "fiveam" pkgs) (getAttr "zmq" pkgs) ];
  };
  zpb-exif = {
    pname = "zpb-exif";
    version = "release-1.2.5";
    asds = [ "zpb-exif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpb-exif/2021-01-24/zpb-exif-release-1.2.5.tgz";
      sha256 = "0h1n36lfl8xn8rfyl5jxz9m8zlg0if2avmryas79f684yczrvdnd";
      system = "zpb-exif";
      asd = "zpb-exif";
    });
    systems = [ "zpb-exif" ];
    lispLibs = [  ];
  };
  zpb-ttf = {
    pname = "zpb-ttf";
    version = "release-1.0.4";
    asds = [ "zpb-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpb-ttf/2021-01-24/zpb-ttf-release-1.0.4.tgz";
      sha256 = "1ziwlfys15m95hh5c54g3xv78vjxadd6qi9zf9kvd2bv70qsixqk";
      system = "zpb-ttf";
      asd = "zpb-ttf";
    });
    systems = [ "zpb-ttf" ];
    lispLibs = [  ];
  };
  zpng = {
    pname = "zpng";
    version = "1.2.2";
    asds = [ "zpng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpng/2015-04-07/zpng-1.2.2.tgz";
      sha256 = "0b3ag3jhl3z7kdls3ahdsdxsfhhw5qrizk769984f4wkxhb69rcm";
      system = "zpng";
      asd = "zpng";
    });
    systems = [ "zpng" ];
    lispLibs = [ (getAttr "salza2" pkgs) ];
  };
  zs3 = {
    pname = "zs3";
    version = "1.3.3";
    asds = [ "zs3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zs3/2019-10-07/zs3-1.3.3.tgz";
      sha256 = "186v95wgsj2hkxdw2jl9x1w4fddjclp7arp0rrd9vf5ly8h8sbf3";
      system = "zs3";
      asd = "zs3";
    });
    systems = [ "zs3" ];
    lispLibs = [ (getAttr "alexandria" pkgs) (getAttr "cl-base64" pkgs) (getAttr "cxml" pkgs) (getAttr "drakma" pkgs) (getAttr "ironclad" pkgs) (getAttr "puri" pkgs) ];
  };
  zsort = {
    pname = "zsort";
    version = "20120520-git";
    asds = [ "zsort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zsort/2012-05-20/zsort-20120520-git.tgz";
      sha256 = "1vyklyh99712zsll4qi0m4mm8yb1nz04403vl8i57bjv5p5max49";
      system = "zsort";
      asd = "zsort";
    });
    systems = [ "zsort" ];
    lispLibs = [ (getAttr "alexandria" pkgs) ];
  };
  zstd = {
    pname = "zstd";
    version = "20221106-git";
    asds = [ "zstd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zstd/2022-11-06/cl-zstd-20221106-git.tgz";
      sha256 = "1wg8r1fhvhlm9kmqisivs2zjdwx235qr0l4d7n0qjpz4fj75aj07";
      system = "zstd";
      asd = "zstd";
    });
    systems = [ "zstd" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cl-octet-streams" pkgs) (getAttr "trivial-gray-streams" pkgs) ];
  };
  zstd-tests = {
    pname = "zstd-tests";
    version = "20221106-git";
    asds = [ "zstd-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zstd/2022-11-06/cl-zstd-20221106-git.tgz";
      sha256 = "1wg8r1fhvhlm9kmqisivs2zjdwx235qr0l4d7n0qjpz4fj75aj07";
      system = "zstd-tests";
      asd = "zstd-tests";
    });
    systems = [ "zstd-tests" ];
    lispLibs = [ (getAttr "cl-octet-streams" pkgs) (getAttr "zstd" pkgs) (getAttr "fiveam" pkgs) (getAttr "uiop" pkgs) ];
  };
  zyre = {
    pname = "zyre";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre" ];
    lispLibs = [ (getAttr "cffi" pkgs) (getAttr "cffi-grovel" pkgs) (getAttr "trivia" pkgs) (getAttr "trivial-garbage" pkgs) (getAttr "uiop" pkgs) ];
  };
  zyre_slash_tock-client = {
    pname = "zyre_tock-client";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre/tock-client" ];
    lispLibs = [ (getAttr "zyre" pkgs) (getAttr "local-time" pkgs) (getAttr "local-time-duration" pkgs) ];
    meta = {
      broken = true;
    };
  };
  zyre_slash_tock-server = {
    pname = "zyre_tock-server";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre/tock-server" ];
    lispLibs = [ (getAttr "zyre" pkgs) (getAttr "local-time" pkgs) (getAttr "local-time-duration" pkgs) ];
    meta = {
      broken = true;
    };
  };
  zyre_slash_zpinger = {
    pname = "zyre_zpinger";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre/zpinger" ];
    lispLibs = [ (getAttr "cl-ppcre" pkgs) (getAttr "zyre" pkgs) (getAttr "log4cl" pkgs) ];
    meta = {
      broken = true;
    };
  };
  zyre_slash_zyredir = {
    pname = "zyre_zyredir";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre/zyredir" ];
    lispLibs = [ (getAttr "cl-json" pkgs) (getAttr "zyre" pkgs) ];
    meta = {
      broken = true;
    };
  };
}
