
# This file was auto-generated by nix-quicklisp.lisp

{ runCommand, pkgs, lib, fetchzip, build-asdf-system, ... }:

let

 inherit (builtins) getAttr;

# Ensures that every non-slashy `system` exists in a unique .asd file.
# (Think cl-async-base being declared in cl-async.asd upstream)
#
# This is required because we're building and loading a system called
# `system`, not `asd`, so otherwise `system` would not be loadable
# without building and loading `asd` first.
#
 createAsd = { url, sha256, asd, system }:
   let
     src = fetchzip { inherit url sha256; };
   in
     if asd == system
     then src
     else runCommand "source" {} ''
       mkdir -pv $out
       cp -r ${src}/* $out
       find $out -name "${asd}.asd" | while read f; do mv -fv $f $(dirname $f)/${system}.asd || true; done
     '';
in lib.makeScope pkgs.newScope (self: {
  _1am = (build-asdf-system {
    pname = "1am";
    version = "20141106-git";
    asds = [ "1am" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/1am/2014-11-06/1am-20141106-git.tgz";
      sha256 = "05ss4nz1jb9kb796295482b62w5cj29msfj8zis33sp2rw2vmv2g";
      system = "1am";
      asd = "1am";
    });
    systems = [ "1am" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _2d-array = (build-asdf-system {
    pname = "2d-array";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "2d-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "2d-array";
      asd = "2d-array";
    });
    systems = [ "2d-array" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _2d-array-test = (build-asdf-system {
    pname = "2d-array-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "2d-array-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "2d-array-test";
      asd = "2d-array-test";
    });
    systems = [ "2d-array-test" ];
    lispLibs = [ (getAttr "_2d-array" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3b-bmfont = (build-asdf-system {
    pname = "3b-bmfont";
    version = "20230214-git";
    asds = [ "3b-bmfont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-bmfont/2023-02-14/3b-bmfont-20230214-git.tgz";
      sha256 = "11wnqa1wx9vji6cmxl5m5qnf12mqc6n7d5g8038r1wayq88bxia6";
      system = "3b-bmfont";
      asd = "3b-bmfont";
    });
    systems = [ "3b-bmfont" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3b-hdr = (build-asdf-system {
    pname = "3b-hdr";
    version = "20200925-git";
    asds = [ "3b-hdr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-hdr/2020-09-25/3b-hdr-20200925-git.tgz";
      sha256 = "0bvpdzz88xjwvqapjnkdr44ds3gh5xl3r6r1c2y7x9d6lnvc38jq";
      system = "3b-hdr";
      asd = "3b-hdr";
    });
    systems = [ "3b-hdr" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3b-swf = (build-asdf-system {
    pname = "3b-swf";
    version = "20120107-git";
    asds = [ "3b-swf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-swf/2012-01-07/3b-swf-20120107-git.tgz";
      sha256 = "1d74045b6zfxjf0as8n5ji14j5cxsdi3qkqkzcdy3i83whbxkcbm";
      system = "3b-swf";
      asd = "3b-swf";
    });
    systems = [ "3b-swf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "chipz" self) (getAttr "cl-jpeg" self) (getAttr "cxml" self) (getAttr "flexi-streams" self) (getAttr "ieee-floats" self) (getAttr "salza2" self) (getAttr "vecto" self) (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3b-swf-swc = (build-asdf-system {
    pname = "3b-swf-swc";
    version = "20120107-git";
    asds = [ "3b-swf-swc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3b-swf/2012-01-07/3b-swf-20120107-git.tgz";
      sha256 = "1d74045b6zfxjf0as8n5ji14j5cxsdi3qkqkzcdy3i83whbxkcbm";
      system = "3b-swf-swc";
      asd = "3b-swf-swc";
    });
    systems = [ "3b-swf-swc" ];
    lispLibs = [ (getAttr "_3b-swf" self) (getAttr "cxml" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bgl-shader = (build-asdf-system {
    pname = "3bgl-shader";
    version = "20200427-git";
    asds = [ "3bgl-shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bgl-shader/2020-04-27/3bgl-shader-20200427-git.tgz";
      sha256 = "0ykfylmmpcc1kh617c4zbq26r5nf1kgf7cb426fnffhp31pp2xkw";
      system = "3bgl-shader";
      asd = "3bgl-shader";
    });
    systems = [ "3bgl-shader" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bgl-shader-example = (build-asdf-system {
    pname = "3bgl-shader-example";
    version = "20200427-git";
    asds = [ "3bgl-shader-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bgl-shader/2020-04-27/3bgl-shader-20200427-git.tgz";
      sha256 = "0ykfylmmpcc1kh617c4zbq26r5nf1kgf7cb426fnffhp31pp2xkw";
      system = "3bgl-shader-example";
      asd = "3bgl-shader-example";
    });
    systems = [ "3bgl-shader-example" ];
    lispLibs = [ (getAttr "_3bgl-shader" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "mathkit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd = (build-asdf-system {
    pname = "3bmd";
    version = "20230618-git";
    asds = [ "3bmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd";
      asd = "3bmd";
    });
    systems = [ "3bmd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-ext-code-blocks = (build-asdf-system {
    pname = "3bmd-ext-code-blocks";
    version = "20230618-git";
    asds = [ "3bmd-ext-code-blocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-ext-code-blocks";
      asd = "3bmd-ext-code-blocks";
    });
    systems = [ "3bmd-ext-code-blocks" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "alexandria" self) (getAttr "colorize" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-ext-definition-lists = (build-asdf-system {
    pname = "3bmd-ext-definition-lists";
    version = "20230618-git";
    asds = [ "3bmd-ext-definition-lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-ext-definition-lists";
      asd = "3bmd-ext-definition-lists";
    });
    systems = [ "3bmd-ext-definition-lists" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "alexandria" self) (getAttr "colorize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-ext-math = (build-asdf-system {
    pname = "3bmd-ext-math";
    version = "20230618-git";
    asds = [ "3bmd-ext-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-ext-math";
      asd = "3bmd-ext-math";
    });
    systems = [ "3bmd-ext-math" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "esrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-ext-tables = (build-asdf-system {
    pname = "3bmd-ext-tables";
    version = "20230618-git";
    asds = [ "3bmd-ext-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-ext-tables";
      asd = "3bmd-ext-tables";
    });
    systems = [ "3bmd-ext-tables" ];
    lispLibs = [ (getAttr "_3bmd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-ext-wiki-links = (build-asdf-system {
    pname = "3bmd-ext-wiki-links";
    version = "20230618-git";
    asds = [ "3bmd-ext-wiki-links" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-ext-wiki-links";
      asd = "3bmd-ext-wiki-links";
    });
    systems = [ "3bmd-ext-wiki-links" ];
    lispLibs = [ (getAttr "_3bmd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-tests = (build-asdf-system {
    pname = "3bmd-tests";
    version = "20230618-git";
    asds = [ "3bmd-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-tests";
      asd = "3bmd-tests";
    });
    systems = [ "3bmd-tests" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-youtube = (build-asdf-system {
    pname = "3bmd-youtube";
    version = "20230618-git";
    asds = [ "3bmd-youtube" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-youtube";
      asd = "3bmd-youtube";
    });
    systems = [ "3bmd-youtube" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "esrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bmd-youtube-tests = (build-asdf-system {
    pname = "3bmd-youtube-tests";
    version = "20230618-git";
    asds = [ "3bmd-youtube-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bmd/2023-06-18/3bmd-20230618-git.tgz";
      sha256 = "1b5ssbahk7a257fllh0c6vfxzjrcmybav1hhcciarv69mpdhm2mj";
      system = "3bmd-youtube-tests";
      asd = "3bmd-youtube-tests";
    });
    systems = [ "3bmd-youtube-tests" ];
    lispLibs = [ (getAttr "_3bmd-youtube" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3bz = (build-asdf-system {
    pname = "3bz";
    version = "20230618-git";
    asds = [ "3bz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3bz/2023-06-18/3bz-20230618-git.tgz";
      sha256 = "0qdnxj2sn185l0jnp4zjlh5la14pxkgp1hmcyw4d2zwx30sc37p7";
      system = "3bz";
      asd = "3bz";
    });
    systems = [ "3bz" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "mmap" self) (getAttr "nibbles" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-matrices = (build-asdf-system {
    pname = "3d-matrices";
    version = "20230618-git";
    asds = [ "3d-matrices" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-matrices/2023-06-18/3d-matrices-20230618-git.tgz";
      sha256 = "1sj7kpn1fnh6dp67x8cdb6p59raacvr3zc4jfp7kw3ffdwd8hq4y";
      system = "3d-matrices";
      asd = "3d-matrices";
    });
    systems = [ "3d-matrices" ];
    lispLibs = [ (getAttr "_3d-vectors" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-matrices-test = (build-asdf-system {
    pname = "3d-matrices-test";
    version = "20230618-git";
    asds = [ "3d-matrices-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-matrices/2023-06-18/3d-matrices-20230618-git.tgz";
      sha256 = "1sj7kpn1fnh6dp67x8cdb6p59raacvr3zc4jfp7kw3ffdwd8hq4y";
      system = "3d-matrices-test";
      asd = "3d-matrices-test";
    });
    systems = [ "3d-matrices-test" ];
    lispLibs = [ (getAttr "_3d-matrices" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-quaternions = (build-asdf-system {
    pname = "3d-quaternions";
    version = "20230618-git";
    asds = [ "3d-quaternions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-quaternions/2023-06-18/3d-quaternions-20230618-git.tgz";
      sha256 = "16gzg5av8jx1bkbbvyqmxha9r1k4dfd4y2dkv6q0c66wrglyd46r";
      system = "3d-quaternions";
      asd = "3d-quaternions";
    });
    systems = [ "3d-quaternions" ];
    lispLibs = [ (getAttr "_3d-matrices" self) (getAttr "_3d-vectors" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-quaternions-test = (build-asdf-system {
    pname = "3d-quaternions-test";
    version = "20230618-git";
    asds = [ "3d-quaternions-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-quaternions/2023-06-18/3d-quaternions-20230618-git.tgz";
      sha256 = "16gzg5av8jx1bkbbvyqmxha9r1k4dfd4y2dkv6q0c66wrglyd46r";
      system = "3d-quaternions-test";
      asd = "3d-quaternions-test";
    });
    systems = [ "3d-quaternions-test" ];
    lispLibs = [ (getAttr "_3d-quaternions" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-spaces = (build-asdf-system {
    pname = "3d-spaces";
    version = "20230618-git";
    asds = [ "3d-spaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-spaces/2023-06-18/3d-spaces-20230618-git.tgz";
      sha256 = "1igi54c3n6jfqw893pv0py61vmqyslws67xh4wgvj2xfifwv6x0s";
      system = "3d-spaces";
      asd = "3d-spaces";
    });
    systems = [ "3d-spaces" ];
    lispLibs = [ (getAttr "_3d-matrices" self) (getAttr "_3d-vectors" self) (getAttr "documentation-utils" self) (getAttr "for" self) (getAttr "trivial-extensible-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-spaces-test = (build-asdf-system {
    pname = "3d-spaces-test";
    version = "20230618-git";
    asds = [ "3d-spaces-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-spaces/2023-06-18/3d-spaces-20230618-git.tgz";
      sha256 = "1igi54c3n6jfqw893pv0py61vmqyslws67xh4wgvj2xfifwv6x0s";
      system = "3d-spaces-test";
      asd = "3d-spaces-test";
    });
    systems = [ "3d-spaces-test" ];
    lispLibs = [ (getAttr "_3d-spaces" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-transforms = (build-asdf-system {
    pname = "3d-transforms";
    version = "20230618-git";
    asds = [ "3d-transforms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-transforms/2023-06-18/3d-transforms-20230618-git.tgz";
      sha256 = "0p6nh77f1r24pv1mqsan20ji69pd0kxx9cqllhvgba9i59p9mgqv";
      system = "3d-transforms";
      asd = "3d-transforms";
    });
    systems = [ "3d-transforms" ];
    lispLibs = [ (getAttr "_3d-matrices" self) (getAttr "_3d-quaternions" self) (getAttr "_3d-vectors" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-transforms-test = (build-asdf-system {
    pname = "3d-transforms-test";
    version = "20230618-git";
    asds = [ "3d-transforms-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-transforms/2023-06-18/3d-transforms-20230618-git.tgz";
      sha256 = "0p6nh77f1r24pv1mqsan20ji69pd0kxx9cqllhvgba9i59p9mgqv";
      system = "3d-transforms-test";
      asd = "3d-transforms-test";
    });
    systems = [ "3d-transforms-test" ];
    lispLibs = [ (getAttr "_3d-transforms" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-vectors = (build-asdf-system {
    pname = "3d-vectors";
    version = "20230618-git";
    asds = [ "3d-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-vectors/2023-06-18/3d-vectors-20230618-git.tgz";
      sha256 = "029rv4ip17in1w5piivk78z05z9c6r22hn9ax3badbgl1j9v51yn";
      system = "3d-vectors";
      asd = "3d-vectors";
    });
    systems = [ "3d-vectors" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _3d-vectors-test = (build-asdf-system {
    pname = "3d-vectors-test";
    version = "20230618-git";
    asds = [ "3d-vectors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/3d-vectors/2023-06-18/3d-vectors-20230618-git.tgz";
      sha256 = "029rv4ip17in1w5piivk78z05z9c6r22hn9ax3badbgl1j9v51yn";
      system = "3d-vectors-test";
      asd = "3d-vectors-test";
    });
    systems = [ "3d-vectors-test" ];
    lispLibs = [ (getAttr "_3d-vectors" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-asdf-system = (build-asdf-system {
    pname = "40ants-asdf-system";
    version = "20230214-git";
    asds = [ "40ants-asdf-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-asdf-system/2023-02-14/40ants-asdf-system-20230214-git.tgz";
      sha256 = "02r6frx4xcv7qfkmdks1zpv0b3qamywdcwd6zvznfcnmfa8jbfmy";
      system = "40ants-asdf-system";
      asd = "40ants-asdf-system";
    });
    systems = [ "40ants-asdf-system" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-asdf-system-tests = (build-asdf-system {
    pname = "40ants-asdf-system-tests";
    version = "20230214-git";
    asds = [ "40ants-asdf-system-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-asdf-system/2023-02-14/40ants-asdf-system-20230214-git.tgz";
      sha256 = "02r6frx4xcv7qfkmdks1zpv0b3qamywdcwd6zvznfcnmfa8jbfmy";
      system = "40ants-asdf-system-tests";
      asd = "40ants-asdf-system-tests";
    });
    systems = [ "40ants-asdf-system-tests" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-ci = (build-asdf-system {
    pname = "40ants-ci";
    version = "20230618-git";
    asds = [ "40ants-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci/2023-06-18/ci-20230618-git.tgz";
      sha256 = "0i4glf28nn2nwxb64irv6wja7rdadh8378fdhl4lsvmqn5whi5sv";
      system = "40ants-ci";
      asd = "40ants-ci";
    });
    systems = [ "40ants-ci" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "docs-config" self) (getAttr "str" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-ci-tests = (build-asdf-system {
    pname = "40ants-ci-tests";
    version = "20230618-git";
    asds = [ "40ants-ci-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci/2023-06-18/ci-20230618-git.tgz";
      sha256 = "0i4glf28nn2nwxb64irv6wja7rdadh8378fdhl4lsvmqn5whi5sv";
      system = "40ants-ci-tests";
      asd = "40ants-ci-tests";
    });
    systems = [ "40ants-ci-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-doc = (build-asdf-system {
    pname = "40ants-doc";
    version = "20230618-git";
    asds = [ "40ants-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2023-06-18/doc-20230618-git.tgz";
      sha256 = "0s8ji6gwrq3yz9n7k2hb5q14ab37i3f8pm5cg5h29bpxwvdmv0fx";
      system = "40ants-doc";
      asd = "40ants-doc";
    });
    systems = [ "40ants-doc" ];
    lispLibs = [ (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-doc-full = (build-asdf-system {
    pname = "40ants-doc-full";
    version = "20230618-git";
    asds = [ "40ants-doc-full" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2023-06-18/doc-20230618-git.tgz";
      sha256 = "0s8ji6gwrq3yz9n7k2hb5q14ab37i3f8pm5cg5h29bpxwvdmv0fx";
      system = "40ants-doc-full";
      asd = "40ants-doc-full";
    });
    systems = [ "40ants-doc-full" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-cookie" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "common-doc" self) (getAttr "common-html" self) (getAttr "commondoc-markdown" self) (getAttr "dexador" self) (getAttr "docs-config" self) (getAttr "fare-utils" self) (getAttr "jonathan" self) (getAttr "lass" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "slynk" self) (getAttr "spinneret" self) (getAttr "stem" self) (getAttr "str" self) (getAttr "swank" self) (getAttr "tmpdir" self) (getAttr "trivial-extract" self) (getAttr "xml-emitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-doc-test = (build-asdf-system {
    pname = "40ants-doc-test";
    version = "20230618-git";
    asds = [ "40ants-doc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doc/2023-06-18/doc-20230618-git.tgz";
      sha256 = "0s8ji6gwrq3yz9n7k2hb5q14ab37i3f8pm5cg5h29bpxwvdmv0fx";
      system = "40ants-doc-test";
      asd = "40ants-doc-test";
    });
    systems = [ "40ants-doc-test" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "common-doc" self) (getAttr "common-html" self) (getAttr "commondoc-markdown" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-logging = (build-asdf-system {
    pname = "40ants-logging";
    version = "20230618-git";
    asds = [ "40ants-logging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/logging/2023-06-18/logging-20230618-git.tgz";
      sha256 = "1hd0cfqpxvvp0p3rs8q8mnf0h5dapiw3f5z22nyn6xybngdqgp8z";
      system = "40ants-logging";
      asd = "40ants-logging";
    });
    systems = [ "40ants-logging" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "global-vars" self) (getAttr "log4cl-extras" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-logging-ci = (build-asdf-system {
    pname = "40ants-logging-ci";
    version = "20230618-git";
    asds = [ "40ants-logging-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/logging/2023-06-18/logging-20230618-git.tgz";
      sha256 = "1hd0cfqpxvvp0p3rs8q8mnf0h5dapiw3f5z22nyn6xybngdqgp8z";
      system = "40ants-logging-ci";
      asd = "40ants-logging-ci";
    });
    systems = [ "40ants-logging-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-logging-docs = (build-asdf-system {
    pname = "40ants-logging-docs";
    version = "20230618-git";
    asds = [ "40ants-logging-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/logging/2023-06-18/logging-20230618-git.tgz";
      sha256 = "1hd0cfqpxvvp0p3rs8q8mnf0h5dapiw3f5z22nyn6xybngdqgp8z";
      system = "40ants-logging-docs";
      asd = "40ants-logging-docs";
    });
    systems = [ "40ants-logging-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "_40ants-logging" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-logging-tests = (build-asdf-system {
    pname = "40ants-logging-tests";
    version = "20230618-git";
    asds = [ "40ants-logging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/logging/2023-06-18/logging-20230618-git.tgz";
      sha256 = "1hd0cfqpxvvp0p3rs8q8mnf0h5dapiw3f5z22nyn6xybngdqgp8z";
      system = "40ants-logging-tests";
      asd = "40ants-logging-tests";
    });
    systems = [ "40ants-logging-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-slynk = (build-asdf-system {
    pname = "40ants-slynk";
    version = "20230618-git";
    asds = [ "40ants-slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-slynk/2023-06-18/40ants-slynk-20230618-git.tgz";
      sha256 = "00sm5l0mqxw7c5gvgsc4fhpnnx8zx31pysyfsrf68dba8rfjd88k";
      system = "40ants-slynk";
      asd = "40ants-slynk";
    });
    systems = [ "40ants-slynk" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "_40ants-logging" self) (getAttr "global-vars" self) (getAttr "log4cl" self) (getAttr "slynk" self) (getAttr "slynk-macrostep" self) (getAttr "slynk-named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-slynk-ci = (build-asdf-system {
    pname = "40ants-slynk-ci";
    version = "20230618-git";
    asds = [ "40ants-slynk-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-slynk/2023-06-18/40ants-slynk-20230618-git.tgz";
      sha256 = "00sm5l0mqxw7c5gvgsc4fhpnnx8zx31pysyfsrf68dba8rfjd88k";
      system = "40ants-slynk-ci";
      asd = "40ants-slynk-ci";
    });
    systems = [ "40ants-slynk-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  _40ants-slynk-tests = (build-asdf-system {
    pname = "40ants-slynk-tests";
    version = "20230618-git";
    asds = [ "40ants-slynk-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-slynk/2023-06-18/40ants-slynk-20230618-git.tgz";
      sha256 = "00sm5l0mqxw7c5gvgsc4fhpnnx8zx31pysyfsrf68dba8rfjd88k";
      system = "40ants-slynk-tests";
      asd = "40ants-slynk-tests";
    });
    systems = [ "40ants-slynk-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  a-cl-cairo2-loader = (build-asdf-system {
    pname = "a-cl-cairo2-loader";
    version = "20211020-git";
    asds = [ "a-cl-cairo2-loader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "a-cl-cairo2-loader";
      asd = "a-cl-cairo2-loader";
    });
    systems = [ "a-cl-cairo2-loader" ];
    lispLibs = [ (getAttr "cl-cairo2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  a-cl-logger = (build-asdf-system {
    pname = "a-cl-logger";
    version = "20220331-git";
    asds = [ "a-cl-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger";
      asd = "a-cl-logger";
    });
    systems = [ "a-cl-logger" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-json" self) (getAttr "closer-mop" self) (getAttr "exit-hooks" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "osicat" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  a-cl-logger-logstash = (build-asdf-system {
    pname = "a-cl-logger-logstash";
    version = "20220331-git";
    asds = [ "a-cl-logger-logstash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger-logstash";
      asd = "a-cl-logger-logstash";
    });
    systems = [ "a-cl-logger-logstash" ];
    lispLibs = [ (getAttr "a-cl-logger" self) (getAttr "cl-json" self) (getAttr "zmq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  a-cl-logger-tests = (build-asdf-system {
    pname = "a-cl-logger-tests";
    version = "20220331-git";
    asds = [ "a-cl-logger-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/a-cl-logger/2022-03-31/a-cl-logger-20220331-git.tgz";
      sha256 = "0vhhbnh4akxh0ivqh8r0f2djv2nbf3l9hbbi0b5fdk9bdpziqkb4";
      system = "a-cl-logger-tests";
      asd = "a-cl-logger";
    });
    systems = [ "a-cl-logger-tests" ];
    lispLibs = [ (getAttr "a-cl-logger" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aabbcc = (build-asdf-system {
    pname = "aabbcc";
    version = "20200427-git";
    asds = [ "aabbcc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "aabbcc";
      asd = "aabbcc";
    });
    systems = [ "aabbcc" ];
    lispLibs = [ (getAttr "quads" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  able = (build-asdf-system {
    pname = "able";
    version = "20171227-git";
    asds = [ "able" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/able/2017-12-27/able-20171227-git.tgz";
      sha256 = "1fbcmr6hy7bwlnsnrml3j4b2jkkj8ddxw27l8hr2z6l3fi3qw4hh";
      system = "able";
      asd = "able";
    });
    systems = [ "able" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "ltk" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  abnf = (build-asdf-system {
    pname = "abnf";
    version = "20200325-git";
    asds = [ "abnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abnf/2020-03-25/cl-abnf-20200325-git.tgz";
      sha256 = "0f09nsndxa90acm71zd4qdnp40v705a4sqm04mnv9x76h6dlggmz";
      system = "abnf";
      asd = "abnf";
    });
    systems = [ "abnf" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "esrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  abstract-arrays = (build-asdf-system {
    pname = "abstract-arrays";
    version = "20230618-git";
    asds = [ "abstract-arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/abstract-arrays/2023-06-18/abstract-arrays-20230618-git.tgz";
      sha256 = "13vxmq916jxjnvqmzjibyysvq15jdcdbb1hag21z1cik473a3bq4";
      system = "abstract-arrays";
      asd = "abstract-arrays";
    });
    systems = [ "abstract-arrays" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "extensible-compound-types" self) (getAttr "introspect-environment" self) (getAttr "polymorphic-functions" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  abstract-classes = (build-asdf-system {
    pname = "abstract-classes";
    version = "20190307-hg";
    asds = [ "abstract-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abstract-classes/2019-03-07/cl-abstract-classes-20190307-hg.tgz";
      sha256 = "0q03j3ksgn56j9xvs3d3hhasplj3hvg488f4cx1z97nlyqxr5w1d";
      system = "abstract-classes";
      asd = "abstract-classes";
    });
    systems = [ "abstract-classes" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  access = (build-asdf-system {
    pname = "access";
    version = "20220707-git";
    asds = [ "access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/access/2022-07-07/access-20220707-git.tgz";
      sha256 = "0jgq4xz4pmi7wrgiqvvpkl9k89dhnhsaac68x6mw0w2v7h31vzph";
      system = "access";
      asd = "access";
    });
    systems = [ "access" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {};
  });
  acclimation = (build-asdf-system {
    pname = "acclimation";
    version = "20230618-git";
    asds = [ "acclimation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/acclimation/2023-06-18/acclimation-20230618-git.tgz";
      sha256 = "028nakav74h9b1q45gsd5xp8m9068ssc3abgl6b3q7y2bfy9p78a";
      system = "acclimation";
      asd = "acclimation";
    });
    systems = [ "acclimation" ];
    lispLibs = [  ];
    meta = {};
  });
  acclimation-temperature = (build-asdf-system {
    pname = "acclimation-temperature";
    version = "20230618-git";
    asds = [ "acclimation-temperature" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/acclimation/2023-06-18/acclimation-20230618-git.tgz";
      sha256 = "028nakav74h9b1q45gsd5xp8m9068ssc3abgl6b3q7y2bfy9p78a";
      system = "acclimation-temperature";
      asd = "acclimation-temperature";
    });
    systems = [ "acclimation-temperature" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  acl-compat = (build-asdf-system {
    pname = "acl-compat";
    version = "20190813-git";
    asds = [ "acl-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "acl-compat";
      asd = "acl-compat";
    });
    systems = [ "acl-compat" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "ironclad" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  acm-random = (build-asdf-system {
    pname = "acm-random";
    version = "20191007-git";
    asds = [ "acm-random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "acm-random";
      asd = "acm-random";
    });
    systems = [ "acm-random" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "random" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  acm-random-test = (build-asdf-system {
    pname = "acm-random-test";
    version = "20191007-git";
    asds = [ "acm-random-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "acm-random-test";
      asd = "acm-random-test";
    });
    systems = [ "acm-random-test" ];
    lispLibs = [ (getAttr "acm-random" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  action-list = (build-asdf-system {
    pname = "action-list";
    version = "20221106-git";
    asds = [ "action-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/action-list/2022-11-06/action-list-20221106-git.tgz";
      sha256 = "0w42wsk077lcv9hw62s8303fj4rpmrrx1xwsv1jachzd9alwnfcl";
      system = "action-list";
      asd = "action-list";
    });
    systems = [ "action-list" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "trivial-extensible-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adhoc = (build-asdf-system {
    pname = "adhoc";
    version = "20230618-git";
    asds = [ "adhoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adhoc/2023-06-18/adhoc-20230618-git.tgz";
      sha256 = "0ygxfzp10nzn2v599617frlz40lzrcdv2snwgmvm418v7wcamh1y";
      system = "adhoc";
      asd = "adhoc";
    });
    systems = [ "adhoc" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adhoc-tests = (build-asdf-system {
    pname = "adhoc-tests";
    version = "20230618-git";
    asds = [ "adhoc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adhoc/2023-06-18/adhoc-20230618-git.tgz";
      sha256 = "0ygxfzp10nzn2v599617frlz40lzrcdv2snwgmvm418v7wcamh1y";
      system = "adhoc-tests";
      asd = "adhoc-tests";
    });
    systems = [ "adhoc-tests" ];
    lispLibs = [ (getAttr "adhoc" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adjuvant = (build-asdf-system {
    pname = "adjuvant";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "adjuvant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "adjuvant";
      asd = "adjuvant";
    });
    systems = [ "adjuvant" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adjuvant-test = (build-asdf-system {
    pname = "adjuvant-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "adjuvant-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "adjuvant-test";
      asd = "adjuvant-test";
    });
    systems = [ "adjuvant-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adopt = (build-asdf-system {
    pname = "adopt";
    version = "20220331-hg";
    asds = [ "adopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt/2022-03-31/adopt-20220331-hg.tgz";
      sha256 = "0lfg12crl68nz0avdyx4j0x0p8vrysr2bl1817iaaa48jp6qp588";
      system = "adopt";
      asd = "adopt";
    });
    systems = [ "adopt" ];
    lispLibs = [ (getAttr "bobbin" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adopt-subcommands = (build-asdf-system {
    pname = "adopt-subcommands";
    version = "v0.2.2";
    asds = [ "adopt-subcommands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt-subcommands/2021-05-31/adopt-subcommands-v0.2.2.tgz";
      sha256 = "0q35s3ihhlshakjalq5pgf14x502qnj8jimim8yf7bp1p9sn83h8";
      system = "adopt-subcommands";
      asd = "adopt-subcommands";
    });
    systems = [ "adopt-subcommands" ];
    lispLibs = [ (getAttr "adopt" self) (getAttr "bobbin" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adopt-subcommands-test = (build-asdf-system {
    pname = "adopt-subcommands-test";
    version = "v0.2.2";
    asds = [ "adopt-subcommands-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adopt-subcommands/2021-05-31/adopt-subcommands-v0.2.2.tgz";
      sha256 = "0q35s3ihhlshakjalq5pgf14x502qnj8jimim8yf7bp1p9sn83h8";
      system = "adopt-subcommands-test";
      asd = "adopt-subcommands-test";
    });
    systems = [ "adopt-subcommands-test" ];
    lispLibs = [ (getAttr "adopt-subcommands" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  adp = (build-asdf-system {
    pname = "adp";
    version = "20230214-git";
    asds = [ "adp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/adp/2023-02-14/adp-20230214-git.tgz";
      sha256 = "1k525gf2q9iyiv8fmk9lgzqz21k164s1asxcdsjxfdlmz6al0svx";
      system = "adp";
      asd = "adp";
    });
    systems = [ "adp" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "hyperspec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  advanced = (build-asdf-system {
    pname = "advanced";
    version = "version-1.0b26";
    asds = [ "advanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "advanced";
      asd = "advanced";
    });
    systems = [ "advanced" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  advanced-readtable = (build-asdf-system {
    pname = "advanced-readtable";
    version = "20130720-git";
    asds = [ "advanced-readtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/advanced-readtable/2013-07-20/advanced-readtable-20130720-git.tgz";
      sha256 = "0dgm3lp9s6792g22swcb085f67q68jsyqj71vicb1wdr9qslvgwm";
      system = "advanced-readtable";
      asd = "advanced-readtable";
    });
    systems = [ "advanced-readtable" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aether = (build-asdf-system {
    pname = "aether";
    version = "v1.1.0";
    asds = [ "aether" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aether/2021-12-09/aether-v1.1.0.tgz";
      sha256 = "0q60gc4lsxpvv4g572mnhpzkziq1412k1q0xm4y2d1zigryg30bb";
      system = "aether";
      asd = "aether";
    });
    systems = [ "aether" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-heap" self) (getAttr "global-vars" self) (getAttr "policy-cond" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aether-tests = (build-asdf-system {
    pname = "aether-tests";
    version = "v1.1.0";
    asds = [ "aether-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aether/2021-12-09/aether-v1.1.0.tgz";
      sha256 = "0q60gc4lsxpvv4g572mnhpzkziq1412k1q0xm4y2d1zigryg30bb";
      system = "aether-tests";
      asd = "aether-tests";
    });
    systems = [ "aether-tests" ];
    lispLibs = [ (getAttr "aether" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  agnostic-lizard = (build-asdf-system {
    pname = "agnostic-lizard";
    version = "20221106-git";
    asds = [ "agnostic-lizard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agnostic-lizard/2022-11-06/agnostic-lizard-20221106-git.tgz";
      sha256 = "13r1pzxkhci0pd8grhvim09lgvaykjyspnj58xq1rp1c017xnpmf";
      system = "agnostic-lizard";
      asd = "agnostic-lizard";
    });
    systems = [ "agnostic-lizard" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  agnostic-lizard-debugger-prototype = (build-asdf-system {
    pname = "agnostic-lizard-debugger-prototype";
    version = "20221106-git";
    asds = [ "agnostic-lizard-debugger-prototype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agnostic-lizard/2022-11-06/agnostic-lizard-20221106-git.tgz";
      sha256 = "13r1pzxkhci0pd8grhvim09lgvaykjyspnj58xq1rp1c017xnpmf";
      system = "agnostic-lizard-debugger-prototype";
      asd = "agnostic-lizard-debugger-prototype";
    });
    systems = [ "agnostic-lizard-debugger-prototype" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  agutil = (build-asdf-system {
    pname = "agutil";
    version = "20210531-git";
    asds = [ "agutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/agutil/2021-05-31/agutil-20210531-git.tgz";
      sha256 = "10lccrqkaqq0h1p79gjqsqk1nqa6c25n0w7pj39y2gs14s5qr5q9";
      system = "agutil";
      asd = "agutil";
    });
    systems = [ "agutil" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "optima" self) ];
    meta = {};
  });
  ahungry-fleece = (build-asdf-system {
    pname = "ahungry-fleece";
    version = "20230214-git";
    asds = [ "ahungry-fleece" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ahungry-fleece/2023-02-14/ahungry-fleece-20230214-git.tgz";
      sha256 = "1q0bd4fhfypfdvv338gf0gbc8fh65m0p662ik7c9rraijgddi9ry";
      system = "ahungry-fleece";
      asd = "ahungry-fleece";
    });
    systems = [ "ahungry-fleece" ];
    lispLibs = [ (getAttr "archive" self) (getAttr "chipz" self) (getAttr "cl-json" self) (getAttr "cl-yaml" self) (getAttr "md5" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  alexa = (build-asdf-system {
    pname = "alexa";
    version = "20180831-git";
    asds = [ "alexa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexa/2018-08-31/alexa-20180831-git.tgz";
      sha256 = "1y9jyz9gfmd02h492kf7v3mmpbhc0yfh4ka2rzd1vczq6fl8qgqv";
      system = "alexa";
      asd = "alexa";
    });
    systems = [ "alexa" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  alexa-tests = (build-asdf-system {
    pname = "alexa-tests";
    version = "20180831-git";
    asds = [ "alexa-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexa/2018-08-31/alexa-20180831-git.tgz";
      sha256 = "1y9jyz9gfmd02h492kf7v3mmpbhc0yfh4ka2rzd1vczq6fl8qgqv";
      system = "alexa-tests";
      asd = "alexa-tests";
    });
    systems = [ "alexa-tests" ];
    lispLibs = [ (getAttr "alexa" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  alexandria = (build-asdf-system {
    pname = "alexandria";
    version = "20230618-git";
    asds = [ "alexandria" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria/2023-06-18/alexandria-20230618-git.tgz";
      sha256 = "077zrkb3gjgzfn515hahak30ppnql848f4sgiard9xfmh8b4bdmn";
      system = "alexandria";
      asd = "alexandria";
    });
    systems = [ "alexandria" ];
    lispLibs = [  ];
    meta = {};
  });
  alexandria_plus = (build-asdf-system {
    pname = "alexandria+";
    version = "20221106-git";
    asds = [ "alexandria+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/alexandria-plus/2022-11-06/alexandria-plus-20221106-git.tgz";
      sha256 = "1w9r19610h599303gqlx2x5n8mmdynss2gyl7xilg5h6v8z3hkfl";
      system = "alexandria+";
      asd = "alexandria+";
    });
    systems = [ "alexandria+" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  algebraic-data-library = (build-asdf-system {
    pname = "algebraic-data-library";
    version = "20180831-git";
    asds = [ "algebraic-data-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/algebraic-data-library/2018-08-31/algebraic-data-library-20180831-git.tgz";
      sha256 = "0mmakfdwgfjl812ydzbbl81lkv41zfnqhw9ydjk1w63lq8c11cmn";
      system = "algebraic-data-library";
      asd = "algebraic-data-library";
    });
    systems = [ "algebraic-data-library" ];
    lispLibs = [ (getAttr "cl-algebraic-data-type" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  also-alsa = (build-asdf-system {
    pname = "also-alsa";
    version = "20220707-git";
    asds = [ "also-alsa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/also-alsa/2022-07-07/also-alsa-20220707-git.tgz";
      sha256 = "1az5agb5gmjjsp3sbpqnw20k46yss1d7d5xymy2mi1al5ksxyqmc";
      system = "also-alsa";
      asd = "also-alsa";
    });
    systems = [ "also-alsa" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  amazon-ecs = (build-asdf-system {
    pname = "amazon-ecs";
    version = "20110418-git";
    asds = [ "amazon-ecs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/amazon-ecs/2011-04-18/amazon-ecs-20110418-git.tgz";
      sha256 = "1gi3ybfkdfqvgmwgf0l77xpp5xgmkbycdpz6kn79vm0iga3kd2mz";
      system = "amazon-ecs";
      asd = "amazon-ecs";
    });
    systems = [ "amazon-ecs" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "net-telent-date" self) (getAttr "parse-number" self) (getAttr "trivial-http" self) (getAttr "xml-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  amb = (build-asdf-system {
    pname = "amb";
    version = "20230214-git";
    asds = [ "amb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/amb/2023-02-14/amb-20230214-git.tgz";
      sha256 = "014vpsqxjnsr0x2zql6xpz0kh448p3lqw521amsf6700jqa2s1wp";
      system = "amb";
      asd = "amb";
    });
    systems = [ "amb" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  anaphora = (build-asdf-system {
    pname = "anaphora";
    version = "20220220-git";
    asds = [ "anaphora" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anaphora/2022-02-20/anaphora-20220220-git.tgz";
      sha256 = "1ds5ab0rzkrhfl29xpvmvyxmkdyj9mi19p330pz603lx95njjc0b";
      system = "anaphora";
      asd = "anaphora";
    });
    systems = [ "anaphora" ];
    lispLibs = [  ];
    meta = {};
  });
  anaphoric-variants = (build-asdf-system {
    pname = "anaphoric-variants";
    version = "1.0.1";
    asds = [ "anaphoric-variants" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anaphoric-variants/2012-10-13/anaphoric-variants-1.0.1.tgz";
      sha256 = "02ms01w09b9bzsdsr0icd3ggyl86kyxk164kf0759k2k9y6kjsp5";
      system = "anaphoric-variants";
      asd = "anaphoric-variants";
    });
    systems = [ "anaphoric-variants" ];
    lispLibs = [ (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  anatevka = (build-asdf-system {
    pname = "anatevka";
    version = "v1.0.0";
    asds = [ "anatevka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anatevka/2022-11-06/anatevka-v1.0.0.tgz";
      sha256 = "1c8y91nv1jln22j7b82qiad861zfjs9a8nxm18r1dxblszpyygsk";
      system = "anatevka";
      asd = "anatevka";
    });
    systems = [ "anatevka" ];
    lispLibs = [ (getAttr "aether" self) (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  anatevka-tests = (build-asdf-system {
    pname = "anatevka-tests";
    version = "v1.0.0";
    asds = [ "anatevka-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anatevka/2022-11-06/anatevka-v1.0.0.tgz";
      sha256 = "1c8y91nv1jln22j7b82qiad861zfjs9a8nxm18r1dxblszpyygsk";
      system = "anatevka-tests";
      asd = "anatevka-tests";
    });
    systems = [ "anatevka-tests" ];
    lispLibs = [ (getAttr "anatevka" self) (getAttr "closer-mop" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ansi-escape = (build-asdf-system {
    pname = "ansi-escape";
    version = "20230618-git";
    asds = [ "ansi-escape" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2023-06-18/croatoan-20230618-git.tgz";
      sha256 = "1whbvwc4df7zz0002xy3aczrpf4s3vk6kmyh9wydgwl112h060pd";
      system = "ansi-escape";
      asd = "ansi-escape";
    });
    systems = [ "ansi-escape" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ansi-escape-test = (build-asdf-system {
    pname = "ansi-escape-test";
    version = "20230618-git";
    asds = [ "ansi-escape-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2023-06-18/croatoan-20230618-git.tgz";
      sha256 = "1whbvwc4df7zz0002xy3aczrpf4s3vk6kmyh9wydgwl112h060pd";
      system = "ansi-escape-test";
      asd = "ansi-escape-test";
    });
    systems = [ "ansi-escape-test" ];
    lispLibs = [ (getAttr "ansi-escape" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  antik = (build-asdf-system {
    pname = "antik";
    version = "master-df14cb8c-git";
    asds = [ "antik" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "antik";
      asd = "antik";
    });
    systems = [ "antik" ];
    lispLibs = [ (getAttr "gsll" self) (getAttr "physical-dimension" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  antik-base = (build-asdf-system {
    pname = "antik-base";
    version = "master-df14cb8c-git";
    asds = [ "antik-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "antik-base";
      asd = "antik-base";
    });
    systems = [ "antik-base" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "lisp-unit" self) (getAttr "metabang-bind" self) (getAttr "named-readtables" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  anypool = (build-asdf-system {
    pname = "anypool";
    version = "20210531-git";
    asds = [ "anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "anypool";
      asd = "anypool";
    });
    systems = [ "anypool" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-speedy-queue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aplesque = (build-asdf-system {
    pname = "aplesque";
    version = "20230618-git";
    asds = [ "aplesque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "aplesque";
      asd = "aplesque";
    });
    systems = [ "aplesque" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "array-operations" self) (getAttr "cl-ppcre" self) (getAttr "lparallel" self) (getAttr "parse-number" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  application = (build-asdf-system {
    pname = "application";
    version = "20200427-git";
    asds = [ "application" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "application";
      asd = "application";
    });
    systems = [ "application" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-opengl" self) (getAttr "deflazy" self) (getAttr "glhelp" self) (getAttr "scratch-buffer" self) (getAttr "utility" self) (getAttr "window" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  apply-argv = (build-asdf-system {
    pname = "apply-argv";
    version = "20150608-git";
    asds = [ "apply-argv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/apply-argv/2015-06-08/apply-argv-20150608-git.tgz";
      sha256 = "19qj847vyawjgm5iwk96469c0plnxj37948ac1bcd86hgpbm75w0";
      system = "apply-argv";
      asd = "apply-argv";
    });
    systems = [ "apply-argv" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  apply-argv-tests = (build-asdf-system {
    pname = "apply-argv-tests";
    version = "20150608-git";
    asds = [ "apply-argv-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/apply-argv/2015-06-08/apply-argv-20150608-git.tgz";
      sha256 = "19qj847vyawjgm5iwk96469c0plnxj37948ac1bcd86hgpbm75w0";
      system = "apply-argv-tests";
      asd = "apply-argv";
    });
    systems = [ "apply-argv-tests" ];
    lispLibs = [ (getAttr "apply-argv" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april = (build-asdf-system {
    pname = "april";
    version = "20230618-git";
    asds = [ "april" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april";
      asd = "april";
    });
    systems = [ "april" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "aplesque" self) (getAttr "array-operations" self) (getAttr "cl-ppcre" self) (getAttr "cl-unicode" self) (getAttr "lparallel" self) (getAttr "parse-number" self) (getAttr "prove" self) (getAttr "random-state" self) (getAttr "simple-date-time" self) (getAttr "symbol-munger" self) (getAttr "trivia" self) (getAttr "varray" self) (getAttr "vex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-demo_dot_cnn = (build-asdf-system {
    pname = "april-demo.cnn";
    version = "20230618-git";
    asds = [ "april-demo.cnn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-demo.cnn";
      asd = "april-demo.cnn";
    });
    systems = [ "april-demo.cnn" ];
    lispLibs = [ (getAttr "april" self) (getAttr "lisp-binary" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-demo_dot_fnn = (build-asdf-system {
    pname = "april-demo.fnn";
    version = "20230618-git";
    asds = [ "april-demo.fnn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-demo.fnn";
      asd = "april-demo.fnn";
    });
    systems = [ "april-demo.fnn" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_array" self) (getAttr "lisp-binary" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-demo_dot_ncurses = (build-asdf-system {
    pname = "april-demo.ncurses";
    version = "20230618-git";
    asds = [ "april-demo.ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-demo.ncurses";
      asd = "april-demo.ncurses";
    });
    systems = [ "april-demo.ncurses" ];
    lispLibs = [ (getAttr "april" self) (getAttr "croatoan" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_array = (build-asdf-system {
    pname = "april-lib.dfns.array";
    version = "20230618-git";
    asds = [ "april-lib.dfns.array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.array";
      asd = "april-lib.dfns.array";
    });
    systems = [ "april-lib.dfns.array" ];
    lispLibs = [ (getAttr "april" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_graph = (build-asdf-system {
    pname = "april-lib.dfns.graph";
    version = "20230618-git";
    asds = [ "april-lib.dfns.graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.graph";
      asd = "april-lib.dfns.graph";
    });
    systems = [ "april-lib.dfns.graph" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_numeric = (build-asdf-system {
    pname = "april-lib.dfns.numeric";
    version = "20230618-git";
    asds = [ "april-lib.dfns.numeric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.numeric";
      asd = "april-lib.dfns.numeric";
    });
    systems = [ "april-lib.dfns.numeric" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_graph" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_power = (build-asdf-system {
    pname = "april-lib.dfns.power";
    version = "20230618-git";
    asds = [ "april-lib.dfns.power" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.power";
      asd = "april-lib.dfns.power";
    });
    systems = [ "april-lib.dfns.power" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_string = (build-asdf-system {
    pname = "april-lib.dfns.string";
    version = "20230618-git";
    asds = [ "april-lib.dfns.string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.string";
      asd = "april-lib.dfns.string";
    });
    systems = [ "april-lib.dfns.string" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-lib_dot_dfns_dot_tree = (build-asdf-system {
    pname = "april-lib.dfns.tree";
    version = "20230618-git";
    asds = [ "april-lib.dfns.tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-lib.dfns.tree";
      asd = "april-lib.dfns.tree";
    });
    systems = [ "april-lib.dfns.tree" ];
    lispLibs = [ (getAttr "april" self) (getAttr "april-lib_dot_dfns_dot_array" self) (getAttr "april-lib_dot_dfns_dot_power" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  april-xt_dot_uzuki = (build-asdf-system {
    pname = "april-xt.uzuki";
    version = "20230618-git";
    asds = [ "april-xt.uzuki" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "april-xt.uzuki";
      asd = "april-xt.uzuki";
    });
    systems = [ "april-xt.uzuki" ];
    lispLibs = [ (getAttr "april" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arc-compat = (build-asdf-system {
    pname = "arc-compat";
    version = "20230618-git";
    asds = [ "arc-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arc-compat/2023-06-18/arc-compat-20230618-git.tgz";
      sha256 = "01pysyx5wq5hapg5v8ir3wmql3i4cx0saaf09zbf3cir6c77yjd1";
      system = "arc-compat";
      asd = "arc-compat";
    });
    systems = [ "arc-compat" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "fiveam" self) (getAttr "ironclad" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol = (build-asdf-system {
    pname = "architecture.builder-protocol";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol";
      asd = "architecture.builder-protocol";
    });
    systems = [ "architecture.builder-protocol" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol_dot_inspection = (build-asdf-system {
    pname = "architecture.builder-protocol.inspection";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol.inspection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol.inspection";
      asd = "architecture.builder-protocol.inspection";
    });
    systems = [ "architecture.builder-protocol.inspection" ];
    lispLibs = [ (getAttr "architecture_dot_builder-protocol" self) (getAttr "clouseau" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol_dot_json = (build-asdf-system {
    pname = "architecture.builder-protocol.json";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol.json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol.json";
      asd = "architecture.builder-protocol.json";
    });
    systems = [ "architecture.builder-protocol.json" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "cl-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol_dot_print-tree = (build-asdf-system {
    pname = "architecture.builder-protocol.print-tree";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol.print-tree";
      asd = "architecture.builder-protocol.print-tree";
    });
    systems = [ "architecture.builder-protocol.print-tree" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "utilities_dot_print-tree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol_dot_universal-builder = (build-asdf-system {
    pname = "architecture.builder-protocol.universal-builder";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol.universal-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol.universal-builder";
      asd = "architecture.builder-protocol.universal-builder";
    });
    systems = [ "architecture.builder-protocol.universal-builder" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_builder-protocol_dot_xpath = (build-asdf-system {
    pname = "architecture.builder-protocol.xpath";
    version = "20230618-git";
    asds = [ "architecture.builder-protocol.xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.builder-protocol/2023-06-18/architecture.builder-protocol-20230618-git.tgz";
      sha256 = "0aml33mh40cp1cv4an9v1rn4sdpmxqvbv9nqng0hz3hr3l3ah131";
      system = "architecture.builder-protocol.xpath";
      asd = "architecture.builder-protocol.xpath";
    });
    systems = [ "architecture.builder-protocol.xpath" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "xpath" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_service-provider = (build-asdf-system {
    pname = "architecture.service-provider";
    version = "20191007-git";
    asds = [ "architecture.service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider";
      asd = "architecture.service-provider";
    });
    systems = [ "architecture.service-provider" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "let-plus" self) (getAttr "more-conditions" self) (getAttr "utilities_dot_print-items" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  architecture_dot_service-provider-and-hooks = (build-asdf-system {
    pname = "architecture.service-provider-and-hooks";
    version = "20191007-git";
    asds = [ "architecture.service-provider-and-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.service-provider/2019-10-07/architecture.service-provider-20191007-git.tgz";
      sha256 = "0n4a299md5z0wvk6j3my4ii6cs198fqgizz1swic89p1qz5n2fjm";
      system = "architecture.service-provider-and-hooks";
      asd = "architecture.service-provider-and-hooks";
    });
    systems = [ "architecture.service-provider-and-hooks" ];
    lispLibs = [ (getAttr "architecture_dot_service-provider" self) (getAttr "cl-hooks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  archive = (build-asdf-system {
    pname = "archive";
    version = "20160318-git";
    asds = [ "archive" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/archive/2016-03-18/archive-20160318-git.tgz";
      sha256 = "0pvsc9fmybx7rxd0kmzq4shi6hszdpwdc1sfy7jwyfxf8n3hnv4p";
      system = "archive";
      asd = "archive";
    });
    systems = [ "archive" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arith = (build-asdf-system {
    pname = "arith";
    version = "20170830-git";
    asds = [ "arith" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-test/2017-08-30/paren-test-20170830-git.tgz";
      sha256 = "0b2d3kcv3n4b0dm67pzhxx8wxjsgnb32bw2dsprblc7149gaczdr";
      system = "arith";
      asd = "arith";
    });
    systems = [ "arith" ];
    lispLibs = [ (getAttr "paren-files" self) (getAttr "paren-test" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arithmetic-operators-as-words = (build-asdf-system {
    pname = "arithmetic-operators-as-words";
    version = "20200610-git";
    asds = [ "arithmetic-operators-as-words" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arithmetic-operators-as-words/2020-06-10/arithmetic-operators-as-words-20200610-git.tgz";
      sha256 = "1bcfkbq3kqns2ng0cdmj81c72j63641pqlskg4xrzkgkh25bhkks";
      system = "arithmetic-operators-as-words";
      asd = "arithmetic-operators-as-words";
    });
    systems = [ "arithmetic-operators-as-words" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arnesi = (build-asdf-system {
    pname = "arnesi";
    version = "20170403-git";
    asds = [ "arnesi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arnesi/2017-04-03/arnesi-20170403-git.tgz";
      sha256 = "0jgj2xgd1gq6rf8ia43lkmbrbxnp8rgs053br9azfa25ygk3ikbh";
      system = "arnesi";
      asd = "arnesi";
    });
    systems = [ "arnesi" ];
    lispLibs = [ (getAttr "collectors" self) ];
    meta = {};
  });
  array-operations = (build-asdf-system {
    pname = "array-operations";
    version = "1.0.0";
    asds = [ "array-operations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-operations/2022-07-07/array-operations-1.0.0.tgz";
      sha256 = "12rmijvz5gpri5f5vi5j49bngiy2c01f5755rl39kxpv1b886gvy";
      system = "array-operations";
      asd = "array-operations";
    });
    systems = [ "array-operations" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "let-plus" self) ];
    meta = {};
  });
  array-utils = (build-asdf-system {
    pname = "array-utils";
    version = "20230618-git";
    asds = [ "array-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-utils/2023-06-18/array-utils-20230618-git.tgz";
      sha256 = "1d66s2inb9hpw27hdb20x27dychmpn1mn35v0mlsib848qdz87az";
      system = "array-utils";
      asd = "array-utils";
    });
    systems = [ "array-utils" ];
    lispLibs = [  ];
    meta = {};
  });
  array-utils-test = (build-asdf-system {
    pname = "array-utils-test";
    version = "20230618-git";
    asds = [ "array-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/array-utils/2023-06-18/array-utils-20230618-git.tgz";
      sha256 = "1d66s2inb9hpw27hdb20x27dychmpn1mn35v0mlsib848qdz87az";
      system = "array-utils-test";
      asd = "array-utils-test";
    });
    systems = [ "array-utils-test" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arrival = (build-asdf-system {
    pname = "arrival";
    version = "20211209-git";
    asds = [ "arrival" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrival/2021-12-09/arrival-20211209-git.tgz";
      sha256 = "1iwdk5fdismw91ln5wdnn8c8xv06fbgiwbvdj2gy2hpp8f3qk00b";
      system = "arrival";
      asd = "arrival";
    });
    systems = [ "arrival" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "trivia" self) (getAttr "trivia_dot_quasiquote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arrow-macros = (build-asdf-system {
    pname = "arrow-macros";
    version = "20201220-git";
    asds = [ "arrow-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrow-macros/2020-12-20/arrow-macros-20201220-git.tgz";
      sha256 = "1b7vldvhn8zx60h010573gmqv2igarpnb6h3pq8qydhwfza0xd4g";
      system = "arrow-macros";
      asd = "arrow-macros";
    });
    systems = [ "arrow-macros" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arrow-macros-test = (build-asdf-system {
    pname = "arrow-macros-test";
    version = "20201220-git";
    asds = [ "arrow-macros-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrow-macros/2020-12-20/arrow-macros-20201220-git.tgz";
      sha256 = "1b7vldvhn8zx60h010573gmqv2igarpnb6h3pq8qydhwfza0xd4g";
      system = "arrow-macros-test";
      asd = "arrow-macros-test";
    });
    systems = [ "arrow-macros-test" ];
    lispLibs = [ (getAttr "arrow-macros" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  arrows = (build-asdf-system {
    pname = "arrows";
    version = "20181018-git";
    asds = [ "arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/arrows/2018-10-18/arrows-20181018-git.tgz";
      sha256 = "042k9vkssrqx9nhp14wdzm942zgdxvp35mba0p2syz98i75im2yy";
      system = "arrows";
      asd = "arrows";
    });
    systems = [ "arrows" ];
    lispLibs = [  ];
    meta = {};
  });
  ascii-strings = (build-asdf-system {
    pname = "ascii-strings";
    version = "20211209-git";
    asds = [ "ascii-strings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "ascii-strings";
      asd = "ascii-strings";
    });
    systems = [ "ascii-strings" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asd-generator = (build-asdf-system {
    pname = "asd-generator";
    version = "20190107-git";
    asds = [ "asd-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asd-generator/2019-01-07/asd-generator-20190107-git.tgz";
      sha256 = "0yiybl7b9x1f85v0drj0yw9821y3yfhya4n6gycnv5vvx6jp9by4";
      system = "asd-generator";
      asd = "asd-generator";
    });
    systems = [ "asd-generator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asd-generator-test = (build-asdf-system {
    pname = "asd-generator-test";
    version = "20190107-git";
    asds = [ "asd-generator-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asd-generator/2019-01-07/asd-generator-20190107-git.tgz";
      sha256 = "0yiybl7b9x1f85v0drj0yw9821y3yfhya4n6gycnv5vvx6jp9by4";
      system = "asd-generator-test";
      asd = "asd-generator-test";
    });
    systems = [ "asd-generator-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-dependency-graph = (build-asdf-system {
    pname = "asdf-dependency-graph";
    version = "20230618-git";
    asds = [ "asdf-dependency-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-dependency-graph/2023-06-18/asdf-dependency-graph-20230618-git.tgz";
      sha256 = "1m3cgjmr5fzyas33gjnahcbjiiksr02h2lwdxxl35y2dbip8pygp";
      system = "asdf-dependency-graph";
      asd = "asdf-dependency-graph";
    });
    systems = [ "asdf-dependency-graph" ];
    lispLibs = [ (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-dependency-grovel = (build-asdf-system {
    pname = "asdf-dependency-grovel";
    version = "20170403-git";
    asds = [ "asdf-dependency-grovel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-dependency-grovel/2017-04-03/asdf-dependency-grovel-20170403-git.tgz";
      sha256 = "1y4kdqsda4ira4r9dws6kxzzv6mg45q3lkmb2c9mg9q7ksc5glif";
      system = "asdf-dependency-grovel";
      asd = "asdf-dependency-grovel";
    });
    systems = [ "asdf-dependency-grovel" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-driver = (build-asdf-system {
    pname = "asdf-driver";
    version = "3.3.6";
    asds = [ "asdf-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uiop/2023-06-18/uiop-3.3.6.tgz";
      sha256 = "080lcdw90j30gg2vv9bnwj21aq08mp1kk4nax3ffkjssnrnjwhmr";
      system = "asdf-driver";
      asd = "asdf-driver";
    });
    systems = [ "asdf-driver" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-encodings = (build-asdf-system {
    pname = "asdf-encodings";
    version = "20191007-git";
    asds = [ "asdf-encodings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-encodings/2019-10-07/asdf-encodings-20191007-git.tgz";
      sha256 = "1yn77nhrz5w2s7nlafxjnk9j8fsrz7ivrm7nbj4r726bwc5knky6";
      system = "asdf-encodings";
      asd = "asdf-encodings";
    });
    systems = [ "asdf-encodings" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-finalizers = (build-asdf-system {
    pname = "asdf-finalizers";
    version = "20221106-git";
    asds = [ "asdf-finalizers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-finalizers/2022-11-06/asdf-finalizers-20221106-git.tgz";
      sha256 = "1w56c9yjjydjshsgqxz57qlp2v3r4ilbisnsgiqphvxnhvd41y0v";
      system = "asdf-finalizers";
      asd = "asdf-finalizers";
    });
    systems = [ "asdf-finalizers" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-linguist = (build-asdf-system {
    pname = "asdf-linguist";
    version = "20150923-git";
    asds = [ "asdf-linguist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-linguist/2015-09-23/asdf-linguist-20150923-git.tgz";
      sha256 = "14jaqmxxh70f1jf58mxb117951iql2sjxymmbjyqniqwazznbd9a";
      system = "asdf-linguist";
      asd = "asdf-linguist";
    });
    systems = [ "asdf-linguist" ];
    lispLibs = [ (getAttr "inferior-shell" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-manager = (build-asdf-system {
    pname = "asdf-manager";
    version = "20160208-git";
    asds = [ "asdf-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-manager/2016-02-08/asdf-manager-20160208-git.tgz";
      sha256 = "0jw7d0vg13v1l1fwwhsw04n6w3c49vsbmq6vrlrkh95aayc5413w";
      system = "asdf-manager";
      asd = "asdf-manager";
    });
    systems = [ "asdf-manager" ];
    lispLibs = [ (getAttr "trivial-download" self) (getAttr "trivial-extract" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-manager-test = (build-asdf-system {
    pname = "asdf-manager-test";
    version = "20160208-git";
    asds = [ "asdf-manager-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-manager/2016-02-08/asdf-manager-20160208-git.tgz";
      sha256 = "0jw7d0vg13v1l1fwwhsw04n6w3c49vsbmq6vrlrkh95aayc5413w";
      system = "asdf-manager-test";
      asd = "asdf-manager-test";
    });
    systems = [ "asdf-manager-test" ];
    lispLibs = [ (getAttr "asdf-manager" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-nst = (build-asdf-system {
    pname = "asdf-nst";
    version = "20210807-git";
    asds = [ "asdf-nst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "asdf-nst";
      asd = "asdf-nst";
    });
    systems = [ "asdf-nst" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asdf-package-system = (build-asdf-system {
    pname = "asdf-package-system";
    version = "20150608-git";
    asds = [ "asdf-package-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-package-system/2015-06-08/asdf-package-system-20150608-git.tgz";
      sha256 = "1q4qgvbl64c4zdbq91by1la8licdgam7ybnhvg2bixdhq4v693sj";
      system = "asdf-package-system";
      asd = "asdf-package-system";
    });
    systems = [ "asdf-package-system" ];
    lispLibs = [  ];
    meta = {};
  });
  asdf-system-connections = (build-asdf-system {
    pname = "asdf-system-connections";
    version = "20170124-git";
    asds = [ "asdf-system-connections" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-system-connections/2017-01-24/asdf-system-connections-20170124-git.tgz";
      sha256 = "06kg0m8bv383qq3r34x0f8hz6p6zxcw02qn7kj960vcnrp5a5b3y";
      system = "asdf-system-connections";
      asd = "asdf-system-connections";
    });
    systems = [ "asdf-system-connections" ];
    lispLibs = [  ];
    meta = {};
  });
  asdf-viz = (build-asdf-system {
    pname = "asdf-viz";
    version = "20200610-git";
    asds = [ "asdf-viz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-viz/2020-06-10/asdf-viz-20200610-git.tgz";
      sha256 = "1hj9ac1m2kz8x65n62gd1s2k2x9pip9a85pnmib53qsks3a9sc4z";
      system = "asdf-viz";
      asd = "asdf-viz";
    });
    systems = [ "asdf-viz" ];
    lispLibs = [ (getAttr "cl-dot" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "swank" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aserve = (build-asdf-system {
    pname = "aserve";
    version = "20190813-git";
    asds = [ "aserve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "aserve";
      asd = "aserve";
    });
    systems = [ "aserve" ];
    lispLibs = [ (getAttr "acl-compat" self) (getAttr "htmlgen" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asn1 = (build-asdf-system {
    pname = "asn1";
    version = "20220331-git";
    asds = [ "asn1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asn1/2022-03-31/asn1-20220331-git.tgz";
      sha256 = "16gs4xznmg19ii0cg7g2yxrk9ls5vah8ynjj80s99rv8wi3789z1";
      system = "asn1";
      asd = "asn1";
    });
    systems = [ "asn1" ];
    lispLibs = [ (getAttr "fast-io" self) (getAttr "ironclad" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  assert-p = (build-asdf-system {
    pname = "assert-p";
    version = "20200610-git";
    asds = [ "assert-p" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assert-p/2020-06-10/assert-p-20200610-git.tgz";
      sha256 = "1x24rkqkqiw8zd26swi9rmhfplkmr5scz3bhjwccah9d2s36b1xs";
      system = "assert-p";
      asd = "assert-p";
    });
    systems = [ "assert-p" ];
    lispLibs = [ (getAttr "assertion-error" self) (getAttr "simplet-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  assertion-error = (build-asdf-system {
    pname = "assertion-error";
    version = "20191227-git";
    asds = [ "assertion-error" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assertion-error/2019-12-27/assertion-error-20191227-git.tgz";
      sha256 = "0ix23kkakmf4nwx852zsssb831jvajr3qyppqfyks7y1ls617svn";
      system = "assertion-error";
      asd = "assertion-error";
    });
    systems = [ "assertion-error" ];
    lispLibs = [ (getAttr "dissect" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  assoc-utils = (build-asdf-system {
    pname = "assoc-utils";
    version = "20221106-git";
    asds = [ "assoc-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assoc-utils/2022-11-06/assoc-utils-20221106-git.tgz";
      sha256 = "0mqb5iw4qwga66y7flifb1n0y5hp4gc3x8xfg4cild46x7mjqxws";
      system = "assoc-utils";
      asd = "assoc-utils";
    });
    systems = [ "assoc-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  assoc-utils-test = (build-asdf-system {
    pname = "assoc-utils-test";
    version = "20221106-git";
    asds = [ "assoc-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/assoc-utils/2022-11-06/assoc-utils-20221106-git.tgz";
      sha256 = "0mqb5iw4qwga66y7flifb1n0y5hp4gc3x8xfg4cild46x7mjqxws";
      system = "assoc-utils-test";
      asd = "assoc-utils-test";
    });
    systems = [ "assoc-utils-test" ];
    lispLibs = [ (getAttr "assoc-utils" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  asteroids = (build-asdf-system {
    pname = "asteroids";
    version = "20191007-git";
    asds = [ "asteroids" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asteroids/2019-10-07/asteroids-20191007-git.tgz";
      sha256 = "1wdzwpizgy477ny6pxjshj3q25phdxsjfq8cvrbx0x7k5w8fkg50";
      system = "asteroids";
      asd = "asteroids";
    });
    systems = [ "asteroids" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-gfx" self) (getAttr "lispbuilder-sdl-mixer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  astonish = (build-asdf-system {
    pname = "astonish";
    version = "20210124-git";
    asds = [ "astonish" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/astonish/2021-01-24/astonish-20210124-git.tgz";
      sha256 = "14qphx97q4gqcc71figc6r3cgy89rn9c43sh35fzxkln9ydk2pr6";
      system = "astonish";
      asd = "astonish";
    });
    systems = [ "astonish" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  async-process = (build-asdf-system {
    pname = "async-process";
    version = "20230618-git";
    asds = [ "async-process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/async-process/2023-06-18/async-process-20230618-git.tgz";
      sha256 = "1arikx6lhnp6mkdw2wd81jrbgvzx5qaxz0vjr5jk6abd7in9fv9h";
      system = "async-process";
      asd = "async-process";
    });
    systems = [ "async-process" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  atdoc = (build-asdf-system {
    pname = "atdoc";
    version = "20120305-git";
    asds = [ "atdoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atdoc/2012-03-05/atdoc-20120305-git.tgz";
      sha256 = "1w54phadjj00sy5qz5n0hmhzyjrx26h9hw06756zdpfbzk4f5il6";
      system = "atdoc";
      asd = "atdoc";
    });
    systems = [ "atdoc" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "cxml" self) (getAttr "split-sequence" self) (getAttr "swank" self) (getAttr "xuriella" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  atomics = (build-asdf-system {
    pname = "atomics";
    version = "20230618-git";
    asds = [ "atomics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atomics/2023-06-18/atomics-20230618-git.tgz";
      sha256 = "09qhhyvxk27b81ks90n5gzdnpyqm3ix0g2xfmsy2w7xxc0f6c71i";
      system = "atomics";
      asd = "atomics";
    });
    systems = [ "atomics" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  atomics-test = (build-asdf-system {
    pname = "atomics-test";
    version = "20230618-git";
    asds = [ "atomics-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atomics/2023-06-18/atomics-20230618-git.tgz";
      sha256 = "09qhhyvxk27b81ks90n5gzdnpyqm3ix0g2xfmsy2w7xxc0f6c71i";
      system = "atomics-test";
      asd = "atomics-test";
    });
    systems = [ "atomics-test" ];
    lispLibs = [ (getAttr "atomics" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  audio-tag = (build-asdf-system {
    pname = "audio-tag";
    version = "20210531-git";
    asds = [ "audio-tag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/audio-tag/2021-05-31/audio-tag-20210531-git.tgz";
      sha256 = "1k9152wakazr34q4q5x8zzv3mjjkf0n9xdg7c2qqwigwws0ysgzh";
      system = "audio-tag";
      asd = "audio-tag";
    });
    systems = [ "audio-tag" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  authenticated-encryption = (build-asdf-system {
    pname = "authenticated-encryption";
    version = "20181018-git";
    asds = [ "authenticated-encryption" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/authenticated-encryption/2018-10-18/authenticated-encryption-20181018-git.tgz";
      sha256 = "0cvl4g0g59z5dicg7q3f9hhqshz2m0a6l2fzic75c3yv28q8m2vr";
      system = "authenticated-encryption";
      asd = "authenticated-encryption";
    });
    systems = [ "authenticated-encryption" ];
    lispLibs = [ (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  authenticated-encryption-test = (build-asdf-system {
    pname = "authenticated-encryption-test";
    version = "20181018-git";
    asds = [ "authenticated-encryption-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/authenticated-encryption/2018-10-18/authenticated-encryption-20181018-git.tgz";
      sha256 = "0cvl4g0g59z5dicg7q3f9hhqshz2m0a6l2fzic75c3yv28q8m2vr";
      system = "authenticated-encryption-test";
      asd = "authenticated-encryption-test";
    });
    systems = [ "authenticated-encryption-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "authenticated-encryption" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  auto-restart = (build-asdf-system {
    pname = "auto-restart";
    version = "20221106-git";
    asds = [ "auto-restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/auto-restart/2022-11-06/auto-restart-20221106-git.tgz";
      sha256 = "1kzcxq57s3qfshvlp9w2yxs6kiyrvssrl94pa3vdf3x7644swrzi";
      system = "auto-restart";
      asd = "auto-restart";
    });
    systems = [ "auto-restart" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  autoexport = (build-asdf-system {
    pname = "autoexport";
    version = "20211020-git";
    asds = [ "autoexport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/autoexport/2021-10-20/autoexport-20211020-git.tgz";
      sha256 = "15kzq4hfsracxapxik3i6sxqqnwl7cb9lisgk9krrsk13d97l844";
      system = "autoexport";
      asd = "autoexport";
    });
    systems = [ "autoexport" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  automaton = (build-asdf-system {
    pname = "automaton";
    version = "20230618-git";
    asds = [ "automaton" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "automaton";
      asd = "automaton";
    });
    systems = [ "automaton" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  avatar-api = (build-asdf-system {
    pname = "avatar-api";
    version = "20150608-git";
    asds = [ "avatar-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avatar-api/2015-06-08/avatar-api-20150608-git.tgz";
      sha256 = "026s8m0bl13iqyakfxc6zwacvpj2bxxipms1kl3k9ql99yn8imvr";
      system = "avatar-api";
      asd = "avatar-api";
    });
    systems = [ "avatar-api" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "crypto-shortcuts" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  avatar-api-test = (build-asdf-system {
    pname = "avatar-api-test";
    version = "20150608-git";
    asds = [ "avatar-api-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avatar-api/2015-06-08/avatar-api-20150608-git.tgz";
      sha256 = "026s8m0bl13iqyakfxc6zwacvpj2bxxipms1kl3k9ql99yn8imvr";
      system = "avatar-api-test";
      asd = "avatar-api-test";
    });
    systems = [ "avatar-api-test" ];
    lispLibs = [ (getAttr "avatar-api" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  avl-tree = (build-asdf-system {
    pname = "avl-tree";
    version = "20220707-git";
    asds = [ "avl-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/avl-tree/2022-07-07/avl-tree-20220707-git.tgz";
      sha256 = "1xvh5rpz0kwzx42jrnh3kgqa87z5kmgd7f3fkkydiqj04hknsj7k";
      system = "avl-tree";
      asd = "avl-tree";
    });
    systems = [ "avl-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aws-foundation = (build-asdf-system {
    pname = "aws-foundation";
    version = "20180711-git";
    asds = [ "aws-foundation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-foundation/2018-07-11/aws-foundation-20180711-git.tgz";
      sha256 = "1f5af22qw583frqjhnkf9wcccdkkpjiv0bbnlqqk7fxzm9pqpvhb";
      system = "aws-foundation";
      asd = "aws-foundation";
    });
    systems = [ "aws-foundation" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-json" self) (getAttr "cl-json-helper" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aws-sdk = (build-asdf-system {
    pname = "aws-sdk";
    version = "20230215-git";
    asds = [ "aws-sdk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sdk-lisp/2023-02-15/aws-sdk-lisp-20230215-git.tgz";
      sha256 = "0h10y5qj1jjv4nnwn0qm3bwbx67bxrvnjf578nzwn8bk85x3wvl1";
      system = "aws-sdk";
      asd = "aws-sdk";
    });
    systems = [ "aws-sdk" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "assoc-utils" self) (getAttr "aws-sign4" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "kebab" self) (getAttr "local-time" self) (getAttr "parser_dot_ini" self) (getAttr "quri" self) (getAttr "trivial-timeout" self) (getAttr "trivial-types" self) (getAttr "xmls" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aws-sign4 = (build-asdf-system {
    pname = "aws-sign4";
    version = "20201220-git";
    asds = [ "aws-sign4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "secret-values" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aws-sign4-example = (build-asdf-system {
    pname = "aws-sign4-example";
    version = "20201220-git";
    asds = [ "aws-sign4-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4-example";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4-example" ];
    lispLibs = [ (getAttr "aws-sign4" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  aws-sign4-tests = (build-asdf-system {
    pname = "aws-sign4-tests";
    version = "20201220-git";
    asds = [ "aws-sign4-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aws-sign4/2020-12-20/aws-sign4-20201220-git.tgz";
      sha256 = "1bwqmy9vlq0ilwhp48y05cdfav9inwv4kai8mjj1a95776xjmjnk";
      system = "aws-sign4-tests";
      asd = "aws-sign4";
    });
    systems = [ "aws-sign4-tests" ];
    lispLibs = [ (getAttr "aws-sign4" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ayah-captcha = (build-asdf-system {
    pname = "ayah-captcha";
    version = "20180228-git";
    asds = [ "ayah-captcha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ayah-captcha/2018-02-28/ayah-captcha-20180228-git.tgz";
      sha256 = "1l9zg0hj5cd1yda1nnab7byrgkakh5vn3qcd4lmfidbijk6kiamw";
      system = "ayah-captcha";
      asd = "ayah-captcha";
    });
    systems = [ "ayah-captcha" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ayah-captcha-demo = (build-asdf-system {
    pname = "ayah-captcha-demo";
    version = "20180228-git";
    asds = [ "ayah-captcha-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ayah-captcha/2018-02-28/ayah-captcha-20180228-git.tgz";
      sha256 = "1l9zg0hj5cd1yda1nnab7byrgkakh5vn3qcd4lmfidbijk6kiamw";
      system = "ayah-captcha-demo";
      asd = "ayah-captcha-demo";
    });
    systems = [ "ayah-captcha-demo" ];
    lispLibs = [ (getAttr "ayah-captcha" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  babel = (build-asdf-system {
    pname = "babel";
    version = "20230214-git";
    asds = [ "babel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2023-02-14/babel-20230214-git.tgz";
      sha256 = "1sndap9ykyyvrzlqm9smgqy49r3n67l926yg0hb7pm00plj0y380";
      system = "babel";
      asd = "babel";
    });
    systems = [ "babel" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  babel-streams = (build-asdf-system {
    pname = "babel-streams";
    version = "20230214-git";
    asds = [ "babel-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2023-02-14/babel-20230214-git.tgz";
      sha256 = "1sndap9ykyyvrzlqm9smgqy49r3n67l926yg0hb7pm00plj0y380";
      system = "babel-streams";
      asd = "babel-streams";
    });
    systems = [ "babel-streams" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  babel-tests = (build-asdf-system {
    pname = "babel-tests";
    version = "20230214-git";
    asds = [ "babel-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/babel/2023-02-14/babel-20230214-git.tgz";
      sha256 = "1sndap9ykyyvrzlqm9smgqy49r3n67l926yg0hb7pm00plj0y380";
      system = "babel-tests";
      asd = "babel-tests";
    });
    systems = [ "babel-tests" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  base = (build-asdf-system {
    pname = "base";
    version = "master-5b2475f9-git";
    asds = [ "base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "base";
      asd = "base";
    });
    systems = [ "base" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  base-blobs = (build-asdf-system {
    pname = "base-blobs";
    version = "stable-git";
    asds = [ "base-blobs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/base-blobs/2020-10-16/base-blobs-stable-git.tgz";
      sha256 = "06m8rvczj309wq8by697gvrklhff5mnn5n5sky7i11bnszrxysys";
      system = "base-blobs";
      asd = "base-blobs";
    });
    systems = [ "base-blobs" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  base64 = (build-asdf-system {
    pname = "base64";
    version = "20181018-git";
    asds = [ "base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/base64/2018-10-18/base64-20181018-git.tgz";
      sha256 = "0qkqcrgmcqshcsnzn4pcyk8d1j9c7pks2qf51p1hfybz5shxkqkh";
      system = "base64";
      asd = "base64";
    });
    systems = [ "base64" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  basic-binary-ipc = (build-asdf-system {
    pname = "basic-binary-ipc";
    version = "20211209-git";
    asds = [ "basic-binary-ipc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/basic-binary-ipc/2021-12-09/basic-binary-ipc-20211209-git.tgz";
      sha256 = "0bsxy27mnmzr6vys96cs2is57zvk0n9hlif9llnp4q9m2wzycbwm";
      system = "basic-binary-ipc";
      asd = "basic-binary-ipc";
    });
    systems = [ "basic-binary-ipc" ];
    lispLibs = [ (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  basic-binary-ipc-tests = (build-asdf-system {
    pname = "basic-binary-ipc-tests";
    version = "20211209-git";
    asds = [ "basic-binary-ipc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/basic-binary-ipc/2021-12-09/basic-binary-ipc-20211209-git.tgz";
      sha256 = "0bsxy27mnmzr6vys96cs2is57zvk0n9hlif9llnp4q9m2wzycbwm";
      system = "basic-binary-ipc-tests";
      asd = "basic-binary-ipc-tests";
    });
    systems = [ "basic-binary-ipc-tests" ];
    lispLibs = [ (getAttr "basic-binary-ipc" self) (getAttr "bordeaux-threads" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bdef = (build-asdf-system {
    pname = "bdef";
    version = "20230618-git";
    asds = [ "bdef" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bdef/2023-06-18/bdef-20230618-git.tgz";
      sha256 = "16y39qkiygp733bg7pig4smfkm91mkflbdpc6b44slgpr3x37sr1";
      system = "bdef";
      asd = "bdef";
    });
    systems = [ "bdef" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "eager-future2" self) (getAttr "jsown" self) (getAttr "mutility" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  beast = (build-asdf-system {
    pname = "beast";
    version = "20211020-hg";
    asds = [ "beast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/beast/2021-10-20/beast-20211020-hg.tgz";
      sha256 = "0rb7yxr4clsdbgyjz9d8inxgj7zs0knrngl7gb6b8ky1vyrv12k4";
      system = "beast";
      asd = "beast";
    });
    systems = [ "beast" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  beirc = (build-asdf-system {
    pname = "beirc";
    version = "20150505-git";
    asds = [ "beirc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/beirc/2015-05-05/beirc-20150505-git.tgz";
      sha256 = "1jmxihxln51vxy85r3zx0gfrzs9ng8nmj87j5ws1fg8bwv8b2zc4";
      system = "beirc";
      asd = "beirc";
    });
    systems = [ "beirc" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-irc" self) (getAttr "cl-ppcre" self) (getAttr "mcclim" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bencode = (build-asdf-system {
    pname = "bencode";
    version = "20180228-git";
    asds = [ "bencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bencode/2018-02-28/cl-bencode-20180228-git.tgz";
      sha256 = "02n9cv5jbgzjwmw11c1a557r62m4i4gmmx38csscbq0cv6vzys1j";
      system = "bencode";
      asd = "bencode";
    });
    systems = [ "bencode" ];
    lispLibs = [ (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bencode-test = (build-asdf-system {
    pname = "bencode-test";
    version = "20180228-git";
    asds = [ "bencode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bencode/2018-02-28/cl-bencode-20180228-git.tgz";
      sha256 = "02n9cv5jbgzjwmw11c1a557r62m4i4gmmx38csscbq0cv6vzys1j";
      system = "bencode-test";
      asd = "bencode";
    });
    systems = [ "bencode-test" ];
    lispLibs = [ (getAttr "bencode" self) (getAttr "check-it" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bermuda = (build-asdf-system {
    pname = "bermuda";
    version = "20150608-git";
    asds = [ "bermuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pal/2015-06-08/pal-20150608-git.tgz";
      sha256 = "0kn6jxirrn7wzqymzsi0kx2ivl0nrrcgbl4dm1714s48qw0jwhcw";
      system = "bermuda";
      asd = "bermuda";
    });
    systems = [ "bermuda" ];
    lispLibs = [ (getAttr "pal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bert = (build-asdf-system {
    pname = "bert";
    version = "20141106-git";
    asds = [ "bert" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bert/2014-11-06/cl-bert-20141106-git.tgz";
      sha256 = "18cyk63dmcqqwsld4h65mzscgjsc085ws69z097naqm1r70kkygr";
      system = "bert";
      asd = "bert";
    });
    systems = [ "bert" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "erlang-term" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bibtex = (build-asdf-system {
    pname = "bibtex";
    version = "20181210-git";
    asds = [ "bibtex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bibtex/2018-12-10/cl-bibtex-20181210-git.tgz";
      sha256 = "1rb4yf1z0vvl6z4kyj0s81kq1pvxwpvbgiaraqllgj1wpf51m78h";
      system = "bibtex";
      asd = "bibtex";
    });
    systems = [ "bibtex" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  big-string = (build-asdf-system {
    pname = "big-string";
    version = "20230618-git";
    asds = [ "big-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/big-string/2023-06-18/big-string-20230618-git.tgz";
      sha256 = "03w0y3x9sm0fv0dclmrnh55i83nviz7pw7mdg6di05gw03bnslrc";
      system = "big-string";
      asd = "big-string";
    });
    systems = [ "big-string" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bike = (build-asdf-system {
    pname = "bike";
    version = "20220707-git";
    asds = [ "bike" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike";
      asd = "bike";
    });
    systems = [ "bike" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bike-internals" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "named-readtables" self) (getAttr "split-sequence" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bike-examples = (build-asdf-system {
    pname = "bike-examples";
    version = "20220707-git";
    asds = [ "bike-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-examples";
      asd = "bike-examples";
    });
    systems = [ "bike-examples" ];
    lispLibs = [ (getAttr "bike" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bike-internals = (build-asdf-system {
    pname = "bike-internals";
    version = "20220707-git";
    asds = [ "bike-internals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-internals";
      asd = "bike-internals";
    });
    systems = [ "bike-internals" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bike-tests = (build-asdf-system {
    pname = "bike-tests";
    version = "20220707-git";
    asds = [ "bike-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bike/2022-07-07/bike-20220707-git.tgz";
      sha256 = "0slzgfi0yw45j238rhjsnw6vh8yvwzzsmz6vmia58fycf8p0vlc4";
      system = "bike-tests";
      asd = "bike-tests";
    });
    systems = [ "bike-tests" ];
    lispLibs = [ (getAttr "bike" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-io = (build-asdf-system {
    pname = "binary-io";
    version = "20201016-git";
    asds = [ "binary-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-io/2020-10-16/binary-io-20201016-git.tgz";
      sha256 = "0gxnl12nydh8aslw78jc4cmq8licj342y2f04jalqb4d9m9jbri2";
      system = "binary-io";
      asd = "binary-io";
    });
    systems = [ "binary-io" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-lass = (build-asdf-system {
    pname = "binary-lass";
    version = "20230214-git";
    asds = [ "binary-lass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass/2023-02-14/lass-20230214-git.tgz";
      sha256 = "1xwwdcnaicnh16w2291vvwi4pgqbc9iw8cfjg349nmvr0dmf883q";
      system = "binary-lass";
      asd = "binary-lass";
    });
    systems = [ "binary-lass" ];
    lispLibs = [ (getAttr "lass" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-parser = (build-asdf-system {
    pname = "binary-parser";
    version = "20230214-git";
    asds = [ "binary-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-parser/2023-02-14/binary-parser-20230214-git.tgz";
      sha256 = "06lq5iv0ap6qnsrc73rmnr9qirllyz4yxsvimj6ny5wl2hn8i9jl";
      system = "binary-parser";
      asd = "binary-parser";
    });
    systems = [ "binary-parser" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bitio" self) (getAttr "chipz" self) (getAttr "fast-io" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-search-tree = (build-asdf-system {
    pname = "binary-search-tree";
    version = "20220707-git";
    asds = [ "binary-search-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-search-tree/2022-07-07/binary-search-tree-20220707-git.tgz";
      sha256 = "1k7p5dgziwni5yma7q3sbnr23kk2730vzb7ap6knnazpp0smgclf";
      system = "binary-search-tree";
      asd = "binary-search-tree";
    });
    systems = [ "binary-search-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-structures = (build-asdf-system {
    pname = "binary-structures";
    version = "20230618-git";
    asds = [ "binary-structures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-structures/2023-06-18/binary-structures-20230618-git.tgz";
      sha256 = "18kz2m0k02w2j1px2hjmp49zwcg308p9jakqf9ifrsry1ar7ckja";
      system = "binary-structures";
      asd = "binary-structures";
    });
    systems = [ "binary-structures" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "nibbles" self) (getAttr "trivial-extensible-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binary-types = (build-asdf-system {
    pname = "binary-types";
    version = "20130615-git";
    asds = [ "binary-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binary-types/2013-06-15/binary-types-20130615-git.tgz";
      sha256 = "1bh65p9vg2kgh4m8q1a4jiyncnp5prdzh0d0l4pzh3jvfhgbm0gh";
      system = "binary-types";
      asd = "binary-types";
    });
    systems = [ "binary-types" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binascii = (build-asdf-system {
    pname = "binascii";
    version = "20150709-git";
    asds = [ "binascii" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binascii/2015-07-09/binascii-20150709-git.tgz";
      sha256 = "000rcdl8qshr7n48zq9bzrc4lkjx4ylb3r3w9x9syhiwfla9j4b7";
      system = "binascii";
      asd = "binascii";
    });
    systems = [ "binascii" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binascii-tests = (build-asdf-system {
    pname = "binascii-tests";
    version = "20150709-git";
    asds = [ "binascii-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binascii/2015-07-09/binascii-20150709-git.tgz";
      sha256 = "000rcdl8qshr7n48zq9bzrc4lkjx4ylb3r3w9x9syhiwfla9j4b7";
      system = "binascii-tests";
      asd = "binascii";
    });
    systems = [ "binascii-tests" ];
    lispLibs = [ (getAttr "binascii" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binding-arrows = (build-asdf-system {
    pname = "binding-arrows";
    version = "20210630-git";
    asds = [ "binding-arrows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binding-arrows/2021-06-30/binding-arrows-20210630-git.tgz";
      sha256 = "0hqikgzic7kjq2n1d924yldfm30qz67cmsk6gghi9cbmxkwdlwp8";
      system = "binding-arrows";
      asd = "binding-arrows";
    });
    systems = [ "binding-arrows" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binfix = (build-asdf-system {
    pname = "binfix";
    version = "20190813-git";
    asds = [ "binfix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binfix/2019-08-13/binfix-20190813-git.tgz";
      sha256 = "07925kj32y7ppwmz62c08gd0s6yp12s6nz1wh0pzh0ccq9nwgzhz";
      system = "binfix";
      asd = "binfix";
    });
    systems = [ "binfix" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  binomial-heap = (build-asdf-system {
    pname = "binomial-heap";
    version = "20130420-git";
    asds = [ "binomial-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binomial-heap/2013-04-20/binomial-heap-20130420-git.tgz";
      sha256 = "1d4jrlkdjdppnvqpqkr7i7djpgmrvrbky4pc1pxvqci5jx7xlkk6";
      system = "binomial-heap";
      asd = "binomial-heap";
    });
    systems = [ "binomial-heap" ];
    lispLibs = [  ];
    meta = {};
  });
  binpack = (build-asdf-system {
    pname = "binpack";
    version = "20230214-git";
    asds = [ "binpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2023-02-14/binpack-20230214-git.tgz";
      sha256 = "0cfflx7aqmkzsljjaw0dwk49ii0vxm7d07s4gyrszb7zbpmz0jri";
      system = "binpack";
      asd = "binpack";
    });
    systems = [ "binpack" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  binpack-test = (build-asdf-system {
    pname = "binpack-test";
    version = "20230214-git";
    asds = [ "binpack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/binpack/2023-02-14/binpack-20230214-git.tgz";
      sha256 = "0cfflx7aqmkzsljjaw0dwk49ii0vxm7d07s4gyrszb7zbpmz0jri";
      system = "binpack-test";
      asd = "binpack-test";
    });
    systems = [ "binpack-test" ];
    lispLibs = [ (getAttr "binpack" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  birch = (build-asdf-system {
    pname = "birch";
    version = "20220220-git";
    asds = [ "birch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/birch/2022-02-20/birch-20220220-git.tgz";
      sha256 = "0b2wh1n9b5r1dyvgg9hhh97plbj4j5anasfbii92s2g8h2ilb4yb";
      system = "birch";
      asd = "birch";
    });
    systems = [ "birch" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl_plus_ssl" self) (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  birch_dot_test = (build-asdf-system {
    pname = "birch.test";
    version = "20220220-git";
    asds = [ "birch.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/birch/2022-02-20/birch-20220220-git.tgz";
      sha256 = "0b2wh1n9b5r1dyvgg9hhh97plbj4j5anasfbii92s2g8h2ilb4yb";
      system = "birch.test";
      asd = "birch.test";
    });
    systems = [ "birch.test" ];
    lispLibs = [ (getAttr "birch" self) (getAttr "flexi-streams" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bit-ops = (build-asdf-system {
    pname = "bit-ops";
    version = "20180228-git";
    asds = [ "bit-ops" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-ops/2018-02-28/bit-ops-20180228-git.tgz";
      sha256 = "0rwmm438bgxfl5ab1vnrsxgimxnr3d5kjv9a0yzmlnbg9i2hyhz7";
      system = "bit-ops";
      asd = "bit-ops";
    });
    systems = [ "bit-ops" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "immutable-struct" self) (getAttr "iterate" self) (getAttr "lisp-namespace" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bit-ops_dot_test = (build-asdf-system {
    pname = "bit-ops.test";
    version = "20180228-git";
    asds = [ "bit-ops.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-ops/2018-02-28/bit-ops-20180228-git.tgz";
      sha256 = "0rwmm438bgxfl5ab1vnrsxgimxnr3d5kjv9a0yzmlnbg9i2hyhz7";
      system = "bit-ops.test";
      asd = "bit-ops.test";
    });
    systems = [ "bit-ops.test" ];
    lispLibs = [ (getAttr "bit-ops" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bit-smasher = (build-asdf-system {
    pname = "bit-smasher";
    version = "20221106-git";
    asds = [ "bit-smasher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-smasher/2022-11-06/bit-smasher-20221106-git.tgz";
      sha256 = "1dad4x9sjq45zz8rys6rflsklmw77631r3k4g248ynmaqkdaqjyd";
      system = "bit-smasher";
      asd = "bit-smasher";
    });
    systems = [ "bit-smasher" ];
    lispLibs = [ (getAttr "cl-base58" self) (getAttr "cl-base64" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bit-smasher-test = (build-asdf-system {
    pname = "bit-smasher-test";
    version = "20221106-git";
    asds = [ "bit-smasher-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bit-smasher/2022-11-06/bit-smasher-20221106-git.tgz";
      sha256 = "1dad4x9sjq45zz8rys6rflsklmw77631r3k4g248ynmaqkdaqjyd";
      system = "bit-smasher-test";
      asd = "bit-smasher-test";
    });
    systems = [ "bit-smasher-test" ];
    lispLibs = [ (getAttr "bit-smasher" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bitfield = (build-asdf-system {
    pname = "bitfield";
    version = "20211230-git";
    asds = [ "bitfield" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitfield/2021-12-30/bitfield-20211230-git.tgz";
      sha256 = "1137kdj5imc5gj9g6hj4w6ksqnqppgm3knzv7j2f8r5qpfl8rfl2";
      system = "bitfield";
      asd = "bitfield";
    });
    systems = [ "bitfield" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bitfield-schema = (build-asdf-system {
    pname = "bitfield-schema";
    version = "20120107-git";
    asds = [ "bitfield-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitfield-schema/2012-01-07/bitfield-schema-20120107-git.tgz";
      sha256 = "08xkl7rbfhrx8vj98zj1lmhv6pfg2f5gk14xj7qys7mkj2iv4li6";
      system = "bitfield-schema";
      asd = "bitfield-schema";
    });
    systems = [ "bitfield-schema" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bitio = (build-asdf-system {
    pname = "bitio";
    version = "20220220-git";
    asds = [ "bitio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bitio/2022-02-20/bitio-20220220-git.tgz";
      sha256 = "0z2yn19nxg46j274nxzry255z86p0y3p68s1f2sg7rx9y2nx3rjg";
      system = "bitio";
      asd = "bitio";
    });
    systems = [ "bitio" ];
    lispLibs = [ (getAttr "checkl" self) (getAttr "cl-package-locks" self) (getAttr "fast-io" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bk-tree = (build-asdf-system {
    pname = "bk-tree";
    version = "20130420-git";
    asds = [ "bk-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bk-tree/2013-04-20/bk-tree-20130420-git.tgz";
      sha256 = "1nrz6fwzvkzvs6ipc5rgas77p5hv5bnaw2in5760v240gg7lxqzz";
      system = "bk-tree";
      asd = "bk-tree";
    });
    systems = [ "bk-tree" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_data_dot_impex = (build-asdf-system {
    pname = "bknr.data.impex";
    version = "20220220-git";
    asds = [ "bknr.data.impex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.data.impex";
      asd = "bknr.data.impex";
    });
    systems = [ "bknr.data.impex" ];
    lispLibs = [ (getAttr "bknr_dot_datastore" self) (getAttr "bknr_dot_impex" self) (getAttr "bknr_dot_indices" self) (getAttr "bknr_dot_utils" self) (getAttr "cl-interpol" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_datastore = (build-asdf-system {
    pname = "bknr.datastore";
    version = "20220220-git";
    asds = [ "bknr.datastore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.datastore";
      asd = "bknr.datastore";
    });
    systems = [ "bknr.datastore" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bknr_dot_indices" self) (getAttr "bknr_dot_utils" self) (getAttr "cl-interpol" self) (getAttr "closer-mop" self) (getAttr "trivial-utf-8" self) (getAttr "unit-test" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_impex = (build-asdf-system {
    pname = "bknr.impex";
    version = "20220220-git";
    asds = [ "bknr.impex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.impex";
      asd = "bknr.impex";
    });
    systems = [ "bknr.impex" ];
    lispLibs = [ (getAttr "bknr_dot_indices" self) (getAttr "bknr_dot_utils" self) (getAttr "bknr_dot_xml" self) (getAttr "cl-interpol" self) (getAttr "closer-mop" self) (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_indices = (build-asdf-system {
    pname = "bknr.indices";
    version = "20220220-git";
    asds = [ "bknr.indices" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.indices";
      asd = "bknr.indices";
    });
    systems = [ "bknr.indices" ];
    lispLibs = [ (getAttr "bknr_dot_skip-list" self) (getAttr "bknr_dot_utils" self) (getAttr "cl-interpol" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_modules = (build-asdf-system {
    pname = "bknr.modules";
    version = "20140713-git";
    asds = [ "bknr.modules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "bknr.modules";
      asd = "bknr.modules";
    });
    systems = [ "bknr.modules" ];
    lispLibs = [ (getAttr "bknr_dot_utils" self) (getAttr "bknr_dot_web" self) (getAttr "cl-gd" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "cl-smtp" self) (getAttr "closer-mop" self) (getAttr "cxml" self) (getAttr "md5" self) (getAttr "parenscript" self) (getAttr "puri" self) (getAttr "stem" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_skip-list = (build-asdf-system {
    pname = "bknr.skip-list";
    version = "20220220-git";
    asds = [ "bknr.skip-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.skip-list";
      asd = "bknr.skip-list";
    });
    systems = [ "bknr.skip-list" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_skip-list_dot_test = (build-asdf-system {
    pname = "bknr.skip-list.test";
    version = "20220220-git";
    asds = [ "bknr.skip-list.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.skip-list.test";
      asd = "bknr.skip-list";
    });
    systems = [ "bknr.skip-list.test" ];
    lispLibs = [ (getAttr "bknr_dot_skip-list" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_utils = (build-asdf-system {
    pname = "bknr.utils";
    version = "20220220-git";
    asds = [ "bknr.utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.utils";
      asd = "bknr.utils";
    });
    systems = [ "bknr.utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "md5" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_web = (build-asdf-system {
    pname = "bknr.web";
    version = "20140713-git";
    asds = [ "bknr.web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "bknr.web";
      asd = "bknr.web";
    });
    systems = [ "bknr.web" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bknr_dot_data_dot_impex" self) (getAttr "bknr_dot_datastore" self) (getAttr "bknr_dot_utils" self) (getAttr "bknr_dot_xml" self) (getAttr "cl-gd" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) (getAttr "md5" self) (getAttr "parenscript" self) (getAttr "puri" self) (getAttr "unit-test" self) (getAttr "usocket" self) (getAttr "xhtmlgen" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bknr_dot_xml = (build-asdf-system {
    pname = "bknr.xml";
    version = "20220220-git";
    asds = [ "bknr.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-datastore/2022-02-20/bknr-datastore-20220220-git.tgz";
      sha256 = "1vi3w65fnczqvswkm381n6liqfrzjrg40y698qvj7skj28dm5vrm";
      system = "bknr.xml";
      asd = "bknr.xml";
    });
    systems = [ "bknr.xml" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  black-tie = (build-asdf-system {
    pname = "black-tie";
    version = "20220707-git";
    asds = [ "black-tie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/black-tie/2022-07-07/black-tie-20220707-git.tgz";
      sha256 = "0a1zczxp4wkqs4cmwc4rnsgwwc2h4zqmg58cjykfzz4jh31fa43a";
      system = "black-tie";
      asd = "black-tie";
    });
    systems = [ "black-tie" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blackbird = (build-asdf-system {
    pname = "blackbird";
    version = "20221106-git";
    asds = [ "blackbird" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/blackbird/2022-11-06/blackbird-20221106-git.tgz";
      sha256 = "1r0f9473akzm6zyj494ma5p39hfkixa8aj17dhcdfa4kmqf9f6al";
      system = "blackbird";
      asd = "blackbird";
    });
    systems = [ "blackbird" ];
    lispLibs = [ (getAttr "vom" self) ];
    meta = {};
  });
  blackbird-test = (build-asdf-system {
    pname = "blackbird-test";
    version = "20221106-git";
    asds = [ "blackbird-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/blackbird/2022-11-06/blackbird-20221106-git.tgz";
      sha256 = "1r0f9473akzm6zyj494ma5p39hfkixa8aj17dhcdfa4kmqf9f6al";
      system = "blackbird-test";
      asd = "blackbird-test";
    });
    systems = [ "blackbird-test" ];
    lispLibs = [ (getAttr "blackbird" self) (getAttr "cl-async" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blas = (build-asdf-system {
    pname = "blas";
    version = "20200925-git";
    asds = [ "blas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas";
      asd = "blas";
    });
    systems = [ "blas" ];
    lispLibs = [ (getAttr "blas-complex" self) (getAttr "blas-package" self) (getAttr "blas-real" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blas-complex = (build-asdf-system {
    pname = "blas-complex";
    version = "20200925-git";
    asds = [ "blas-complex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-complex";
      asd = "blas-complex";
    });
    systems = [ "blas-complex" ];
    lispLibs = [ (getAttr "blas-real" self) (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blas-hompack = (build-asdf-system {
    pname = "blas-hompack";
    version = "20200925-git";
    asds = [ "blas-hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-hompack";
      asd = "blas-hompack";
    });
    systems = [ "blas-hompack" ];
    lispLibs = [ (getAttr "blas-package" self) (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blas-package = (build-asdf-system {
    pname = "blas-package";
    version = "20200925-git";
    asds = [ "blas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-package";
      asd = "blas-package";
    });
    systems = [ "blas-package" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blas-real = (build-asdf-system {
    pname = "blas-real";
    version = "20200925-git";
    asds = [ "blas-real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "blas-real";
      asd = "blas-real";
    });
    systems = [ "blas-real" ];
    lispLibs = [ (getAttr "blas-hompack" self) (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  blocks-world = (build-asdf-system {
    pname = "blocks-world";
    version = "20120305-git";
    asds = [ "blocks-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/atdoc/2012-03-05/atdoc-20120305-git.tgz";
      sha256 = "1w54phadjj00sy5qz5n0hmhzyjrx26h9hw06756zdpfbzk4f5il6";
      system = "blocks-world";
      asd = "blocks-world";
    });
    systems = [ "blocks-world" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bmas = (build-asdf-system {
    pname = "bmas";
    version = "20230618-git";
    asds = [ "bmas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bmas/2023-06-18/cl-bmas-20230618-git.tgz";
      sha256 = "0k8dxz49bmmd9d1dbmkwm9kb8hmgj9bzq0bycpr3250prin855ip";
      system = "bmas";
      asd = "bmas";
    });
    systems = [ "bmas" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-autowrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bmp-test = (build-asdf-system {
    pname = "bmp-test";
    version = "20211020-git";
    asds = [ "bmp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "bmp-test";
      asd = "bmp-test";
    });
    systems = [ "bmp-test" ];
    lispLibs = [ (getAttr "png" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bnf = (build-asdf-system {
    pname = "bnf";
    version = "20220220-git";
    asds = [ "bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bnf/2022-02-20/bnf-20220220-git.tgz";
      sha256 = "1kr6k9qs9bbza591hi1c2mlxqd5yz3nrvyd3cw7139iz1z2m7dbg";
      system = "bnf";
      asd = "bnf";
    });
    systems = [ "bnf" ];
    lispLibs = [ (getAttr "trestrul" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bnf_dot_test = (build-asdf-system {
    pname = "bnf.test";
    version = "20220220-git";
    asds = [ "bnf.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bnf/2022-02-20/bnf-20220220-git.tgz";
      sha256 = "1kr6k9qs9bbza591hi1c2mlxqd5yz3nrvyd3cw7139iz1z2m7dbg";
      system = "bnf.test";
      asd = "bnf.test";
    });
    systems = [ "bnf.test" ];
    lispLibs = [ (getAttr "bnf" self) (getAttr "jingoh" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bobbin = (build-asdf-system {
    pname = "bobbin";
    version = "20201016-hg";
    asds = [ "bobbin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bobbin/2020-10-16/bobbin-20201016-hg.tgz";
      sha256 = "1yvx7d0cx5b119r4aays2rck33088bp7spaydnvkc329hfq1ahc2";
      system = "bobbin";
      asd = "bobbin";
    });
    systems = [ "bobbin" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-blobs-support = (build-asdf-system {
    pname = "bodge-blobs-support";
    version = "stable-git";
    asds = [ "bodge-blobs-support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-blobs-support/2020-10-16/bodge-blobs-support-stable-git.tgz";
      sha256 = "02nd1x6y1akp1ymv1y4z9ympwbnpd1drwi4f86xbjszxqff6jyj8";
      system = "bodge-blobs-support";
      asd = "bodge-blobs-support";
    });
    systems = [ "bodge-blobs-support" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-chipmunk = (build-asdf-system {
    pname = "bodge-chipmunk";
    version = "stable-git";
    asds = [ "bodge-chipmunk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-chipmunk/2020-10-16/bodge-chipmunk-stable-git.tgz";
      sha256 = "06zkia7rrhn1961jmayyvdbbbnf2rnr84lbd1x6gq8psfb2rif2f";
      system = "bodge-chipmunk";
      asd = "bodge-chipmunk";
    });
    systems = [ "bodge-chipmunk" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-concurrency = (build-asdf-system {
    pname = "bodge-concurrency";
    version = "stable-git";
    asds = [ "bodge-concurrency" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-concurrency/2020-10-16/bodge-concurrency-stable-git.tgz";
      sha256 = "06v2h7vassp5v50qsqxkmshcrlrzlhqaga4z7lnidfniw7f8d5vd";
      system = "bodge-concurrency";
      asd = "bodge-concurrency";
    });
    systems = [ "bodge-concurrency" ];
    lispLibs = [ (getAttr "bodge-memory" self) (getAttr "bodge-queue" self) (getAttr "bodge-utilities" self) (getAttr "bordeaux-threads" self) (getAttr "cl-flow" self) (getAttr "cl-muth" self) (getAttr "simple-flow-dispatcher" self) (getAttr "trivial-main-thread" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-glad = (build-asdf-system {
    pname = "bodge-glad";
    version = "stable-git";
    asds = [ "bodge-glad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-glad/2020-10-16/bodge-glad-stable-git.tgz";
      sha256 = "0ghrg0z5pj36igp5wpvp1iwnvjbca3wfb60kvirhv3l9ww51jg9g";
      system = "bodge-glad";
      asd = "bodge-glad";
    });
    systems = [ "bodge-glad" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-glfw = (build-asdf-system {
    pname = "bodge-glfw";
    version = "stable-git";
    asds = [ "bodge-glfw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-glfw/2020-10-16/bodge-glfw-stable-git.tgz";
      sha256 = "1xjg75grndl2mbfql1g2qgx810kg6wxrnhxb406m9lisd112i0m8";
      system = "bodge-glfw";
      asd = "bodge-glfw";
    });
    systems = [ "bodge-glfw" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-heap = (build-asdf-system {
    pname = "bodge-heap";
    version = "stable-git";
    asds = [ "bodge-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-heap/2020-10-16/bodge-heap-stable-git.tgz";
      sha256 = "1ngi9ccr9iz93mm3b4hgh2fj39vqpjrpkcfza5vly16z3r7gxca4";
      system = "bodge-heap";
      asd = "bodge-heap";
    });
    systems = [ "bodge-heap" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-host = (build-asdf-system {
    pname = "bodge-host";
    version = "stable-git";
    asds = [ "bodge-host" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-host/2021-12-09/bodge-host-stable-git.tgz";
      sha256 = "0piayirpbh91klrk3pg0g1vxhlk8yxvbr2wv923awdalwy0fn73n";
      system = "bodge-host";
      asd = "bodge-host";
    });
    systems = [ "bodge-host" ];
    lispLibs = [ (getAttr "bodge-concurrency" self) (getAttr "bodge-glfw" self) (getAttr "bodge-libc-essentials" self) (getAttr "bodge-math" self) (getAttr "bodge-utilities" self) (getAttr "cffi-c-ref" self) (getAttr "float-features" self) (getAttr "glfw-blob" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-libc-essentials = (build-asdf-system {
    pname = "bodge-libc-essentials";
    version = "stable-git";
    asds = [ "bodge-libc-essentials" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-libc-essentials/2020-10-16/bodge-libc-essentials-stable-git.tgz";
      sha256 = "1nkjhkaap78xk9rkvnnnkchphiz0qwrsfp4jsvcl6mvv3rb4gp2k";
      system = "bodge-libc-essentials";
      asd = "bodge-libc-essentials";
    });
    systems = [ "bodge-libc-essentials" ];
    lispLibs = [ (getAttr "claw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-math = (build-asdf-system {
    pname = "bodge-math";
    version = "stable-git";
    asds = [ "bodge-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-math/2020-10-16/bodge-math-stable-git.tgz";
      sha256 = "0r3vnl9lywn4ksy34apcv6j825qp7l1naddawr14v4lwacndb80v";
      system = "bodge-math";
      asd = "bodge-math";
    });
    systems = [ "bodge-math" ];
    lispLibs = [ (getAttr "bodge-utilities" self) (getAttr "rtg-math" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-memory = (build-asdf-system {
    pname = "bodge-memory";
    version = "stable-git";
    asds = [ "bodge-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-memory/2020-10-16/bodge-memory-stable-git.tgz";
      sha256 = "19fn3dw5z6f2kpar0jx7ysy5zvqjv7yv0ca7njgaam3p891yy2j9";
      system = "bodge-memory";
      asd = "bodge-memory";
    });
    systems = [ "bodge-memory" ];
    lispLibs = [ (getAttr "bodge-utilities" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-nanovg = (build-asdf-system {
    pname = "bodge-nanovg";
    version = "stable-git";
    asds = [ "bodge-nanovg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-nanovg/2020-10-16/bodge-nanovg-stable-git.tgz";
      sha256 = "0cg4rlsddjrn0ps891n29xnd14xiis20ka5gafbz9npbj6nrc4v1";
      system = "bodge-nanovg";
      asd = "bodge-nanovg";
    });
    systems = [ "bodge-nanovg" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-nuklear = (build-asdf-system {
    pname = "bodge-nuklear";
    version = "stable-git";
    asds = [ "bodge-nuklear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-nuklear/2020-10-16/bodge-nuklear-stable-git.tgz";
      sha256 = "15q89dz2zi99yyxhb90wyydy24y2lj5xm2mzh1mrw4v8rz9aqhc2";
      system = "bodge-nuklear";
      asd = "bodge-nuklear";
    });
    systems = [ "bodge-nuklear" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-ode = (build-asdf-system {
    pname = "bodge-ode";
    version = "stable-git";
    asds = [ "bodge-ode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-ode/2020-10-16/bodge-ode-stable-git.tgz";
      sha256 = "1c051ljn5x7ssysia7lil0ykjdnbx8dfkr45ck77plv39acgicbs";
      system = "bodge-ode";
      asd = "bodge-ode";
    });
    systems = [ "bodge-ode" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) (getAttr "float-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-openal = (build-asdf-system {
    pname = "bodge-openal";
    version = "stable-git";
    asds = [ "bodge-openal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-openal/2020-10-16/bodge-openal-stable-git.tgz";
      sha256 = "0051pwifygj1ijv5b39ldmfrka2yrj8rpap04bw3w9cckbkp6bnw";
      system = "bodge-openal";
      asd = "bodge-openal";
    });
    systems = [ "bodge-openal" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "claw" self) (getAttr "claw-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-queue = (build-asdf-system {
    pname = "bodge-queue";
    version = "stable-git";
    asds = [ "bodge-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-queue/2020-10-16/bodge-queue-stable-git.tgz";
      sha256 = "0f4252i8pfy5s4v7w1bpjawysn4cw7di405mqsx2h7skv27hvpz6";
      system = "bodge-queue";
      asd = "bodge-queue";
    });
    systems = [ "bodge-queue" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-sndfile = (build-asdf-system {
    pname = "bodge-sndfile";
    version = "stable-git";
    asds = [ "bodge-sndfile" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-sndfile/2020-10-16/bodge-sndfile-stable-git.tgz";
      sha256 = "0chdasp4zvr5n34x037lhymh90wg5xwbpr5flwj8aw0cw2nlg485";
      system = "bodge-sndfile";
      asd = "bodge-sndfile";
    });
    systems = [ "bodge-sndfile" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bodge-libc-essentials" self) (getAttr "cffi" self) (getAttr "cffi-c-ref" self) (getAttr "claw" self) (getAttr "claw-utils" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bodge-utilities = (build-asdf-system {
    pname = "bodge-utilities";
    version = "stable-git";
    asds = [ "bodge-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bodge-utilities/2022-07-07/bodge-utilities-stable-git.tgz";
      sha256 = "0jmz7zb5ahg2kfd5nrh9nb7dda5szamjv7iv9skgcvf7rwn8qf0g";
      system = "bodge-utilities";
      asd = "bodge-utilities";
    });
    systems = [ "bodge-utilities" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "claw" self) (getAttr "dissect" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "split-sequence" self) (getAttr "static-vectors" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  boondoggle = (build-asdf-system {
    pname = "boondoggle";
    version = "v1.26.0";
    asds = [ "boondoggle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "boondoggle";
      asd = "boondoggle";
    });
    systems = [ "boondoggle" ];
    lispLibs = [ (getAttr "cl-quil" self) (getAttr "command-line-arguments" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  boondoggle-tests = (build-asdf-system {
    pname = "boondoggle-tests";
    version = "v1.26.0";
    asds = [ "boondoggle-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "boondoggle-tests";
      asd = "boondoggle-tests";
    });
    systems = [ "boondoggle-tests" ];
    lispLibs = [ (getAttr "boondoggle" self) (getAttr "cl-quil" self) (getAttr "fiasco" self) (getAttr "sapaclisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bordeaux-fft = (build-asdf-system {
    pname = "bordeaux-fft";
    version = "20150608-http";
    asds = [ "bordeaux-fft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bordeaux-fft/2015-06-08/bordeaux-fft-20150608-http.tgz";
      sha256 = "0kmz0wv34p8wixph5i6vj6p60xa48fflh9aq6kismlb0q4a1amp3";
      system = "bordeaux-fft";
      asd = "bordeaux-fft";
    });
    systems = [ "bordeaux-fft" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bordeaux-threads = (build-asdf-system {
    pname = "bordeaux-threads";
    version = "v0.9.1";
    asds = [ "bordeaux-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bordeaux-threads/2023-06-18/bordeaux-threads-v0.9.1.tgz";
      sha256 = "1jq29g6zqavjjkphi5h5n0zg58arzyy1zrhg5xsqj7nsbn9zxnmp";
      system = "bordeaux-threads";
      asd = "bordeaux-threads";
    });
    systems = [ "bordeaux-threads" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "global-vars" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  bourbaki = (build-asdf-system {
    pname = "bourbaki";
    version = "20110110-http";
    asds = [ "bourbaki" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bourbaki/2011-01-10/bourbaki-20110110-http.tgz";
      sha256 = "0d222kjk1h60467bkjpxglds3gykily5pyrnb45yvx86shkiv4lp";
      system = "bourbaki";
      asd = "bourbaki";
    });
    systems = [ "bourbaki" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bp = (build-asdf-system {
    pname = "bp";
    version = "20230618-git";
    asds = [ "bp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bp/2023-06-18/bp-20230618-git.tgz";
      sha256 = "1kzby017cfk430vbm0i2zlxwnnz56baxfy443jnab4l0436z7b4l";
      system = "bp";
      asd = "bp";
    });
    systems = [ "bp" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "cffi" self) (getAttr "ironclad" self) (getAttr "jsown" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bst = (build-asdf-system {
    pname = "bst";
    version = "20221106-git";
    asds = [ "bst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bst/2022-11-06/bst-20221106-git.tgz";
      sha256 = "0y052jf3gkqhb7rfx72961kg42dnqhmizk7cxlv87d1jr2906d1d";
      system = "bst";
      asd = "bst";
    });
    systems = [ "bst" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bt-semaphore = (build-asdf-system {
    pname = "bt-semaphore";
    version = "20180711-git";
    asds = [ "bt-semaphore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bt-semaphore/2018-07-11/bt-semaphore-20180711-git.tgz";
      sha256 = "0rl7yp36225z975hg069pywwlpchwn4086cgxwsi2db5mhghpr7l";
      system = "bt-semaphore";
      asd = "bt-semaphore";
    });
    systems = [ "bt-semaphore" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bt-semaphore-test = (build-asdf-system {
    pname = "bt-semaphore-test";
    version = "20180711-git";
    asds = [ "bt-semaphore-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bt-semaphore/2018-07-11/bt-semaphore-20180711-git.tgz";
      sha256 = "0rl7yp36225z975hg069pywwlpchwn4086cgxwsi2db5mhghpr7l";
      system = "bt-semaphore-test";
      asd = "bt-semaphore-test";
    });
    systems = [ "bt-semaphore-test" ];
    lispLibs = [ (getAttr "bt-semaphore" self) (getAttr "clunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  btrie = (build-asdf-system {
    pname = "btrie";
    version = "20140713-git";
    asds = [ "btrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/btrie/2014-07-13/btrie-20140713-git.tgz";
      sha256 = "0f1rs2zlpi2bcyba951h3cnyz2mfsxr2i6icmqbam5acqjdrmp30";
      system = "btrie";
      asd = "btrie";
    });
    systems = [ "btrie" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "lift" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  btrie-tests = (build-asdf-system {
    pname = "btrie-tests";
    version = "20140713-git";
    asds = [ "btrie-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/btrie/2014-07-13/btrie-20140713-git.tgz";
      sha256 = "0f1rs2zlpi2bcyba951h3cnyz2mfsxr2i6icmqbam5acqjdrmp30";
      system = "btrie-tests";
      asd = "btrie";
    });
    systems = [ "btrie-tests" ];
    lispLibs = [ (getAttr "btrie" self) (getAttr "lift" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bubble-operator-upwards = (build-asdf-system {
    pname = "bubble-operator-upwards";
    version = "1.0";
    asds = [ "bubble-operator-upwards" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bubble-operator-upwards/2012-11-25/bubble-operator-upwards-1.0.tgz";
      sha256 = "0hni8j17z3aqk67r3my1nkkjafaixvdm3cdmg89hb8hhgv0rm2x7";
      system = "bubble-operator-upwards";
      asd = "bubble-operator-upwards";
    });
    systems = [ "bubble-operator-upwards" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildapp = (build-asdf-system {
    pname = "buildapp";
    version = "1.5.6";
    asds = [ "buildapp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildapp/2015-12-18/buildapp-1.5.6.tgz";
      sha256 = "020ipjfqa3l8skd97cj5kq837wgpj28ygfxnkv64cnjrlbnzh161";
      system = "buildapp";
      asd = "buildapp";
    });
    systems = [ "buildapp" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildnode = (build-asdf-system {
    pname = "buildnode";
    version = "20170403-git";
    asds = [ "buildnode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode";
      asd = "buildnode";
    });
    systems = [ "buildnode" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "closure-html" self) (getAttr "collectors" self) (getAttr "cxml" self) (getAttr "flexi-streams" self) (getAttr "iterate" self) (getAttr "split-sequence" self) (getAttr "swank" self) (getAttr "symbol-munger" self) ];
    meta = {};
  });
  buildnode-excel = (build-asdf-system {
    pname = "buildnode-excel";
    version = "20170403-git";
    asds = [ "buildnode-excel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-excel";
      asd = "buildnode-excel";
    });
    systems = [ "buildnode-excel" ];
    lispLibs = [ (getAttr "buildnode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildnode-html5 = (build-asdf-system {
    pname = "buildnode-html5";
    version = "20170403-git";
    asds = [ "buildnode-html5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-html5";
      asd = "buildnode-html5";
    });
    systems = [ "buildnode-html5" ];
    lispLibs = [ (getAttr "buildnode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildnode-kml = (build-asdf-system {
    pname = "buildnode-kml";
    version = "20170403-git";
    asds = [ "buildnode-kml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-kml";
      asd = "buildnode-kml";
    });
    systems = [ "buildnode-kml" ];
    lispLibs = [ (getAttr "buildnode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildnode-test = (build-asdf-system {
    pname = "buildnode-test";
    version = "20170403-git";
    asds = [ "buildnode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-test";
      asd = "buildnode";
    });
    systems = [ "buildnode-test" ];
    lispLibs = [ (getAttr "buildnode" self) (getAttr "buildnode-xhtml" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  buildnode-xhtml = (build-asdf-system {
    pname = "buildnode-xhtml";
    version = "20170403-git";
    asds = [ "buildnode-xhtml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-xhtml";
      asd = "buildnode-xhtml";
    });
    systems = [ "buildnode-xhtml" ];
    lispLibs = [ (getAttr "buildnode" self) ];
    meta = {};
  });
  buildnode-xul = (build-asdf-system {
    pname = "buildnode-xul";
    version = "20170403-git";
    asds = [ "buildnode-xul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/buildnode/2017-04-03/buildnode-20170403-git.tgz";
      sha256 = "09pd3mkjd278dl1hq30mxh6m2iyyfha4byadyb9drw4n7ncnjggs";
      system = "buildnode-xul";
      asd = "buildnode-xul";
    });
    systems = [ "buildnode-xul" ];
    lispLibs = [ (getAttr "buildnode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  burgled-batteries = (build-asdf-system {
    pname = "burgled-batteries";
    version = "20160825-git";
    asds = [ "burgled-batteries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries/2016-08-25/burgled-batteries-20160825-git.tgz";
      sha256 = "080ff1yrmfb87pqq1jqr35djjkh3fh8i6cbhv3d1md5qy7hhgdaj";
      system = "burgled-batteries";
      asd = "burgled-batteries";
    });
    systems = [ "burgled-batteries" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "parse-declarations-1_dot_0" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  burgled-batteries-tests = (build-asdf-system {
    pname = "burgled-batteries-tests";
    version = "20160825-git";
    asds = [ "burgled-batteries-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries/2016-08-25/burgled-batteries-20160825-git.tgz";
      sha256 = "080ff1yrmfb87pqq1jqr35djjkh3fh8i6cbhv3d1md5qy7hhgdaj";
      system = "burgled-batteries-tests";
      asd = "burgled-batteries-tests";
    });
    systems = [ "burgled-batteries-tests" ];
    lispLibs = [ (getAttr "burgled-batteries" self) (getAttr "cl-quickcheck" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  burgled-batteries_dot_syntax = (build-asdf-system {
    pname = "burgled-batteries.syntax";
    version = "20210531-git";
    asds = [ "burgled-batteries.syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries.syntax/2021-05-31/burgled-batteries.syntax-20210531-git.tgz";
      sha256 = "1hx8w74cgx1qbk6r2p7lzygjqxs5mzxh7w73zrmdibny64akir9a";
      system = "burgled-batteries.syntax";
      asd = "burgled-batteries.syntax";
    });
    systems = [ "burgled-batteries.syntax" ];
    lispLibs = [ (getAttr "burgled-batteries" self) (getAttr "esrap" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  burgled-batteries_dot_syntax-test = (build-asdf-system {
    pname = "burgled-batteries.syntax-test";
    version = "20210531-git";
    asds = [ "burgled-batteries.syntax-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/burgled-batteries.syntax/2021-05-31/burgled-batteries.syntax-20210531-git.tgz";
      sha256 = "1hx8w74cgx1qbk6r2p7lzygjqxs5mzxh7w73zrmdibny64akir9a";
      system = "burgled-batteries.syntax-test";
      asd = "burgled-batteries.syntax-test";
    });
    systems = [ "burgled-batteries.syntax-test" ];
    lispLibs = [ (getAttr "burgled-batteries_dot_syntax" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bus = (build-asdf-system {
    pname = "bus";
    version = "master-5b2475f9-git";
    asds = [ "bus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "bus";
      asd = "bus";
    });
    systems = [ "bus" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bytecurry_dot_asdf-ext = (build-asdf-system {
    pname = "bytecurry.asdf-ext";
    version = "20150505-git";
    asds = [ "bytecurry.asdf-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bytecurry.asdf-ext/2015-05-05/bytecurry.asdf-ext-20150505-git.tgz";
      sha256 = "07w2lz9mq35sgzzvmz9084l1sia40zkhlvfblkpzxfwyzr6cxrxa";
      system = "bytecurry.asdf-ext";
      asd = "bytecurry.asdf-ext";
    });
    systems = [ "bytecurry.asdf-ext" ];
    lispLibs = [ (getAttr "asdf-package-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  bytecurry_dot_mocks = (build-asdf-system {
    pname = "bytecurry.mocks";
    version = "20200325-git";
    asds = [ "bytecurry.mocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bytecurry.mocks/2020-03-25/bytecurry.mocks-20200325-git.tgz";
      sha256 = "0md2j6iggmfm1v7nzcmz7f0xy2jxrsg77iszpisdzmwnijfy8ks0";
      system = "bytecurry.mocks";
      asd = "bytecurry.mocks";
    });
    systems = [ "bytecurry.mocks" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "bytecurry_dot_asdf-ext" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  c2ffi-blob = (build-asdf-system {
    pname = "c2ffi-blob";
    version = "stable-git";
    asds = [ "c2ffi-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/c2ffi-blob/2020-10-16/c2ffi-blob-stable-git.tgz";
      sha256 = "1rk89nycdvcb4a50zm3wdmrbz8w5xk4jgvjg2wib1dnslwnwdivc";
      system = "c2ffi-blob";
      asd = "c2ffi-blob";
    });
    systems = [ "c2ffi-blob" ];
    lispLibs = [ (getAttr "claw-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacau = (build-asdf-system {
    pname = "cacau";
    version = "20200610-git";
    asds = [ "cacau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau";
      asd = "cacau";
    });
    systems = [ "cacau" ];
    lispLibs = [ (getAttr "assertion-error" self) (getAttr "eventbus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacau-asdf = (build-asdf-system {
    pname = "cacau-asdf";
    version = "20200610-git";
    asds = [ "cacau-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-asdf";
      asd = "cacau-asdf";
    });
    systems = [ "cacau-asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacau-examples-asdf-integration = (build-asdf-system {
    pname = "cacau-examples-asdf-integration";
    version = "20200610-git";
    asds = [ "cacau-examples-asdf-integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-examples-asdf-integration";
      asd = "cacau-examples-asdf-integration";
    });
    systems = [ "cacau-examples-asdf-integration" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacau-examples-asdf-integration-test = (build-asdf-system {
    pname = "cacau-examples-asdf-integration-test";
    version = "20200610-git";
    asds = [ "cacau-examples-asdf-integration-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-examples-asdf-integration-test";
      asd = "cacau-examples-asdf-integration-test";
    });
    systems = [ "cacau-examples-asdf-integration-test" ];
    lispLibs = [ (getAttr "assert-p" self) (getAttr "cacau" self) (getAttr "cacau-asdf" self) (getAttr "cacau-examples-asdf-integration" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacau-test = (build-asdf-system {
    pname = "cacau-test";
    version = "20200610-git";
    asds = [ "cacau-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacau/2020-06-10/cacau-20200610-git.tgz";
      sha256 = "0m8v1xw68cr5ldv045rxgvnhigr4iahh7v6v32z6xlq2sj6r55x0";
      system = "cacau-test";
      asd = "cacau-test";
    });
    systems = [ "cacau-test" ];
    lispLibs = [ (getAttr "assert-p" self) (getAttr "cacau" self) (getAttr "cacau-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cache-while = (build-asdf-system {
    pname = "cache-while";
    version = "20210807-git";
    asds = [ "cache-while" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cache-while/2021-08-07/cache-while-20210807-git.tgz";
      sha256 = "1qil68rfn5irmkb0jk1f6g1zy80wgc3skl8cr4rfgh7ywgm5izx3";
      system = "cache-while";
      asd = "cache-while";
    });
    systems = [ "cache-while" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cacle = (build-asdf-system {
    pname = "cacle";
    version = "20190521-git";
    asds = [ "cacle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cacle/2019-05-21/cacle-20190521-git.tgz";
      sha256 = "0h0dk0sfkfl8g0sbrs76ydb9l4znssqhx8nc5k1sg7zxpni5a4qy";
      system = "cacle";
      asd = "cacle";
    });
    systems = [ "cacle" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  calispel = (build-asdf-system {
    pname = "calispel";
    version = "20170830-git";
    asds = [ "calispel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/calispel/2017-08-30/calispel-20170830-git.tgz";
      sha256 = "08bmf3pi7n5hadpmqqkg65cxcj6kbvm997wcs1f53ml1nb79d9z8";
      system = "calispel";
      asd = "calispel";
    });
    systems = [ "calispel" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "jpl-queues" self) (getAttr "jpl-util" self) ];
    meta = {};
  });
  calispel-test = (build-asdf-system {
    pname = "calispel-test";
    version = "20170830-git";
    asds = [ "calispel-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/calispel/2017-08-30/calispel-20170830-git.tgz";
      sha256 = "08bmf3pi7n5hadpmqqkg65cxcj6kbvm997wcs1f53ml1nb79d9z8";
      system = "calispel-test";
      asd = "calispel";
    });
    systems = [ "calispel-test" ];
    lispLibs = [ (getAttr "calispel" self) (getAttr "eager-future2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cambl = (build-asdf-system {
    pname = "cambl";
    version = "20181210-git";
    asds = [ "cambl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "cambl";
      asd = "cambl";
    });
    systems = [ "cambl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-containers" self) (getAttr "fprog" self) (getAttr "local-time" self) (getAttr "periods" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cambl-test = (build-asdf-system {
    pname = "cambl-test";
    version = "20181210-git";
    asds = [ "cambl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "cambl-test";
      asd = "cambl-test";
    });
    systems = [ "cambl-test" ];
    lispLibs = [ (getAttr "cambl" self) (getAttr "xlunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  camera-matrix = (build-asdf-system {
    pname = "camera-matrix";
    version = "20200427-git";
    asds = [ "camera-matrix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "camera-matrix";
      asd = "camera-matrix";
    });
    systems = [ "camera-matrix" ];
    lispLibs = [ (getAttr "nsb-cga" self) (getAttr "uncommon-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  can = (build-asdf-system {
    pname = "can";
    version = "20180328-git";
    asds = [ "can" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/can/2018-03-28/can-20180328-git.tgz";
      sha256 = "0m3lqc56aw46cj2z379a19fh7f1h0vaxn78xpvbxq3bwar46jzqh";
      system = "can";
      asd = "can";
    });
    systems = [ "can" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  can-test = (build-asdf-system {
    pname = "can-test";
    version = "20180328-git";
    asds = [ "can-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/can/2018-03-28/can-20180328-git.tgz";
      sha256 = "0m3lqc56aw46cj2z379a19fh7f1h0vaxn78xpvbxq3bwar46jzqh";
      system = "can-test";
      asd = "can-test";
    });
    systems = [ "can-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "can" self) (getAttr "mito" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  canonicalized-initargs = (build-asdf-system {
    pname = "canonicalized-initargs";
    version = "2.0";
    asds = [ "canonicalized-initargs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/canonicalized-initargs/2021-04-11/canonicalized-initargs_2.0.tgz";
      sha256 = "0jmmjw86x9mmlfla4kdmdqf1fjrj0p2fmv1lc4k555mcf67mj2fq";
      system = "canonicalized-initargs";
      asd = "canonicalized-initargs";
    });
    systems = [ "canonicalized-initargs" ];
    lispLibs = [ (getAttr "cesdi" self) (getAttr "closer-mop" self) (getAttr "compatible-metaclasses" self) (getAttr "enhanced-defclass" self) (getAttr "enhanced-typep" self) (getAttr "object-class" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  canonicalized-initargs__tests = (build-asdf-system {
    pname = "canonicalized-initargs_tests";
    version = "2.0";
    asds = [ "canonicalized-initargs_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/canonicalized-initargs/2021-04-11/canonicalized-initargs_2.0.tgz";
      sha256 = "0jmmjw86x9mmlfla4kdmdqf1fjrj0p2fmv1lc4k555mcf67mj2fq";
      system = "canonicalized-initargs_tests";
      asd = "canonicalized-initargs_tests";
    });
    systems = [ "canonicalized-initargs_tests" ];
    lispLibs = [ (getAttr "canonicalized-initargs" self) (getAttr "enhanced-boolean" self) (getAttr "enhanced-eval-when" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  capstone = (build-asdf-system {
    pname = "capstone";
    version = "20220331-git";
    asds = [ "capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-capstone/2022-03-31/cl-capstone-20220331-git.tgz";
      sha256 = "1jbhp1sf7mr6yrqkdyjl93m1dl901ka6gkgdj20nv2bgp400ycmp";
      system = "capstone";
      asd = "capstone";
    });
    systems = [ "capstone" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "gt" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caramel = (build-asdf-system {
    pname = "caramel";
    version = "20130420-git";
    asds = [ "caramel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caramel/2013-04-20/caramel-20130420-git.tgz";
      sha256 = "08kyjxd8hyk5xnnq0p0w4aqpvisv278h38pqjkz04a032dn5b87a";
      system = "caramel";
      asd = "caramel";
    });
    systems = [ "caramel" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "buildnode" self) (getAttr "closure-html" self) (getAttr "css-selectors" self) (getAttr "cxml" self) (getAttr "cxml-dom" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cardioex = (build-asdf-system {
    pname = "cardioex";
    version = "20211020-git";
    asds = [ "cardioex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cardiogram/2021-10-20/cardiogram-20211020-git.tgz";
      sha256 = "08kqcj3c4vkx5s6ba9m67xh7w7paaavp2ds072crp1x7pjkh4n5i";
      system = "cardioex";
      asd = "cardioex";
    });
    systems = [ "cardioex" ];
    lispLibs = [ (getAttr "cardiogram" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cardiogram = (build-asdf-system {
    pname = "cardiogram";
    version = "20211020-git";
    asds = [ "cardiogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cardiogram/2021-10-20/cardiogram-20211020-git.tgz";
      sha256 = "08kqcj3c4vkx5s6ba9m67xh7w7paaavp2ds072crp1x7pjkh4n5i";
      system = "cardiogram";
      asd = "cardiogram";
    });
    systems = [ "cardiogram" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cari3s = (build-asdf-system {
    pname = "cari3s";
    version = "20230618-git";
    asds = [ "cari3s" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cari3s/2023-06-18/cari3s-20230618-git.tgz";
      sha256 = "1flfb606fm61bnng47qhrksjsg70wsgszq1bxac9h8vix7mpc5jk";
      system = "cari3s";
      asd = "cari3s";
    });
    systems = [ "cari3s" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "closer-mop" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "documentation-utils" self) (getAttr "drakma" self) (getAttr "pango-markup" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  carrier = (build-asdf-system {
    pname = "carrier";
    version = "20181210-git";
    asds = [ "carrier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/carrier/2018-12-10/carrier-20181210-git.tgz";
      sha256 = "1xry7alc9x86y1g5k417vhvlgkwgfrl80zpsyfdwdsz7hrwff41d";
      system = "carrier";
      asd = "carrier";
    });
    systems = [ "carrier" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "blackbird" self) (getAttr "cl-async" self) (getAttr "cl-async-ssl" self) (getAttr "cl-cookie" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cartesian-product-switch = (build-asdf-system {
    pname = "cartesian-product-switch";
    version = "2.0";
    asds = [ "cartesian-product-switch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cartesian-product-switch/2012-09-09/cartesian-product-switch-2.0.tgz";
      sha256 = "18cxslj2753k6h666j0mmzg0h0z9l6ddi24gqls6h5d5svd7l3xk";
      system = "cartesian-product-switch";
      asd = "cartesian-product-switch";
    });
    systems = [ "cartesian-product-switch" ];
    lispLibs = [ (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman-middleware-dbimanager = (build-asdf-system {
    pname = "caveman-middleware-dbimanager";
    version = "20221106-git";
    asds = [ "caveman-middleware-dbimanager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman-middleware-dbimanager";
      asd = "caveman-middleware-dbimanager";
    });
    systems = [ "caveman-middleware-dbimanager" ];
    lispLibs = [ (getAttr "dbi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2 = (build-asdf-system {
    pname = "caveman2";
    version = "20221106-git";
    asds = [ "caveman2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2";
      asd = "caveman2";
    });
    systems = [ "caveman2" ];
    lispLibs = [ (getAttr "cl-project" self) (getAttr "cl-syntax-annot" self) (getAttr "dbi" self) (getAttr "lack-request" self) (getAttr "lack-response" self) (getAttr "myway" self) (getAttr "ningle" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-db = (build-asdf-system {
    pname = "caveman2-db";
    version = "20221106-git";
    asds = [ "caveman2-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2-db";
      asd = "caveman2-db";
    });
    systems = [ "caveman2-db" ];
    lispLibs = [ (getAttr "caveman-middleware-dbimanager" self) (getAttr "dbi" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-test = (build-asdf-system {
    pname = "caveman2-test";
    version = "20221106-git";
    asds = [ "caveman2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman/2022-11-06/caveman-20221106-git.tgz";
      sha256 = "041i1g78cn6mjv8ba4bylw57f3px2rp5a0jnj17rwkfhfcvc76md";
      system = "caveman2-test";
      asd = "caveman2-test";
    });
    systems = [ "caveman2-test" ];
    lispLibs = [ (getAttr "caveman2" self) (getAttr "dexador" self) (getAttr "lack-component" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-types" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-widgets = (build-asdf-system {
    pname = "caveman2-widgets";
    version = "20180228-git";
    asds = [ "caveman2-widgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets/2018-02-28/caveman2-widgets-20180228-git.tgz";
      sha256 = "1rzb868m3f28z1hcr3nzlprgqqq1kwg3qyh24p36fv76b4g96wkq";
      system = "caveman2-widgets";
      asd = "caveman2-widgets";
    });
    systems = [ "caveman2-widgets" ];
    lispLibs = [ (getAttr "caveman2" self) (getAttr "moptilities" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-widgets-bootstrap = (build-asdf-system {
    pname = "caveman2-widgets-bootstrap";
    version = "20180228-git";
    asds = [ "caveman2-widgets-bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets-bootstrap/2018-02-28/caveman2-widgets-bootstrap-20180228-git.tgz";
      sha256 = "1xh3x7r7givxxyrkh4ngx098s35qz98gcz7yjyf4dp0psfkk65xj";
      system = "caveman2-widgets-bootstrap";
      asd = "caveman2-widgets-bootstrap";
    });
    systems = [ "caveman2-widgets-bootstrap" ];
    lispLibs = [ (getAttr "caveman2" self) (getAttr "caveman2-widgets" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-widgets-bootstrap-test = (build-asdf-system {
    pname = "caveman2-widgets-bootstrap-test";
    version = "20180228-git";
    asds = [ "caveman2-widgets-bootstrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets-bootstrap/2018-02-28/caveman2-widgets-bootstrap-20180228-git.tgz";
      sha256 = "1xh3x7r7givxxyrkh4ngx098s35qz98gcz7yjyf4dp0psfkk65xj";
      system = "caveman2-widgets-bootstrap-test";
      asd = "caveman2-widgets-bootstrap-test";
    });
    systems = [ "caveman2-widgets-bootstrap-test" ];
    lispLibs = [ (getAttr "caveman2-widgets-bootstrap" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  caveman2-widgets-test = (build-asdf-system {
    pname = "caveman2-widgets-test";
    version = "20180228-git";
    asds = [ "caveman2-widgets-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/caveman2-widgets/2018-02-28/caveman2-widgets-20180228-git.tgz";
      sha256 = "1rzb868m3f28z1hcr3nzlprgqqq1kwg3qyh24p36fv76b4g96wkq";
      system = "caveman2-widgets-test";
      asd = "caveman2-widgets-test";
    });
    systems = [ "caveman2-widgets-test" ];
    lispLibs = [ (getAttr "caveman2-widgets" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cblas = (build-asdf-system {
    pname = "cblas";
    version = "20221106-git";
    asds = [ "cblas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cblas/2022-11-06/cl-cblas-20221106-git.tgz";
      sha256 = "1bd2w51r71pgm6sc6m2fms4j1bbnli023j4w3rbxw9cln0g7badp";
      system = "cblas";
      asd = "cblas";
    });
    systems = [ "cblas" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-autowrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ccl-compat = (build-asdf-system {
    pname = "ccl-compat";
    version = "20171130-git";
    asds = [ "ccl-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccl-compat/2017-11-30/ccl-compat-20171130-git.tgz";
      sha256 = "15402373wprmyx4l7zgpv64vj3c11xvxnnpzqbmq4j6rljpb40da";
      system = "ccl-compat";
      asd = "ccl-compat";
    });
    systems = [ "ccl-compat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ccldoc = (build-asdf-system {
    pname = "ccldoc";
    version = "20200427-git";
    asds = [ "ccldoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccldoc/2020-04-27/ccldoc-20200427-git.tgz";
      sha256 = "0pxjk07drvxrk65g46lbpz2y0xgxgn04k6yvirl0hk2dry0myinp";
      system = "ccldoc";
      asd = "ccldoc";
    });
    systems = [ "ccldoc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "ccl-compat" self) (getAttr "cl-who" self) (getAttr "s-xml" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ccldoc-libraries = (build-asdf-system {
    pname = "ccldoc-libraries";
    version = "20200427-git";
    asds = [ "ccldoc-libraries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ccldoc/2020-04-27/ccldoc-20200427-git.tgz";
      sha256 = "0pxjk07drvxrk65g46lbpz2y0xgxgn04k6yvirl0hk2dry0myinp";
      system = "ccldoc-libraries";
      asd = "ccldoc-libraries";
    });
    systems = [ "ccldoc-libraries" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "s-xml" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cells = (build-asdf-system {
    pname = "cells";
    version = "20230618-git";
    asds = [ "cells" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cells/2023-06-18/cells-20230618-git.tgz";
      sha256 = "1mh14g8x2mpb8qdngqxgnkawqbv4xxxr3bgn01jm5d6c8jn6ph3f";
      system = "cells";
      asd = "cells";
    });
    systems = [ "cells" ];
    lispLibs = [ (getAttr "utils-kt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cells-test = (build-asdf-system {
    pname = "cells-test";
    version = "20230618-git";
    asds = [ "cells-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cells/2023-06-18/cells-20230618-git.tgz";
      sha256 = "1mh14g8x2mpb8qdngqxgnkawqbv4xxxr3bgn01jm5d6c8jn6ph3f";
      system = "cells-test";
      asd = "cells-test";
    });
    systems = [ "cells-test" ];
    lispLibs = [ (getAttr "cells" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cephes = (build-asdf-system {
    pname = "cephes";
    version = "20221106-git";
    asds = [ "cephes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cephes.cl/2022-11-06/cephes.cl-20221106-git.tgz";
      sha256 = "07krprq23i9ncdkdq69lsvzswshhrfmjds4sk1kgicjxhm37l25h";
      system = "cephes";
      asd = "cephes";
    });
    systems = [ "cephes" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl = (build-asdf-system {
    pname = "cepl";
    version = "release-quicklisp-d1a10b6c-git";
    asds = [ "cepl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl/2021-02-28/cepl-release-quicklisp-d1a10b6c-git.tgz";
      sha256 = "0izbw2advqm3wailj3dpq6zqfrfirwn14pw5qmqh8i71r51xwmm2";
      system = "cepl";
      asd = "cepl";
    });
    systems = [ "cepl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cepl_dot_build" self) (getAttr "cffi" self) (getAttr "cl-opengl" self) (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "float-features" self) (getAttr "ieee-floats" self) (getAttr "split-sequence" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_build = (build-asdf-system {
    pname = "cepl.build";
    version = "release-quicklisp-d1a10b6c-git";
    asds = [ "cepl.build" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl/2021-02-28/cepl-release-quicklisp-d1a10b6c-git.tgz";
      sha256 = "0izbw2advqm3wailj3dpq6zqfrfirwn14pw5qmqh8i71r51xwmm2";
      system = "cepl.build";
      asd = "cepl.build";
    });
    systems = [ "cepl.build" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_camera = (build-asdf-system {
    pname = "cepl.camera";
    version = "release-quicklisp-1292212a-git";
    asds = [ "cepl.camera" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.camera/2018-02-28/cepl.camera-release-quicklisp-1292212a-git.tgz";
      sha256 = "0z73f95bxr2vn47g8qrvf9gzy1my25mkg7hl7kpib21yahfpzzvb";
      system = "cepl.camera";
      asd = "cepl.camera";
    });
    systems = [ "cepl.camera" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "cepl_dot_spaces" self) (getAttr "rtg-math" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_devil = (build-asdf-system {
    pname = "cepl.devil";
    version = "release-quicklisp-ea5f8514-git";
    asds = [ "cepl.devil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.devil/2018-02-28/cepl.devil-release-quicklisp-ea5f8514-git.tgz";
      sha256 = "1b64vfjchkwppcp3j4krwx2x9nj29llisqy1yc9ncbnmi9xs38a0";
      system = "cepl.devil";
      asd = "cepl.devil";
    });
    systems = [ "cepl.devil" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "cl-devil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_drm-gbm = (build-asdf-system {
    pname = "cepl.drm-gbm";
    version = "20190521-git";
    asds = [ "cepl.drm-gbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.drm-gbm/2019-05-21/cepl.drm-gbm-20190521-git.tgz";
      sha256 = "00csd2f6z13rjqipaf02w87phn2xynmzf1jcrrshbibs204m4nmy";
      system = "cepl.drm-gbm";
      asd = "cepl.drm-gbm";
    });
    systems = [ "cepl.drm-gbm" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "cl-drm" self) (getAttr "cl-egl" self) (getAttr "cl-gbm" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_glop = (build-asdf-system {
    pname = "cepl.glop";
    version = "release-quicklisp-8ec09801-git";
    asds = [ "cepl.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.glop/2018-02-28/cepl.glop-release-quicklisp-8ec09801-git.tgz";
      sha256 = "1dq727v2s22yna6ycxxs79pg13b0cyh1lfrk6hsb6vizgiks20jw";
      system = "cepl.glop";
      asd = "cepl.glop";
    });
    systems = [ "cepl.glop" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "glop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_sdl2 = (build-asdf-system {
    pname = "cepl.sdl2";
    version = "release-quicklisp-6da5a030-git";
    asds = [ "cepl.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2/2018-02-28/cepl.sdl2-release-quicklisp-6da5a030-git.tgz";
      sha256 = "0lz8yxm1g2ch0w779lhrs2xkfciy3iz6viz7cdgyd2824isvinjf";
      system = "cepl.sdl2";
      asd = "cepl.sdl2";
    });
    systems = [ "cepl.sdl2" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_sdl2-image = (build-asdf-system {
    pname = "cepl.sdl2-image";
    version = "release-quicklisp-94a77649-git";
    asds = [ "cepl.sdl2-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2-image/2018-02-28/cepl.sdl2-image-release-quicklisp-94a77649-git.tgz";
      sha256 = "16dzjk2q658xr1v9rk2iny70rjhxbgi4lcp59s5mkdfs2k3a2637";
      system = "cepl.sdl2-image";
      asd = "cepl.sdl2-image";
    });
    systems = [ "cepl.sdl2-image" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "sdl2" self) (getAttr "sdl2-image" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_sdl2-ttf = (build-asdf-system {
    pname = "cepl.sdl2-ttf";
    version = "release-quicklisp-11b498a3-git";
    asds = [ "cepl.sdl2-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.sdl2-ttf/2018-01-31/cepl.sdl2-ttf-release-quicklisp-11b498a3-git.tgz";
      sha256 = "1fxj3rdv2rlyks00h18dpd42xywgnydgyvb1s4d67hjk7fl19a5p";
      system = "cepl.sdl2-ttf";
      asd = "cepl.sdl2-ttf";
    });
    systems = [ "cepl.sdl2-ttf" ];
    lispLibs = [ (getAttr "cepl_dot_sdl2" self) (getAttr "rtg-math" self) (getAttr "sdl2-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_skitter_dot_glop = (build-asdf-system {
    pname = "cepl.skitter.glop";
    version = "release-quicklisp-f52b9240-git";
    asds = [ "cepl.skitter.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.skitter/2018-02-28/cepl.skitter-release-quicklisp-f52b9240-git.tgz";
      sha256 = "1xz53q8klzrd7cr586jd16pypxgpy68vlvfirqhlv6jc7k99sjvs";
      system = "cepl.skitter.glop";
      asd = "cepl.skitter.glop";
    });
    systems = [ "cepl.skitter.glop" ];
    lispLibs = [ (getAttr "cepl_dot_glop" self) (getAttr "skitter_dot_glop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_skitter_dot_sdl2 = (build-asdf-system {
    pname = "cepl.skitter.sdl2";
    version = "release-quicklisp-f52b9240-git";
    asds = [ "cepl.skitter.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.skitter/2018-02-28/cepl.skitter-release-quicklisp-f52b9240-git.tgz";
      sha256 = "1xz53q8klzrd7cr586jd16pypxgpy68vlvfirqhlv6jc7k99sjvs";
      system = "cepl.skitter.sdl2";
      asd = "cepl.skitter.sdl2";
    });
    systems = [ "cepl.skitter.sdl2" ];
    lispLibs = [ (getAttr "cepl_dot_sdl2" self) (getAttr "skitter_dot_sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cepl_dot_spaces = (build-asdf-system {
    pname = "cepl.spaces";
    version = "release-quicklisp-c7f83f26-git";
    asds = [ "cepl.spaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cepl.spaces/2018-03-28/cepl.spaces-release-quicklisp-c7f83f26-git.tgz";
      sha256 = "0z74ipd4j2spjwl6h625azdczpds3v44iin77q685ldx9rwx3k8y";
      system = "cepl.spaces";
      asd = "cepl.spaces";
    });
    systems = [ "cepl.spaces" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "documentation-utils" self) (getAttr "fn" self) (getAttr "rtg-math" self) (getAttr "rtg-math_dot_vari" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ceramic = (build-asdf-system {
    pname = "ceramic";
    version = "20210807-git";
    asds = [ "ceramic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ceramic/2021-08-07/ceramic-20210807-git.tgz";
      sha256 = "0hd553gj4cwmli45pfwhqpz7sg6kzn31iv8akaxr5ba3hssa1aap";
      system = "ceramic";
      asd = "ceramic";
    });
    systems = [ "ceramic" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "clack-handler-hunchentoot" self) (getAttr "copy-directory" self) (getAttr "electron-tools" self) (getAttr "external-program" self) (getAttr "remote-js" self) (getAttr "trivial-build" self) (getAttr "trivial-compress" self) (getAttr "trivial-download" self) (getAttr "trivial-exe" self) (getAttr "trivial-extract" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ceramic-test-app = (build-asdf-system {
    pname = "ceramic-test-app";
    version = "20210807-git";
    asds = [ "ceramic-test-app" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ceramic/2021-08-07/ceramic-20210807-git.tgz";
      sha256 = "0hd553gj4cwmli45pfwhqpz7sg6kzn31iv8akaxr5ba3hssa1aap";
      system = "ceramic-test-app";
      asd = "ceramic-test-app";
    });
    systems = [ "ceramic-test-app" ];
    lispLibs = [ (getAttr "ceramic" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cerberus = (build-asdf-system {
    pname = "cerberus";
    version = "20221106-git";
    asds = [ "cerberus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cerberus/2022-11-06/cerberus-20221106-git.tgz";
      sha256 = "04yi0wqykx5v8drdw7ln382gxdklv60mg4aqrxg2j5wlsyacs0kb";
      system = "cerberus";
      asd = "cerberus";
    });
    systems = [ "cerberus" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "flexi-streams" self) (getAttr "glass" self) (getAttr "ironclad" self) (getAttr "nibbles" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cerberus-kdc = (build-asdf-system {
    pname = "cerberus-kdc";
    version = "20221106-git";
    asds = [ "cerberus-kdc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cerberus/2022-11-06/cerberus-20221106-git.tgz";
      sha256 = "04yi0wqykx5v8drdw7ln382gxdklv60mg4aqrxg2j5wlsyacs0kb";
      system = "cerberus-kdc";
      asd = "cerberus";
    });
    systems = [ "cerberus-kdc" ];
    lispLibs = [ (getAttr "cerberus" self) (getAttr "frpc" self) (getAttr "pounds" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cesdi = (build-asdf-system {
    pname = "cesdi";
    version = "1.0.1";
    asds = [ "cesdi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cesdi/2020-07-15/cesdi_1.0.1.tgz";
      sha256 = "02f2pz5rw79ljkkx1ywh8nkpjj4g3z3s1lyvzqb8krbnx11wl0q9";
      system = "cesdi";
      asd = "cesdi";
    });
    systems = [ "cesdi" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cesdi__tests = (build-asdf-system {
    pname = "cesdi_tests";
    version = "1.0.1";
    asds = [ "cesdi_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cesdi/2020-07-15/cesdi_1.0.1.tgz";
      sha256 = "02f2pz5rw79ljkkx1ywh8nkpjj4g3z3s1lyvzqb8krbnx11wl0q9";
      system = "cesdi_tests";
      asd = "cesdi_tests";
    });
    systems = [ "cesdi_tests" ];
    lispLibs = [ (getAttr "cesdi" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cffi = (build-asdf-system {
    pname = "cffi";
    version = "20230618-git";
    asds = [ "cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi";
      asd = "cffi";
    });
    systems = [ "cffi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  cffi-c-ref = (build-asdf-system {
    pname = "cffi-c-ref";
    version = "stable-git";
    asds = [ "cffi-c-ref" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi-c-ref/2020-10-16/cffi-c-ref-stable-git.tgz";
      sha256 = "1a3pp6xcisabqir3rp1gvvjfdxcvpm8yr35p38nri9azsinmmc7z";
      system = "cffi-c-ref";
      asd = "cffi-c-ref";
    });
    systems = [ "cffi-c-ref" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cffi-examples = (build-asdf-system {
    pname = "cffi-examples";
    version = "20230618-git";
    asds = [ "cffi-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-examples";
      asd = "cffi-examples";
    });
    systems = [ "cffi-examples" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cffi-grovel = (build-asdf-system {
    pname = "cffi-grovel";
    version = "20230618-git";
    asds = [ "cffi-grovel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-grovel";
      asd = "cffi-grovel";
    });
    systems = [ "cffi-grovel" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-toolchain" self) ];
    meta = {};
  });
  cffi-libffi = (build-asdf-system {
    pname = "cffi-libffi";
    version = "20230618-git";
    asds = [ "cffi-libffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-libffi";
      asd = "cffi-libffi";
    });
    systems = [ "cffi-libffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cffi-tests = (build-asdf-system {
    pname = "cffi-tests";
    version = "20230618-git";
    asds = [ "cffi-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-tests";
      asd = "cffi-tests";
    });
    systems = [ "cffi-tests" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi-grovel" self) (getAttr "cffi-libffi" self) (getAttr "rt" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cffi-toolchain = (build-asdf-system {
    pname = "cffi-toolchain";
    version = "20230618-git";
    asds = [ "cffi-toolchain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-toolchain";
      asd = "cffi-toolchain";
    });
    systems = [ "cffi-toolchain" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  cffi-uffi-compat = (build-asdf-system {
    pname = "cffi-uffi-compat";
    version = "20230618-git";
    asds = [ "cffi-uffi-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cffi/2023-06-18/cffi-20230618-git.tgz";
      sha256 = "0kjcfkpj31qqbnri23rcbp41f3b5m3cdp630prhb37wiyy3ascyz";
      system = "cffi-uffi-compat";
      asd = "cffi-uffi-compat";
    });
    systems = [ "cffi-uffi-compat" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  chain = (build-asdf-system {
    pname = "chain";
    version = "20211209-git";
    asds = [ "chain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chain/2021-12-09/chain-20211209-git.tgz";
      sha256 = "0x8b2cbp1xq61fpbk0mqwbksnfynlgai3782rafsywka8rgfhmjh";
      system = "chain";
      asd = "chain";
    });
    systems = [ "chain" ];
    lispLibs = [ (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chameleon = (build-asdf-system {
    pname = "chameleon";
    version = "v2.1.1";
    asds = [ "chameleon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chameleon/2022-02-20/chameleon-v2.1.1.tgz";
      sha256 = "1bqminvhx3hlqzxvy2a105gm9d2dxl5cy6ls5rm9wmkvw7gyza6c";
      system = "chameleon";
      asd = "chameleon";
    });
    systems = [ "chameleon" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chancery = (build-asdf-system {
    pname = "chancery";
    version = "20201016-hg";
    asds = [ "chancery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chancery/2020-10-16/chancery-20201016-hg.tgz";
      sha256 = "1g0jgrih7q14gizy481j9z2s15pmv6iwymnpddbyqfja9miv61lw";
      system = "chancery";
      asd = "chancery";
    });
    systems = [ "chancery" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chancery_dot_test = (build-asdf-system {
    pname = "chancery.test";
    version = "20201016-hg";
    asds = [ "chancery.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chancery/2020-10-16/chancery-20201016-hg.tgz";
      sha256 = "1g0jgrih7q14gizy481j9z2s15pmv6iwymnpddbyqfja9miv61lw";
      system = "chancery.test";
      asd = "chancery.test";
    });
    systems = [ "chancery.test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "chancery" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  changed-stream = (build-asdf-system {
    pname = "changed-stream";
    version = "20130128-git";
    asds = [ "changed-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/changed-stream/2013-01-28/changed-stream-20130128-git.tgz";
      sha256 = "1cll7xclg9jr55swhi3g6z567bxvb9kmljh67091xazcfacz732i";
      system = "changed-stream";
      asd = "changed-stream";
    });
    systems = [ "changed-stream" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  changed-stream_dot_test = (build-asdf-system {
    pname = "changed-stream.test";
    version = "20130128-git";
    asds = [ "changed-stream.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/changed-stream/2013-01-28/changed-stream-20130128-git.tgz";
      sha256 = "1cll7xclg9jr55swhi3g6z567bxvb9kmljh67091xazcfacz732i";
      system = "changed-stream.test";
      asd = "changed-stream.test";
    });
    systems = [ "changed-stream.test" ];
    lispLibs = [ (getAttr "changed-stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chanl = (build-asdf-system {
    pname = "chanl";
    version = "20230618-git";
    asds = [ "chanl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chanl/2023-06-18/chanl-20230618-git.tgz";
      sha256 = "1z9lh7yqkbd5cn2zk5jwrlx1cz1mcz3mrk19wpjxi04x681ib1j5";
      system = "chanl";
      asd = "chanl";
    });
    systems = [ "chanl" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  character-modifier-bits = (build-asdf-system {
    pname = "character-modifier-bits";
    version = "20200427-git";
    asds = [ "character-modifier-bits" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "character-modifier-bits";
      asd = "character-modifier-bits";
    });
    systems = [ "character-modifier-bits" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cheat-js = (build-asdf-system {
    pname = "cheat-js";
    version = "20121013-git";
    asds = [ "cheat-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cheat-js/2012-10-13/cheat-js-20121013-git.tgz";
      sha256 = "1h73kx0iii4y4gslz6f8kvf980bnypsras6xj38apm0fcwm93w03";
      system = "cheat-js";
      asd = "cheat-js";
    });
    systems = [ "cheat-js" ];
    lispLibs = [ (getAttr "cl-uglify-js" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  check-bnf = (build-asdf-system {
    pname = "check-bnf";
    version = "20220707-git";
    asds = [ "check-bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-bnf/2022-07-07/check-bnf-20220707-git.tgz";
      sha256 = "1dpp0xzj51a7fg9yw0xsipnsa54xj1axvkk55n0yxq9yv9ih3rb0";
      system = "check-bnf";
      asd = "check-bnf";
    });
    systems = [ "check-bnf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "matrix-case" self) (getAttr "millet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  check-bnf_dot_test = (build-asdf-system {
    pname = "check-bnf.test";
    version = "20220707-git";
    asds = [ "check-bnf.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-bnf/2022-07-07/check-bnf-20220707-git.tgz";
      sha256 = "1dpp0xzj51a7fg9yw0xsipnsa54xj1axvkk55n0yxq9yv9ih3rb0";
      system = "check-bnf.test";
      asd = "check-bnf.test";
    });
    systems = [ "check-bnf.test" ];
    lispLibs = [ (getAttr "check-bnf" self) (getAttr "jingoh" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  check-it = (build-asdf-system {
    pname = "check-it";
    version = "20150709-git";
    asds = [ "check-it" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-it/2015-07-09/check-it-20150709-git.tgz";
      sha256 = "1kbjwpniffdpv003igmlz5r0vy65m7wpfnhg54fhwirp1227hgg7";
      system = "check-it";
      asd = "check-it";
    });
    systems = [ "check-it" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "optima" self) ];
    meta = {};
  });
  check-it-test = (build-asdf-system {
    pname = "check-it-test";
    version = "20150709-git";
    asds = [ "check-it-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/check-it/2015-07-09/check-it-20150709-git.tgz";
      sha256 = "1kbjwpniffdpv003igmlz5r0vy65m7wpfnhg54fhwirp1227hgg7";
      system = "check-it-test";
      asd = "check-it";
    });
    systems = [ "check-it-test" ];
    lispLibs = [ (getAttr "check-it" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  checkl = (build-asdf-system {
    pname = "checkl";
    version = "20180328-git";
    asds = [ "checkl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl";
      asd = "checkl";
    });
    systems = [ "checkl" ];
    lispLibs = [ (getAttr "marshal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  checkl-docs = (build-asdf-system {
    pname = "checkl-docs";
    version = "20180328-git";
    asds = [ "checkl-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl-docs";
      asd = "checkl-docs";
    });
    systems = [ "checkl-docs" ];
    lispLibs = [ (getAttr "checkl" self) (getAttr "cl-gendoc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  checkl-test = (build-asdf-system {
    pname = "checkl-test";
    version = "20180328-git";
    asds = [ "checkl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/checkl/2018-03-28/checkl-20180328-git.tgz";
      sha256 = "0bpisihx1gay44xmyr1dmhlwh00j0zzi04rp9fy35i95l2r4xdlx";
      system = "checkl-test";
      asd = "checkl-test";
    });
    systems = [ "checkl-test" ];
    lispLibs = [ (getAttr "checkl" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chemical-compounds = (build-asdf-system {
    pname = "chemical-compounds";
    version = "1.0.2";
    asds = [ "chemical-compounds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chemical-compounds/2011-10-01/chemical-compounds-1.0.2.tgz";
      sha256 = "047z1lab08y4nsb32rnzqfpb6akyhibzjgmmr1bnwrh9pmhv3s2k";
      system = "chemical-compounds";
      asd = "chemical-compounds";
    });
    systems = [ "chemical-compounds" ];
    lispLibs = [ (getAttr "periodic-table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chillax = (build-asdf-system {
    pname = "chillax";
    version = "20150302-git";
    asds = [ "chillax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax";
      asd = "chillax";
    });
    systems = [ "chillax" ];
    lispLibs = [ (getAttr "chillax_dot_core" self) (getAttr "chillax_dot_yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chillax_dot_core = (build-asdf-system {
    pname = "chillax.core";
    version = "20150302-git";
    asds = [ "chillax.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.core";
      asd = "chillax.core";
    });
    systems = [ "chillax.core" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chillax_dot_jsown = (build-asdf-system {
    pname = "chillax.jsown";
    version = "20150302-git";
    asds = [ "chillax.jsown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.jsown";
      asd = "chillax.jsown";
    });
    systems = [ "chillax.jsown" ];
    lispLibs = [ (getAttr "chillax_dot_core" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chillax_dot_view-server = (build-asdf-system {
    pname = "chillax.view-server";
    version = "20150302-git";
    asds = [ "chillax.view-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.view-server";
      asd = "chillax.view-server";
    });
    systems = [ "chillax.view-server" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chillax_dot_yason = (build-asdf-system {
    pname = "chillax.yason";
    version = "20150302-git";
    asds = [ "chillax.yason" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chillax/2015-03-02/chillax-20150302-git.tgz";
      sha256 = "1is3qm68wyfi3rmpn8mw0x9861951a2w60snsdippikygm3smzr1";
      system = "chillax.yason";
      asd = "chillax.yason";
    });
    systems = [ "chillax.yason" ];
    lispLibs = [ (getAttr "chillax_dot_core" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chipmunk-blob = (build-asdf-system {
    pname = "chipmunk-blob";
    version = "stable-git";
    asds = [ "chipmunk-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chipmunk-blob/2020-10-16/chipmunk-blob-stable-git.tgz";
      sha256 = "0kdi1al1cn90hzjfnjhkxp3k5ibp6l73k3m04mkpzkzpjy7jc80d";
      system = "chipmunk-blob";
      asd = "chipmunk-blob";
    });
    systems = [ "chipmunk-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chipz = (build-asdf-system {
    pname = "chipz";
    version = "20230618-git";
    asds = [ "chipz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chipz/2023-06-18/chipz-20230618-git.tgz";
      sha256 = "04ysl1lz47dd8p1cbm637kpyf84hl74xvcdpqhdyxwh4n97csm5h";
      system = "chipz";
      asd = "chipz";
    });
    systems = [ "chipz" ];
    lispLibs = [  ];
    meta = {};
  });
  chirp = (build-asdf-system {
    pname = "chirp";
    version = "20230618-git";
    asds = [ "chirp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2023-06-18/chirp-20230618-git.tgz";
      sha256 = "0714qqzac0kqhmqx9q9361l48n9hq3wjl15m91vvzy9fn7nghj93";
      system = "chirp";
      asd = "chirp";
    });
    systems = [ "chirp" ];
    lispLibs = [ (getAttr "chirp-drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chirp-core = (build-asdf-system {
    pname = "chirp-core";
    version = "20230618-git";
    asds = [ "chirp-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2023-06-18/chirp-20230618-git.tgz";
      sha256 = "0714qqzac0kqhmqx9q9361l48n9hq3wjl15m91vvzy9fn7nghj93";
      system = "chirp-core";
      asd = "chirp-core";
    });
    systems = [ "chirp-core" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "split-sequence" self) (getAttr "uuid" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chirp-dexador = (build-asdf-system {
    pname = "chirp-dexador";
    version = "20230618-git";
    asds = [ "chirp-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2023-06-18/chirp-20230618-git.tgz";
      sha256 = "0714qqzac0kqhmqx9q9361l48n9hq3wjl15m91vvzy9fn7nghj93";
      system = "chirp-dexador";
      asd = "chirp-dexador";
    });
    systems = [ "chirp-dexador" ];
    lispLibs = [ (getAttr "chirp-core" self) (getAttr "dexador" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chirp-drakma = (build-asdf-system {
    pname = "chirp-drakma";
    version = "20230618-git";
    asds = [ "chirp-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chirp/2023-06-18/chirp-20230618-git.tgz";
      sha256 = "0714qqzac0kqhmqx9q9361l48n9hq3wjl15m91vvzy9fn7nghj93";
      system = "chirp-drakma";
      asd = "chirp-drakma";
    });
    systems = [ "chirp-drakma" ];
    lispLibs = [ (getAttr "chirp-core" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chlorophyll = (build-asdf-system {
    pname = "chlorophyll";
    version = "20230618-git";
    asds = [ "chlorophyll" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chlorophyll/2023-06-18/chlorophyll-20230618-git.tgz";
      sha256 = "1hgl8sjsmyqx4gs77q4p94b63zgpxk1wi9w9niki8j0213dr1s3y";
      system = "chlorophyll";
      asd = "chlorophyll";
    });
    systems = [ "chlorophyll" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chlorophyll-test = (build-asdf-system {
    pname = "chlorophyll-test";
    version = "20230618-git";
    asds = [ "chlorophyll-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chlorophyll/2023-06-18/chlorophyll-20230618-git.tgz";
      sha256 = "1hgl8sjsmyqx4gs77q4p94b63zgpxk1wi9w9niki8j0213dr1s3y";
      system = "chlorophyll-test";
      asd = "chlorophyll-test";
    });
    systems = [ "chlorophyll-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "chlorophyll" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chrome-native-messaging = (build-asdf-system {
    pname = "chrome-native-messaging";
    version = "20150302-git";
    asds = [ "chrome-native-messaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chrome-native-messaging/2015-03-02/chrome-native-messaging-20150302-git.tgz";
      sha256 = "1fw02w5brpwa0kl7sx5b13fbcfv1ny8rwcj11ayj2q528i2xmpx5";
      system = "chrome-native-messaging";
      asd = "chrome-native-messaging";
    });
    systems = [ "chrome-native-messaging" ];
    lispLibs = [ (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chronicity = (build-asdf-system {
    pname = "chronicity";
    version = "20190202-git";
    asds = [ "chronicity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chronicity/2019-02-02/chronicity-20190202-git.tgz";
      sha256 = "1h5dlgvccffd8sqszqwilscysklzfcp374zl48rq14ywgv3rnwhl";
      system = "chronicity";
      asd = "chronicity";
    });
    systems = [ "chronicity" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chronicity-test = (build-asdf-system {
    pname = "chronicity-test";
    version = "20190202-git";
    asds = [ "chronicity-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chronicity/2019-02-02/chronicity-20190202-git.tgz";
      sha256 = "1h5dlgvccffd8sqszqwilscysklzfcp374zl48rq14ywgv3rnwhl";
      system = "chronicity-test";
      asd = "chronicity-test";
    });
    systems = [ "chronicity-test" ];
    lispLibs = [ (getAttr "chronicity" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chtml-matcher = (build-asdf-system {
    pname = "chtml-matcher";
    version = "20111001-git";
    asds = [ "chtml-matcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chtml-matcher/2011-10-01/chtml-matcher-20111001-git.tgz";
      sha256 = "1q1ksy2w0c4dcmq8543scl11x4crh1m5w29p1wjpqhxk826jx7fd";
      system = "chtml-matcher";
      asd = "chtml-matcher";
    });
    systems = [ "chtml-matcher" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closure-html" self) (getAttr "f-underscore" self) (getAttr "stdutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  chunga = (build-asdf-system {
    pname = "chunga";
    version = "20221106-git";
    asds = [ "chunga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/chunga/2022-11-06/chunga-20221106-git.tgz";
      sha256 = "117qvvfszi4s6zfcxi7mpwx14dpgamir7n124p4whwyam04b0y1b";
      system = "chunga";
      asd = "chunga";
    });
    systems = [ "chunga" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  ci-utils = (build-asdf-system {
    pname = "ci-utils";
    version = "20221106-git";
    asds = [ "ci-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils";
      asd = "ci-utils";
    });
    systems = [ "ci-utils" ];
    lispLibs = [ (getAttr "ci-utils-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ci-utils-features = (build-asdf-system {
    pname = "ci-utils-features";
    version = "20221106-git";
    asds = [ "ci-utils-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ci-utils/2022-11-06/ci-utils-20221106-git.tgz";
      sha256 = "0srypwhcfwmy6ppv724y0vhm0icninv2zzb2f8h1985zch73cqw3";
      system = "ci-utils-features";
      asd = "ci-utils-features";
    });
    systems = [ "ci-utils-features" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ciao = (build-asdf-system {
    pname = "ciao";
    version = "20230215-git";
    asds = [ "ciao" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ciao/2023-02-15/ciao-20230215-git.tgz";
      sha256 = "1sqp9yisd7j6j5gd2vbid2xvigbhglpj7wwm3glifg1lmmqijnpv";
      system = "ciao";
      asd = "ciao";
    });
    systems = [ "ciao" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "dexador" self) (getAttr "hunchentoot" self) (getAttr "trivial-open-browser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  circular-streams = (build-asdf-system {
    pname = "circular-streams";
    version = "20161204-git";
    asds = [ "circular-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/circular-streams/2016-12-04/circular-streams-20161204-git.tgz";
      sha256 = "1wpw6d5cciyqcf92f7mvihak52pd5s47kk4qq6f0r2z2as68p5rs";
      system = "circular-streams";
      asd = "circular-streams";
    });
    systems = [ "circular-streams" ];
    lispLibs = [ (getAttr "fast-io" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  circular-streams-test = (build-asdf-system {
    pname = "circular-streams-test";
    version = "20161204-git";
    asds = [ "circular-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/circular-streams/2016-12-04/circular-streams-20161204-git.tgz";
      sha256 = "1wpw6d5cciyqcf92f7mvihak52pd5s47kk4qq6f0r2z2as68p5rs";
      system = "circular-streams-test";
      asd = "circular-streams-test";
    });
    systems = [ "circular-streams-test" ];
    lispLibs = [ (getAttr "circular-streams" self) (getAttr "cl-test-more" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  city-hash = (build-asdf-system {
    pname = "city-hash";
    version = "20200925-git";
    asds = [ "city-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/city-hash/2020-09-25/city-hash-20200925-git.tgz";
      sha256 = "10ksl402aa37sn78hnvlvpqibr66qzpjvf2x4a789gnl411cf44a";
      system = "city-hash";
      asd = "city-hash";
    });
    systems = [ "city-hash" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "nibbles" self) (getAttr "swap-bytes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  city-hash-test = (build-asdf-system {
    pname = "city-hash-test";
    version = "20200925-git";
    asds = [ "city-hash-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/city-hash/2020-09-25/city-hash-20200925-git.tgz";
      sha256 = "10ksl402aa37sn78hnvlvpqibr66qzpjvf2x4a789gnl411cf44a";
      system = "city-hash-test";
      asd = "city-hash-test";
    });
    systems = [ "city-hash-test" ];
    lispLibs = [ (getAttr "city-hash" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ckr-tables = (build-asdf-system {
    pname = "ckr-tables";
    version = "20221106-git";
    asds = [ "ckr-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-critic/2022-11-06/lisp-critic-20221106-git.tgz";
      sha256 = "000vp8jsvpw80by7c7nb5394akfcr6rzzpzw049am67fh5qk89rn";
      system = "ckr-tables";
      asd = "ckr-tables";
    });
    systems = [ "ckr-tables" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl_plus_ssl = (build-asdf-system {
    pname = "cl+ssl";
    version = "20230618-git";
    asds = [ "cl+ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl+ssl/2023-06-18/cl+ssl-20230618-git.tgz";
      sha256 = "0d8sndn278s8c947bv7zp9mblpl6g83vq5wqa7kjk6javyg36a9c";
      system = "cl+ssl";
      asd = "cl+ssl";
    });
    systems = [ "cl+ssl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "flexi-streams" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {};
  });
  cl_plus_ssl_dot_test = (build-asdf-system {
    pname = "cl+ssl.test";
    version = "20230618-git";
    asds = [ "cl+ssl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl+ssl/2023-06-18/cl+ssl-20230618-git.tgz";
      sha256 = "0d8sndn278s8c947bv7zp9mblpl6g83vq5wqa7kjk6javyg36a9c";
      system = "cl+ssl.test";
      asd = "cl+ssl.test";
    });
    systems = [ "cl+ssl.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-coveralls" self) (getAttr "fiveam" self) (getAttr "trivial-sockets" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-6502 = (build-asdf-system {
    pname = "cl-6502";
    version = "20211020-git";
    asds = [ "cl-6502" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-6502/2021-10-20/cl-6502-20211020-git.tgz";
      sha256 = "1mzdx141ad1rf0di09glyibxbizbmhzd9l3cqd7r3cvrvf5gkj49";
      system = "cl-6502";
      asd = "cl-6502";
    });
    systems = [ "cl-6502" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-aa = (build-asdf-system {
    pname = "cl-aa";
    version = "20180228-git";
    asds = [ "cl-aa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-aa";
      asd = "cl-aa";
    });
    systems = [ "cl-aa" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-aa-misc = (build-asdf-system {
    pname = "cl-aa-misc";
    version = "20180228-git";
    asds = [ "cl-aa-misc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-aa-misc";
      asd = "cl-aa-misc";
    });
    systems = [ "cl-aa-misc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-acronyms = (build-asdf-system {
    pname = "cl-acronyms";
    version = "20150302-git";
    asds = [ "cl-acronyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-acronyms/2015-03-02/cl-acronyms-20150302-git.tgz";
      sha256 = "1b827g6n87i81wbqzvmlq0yn41kfa502v5ssbh2wh1b4xznhn8cc";
      system = "cl-acronyms";
      asd = "cl-acronyms";
    });
    systems = [ "cl-acronyms" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-actors = (build-asdf-system {
    pname = "cl-actors";
    version = "20191130-git";
    asds = [ "cl-actors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-lisp-actors/2019-11-30/common-lisp-actors-20191130-git.tgz";
      sha256 = "0snf91yivxq6jcbvm3l6b05lcka7jrzciqd4m841amghfw32clfn";
      system = "cl-actors";
      asd = "cl-actors";
    });
    systems = [ "cl-actors" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-advice = (build-asdf-system {
    pname = "cl-advice";
    version = "20230214-git";
    asds = [ "cl-advice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-advice/2023-02-14/cl-advice-20230214-git.tgz";
      sha256 = "038fhy7chgn9racrcikqncyiq5yqngs6d5ahxz7jkypixcdz48jx";
      system = "cl-advice";
      asd = "cl-advice";
    });
    systems = [ "cl-advice" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-advice-tests = (build-asdf-system {
    pname = "cl-advice-tests";
    version = "20230214-git";
    asds = [ "cl-advice-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-advice/2023-02-14/cl-advice-20230214-git.tgz";
      sha256 = "038fhy7chgn9racrcikqncyiq5yqngs6d5ahxz7jkypixcdz48jx";
      system = "cl-advice-tests";
      asd = "cl-advice-tests";
    });
    systems = [ "cl-advice-tests" ];
    lispLibs = [ (getAttr "cl-advice" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-alc = (build-asdf-system {
    pname = "cl-alc";
    version = "20221106-git";
    asds = [ "cl-alc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-alc";
      asd = "cl-alc";
    });
    systems = [ "cl-alc" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-openal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-algebraic-data-type = (build-asdf-system {
    pname = "cl-algebraic-data-type";
    version = "20191007-git";
    asds = [ "cl-algebraic-data-type" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-algebraic-data-type/2019-10-07/cl-algebraic-data-type-20191007-git.tgz";
      sha256 = "1lnqxcv8pd5z8n0g5p2l0dbljx9pqiv18hxl0vhsh7ldhkrjv2jx";
      system = "cl-algebraic-data-type";
      asd = "cl-algebraic-data-type";
    });
    systems = [ "cl-algebraic-data-type" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "global-vars" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-all = (build-asdf-system {
    pname = "cl-all";
    version = "20230618-git";
    asds = [ "cl-all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-all/2023-06-18/cl-all-20230618-git.tgz";
      sha256 = "1nf4jwrws8j1vym3r3a5gyvf73vqx90qj71fsbw7w2hf5sw4wi9p";
      system = "cl-all";
      asd = "cl-all";
    });
    systems = [ "cl-all" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-alut = (build-asdf-system {
    pname = "cl-alut";
    version = "20221106-git";
    asds = [ "cl-alut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-alut";
      asd = "cl-alut";
    });
    systems = [ "cl-alut" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-openal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-amqp = (build-asdf-system {
    pname = "cl-amqp";
    version = "v0.4.1";
    asds = [ "cl-amqp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-amqp/2019-10-08/cl-amqp-v0.4.1.tgz";
      sha256 = "1ggd77ckfr54z7z5yi8d04k310x2dhf53qija8dzjhk1r9py20vz";
      system = "cl-amqp";
      asd = "cl-amqp";
    });
    systems = [ "cl-amqp" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "collectors" self) (getAttr "fast-io" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "nibbles" self) (getAttr "trivial-utf-8" self) (getAttr "wu-decimal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-amqp_dot_test = (build-asdf-system {
    pname = "cl-amqp.test";
    version = "v0.4.1";
    asds = [ "cl-amqp.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-amqp/2019-10-08/cl-amqp-v0.4.1.tgz";
      sha256 = "1ggd77ckfr54z7z5yi8d04k310x2dhf53qija8dzjhk1r9py20vz";
      system = "cl-amqp.test";
      asd = "cl-amqp.test";
    });
    systems = [ "cl-amqp.test" ];
    lispLibs = [ (getAttr "cl-amqp" self) (getAttr "cl-interpol" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana = (build-asdf-system {
    pname = "cl-ana";
    version = "20220707-git";
    asds = [ "cl-ana" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana";
      asd = "cl-ana";
    });
    systems = [ "cl-ana" ];
    lispLibs = [ (getAttr "cl-ana_dot_array-utils" self) (getAttr "cl-ana_dot_binary-tree" self) (getAttr "cl-ana_dot_calculus" self) (getAttr "cl-ana_dot_clos-utils" self) (getAttr "cl-ana_dot_columnar-table" self) (getAttr "cl-ana_dot_csv-table" self) (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_file-utils" self) (getAttr "cl-ana_dot_fitting" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_hdf-table" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_int-char" self) (getAttr "cl-ana_dot_linear-algebra" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_lorentz" self) (getAttr "cl-ana_dot_makeres" self) (getAttr "cl-ana_dot_makeres-block" self) (getAttr "cl-ana_dot_makeres-branch" self) (getAttr "cl-ana_dot_makeres-graphviz" self) (getAttr "cl-ana_dot_makeres-macro" self) (getAttr "cl-ana_dot_makeres-progress" self) (getAttr "cl-ana_dot_makeres-table" self) (getAttr "cl-ana_dot_makeres-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_ntuple-table" self) (getAttr "cl-ana_dot_package-utils" self) (getAttr "cl-ana_dot_pathname-utils" self) (getAttr "cl-ana_dot_plotting" self) (getAttr "cl-ana_dot_quantity" self) (getAttr "cl-ana_dot_reusable-table" self) (getAttr "cl-ana_dot_serialization" self) (getAttr "cl-ana_dot_spline" self) (getAttr "cl-ana_dot_statistical-learning" self) (getAttr "cl-ana_dot_statistics" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-ana_dot_table-utils" self) (getAttr "cl-ana_dot_table-viewing" self) (getAttr "cl-ana_dot_tensor" self) ];
    meta = {};
  });
  cl-ana_dot_array-utils = (build-asdf-system {
    pname = "cl-ana.array-utils";
    version = "20220707-git";
    asds = [ "cl-ana.array-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.array-utils";
      asd = "cl-ana.array-utils";
    });
    systems = [ "cl-ana.array-utils" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_binary-tree = (build-asdf-system {
    pname = "cl-ana.binary-tree";
    version = "20220707-git";
    asds = [ "cl-ana.binary-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.binary-tree";
      asd = "cl-ana.binary-tree";
    });
    systems = [ "cl-ana.binary-tree" ];
    lispLibs = [ (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_calculus = (build-asdf-system {
    pname = "cl-ana.calculus";
    version = "20220707-git";
    asds = [ "cl-ana.calculus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.calculus";
      asd = "cl-ana.calculus";
    });
    systems = [ "cl-ana.calculus" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_linear-algebra" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_clos-utils = (build-asdf-system {
    pname = "cl-ana.clos-utils";
    version = "20220707-git";
    asds = [ "cl-ana.clos-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.clos-utils";
      asd = "cl-ana.clos-utils";
    });
    systems = [ "cl-ana.clos-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_columnar-table = (build-asdf-system {
    pname = "cl-ana.columnar-table";
    version = "20220707-git";
    asds = [ "cl-ana.columnar-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.columnar-table";
      asd = "cl-ana.columnar-table";
    });
    systems = [ "cl-ana.columnar-table" ];
    lispLibs = [ (getAttr "cl-ana_dot_reusable-table" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_csv-table = (build-asdf-system {
    pname = "cl-ana.csv-table";
    version = "20220707-git";
    asds = [ "cl-ana.csv-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.csv-table";
      asd = "cl-ana.csv-table";
    });
    systems = [ "cl-ana.csv-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "antik" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-csv" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_error-propogation = (build-asdf-system {
    pname = "cl-ana.error-propogation";
    version = "20220707-git";
    asds = [ "cl-ana.error-propogation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.error-propogation";
      asd = "cl-ana.error-propogation";
    });
    systems = [ "cl-ana.error-propogation" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_math-functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_file-utils = (build-asdf-system {
    pname = "cl-ana.file-utils";
    version = "20220707-git";
    asds = [ "cl-ana.file-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.file-utils";
      asd = "cl-ana.file-utils";
    });
    systems = [ "cl-ana.file-utils" ];
    lispLibs = [ (getAttr "external-program" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_fitting = (build-asdf-system {
    pname = "cl-ana.fitting";
    version = "20220707-git";
    asds = [ "cl-ana.fitting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.fitting";
      asd = "cl-ana.fitting";
    });
    systems = [ "cl-ana.fitting" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "gsll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_functional-utils = (build-asdf-system {
    pname = "cl-ana.functional-utils";
    version = "20220707-git";
    asds = [ "cl-ana.functional-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.functional-utils";
      asd = "cl-ana.functional-utils";
    });
    systems = [ "cl-ana.functional-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_generic-math = (build-asdf-system {
    pname = "cl-ana.generic-math";
    version = "20220707-git";
    asds = [ "cl-ana.generic-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.generic-math";
      asd = "cl-ana.generic-math";
    });
    systems = [ "cl-ana.generic-math" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_package-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_gnuplot-interface = (build-asdf-system {
    pname = "cl-ana.gnuplot-interface";
    version = "20220707-git";
    asds = [ "cl-ana.gnuplot-interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.gnuplot-interface";
      asd = "cl-ana.gnuplot-interface";
    });
    systems = [ "cl-ana.gnuplot-interface" ];
    lispLibs = [ (getAttr "external-program" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_gsl-cffi = (build-asdf-system {
    pname = "cl-ana.gsl-cffi";
    version = "20220707-git";
    asds = [ "cl-ana.gsl-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.gsl-cffi";
      asd = "cl-ana.gsl-cffi";
    });
    systems = [ "cl-ana.gsl-cffi" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_hash-table-utils = (build-asdf-system {
    pname = "cl-ana.hash-table-utils";
    version = "20220707-git";
    asds = [ "cl-ana.hash-table-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hash-table-utils";
      asd = "cl-ana.hash-table-utils";
    });
    systems = [ "cl-ana.hash-table-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_hdf-cffi = (build-asdf-system {
    pname = "cl-ana.hdf-cffi";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-cffi";
      asd = "cl-ana.hdf-cffi";
    });
    systems = [ "cl-ana.hdf-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_hdf-table = (build-asdf-system {
    pname = "cl-ana.hdf-table";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-table";
      asd = "cl-ana.hdf-table";
    });
    systems = [ "cl-ana.hdf-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_binary-tree" self) (getAttr "cl-ana_dot_hdf-typespec" self) (getAttr "cl-ana_dot_hdf-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-ana_dot_typed-table" self) (getAttr "cl-ana_dot_typespec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_hdf-typespec = (build-asdf-system {
    pname = "cl-ana.hdf-typespec";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-typespec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-typespec";
      asd = "cl-ana.hdf-typespec";
    });
    systems = [ "cl-ana.hdf-typespec" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ana_dot_hdf-cffi" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_typespec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_hdf-utils = (build-asdf-system {
    pname = "cl-ana.hdf-utils";
    version = "20220707-git";
    asds = [ "cl-ana.hdf-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.hdf-utils";
      asd = "cl-ana.hdf-utils";
    });
    systems = [ "cl-ana.hdf-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ana_dot_hdf-cffi" self) (getAttr "cl-ana_dot_hdf-typespec" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_pathname-utils" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_typespec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_histogram = (build-asdf-system {
    pname = "cl-ana.histogram";
    version = "20220707-git";
    asds = [ "cl-ana.histogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.histogram";
      asd = "cl-ana.histogram";
    });
    systems = [ "cl-ana.histogram" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_binary-tree" self) (getAttr "cl-ana_dot_clos-utils" self) (getAttr "cl-ana_dot_fitting" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_int-char = (build-asdf-system {
    pname = "cl-ana.int-char";
    version = "20220707-git";
    asds = [ "cl-ana.int-char" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.int-char";
      asd = "cl-ana.int-char";
    });
    systems = [ "cl-ana.int-char" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_linear-algebra = (build-asdf-system {
    pname = "cl-ana.linear-algebra";
    version = "20220707-git";
    asds = [ "cl-ana.linear-algebra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.linear-algebra";
      asd = "cl-ana.linear-algebra";
    });
    systems = [ "cl-ana.linear-algebra" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "gsll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_list-utils = (build-asdf-system {
    pname = "cl-ana.list-utils";
    version = "20220707-git";
    asds = [ "cl-ana.list-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.list-utils";
      asd = "cl-ana.list-utils";
    });
    systems = [ "cl-ana.list-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_string-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_lorentz = (build-asdf-system {
    pname = "cl-ana.lorentz";
    version = "20220707-git";
    asds = [ "cl-ana.lorentz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.lorentz";
      asd = "cl-ana.lorentz";
    });
    systems = [ "cl-ana.lorentz" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_linear-algebra" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_macro-utils = (build-asdf-system {
    pname = "cl-ana.macro-utils";
    version = "20220707-git";
    asds = [ "cl-ana.macro-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.macro-utils";
      asd = "cl-ana.macro-utils";
    });
    systems = [ "cl-ana.macro-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres = (build-asdf-system {
    pname = "cl-ana.makeres";
    version = "20220707-git";
    asds = [ "cl-ana.makeres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres";
      asd = "cl-ana.makeres";
    });
    systems = [ "cl-ana.makeres" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_file-utils" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_hdf-utils" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_pathname-utils" self) (getAttr "cl-ana_dot_plotting" self) (getAttr "cl-ana_dot_reusable-table" self) (getAttr "cl-ana_dot_serialization" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-fad" self) (getAttr "external-program" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-block = (build-asdf-system {
    pname = "cl-ana.makeres-block";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-block" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-block";
      asd = "cl-ana.makeres-block";
    });
    systems = [ "cl-ana.makeres-block" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_makeres" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-branch = (build-asdf-system {
    pname = "cl-ana.makeres-branch";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-branch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-branch";
      asd = "cl-ana.makeres-branch";
    });
    systems = [ "cl-ana.makeres-branch" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_makeres" self) (getAttr "cl-ana_dot_map" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-graphviz = (build-asdf-system {
    pname = "cl-ana.makeres-graphviz";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-graphviz";
      asd = "cl-ana.makeres-graphviz";
    });
    systems = [ "cl-ana.makeres-graphviz" ];
    lispLibs = [ (getAttr "cl-ana_dot_makeres" self) (getAttr "external-program" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-macro = (build-asdf-system {
    pname = "cl-ana.makeres-macro";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-macro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-macro";
      asd = "cl-ana.makeres-macro";
    });
    systems = [ "cl-ana.makeres-macro" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_makeres" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-progress = (build-asdf-system {
    pname = "cl-ana.makeres-progress";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-progress" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-progress";
      asd = "cl-ana.makeres-progress";
    });
    systems = [ "cl-ana.makeres-progress" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_makeres" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-table = (build-asdf-system {
    pname = "cl-ana.makeres-table";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-table";
      asd = "cl-ana.makeres-table";
    });
    systems = [ "cl-ana.makeres-table" ];
    lispLibs = [ (getAttr "cl-ana_dot_csv-table" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_hdf-table" self) (getAttr "cl-ana_dot_hdf-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_makeres" self) (getAttr "cl-ana_dot_makeres-macro" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_ntuple-table" self) (getAttr "cl-ana_dot_reusable-table" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_makeres-utils = (build-asdf-system {
    pname = "cl-ana.makeres-utils";
    version = "20220707-git";
    asds = [ "cl-ana.makeres-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.makeres-utils";
      asd = "cl-ana.makeres-utils";
    });
    systems = [ "cl-ana.makeres-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_file-utils" self) (getAttr "cl-ana_dot_fitting" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_makeres" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_pathname-utils" self) (getAttr "cl-ana_dot_plotting" self) (getAttr "cl-ana_dot_reusable-table" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_map = (build-asdf-system {
    pname = "cl-ana.map";
    version = "20220707-git";
    asds = [ "cl-ana.map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.map";
      asd = "cl-ana.map";
    });
    systems = [ "cl-ana.map" ];
    lispLibs = [ (getAttr "cl-ana_dot_hash-table-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_math-functions = (build-asdf-system {
    pname = "cl-ana.math-functions";
    version = "20220707-git";
    asds = [ "cl-ana.math-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.math-functions";
      asd = "cl-ana.math-functions";
    });
    systems = [ "cl-ana.math-functions" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "gsll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_memoization = (build-asdf-system {
    pname = "cl-ana.memoization";
    version = "20220707-git";
    asds = [ "cl-ana.memoization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.memoization";
      asd = "cl-ana.memoization";
    });
    systems = [ "cl-ana.memoization" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_ntuple-table = (build-asdf-system {
    pname = "cl-ana.ntuple-table";
    version = "20220707-git";
    asds = [ "cl-ana.ntuple-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.ntuple-table";
      asd = "cl-ana.ntuple-table";
    });
    systems = [ "cl-ana.ntuple-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ana_dot_gsl-cffi" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-ana_dot_typed-table" self) (getAttr "cl-ana_dot_typespec" self) (getAttr "gsll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_package-utils = (build-asdf-system {
    pname = "cl-ana.package-utils";
    version = "20220707-git";
    asds = [ "cl-ana.package-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.package-utils";
      asd = "cl-ana.package-utils";
    });
    systems = [ "cl-ana.package-utils" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_pathname-utils = (build-asdf-system {
    pname = "cl-ana.pathname-utils";
    version = "20220707-git";
    asds = [ "cl-ana.pathname-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.pathname-utils";
      asd = "cl-ana.pathname-utils";
    });
    systems = [ "cl-ana.pathname-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_plotting = (build-asdf-system {
    pname = "cl-ana.plotting";
    version = "20220707-git";
    asds = [ "cl-ana.plotting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.plotting";
      asd = "cl-ana.plotting";
    });
    systems = [ "cl-ana.plotting" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_gnuplot-interface" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_pathname-utils" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "external-program" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_quantity = (build-asdf-system {
    pname = "cl-ana.quantity";
    version = "20220707-git";
    asds = [ "cl-ana.quantity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.quantity";
      asd = "cl-ana.quantity";
    });
    systems = [ "cl-ana.quantity" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_symbol-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_reusable-table = (build-asdf-system {
    pname = "cl-ana.reusable-table";
    version = "20220707-git";
    asds = [ "cl-ana.reusable-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.reusable-table";
      asd = "cl-ana.reusable-table";
    });
    systems = [ "cl-ana.reusable-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_serialization = (build-asdf-system {
    pname = "cl-ana.serialization";
    version = "20220707-git";
    asds = [ "cl-ana.serialization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.serialization";
      asd = "cl-ana.serialization";
    });
    systems = [ "cl-ana.serialization" ];
    lispLibs = [ (getAttr "cl-ana_dot_error-propogation" self) (getAttr "cl-ana_dot_hdf-table" self) (getAttr "cl-ana_dot_hdf-utils" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_int-char" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_typespec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_spline = (build-asdf-system {
    pname = "cl-ana.spline";
    version = "20220707-git";
    asds = [ "cl-ana.spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.spline";
      asd = "cl-ana.spline";
    });
    systems = [ "cl-ana.spline" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-ana_dot_fitting" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_tensor" self) (getAttr "gsll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_statistical-learning = (build-asdf-system {
    pname = "cl-ana.statistical-learning";
    version = "20220707-git";
    asds = [ "cl-ana.statistical-learning" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.statistical-learning";
      asd = "cl-ana.statistical-learning";
    });
    systems = [ "cl-ana.statistical-learning" ];
    lispLibs = [ (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_linear-algebra" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_math-functions" self) (getAttr "cl-ana_dot_statistics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_statistics = (build-asdf-system {
    pname = "cl-ana.statistics";
    version = "20220707-git";
    asds = [ "cl-ana.statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.statistics";
      asd = "cl-ana.statistics";
    });
    systems = [ "cl-ana.statistics" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_map" self) (getAttr "cl-ana_dot_math-functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_string-utils = (build-asdf-system {
    pname = "cl-ana.string-utils";
    version = "20220707-git";
    asds = [ "cl-ana.string-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.string-utils";
      asd = "cl-ana.string-utils";
    });
    systems = [ "cl-ana.string-utils" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_symbol-utils = (build-asdf-system {
    pname = "cl-ana.symbol-utils";
    version = "20220707-git";
    asds = [ "cl-ana.symbol-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.symbol-utils";
      asd = "cl-ana.symbol-utils";
    });
    systems = [ "cl-ana.symbol-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_list-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_table = (build-asdf-system {
    pname = "cl-ana.table";
    version = "20220707-git";
    asds = [ "cl-ana.table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table";
      asd = "cl-ana.table";
    });
    systems = [ "cl-ana.table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_functional-utils" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_table-utils = (build-asdf-system {
    pname = "cl-ana.table-utils";
    version = "20220707-git";
    asds = [ "cl-ana.table-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table-utils";
      asd = "cl-ana.table-utils";
    });
    systems = [ "cl-ana.table-utils" ];
    lispLibs = [ (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_hash-table-utils" self) (getAttr "cl-ana_dot_statistics" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_table-viewing = (build-asdf-system {
    pname = "cl-ana.table-viewing";
    version = "20220707-git";
    asds = [ "cl-ana.table-viewing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.table-viewing";
      asd = "cl-ana.table-viewing";
    });
    systems = [ "cl-ana.table-viewing" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_histogram" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_plotting" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_tensor = (build-asdf-system {
    pname = "cl-ana.tensor";
    version = "20220707-git";
    asds = [ "cl-ana.tensor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.tensor";
      asd = "cl-ana.tensor";
    });
    systems = [ "cl-ana.tensor" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_generic-math" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_macro-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_typed-table = (build-asdf-system {
    pname = "cl-ana.typed-table";
    version = "20220707-git";
    asds = [ "cl-ana.typed-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.typed-table";
      asd = "cl-ana.typed-table";
    });
    systems = [ "cl-ana.typed-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_table" self) (getAttr "cl-ana_dot_typespec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ana_dot_typespec = (build-asdf-system {
    pname = "cl-ana.typespec";
    version = "20220707-git";
    asds = [ "cl-ana.typespec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ana/2022-07-07/cl-ana-20220707-git.tgz";
      sha256 = "1dg8wkc2bv66lykr2fjgn91jw7aa9xnpk20h0g8pp2xr6981gfl9";
      system = "cl-ana.typespec";
      asd = "cl-ana.typespec";
    });
    systems = [ "cl-ana.typespec" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ana_dot_int-char" self) (getAttr "cl-ana_dot_list-utils" self) (getAttr "cl-ana_dot_memoization" self) (getAttr "cl-ana_dot_string-utils" self) (getAttr "cl-ana_dot_symbol-utils" self) (getAttr "cl-ana_dot_tensor" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-android = (build-asdf-system {
    pname = "cl-android";
    version = "20150804-git";
    asds = [ "cl-android" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sl4a/2015-08-04/cl-sl4a-20150804-git.tgz";
      sha256 = "0lqla60apkc8xfiyi43w18dldf0m8z5q290wv3d89qf0n9gwk3cr";
      system = "cl-android";
      asd = "cl-android";
    });
    systems = [ "cl-android" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-annot = (build-asdf-system {
    pname = "cl-annot";
    version = "20150608-git";
    asds = [ "cl-annot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot/2015-06-08/cl-annot-20150608-git.tgz";
      sha256 = "1wq1gs9jjd5m6iwrv06c2d7i5dvqsfjcljgbspfbc93cg5xahk4n";
      system = "cl-annot";
      asd = "cl-annot";
    });
    systems = [ "cl-annot" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  cl-annot-prove = (build-asdf-system {
    pname = "cl-annot-prove";
    version = "20150923-git";
    asds = [ "cl-annot-prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-prove/2015-09-23/cl-annot-prove-20150923-git.tgz";
      sha256 = "000nlxxs1id1pccp3y5s9xnm76fc5r87q0bxmjrpklxwwf5y8wwy";
      system = "cl-annot-prove";
      asd = "cl-annot-prove";
    });
    systems = [ "cl-annot-prove" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "prove" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-annot-prove-test = (build-asdf-system {
    pname = "cl-annot-prove-test";
    version = "20150923-git";
    asds = [ "cl-annot-prove-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-prove/2015-09-23/cl-annot-prove-20150923-git.tgz";
      sha256 = "000nlxxs1id1pccp3y5s9xnm76fc5r87q0bxmjrpklxwwf5y8wwy";
      system = "cl-annot-prove-test";
      asd = "cl-annot-prove-test";
    });
    systems = [ "cl-annot-prove-test" ];
    lispLibs = [ (getAttr "cl-annot-prove" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-annot-revisit = (build-asdf-system {
    pname = "cl-annot-revisit";
    version = "20221106-git";
    asds = [ "cl-annot-revisit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit";
      asd = "cl-annot-revisit";
    });
    systems = [ "cl-annot-revisit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-annot-revisit-compat = (build-asdf-system {
    pname = "cl-annot-revisit-compat";
    version = "20221106-git";
    asds = [ "cl-annot-revisit-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit-compat";
      asd = "cl-annot-revisit-compat";
    });
    systems = [ "cl-annot-revisit-compat" ];
    lispLibs = [ (getAttr "cl-annot-revisit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-annot-revisit-test = (build-asdf-system {
    pname = "cl-annot-revisit-test";
    version = "20221106-git";
    asds = [ "cl-annot-revisit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-annot-revisit/2022-11-06/cl-annot-revisit-20221106-git.tgz";
      sha256 = "0jlllgq14bi1rddzlmq9wfs4vb24apgqz17wfd79kjjcmnzzjp4m";
      system = "cl-annot-revisit-test";
      asd = "cl-annot-revisit-test";
    });
    systems = [ "cl-annot-revisit-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "cl-annot-revisit" self) (getAttr "cl-annot-revisit-compat" self) (getAttr "trivial-macroexpand-all" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-anonfun = (build-asdf-system {
    pname = "cl-anonfun";
    version = "20111203-git";
    asds = [ "cl-anonfun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-anonfun/2011-12-03/cl-anonfun-20111203-git.tgz";
      sha256 = "086x2vjvasdy9bhikvdzx34nrq008c0sfkq3ncv0i9mhfk5xwp2j";
      system = "cl-anonfun";
      asd = "cl-anonfun";
    });
    systems = [ "cl-anonfun" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-ansi-term = (build-asdf-system {
    pname = "cl-ansi-term";
    version = "20211020-git";
    asds = [ "cl-ansi-term" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-term/2021-10-20/cl-ansi-term-20211020-git.tgz";
      sha256 = "1wz8xx1dk5v1v5cvfh4a5cf5mdrn8lnz8mpf55c34inb0bxjlx87";
      system = "cl-ansi-term";
      asd = "cl-ansi-term";
    });
    systems = [ "cl-ansi-term" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ansi-text = (build-asdf-system {
    pname = "cl-ansi-text";
    version = "20211020-git";
    asds = [ "cl-ansi-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-text/2021-10-20/cl-ansi-text-20211020-git.tgz";
      sha256 = "0nk7ajqfa937w1iy3zy86jjbw8yffm05cqs4wxkgl97v6kmmya14";
      system = "cl-ansi-text";
      asd = "cl-ansi-text";
    });
    systems = [ "cl-ansi-text" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-colors2" self) ];
    meta = {};
  });
  cl-ansi-text_dot_test = (build-asdf-system {
    pname = "cl-ansi-text.test";
    version = "20211020-git";
    asds = [ "cl-ansi-text.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ansi-text/2021-10-20/cl-ansi-text-20211020-git.tgz";
      sha256 = "0nk7ajqfa937w1iy3zy86jjbw8yffm05cqs4wxkgl97v6kmmya14";
      system = "cl-ansi-text.test";
      asd = "cl-ansi-text.test";
    });
    systems = [ "cl-ansi-text.test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ansi-text" self) (getAttr "cl-colors2" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-apertium-stream = (build-asdf-system {
    pname = "cl-apertium-stream";
    version = "20230618-git";
    asds = [ "cl-apertium-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-apertium-stream-parser/2023-06-18/cl-apertium-stream-parser-20230618-git.tgz";
      sha256 = "1f3v5pgar83iw443haa4nlzy1qvr55xxqggq9klvsji1a3jdypqy";
      system = "cl-apertium-stream";
      asd = "cl-apertium-stream";
    });
    systems = [ "cl-apertium-stream" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "esrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-apple-plist = (build-asdf-system {
    pname = "cl-apple-plist";
    version = "20111105-git";
    asds = [ "cl-apple-plist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-apple-plist/2011-11-05/cl-apple-plist-20111105-git.tgz";
      sha256 = "104j5lvvp7apdx59kbwc6kpa8b82y20w03627ml91lpbqk9bq63f";
      system = "cl-apple-plist";
      asd = "cl-apple-plist";
    });
    systems = [ "cl-apple-plist" ];
    lispLibs = [ (getAttr "html-encode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-arff-parser = (build-asdf-system {
    pname = "cl-arff-parser";
    version = "20130421-git";
    asds = [ "cl-arff-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-arff-parser/2013-04-21/cl-arff-parser-20130421-git.tgz";
      sha256 = "0rn76r48b2y2richfy3si4r8kbwkvm7q15g34sxi0fkfmx15z4jx";
      system = "cl-arff-parser";
      asd = "cl-arff-parser";
    });
    systems = [ "cl-arff-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-argparse = (build-asdf-system {
    pname = "cl-argparse";
    version = "20210531-git";
    asds = [ "cl-argparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-argparse/2021-05-31/cl-argparse-20210531-git.tgz";
      sha256 = "05vy2iaqr7yiaw0ykzwm0ml0mil5qagy87b8hqx4vvb3lq1qpn14";
      system = "cl-argparse";
      asd = "cl-argparse";
    });
    systems = [ "cl-argparse" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-aristid = (build-asdf-system {
    pname = "cl-aristid";
    version = "20200925-git";
    asds = [ "cl-aristid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aristid/2020-09-25/cl-aristid-20200925-git.tgz";
      sha256 = "0k573k3wydy6dd5pmvqdxmlwk0n5kq2wsk86syddhqyjgx2jmw98";
      system = "cl-aristid";
      asd = "cl-aristid";
    });
    systems = [ "cl-aristid" ];
    lispLibs = [ (getAttr "cl-colors" self) (getAttr "cl-svg" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-arxiv-api = (build-asdf-system {
    pname = "cl-arxiv-api";
    version = "20170403-git";
    asds = [ "cl-arxiv-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-arxiv-api/2017-04-03/cl-arxiv-api-20170403-git.tgz";
      sha256 = "1id95gszqxmmjydv1vjv2vyxz0svqvnx74bmgy63xnajb4kfnpq3";
      system = "cl-arxiv-api";
      asd = "cl-arxiv-api";
    });
    systems = [ "cl-arxiv-api" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "iterate" self) (getAttr "trivial-http" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ascii-art = (build-asdf-system {
    pname = "cl-ascii-art";
    version = "20171019-git";
    asds = [ "cl-ascii-art" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ascii-art/2017-10-19/cl-ascii-art-20171019-git.tgz";
      sha256 = "03d3bd8m7dd2l4170vky8y8ini3giqhjpd06rlswz287mkvzq8aa";
      system = "cl-ascii-art";
      asd = "cl-ascii-art";
    });
    systems = [ "cl-ascii-art" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ansi-text" self) (getAttr "cl-ppcre" self) (getAttr "inferior-shell" self) (getAttr "iterate" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ascii-table = (build-asdf-system {
    pname = "cl-ascii-table";
    version = "20200610-git";
    asds = [ "cl-ascii-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ascii-table/2020-06-10/cl-ascii-table-20200610-git.tgz";
      sha256 = "1nclyypd2p06hyfydcv16m9lbj1xmrpmf00wp8mfyhwimv021zlp";
      system = "cl-ascii-table";
      asd = "cl-ascii-table";
    });
    systems = [ "cl-ascii-table" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-association-rules = (build-asdf-system {
    pname = "cl-association-rules";
    version = "20170403-git";
    asds = [ "cl-association-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-association-rules/2017-04-03/cl-association-rules-20170403-git.tgz";
      sha256 = "1d4sg9j30ydk1m17byacww8l2x9ggb82iay507g08ij0jxdky86z";
      system = "cl-association-rules";
      asd = "cl-association-rules";
    });
    systems = [ "cl-association-rules" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-association-rules-tests = (build-asdf-system {
    pname = "cl-association-rules-tests";
    version = "20170403-git";
    asds = [ "cl-association-rules-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-association-rules/2017-04-03/cl-association-rules-20170403-git.tgz";
      sha256 = "1d4sg9j30ydk1m17byacww8l2x9ggb82iay507g08ij0jxdky86z";
      system = "cl-association-rules-tests";
      asd = "cl-association-rules";
    });
    systems = [ "cl-association-rules-tests" ];
    lispLibs = [ (getAttr "cl-association-rules" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-async = (build-asdf-system {
    pname = "cl-async";
    version = "20230618-git";
    asds = [ "cl-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async";
      asd = "cl-async";
    });
    systems = [ "cl-async" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cl-async-base" self) (getAttr "cl-async-util" self) (getAttr "cl-libuv" self) (getAttr "cl-ppcre" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  cl-async-await = (build-asdf-system {
    pname = "cl-async-await";
    version = "20201016-git";
    asds = [ "cl-async-await" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async-await/2020-10-16/cl-async-await-20201016-git.tgz";
      sha256 = "1slhn9z4hljvad3hd8jmvw4q4m6310s04yh3212wvbfar8q0yasj";
      system = "cl-async-await";
      asd = "cl-async-await";
    });
    systems = [ "cl-async-await" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "simple-actors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-async-base = (build-asdf-system {
    pname = "cl-async-base";
    version = "20230618-git";
    asds = [ "cl-async-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async-base";
      asd = "cl-async";
    });
    systems = [ "cl-async-base" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-libuv" self) ];
    meta = {};
  });
  cl-async-future = (build-asdf-system {
    pname = "cl-async-future";
    version = "20150113-git";
    asds = [ "cl-async-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async-future/2015-01-13/cl-async-future-20150113-git.tgz";
      sha256 = "0z0sc7qlzzxk99f4l26zp6rai9kv0kj0f599sxai5s44p17zbbvh";
      system = "cl-async-future";
      asd = "cl-async-future";
    });
    systems = [ "cl-async-future" ];
    lispLibs = [ (getAttr "blackbird" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-async-repl = (build-asdf-system {
    pname = "cl-async-repl";
    version = "20230618-git";
    asds = [ "cl-async-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async-repl";
      asd = "cl-async-repl";
    });
    systems = [ "cl-async-repl" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-async" self) ];
    meta = {};
  });
  cl-async-ssl = (build-asdf-system {
    pname = "cl-async-ssl";
    version = "20230618-git";
    asds = [ "cl-async-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async-ssl";
      asd = "cl-async-ssl";
    });
    systems = [ "cl-async-ssl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-async" self) (getAttr "vom" self) ];
    meta = {};
  });
  cl-async-test = (build-asdf-system {
    pname = "cl-async-test";
    version = "20230618-git";
    asds = [ "cl-async-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async-test";
      asd = "cl-async-test";
    });
    systems = [ "cl-async-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-async" self) (getAttr "cl-async-ssl" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-async-util = (build-asdf-system {
    pname = "cl-async-util";
    version = "20230618-git";
    asds = [ "cl-async-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-async/2023-06-18/cl-async-20230618-git.tgz";
      sha256 = "0xii3kxrbrgf7y9037h1y1x68fa2bvspa3dqsz53rbbs81n51ysj";
      system = "cl-async-util";
      asd = "cl-async";
    });
    systems = [ "cl-async-util" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-async-base" self) (getAttr "cl-libuv" self) (getAttr "cl-ppcre" self) (getAttr "fast-io" self) (getAttr "vom" self) ];
    meta = {};
  });
  cl-aubio = (build-asdf-system {
    pname = "cl-aubio";
    version = "20200427-git";
    asds = [ "cl-aubio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-aubio/2020-04-27/cl-aubio-20200427-git.tgz";
      sha256 = "1xyflxy46z4487dbnizhv058y2mdka9iyikl097m60w42blidpn3";
      system = "cl-aubio";
      asd = "cl-aubio";
    });
    systems = [ "cl-aubio" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-authorize-net = (build-asdf-system {
    pname = "cl-authorize-net";
    version = "20150113-git";
    asds = [ "cl-authorize-net" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-authorize-net";
      asd = "cl-authorize-net";
    });
    systems = [ "cl-authorize-net" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-creditcard" self) (getAttr "drakma" self) (getAttr "split-sequence" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-authorize-net-tests = (build-asdf-system {
    pname = "cl-authorize-net-tests";
    version = "20150113-git";
    asds = [ "cl-authorize-net-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-authorize-net-tests";
      asd = "cl-authorize-net";
    });
    systems = [ "cl-authorize-net-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-authorize-net" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-autorepo = (build-asdf-system {
    pname = "cl-autorepo";
    version = "20180711-git";
    asds = [ "cl-autorepo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autorepo/2018-07-11/cl-autorepo-20180711-git.tgz";
      sha256 = "01hpg3r3493mri44kxp8sjy8i5kfvjklmnksvm0727i6bhpf8cz9";
      system = "cl-autorepo";
      asd = "cl-autorepo";
    });
    systems = [ "cl-autorepo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-autowrap = (build-asdf-system {
    pname = "cl-autowrap";
    version = "20221106-git";
    asds = [ "cl-autowrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-autowrap";
      asd = "cl-autowrap";
    });
    systems = [ "cl-autowrap" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "defpackage-plus" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-autowrap-test = (build-asdf-system {
    pname = "cl-autowrap-test";
    version = "20221106-git";
    asds = [ "cl-autowrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-autowrap-test";
      asd = "cl-autowrap-test";
    });
    systems = [ "cl-autowrap-test" ];
    lispLibs = [ (getAttr "cl-autowrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-azure = (build-asdf-system {
    pname = "cl-azure";
    version = "20160825-git";
    asds = [ "cl-azure" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-azure/2016-08-25/cl-azure-20160825-git.tgz";
      sha256 = "19sgzbvgs1f1h3qhx11xhpia2x3n8x729h9fsqkc7fap0ak1h31d";
      system = "cl-azure";
      asd = "cl-azure";
    });
    systems = [ "cl-azure" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "puri" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base16 = (build-asdf-system {
    pname = "cl-base16";
    version = "20200925-git";
    asds = [ "cl-base16" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base16/2020-09-25/cl-base16-20200925-git.tgz";
      sha256 = "0m7ndmk4xhizn3q3ywjvw8sg4pfgp6lrd0wac5d1bf7wbw6afh5q";
      system = "cl-base16";
      asd = "cl-base16";
    });
    systems = [ "cl-base16" ];
    lispLibs = [ (getAttr "cl-mustache" self) (getAttr "cl-slug" self) (getAttr "cl-yaml" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base32 = (build-asdf-system {
    pname = "cl-base32";
    version = "20130420-git";
    asds = [ "cl-base32" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base32/2013-04-20/cl-base32-20130420-git.tgz";
      sha256 = "17jrng8jb05d64ggyd11hp308c2fl5drvf9g175blgrkkl8l4mf8";
      system = "cl-base32";
      asd = "cl-base32";
    });
    systems = [ "cl-base32" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base32-tests = (build-asdf-system {
    pname = "cl-base32-tests";
    version = "20130420-git";
    asds = [ "cl-base32-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base32/2013-04-20/cl-base32-20130420-git.tgz";
      sha256 = "17jrng8jb05d64ggyd11hp308c2fl5drvf9g175blgrkkl8l4mf8";
      system = "cl-base32-tests";
      asd = "cl-base32";
    });
    systems = [ "cl-base32-tests" ];
    lispLibs = [ (getAttr "cl-base32" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base58 = (build-asdf-system {
    pname = "cl-base58";
    version = "20150113-git";
    asds = [ "cl-base58" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base58/2015-01-13/cl-base58-20150113-git.tgz";
      sha256 = "01wiiyz1jzxx3zhxi2hpq5n8hv28g1mn0adk793vwjzh4v5bi5zz";
      system = "cl-base58";
      asd = "cl-base58";
    });
    systems = [ "cl-base58" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base58-test = (build-asdf-system {
    pname = "cl-base58-test";
    version = "20150113-git";
    asds = [ "cl-base58-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base58/2015-01-13/cl-base58-20150113-git.tgz";
      sha256 = "01wiiyz1jzxx3zhxi2hpq5n8hv28g1mn0adk793vwjzh4v5bi5zz";
      system = "cl-base58-test";
      asd = "cl-base58-test";
    });
    systems = [ "cl-base58-test" ];
    lispLibs = [ (getAttr "cl-base58" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-base64 = (build-asdf-system {
    pname = "cl-base64";
    version = "20201016-git";
    asds = [ "cl-base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-base64/2020-10-16/cl-base64-20201016-git.tgz";
      sha256 = "12jj54h0fs6n237cvnp8v6hn0imfksammq22ys6pi0gwz2w47rbj";
      system = "cl-base64";
      asd = "cl-base64";
    });
    systems = [ "cl-base64" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-bayesnet = (build-asdf-system {
    pname = "cl-bayesnet";
    version = "20130420-git";
    asds = [ "cl-bayesnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bayesnet/2013-04-20/cl-bayesnet-20130420-git.tgz";
      sha256 = "02as2isvgm89qpyj49ccs1cg4fl9iswxi26w4j0svsha0q1dh5m8";
      system = "cl-bayesnet";
      asd = "cl-bayesnet";
    });
    systems = [ "cl-bayesnet" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "s-xml" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bcrypt = (build-asdf-system {
    pname = "cl-bcrypt";
    version = "20230214-git";
    asds = [ "cl-bcrypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bcrypt/2023-02-14/cl-bcrypt-20230214-git.tgz";
      sha256 = "1rhjxjlh3nwld9vr8d1cjnfwla2is9kracb0q6jds1rvxw9gknwh";
      system = "cl-bcrypt";
      asd = "cl-bcrypt";
    });
    systems = [ "cl-bcrypt" ];
    lispLibs = [ (getAttr "binascii" self) (getAttr "cl-ppcre" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bcrypt_dot_test = (build-asdf-system {
    pname = "cl-bcrypt.test";
    version = "20230214-git";
    asds = [ "cl-bcrypt.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bcrypt/2023-02-14/cl-bcrypt-20230214-git.tgz";
      sha256 = "1rhjxjlh3nwld9vr8d1cjnfwla2is9kracb0q6jds1rvxw9gknwh";
      system = "cl-bcrypt.test";
      asd = "cl-bcrypt.test";
    });
    systems = [ "cl-bcrypt.test" ];
    lispLibs = [ (getAttr "cl-bcrypt" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-beanstalk = (build-asdf-system {
    pname = "cl-beanstalk";
    version = "20220707-git";
    asds = [ "cl-beanstalk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-beanstalk/2022-07-07/cl-beanstalk-20220707-git.tgz";
      sha256 = "0vca8dw2l765m7g7xcpzi80m8f3145hhshh8ym602336fhiz61q1";
      system = "cl-beanstalk";
      asd = "cl-beanstalk";
    });
    systems = [ "cl-beanstalk" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bip39 = (build-asdf-system {
    pname = "cl-bip39";
    version = "20180711-git";
    asds = [ "cl-bip39" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bip39/2018-07-11/cl-bip39-20180711-git.tgz";
      sha256 = "04h4lhppvavvqknp11gaj4ka2wpn9i883w1w27llblkg2vnn0816";
      system = "cl-bip39";
      asd = "cl-bip39";
    });
    systems = [ "cl-bip39" ];
    lispLibs = [ (getAttr "ironclad" self) (getAttr "secure-random" self) (getAttr "split-sequence" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bloggy = (build-asdf-system {
    pname = "cl-bloggy";
    version = "20211020-git";
    asds = [ "cl-bloggy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloggy/2021-10-20/cl-bloggy-20211020-git.tgz";
      sha256 = "1clz2a0s3g3jbsrpypb4byb432l0yb4658riqs6ckin57c4bzxc8";
      system = "cl-bloggy";
      asd = "cl-bloggy";
    });
    systems = [ "cl-bloggy" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "do-urlencode" self) (getAttr "hunchentoot" self) (getAttr "lass" self) (getAttr "local-time" self) (getAttr "lorem-ipsum" self) (getAttr "spinneret" self) (getAttr "str" self) (getAttr "xml-emitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bloom = (build-asdf-system {
    pname = "cl-bloom";
    version = "20180228-git";
    asds = [ "cl-bloom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloom/2018-02-28/cl-bloom-20180228-git.tgz";
      sha256 = "1ircc5sa0a2xlx0fca0is6inwrk311hbj8jx6r4sas5pfv78k4am";
      system = "cl-bloom";
      asd = "cl-bloom";
    });
    systems = [ "cl-bloom" ];
    lispLibs = [ (getAttr "cl-murmurhash" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bloom-filter = (build-asdf-system {
    pname = "cl-bloom-filter";
    version = "20221106-git";
    asds = [ "cl-bloom-filter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bloom-filter/2022-11-06/cl-bloom-filter-20221106-git.tgz";
      sha256 = "1s9m617fh3krh2klc2nx7jf89nk43cvvrnvqrhvw9jprw7gqanvq";
      system = "cl-bloom-filter";
      asd = "cl-bloom-filter";
    });
    systems = [ "cl-bloom-filter" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bmp = (build-asdf-system {
    pname = "cl-bmp";
    version = "20230618-git";
    asds = [ "cl-bmp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bmp/2023-06-18/cl-bmp-20230618-git.tgz";
      sha256 = "1pkhr4z785skn42pz6lmlv931mrbyh27f97sfgpzrv25fs2cabfm";
      system = "cl-bmp";
      asd = "cl-bmp";
    });
    systems = [ "cl-bmp" ];
    lispLibs = [ (getAttr "binary-structures" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bnf = (build-asdf-system {
    pname = "cl-bnf";
    version = "20230214-git";
    asds = [ "cl-bnf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2023-02-14/cl-bnf-20230214-git.tgz";
      sha256 = "05lskaz5kwl4sk8mb13l4kvr3q0q56dyarmznpp1cjpan6rdyr4x";
      system = "cl-bnf";
      asd = "cl-bnf";
    });
    systems = [ "cl-bnf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bnf-examples = (build-asdf-system {
    pname = "cl-bnf-examples";
    version = "20230214-git";
    asds = [ "cl-bnf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2023-02-14/cl-bnf-20230214-git.tgz";
      sha256 = "05lskaz5kwl4sk8mb13l4kvr3q0q56dyarmznpp1cjpan6rdyr4x";
      system = "cl-bnf-examples";
      asd = "cl-bnf-examples";
    });
    systems = [ "cl-bnf-examples" ];
    lispLibs = [ (getAttr "cl-bnf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bnf-tests = (build-asdf-system {
    pname = "cl-bnf-tests";
    version = "20230214-git";
    asds = [ "cl-bnf-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bnf/2023-02-14/cl-bnf-20230214-git.tgz";
      sha256 = "05lskaz5kwl4sk8mb13l4kvr3q0q56dyarmznpp1cjpan6rdyr4x";
      system = "cl-bnf-tests";
      asd = "cl-bnf-tests";
    });
    systems = [ "cl-bnf-tests" ];
    lispLibs = [ (getAttr "cl-bnf" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bootstrap = (build-asdf-system {
    pname = "cl-bootstrap";
    version = "20180831-git";
    asds = [ "cl-bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap";
      asd = "cl-bootstrap";
    });
    systems = [ "cl-bootstrap" ];
    lispLibs = [ (getAttr "cl-who" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bootstrap-demo = (build-asdf-system {
    pname = "cl-bootstrap-demo";
    version = "20180831-git";
    asds = [ "cl-bootstrap-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap-demo";
      asd = "cl-bootstrap-demo";
    });
    systems = [ "cl-bootstrap-demo" ];
    lispLibs = [ (getAttr "cl-bootstrap" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bootstrap-test = (build-asdf-system {
    pname = "cl-bootstrap-test";
    version = "20180831-git";
    asds = [ "cl-bootstrap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bootstrap/2018-08-31/cl-bootstrap-20180831-git.tgz";
      sha256 = "0pk7wx4arsljxlnbx1hzcgxwsvhdp3gn22wv43xls2jv1rdi2xry";
      system = "cl-bootstrap-test";
      asd = "cl-bootstrap-test";
    });
    systems = [ "cl-bootstrap-test" ];
    lispLibs = [ (getAttr "cl-bootstrap" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bplustree = (build-asdf-system {
    pname = "cl-bplustree";
    version = "20180328-git";
    asds = [ "cl-bplustree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bplustree/2018-03-28/cl-bplustree-20180328-git.tgz";
      sha256 = "1d9pm9fi9bhh73bhcgig0wq5i4fvc4551kxvny3di6x6yr7j2kbl";
      system = "cl-bplustree";
      asd = "cl-bplustree";
    });
    systems = [ "cl-bplustree" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bplustree-test = (build-asdf-system {
    pname = "cl-bplustree-test";
    version = "20180328-git";
    asds = [ "cl-bplustree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bplustree/2018-03-28/cl-bplustree-20180328-git.tgz";
      sha256 = "1d9pm9fi9bhh73bhcgig0wq5i4fvc4551kxvny3di6x6yr7j2kbl";
      system = "cl-bplustree-test";
      asd = "cl-bplustree";
    });
    systems = [ "cl-bplustree-test" ];
    lispLibs = [ (getAttr "cl-bplustree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bson = (build-asdf-system {
    pname = "cl-bson";
    version = "20170403-git";
    asds = [ "cl-bson" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bson/2017-04-03/cl-bson-20170403-git.tgz";
      sha256 = "107mx5kvqw7f7q9mw3qa120gz1z153fwv8jmn5qi2sbfnglkz2gy";
      system = "cl-bson";
      asd = "cl-bson";
    });
    systems = [ "cl-bson" ];
    lispLibs = [ (getAttr "arrow-macros" self) (getAttr "babel" self) (getAttr "cl-intbytes" self) (getAttr "fast-io" self) (getAttr "ieee-floats" self) (getAttr "let-over-lambda" self) (getAttr "local-time" self) (getAttr "named-readtables" self) (getAttr "rutils" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bson-test = (build-asdf-system {
    pname = "cl-bson-test";
    version = "20170403-git";
    asds = [ "cl-bson-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bson/2017-04-03/cl-bson-20170403-git.tgz";
      sha256 = "107mx5kvqw7f7q9mw3qa120gz1z153fwv8jmn5qi2sbfnglkz2gy";
      system = "cl-bson-test";
      asd = "cl-bson-test";
    });
    systems = [ "cl-bson-test" ];
    lispLibs = [ (getAttr "cl-bson" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-buchberger = (build-asdf-system {
    pname = "cl-buchberger";
    version = "20201016-git";
    asds = [ "cl-buchberger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-buchberger/2020-10-16/cl-buchberger-20201016-git.tgz";
      sha256 = "105kwri3hjla1cydc323y8dfi4cjg0g4hxjzdh13inmvxwcf049w";
      system = "cl-buchberger";
      asd = "cl-buchberger";
    });
    systems = [ "cl-buchberger" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-bus = (build-asdf-system {
    pname = "cl-bus";
    version = "20211209-git";
    asds = [ "cl-bus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-bus/2021-12-09/cl-bus-20211209-git.tgz";
      sha256 = "1galzqm1qv2slibn3awfyxnmlslxmzw09a8fidmbdy1r0ppp5r7z";
      system = "cl-bus";
      asd = "cl-bus";
    });
    systems = [ "cl-bus" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ca = (build-asdf-system {
    pname = "cl-ca";
    version = "20161204-git";
    asds = [ "cl-ca" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ca/2016-12-04/cl-ca-20161204-git.tgz";
      sha256 = "0kpwpxw3c8q7b2ajyj9rzhs1r1h6kipdm9qjkgsn0sqrmx9acfnz";
      system = "cl-ca";
      asd = "cl-ca";
    });
    systems = [ "cl-ca" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cache-tables = (build-asdf-system {
    pname = "cl-cache-tables";
    version = "20171019-git";
    asds = [ "cl-cache-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cache-tables/2017-10-19/cl-cache-tables-20171019-git.tgz";
      sha256 = "008m7v39mq2475y1f4if5iazb15rm02g22id4q4qgig1zx2vfpg1";
      system = "cl-cache-tables";
      asd = "cl-cache-tables";
    });
    systems = [ "cl-cache-tables" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cache-tables-tests = (build-asdf-system {
    pname = "cl-cache-tables-tests";
    version = "20171019-git";
    asds = [ "cl-cache-tables-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cache-tables/2017-10-19/cl-cache-tables-20171019-git.tgz";
      sha256 = "008m7v39mq2475y1f4if5iazb15rm02g22id4q4qgig1zx2vfpg1";
      system = "cl-cache-tables-tests";
      asd = "cl-cache-tables";
    });
    systems = [ "cl-cache-tables-tests" ];
    lispLibs = [ (getAttr "cl-cache-tables" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cairo2 = (build-asdf-system {
    pname = "cl-cairo2";
    version = "20211020-git";
    asds = [ "cl-cairo2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2";
      asd = "cl-cairo2";
    });
    systems = [ "cl-cairo2" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-colors" self) (getAttr "cl-utilities" self) (getAttr "metabang-bind" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-cairo2-demos = (build-asdf-system {
    pname = "cl-cairo2-demos";
    version = "20211020-git";
    asds = [ "cl-cairo2-demos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2-demos";
      asd = "cl-cairo2-demos";
    });
    systems = [ "cl-cairo2-demos" ];
    lispLibs = [ (getAttr "cl-cairo2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cairo2-xlib = (build-asdf-system {
    pname = "cl-cairo2-xlib";
    version = "20211020-git";
    asds = [ "cl-cairo2-xlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cairo2/2021-10-20/cl-cairo2-20211020-git.tgz";
      sha256 = "0cpfgyxw6pz7y033dlya8c4vjmkpw127zdq3a9xclp9q8jbdlb7q";
      system = "cl-cairo2-xlib";
      asd = "cl-cairo2-xlib";
    });
    systems = [ "cl-cairo2-xlib" ];
    lispLibs = [ (getAttr "cl-cairo2" self) (getAttr "cl-freetype2" self) ];
    meta = {};
  });
  cl-case-control = (build-asdf-system {
    pname = "cl-case-control";
    version = "20141106-git";
    asds = [ "cl-case-control" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-case-control/2014-11-06/cl-case-control-20141106-git.tgz";
      sha256 = "0510m1dfz4abw3s7w0axr1b1nsmi72avr850r0sn6p2pq091pc71";
      system = "cl-case-control";
      asd = "cl-case-control";
    });
    systems = [ "cl-case-control" ];
    lispLibs = [ (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-catmull-rom-spline = (build-asdf-system {
    pname = "cl-catmull-rom-spline";
    version = "20220220-git";
    asds = [ "cl-catmull-rom-spline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-catmull-rom-spline/2022-02-20/cl-catmull-rom-spline-20220220-git.tgz";
      sha256 = "0702swja11zpfdx04l0901ipvi0acg17mk9ryvhibnbzq70npyjs";
      system = "cl-catmull-rom-spline";
      asd = "cl-catmull-rom-spline";
    });
    systems = [ "cl-catmull-rom-spline" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cerf = (build-asdf-system {
    pname = "cl-cerf";
    version = "20210531-git";
    asds = [ "cl-cerf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cerf/2021-05-31/cl-cerf-20210531-git.tgz";
      sha256 = "0n1b6ig1d0dqkjn06iqsk0m4y7j7msi2gcq7niivcwc4s0ry0ljn";
      system = "cl-cerf";
      asd = "cl-cerf";
    });
    systems = [ "cl-cerf" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk = (build-asdf-system {
    pname = "cl-cffi-gtk";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk";
      asd = "cl-cffi-gtk";
    });
    systems = [ "cl-cffi-gtk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" self) (getAttr "cl-cffi-gtk-gdk" self) (getAttr "cl-cffi-gtk-gdk-pixbuf" self) (getAttr "cl-cffi-gtk-gio" self) (getAttr "cl-cffi-gtk-glib" self) (getAttr "cl-cffi-gtk-gobject" self) (getAttr "cl-cffi-gtk-pango" self) ];
    meta = {};
  });
  cl-cffi-gtk-cairo = (build-asdf-system {
    pname = "cl-cffi-gtk-cairo";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-cairo";
      asd = "cl-cffi-gtk-cairo";
    });
    systems = [ "cl-cffi-gtk-cairo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" self) ];
    meta = {};
  });
  cl-cffi-gtk-demo-cairo = (build-asdf-system {
    pname = "cl-cffi-gtk-demo-cairo";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-demo-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-demo-cairo";
      asd = "cl-cffi-gtk-demo-cairo";
    });
    systems = [ "cl-cffi-gtk-demo-cairo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk-demo-glib = (build-asdf-system {
    pname = "cl-cffi-gtk-demo-glib";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-demo-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-demo-glib";
      asd = "cl-cffi-gtk-demo-glib";
    });
    systems = [ "cl-cffi-gtk-demo-glib" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk-demo-gobject = (build-asdf-system {
    pname = "cl-cffi-gtk-demo-gobject";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-demo-gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-demo-gobject";
      asd = "cl-cffi-gtk-demo-gobject";
    });
    systems = [ "cl-cffi-gtk-demo-gobject" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-gobject" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk-example-gtk = (build-asdf-system {
    pname = "cl-cffi-gtk-example-gtk";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-example-gtk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-example-gtk";
      asd = "cl-cffi-gtk-example-gtk";
    });
    systems = [ "cl-cffi-gtk-example-gtk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk-gdk = (build-asdf-system {
    pname = "cl-cffi-gtk-gdk";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-gdk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-gdk";
      asd = "cl-cffi-gtk-gdk";
    });
    systems = [ "cl-cffi-gtk-gdk" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" self) (getAttr "cl-cffi-gtk-gdk-pixbuf" self) (getAttr "cl-cffi-gtk-gio" self) (getAttr "cl-cffi-gtk-glib" self) (getAttr "cl-cffi-gtk-gobject" self) (getAttr "cl-cffi-gtk-pango" self) ];
    meta = {};
  });
  cl-cffi-gtk-gdk-pixbuf = (build-asdf-system {
    pname = "cl-cffi-gtk-gdk-pixbuf";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-gdk-pixbuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-gdk-pixbuf";
      asd = "cl-cffi-gtk-gdk-pixbuf";
    });
    systems = [ "cl-cffi-gtk-gdk-pixbuf" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" self) (getAttr "cl-cffi-gtk-gobject" self) ];
    meta = {};
  });
  cl-cffi-gtk-gio = (build-asdf-system {
    pname = "cl-cffi-gtk-gio";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-gio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-gio";
      asd = "cl-cffi-gtk-gio";
    });
    systems = [ "cl-cffi-gtk-gio" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" self) (getAttr "cl-cffi-gtk-gobject" self) ];
    meta = {};
  });
  cl-cffi-gtk-glib = (build-asdf-system {
    pname = "cl-cffi-gtk-glib";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-glib";
      asd = "cl-cffi-gtk-glib";
    });
    systems = [ "cl-cffi-gtk-glib" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "iterate" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  cl-cffi-gtk-gobject = (build-asdf-system {
    pname = "cl-cffi-gtk-gobject";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-gobject";
      asd = "cl-cffi-gtk-gobject";
    });
    systems = [ "cl-cffi-gtk-gobject" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-glib" self) (getAttr "closer-mop" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-cffi-gtk-opengl-demo = (build-asdf-system {
    pname = "cl-cffi-gtk-opengl-demo";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-opengl-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-opengl-demo";
      asd = "cl-cffi-gtk-opengl-demo";
    });
    systems = [ "cl-cffi-gtk-opengl-demo" ];
    lispLibs = [ (getAttr "cl-cffi-gtk" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cffi-gtk-pango = (build-asdf-system {
    pname = "cl-cffi-gtk-pango";
    version = "20230214-git";
    asds = [ "cl-cffi-gtk-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cffi-gtk/2023-02-14/cl-cffi-gtk-20230214-git.tgz";
      sha256 = "1cn2f6b62axjzdzfv971218ably32dvqfdy499li25vjd8nb2qm3";
      system = "cl-cffi-gtk-pango";
      asd = "cl-cffi-gtk-pango";
    });
    systems = [ "cl-cffi-gtk-pango" ];
    lispLibs = [ (getAttr "cl-cffi-gtk-cairo" self) (getAttr "cl-cffi-gtk-glib" self) (getAttr "cl-cffi-gtk-gobject" self) ];
    meta = {};
  });
  cl-change-case = (build-asdf-system {
    pname = "cl-change-case";
    version = "20210411-git";
    asds = [ "cl-change-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-change-case/2021-04-11/cl-change-case-20210411-git.tgz";
      sha256 = "027qvcx261g0gwjvwn2n4w0biw1xq3c5s41smbb3ppxszyax82dx";
      system = "cl-change-case";
      asd = "cl-change-case";
    });
    systems = [ "cl-change-case" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-ppcre-unicode" self) ];
    meta = {};
  });
  cl-charms = (build-asdf-system {
    pname = "cl-charms";
    version = "20230618-git";
    asds = [ "cl-charms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2023-06-18/cl-charms-20230618-git.tgz";
      sha256 = "0g6kw0b3b8wjb89rv6slyjl55pymadkcf35ig4d22z8igac7kj8b";
      system = "cl-charms";
      asd = "cl-charms";
    });
    systems = [ "cl-charms" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-charms-marquee = (build-asdf-system {
    pname = "cl-charms-marquee";
    version = "20230618-git";
    asds = [ "cl-charms-marquee" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2023-06-18/cl-charms-20230618-git.tgz";
      sha256 = "0g6kw0b3b8wjb89rv6slyjl55pymadkcf35ig4d22z8igac7kj8b";
      system = "cl-charms-marquee";
      asd = "cl-charms-marquee";
    });
    systems = [ "cl-charms-marquee" ];
    lispLibs = [ (getAttr "cl-charms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-charms-paint = (build-asdf-system {
    pname = "cl-charms-paint";
    version = "20230618-git";
    asds = [ "cl-charms-paint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2023-06-18/cl-charms-20230618-git.tgz";
      sha256 = "0g6kw0b3b8wjb89rv6slyjl55pymadkcf35ig4d22z8igac7kj8b";
      system = "cl-charms-paint";
      asd = "cl-charms-paint";
    });
    systems = [ "cl-charms-paint" ];
    lispLibs = [ (getAttr "cl-charms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-charms-timer = (build-asdf-system {
    pname = "cl-charms-timer";
    version = "20230618-git";
    asds = [ "cl-charms-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-charms/2023-06-18/cl-charms-20230618-git.tgz";
      sha256 = "0g6kw0b3b8wjb89rv6slyjl55pymadkcf35ig4d22z8igac7kj8b";
      system = "cl-charms-timer";
      asd = "cl-charms-timer";
    });
    systems = [ "cl-charms-timer" ];
    lispLibs = [ (getAttr "cl-charms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cheshire-cat = (build-asdf-system {
    pname = "cl-cheshire-cat";
    version = "20121125-git";
    asds = [ "cl-cheshire-cat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cheshire-cat/2012-11-25/cl-cheshire-cat-20121125-git.tgz";
      sha256 = "1kgm1pa2c4r90nfs38x7fsw730nw13z7p6f11rv67hdjcydh2f11";
      system = "cl-cheshire-cat";
      asd = "cl-cheshire-cat";
    });
    systems = [ "cl-cheshire-cat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-store" self) (getAttr "hunchentoot" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-clblas = (build-asdf-system {
    pname = "cl-clblas";
    version = "20181018-git";
    asds = [ "cl-clblas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clblas/2018-10-18/cl-clblas-20181018-git.tgz";
      sha256 = "0cn4hvywaw97ccnj2wxjf20lh7h7n5fs6rq6kgjyfs9cxcixmvrj";
      system = "cl-clblas";
      asd = "cl-clblas";
    });
    systems = [ "cl-clblas" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-clblas-test = (build-asdf-system {
    pname = "cl-clblas-test";
    version = "20181018-git";
    asds = [ "cl-clblas-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clblas/2018-10-18/cl-clblas-20181018-git.tgz";
      sha256 = "0cn4hvywaw97ccnj2wxjf20lh7h7n5fs6rq6kgjyfs9cxcixmvrj";
      system = "cl-clblas-test";
      asd = "cl-clblas-test";
    });
    systems = [ "cl-clblas-test" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-clblas" self) (getAttr "cl-oclapi" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cli = (build-asdf-system {
    pname = "cl-cli";
    version = "20151218-git";
    asds = [ "cl-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cli/2015-12-18/cl-cli-20151218-git.tgz";
      sha256 = "0zlifq55r78vfdlqf8jy6rkny73438f1i9cp9a8vybmila5dij3q";
      system = "cl-cli";
      asd = "cl-cli";
    });
    systems = [ "cl-cli" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {};
  });
  cl-clsparse = (build-asdf-system {
    pname = "cl-clsparse";
    version = "20190813-git";
    asds = [ "cl-clsparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clsparse/2019-08-13/cl-clsparse-20190813-git.tgz";
      sha256 = "0cmmwx2ka1jp5711x21knw3zi6kcpkpcs39dm62w82s97bv794gz";
      system = "cl-clsparse";
      asd = "cl-clsparse";
    });
    systems = [ "cl-clsparse" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cognito = (build-asdf-system {
    pname = "cl-cognito";
    version = "20181210-git";
    asds = [ "cl-cognito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cognito/2018-12-10/cl-cognito-20181210-git.tgz";
      sha256 = "0zy4yg4zggvxwbvkjkd89d2ps236kz6pvz90zn6gzq812wnidsd3";
      system = "cl-cognito";
      asd = "cl-cognito";
    });
    systems = [ "cl-cognito" ];
    lispLibs = [ (getAttr "aws-foundation" self) (getAttr "cl-base64" self) (getAttr "cl-json-helper" self) (getAttr "ironclad" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-coinpayments = (build-asdf-system {
    pname = "cl-coinpayments";
    version = "20210807-git";
    asds = [ "cl-coinpayments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coinpayments/2021-08-07/cl-coinpayments-20210807-git.tgz";
      sha256 = "1vgsh95vjqqg0a6lqg1ivs36yjx6ck8cqhsmlr5l3ldfd8yr65q7";
      system = "cl-coinpayments";
      asd = "cl-coinpayments";
    });
    systems = [ "cl-coinpayments" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-collider = (build-asdf-system {
    pname = "cl-collider";
    version = "20230618-git";
    asds = [ "cl-collider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-collider/2023-06-18/cl-collider-20230618-git.tgz";
      sha256 = "0q6qp5cy7fc98dqb81j5blqg2da6jf22zzp8r8czzvsg5pgjipgz";
      system = "cl-collider";
      asd = "cl-collider";
    });
    systems = [ "cl-collider" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "named-readtables" self) (getAttr "pileup" self) (getAttr "sc-osc" self) (getAttr "simple-inferiors" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-colors = (build-asdf-system {
    pname = "cl-colors";
    version = "20180328-git";
    asds = [ "cl-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors/2018-03-28/cl-colors-20180328-git.tgz";
      sha256 = "0l446lday4hybsm9bq3jli97fvv8jb1d33abg79vbylpwjmf3y9a";
      system = "cl-colors";
      asd = "cl-colors";
    });
    systems = [ "cl-colors" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "let-plus" self) ];
    meta = {};
  });
  cl-colors-tests = (build-asdf-system {
    pname = "cl-colors-tests";
    version = "20180328-git";
    asds = [ "cl-colors-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors/2018-03-28/cl-colors-20180328-git.tgz";
      sha256 = "0l446lday4hybsm9bq3jli97fvv8jb1d33abg79vbylpwjmf3y9a";
      system = "cl-colors-tests";
      asd = "cl-colors";
    });
    systems = [ "cl-colors-tests" ];
    lispLibs = [ (getAttr "cl-colors" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-colors2 = (build-asdf-system {
    pname = "cl-colors2";
    version = "20230618-git";
    asds = [ "cl-colors2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-colors2/2023-06-18/cl-colors2-20230618-git.tgz";
      sha256 = "00gaynvc91s4cizpmzkbw94ay77jpdvx0jw2qhx06xa4q4kazv01";
      system = "cl-colors2";
      asd = "cl-colors2";
    });
    systems = [ "cl-colors2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  cl-conllu = (build-asdf-system {
    pname = "cl-conllu";
    version = "20211209-git";
    asds = [ "cl-conllu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conllu/2021-12-09/cl-conllu-20211209-git.tgz";
      sha256 = "0n69k0apifnirs2g3rfdsxiwy6dimd9qqxaqywaingvbd7yn42jn";
      system = "cl-conllu";
      asd = "cl-conllu";
    });
    systems = [ "cl-conllu" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-log" self) (getAttr "cl-markup" self) (getAttr "cl-ppcre" self) (getAttr "lispbuilder-lexer" self) (getAttr "optima_dot_ppcre" self) (getAttr "split-sequence" self) (getAttr "uuid" self) (getAttr "wilbur" self) (getAttr "xmls" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-conspack = (build-asdf-system {
    pname = "cl-conspack";
    version = "20230214-git";
    asds = [ "cl-conspack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conspack/2023-02-14/cl-conspack-20230214-git.tgz";
      sha256 = "0y5wp5c89ph44k2xjppy1c1jf2ac3q9yrk22da2rkwnbxn0h1a8d";
      system = "cl-conspack";
      asd = "cl-conspack";
    });
    systems = [ "cl-conspack" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "fast-io" self) (getAttr "ieee-floats" self) (getAttr "trivial-garbage" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-conspack-test = (build-asdf-system {
    pname = "cl-conspack-test";
    version = "20230214-git";
    asds = [ "cl-conspack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-conspack/2023-02-14/cl-conspack-20230214-git.tgz";
      sha256 = "0y5wp5c89ph44k2xjppy1c1jf2ac3q9yrk22da2rkwnbxn0h1a8d";
      system = "cl-conspack-test";
      asd = "cl-conspack-test";
    });
    systems = [ "cl-conspack-test" ];
    lispLibs = [ (getAttr "cl-conspack" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cont = (build-asdf-system {
    pname = "cl-cont";
    version = "20110219-darcs";
    asds = [ "cl-cont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cont/2011-02-19/cl-cont-20110219-darcs.tgz";
      sha256 = "1zf8zvb0i6jm3hhfks4w74hibm6avgc6f9s1qwgjrn2bcik8lrvz";
      system = "cl-cont";
      asd = "cl-cont";
    });
    systems = [ "cl-cont" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cont-test = (build-asdf-system {
    pname = "cl-cont-test";
    version = "20110219-darcs";
    asds = [ "cl-cont-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cont/2011-02-19/cl-cont-20110219-darcs.tgz";
      sha256 = "1zf8zvb0i6jm3hhfks4w74hibm6avgc6f9s1qwgjrn2bcik8lrvz";
      system = "cl-cont-test";
      asd = "cl-cont-test";
    });
    systems = [ "cl-cont-test" ];
    lispLibs = [ (getAttr "cl-cont" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-containers = (build-asdf-system {
    pname = "cl-containers";
    version = "20230214-git";
    asds = [ "cl-containers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2023-02-14/cl-containers-20230214-git.tgz";
      sha256 = "0gz601vdqkh8mbym61jzvp834wphbyrz3rw26f5b1qh5kxidzdwa";
      system = "cl-containers";
      asd = "cl-containers";
    });
    systems = [ "cl-containers" ];
    lispLibs = [ (getAttr "asdf-system-connections" self) (getAttr "metatilities-base" self) ];
    meta = {};
  });
  cl-containers-test = (build-asdf-system {
    pname = "cl-containers-test";
    version = "20230214-git";
    asds = [ "cl-containers-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-containers/2023-02-14/cl-containers-20230214-git.tgz";
      sha256 = "0gz601vdqkh8mbym61jzvp834wphbyrz3rw26f5b1qh5kxidzdwa";
      system = "cl-containers-test";
      asd = "cl-containers-test";
    });
    systems = [ "cl-containers-test" ];
    lispLibs = [ (getAttr "cl-containers" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cookie = (build-asdf-system {
    pname = "cl-cookie";
    version = "20220707-git";
    asds = [ "cl-cookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cookie/2022-07-07/cl-cookie-20220707-git.tgz";
      sha256 = "07hqamcdpdxmx2j7prawgl6cdr13b2jbrhrrhfik5n00ah4yw524";
      system = "cl-cookie";
      asd = "cl-cookie";
    });
    systems = [ "cl-cookie" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "proc-parse" self) (getAttr "quri" self) ];
    meta = {};
  });
  cl-cookie-test = (build-asdf-system {
    pname = "cl-cookie-test";
    version = "20220707-git";
    asds = [ "cl-cookie-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cookie/2022-07-07/cl-cookie-20220707-git.tgz";
      sha256 = "07hqamcdpdxmx2j7prawgl6cdr13b2jbrhrrhfik5n00ah4yw524";
      system = "cl-cookie-test";
      asd = "cl-cookie-test";
    });
    systems = [ "cl-cookie-test" ];
    lispLibs = [ (getAttr "cl-cookie" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-coroutine = (build-asdf-system {
    pname = "cl-coroutine";
    version = "20160929-git";
    asds = [ "cl-coroutine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coroutine/2016-09-29/cl-coroutine-20160929-git.tgz";
      sha256 = "1cqdhdjxffgfs116l1swjlsmcbly0xgcgrckvaajd566idj9yj4l";
      system = "cl-coroutine";
      asd = "cl-coroutine";
    });
    systems = [ "cl-coroutine" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-cont" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-coroutine-test = (build-asdf-system {
    pname = "cl-coroutine-test";
    version = "20160929-git";
    asds = [ "cl-coroutine-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coroutine/2016-09-29/cl-coroutine-20160929-git.tgz";
      sha256 = "1cqdhdjxffgfs116l1swjlsmcbly0xgcgrckvaajd566idj9yj4l";
      system = "cl-coroutine-test";
      asd = "cl-coroutine-test";
    });
    systems = [ "cl-coroutine-test" ];
    lispLibs = [ (getAttr "cl-coroutine" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-coveralls = (build-asdf-system {
    pname = "cl-coveralls";
    version = "20210411-git";
    asds = [ "cl-coveralls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coveralls/2021-04-11/cl-coveralls-20210411-git.tgz";
      sha256 = "1n4jks92827xbi2zzy6gsx3r2gl97difl04da9wz94n9rjj3bcz0";
      system = "cl-coveralls";
      asd = "cl-coveralls";
    });
    systems = [ "cl-coveralls" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "lquery" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-coveralls-test = (build-asdf-system {
    pname = "cl-coveralls-test";
    version = "20210411-git";
    asds = [ "cl-coveralls-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-coveralls/2021-04-11/cl-coveralls-20210411-git.tgz";
      sha256 = "1n4jks92827xbi2zzy6gsx3r2gl97difl04da9wz94n9rjj3bcz0";
      system = "cl-coveralls-test";
      asd = "cl-coveralls-test";
    });
    systems = [ "cl-coveralls-test" ];
    lispLibs = [ (getAttr "cl-coveralls" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-covid19 = (build-asdf-system {
    pname = "cl-covid19";
    version = "20220331-git";
    asds = [ "cl-covid19" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-covid19/2022-03-31/cl-covid19-20220331-git.tgz";
      sha256 = "0nxdharz29nrdylrwnhgdayfsfwm0vd5g487mi4i5lly8q0i9vl0";
      system = "cl-covid19";
      asd = "cl-covid19";
    });
    systems = [ "cl-covid19" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ascii-table" self) (getAttr "cl-csv" self) (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_dbi" self) (getAttr "cl-migratum_dot_provider_dot_local-path" self) (getAttr "dexador" self) (getAttr "djula" self) (getAttr "jonathan" self) (getAttr "quri" self) (getAttr "tmpdir" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cpu-affinity = (build-asdf-system {
    pname = "cl-cpu-affinity";
    version = "20210411-git";
    asds = [ "cl-cpu-affinity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "cl-cpu-affinity";
      asd = "cl-cpu-affinity";
    });
    systems = [ "cl-cpu-affinity" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cpus = (build-asdf-system {
    pname = "cl-cpus";
    version = "20230618-git";
    asds = [ "cl-cpus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cpus/2023-06-18/cl-cpus-20230618-git.tgz";
      sha256 = "1gxyb85hpjmhz7vhny9cscrzldx06f7c5q93pl1qs0s3b7avh5vd";
      system = "cl-cpus";
      asd = "cl-cpus";
    });
    systems = [ "cl-cpus" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cram = (build-asdf-system {
    pname = "cl-cram";
    version = "20230618-git";
    asds = [ "cl-cram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cram/2023-06-18/cl-cram-20230618-git.tgz";
      sha256 = "139p4hbb6ac57ay5vgr969d3rki9ypk9ninaqm5vkax2hcx7mq3i";
      system = "cl-cram";
      asd = "cl-cram";
    });
    systems = [ "cl-cram" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-crc64 = (build-asdf-system {
    pname = "cl-crc64";
    version = "20140713-git";
    asds = [ "cl-crc64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-crc64/2014-07-13/cl-crc64-20140713-git.tgz";
      sha256 = "1cqky5ps28r49z6ib4vjwfjpq3ml81p2ayf0nqppf2lc4vf3kb20";
      system = "cl-crc64";
      asd = "cl-crc64";
    });
    systems = [ "cl-crc64" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-creditcard = (build-asdf-system {
    pname = "cl-creditcard";
    version = "20150113-git";
    asds = [ "cl-creditcard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-creditcard/2015-01-13/cl-creditcard-20150113-git.tgz";
      sha256 = "1qq9r7q50k7jw6sv65aqi9xalaw8m6aqsbb0cgpjxv8wdhy934cr";
      system = "cl-creditcard";
      asd = "cl-creditcard";
    });
    systems = [ "cl-creditcard" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cron = (build-asdf-system {
    pname = "cl-cron";
    version = "20221106-git";
    asds = [ "cl-cron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cron/2022-11-06/cl-cron-20221106-git.tgz";
      sha256 = "1yl7ajy8b2mf5i9f8x3458s4y00rkkpy70xbzz3fi08l9rp2sp3z";
      system = "cl-cron";
      asd = "cl-cron";
    });
    systems = [ "cl-cron" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-css = (build-asdf-system {
    pname = "cl-css";
    version = "20140914-git";
    asds = [ "cl-css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-css/2014-09-14/cl-css-20140914-git.tgz";
      sha256 = "1lc42zi2sw11fl2589sc19nr5sd2p0wy7wgvgwaggxa5f3ajhsmd";
      system = "cl-css";
      asd = "cl-css";
    });
    systems = [ "cl-css" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-csv = (build-asdf-system {
    pname = "cl-csv";
    version = "20201016-git";
    asds = [ "cl-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv";
      asd = "cl-csv";
    });
    systems = [ "cl-csv" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "iterate" self) ];
    meta = {};
  });
  cl-csv-clsql = (build-asdf-system {
    pname = "cl-csv-clsql";
    version = "20201016-git";
    asds = [ "cl-csv-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv-clsql";
      asd = "cl-csv-clsql";
    });
    systems = [ "cl-csv-clsql" ];
    lispLibs = [ (getAttr "cl-csv" self) (getAttr "clsql-helper" self) (getAttr "data-table-clsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-csv-data-table = (build-asdf-system {
    pname = "cl-csv-data-table";
    version = "20201016-git";
    asds = [ "cl-csv-data-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-csv/2020-10-16/cl-csv-20201016-git.tgz";
      sha256 = "0gcmlbwx5m3kwgk12qi80w08ak8fgdnvyia429fz6gnxmhg0k54x";
      system = "cl-csv-data-table";
      asd = "cl-csv-data-table";
    });
    systems = [ "cl-csv-data-table" ];
    lispLibs = [ (getAttr "cl-csv" self) (getAttr "data-table" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cuda = (build-asdf-system {
    pname = "cl-cuda";
    version = "20210807-git";
    asds = [ "cl-cuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda";
      asd = "cl-cuda";
    });
    systems = [ "cl-cuda" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-pattern" self) (getAttr "cl-ppcre" self) (getAttr "cl-reexport" self) (getAttr "external-program" self) (getAttr "osicat" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  cl-cuda-examples = (build-asdf-system {
    pname = "cl-cuda-examples";
    version = "20210807-git";
    asds = [ "cl-cuda-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-examples";
      asd = "cl-cuda-examples";
    });
    systems = [ "cl-cuda-examples" ];
    lispLibs = [ (getAttr "cl-cuda" self) (getAttr "imago" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cuda-interop = (build-asdf-system {
    pname = "cl-cuda-interop";
    version = "20210807-git";
    asds = [ "cl-cuda-interop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-interop";
      asd = "cl-cuda-interop";
    });
    systems = [ "cl-cuda-interop" ];
    lispLibs = [ (getAttr "cl-cuda" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cuda-interop-examples = (build-asdf-system {
    pname = "cl-cuda-interop-examples";
    version = "20210807-git";
    asds = [ "cl-cuda-interop-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-interop-examples";
      asd = "cl-cuda-interop-examples";
    });
    systems = [ "cl-cuda-interop-examples" ];
    lispLibs = [ (getAttr "cl-cuda-interop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-cuda-misc = (build-asdf-system {
    pname = "cl-cuda-misc";
    version = "20210807-git";
    asds = [ "cl-cuda-misc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cuda/2021-08-07/cl-cuda-20210807-git.tgz";
      sha256 = "019m2khbiadm0yxfhbbfsidnmxq9spn3hn8r6vx4cw3i22jin0hg";
      system = "cl-cuda-misc";
      asd = "cl-cuda-misc";
    });
    systems = [ "cl-cuda-misc" ];
    lispLibs = [ (getAttr "cl-emb" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-custom-hash-table = (build-asdf-system {
    pname = "cl-custom-hash-table";
    version = "20201220-git";
    asds = [ "cl-custom-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-custom-hash-table/2020-12-20/cl-custom-hash-table-20201220-git.tgz";
      sha256 = "1lyp3lhqq3p2n04agaar5v50ai3vd6zvi6yq4phw3fcl2jzdjhk3";
      system = "cl-custom-hash-table";
      asd = "cl-custom-hash-table";
    });
    systems = [ "cl-custom-hash-table" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-custom-hash-table-test = (build-asdf-system {
    pname = "cl-custom-hash-table-test";
    version = "20201220-git";
    asds = [ "cl-custom-hash-table-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-custom-hash-table/2020-12-20/cl-custom-hash-table-20201220-git.tgz";
      sha256 = "1lyp3lhqq3p2n04agaar5v50ai3vd6zvi6yq4phw3fcl2jzdjhk3";
      system = "cl-custom-hash-table-test";
      asd = "cl-custom-hash-table-test";
    });
    systems = [ "cl-custom-hash-table-test" ];
    lispLibs = [ (getAttr "cl-custom-hash-table" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-darksky = (build-asdf-system {
    pname = "cl-darksky";
    version = "20180711-git";
    asds = [ "cl-darksky" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-darksky/2018-07-11/cl-darksky-20180711-git.tgz";
      sha256 = "049rziv10z0ygvm0fi98jlxdd5xcqf9gp6ah7jwn9bcxwg5y0wcf";
      system = "cl-darksky";
      asd = "cl-darksky";
    });
    systems = [ "cl-darksky" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "dexador" self) (getAttr "jonathan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-darksky-test = (build-asdf-system {
    pname = "cl-darksky-test";
    version = "20180711-git";
    asds = [ "cl-darksky-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-darksky/2018-07-11/cl-darksky-20180711-git.tgz";
      sha256 = "049rziv10z0ygvm0fi98jlxdd5xcqf9gp6ah7jwn9bcxwg5y0wcf";
      system = "cl-darksky-test";
      asd = "cl-darksky-test";
    });
    systems = [ "cl-darksky-test" ];
    lispLibs = [ (getAttr "cl-darksky" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-data-structures = (build-asdf-system {
    pname = "cl-data-structures";
    version = "20230618-git";
    asds = [ "cl-data-structures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-structures/2023-06-18/cl-data-structures-20230618-git.tgz";
      sha256 = "1z4sgwc6q7r3k2cx04b00a6gql20g5nxa6i7n7s5k6x3px96r5gc";
      system = "cl-data-structures";
      asd = "cl-data-structures";
    });
    systems = [ "cl-data-structures" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "documentation-utils-extensions" self) (getAttr "flexichain" self) (getAttr "iterate" self) (getAttr "lparallel" self) (getAttr "metabang-bind" self) (getAttr "more-conditions" self) (getAttr "serapeum" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-data-structures-tests = (build-asdf-system {
    pname = "cl-data-structures-tests";
    version = "20230618-git";
    asds = [ "cl-data-structures-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-structures/2023-06-18/cl-data-structures-20230618-git.tgz";
      sha256 = "1z4sgwc6q7r3k2cx04b00a6gql20g5nxa6i7n7s5k6x3px96r5gc";
      system = "cl-data-structures-tests";
      asd = "cl-data-structures-tests";
    });
    systems = [ "cl-data-structures-tests" ];
    lispLibs = [ (getAttr "cl-data-structures" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-date-time-parser = (build-asdf-system {
    pname = "cl-date-time-parser";
    version = "20140713-git";
    asds = [ "cl-date-time-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-date-time-parser/2014-07-13/cl-date-time-parser-20140713-git.tgz";
      sha256 = "0dswpbbb57jm609xxfah25dxxhjzc7qh5lr1a1ffkpms84l0r7m5";
      system = "cl-date-time-parser";
      asd = "cl-date-time-parser";
    });
    systems = [ "cl-date-time-parser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "parse-float" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dbi = (build-asdf-system {
    pname = "cl-dbi";
    version = "20230618-git";
    asds = [ "cl-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "cl-dbi";
      asd = "cl-dbi";
    });
    systems = [ "cl-dbi" ];
    lispLibs = [ (getAttr "dbi" self) ];
    meta = {};
  });
  cl-debug-print = (build-asdf-system {
    pname = "cl-debug-print";
    version = "20210807-git";
    asds = [ "cl-debug-print" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-debug-print";
      asd = "cl-debug-print";
    });
    systems = [ "cl-debug-print" ];
    lispLibs = [ (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-debug-print-test = (build-asdf-system {
    pname = "cl-debug-print-test";
    version = "20210807-git";
    asds = [ "cl-debug-print-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-debug-print-test";
      asd = "cl-debug-print-test";
    });
    systems = [ "cl-debug-print-test" ];
    lispLibs = [ (getAttr "cl-debug-print" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dejavu = (build-asdf-system {
    pname = "cl-dejavu";
    version = "20210124-git";
    asds = [ "cl-dejavu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dejavu/2021-01-24/cl-dejavu-20210124-git.tgz";
      sha256 = "1lbxiq21bxj8r11c58cqskgn8gnl2p8q1ydkhdsv7i7xnhv2y7r0";
      system = "cl-dejavu";
      asd = "cl-dejavu";
    });
    systems = [ "cl-dejavu" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-devil = (build-asdf-system {
    pname = "cl-devil";
    version = "20150302-git";
    asds = [ "cl-devil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-devil";
      asd = "cl-devil";
    });
    systems = [ "cl-devil" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-diceware = (build-asdf-system {
    pname = "cl-diceware";
    version = "20150923-git";
    asds = [ "cl-diceware" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-diceware/2015-09-23/cl-diceware-20150923-git.tgz";
      sha256 = "0560ji51ksp8kngn2pyi41vw9zlnwiqj64ici43lzjx0qgv5v84l";
      system = "cl-diceware";
      asd = "cl-diceware";
    });
    systems = [ "cl-diceware" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-difflib = (build-asdf-system {
    pname = "cl-difflib";
    version = "20130128-git";
    asds = [ "cl-difflib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-difflib/2013-01-28/cl-difflib-20130128-git.tgz";
      sha256 = "08if0abhqg191xcz9s7xv8faqq51nswzp8hw423fkqjzr24pmq48";
      system = "cl-difflib";
      asd = "cl-difflib";
    });
    systems = [ "cl-difflib" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-difflib-tests = (build-asdf-system {
    pname = "cl-difflib-tests";
    version = "20130128-git";
    asds = [ "cl-difflib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-difflib/2013-01-28/cl-difflib-20130128-git.tgz";
      sha256 = "08if0abhqg191xcz9s7xv8faqq51nswzp8hw423fkqjzr24pmq48";
      system = "cl-difflib-tests";
      asd = "cl-difflib-tests";
    });
    systems = [ "cl-difflib-tests" ];
    lispLibs = [ (getAttr "cl-difflib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-digraph = (build-asdf-system {
    pname = "cl-digraph";
    version = "20230214-hg";
    asds = [ "cl-digraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2023-02-14/cl-digraph-20230214-hg.tgz";
      sha256 = "12s787nx5ppll581rccblxqalb653iq9z5bzivqm4dnibh5v83f2";
      system = "cl-digraph";
      asd = "cl-digraph";
    });
    systems = [ "cl-digraph" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-digraph_dot_dot = (build-asdf-system {
    pname = "cl-digraph.dot";
    version = "20230214-hg";
    asds = [ "cl-digraph.dot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2023-02-14/cl-digraph-20230214-hg.tgz";
      sha256 = "12s787nx5ppll581rccblxqalb653iq9z5bzivqm4dnibh5v83f2";
      system = "cl-digraph.dot";
      asd = "cl-digraph.dot";
    });
    systems = [ "cl-digraph.dot" ];
    lispLibs = [ (getAttr "cl-digraph" self) (getAttr "cl-dot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-digraph_dot_test = (build-asdf-system {
    pname = "cl-digraph.test";
    version = "20230214-hg";
    asds = [ "cl-digraph.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-digraph/2023-02-14/cl-digraph-20230214-hg.tgz";
      sha256 = "12s787nx5ppll581rccblxqalb653iq9z5bzivqm4dnibh5v83f2";
      system = "cl-digraph.test";
      asd = "cl-digraph.test";
    });
    systems = [ "cl-digraph.test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "alexandria" self) (getAttr "cl-digraph" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-diskspace = (build-asdf-system {
    pname = "cl-diskspace";
    version = "20220331-git";
    asds = [ "cl-diskspace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-diskspace/2022-03-31/cl-diskspace-20220331-git.tgz";
      sha256 = "0l19hxqw6b8i5i1jdbr45k1xib9axcwdagsp3y8wkb35g6wwc0s7";
      system = "cl-diskspace";
      asd = "cl-diskspace";
    });
    systems = [ "cl-diskspace" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-disque = (build-asdf-system {
    pname = "cl-disque";
    version = "20171227-git";
    asds = [ "cl-disque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-disque/2017-12-27/cl-disque-20171227-git.tgz";
      sha256 = "0z26ls9vzlq43fwn307nb7xvqck5h3l9yygf93b0filki83krg3s";
      system = "cl-disque";
      asd = "cl-disque";
    });
    systems = [ "cl-disque" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "rutils" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-disque-test = (build-asdf-system {
    pname = "cl-disque-test";
    version = "20171227-git";
    asds = [ "cl-disque-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-disque/2017-12-27/cl-disque-20171227-git.tgz";
      sha256 = "0z26ls9vzlq43fwn307nb7xvqck5h3l9yygf93b0filki83krg3s";
      system = "cl-disque-test";
      asd = "cl-disque-test";
    });
    systems = [ "cl-disque-test" ];
    lispLibs = [ (getAttr "cl-disque" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-djula-svg = (build-asdf-system {
    pname = "cl-djula-svg";
    version = "20221106-git";
    asds = [ "cl-djula-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-svg/2022-11-06/cl-djula-svg-20221106-git.tgz";
      sha256 = "1jxgngr51ars234by4vnczfqmkwi2iy94sdxnj3pkjrdximy5any";
      system = "cl-djula-svg";
      asd = "cl-djula-svg";
    });
    systems = [ "cl-djula-svg" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-djula-tailwind = (build-asdf-system {
    pname = "cl-djula-tailwind";
    version = "20221106-git";
    asds = [ "cl-djula-tailwind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-djula-tailwind/2022-11-06/cl-djula-tailwind-20221106-git.tgz";
      sha256 = "059mfgh53gpj74rgr7b61fnm24bwx8hdrw15mjk687y9sna3avda";
      system = "cl-djula-tailwind";
      asd = "cl-djula-tailwind";
    });
    systems = [ "cl-djula-tailwind" ];
    lispLibs = [ (getAttr "cl-css" self) (getAttr "cl-minify-css" self) (getAttr "cl-ppcre" self) (getAttr "djula" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dot = (build-asdf-system {
    pname = "cl-dot";
    version = "20220707-git";
    asds = [ "cl-dot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dot/2022-07-07/cl-dot-20220707-git.tgz";
      sha256 = "0mcvzqfcg5rzr8rz8aa2yr2jl3ifflaksvps08zj71hbhiacqpxa";
      system = "cl-dot";
      asd = "cl-dot";
    });
    systems = [ "cl-dot" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-dotenv = (build-asdf-system {
    pname = "cl-dotenv";
    version = "20181018-git";
    asds = [ "cl-dotenv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dotenv/2018-10-18/cl-dotenv-20181018-git.tgz";
      sha256 = "0cdbk886aizsnqqs3z4jfn8nyrnxj4yb3y00av49xc4h83h6xn53";
      system = "cl-dotenv";
      asd = "cl-dotenv";
    });
    systems = [ "cl-dotenv" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dotenv-test = (build-asdf-system {
    pname = "cl-dotenv-test";
    version = "20181018-git";
    asds = [ "cl-dotenv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dotenv/2018-10-18/cl-dotenv-20181018-git.tgz";
      sha256 = "0cdbk886aizsnqqs3z4jfn8nyrnxj4yb3y00av49xc4h83h6xn53";
      system = "cl-dotenv-test";
      asd = "cl-dotenv-test";
    });
    systems = [ "cl-dotenv-test" ];
    lispLibs = [ (getAttr "cl-dotenv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-drawille = (build-asdf-system {
    pname = "cl-drawille";
    version = "20210807-git";
    asds = [ "cl-drawille" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drawille/2021-08-07/cl-drawille-20210807-git.tgz";
      sha256 = "0wmiz0c7h2zsfj7inzzn8jivnfsc94rq8pczfi44h36n2jg6hdys";
      system = "cl-drawille";
      asd = "cl-drawille";
    });
    systems = [ "cl-drawille" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-drm = (build-asdf-system {
    pname = "cl-drm";
    version = "20161204-git";
    asds = [ "cl-drm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-drm/2016-12-04/cl-drm-20161204-git.tgz";
      sha256 = "018jsdi9hs71x14mq18k08hwrgdvvbc2yqbqww6gara0bg9cl3l6";
      system = "cl-drm";
      asd = "cl-drm";
    });
    systems = [ "cl-drm" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dropbox = (build-asdf-system {
    pname = "cl-dropbox";
    version = "20150608-git";
    asds = [ "cl-dropbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dropbox/2015-06-08/cl-dropbox-20150608-git.tgz";
      sha256 = "09giwr1wlz42flrpy71gv60p53nixjk9jaj4lirgf59dkh718f9x";
      system = "cl-dropbox";
      asd = "cl-dropbox";
    });
    systems = [ "cl-dropbox" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-oauth" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dsl = (build-asdf-system {
    pname = "cl-dsl";
    version = "20130720-git";
    asds = [ "cl-dsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dsl/2013-07-20/cl-dsl-20130720-git.tgz";
      sha256 = "1bj5yp20r8z6gi6rpf88kpy4i06c8i2d3cg5sjlq7d1ninkb4gg4";
      system = "cl-dsl";
      asd = "cl-dsl";
    });
    systems = [ "cl-dsl" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-dsl-tests = (build-asdf-system {
    pname = "cl-dsl-tests";
    version = "20130720-git";
    asds = [ "cl-dsl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dsl/2013-07-20/cl-dsl-20130720-git.tgz";
      sha256 = "1bj5yp20r8z6gi6rpf88kpy4i06c8i2d3cg5sjlq7d1ninkb4gg4";
      system = "cl-dsl-tests";
      asd = "cl-dsl";
    });
    systems = [ "cl-dsl-tests" ];
    lispLibs = [ (getAttr "cl-dsl" self) (getAttr "eos" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-durian = (build-asdf-system {
    pname = "cl-durian";
    version = "20150608-git";
    asds = [ "cl-durian" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-durian/2015-06-08/cl-durian-20150608-git.tgz";
      sha256 = "0s89gr5gwwkyirrv7l5fzk9ws7fhy087c3myksblsh00z1xcrvng";
      system = "cl-durian";
      asd = "cl-durian";
    });
    systems = [ "cl-durian" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-earley-parser = (build-asdf-system {
    pname = "cl-earley-parser";
    version = "20211020-git";
    asds = [ "cl-earley-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-earley-parser/2021-10-20/cl-earley-parser-20211020-git.tgz";
      sha256 = "1pkry3ynxn2y3nf13lc3zjqgf4hx43d9zb0w0m34s51xd4xp2h1x";
      system = "cl-earley-parser";
      asd = "cl-earley-parser";
    });
    systems = [ "cl-earley-parser" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ecma-48 = (build-asdf-system {
    pname = "cl-ecma-48";
    version = "20200218-http";
    asds = [ "cl-ecma-48" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ecma-48/2020-02-18/cl-ecma-48-20200218-http.tgz";
      sha256 = "1y3srzahci25qp959b87m82d1i1i8jmq039yp9nf0hifxyhw6dgy";
      system = "cl-ecma-48";
      asd = "cl-ecma-48";
    });
    systems = [ "cl-ecma-48" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-egl = (build-asdf-system {
    pname = "cl-egl";
    version = "20190521-git";
    asds = [ "cl-egl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-egl/2019-05-21/cl-egl-20190521-git.tgz";
      sha256 = "19shhzmdc9f1128slc9m4ns6zraka99awqgb4dkrwzgv7w3miqfl";
      system = "cl-egl";
      asd = "cl-egl";
    });
    systems = [ "cl-egl" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-elastic = (build-asdf-system {
    pname = "cl-elastic";
    version = "20200218-git";
    asds = [ "cl-elastic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-elastic/2020-02-18/cl-elastic-20200218-git.tgz";
      sha256 = "107ha226n3mxzvm0cp8kvgybcv4rr0b4lwik4f4j7lrhz6xvnncq";
      system = "cl-elastic";
      asd = "cl-elastic";
    });
    systems = [ "cl-elastic" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "named-readtables" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-elastic-test = (build-asdf-system {
    pname = "cl-elastic-test";
    version = "20200218-git";
    asds = [ "cl-elastic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-elastic/2020-02-18/cl-elastic-20200218-git.tgz";
      sha256 = "107ha226n3mxzvm0cp8kvgybcv4rr0b4lwik4f4j7lrhz6xvnncq";
      system = "cl-elastic-test";
      asd = "cl-elastic-test";
    });
    systems = [ "cl-elastic-test" ];
    lispLibs = [ (getAttr "cl-elastic" self) (getAttr "named-readtables" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-emacs-if = (build-asdf-system {
    pname = "cl-emacs-if";
    version = "20120305-git";
    asds = [ "cl-emacs-if" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emacs-if/2012-03-05/cl-emacs-if-20120305-git.tgz";
      sha256 = "0br3jvihq24ymqjn2r2qnl3l099r329bsqh18nmkk3yw3kclrcfv";
      system = "cl-emacs-if";
      asd = "cl-emacs-if";
    });
    systems = [ "cl-emacs-if" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-emb = (build-asdf-system {
    pname = "cl-emb";
    version = "20190521-git";
    asds = [ "cl-emb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emb/2019-05-21/cl-emb-20190521-git.tgz";
      sha256 = "1xcm31n7afh5316lwz8iqbjx7kn5lw0l11arg8mhdmkx42aj4gkk";
      system = "cl-emb";
      asd = "cl-emb";
    });
    systems = [ "cl-emb" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  cl-emoji = (build-asdf-system {
    pname = "cl-emoji";
    version = "20200218-git";
    asds = [ "cl-emoji" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emoji/2020-02-18/cl-emoji-20200218-git.tgz";
      sha256 = "1v91kzx42qyjm936frvfsr0cgnj9g197x78xlda6x7x6xri2r9gm";
      system = "cl-emoji";
      asd = "cl-emoji";
    });
    systems = [ "cl-emoji" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-emoji-test = (build-asdf-system {
    pname = "cl-emoji-test";
    version = "20200218-git";
    asds = [ "cl-emoji-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-emoji/2020-02-18/cl-emoji-20200218-git.tgz";
      sha256 = "1v91kzx42qyjm936frvfsr0cgnj9g197x78xlda6x7x6xri2r9gm";
      system = "cl-emoji-test";
      asd = "cl-emoji-test";
    });
    systems = [ "cl-emoji-test" ];
    lispLibs = [ (getAttr "cl-emoji" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-env = (build-asdf-system {
    pname = "cl-env";
    version = "20180430-git";
    asds = [ "cl-env" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-env/2018-04-30/cl-env-20180430-git.tgz";
      sha256 = "1r0d004gr1za9ib53jhxkx315wd4av0ar2063dcvs9g4nahk2d07";
      system = "cl-env";
      asd = "cl-env";
    });
    systems = [ "cl-env" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-environments = (build-asdf-system {
    pname = "cl-environments";
    version = "20211020-git";
    asds = [ "cl-environments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-environments/2021-10-20/cl-environments-20211020-git.tgz";
      sha256 = "0k3f1sldd6nwphz80vc4k28z9g56rylln4admag628cyswx4qz99";
      system = "cl-environments";
      asd = "cl-environments";
    });
    systems = [ "cl-environments" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "collectors" self) (getAttr "optima" self) (getAttr "parse-declarations-1_dot_0" self) ];
    meta = {};
  });
  cl-epoch = (build-asdf-system {
    pname = "cl-epoch";
    version = "20181210-git";
    asds = [ "cl-epoch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epoch/2018-12-10/cl-epoch-20181210-git.tgz";
      sha256 = "091p6j5l85afzcm3m9myxzr8j3hiwh0iyj8w0sgld85n2ykbbird";
      system = "cl-epoch";
      asd = "cl-epoch";
    });
    systems = [ "cl-epoch" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-etcd = (build-asdf-system {
    pname = "cl-etcd";
    version = "20230214-git";
    asds = [ "cl-etcd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-etcd/2023-02-14/cl-etcd-20230214-git.tgz";
      sha256 = "0bals10r07prxvjxd744vz02ri72isf168lkhrx9qkc96hd214ah";
      system = "cl-etcd";
      asd = "cl-etcd";
    });
    systems = [ "cl-etcd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "async-process" self) (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-events = (build-asdf-system {
    pname = "cl-events";
    version = "20160318-git";
    asds = [ "cl-events" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-events/2016-03-18/cl-events-20160318-git.tgz";
      sha256 = "1r847q1bwblnb2395dsydylr9nxgjx7gdwc9dx1051zhvi9in36g";
      system = "cl-events";
      asd = "cl-events";
    });
    systems = [ "cl-events" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "blackbird" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-events_dot_test = (build-asdf-system {
    pname = "cl-events.test";
    version = "20160318-git";
    asds = [ "cl-events.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-events/2016-03-18/cl-events-20160318-git.tgz";
      sha256 = "1r847q1bwblnb2395dsydylr9nxgjx7gdwc9dx1051zhvi9in36g";
      system = "cl-events.test";
      asd = "cl-events.test";
    });
    systems = [ "cl-events.test" ];
    lispLibs = [ (getAttr "cl-events" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ewkb = (build-asdf-system {
    pname = "cl-ewkb";
    version = "20110619-git";
    asds = [ "cl-ewkb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ewkb/2011-06-19/cl-ewkb-20110619-git.tgz";
      sha256 = "1mk5j34m9gkwl7c4d464l42gclxlrcpifp2nq41z3fsfl8badn6w";
      system = "cl-ewkb";
      asd = "cl-ewkb";
    });
    systems = [ "cl-ewkb" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ewkb-tests = (build-asdf-system {
    pname = "cl-ewkb-tests";
    version = "20110619-git";
    asds = [ "cl-ewkb-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ewkb/2011-06-19/cl-ewkb-20110619-git.tgz";
      sha256 = "1mk5j34m9gkwl7c4d464l42gclxlrcpifp2nq41z3fsfl8badn6w";
      system = "cl-ewkb-tests";
      asd = "cl-ewkb";
    });
    systems = [ "cl-ewkb-tests" ];
    lispLibs = [ (getAttr "cl-ewkb" self) (getAttr "postmodern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-factoring = (build-asdf-system {
    pname = "cl-factoring";
    version = "20221106-git";
    asds = [ "cl-factoring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-factoring/2022-11-06/cl-factoring-20221106-git.tgz";
      sha256 = "0vn3kb8mmi93pr76lx1mbwp7qc2krzb0ayzcrffwq2aw2q201fhd";
      system = "cl-factoring";
      asd = "cl-factoring";
    });
    systems = [ "cl-factoring" ];
    lispLibs = [ (getAttr "cl-primality" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fad = (build-asdf-system {
    pname = "cl-fad";
    version = "20220220-git";
    asds = [ "cl-fad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fad/2022-02-20/cl-fad-20220220-git.tgz";
      sha256 = "0a1xqldrq170lflnns3xp6swpnvsvllf5vq0h7sz8jqh4riqlny6";
      system = "cl-fad";
      asd = "cl-fad";
    });
    systems = [ "cl-fad" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  cl-fam = (build-asdf-system {
    pname = "cl-fam";
    version = "20121125-git";
    asds = [ "cl-fam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fam/2012-11-25/cl-fam-20121125-git.tgz";
      sha256 = "1imv87imhxvigghx3l28kbsldz6hpqd32280wjwffqwvadhx0gng";
      system = "cl-fam";
      asd = "cl-fam";
    });
    systems = [ "cl-fam" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fast-ecs = (build-asdf-system {
    pname = "cl-fast-ecs";
    version = "20230618-git";
    asds = [ "cl-fast-ecs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fast-ecs/2023-06-18/cl-fast-ecs-20230618-git.tgz";
      sha256 = "00nw5nwzcz8x1x1lycmjik8pcqzxrl896j0xjjl33rjljsmj45sx";
      system = "cl-fast-ecs";
      asd = "cl-fast-ecs";
    });
    systems = [ "cl-fast-ecs" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fastcgi = (build-asdf-system {
    pname = "cl-fastcgi";
    version = "20210124-git";
    asds = [ "cl-fastcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fastcgi/2021-01-24/cl-fastcgi-20210124-git.tgz";
      sha256 = "0xgmhx766q4nmrvn5z7ag3ikpr9phlh8ypi8b14azshq9lqbq0m7";
      system = "cl-fastcgi";
      asd = "cl-fastcgi";
    });
    systems = [ "cl-fastcgi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fbclient = (build-asdf-system {
    pname = "cl-fbclient";
    version = "20140113-git";
    asds = [ "cl-fbclient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fbclient/2014-01-13/cl-fbclient-20140113-git.tgz";
      sha256 = "1q2dwizrjnal3fdcdgim4kdq0dma71p3s8w6i8bjkg4fs49k5p9j";
      system = "cl-fbclient";
      asd = "cl-fbclient";
    });
    systems = [ "cl-fbclient" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fbx = (build-asdf-system {
    pname = "cl-fbx";
    version = "20230618-git";
    asds = [ "cl-fbx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fbx/2023-06-18/cl-fbx-20230618-git.tgz";
      sha256 = "0aki1k91qvgn0qa0s4fj734dc89wqmi348s8ya6491kpbpxcvygf";
      system = "cl-fbx";
      asd = "cl-fbx";
    });
    systems = [ "cl-fbx" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "float-features" self) (getAttr "static-vectors" self) (getAttr "trivial-extensible-sequences" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-feedparser = (build-asdf-system {
    pname = "cl-feedparser";
    version = "20230618-git";
    asds = [ "cl-feedparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-feedparser/2023-06-18/cl-feedparser-20230618-git.tgz";
      sha256 = "18cl4318g8szhdsqvg68ajry91m1hn0znmsqd0r2ikq6l5wpixmb";
      system = "cl-feedparser";
      asd = "cl-feedparser";
    });
    systems = [ "cl-feedparser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "asdf-package-system" self) (getAttr "cl-html5-parser" self) (getAttr "cl-ppcre" self) (getAttr "fset" self) (getAttr "fxml" self) (getAttr "local-time" self) (getAttr "net-telent-date" self) (getAttr "plump" self) (getAttr "quri" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-feedparser-tests = (build-asdf-system {
    pname = "cl-feedparser-tests";
    version = "20230618-git";
    asds = [ "cl-feedparser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-feedparser/2023-06-18/cl-feedparser-20230618-git.tgz";
      sha256 = "18cl4318g8szhdsqvg68ajry91m1hn0znmsqd0r2ikq6l5wpixmb";
      system = "cl-feedparser-tests";
      asd = "cl-feedparser-tests";
    });
    systems = [ "cl-feedparser-tests" ];
    lispLibs = [ (getAttr "cl-feedparser" self) (getAttr "fiveam" self) (getAttr "fxml" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fix = (build-asdf-system {
    pname = "cl-fix";
    version = "20230214-git";
    asds = [ "cl-fix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fix/2023-02-14/cl-fix-20230214-git.tgz";
      sha256 = "0hw9sms558vn964sw5bav74wmfahf066nqj1xyd6b3f1lz3jarbb";
      system = "cl-fix";
      asd = "cl-fix";
    });
    systems = [ "cl-fix" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arrow-macros" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "parse-number" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fixtures = (build-asdf-system {
    pname = "cl-fixtures";
    version = "20200325-git";
    asds = [ "cl-fixtures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fixtures/2020-03-25/cl-fixtures-20200325-git.tgz";
      sha256 = "01z8brw32lv8lqn6r9srwrna5gkd4cyncpbpg6pc0khgdxzpzaag";
      system = "cl-fixtures";
      asd = "cl-fixtures";
    });
    systems = [ "cl-fixtures" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fixtures-test = (build-asdf-system {
    pname = "cl-fixtures-test";
    version = "20200325-git";
    asds = [ "cl-fixtures-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fixtures/2020-03-25/cl-fixtures-20200325-git.tgz";
      sha256 = "01z8brw32lv8lqn6r9srwrna5gkd4cyncpbpg6pc0khgdxzpzaag";
      system = "cl-fixtures-test";
      asd = "cl-fixtures-test";
    });
    systems = [ "cl-fixtures-test" ];
    lispLibs = [ (getAttr "cl-fixtures" self) (getAttr "incf-cl" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "rutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-flac = (build-asdf-system {
    pname = "cl-flac";
    version = "20190710-git";
    asds = [ "cl-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flac/2019-07-10/cl-flac-20190710-git.tgz";
      sha256 = "1dgr5xqf175hzq3sxpbixxia2k2g3rz0pn6msch4dnvk7a1naqlc";
      system = "cl-flac";
      asd = "cl-flac";
    });
    systems = [ "cl-flac" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-flow = (build-asdf-system {
    pname = "cl-flow";
    version = "stable-git";
    asds = [ "cl-flow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flow/2022-07-07/cl-flow-stable-git.tgz";
      sha256 = "0mh9g0zj2kwnsq31zg4af5k9jvfbwp28zx02f0r1jlg2rha87vlg";
      system = "cl-flow";
      asd = "cl-flow";
    });
    systems = [ "cl-flow" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-muth" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-flowd = (build-asdf-system {
    pname = "cl-flowd";
    version = "20140713-git";
    asds = [ "cl-flowd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flowd/2014-07-13/cl-flowd-20140713-git.tgz";
      sha256 = "0qppiqgy4fgvkm519bqjrw1mfp90q8fs1spvawf24d1nzslf51pj";
      system = "cl-flowd";
      asd = "cl-flowd";
    });
    systems = [ "cl-flowd" ];
    lispLibs = [ (getAttr "cl-annot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fluent-logger = (build-asdf-system {
    pname = "cl-fluent-logger";
    version = "20211020-git";
    asds = [ "cl-fluent-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluent-logger/2021-10-20/cl-fluent-logger-20211020-git.tgz";
      sha256 = "14q7ymdg3hsri2z2c8fb1syqgdlk8b288v4gw645dbaxfpava2qq";
      system = "cl-fluent-logger";
      asd = "cl-fluent-logger";
    });
    systems = [ "cl-fluent-logger" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-messagepack" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "pack" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fluiddb = (build-asdf-system {
    pname = "cl-fluiddb";
    version = "20130312-git";
    asds = [ "cl-fluiddb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluiddb";
      asd = "cl-fluiddb";
    });
    systems = [ "cl-fluiddb" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-json" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fluiddb-test = (build-asdf-system {
    pname = "cl-fluiddb-test";
    version = "20130312-git";
    asds = [ "cl-fluiddb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluiddb-test";
      asd = "cl-fluiddb-test";
    });
    systems = [ "cl-fluiddb-test" ];
    lispLibs = [ (getAttr "cl-fluiddb" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fluidinfo = (build-asdf-system {
    pname = "cl-fluidinfo";
    version = "20130312-git";
    asds = [ "cl-fluidinfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fluidinfo/2013-03-12/cl-fluidinfo-20130312-git.tgz";
      sha256 = "0npkkp2w88f6vb9pckjp4q4d4idx9p2s4s4imljs2vfym2j3w0wb";
      system = "cl-fluidinfo";
      asd = "cl-fluidinfo";
    });
    systems = [ "cl-fluidinfo" ];
    lispLibs = [ (getAttr "cl-fluiddb" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fond = (build-asdf-system {
    pname = "cl-fond";
    version = "20191130-git";
    asds = [ "cl-fond" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fond/2019-11-30/cl-fond-20191130-git.tgz";
      sha256 = "03ygcw1azb44bhdsqcq99xi4ci0by76ap5jf5l2d1vfxq04v8grq";
      system = "cl-fond";
      asd = "cl-fond";
    });
    systems = [ "cl-fond" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-opengl" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-form-types = (build-asdf-system {
    pname = "cl-form-types";
    version = "20230618-git";
    asds = [ "cl-form-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-form-types/2023-06-18/cl-form-types-20230618-git.tgz";
      sha256 = "0755anv54zlk3cdxw972x4i353zwzwckm6ybda8hk07akgryqqfk";
      system = "cl-form-types";
      asd = "cl-form-types";
    });
    systems = [ "cl-form-types" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "cl-environments" self) (getAttr "introspect-environment" self) (getAttr "optima" self) ];
    meta = {};
  });
  cl-forms = (build-asdf-system {
    pname = "cl-forms";
    version = "20230618-git";
    asds = [ "cl-forms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms";
      asd = "cl-forms";
    });
    systems = [ "cl-forms" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "clavier" self) (getAttr "fmt" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "str" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_demo = (build-asdf-system {
    pname = "cl-forms.demo";
    version = "20230618-git";
    asds = [ "cl-forms.demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.demo";
      asd = "cl-forms.demo";
    });
    systems = [ "cl-forms.demo" ];
    lispLibs = [ (getAttr "cl-css" self) (getAttr "cl-forms" self) (getAttr "cl-forms_dot_djula" self) (getAttr "cl-forms_dot_test" self) (getAttr "cl-forms_dot_who" self) (getAttr "cl-forms_dot_who_dot_bootstrap" self) (getAttr "cl-who" self) (getAttr "djula" self) (getAttr "hunchentoot" self) (getAttr "trivial-open-browser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_djula = (build-asdf-system {
    pname = "cl-forms.djula";
    version = "20230618-git";
    asds = [ "cl-forms.djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.djula";
      asd = "cl-forms.djula";
    });
    systems = [ "cl-forms.djula" ];
    lispLibs = [ (getAttr "cl-forms" self) (getAttr "cl-forms_dot_who" self) (getAttr "djula" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_peppol = (build-asdf-system {
    pname = "cl-forms.peppol";
    version = "20230618-git";
    asds = [ "cl-forms.peppol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.peppol";
      asd = "cl-forms.peppol";
    });
    systems = [ "cl-forms.peppol" ];
    lispLibs = [ (getAttr "cl-forms" self) (getAttr "peppol" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_test = (build-asdf-system {
    pname = "cl-forms.test";
    version = "20230618-git";
    asds = [ "cl-forms.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.test";
      asd = "cl-forms.test";
    });
    systems = [ "cl-forms.test" ];
    lispLibs = [ (getAttr "cl-forms" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_who = (build-asdf-system {
    pname = "cl-forms.who";
    version = "20230618-git";
    asds = [ "cl-forms.who" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.who";
      asd = "cl-forms.who";
    });
    systems = [ "cl-forms.who" ];
    lispLibs = [ (getAttr "cl-forms" self) (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-forms_dot_who_dot_bootstrap = (build-asdf-system {
    pname = "cl-forms.who.bootstrap";
    version = "20230618-git";
    asds = [ "cl-forms.who.bootstrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-forms/2023-06-18/cl-forms-20230618-git.tgz";
      sha256 = "1mwy1j5m1vb8bis5lzprkf4xgbgb941f39wbzw3viqk6r2v54qzx";
      system = "cl-forms.who.bootstrap";
      asd = "cl-forms.who.bootstrap";
    });
    systems = [ "cl-forms.who.bootstrap" ];
    lispLibs = [ (getAttr "cl-forms_dot_who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-freeimage = (build-asdf-system {
    pname = "cl-freeimage";
    version = "20170403-git";
    asds = [ "cl-freeimage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freeimage/2017-04-03/cl-freeimage-20170403-git.tgz";
      sha256 = "1333i8sh670nkb0c35xp511xjlafn5zh8a6gk3wnh19gffvj63hq";
      system = "cl-freeimage";
      asd = "cl-freeimage";
    });
    systems = [ "cl-freeimage" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-freetype2 = (build-asdf-system {
    pname = "cl-freetype2";
    version = "20220707-git";
    asds = [ "cl-freetype2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freetype2/2022-07-07/cl-freetype2-20220707-git.tgz";
      sha256 = "1nhq3qslja0bcgpbmzfycqhd4vw1l58zh4ia15m1h6535qxliy0q";
      system = "cl-freetype2";
      asd = "cl-freetype2";
    });
    systems = [ "cl-freetype2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-freetype2-tests = (build-asdf-system {
    pname = "cl-freetype2-tests";
    version = "20220707-git";
    asds = [ "cl-freetype2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-freetype2/2022-07-07/cl-freetype2-20220707-git.tgz";
      sha256 = "1nhq3qslja0bcgpbmzfycqhd4vw1l58zh4ia15m1h6535qxliy0q";
      system = "cl-freetype2-tests";
      asd = "cl-freetype2-tests";
    });
    systems = [ "cl-freetype2-tests" ];
    lispLibs = [ (getAttr "cl-freetype2" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fsnotify = (build-asdf-system {
    pname = "cl-fsnotify";
    version = "20150302-git";
    asds = [ "cl-fsnotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fsnotify/2015-03-02/cl-fsnotify-20150302-git.tgz";
      sha256 = "0693ga1xqcvi89j3aw0lmyi3a1yl3hrfwli2jiwxv0mgpcaxz0yr";
      system = "cl-fsnotify";
      asd = "cl-fsnotify";
    });
    systems = [ "cl-fsnotify" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ftp = (build-asdf-system {
    pname = "cl-ftp";
    version = "20150608-http";
    asds = [ "cl-ftp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ftp/2015-06-08/cl-ftp-20150608-http.tgz";
      sha256 = "1m955rjpaynybzmb9q631mll764hm06lydvhra50mfjj75ynwsvw";
      system = "cl-ftp";
      asd = "cl-ftp";
    });
    systems = [ "cl-ftp" ];
    lispLibs = [ (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-fuse = (build-asdf-system {
    pname = "cl-fuse";
    version = "20200925-git";
    asds = [ "cl-fuse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuse/2020-09-25/cl-fuse-20200925-git.tgz";
      sha256 = "1qxvf8ybn0v1hiaz11k1h47y0dksj8ah9v8jdfrjp9ad1rrrnxqs";
      system = "cl-fuse";
      asd = "cl-fuse";
    });
    systems = [ "cl-fuse" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-utilities" self) (getAttr "iterate" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-utf-8" self) ];
    meta = {};
  });
  cl-fuse-meta-fs = (build-asdf-system {
    pname = "cl-fuse-meta-fs";
    version = "20190710-git";
    asds = [ "cl-fuse-meta-fs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuse-meta-fs/2019-07-10/cl-fuse-meta-fs-20190710-git.tgz";
      sha256 = "1wbi7lvczfn09qb72rg1bps9w51mz42dwa7lyjl2hp8lbwc2a5a9";
      system = "cl-fuse-meta-fs";
      asd = "cl-fuse-meta-fs";
    });
    systems = [ "cl-fuse-meta-fs" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-fuse" self) (getAttr "iterate" self) (getAttr "pcall" self) ];
    meta = {};
  });
  cl-fuzz = (build-asdf-system {
    pname = "cl-fuzz";
    version = "20181018-git";
    asds = [ "cl-fuzz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fuzz/2018-10-18/cl-fuzz-20181018-git.tgz";
      sha256 = "1zvlh0nh4iip75p6dblx5kajqaa3hhv6mdjbx9cids8491r388rz";
      system = "cl-fuzz";
      asd = "cl-fuzz";
    });
    systems = [ "cl-fuzz" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  cl-fxml = (build-asdf-system {
    pname = "cl-fxml";
    version = "20220331-git";
    asds = [ "cl-fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-fxml/2022-03-31/cl-fxml-20220331-git.tgz";
      sha256 = "0i5w3z0rgyi42rlhvf92k95w6bajf3m1x9g4zprwf602kp7abr3c";
      system = "cl-fxml";
      asd = "cl-fxml";
    });
    systems = [ "cl-fxml" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "alexandria" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gamepad = (build-asdf-system {
    pname = "cl-gamepad";
    version = "20230618-git";
    asds = [ "cl-gamepad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gamepad/2023-06-18/cl-gamepad-20230618-git.tgz";
      sha256 = "0y6kg9wq92p07i1chm1v7j7p77iqc5c985pdvmmivcip8zmd4hm4";
      system = "cl-gamepad";
      asd = "cl-gamepad";
    });
    systems = [ "cl-gamepad" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gap-buffer = (build-asdf-system {
    pname = "cl-gap-buffer";
    version = "20230618-git";
    asds = [ "cl-gap-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gap-buffer/2023-06-18/cl-gap-buffer-20230618-git.tgz";
      sha256 = "0dzwhzv139z9pspnh1krnldnk4nfrj8f5khh08085xkc5bgg1jfv";
      system = "cl-gap-buffer";
      asd = "cl-gap-buffer";
    });
    systems = [ "cl-gap-buffer" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gbm = (build-asdf-system {
    pname = "cl-gbm";
    version = "20180430-git";
    asds = [ "cl-gbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gbm/2018-04-30/cl-gbm-20180430-git.tgz";
      sha256 = "14bshi7q1hhyag8va9javjjn5cnhmwyjlw8vvvb4fyzfspz3kpdx";
      system = "cl-gbm";
      asd = "cl-gbm";
    });
    systems = [ "cl-gbm" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gcrypt = (build-asdf-system {
    pname = "cl-gcrypt";
    version = "20211209-git";
    asds = [ "cl-gcrypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gcrypt/2021-12-09/cl-gcrypt-20211209-git.tgz";
      sha256 = "1f4gx5ssirr4f3n68i2da6ad7hbhgsk18zv0gfqy3q635zai0z3w";
      system = "cl-gcrypt";
      asd = "cl-gcrypt";
    });
    systems = [ "cl-gcrypt" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gcrypt-test = (build-asdf-system {
    pname = "cl-gcrypt-test";
    version = "20211209-git";
    asds = [ "cl-gcrypt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gcrypt/2021-12-09/cl-gcrypt-20211209-git.tgz";
      sha256 = "1f4gx5ssirr4f3n68i2da6ad7hbhgsk18zv0gfqy3q635zai0z3w";
      system = "cl-gcrypt-test";
      asd = "cl-gcrypt-test";
    });
    systems = [ "cl-gcrypt-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cl-gcrypt" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gd = (build-asdf-system {
    pname = "cl-gd";
    version = "20201220-git";
    asds = [ "cl-gd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gd/2020-12-20/cl-gd-20201220-git.tgz";
      sha256 = "1wa6nv5bdf0v38hzr6cfadkk6mhvvnj9lpl9igcxygdjbnn2a3y6";
      system = "cl-gd";
      asd = "cl-gd";
    });
    systems = [ "cl-gd" ];
    lispLibs = [ (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gd-test = (build-asdf-system {
    pname = "cl-gd-test";
    version = "20201220-git";
    asds = [ "cl-gd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gd/2020-12-20/cl-gd-20201220-git.tgz";
      sha256 = "1wa6nv5bdf0v38hzr6cfadkk6mhvvnj9lpl9igcxygdjbnn2a3y6";
      system = "cl-gd-test";
      asd = "cl-gd-test";
    });
    systems = [ "cl-gd-test" ];
    lispLibs = [ (getAttr "cl-gd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gdata = (build-asdf-system {
    pname = "cl-gdata";
    version = "20171130-git";
    asds = [ "cl-gdata" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gdata/2017-11-30/cl-gdata-20171130-git.tgz";
      sha256 = "0x2sq03nacjbq7p9baxlhr7bb0xg7v1ljq7qj1b3xrd4rbcibxi9";
      system = "cl-gdata";
      asd = "cl-gdata";
    });
    systems = [ "cl-gdata" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "gzip-stream" self) (getAttr "local-time" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) (getAttr "string-case" self) (getAttr "trivial-utf-8" self) (getAttr "url-rewrite" self) (getAttr "xpath" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gearman = (build-asdf-system {
    pname = "cl-gearman";
    version = "20211020-git";
    asds = [ "cl-gearman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gearman/2021-10-20/cl-gearman-20211020-git.tgz";
      sha256 = "0cnkpqn43p55xlhdi8bws2ssa1ahvzbgggh3pam0zbqma2m525j6";
      system = "cl-gearman";
      asd = "cl-gearman";
    });
    systems = [ "cl-gearman" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gearman-test = (build-asdf-system {
    pname = "cl-gearman-test";
    version = "20211020-git";
    asds = [ "cl-gearman-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gearman/2021-10-20/cl-gearman-20211020-git.tgz";
      sha256 = "0cnkpqn43p55xlhdi8bws2ssa1ahvzbgggh3pam0zbqma2m525j6";
      system = "cl-gearman-test";
      asd = "cl-gearman-test";
    });
    systems = [ "cl-gearman-test" ];
    lispLibs = [ (getAttr "cl-gearman" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gendoc = (build-asdf-system {
    pname = "cl-gendoc";
    version = "20180831-git";
    asds = [ "cl-gendoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gendoc/2018-08-31/cl-gendoc-20180831-git.tgz";
      sha256 = "19f8fmz2hj332kh3y3fbil2dchpckdsqci6ljhadymd8p2h6w4ws";
      system = "cl-gendoc";
      asd = "cl-gendoc";
    });
    systems = [ "cl-gendoc" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gendoc-docs = (build-asdf-system {
    pname = "cl-gendoc-docs";
    version = "20180831-git";
    asds = [ "cl-gendoc-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gendoc/2018-08-31/cl-gendoc-20180831-git.tgz";
      sha256 = "19f8fmz2hj332kh3y3fbil2dchpckdsqci6ljhadymd8p2h6w4ws";
      system = "cl-gendoc-docs";
      asd = "cl-gendoc";
    });
    systems = [ "cl-gendoc-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gene-searcher = (build-asdf-system {
    pname = "cl-gene-searcher";
    version = "20111001-git";
    asds = [ "cl-gene-searcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gene-searcher/2011-10-01/cl-gene-searcher-20111001-git.tgz";
      sha256 = "0n8p6yk600h7m050bjxazmcxdrcfrkcklrcj8ncflyshm72qv1yk";
      system = "cl-gene-searcher";
      asd = "cl-gene-searcher";
    });
    systems = [ "cl-gene-searcher" ];
    lispLibs = [ (getAttr "clsql-sqlite3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-generator = (build-asdf-system {
    pname = "cl-generator";
    version = "20221106-git";
    asds = [ "cl-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-generator/2022-11-06/cl-generator-20221106-git.tgz";
      sha256 = "0aa5prw6f4fqw9j8m6kvdb3h3lqyvi15dd1l6437p9408mmyxk30";
      system = "cl-generator";
      asd = "cl-generator";
    });
    systems = [ "cl-generator" ];
    lispLibs = [ (getAttr "cl-cont" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-generator-test = (build-asdf-system {
    pname = "cl-generator-test";
    version = "20221106-git";
    asds = [ "cl-generator-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-generator/2022-11-06/cl-generator-20221106-git.tgz";
      sha256 = "0aa5prw6f4fqw9j8m6kvdb3h3lqyvi15dd1l6437p9408mmyxk30";
      system = "cl-generator-test";
      asd = "cl-generator-test";
    });
    systems = [ "cl-generator-test" ];
    lispLibs = [ (getAttr "cl-generator" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-geocode = (build-asdf-system {
    pname = "cl-geocode";
    version = "20190813-git";
    asds = [ "cl-geocode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geocode/2019-08-13/cl-geocode-20190813-git.tgz";
      sha256 = "17z0v29rrhsfjikg4sn9ynxckh5i3ahjn7c8qs381n1p9fbd668l";
      system = "cl-geocode";
      asd = "cl-geocode";
    });
    systems = [ "cl-geocode" ];
    lispLibs = [ (getAttr "acl-compat" self) (getAttr "aserve" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-geoip = (build-asdf-system {
    pname = "cl-geoip";
    version = "20130615-git";
    asds = [ "cl-geoip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geoip/2013-06-15/cl-geoip-20130615-git.tgz";
      sha256 = "0ys8wysppx06j3s0dc9lc9zjizr1fmj388fiigyn1wrdyyka41y2";
      system = "cl-geoip";
      asd = "cl-geoip";
    });
    systems = [ "cl-geoip" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-geometry = (build-asdf-system {
    pname = "cl-geometry";
    version = "20160531-git";
    asds = [ "cl-geometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geometry/2016-05-31/cl-geometry-20160531-git.tgz";
      sha256 = "188xrd8plvc34gz7q01zmkdrzxbpwzln103l5dl78pa4a6vzz34h";
      system = "cl-geometry";
      asd = "cl-geometry";
    });
    systems = [ "cl-geometry" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "trees" self) ];
    meta = {};
  });
  cl-geometry-tests = (build-asdf-system {
    pname = "cl-geometry-tests";
    version = "20160531-git";
    asds = [ "cl-geometry-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geometry/2016-05-31/cl-geometry-20160531-git.tgz";
      sha256 = "188xrd8plvc34gz7q01zmkdrzxbpwzln103l5dl78pa4a6vzz34h";
      system = "cl-geometry-tests";
      asd = "cl-geometry-tests";
    });
    systems = [ "cl-geometry-tests" ];
    lispLibs = [ (getAttr "cl-geometry" self) (getAttr "iterate" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-geos = (build-asdf-system {
    pname = "cl-geos";
    version = "20180711-git";
    asds = [ "cl-geos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-geos/2018-07-11/cl-geos-20180711-git.tgz";
      sha256 = "0igq2c1p82pbkyc7zg90fm3lbsmhwnfmb3q8jc8baklb958555ck";
      system = "cl-geos";
      asd = "cl-geos";
    });
    systems = [ "cl-geos" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) (getAttr "xarray" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-getopt = (build-asdf-system {
    pname = "cl-getopt";
    version = "20211209-git";
    asds = [ "cl-getopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-getopt/2021-12-09/cl-getopt-20211209-git.tgz";
      sha256 = "16qkpg2qln7q9j5614py00zwsnmxcy3xcmhb4m8f0w0zbnpvkjxl";
      system = "cl-getopt";
      asd = "cl-getopt";
    });
    systems = [ "cl-getopt" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-getx = (build-asdf-system {
    pname = "cl-getx";
    version = "20200925-git";
    asds = [ "cl-getx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-getx/2020-09-25/cl-getx-20200925-git.tgz";
      sha256 = "07gi346vqrhnbkdk4l6g06z4shhnx7f4l44jgayzfdd0xkv02brv";
      system = "cl-getx";
      asd = "cl-getx";
    });
    systems = [ "cl-getx" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gimei = (build-asdf-system {
    pname = "cl-gimei";
    version = "20211020-git";
    asds = [ "cl-gimei" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gimei/2021-10-20/cl-gimei-20211020-git.tgz";
      sha256 = "1405qbqrrrmanmg2dl7yfdj8z4vcsj1silpsa7i1y00pd18xgk8q";
      system = "cl-gimei";
      asd = "cl-gimei";
    });
    systems = [ "cl-gimei" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-yaml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gio = (build-asdf-system {
    pname = "cl-gio";
    version = "20230618-git";
    asds = [ "cl-gio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2023-06-18/cl-glib-20230618-git.tgz";
      sha256 = "0dxa493zdp1p93cahhpp3yaggn3j3kkn90mdw99g4ld7scmiglp4";
      system = "cl-gio";
      asd = "cl-gio";
    });
    systems = [ "cl-gio" ];
    lispLibs = [ (getAttr "cl-gobject-introspection-wrapper" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gists = (build-asdf-system {
    pname = "cl-gists";
    version = "20180228-git";
    asds = [ "cl-gists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gists/2018-02-28/cl-gists-20180228-git.tgz";
      sha256 = "1ipwapb71ls0gy4prg1j9x5ki4frf6l1f9iphjnsis7kdpbm2mi7";
      system = "cl-gists";
      asd = "cl-gists";
    });
    systems = [ "cl-gists" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "dexador" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "quri" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gists-test = (build-asdf-system {
    pname = "cl-gists-test";
    version = "20180228-git";
    asds = [ "cl-gists-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gists/2018-02-28/cl-gists-20180228-git.tgz";
      sha256 = "1ipwapb71ls0gy4prg1j9x5ki4frf6l1f9iphjnsis7kdpbm2mi7";
      system = "cl-gists-test";
      asd = "cl-gists-test";
    });
    systems = [ "cl-gists-test" ];
    lispLibs = [ (getAttr "cl-gists" self) (getAttr "closer-mop" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-git = (build-asdf-system {
    pname = "cl-git";
    version = "20230618-git";
    asds = [ "cl-git" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-git/2023-06-18/cl-git-20230618-git.tgz";
      sha256 = "13h7n3nbpf2qq0vq0dz33r0468baskw83pjfxb3hik4rllrv04h6";
      system = "cl-git";
      asd = "cl-git";
    });
    systems = [ "cl-git" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "closer-mop" self) (getAttr "flexi-streams" self) (getAttr "local-time" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-github-v3 = (build-asdf-system {
    pname = "cl-github-v3";
    version = "20191227-git";
    asds = [ "cl-github-v3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-github-v3/2019-12-27/cl-github-v3-20191227-git.tgz";
      sha256 = "1xwfw6y3vm7236rd6pdmb5akk63gpzhllx99mv4r7ia3yyf9d4f8";
      system = "cl-github-v3";
      asd = "cl-github-v3";
    });
    systems = [ "cl-github-v3" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw = (build-asdf-system {
    pname = "cl-glfw";
    version = "20150302-git";
    asds = [ "cl-glfw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw";
      asd = "cl-glfw";
    });
    systems = [ "cl-glfw" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-glfw-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-ftgl = (build-asdf-system {
    pname = "cl-glfw-ftgl";
    version = "20150302-git";
    asds = [ "cl-glfw-ftgl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-ftgl";
      asd = "cl-glfw-ftgl";
    });
    systems = [ "cl-glfw-ftgl" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-glu = (build-asdf-system {
    pname = "cl-glfw-glu";
    version = "20150302-git";
    asds = [ "cl-glfw-glu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-glu";
      asd = "cl-glfw-glu";
    });
    systems = [ "cl-glfw-glu" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-glfw-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-3dfx__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-3dfx_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_multisample";
      asd = "cl-glfw-opengl-3dfx_multisample";
    });
    systems = [ "cl-glfw-opengl-3dfx_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-3dfx__tbuffer = (build-asdf-system {
    pname = "cl-glfw-opengl-3dfx_tbuffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_tbuffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_tbuffer";
      asd = "cl-glfw-opengl-3dfx_tbuffer";
    });
    systems = [ "cl-glfw-opengl-3dfx_tbuffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-3dfx__texture__compression__fxt1 = (build-asdf-system {
    pname = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-3dfx_texture_compression_fxt1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
      asd = "cl-glfw-opengl-3dfx_texture_compression_fxt1";
    });
    systems = [ "cl-glfw-opengl-3dfx_texture_compression_fxt1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__blend__minmax__factor = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_blend_minmax_factor";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_blend_minmax_factor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_blend_minmax_factor";
      asd = "cl-glfw-opengl-amd_blend_minmax_factor";
    });
    systems = [ "cl-glfw-opengl-amd_blend_minmax_factor" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__depth__clamp__separate = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_depth_clamp_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_depth_clamp_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_depth_clamp_separate";
      asd = "cl-glfw-opengl-amd_depth_clamp_separate";
    });
    systems = [ "cl-glfw-opengl-amd_depth_clamp_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__draw__buffers__blend = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_draw_buffers_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_draw_buffers_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_draw_buffers_blend";
      asd = "cl-glfw-opengl-amd_draw_buffers_blend";
    });
    systems = [ "cl-glfw-opengl-amd_draw_buffers_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__multi__draw__indirect = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_multi_draw_indirect";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_multi_draw_indirect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_multi_draw_indirect";
      asd = "cl-glfw-opengl-amd_multi_draw_indirect";
    });
    systems = [ "cl-glfw-opengl-amd_multi_draw_indirect" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__name__gen__delete = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_name_gen_delete";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_name_gen_delete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_name_gen_delete";
      asd = "cl-glfw-opengl-amd_name_gen_delete";
    });
    systems = [ "cl-glfw-opengl-amd_name_gen_delete" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__performance__monitor = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_performance_monitor";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_performance_monitor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_performance_monitor";
      asd = "cl-glfw-opengl-amd_performance_monitor";
    });
    systems = [ "cl-glfw-opengl-amd_performance_monitor" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__sample__positions = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_sample_positions";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_sample_positions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_sample_positions";
      asd = "cl-glfw-opengl-amd_sample_positions";
    });
    systems = [ "cl-glfw-opengl-amd_sample_positions" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__seamless__cubemap__per__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_seamless_cubemap_per_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
      asd = "cl-glfw-opengl-amd_seamless_cubemap_per_texture";
    });
    systems = [ "cl-glfw-opengl-amd_seamless_cubemap_per_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-amd__vertex__shader__tesselator = (build-asdf-system {
    pname = "cl-glfw-opengl-amd_vertex_shader_tesselator";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-amd_vertex_shader_tesselator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-amd_vertex_shader_tesselator";
      asd = "cl-glfw-opengl-amd_vertex_shader_tesselator";
    });
    systems = [ "cl-glfw-opengl-amd_vertex_shader_tesselator" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__aux__depth__stencil = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_aux_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_aux_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_aux_depth_stencil";
      asd = "cl-glfw-opengl-apple_aux_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-apple_aux_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__client__storage = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_client_storage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_client_storage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_client_storage";
      asd = "cl-glfw-opengl-apple_client_storage";
    });
    systems = [ "cl-glfw-opengl-apple_client_storage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__element__array = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_element_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_element_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_element_array";
      asd = "cl-glfw-opengl-apple_element_array";
    });
    systems = [ "cl-glfw-opengl-apple_element_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__fence = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_fence";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_fence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_fence";
      asd = "cl-glfw-opengl-apple_fence";
    });
    systems = [ "cl-glfw-opengl-apple_fence" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__float__pixels = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_float_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_float_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_float_pixels";
      asd = "cl-glfw-opengl-apple_float_pixels";
    });
    systems = [ "cl-glfw-opengl-apple_float_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__flush__buffer__range = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_flush_buffer_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_flush_buffer_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_flush_buffer_range";
      asd = "cl-glfw-opengl-apple_flush_buffer_range";
    });
    systems = [ "cl-glfw-opengl-apple_flush_buffer_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__object__purgeable = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_object_purgeable";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_object_purgeable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_object_purgeable";
      asd = "cl-glfw-opengl-apple_object_purgeable";
    });
    systems = [ "cl-glfw-opengl-apple_object_purgeable" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__rgb__422 = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_rgb_422";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_rgb_422" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_rgb_422";
      asd = "cl-glfw-opengl-apple_rgb_422";
    });
    systems = [ "cl-glfw-opengl-apple_rgb_422" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__row__bytes = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_row_bytes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_row_bytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_row_bytes";
      asd = "cl-glfw-opengl-apple_row_bytes";
    });
    systems = [ "cl-glfw-opengl-apple_row_bytes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__specular__vector = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_specular_vector";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_specular_vector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_specular_vector";
      asd = "cl-glfw-opengl-apple_specular_vector";
    });
    systems = [ "cl-glfw-opengl-apple_specular_vector" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__texture__range = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_texture_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_texture_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_texture_range";
      asd = "cl-glfw-opengl-apple_texture_range";
    });
    systems = [ "cl-glfw-opengl-apple_texture_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__transform__hint = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_transform_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_transform_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_transform_hint";
      asd = "cl-glfw-opengl-apple_transform_hint";
    });
    systems = [ "cl-glfw-opengl-apple_transform_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__vertex__array__object = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_array_object";
      asd = "cl-glfw-opengl-apple_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__vertex__array__range = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_vertex_array_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_array_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_array_range";
      asd = "cl-glfw-opengl-apple_vertex_array_range";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_array_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__vertex__program__evaluators = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_vertex_program_evaluators";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_vertex_program_evaluators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_vertex_program_evaluators";
      asd = "cl-glfw-opengl-apple_vertex_program_evaluators";
    });
    systems = [ "cl-glfw-opengl-apple_vertex_program_evaluators" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-apple__ycbcr__422 = (build-asdf-system {
    pname = "cl-glfw-opengl-apple_ycbcr_422";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-apple_ycbcr_422" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-apple_ycbcr_422";
      asd = "cl-glfw-opengl-apple_ycbcr_422";
    });
    systems = [ "cl-glfw-opengl-apple_ycbcr_422" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__blend__func__extended = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_blend_func_extended";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_blend_func_extended" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_blend_func_extended";
      asd = "cl-glfw-opengl-arb_blend_func_extended";
    });
    systems = [ "cl-glfw-opengl-arb_blend_func_extended" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__color__buffer__float = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_color_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_color_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_color_buffer_float";
      asd = "cl-glfw-opengl-arb_color_buffer_float";
    });
    systems = [ "cl-glfw-opengl-arb_color_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__copy__buffer = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_copy_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_copy_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_copy_buffer";
      asd = "cl-glfw-opengl-arb_copy_buffer";
    });
    systems = [ "cl-glfw-opengl-arb_copy_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__depth__buffer__float = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_depth_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_buffer_float";
      asd = "cl-glfw-opengl-arb_depth_buffer_float";
    });
    systems = [ "cl-glfw-opengl-arb_depth_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__depth__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_depth_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_clamp";
      asd = "cl-glfw-opengl-arb_depth_clamp";
    });
    systems = [ "cl-glfw-opengl-arb_depth_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__depth__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_depth_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_depth_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_depth_texture";
      asd = "cl-glfw-opengl-arb_depth_texture";
    });
    systems = [ "cl-glfw-opengl-arb_depth_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__draw__buffers = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_draw_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_buffers";
      asd = "cl-glfw-opengl-arb_draw_buffers";
    });
    systems = [ "cl-glfw-opengl-arb_draw_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__draw__buffers__blend = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_draw_buffers_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_buffers_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_buffers_blend";
      asd = "cl-glfw-opengl-arb_draw_buffers_blend";
    });
    systems = [ "cl-glfw-opengl-arb_draw_buffers_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__draw__elements__base__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_draw_elements_base_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_elements_base_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_elements_base_vertex";
      asd = "cl-glfw-opengl-arb_draw_elements_base_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_draw_elements_base_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__draw__indirect = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_draw_indirect";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_indirect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_indirect";
      asd = "cl-glfw-opengl-arb_draw_indirect";
    });
    systems = [ "cl-glfw-opengl-arb_draw_indirect" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__draw__instanced = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_draw_instanced";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_draw_instanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_draw_instanced";
      asd = "cl-glfw-opengl-arb_draw_instanced";
    });
    systems = [ "cl-glfw-opengl-arb_draw_instanced" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__es2__compatibility = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_es2_compatibility";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_es2_compatibility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_es2_compatibility";
      asd = "cl-glfw-opengl-arb_es2_compatibility";
    });
    systems = [ "cl-glfw-opengl-arb_es2_compatibility" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__fragment__program = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_fragment_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_fragment_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_fragment_program";
      asd = "cl-glfw-opengl-arb_fragment_program";
    });
    systems = [ "cl-glfw-opengl-arb_fragment_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__fragment__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_fragment_shader";
      asd = "cl-glfw-opengl-arb_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-arb_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__framebuffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_framebuffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_object";
      asd = "cl-glfw-opengl-arb_framebuffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__framebuffer__object__deprecated = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_object_deprecated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
      asd = "cl-glfw-opengl-arb_framebuffer_object_deprecated";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_object_deprecated" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__framebuffer__srgb = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_framebuffer_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_framebuffer_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_framebuffer_srgb";
      asd = "cl-glfw-opengl-arb_framebuffer_srgb";
    });
    systems = [ "cl-glfw-opengl-arb_framebuffer_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__geometry__shader4 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_geometry_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_geometry_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_geometry_shader4";
      asd = "cl-glfw-opengl-arb_geometry_shader4";
    });
    systems = [ "cl-glfw-opengl-arb_geometry_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__get__program__binary = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_get_program_binary";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_get_program_binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_get_program_binary";
      asd = "cl-glfw-opengl-arb_get_program_binary";
    });
    systems = [ "cl-glfw-opengl-arb_get_program_binary" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__gpu__shader5 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_gpu_shader5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_gpu_shader5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_gpu_shader5";
      asd = "cl-glfw-opengl-arb_gpu_shader5";
    });
    systems = [ "cl-glfw-opengl-arb_gpu_shader5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__gpu__shader__fp64 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_gpu_shader_fp64";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_gpu_shader_fp64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_gpu_shader_fp64";
      asd = "cl-glfw-opengl-arb_gpu_shader_fp64";
    });
    systems = [ "cl-glfw-opengl-arb_gpu_shader_fp64" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__half__float__pixel = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_half_float_pixel";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_half_float_pixel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_half_float_pixel";
      asd = "cl-glfw-opengl-arb_half_float_pixel";
    });
    systems = [ "cl-glfw-opengl-arb_half_float_pixel" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__half__float__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_half_float_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_half_float_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_half_float_vertex";
      asd = "cl-glfw-opengl-arb_half_float_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_half_float_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__imaging = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_imaging";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_imaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_imaging";
      asd = "cl-glfw-opengl-arb_imaging";
    });
    systems = [ "cl-glfw-opengl-arb_imaging" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__imaging__deprecated = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_imaging_deprecated";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_imaging_deprecated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_imaging_deprecated";
      asd = "cl-glfw-opengl-arb_imaging_deprecated";
    });
    systems = [ "cl-glfw-opengl-arb_imaging_deprecated" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__instanced__arrays = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_instanced_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_instanced_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_instanced_arrays";
      asd = "cl-glfw-opengl-arb_instanced_arrays";
    });
    systems = [ "cl-glfw-opengl-arb_instanced_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__map__buffer__range = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_map_buffer_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_map_buffer_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_map_buffer_range";
      asd = "cl-glfw-opengl-arb_map_buffer_range";
    });
    systems = [ "cl-glfw-opengl-arb_map_buffer_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__matrix__palette = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_matrix_palette";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_matrix_palette" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_matrix_palette";
      asd = "cl-glfw-opengl-arb_matrix_palette";
    });
    systems = [ "cl-glfw-opengl-arb_matrix_palette" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_multisample";
      asd = "cl-glfw-opengl-arb_multisample";
    });
    systems = [ "cl-glfw-opengl-arb_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__multitexture = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_multitexture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_multitexture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_multitexture";
      asd = "cl-glfw-opengl-arb_multitexture";
    });
    systems = [ "cl-glfw-opengl-arb_multitexture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__occlusion__query = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_occlusion_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_occlusion_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_occlusion_query";
      asd = "cl-glfw-opengl-arb_occlusion_query";
    });
    systems = [ "cl-glfw-opengl-arb_occlusion_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__occlusion__query2 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_occlusion_query2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_occlusion_query2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_occlusion_query2";
      asd = "cl-glfw-opengl-arb_occlusion_query2";
    });
    systems = [ "cl-glfw-opengl-arb_occlusion_query2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__pixel__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_pixel_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_pixel_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_pixel_buffer_object";
      asd = "cl-glfw-opengl-arb_pixel_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_pixel_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__point__parameters = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_point_parameters";
      asd = "cl-glfw-opengl-arb_point_parameters";
    });
    systems = [ "cl-glfw-opengl-arb_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__point__sprite = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_point_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_point_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_point_sprite";
      asd = "cl-glfw-opengl-arb_point_sprite";
    });
    systems = [ "cl-glfw-opengl-arb_point_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__provoking__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_provoking_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_provoking_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_provoking_vertex";
      asd = "cl-glfw-opengl-arb_provoking_vertex";
    });
    systems = [ "cl-glfw-opengl-arb_provoking_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__robustness = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_robustness";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_robustness" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_robustness";
      asd = "cl-glfw-opengl-arb_robustness";
    });
    systems = [ "cl-glfw-opengl-arb_robustness" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__sample__shading = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_sample_shading";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_sample_shading" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_sample_shading";
      asd = "cl-glfw-opengl-arb_sample_shading";
    });
    systems = [ "cl-glfw-opengl-arb_sample_shading" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__sampler__objects = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_sampler_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_sampler_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_sampler_objects";
      asd = "cl-glfw-opengl-arb_sampler_objects";
    });
    systems = [ "cl-glfw-opengl-arb_sampler_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__seamless__cube__map = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_seamless_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_seamless_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_seamless_cube_map";
      asd = "cl-glfw-opengl-arb_seamless_cube_map";
    });
    systems = [ "cl-glfw-opengl-arb_seamless_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__separate__shader__objects = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_separate_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_separate_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_separate_shader_objects";
      asd = "cl-glfw-opengl-arb_separate_shader_objects";
    });
    systems = [ "cl-glfw-opengl-arb_separate_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shader__objects = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shader_objects";
      asd = "cl-glfw-opengl-arb_shader_objects";
    });
    systems = [ "cl-glfw-opengl-arb_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shader__subroutine = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shader_subroutine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shader_subroutine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shader_subroutine";
      asd = "cl-glfw-opengl-arb_shader_subroutine";
    });
    systems = [ "cl-glfw-opengl-arb_shader_subroutine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shading__language__100 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shading_language_100";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shading_language_100" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shading_language_100";
      asd = "cl-glfw-opengl-arb_shading_language_100";
    });
    systems = [ "cl-glfw-opengl-arb_shading_language_100" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shading__language__include = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shading_language_include";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shading_language_include" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shading_language_include";
      asd = "cl-glfw-opengl-arb_shading_language_include";
    });
    systems = [ "cl-glfw-opengl-arb_shading_language_include" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shadow = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shadow";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shadow";
      asd = "cl-glfw-opengl-arb_shadow";
    });
    systems = [ "cl-glfw-opengl-arb_shadow" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__shadow__ambient = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_shadow_ambient";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_shadow_ambient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_shadow_ambient";
      asd = "cl-glfw-opengl-arb_shadow_ambient";
    });
    systems = [ "cl-glfw-opengl-arb_shadow_ambient" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__tessellation__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_tessellation_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_tessellation_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_tessellation_shader";
      asd = "cl-glfw-opengl-arb_tessellation_shader";
    });
    systems = [ "cl-glfw-opengl-arb_tessellation_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__border__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_border_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_border_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_border_clamp";
      asd = "cl-glfw-opengl-arb_texture_border_clamp";
    });
    systems = [ "cl-glfw-opengl-arb_texture_border_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_buffer_object";
      asd = "cl-glfw-opengl-arb_texture_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_texture_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__buffer__object__rgb32 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_buffer_object_rgb32" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
      asd = "cl-glfw-opengl-arb_texture_buffer_object_rgb32";
    });
    systems = [ "cl-glfw-opengl-arb_texture_buffer_object_rgb32" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__compression = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_compression";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression";
      asd = "cl-glfw-opengl-arb_texture_compression";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__compression__bptc = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_compression_bptc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression_bptc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression_bptc";
      asd = "cl-glfw-opengl-arb_texture_compression_bptc";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression_bptc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__compression__rgtc = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_compression_rgtc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_compression_rgtc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_compression_rgtc";
      asd = "cl-glfw-opengl-arb_texture_compression_rgtc";
    });
    systems = [ "cl-glfw-opengl-arb_texture_compression_rgtc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__cube__map = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_cube_map";
      asd = "cl-glfw-opengl-arb_texture_cube_map";
    });
    systems = [ "cl-glfw-opengl-arb_texture_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__cube__map__array = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_cube_map_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_cube_map_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_cube_map_array";
      asd = "cl-glfw-opengl-arb_texture_cube_map_array";
    });
    systems = [ "cl-glfw-opengl-arb_texture_cube_map_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__env__combine = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_env_combine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_env_combine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_env_combine";
      asd = "cl-glfw-opengl-arb_texture_env_combine";
    });
    systems = [ "cl-glfw-opengl-arb_texture_env_combine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__env__dot3 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_env_dot3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_env_dot3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_env_dot3";
      asd = "cl-glfw-opengl-arb_texture_env_dot3";
    });
    systems = [ "cl-glfw-opengl-arb_texture_env_dot3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__float = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_float";
      asd = "cl-glfw-opengl-arb_texture_float";
    });
    systems = [ "cl-glfw-opengl-arb_texture_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__gather = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_gather";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_gather" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_gather";
      asd = "cl-glfw-opengl-arb_texture_gather";
    });
    systems = [ "cl-glfw-opengl-arb_texture_gather" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__mirrored__repeat = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_mirrored_repeat";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_mirrored_repeat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_mirrored_repeat";
      asd = "cl-glfw-opengl-arb_texture_mirrored_repeat";
    });
    systems = [ "cl-glfw-opengl-arb_texture_mirrored_repeat" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_multisample";
      asd = "cl-glfw-opengl-arb_texture_multisample";
    });
    systems = [ "cl-glfw-opengl-arb_texture_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__rectangle = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_rectangle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rectangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rectangle";
      asd = "cl-glfw-opengl-arb_texture_rectangle";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rectangle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__rg = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_rg";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rg";
      asd = "cl-glfw-opengl-arb_texture_rg";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rg" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__rgb10__a2ui = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_rgb10_a2ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
      asd = "cl-glfw-opengl-arb_texture_rgb10_a2ui";
    });
    systems = [ "cl-glfw-opengl-arb_texture_rgb10_a2ui" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__texture__swizzle = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_texture_swizzle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_texture_swizzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_texture_swizzle";
      asd = "cl-glfw-opengl-arb_texture_swizzle";
    });
    systems = [ "cl-glfw-opengl-arb_texture_swizzle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__timer__query = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_timer_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_timer_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_timer_query";
      asd = "cl-glfw-opengl-arb_timer_query";
    });
    systems = [ "cl-glfw-opengl-arb_timer_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__transform__feedback2 = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_transform_feedback2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_transform_feedback2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_transform_feedback2";
      asd = "cl-glfw-opengl-arb_transform_feedback2";
    });
    systems = [ "cl-glfw-opengl-arb_transform_feedback2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__transpose__matrix = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_transpose_matrix";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_transpose_matrix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_transpose_matrix";
      asd = "cl-glfw-opengl-arb_transpose_matrix";
    });
    systems = [ "cl-glfw-opengl-arb_transpose_matrix" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__uniform__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_uniform_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_uniform_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_uniform_buffer_object";
      asd = "cl-glfw-opengl-arb_uniform_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_uniform_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__array__bgra = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_array_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_array_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_array_bgra";
      asd = "cl-glfw-opengl-arb_vertex_array_bgra";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_array_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__array__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_array_object";
      asd = "cl-glfw-opengl-arb_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__attrib__64bit = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_attrib_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_attrib_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_attrib_64bit";
      asd = "cl-glfw-opengl-arb_vertex_attrib_64bit";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_attrib_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__blend = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_blend";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_blend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_blend";
      asd = "cl-glfw-opengl-arb_vertex_blend";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_blend" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_buffer_object";
      asd = "cl-glfw-opengl-arb_vertex_buffer_object";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__program = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_program";
      asd = "cl-glfw-opengl-arb_vertex_program";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_shader";
      asd = "cl-glfw-opengl-arb_vertex_shader";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__vertex__type__2__10__10__10__rev = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
      asd = "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev";
    });
    systems = [ "cl-glfw-opengl-arb_vertex_type_2_10_10_10_rev" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__viewport__array = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_viewport_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_viewport_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_viewport_array";
      asd = "cl-glfw-opengl-arb_viewport_array";
    });
    systems = [ "cl-glfw-opengl-arb_viewport_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-arb__window__pos = (build-asdf-system {
    pname = "cl-glfw-opengl-arb_window_pos";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-arb_window_pos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-arb_window_pos";
      asd = "cl-glfw-opengl-arb_window_pos";
    });
    systems = [ "cl-glfw-opengl-arb_window_pos" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__draw__buffers = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_draw_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_draw_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_draw_buffers";
      asd = "cl-glfw-opengl-ati_draw_buffers";
    });
    systems = [ "cl-glfw-opengl-ati_draw_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__element__array = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_element_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_element_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_element_array";
      asd = "cl-glfw-opengl-ati_element_array";
    });
    systems = [ "cl-glfw-opengl-ati_element_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__envmap__bumpmap = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_envmap_bumpmap";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_envmap_bumpmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_envmap_bumpmap";
      asd = "cl-glfw-opengl-ati_envmap_bumpmap";
    });
    systems = [ "cl-glfw-opengl-ati_envmap_bumpmap" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__fragment__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_fragment_shader";
      asd = "cl-glfw-opengl-ati_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-ati_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__map__object__buffer = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_map_object_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_map_object_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_map_object_buffer";
      asd = "cl-glfw-opengl-ati_map_object_buffer";
    });
    systems = [ "cl-glfw-opengl-ati_map_object_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__meminfo = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_meminfo";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_meminfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_meminfo";
      asd = "cl-glfw-opengl-ati_meminfo";
    });
    systems = [ "cl-glfw-opengl-ati_meminfo" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__pixel__format__float = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_pixel_format_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_pixel_format_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_pixel_format_float";
      asd = "cl-glfw-opengl-ati_pixel_format_float";
    });
    systems = [ "cl-glfw-opengl-ati_pixel_format_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__pn__triangles = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_pn_triangles";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_pn_triangles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_pn_triangles";
      asd = "cl-glfw-opengl-ati_pn_triangles";
    });
    systems = [ "cl-glfw-opengl-ati_pn_triangles" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__separate__stencil = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_separate_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_separate_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_separate_stencil";
      asd = "cl-glfw-opengl-ati_separate_stencil";
    });
    systems = [ "cl-glfw-opengl-ati_separate_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__text__fragment__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_text_fragment_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_text_fragment_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_text_fragment_shader";
      asd = "cl-glfw-opengl-ati_text_fragment_shader";
    });
    systems = [ "cl-glfw-opengl-ati_text_fragment_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__texture__env__combine3 = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_texture_env_combine3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_env_combine3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_env_combine3";
      asd = "cl-glfw-opengl-ati_texture_env_combine3";
    });
    systems = [ "cl-glfw-opengl-ati_texture_env_combine3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__texture__float = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_texture_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_float";
      asd = "cl-glfw-opengl-ati_texture_float";
    });
    systems = [ "cl-glfw-opengl-ati_texture_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__texture__mirror__once = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_texture_mirror_once";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_texture_mirror_once" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_texture_mirror_once";
      asd = "cl-glfw-opengl-ati_texture_mirror_once";
    });
    systems = [ "cl-glfw-opengl-ati_texture_mirror_once" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__vertex__array__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_vertex_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_array_object";
      asd = "cl-glfw-opengl-ati_vertex_array_object";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__vertex__attrib__array__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_vertex_attrib_array_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_attrib_array_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_attrib_array_object";
      asd = "cl-glfw-opengl-ati_vertex_attrib_array_object";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_attrib_array_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ati__vertex__streams = (build-asdf-system {
    pname = "cl-glfw-opengl-ati_vertex_streams";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ati_vertex_streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ati_vertex_streams";
      asd = "cl-glfw-opengl-ati_vertex_streams";
    });
    systems = [ "cl-glfw-opengl-ati_vertex_streams" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-core = (build-asdf-system {
    pname = "cl-glfw-opengl-core";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-core";
      asd = "cl-glfw-opengl-core";
    });
    systems = [ "cl-glfw-opengl-core" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-glfw-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__422__pixels = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_422_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_422_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_422_pixels";
      asd = "cl-glfw-opengl-ext_422_pixels";
    });
    systems = [ "cl-glfw-opengl-ext_422_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__abgr = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_abgr";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_abgr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_abgr";
      asd = "cl-glfw-opengl-ext_abgr";
    });
    systems = [ "cl-glfw-opengl-ext_abgr" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__bgra = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_bgra";
      asd = "cl-glfw-opengl-ext_bgra";
    });
    systems = [ "cl-glfw-opengl-ext_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__bindable__uniform = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_bindable_uniform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_bindable_uniform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_bindable_uniform";
      asd = "cl-glfw-opengl-ext_bindable_uniform";
    });
    systems = [ "cl-glfw-opengl-ext_bindable_uniform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__blend__color = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_blend_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_color";
      asd = "cl-glfw-opengl-ext_blend_color";
    });
    systems = [ "cl-glfw-opengl-ext_blend_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__blend__equation__separate = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_blend_equation_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_equation_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_equation_separate";
      asd = "cl-glfw-opengl-ext_blend_equation_separate";
    });
    systems = [ "cl-glfw-opengl-ext_blend_equation_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__blend__func__separate = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_blend_func_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_func_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_func_separate";
      asd = "cl-glfw-opengl-ext_blend_func_separate";
    });
    systems = [ "cl-glfw-opengl-ext_blend_func_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__blend__minmax = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_blend_minmax";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_minmax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_minmax";
      asd = "cl-glfw-opengl-ext_blend_minmax";
    });
    systems = [ "cl-glfw-opengl-ext_blend_minmax" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__blend__subtract = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_blend_subtract";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_blend_subtract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_blend_subtract";
      asd = "cl-glfw-opengl-ext_blend_subtract";
    });
    systems = [ "cl-glfw-opengl-ext_blend_subtract" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__clip__volume__hint = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_clip_volume_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_clip_volume_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_clip_volume_hint";
      asd = "cl-glfw-opengl-ext_clip_volume_hint";
    });
    systems = [ "cl-glfw-opengl-ext_clip_volume_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__cmyka = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_cmyka";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_cmyka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_cmyka";
      asd = "cl-glfw-opengl-ext_cmyka";
    });
    systems = [ "cl-glfw-opengl-ext_cmyka" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__color__subtable = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_color_subtable";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_color_subtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_color_subtable";
      asd = "cl-glfw-opengl-ext_color_subtable";
    });
    systems = [ "cl-glfw-opengl-ext_color_subtable" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__compiled__vertex__array = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_compiled_vertex_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_compiled_vertex_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_compiled_vertex_array";
      asd = "cl-glfw-opengl-ext_compiled_vertex_array";
    });
    systems = [ "cl-glfw-opengl-ext_compiled_vertex_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__convolution = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_convolution";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_convolution" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_convolution";
      asd = "cl-glfw-opengl-ext_convolution";
    });
    systems = [ "cl-glfw-opengl-ext_convolution" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__coordinate__frame = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_coordinate_frame";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_coordinate_frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_coordinate_frame";
      asd = "cl-glfw-opengl-ext_coordinate_frame";
    });
    systems = [ "cl-glfw-opengl-ext_coordinate_frame" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__copy__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_copy_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_copy_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_copy_texture";
      asd = "cl-glfw-opengl-ext_copy_texture";
    });
    systems = [ "cl-glfw-opengl-ext_copy_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__cull__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_cull_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_cull_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_cull_vertex";
      asd = "cl-glfw-opengl-ext_cull_vertex";
    });
    systems = [ "cl-glfw-opengl-ext_cull_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__depth__bounds__test = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_depth_bounds_test";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_depth_bounds_test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_depth_bounds_test";
      asd = "cl-glfw-opengl-ext_depth_bounds_test";
    });
    systems = [ "cl-glfw-opengl-ext_depth_bounds_test" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__direct__state__access = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_direct_state_access";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_direct_state_access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_direct_state_access";
      asd = "cl-glfw-opengl-ext_direct_state_access";
    });
    systems = [ "cl-glfw-opengl-ext_direct_state_access" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__draw__buffers2 = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_draw_buffers2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_buffers2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_buffers2";
      asd = "cl-glfw-opengl-ext_draw_buffers2";
    });
    systems = [ "cl-glfw-opengl-ext_draw_buffers2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__draw__instanced = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_draw_instanced";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_instanced" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_instanced";
      asd = "cl-glfw-opengl-ext_draw_instanced";
    });
    systems = [ "cl-glfw-opengl-ext_draw_instanced" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__draw__range__elements = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_draw_range_elements";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_draw_range_elements" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_draw_range_elements";
      asd = "cl-glfw-opengl-ext_draw_range_elements";
    });
    systems = [ "cl-glfw-opengl-ext_draw_range_elements" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__fog__coord = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_fog_coord";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_fog_coord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_fog_coord";
      asd = "cl-glfw-opengl-ext_fog_coord";
    });
    systems = [ "cl-glfw-opengl-ext_fog_coord" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__framebuffer__blit = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_framebuffer_blit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_blit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_blit";
      asd = "cl-glfw-opengl-ext_framebuffer_blit";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_blit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__framebuffer__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_framebuffer_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_multisample";
      asd = "cl-glfw-opengl-ext_framebuffer_multisample";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__framebuffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_framebuffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_object";
      asd = "cl-glfw-opengl-ext_framebuffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__framebuffer__srgb = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_framebuffer_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_framebuffer_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_framebuffer_srgb";
      asd = "cl-glfw-opengl-ext_framebuffer_srgb";
    });
    systems = [ "cl-glfw-opengl-ext_framebuffer_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__geometry__shader4 = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_geometry_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_geometry_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_geometry_shader4";
      asd = "cl-glfw-opengl-ext_geometry_shader4";
    });
    systems = [ "cl-glfw-opengl-ext_geometry_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__gpu__program__parameters = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_gpu_program_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_gpu_program_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_gpu_program_parameters";
      asd = "cl-glfw-opengl-ext_gpu_program_parameters";
    });
    systems = [ "cl-glfw-opengl-ext_gpu_program_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__gpu__shader4 = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_gpu_shader4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_gpu_shader4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_gpu_shader4";
      asd = "cl-glfw-opengl-ext_gpu_shader4";
    });
    systems = [ "cl-glfw-opengl-ext_gpu_shader4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__histogram = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_histogram";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_histogram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_histogram";
      asd = "cl-glfw-opengl-ext_histogram";
    });
    systems = [ "cl-glfw-opengl-ext_histogram" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__index__array__formats = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_index_array_formats";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_array_formats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_array_formats";
      asd = "cl-glfw-opengl-ext_index_array_formats";
    });
    systems = [ "cl-glfw-opengl-ext_index_array_formats" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__index__func = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_index_func";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_func" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_func";
      asd = "cl-glfw-opengl-ext_index_func";
    });
    systems = [ "cl-glfw-opengl-ext_index_func" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__index__material = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_index_material";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_index_material" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_index_material";
      asd = "cl-glfw-opengl-ext_index_material";
    });
    systems = [ "cl-glfw-opengl-ext_index_material" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__light__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_light_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_light_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_light_texture";
      asd = "cl-glfw-opengl-ext_light_texture";
    });
    systems = [ "cl-glfw-opengl-ext_light_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__multi__draw__arrays = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_multi_draw_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_multi_draw_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_multi_draw_arrays";
      asd = "cl-glfw-opengl-ext_multi_draw_arrays";
    });
    systems = [ "cl-glfw-opengl-ext_multi_draw_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_multisample";
      asd = "cl-glfw-opengl-ext_multisample";
    });
    systems = [ "cl-glfw-opengl-ext_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__packed__depth__stencil = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_depth_stencil";
      asd = "cl-glfw-opengl-ext_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-ext_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__packed__float = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_packed_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_float";
      asd = "cl-glfw-opengl-ext_packed_float";
    });
    systems = [ "cl-glfw-opengl-ext_packed_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__packed__pixels = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_packed_pixels";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_packed_pixels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_packed_pixels";
      asd = "cl-glfw-opengl-ext_packed_pixels";
    });
    systems = [ "cl-glfw-opengl-ext_packed_pixels" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__paletted__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_paletted_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_paletted_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_paletted_texture";
      asd = "cl-glfw-opengl-ext_paletted_texture";
    });
    systems = [ "cl-glfw-opengl-ext_paletted_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__pixel__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_pixel_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_pixel_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_pixel_buffer_object";
      asd = "cl-glfw-opengl-ext_pixel_buffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_pixel_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__pixel__transform = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_pixel_transform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_pixel_transform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_pixel_transform";
      asd = "cl-glfw-opengl-ext_pixel_transform";
    });
    systems = [ "cl-glfw-opengl-ext_pixel_transform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__point__parameters = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_point_parameters";
      asd = "cl-glfw-opengl-ext_point_parameters";
    });
    systems = [ "cl-glfw-opengl-ext_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__polygon__offset = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_polygon_offset";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_polygon_offset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_polygon_offset";
      asd = "cl-glfw-opengl-ext_polygon_offset";
    });
    systems = [ "cl-glfw-opengl-ext_polygon_offset" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__provoking__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_provoking_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_provoking_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_provoking_vertex";
      asd = "cl-glfw-opengl-ext_provoking_vertex";
    });
    systems = [ "cl-glfw-opengl-ext_provoking_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__secondary__color = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_secondary_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_secondary_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_secondary_color";
      asd = "cl-glfw-opengl-ext_secondary_color";
    });
    systems = [ "cl-glfw-opengl-ext_secondary_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__separate__shader__objects = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_separate_shader_objects";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_separate_shader_objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_separate_shader_objects";
      asd = "cl-glfw-opengl-ext_separate_shader_objects";
    });
    systems = [ "cl-glfw-opengl-ext_separate_shader_objects" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__separate__specular__color = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_separate_specular_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_separate_specular_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_separate_specular_color";
      asd = "cl-glfw-opengl-ext_separate_specular_color";
    });
    systems = [ "cl-glfw-opengl-ext_separate_specular_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__shader__image__load__store = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_shader_image_load_store";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_shader_image_load_store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_shader_image_load_store";
      asd = "cl-glfw-opengl-ext_shader_image_load_store";
    });
    systems = [ "cl-glfw-opengl-ext_shader_image_load_store" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__stencil__clear__tag = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_stencil_clear_tag";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_clear_tag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_clear_tag";
      asd = "cl-glfw-opengl-ext_stencil_clear_tag";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_clear_tag" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__stencil__two__side = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_stencil_two_side";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_two_side" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_two_side";
      asd = "cl-glfw-opengl-ext_stencil_two_side";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_two_side" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__stencil__wrap = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_stencil_wrap";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_stencil_wrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_stencil_wrap";
      asd = "cl-glfw-opengl-ext_stencil_wrap";
    });
    systems = [ "cl-glfw-opengl-ext_stencil_wrap" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__subtexture = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_subtexture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_subtexture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_subtexture";
      asd = "cl-glfw-opengl-ext_subtexture";
    });
    systems = [ "cl-glfw-opengl-ext_subtexture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture";
      asd = "cl-glfw-opengl-ext_texture";
    });
    systems = [ "cl-glfw-opengl-ext_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture3d = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture3d";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture3d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture3d";
      asd = "cl-glfw-opengl-ext_texture3d";
    });
    systems = [ "cl-glfw-opengl-ext_texture3d" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__array = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_array";
      asd = "cl-glfw-opengl-ext_texture_array";
    });
    systems = [ "cl-glfw-opengl-ext_texture_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_buffer_object";
      asd = "cl-glfw-opengl-ext_texture_buffer_object";
    });
    systems = [ "cl-glfw-opengl-ext_texture_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__compression__latc = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_compression_latc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_latc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_latc";
      asd = "cl-glfw-opengl-ext_texture_compression_latc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_latc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__compression__rgtc = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_compression_rgtc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_rgtc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_rgtc";
      asd = "cl-glfw-opengl-ext_texture_compression_rgtc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_rgtc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__compression__s3tc = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_compression_s3tc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_compression_s3tc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_compression_s3tc";
      asd = "cl-glfw-opengl-ext_texture_compression_s3tc";
    });
    systems = [ "cl-glfw-opengl-ext_texture_compression_s3tc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__cube__map = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_cube_map";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_cube_map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_cube_map";
      asd = "cl-glfw-opengl-ext_texture_cube_map";
    });
    systems = [ "cl-glfw-opengl-ext_texture_cube_map" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__env__combine = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_env_combine";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_env_combine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_env_combine";
      asd = "cl-glfw-opengl-ext_texture_env_combine";
    });
    systems = [ "cl-glfw-opengl-ext_texture_env_combine" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__env__dot3 = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_env_dot3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_env_dot3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_env_dot3";
      asd = "cl-glfw-opengl-ext_texture_env_dot3";
    });
    systems = [ "cl-glfw-opengl-ext_texture_env_dot3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__filter__anisotropic = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_filter_anisotropic";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_filter_anisotropic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_filter_anisotropic";
      asd = "cl-glfw-opengl-ext_texture_filter_anisotropic";
    });
    systems = [ "cl-glfw-opengl-ext_texture_filter_anisotropic" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__integer = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_integer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_integer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_integer";
      asd = "cl-glfw-opengl-ext_texture_integer";
    });
    systems = [ "cl-glfw-opengl-ext_texture_integer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__lod__bias = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_lod_bias";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_lod_bias" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_lod_bias";
      asd = "cl-glfw-opengl-ext_texture_lod_bias";
    });
    systems = [ "cl-glfw-opengl-ext_texture_lod_bias" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__mirror__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_mirror_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_mirror_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_mirror_clamp";
      asd = "cl-glfw-opengl-ext_texture_mirror_clamp";
    });
    systems = [ "cl-glfw-opengl-ext_texture_mirror_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__object = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_object";
      asd = "cl-glfw-opengl-ext_texture_object";
    });
    systems = [ "cl-glfw-opengl-ext_texture_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__perturb__normal = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_perturb_normal";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_perturb_normal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_perturb_normal";
      asd = "cl-glfw-opengl-ext_texture_perturb_normal";
    });
    systems = [ "cl-glfw-opengl-ext_texture_perturb_normal" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__shared__exponent = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_shared_exponent";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_shared_exponent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_shared_exponent";
      asd = "cl-glfw-opengl-ext_texture_shared_exponent";
    });
    systems = [ "cl-glfw-opengl-ext_texture_shared_exponent" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__snorm = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_snorm";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_snorm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_snorm";
      asd = "cl-glfw-opengl-ext_texture_snorm";
    });
    systems = [ "cl-glfw-opengl-ext_texture_snorm" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__srgb = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_srgb";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_srgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_srgb";
      asd = "cl-glfw-opengl-ext_texture_srgb";
    });
    systems = [ "cl-glfw-opengl-ext_texture_srgb" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__srgb__decode = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_srgb_decode";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_srgb_decode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_srgb_decode";
      asd = "cl-glfw-opengl-ext_texture_srgb_decode";
    });
    systems = [ "cl-glfw-opengl-ext_texture_srgb_decode" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__texture__swizzle = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_texture_swizzle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_texture_swizzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_texture_swizzle";
      asd = "cl-glfw-opengl-ext_texture_swizzle";
    });
    systems = [ "cl-glfw-opengl-ext_texture_swizzle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__timer__query = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_timer_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_timer_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_timer_query";
      asd = "cl-glfw-opengl-ext_timer_query";
    });
    systems = [ "cl-glfw-opengl-ext_timer_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__transform__feedback = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_transform_feedback";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_transform_feedback" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_transform_feedback";
      asd = "cl-glfw-opengl-ext_transform_feedback";
    });
    systems = [ "cl-glfw-opengl-ext_transform_feedback" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__vertex__array = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_vertex_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_array";
      asd = "cl-glfw-opengl-ext_vertex_array";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__vertex__array__bgra = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_vertex_array_bgra";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_array_bgra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_array_bgra";
      asd = "cl-glfw-opengl-ext_vertex_array_bgra";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_array_bgra" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__vertex__attrib__64bit = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_vertex_attrib_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_attrib_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_attrib_64bit";
      asd = "cl-glfw-opengl-ext_vertex_attrib_64bit";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_attrib_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__vertex__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_vertex_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_shader";
      asd = "cl-glfw-opengl-ext_vertex_shader";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ext__vertex__weighting = (build-asdf-system {
    pname = "cl-glfw-opengl-ext_vertex_weighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ext_vertex_weighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ext_vertex_weighting";
      asd = "cl-glfw-opengl-ext_vertex_weighting";
    });
    systems = [ "cl-glfw-opengl-ext_vertex_weighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-gremedy__frame__terminator = (build-asdf-system {
    pname = "cl-glfw-opengl-gremedy_frame_terminator";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-gremedy_frame_terminator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-gremedy_frame_terminator";
      asd = "cl-glfw-opengl-gremedy_frame_terminator";
    });
    systems = [ "cl-glfw-opengl-gremedy_frame_terminator" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-gremedy__string__marker = (build-asdf-system {
    pname = "cl-glfw-opengl-gremedy_string_marker";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-gremedy_string_marker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-gremedy_string_marker";
      asd = "cl-glfw-opengl-gremedy_string_marker";
    });
    systems = [ "cl-glfw-opengl-gremedy_string_marker" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-hp__convolution__border__modes = (build-asdf-system {
    pname = "cl-glfw-opengl-hp_convolution_border_modes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_convolution_border_modes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_convolution_border_modes";
      asd = "cl-glfw-opengl-hp_convolution_border_modes";
    });
    systems = [ "cl-glfw-opengl-hp_convolution_border_modes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-hp__image__transform = (build-asdf-system {
    pname = "cl-glfw-opengl-hp_image_transform";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_image_transform" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_image_transform";
      asd = "cl-glfw-opengl-hp_image_transform";
    });
    systems = [ "cl-glfw-opengl-hp_image_transform" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-hp__occlusion__test = (build-asdf-system {
    pname = "cl-glfw-opengl-hp_occlusion_test";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_occlusion_test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_occlusion_test";
      asd = "cl-glfw-opengl-hp_occlusion_test";
    });
    systems = [ "cl-glfw-opengl-hp_occlusion_test" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-hp__texture__lighting = (build-asdf-system {
    pname = "cl-glfw-opengl-hp_texture_lighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-hp_texture_lighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-hp_texture_lighting";
      asd = "cl-glfw-opengl-hp_texture_lighting";
    });
    systems = [ "cl-glfw-opengl-hp_texture_lighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ibm__cull__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-ibm_cull_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_cull_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_cull_vertex";
      asd = "cl-glfw-opengl-ibm_cull_vertex";
    });
    systems = [ "cl-glfw-opengl-ibm_cull_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ibm__multimode__draw__arrays = (build-asdf-system {
    pname = "cl-glfw-opengl-ibm_multimode_draw_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_multimode_draw_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_multimode_draw_arrays";
      asd = "cl-glfw-opengl-ibm_multimode_draw_arrays";
    });
    systems = [ "cl-glfw-opengl-ibm_multimode_draw_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ibm__rasterpos__clip = (build-asdf-system {
    pname = "cl-glfw-opengl-ibm_rasterpos_clip";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_rasterpos_clip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_rasterpos_clip";
      asd = "cl-glfw-opengl-ibm_rasterpos_clip";
    });
    systems = [ "cl-glfw-opengl-ibm_rasterpos_clip" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ibm__texture__mirrored__repeat = (build-asdf-system {
    pname = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_texture_mirrored_repeat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
      asd = "cl-glfw-opengl-ibm_texture_mirrored_repeat";
    });
    systems = [ "cl-glfw-opengl-ibm_texture_mirrored_repeat" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ibm__vertex__array__lists = (build-asdf-system {
    pname = "cl-glfw-opengl-ibm_vertex_array_lists";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ibm_vertex_array_lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ibm_vertex_array_lists";
      asd = "cl-glfw-opengl-ibm_vertex_array_lists";
    });
    systems = [ "cl-glfw-opengl-ibm_vertex_array_lists" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ingr__blend__func__separate = (build-asdf-system {
    pname = "cl-glfw-opengl-ingr_blend_func_separate";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_blend_func_separate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_blend_func_separate";
      asd = "cl-glfw-opengl-ingr_blend_func_separate";
    });
    systems = [ "cl-glfw-opengl-ingr_blend_func_separate" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ingr__color__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-ingr_color_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_color_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_color_clamp";
      asd = "cl-glfw-opengl-ingr_color_clamp";
    });
    systems = [ "cl-glfw-opengl-ingr_color_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-ingr__interlace__read = (build-asdf-system {
    pname = "cl-glfw-opengl-ingr_interlace_read";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-ingr_interlace_read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-ingr_interlace_read";
      asd = "cl-glfw-opengl-ingr_interlace_read";
    });
    systems = [ "cl-glfw-opengl-ingr_interlace_read" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-intel__parallel__arrays = (build-asdf-system {
    pname = "cl-glfw-opengl-intel_parallel_arrays";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-intel_parallel_arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-intel_parallel_arrays";
      asd = "cl-glfw-opengl-intel_parallel_arrays";
    });
    systems = [ "cl-glfw-opengl-intel_parallel_arrays" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__pack__invert = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_pack_invert";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_pack_invert" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_pack_invert";
      asd = "cl-glfw-opengl-mesa_pack_invert";
    });
    systems = [ "cl-glfw-opengl-mesa_pack_invert" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__packed__depth__stencil = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_packed_depth_stencil";
      asd = "cl-glfw-opengl-mesa_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-mesa_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__program__debug = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_program_debug";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_program_debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_program_debug";
      asd = "cl-glfw-opengl-mesa_program_debug";
    });
    systems = [ "cl-glfw-opengl-mesa_program_debug" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__resize__buffers = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_resize_buffers";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_resize_buffers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_resize_buffers";
      asd = "cl-glfw-opengl-mesa_resize_buffers";
    });
    systems = [ "cl-glfw-opengl-mesa_resize_buffers" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__shader__debug = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_shader_debug";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_shader_debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_shader_debug";
      asd = "cl-glfw-opengl-mesa_shader_debug";
    });
    systems = [ "cl-glfw-opengl-mesa_shader_debug" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__trace = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_trace";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_trace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_trace";
      asd = "cl-glfw-opengl-mesa_trace";
    });
    systems = [ "cl-glfw-opengl-mesa_trace" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__window__pos = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_window_pos";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_window_pos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_window_pos";
      asd = "cl-glfw-opengl-mesa_window_pos";
    });
    systems = [ "cl-glfw-opengl-mesa_window_pos" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesa__ycbcr__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-mesa_ycbcr_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesa_ycbcr_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesa_ycbcr_texture";
      asd = "cl-glfw-opengl-mesa_ycbcr_texture";
    });
    systems = [ "cl-glfw-opengl-mesa_ycbcr_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-mesax__texture__stack = (build-asdf-system {
    pname = "cl-glfw-opengl-mesax_texture_stack";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-mesax_texture_stack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-mesax_texture_stack";
      asd = "cl-glfw-opengl-mesax_texture_stack";
    });
    systems = [ "cl-glfw-opengl-mesax_texture_stack" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__conditional__render = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_conditional_render";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_conditional_render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_conditional_render";
      asd = "cl-glfw-opengl-nv_conditional_render";
    });
    systems = [ "cl-glfw-opengl-nv_conditional_render" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__copy__depth__to__color = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_copy_depth_to_color";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_copy_depth_to_color" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_copy_depth_to_color";
      asd = "cl-glfw-opengl-nv_copy_depth_to_color";
    });
    systems = [ "cl-glfw-opengl-nv_copy_depth_to_color" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__copy__image = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_copy_image";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_copy_image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_copy_image";
      asd = "cl-glfw-opengl-nv_copy_image";
    });
    systems = [ "cl-glfw-opengl-nv_copy_image" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__depth__buffer__float = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_depth_buffer_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_depth_buffer_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_depth_buffer_float";
      asd = "cl-glfw-opengl-nv_depth_buffer_float";
    });
    systems = [ "cl-glfw-opengl-nv_depth_buffer_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__depth__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_depth_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_depth_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_depth_clamp";
      asd = "cl-glfw-opengl-nv_depth_clamp";
    });
    systems = [ "cl-glfw-opengl-nv_depth_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__evaluators = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_evaluators";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_evaluators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_evaluators";
      asd = "cl-glfw-opengl-nv_evaluators";
    });
    systems = [ "cl-glfw-opengl-nv_evaluators" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__explicit__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_explicit_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_explicit_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_explicit_multisample";
      asd = "cl-glfw-opengl-nv_explicit_multisample";
    });
    systems = [ "cl-glfw-opengl-nv_explicit_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__fence = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_fence";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fence";
      asd = "cl-glfw-opengl-nv_fence";
    });
    systems = [ "cl-glfw-opengl-nv_fence" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__float__buffer = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_float_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_float_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_float_buffer";
      asd = "cl-glfw-opengl-nv_float_buffer";
    });
    systems = [ "cl-glfw-opengl-nv_float_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__fog__distance = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_fog_distance";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fog_distance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fog_distance";
      asd = "cl-glfw-opengl-nv_fog_distance";
    });
    systems = [ "cl-glfw-opengl-nv_fog_distance" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__fragment__program = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_fragment_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fragment_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fragment_program";
      asd = "cl-glfw-opengl-nv_fragment_program";
    });
    systems = [ "cl-glfw-opengl-nv_fragment_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__fragment__program2 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_fragment_program2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_fragment_program2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_fragment_program2";
      asd = "cl-glfw-opengl-nv_fragment_program2";
    });
    systems = [ "cl-glfw-opengl-nv_fragment_program2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__framebuffer__multisample__coverage = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_framebuffer_multisample_coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
      asd = "cl-glfw-opengl-nv_framebuffer_multisample_coverage";
    });
    systems = [ "cl-glfw-opengl-nv_framebuffer_multisample_coverage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__geometry__program4 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_geometry_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_geometry_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_geometry_program4";
      asd = "cl-glfw-opengl-nv_geometry_program4";
    });
    systems = [ "cl-glfw-opengl-nv_geometry_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__gpu__program4 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_gpu_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_program4";
      asd = "cl-glfw-opengl-nv_gpu_program4";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__gpu__program5 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_gpu_program5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_program5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_program5";
      asd = "cl-glfw-opengl-nv_gpu_program5";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_program5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__gpu__shader5 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_gpu_shader5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_gpu_shader5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_gpu_shader5";
      asd = "cl-glfw-opengl-nv_gpu_shader5";
    });
    systems = [ "cl-glfw-opengl-nv_gpu_shader5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__half__float = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_half_float";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_half_float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_half_float";
      asd = "cl-glfw-opengl-nv_half_float";
    });
    systems = [ "cl-glfw-opengl-nv_half_float" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__light__max__exponent = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_light_max_exponent";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_light_max_exponent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_light_max_exponent";
      asd = "cl-glfw-opengl-nv_light_max_exponent";
    });
    systems = [ "cl-glfw-opengl-nv_light_max_exponent" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__multisample__coverage = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_multisample_coverage";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_multisample_coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_multisample_coverage";
      asd = "cl-glfw-opengl-nv_multisample_coverage";
    });
    systems = [ "cl-glfw-opengl-nv_multisample_coverage" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__multisample__filter__hint = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_multisample_filter_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_multisample_filter_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_multisample_filter_hint";
      asd = "cl-glfw-opengl-nv_multisample_filter_hint";
    });
    systems = [ "cl-glfw-opengl-nv_multisample_filter_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__occlusion__query = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_occlusion_query";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_occlusion_query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_occlusion_query";
      asd = "cl-glfw-opengl-nv_occlusion_query";
    });
    systems = [ "cl-glfw-opengl-nv_occlusion_query" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__packed__depth__stencil = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_packed_depth_stencil";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_packed_depth_stencil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_packed_depth_stencil";
      asd = "cl-glfw-opengl-nv_packed_depth_stencil";
    });
    systems = [ "cl-glfw-opengl-nv_packed_depth_stencil" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__parameter__buffer__object = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_parameter_buffer_object";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_parameter_buffer_object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_parameter_buffer_object";
      asd = "cl-glfw-opengl-nv_parameter_buffer_object";
    });
    systems = [ "cl-glfw-opengl-nv_parameter_buffer_object" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__pixel__data__range = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_pixel_data_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_pixel_data_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_pixel_data_range";
      asd = "cl-glfw-opengl-nv_pixel_data_range";
    });
    systems = [ "cl-glfw-opengl-nv_pixel_data_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__point__sprite = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_point_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_point_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_point_sprite";
      asd = "cl-glfw-opengl-nv_point_sprite";
    });
    systems = [ "cl-glfw-opengl-nv_point_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__present__video = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_present_video";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_present_video" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_present_video";
      asd = "cl-glfw-opengl-nv_present_video";
    });
    systems = [ "cl-glfw-opengl-nv_present_video" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__primitive__restart = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_primitive_restart";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_primitive_restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_primitive_restart";
      asd = "cl-glfw-opengl-nv_primitive_restart";
    });
    systems = [ "cl-glfw-opengl-nv_primitive_restart" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__register__combiners = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_register_combiners";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_register_combiners" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_register_combiners";
      asd = "cl-glfw-opengl-nv_register_combiners";
    });
    systems = [ "cl-glfw-opengl-nv_register_combiners" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__register__combiners2 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_register_combiners2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_register_combiners2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_register_combiners2";
      asd = "cl-glfw-opengl-nv_register_combiners2";
    });
    systems = [ "cl-glfw-opengl-nv_register_combiners2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__shader__buffer__load = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_shader_buffer_load";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_shader_buffer_load" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_shader_buffer_load";
      asd = "cl-glfw-opengl-nv_shader_buffer_load";
    });
    systems = [ "cl-glfw-opengl-nv_shader_buffer_load" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__shader__buffer__store = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_shader_buffer_store";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_shader_buffer_store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_shader_buffer_store";
      asd = "cl-glfw-opengl-nv_shader_buffer_store";
    });
    systems = [ "cl-glfw-opengl-nv_shader_buffer_store" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__tessellation__program5 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_tessellation_program5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_tessellation_program5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_tessellation_program5";
      asd = "cl-glfw-opengl-nv_tessellation_program5";
    });
    systems = [ "cl-glfw-opengl-nv_tessellation_program5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texgen__emboss = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texgen_emboss";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texgen_emboss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texgen_emboss";
      asd = "cl-glfw-opengl-nv_texgen_emboss";
    });
    systems = [ "cl-glfw-opengl-nv_texgen_emboss" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texgen__reflection = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texgen_reflection";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texgen_reflection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texgen_reflection";
      asd = "cl-glfw-opengl-nv_texgen_reflection";
    });
    systems = [ "cl-glfw-opengl-nv_texgen_reflection" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__barrier = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_barrier";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_barrier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_barrier";
      asd = "cl-glfw-opengl-nv_texture_barrier";
    });
    systems = [ "cl-glfw-opengl-nv_texture_barrier" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__env__combine4 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_env_combine4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_env_combine4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_env_combine4";
      asd = "cl-glfw-opengl-nv_texture_env_combine4";
    });
    systems = [ "cl-glfw-opengl-nv_texture_env_combine4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__expand__normal = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_expand_normal";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_expand_normal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_expand_normal";
      asd = "cl-glfw-opengl-nv_texture_expand_normal";
    });
    systems = [ "cl-glfw-opengl-nv_texture_expand_normal" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_multisample";
      asd = "cl-glfw-opengl-nv_texture_multisample";
    });
    systems = [ "cl-glfw-opengl-nv_texture_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__rectangle = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_rectangle";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_rectangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_rectangle";
      asd = "cl-glfw-opengl-nv_texture_rectangle";
    });
    systems = [ "cl-glfw-opengl-nv_texture_rectangle" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__shader = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_shader";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader";
      asd = "cl-glfw-opengl-nv_texture_shader";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__shader2 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_shader2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader2";
      asd = "cl-glfw-opengl-nv_texture_shader2";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__texture__shader3 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_texture_shader3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_texture_shader3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_texture_shader3";
      asd = "cl-glfw-opengl-nv_texture_shader3";
    });
    systems = [ "cl-glfw-opengl-nv_texture_shader3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__transform__feedback = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_transform_feedback";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_transform_feedback" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_transform_feedback";
      asd = "cl-glfw-opengl-nv_transform_feedback";
    });
    systems = [ "cl-glfw-opengl-nv_transform_feedback" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__transform__feedback2 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_transform_feedback2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_transform_feedback2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_transform_feedback2";
      asd = "cl-glfw-opengl-nv_transform_feedback2";
    });
    systems = [ "cl-glfw-opengl-nv_transform_feedback2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__array__range = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_array_range";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_array_range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_array_range";
      asd = "cl-glfw-opengl-nv_vertex_array_range";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_array_range" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__array__range2 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_array_range2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_array_range2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_array_range2";
      asd = "cl-glfw-opengl-nv_vertex_array_range2";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_array_range2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__attrib__integer__64bit = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_attrib_integer_64bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
      asd = "cl-glfw-opengl-nv_vertex_attrib_integer_64bit";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_attrib_integer_64bit" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__buffer__unified__memory = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_buffer_unified_memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
      asd = "cl-glfw-opengl-nv_vertex_buffer_unified_memory";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_buffer_unified_memory" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__program = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_program";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program";
      asd = "cl-glfw-opengl-nv_vertex_program";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__program2__option = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_program2_option";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program2_option" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program2_option";
      asd = "cl-glfw-opengl-nv_vertex_program2_option";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program2_option" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__program3 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_program3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program3";
      asd = "cl-glfw-opengl-nv_vertex_program3";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-nv__vertex__program4 = (build-asdf-system {
    pname = "cl-glfw-opengl-nv_vertex_program4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-nv_vertex_program4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-nv_vertex_program4";
      asd = "cl-glfw-opengl-nv_vertex_program4";
    });
    systems = [ "cl-glfw-opengl-nv_vertex_program4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-oes__read__format = (build-asdf-system {
    pname = "cl-glfw-opengl-oes_read_format";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oes_read_format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oes_read_format";
      asd = "cl-glfw-opengl-oes_read_format";
    });
    systems = [ "cl-glfw-opengl-oes_read_format" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-oml__interlace = (build-asdf-system {
    pname = "cl-glfw-opengl-oml_interlace";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_interlace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_interlace";
      asd = "cl-glfw-opengl-oml_interlace";
    });
    systems = [ "cl-glfw-opengl-oml_interlace" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-oml__resample = (build-asdf-system {
    pname = "cl-glfw-opengl-oml_resample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_resample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_resample";
      asd = "cl-glfw-opengl-oml_resample";
    });
    systems = [ "cl-glfw-opengl-oml_resample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-oml__subsample = (build-asdf-system {
    pname = "cl-glfw-opengl-oml_subsample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-oml_subsample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-oml_subsample";
      asd = "cl-glfw-opengl-oml_subsample";
    });
    systems = [ "cl-glfw-opengl-oml_subsample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-pgi__misc__hints = (build-asdf-system {
    pname = "cl-glfw-opengl-pgi_misc_hints";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-pgi_misc_hints" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-pgi_misc_hints";
      asd = "cl-glfw-opengl-pgi_misc_hints";
    });
    systems = [ "cl-glfw-opengl-pgi_misc_hints" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-pgi__vertex__hints = (build-asdf-system {
    pname = "cl-glfw-opengl-pgi_vertex_hints";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-pgi_vertex_hints" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-pgi_vertex_hints";
      asd = "cl-glfw-opengl-pgi_vertex_hints";
    });
    systems = [ "cl-glfw-opengl-pgi_vertex_hints" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-rend__screen__coordinates = (build-asdf-system {
    pname = "cl-glfw-opengl-rend_screen_coordinates";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-rend_screen_coordinates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-rend_screen_coordinates";
      asd = "cl-glfw-opengl-rend_screen_coordinates";
    });
    systems = [ "cl-glfw-opengl-rend_screen_coordinates" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-s3__s3tc = (build-asdf-system {
    pname = "cl-glfw-opengl-s3_s3tc";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-s3_s3tc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-s3_s3tc";
      asd = "cl-glfw-opengl-s3_s3tc";
    });
    systems = [ "cl-glfw-opengl-s3_s3tc" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgi__color__table = (build-asdf-system {
    pname = "cl-glfw-opengl-sgi_color_table";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgi_color_table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgi_color_table";
      asd = "cl-glfw-opengl-sgi_color_table";
    });
    systems = [ "cl-glfw-opengl-sgi_color_table" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgi__depth__pass__instrument = (build-asdf-system {
    pname = "cl-glfw-opengl-sgi_depth_pass_instrument";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgi_depth_pass_instrument" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgi_depth_pass_instrument";
      asd = "cl-glfw-opengl-sgi_depth_pass_instrument";
    });
    systems = [ "cl-glfw-opengl-sgi_depth_pass_instrument" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__detail__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_detail_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_detail_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_detail_texture";
      asd = "cl-glfw-opengl-sgis_detail_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_detail_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__fog__function = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_fog_function";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_fog_function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_fog_function";
      asd = "cl-glfw-opengl-sgis_fog_function";
    });
    systems = [ "cl-glfw-opengl-sgis_fog_function" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__multisample = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_multisample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_multisample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_multisample";
      asd = "cl-glfw-opengl-sgis_multisample";
    });
    systems = [ "cl-glfw-opengl-sgis_multisample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__pixel__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_pixel_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_pixel_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_pixel_texture";
      asd = "cl-glfw-opengl-sgis_pixel_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_pixel_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__point__parameters = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_point_parameters";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_point_parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_point_parameters";
      asd = "cl-glfw-opengl-sgis_point_parameters";
    });
    systems = [ "cl-glfw-opengl-sgis_point_parameters" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__sharpen__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_sharpen_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_sharpen_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_sharpen_texture";
      asd = "cl-glfw-opengl-sgis_sharpen_texture";
    });
    systems = [ "cl-glfw-opengl-sgis_sharpen_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__texture4d = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_texture4d";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture4d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture4d";
      asd = "cl-glfw-opengl-sgis_texture4d";
    });
    systems = [ "cl-glfw-opengl-sgis_texture4d" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__texture__color__mask = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_texture_color_mask";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_color_mask" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_color_mask";
      asd = "cl-glfw-opengl-sgis_texture_color_mask";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_color_mask" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__texture__filter4 = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_texture_filter4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_filter4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_filter4";
      asd = "cl-glfw-opengl-sgis_texture_filter4";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_filter4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgis__texture__select = (build-asdf-system {
    pname = "cl-glfw-opengl-sgis_texture_select";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgis_texture_select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgis_texture_select";
      asd = "cl-glfw-opengl-sgis_texture_select";
    });
    systems = [ "cl-glfw-opengl-sgis_texture_select" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__async = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_async";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_async";
      asd = "cl-glfw-opengl-sgix_async";
    });
    systems = [ "cl-glfw-opengl-sgix_async" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__depth__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_depth_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_depth_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_depth_texture";
      asd = "cl-glfw-opengl-sgix_depth_texture";
    });
    systems = [ "cl-glfw-opengl-sgix_depth_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__flush__raster = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_flush_raster";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_flush_raster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_flush_raster";
      asd = "cl-glfw-opengl-sgix_flush_raster";
    });
    systems = [ "cl-glfw-opengl-sgix_flush_raster" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__fog__scale = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_fog_scale";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_fog_scale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_fog_scale";
      asd = "cl-glfw-opengl-sgix_fog_scale";
    });
    systems = [ "cl-glfw-opengl-sgix_fog_scale" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__fragment__lighting = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_fragment_lighting";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_fragment_lighting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_fragment_lighting";
      asd = "cl-glfw-opengl-sgix_fragment_lighting";
    });
    systems = [ "cl-glfw-opengl-sgix_fragment_lighting" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__framezoom = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_framezoom";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_framezoom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_framezoom";
      asd = "cl-glfw-opengl-sgix_framezoom";
    });
    systems = [ "cl-glfw-opengl-sgix_framezoom" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__igloo__interface = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_igloo_interface";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_igloo_interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_igloo_interface";
      asd = "cl-glfw-opengl-sgix_igloo_interface";
    });
    systems = [ "cl-glfw-opengl-sgix_igloo_interface" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__instruments = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_instruments";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_instruments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_instruments";
      asd = "cl-glfw-opengl-sgix_instruments";
    });
    systems = [ "cl-glfw-opengl-sgix_instruments" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__line__quality__hint = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_line_quality_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_line_quality_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_line_quality_hint";
      asd = "cl-glfw-opengl-sgix_line_quality_hint";
    });
    systems = [ "cl-glfw-opengl-sgix_line_quality_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__list__priority = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_list_priority";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_list_priority" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_list_priority";
      asd = "cl-glfw-opengl-sgix_list_priority";
    });
    systems = [ "cl-glfw-opengl-sgix_list_priority" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__pixel__texture = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_pixel_texture";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_pixel_texture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_pixel_texture";
      asd = "cl-glfw-opengl-sgix_pixel_texture";
    });
    systems = [ "cl-glfw-opengl-sgix_pixel_texture" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__polynomial__ffd = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_polynomial_ffd";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_polynomial_ffd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_polynomial_ffd";
      asd = "cl-glfw-opengl-sgix_polynomial_ffd";
    });
    systems = [ "cl-glfw-opengl-sgix_polynomial_ffd" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__reference__plane = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_reference_plane";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_reference_plane" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_reference_plane";
      asd = "cl-glfw-opengl-sgix_reference_plane";
    });
    systems = [ "cl-glfw-opengl-sgix_reference_plane" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__resample = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_resample";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_resample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_resample";
      asd = "cl-glfw-opengl-sgix_resample";
    });
    systems = [ "cl-glfw-opengl-sgix_resample" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__scalebias__hint = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_scalebias_hint";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_scalebias_hint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_scalebias_hint";
      asd = "cl-glfw-opengl-sgix_scalebias_hint";
    });
    systems = [ "cl-glfw-opengl-sgix_scalebias_hint" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__shadow = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_shadow";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_shadow";
      asd = "cl-glfw-opengl-sgix_shadow";
    });
    systems = [ "cl-glfw-opengl-sgix_shadow" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__shadow__ambient = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_shadow_ambient";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_shadow_ambient" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_shadow_ambient";
      asd = "cl-glfw-opengl-sgix_shadow_ambient";
    });
    systems = [ "cl-glfw-opengl-sgix_shadow_ambient" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__slim = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_slim";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_slim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_slim";
      asd = "cl-glfw-opengl-sgix_slim";
    });
    systems = [ "cl-glfw-opengl-sgix_slim" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__sprite = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_sprite";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_sprite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_sprite";
      asd = "cl-glfw-opengl-sgix_sprite";
    });
    systems = [ "cl-glfw-opengl-sgix_sprite" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__tag__sample__buffer = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_tag_sample_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_tag_sample_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_tag_sample_buffer";
      asd = "cl-glfw-opengl-sgix_tag_sample_buffer";
    });
    systems = [ "cl-glfw-opengl-sgix_tag_sample_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__texture__coordinate__clamp = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_coordinate_clamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
      asd = "cl-glfw-opengl-sgix_texture_coordinate_clamp";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_coordinate_clamp" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__texture__lod__bias = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_texture_lod_bias";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_lod_bias" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_lod_bias";
      asd = "cl-glfw-opengl-sgix_texture_lod_bias";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_lod_bias" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__texture__multi__buffer = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_texture_multi_buffer";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_texture_multi_buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_texture_multi_buffer";
      asd = "cl-glfw-opengl-sgix_texture_multi_buffer";
    });
    systems = [ "cl-glfw-opengl-sgix_texture_multi_buffer" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sgix__ycrcba = (build-asdf-system {
    pname = "cl-glfw-opengl-sgix_ycrcba";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sgix_ycrcba" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sgix_ycrcba";
      asd = "cl-glfw-opengl-sgix_ycrcba";
    });
    systems = [ "cl-glfw-opengl-sgix_ycrcba" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__convolution__border__modes = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_convolution_border_modes";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_convolution_border_modes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_convolution_border_modes";
      asd = "cl-glfw-opengl-sun_convolution_border_modes";
    });
    systems = [ "cl-glfw-opengl-sun_convolution_border_modes" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__global__alpha = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_global_alpha";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_global_alpha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_global_alpha";
      asd = "cl-glfw-opengl-sun_global_alpha";
    });
    systems = [ "cl-glfw-opengl-sun_global_alpha" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__mesh__array = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_mesh_array";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_mesh_array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_mesh_array";
      asd = "cl-glfw-opengl-sun_mesh_array";
    });
    systems = [ "cl-glfw-opengl-sun_mesh_array" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__slice__accum = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_slice_accum";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_slice_accum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_slice_accum";
      asd = "cl-glfw-opengl-sun_slice_accum";
    });
    systems = [ "cl-glfw-opengl-sun_slice_accum" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__triangle__list = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_triangle_list";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_triangle_list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_triangle_list";
      asd = "cl-glfw-opengl-sun_triangle_list";
    });
    systems = [ "cl-glfw-opengl-sun_triangle_list" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sun__vertex = (build-asdf-system {
    pname = "cl-glfw-opengl-sun_vertex";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sun_vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sun_vertex";
      asd = "cl-glfw-opengl-sun_vertex";
    });
    systems = [ "cl-glfw-opengl-sun_vertex" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-sunx__constant__data = (build-asdf-system {
    pname = "cl-glfw-opengl-sunx_constant_data";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-sunx_constant_data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-sunx_constant_data";
      asd = "cl-glfw-opengl-sunx_constant_data";
    });
    systems = [ "cl-glfw-opengl-sunx_constant_data" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__0 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_0";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_0";
      asd = "cl-glfw-opengl-version_1_0";
    });
    systems = [ "cl-glfw-opengl-version_1_0" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__1 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_1";
      asd = "cl-glfw-opengl-version_1_1";
    });
    systems = [ "cl-glfw-opengl-version_1_1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__2 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_2";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_2";
      asd = "cl-glfw-opengl-version_1_2";
    });
    systems = [ "cl-glfw-opengl-version_1_2" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__3 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_3";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_3";
      asd = "cl-glfw-opengl-version_1_3";
    });
    systems = [ "cl-glfw-opengl-version_1_3" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__4 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_4";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_4";
      asd = "cl-glfw-opengl-version_1_4";
    });
    systems = [ "cl-glfw-opengl-version_1_4" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__1__5 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_1_5";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_1_5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_1_5";
      asd = "cl-glfw-opengl-version_1_5";
    });
    systems = [ "cl-glfw-opengl-version_1_5" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__2__0 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_2_0";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_2_0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_2_0";
      asd = "cl-glfw-opengl-version_2_0";
    });
    systems = [ "cl-glfw-opengl-version_2_0" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-version__2__1 = (build-asdf-system {
    pname = "cl-glfw-opengl-version_2_1";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-version_2_1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-version_2_1";
      asd = "cl-glfw-opengl-version_2_1";
    });
    systems = [ "cl-glfw-opengl-version_2_1" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-win__phong__shading = (build-asdf-system {
    pname = "cl-glfw-opengl-win_phong_shading";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-win_phong_shading" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-win_phong_shading";
      asd = "cl-glfw-opengl-win_phong_shading";
    });
    systems = [ "cl-glfw-opengl-win_phong_shading" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-opengl-win__specular__fog = (build-asdf-system {
    pname = "cl-glfw-opengl-win_specular_fog";
    version = "20150302-git";
    asds = [ "cl-glfw-opengl-win_specular_fog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-opengl-win_specular_fog";
      asd = "cl-glfw-opengl-win_specular_fog";
    });
    systems = [ "cl-glfw-opengl-win_specular_fog" ];
    lispLibs = [ (getAttr "cl-glfw-opengl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw-types = (build-asdf-system {
    pname = "cl-glfw-types";
    version = "20150302-git";
    asds = [ "cl-glfw-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw/2015-03-02/cl-glfw-20150302-git.tgz";
      sha256 = "07zgrvv480h1xid1f50vj61d1xcrick2dqw04swac4137w9rwpj6";
      system = "cl-glfw-types";
      asd = "cl-glfw-types";
    });
    systems = [ "cl-glfw-types" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw3 = (build-asdf-system {
    pname = "cl-glfw3";
    version = "20210531-git";
    asds = [ "cl-glfw3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw3/2021-05-31/cl-glfw3-20210531-git.tgz";
      sha256 = "1wzr43nckdx4rlgxzhm1r4kfc264q969mc43y0js9ramh7l8gba5";
      system = "cl-glfw3";
      asd = "cl-glfw3";
    });
    systems = [ "cl-glfw3" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glfw3-examples = (build-asdf-system {
    pname = "cl-glfw3-examples";
    version = "20210531-git";
    asds = [ "cl-glfw3-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glfw3/2021-05-31/cl-glfw3-20210531-git.tgz";
      sha256 = "1wzr43nckdx4rlgxzhm1r4kfc264q969mc43y0js9ramh7l8gba5";
      system = "cl-glfw3-examples";
      asd = "cl-glfw3-examples";
    });
    systems = [ "cl-glfw3-examples" ];
    lispLibs = [ (getAttr "cl-glfw3" self) (getAttr "cl-opengl" self) (getAttr "trivial-main-thread" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glib = (build-asdf-system {
    pname = "cl-glib";
    version = "20230618-git";
    asds = [ "cl-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2023-06-18/cl-glib-20230618-git.tgz";
      sha256 = "0dxa493zdp1p93cahhpp3yaggn3j3kkn90mdw99g4ld7scmiglp4";
      system = "cl-glib";
      asd = "cl-glib";
    });
    systems = [ "cl-glib" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-gobject-introspection-wrapper" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gltf = (build-asdf-system {
    pname = "cl-gltf";
    version = "20230618-git";
    asds = [ "cl-gltf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gltf/2023-06-18/cl-gltf-20230618-git.tgz";
      sha256 = "1dbp791r0z63dhyclw16q6wzh2yl0mdx3x3abmgbwdqi8vcbyrkz";
      system = "cl-gltf";
      asd = "cl-gltf";
    });
    systems = [ "cl-gltf" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "documentation-utils" self) (getAttr "mmap" self) (getAttr "nibbles" self) (getAttr "qbase64" self) (getAttr "static-vectors" self) (getAttr "trivial-extensible-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glu = (build-asdf-system {
    pname = "cl-glu";
    version = "20191130-git";
    asds = [ "cl-glu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glu";
      asd = "cl-glu";
    });
    systems = [ "cl-glu" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glut = (build-asdf-system {
    pname = "cl-glut";
    version = "20191130-git";
    asds = [ "cl-glut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glut";
      asd = "cl-glut";
    });
    systems = [ "cl-glut" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-glut-examples = (build-asdf-system {
    pname = "cl-glut-examples";
    version = "20191130-git";
    asds = [ "cl-glut-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-glut-examples";
      asd = "cl-glut-examples";
    });
    systems = [ "cl-glut-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gobject = (build-asdf-system {
    pname = "cl-gobject";
    version = "20230618-git";
    asds = [ "cl-gobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-glib/2023-06-18/cl-glib-20230618-git.tgz";
      sha256 = "0dxa493zdp1p93cahhpp3yaggn3j3kkn90mdw99g4ld7scmiglp4";
      system = "cl-gobject";
      asd = "cl-gobject";
    });
    systems = [ "cl-gobject" ];
    lispLibs = [ (getAttr "cl-gobject-introspection-wrapper" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gobject-introspection = (build-asdf-system {
    pname = "cl-gobject-introspection";
    version = "20230618-git";
    asds = [ "cl-gobject-introspection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection/2023-06-18/cl-gobject-introspection-20230618-git.tgz";
      sha256 = "18n4wg93sf6cjmpcpr47bg2rd8mbm9ml9lykmjsxgvsf3nwr5vnw";
      system = "cl-gobject-introspection";
      asd = "cl-gobject-introspection";
    });
    systems = [ "cl-gobject-introspection" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "iterate" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-gobject-introspection-test = (build-asdf-system {
    pname = "cl-gobject-introspection-test";
    version = "20230618-git";
    asds = [ "cl-gobject-introspection-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection/2023-06-18/cl-gobject-introspection-20230618-git.tgz";
      sha256 = "18n4wg93sf6cjmpcpr47bg2rd8mbm9ml9lykmjsxgvsf3nwr5vnw";
      system = "cl-gobject-introspection-test";
      asd = "cl-gobject-introspection-test";
    });
    systems = [ "cl-gobject-introspection-test" ];
    lispLibs = [ (getAttr "cl-gobject-introspection" self) (getAttr "fiveam" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gobject-introspection-wrapper = (build-asdf-system {
    pname = "cl-gobject-introspection-wrapper";
    version = "20230618-git";
    asds = [ "cl-gobject-introspection-wrapper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gobject-introspection-wrapper/2023-06-18/cl-gobject-introspection-wrapper-20230618-git.tgz";
      sha256 = "05np2zs5806ib6qfz7d6knyaz6llxgwvjqavl1fsz5hcga40296s";
      system = "cl-gobject-introspection-wrapper";
      asd = "cl-gobject-introspection-wrapper";
    });
    systems = [ "cl-gobject-introspection-wrapper" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-gobject-introspection" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gopher = (build-asdf-system {
    pname = "cl-gopher";
    version = "20220331-git";
    asds = [ "cl-gopher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gopher/2022-03-31/cl-gopher-20220331-git.tgz";
      sha256 = "1ky4s33m5d0wvdaqji12pxr93qqfl5x62zjp3m4ihbdj0ws3yw2f";
      system = "cl-gopher";
      asd = "cl-gopher";
    });
    systems = [ "cl-gopher" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "quri" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gpio = (build-asdf-system {
    pname = "cl-gpio";
    version = "20211209-git";
    asds = [ "cl-gpio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gpio/2021-12-09/cl-gpio-20211209-git.tgz";
      sha256 = "0kc8vi0rb9c3952p3qmc3c23pdb6yfg21bbrg4jrgdar0k0ldz5a";
      system = "cl-gpio";
      asd = "cl-gpio";
    });
    systems = [ "cl-gpio" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-graph = (build-asdf-system {
    pname = "cl-graph";
    version = "20230214-git";
    asds = [ "cl-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2023-02-14/cl-graph-20230214-git.tgz";
      sha256 = "0g1abkph9zb0m9zz6q2471ml9q9acdhwyapk8ra3bisqpwlxvpyf";
      system = "cl-graph";
      asd = "cl-graph";
    });
    systems = [ "cl-graph" ];
    lispLibs = [ (getAttr "asdf-system-connections" self) (getAttr "cl-containers" self) (getAttr "metabang-bind" self) (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-graph_plus_hu_dot_dwim_dot_graphviz = (build-asdf-system {
    pname = "cl-graph+hu.dwim.graphviz";
    version = "20230214-git";
    asds = [ "cl-graph+hu.dwim.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graph/2023-02-14/cl-graph-20230214-git.tgz";
      sha256 = "0g1abkph9zb0m9zz6q2471ml9q9acdhwyapk8ra3bisqpwlxvpyf";
      system = "cl-graph+hu.dwim.graphviz";
      asd = "cl-graph+hu.dwim.graphviz";
    });
    systems = [ "cl-graph+hu.dwim.graphviz" ];
    lispLibs = [ (getAttr "cl-graph" self) (getAttr "hu_dot_dwim_dot_graphviz" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-grip = (build-asdf-system {
    pname = "cl-grip";
    version = "20211020-git";
    asds = [ "cl-grip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-grip/2021-10-20/cl-grip-20211020-git.tgz";
      sha256 = "1qplxq5082wai2blmq29a852jv5kdzwc8n9qlv0kqysjppph0hqz";
      system = "cl-grip";
      asd = "cl-grip";
    });
    systems = [ "cl-grip" ];
    lispLibs = [ (getAttr "cl-strings" self) (getAttr "local-time" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-grnm = (build-asdf-system {
    pname = "cl-grnm";
    version = "20180131-git";
    asds = [ "cl-grnm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-grnm/2018-01-31/cl-grnm-20180131-git.tgz";
      sha256 = "1hb5n37n3x2ylrghcqsia2g9a6f5wg24l659jiz4ncpi5bsv4m3s";
      system = "cl-grnm";
      asd = "cl-grnm";
    });
    systems = [ "cl-grnm" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-growl = (build-asdf-system {
    pname = "cl-growl";
    version = "20161208-git";
    asds = [ "cl-growl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-growl/2016-12-08/cl-growl-20161208-git.tgz";
      sha256 = "1qgj3sq22dznwxj1b3rw0099fsf6wgfbc63r376pab74kdnji3n6";
      system = "cl-growl";
      asd = "cl-growl";
    });
    systems = [ "cl-growl" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "trivial-utf-8" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gss = (build-asdf-system {
    pname = "cl-gss";
    version = "20180228-git";
    asds = [ "cl-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gss/2018-02-28/cl-gss-20180228-git.tgz";
      sha256 = "0zhxxn3zarird255s9i56bz0fm6dkv00mn8bbsjrhskg3wpcg4pb";
      system = "cl-gss";
      asd = "cl-gss";
    });
    systems = [ "cl-gss" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-gtk2-gdk = (build-asdf-system {
    pname = "cl-gtk2-gdk";
    version = "20211020-git";
    asds = [ "cl-gtk2-gdk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-gdk";
      asd = "cl-gtk2-gdk";
    });
    systems = [ "cl-gtk2-gdk" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-gtk2-glib" self) (getAttr "cl-gtk2-pango" self) ];
    meta = {};
  });
  cl-gtk2-glib = (build-asdf-system {
    pname = "cl-gtk2-glib";
    version = "20211020-git";
    asds = [ "cl-gtk2-glib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-glib";
      asd = "cl-gtk2-glib";
    });
    systems = [ "cl-gtk2-glib" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-gtk2-pango = (build-asdf-system {
    pname = "cl-gtk2-pango";
    version = "20211020-git";
    asds = [ "cl-gtk2-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gtk2/2021-10-20/cl-gtk2-20211020-git.tgz";
      sha256 = "1lnrwd7s47cmksllim56mcg9l5m6jrwv6f0q1hq5lr8xpi5ix9vx";
      system = "cl-gtk2-pango";
      asd = "cl-gtk2-pango";
    });
    systems = [ "cl-gtk2-pango" ];
    lispLibs = [ (getAttr "cl-gtk2-glib" self) (getAttr "iterate" self) ];
    meta = {};
  });
  cl-haml = (build-asdf-system {
    pname = "cl-haml";
    version = "20180228-git";
    asds = [ "cl-haml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-haml/2018-02-28/cl-haml-20180228-git.tgz";
      sha256 = "017qr3509ha2680h3c8ip5rqyfaz7v9hfjmx0pg1wrjqw8vyjyb5";
      system = "cl-haml";
      asd = "cl-haml";
    });
    systems = [ "cl-haml" ];
    lispLibs = [ (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-haml-test = (build-asdf-system {
    pname = "cl-haml-test";
    version = "20180228-git";
    asds = [ "cl-haml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-haml/2018-02-28/cl-haml-20180228-git.tgz";
      sha256 = "017qr3509ha2680h3c8ip5rqyfaz7v9hfjmx0pg1wrjqw8vyjyb5";
      system = "cl-haml-test";
      asd = "cl-haml";
    });
    systems = [ "cl-haml-test" ];
    lispLibs = [ (getAttr "cl-haml" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hamt = (build-asdf-system {
    pname = "cl-hamt";
    version = "20200325-git";
    asds = [ "cl-hamt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt";
      asd = "cl-hamt";
    });
    systems = [ "cl-hamt" ];
    lispLibs = [ (getAttr "cl-murmurhash" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hamt-examples = (build-asdf-system {
    pname = "cl-hamt-examples";
    version = "20200325-git";
    asds = [ "cl-hamt-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt-examples";
      asd = "cl-hamt-examples";
    });
    systems = [ "cl-hamt-examples" ];
    lispLibs = [ (getAttr "cl-hamt" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hamt-test = (build-asdf-system {
    pname = "cl-hamt-test";
    version = "20200325-git";
    asds = [ "cl-hamt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamt/2020-03-25/cl-hamt-20200325-git.tgz";
      sha256 = "1ycbd73ykfj5j9sdhlzamyv18qbjj6xqf7fhm4fa0nsyr6sr3rf5";
      system = "cl-hamt-test";
      asd = "cl-hamt-test";
    });
    systems = [ "cl-hamt-test" ];
    lispLibs = [ (getAttr "cl-hamt" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hash-table-destructuring = (build-asdf-system {
    pname = "cl-hash-table-destructuring";
    version = "20160531-git";
    asds = [ "cl-hash-table-destructuring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-table-destructuring/2016-05-31/cl-hash-table-destructuring-20160531-git.tgz";
      sha256 = "0za8jlqfvsilmnidk429509vbdd18w7ykcycni411pjpz0lxrh1v";
      system = "cl-hash-table-destructuring";
      asd = "cl-hash-table-destructuring";
    });
    systems = [ "cl-hash-table-destructuring" ];
    lispLibs = [ (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hash-table-destructuring-test = (build-asdf-system {
    pname = "cl-hash-table-destructuring-test";
    version = "20160531-git";
    asds = [ "cl-hash-table-destructuring-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-table-destructuring/2016-05-31/cl-hash-table-destructuring-20160531-git.tgz";
      sha256 = "0za8jlqfvsilmnidk429509vbdd18w7ykcycni411pjpz0lxrh1v";
      system = "cl-hash-table-destructuring-test";
      asd = "cl-hash-table-destructuring";
    });
    systems = [ "cl-hash-table-destructuring-test" ];
    lispLibs = [ (getAttr "cl-hash-table-destructuring" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hash-util = (build-asdf-system {
    pname = "cl-hash-util";
    version = "20190107-git";
    asds = [ "cl-hash-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-util/2019-01-07/cl-hash-util-20190107-git.tgz";
      sha256 = "0dnd0405d81w25cqq4g8gk2r5wm03cis965c1pmb2f5p4ifwq87a";
      system = "cl-hash-util";
      asd = "cl-hash-util";
    });
    systems = [ "cl-hash-util" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hash-util-test = (build-asdf-system {
    pname = "cl-hash-util-test";
    version = "20190107-git";
    asds = [ "cl-hash-util-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hash-util/2019-01-07/cl-hash-util-20190107-git.tgz";
      sha256 = "0dnd0405d81w25cqq4g8gk2r5wm03cis965c1pmb2f5p4ifwq87a";
      system = "cl-hash-util-test";
      asd = "cl-hash-util-test";
    });
    systems = [ "cl-hash-util-test" ];
    lispLibs = [ (getAttr "cl-hash-util" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-heap = (build-asdf-system {
    pname = "cl-heap";
    version = "0.1.6";
    asds = [ "cl-heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heap/2013-03-12/cl-heap-0.1.6.tgz";
      sha256 = "01bss182x9i167lfv0lr8ylavk2m42s84vz6629kspgjhczm52w7";
      system = "cl-heap";
      asd = "cl-heap";
    });
    systems = [ "cl-heap" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-heap-tests = (build-asdf-system {
    pname = "cl-heap-tests";
    version = "0.1.6";
    asds = [ "cl-heap-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heap/2013-03-12/cl-heap-0.1.6.tgz";
      sha256 = "01bss182x9i167lfv0lr8ylavk2m42s84vz6629kspgjhczm52w7";
      system = "cl-heap-tests";
      asd = "cl-heap-tests";
    });
    systems = [ "cl-heap-tests" ];
    lispLibs = [ (getAttr "cl-heap" self) (getAttr "xlunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-heredoc = (build-asdf-system {
    pname = "cl-heredoc";
    version = "20220707-git";
    asds = [ "cl-heredoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heredoc/2022-07-07/cl-heredoc-20220707-git.tgz";
      sha256 = "0hj9y6drd93nwcbmwwhnc30flm48ppw4rhfgfyqfc02fq2wnc83z";
      system = "cl-heredoc";
      asd = "cl-heredoc";
    });
    systems = [ "cl-heredoc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-heredoc-test = (build-asdf-system {
    pname = "cl-heredoc-test";
    version = "20220707-git";
    asds = [ "cl-heredoc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-heredoc/2022-07-07/cl-heredoc-20220707-git.tgz";
      sha256 = "0hj9y6drd93nwcbmwwhnc30flm48ppw4rhfgfyqfc02fq2wnc83z";
      system = "cl-heredoc-test";
      asd = "cl-heredoc-test";
    });
    systems = [ "cl-heredoc-test" ];
    lispLibs = [ (getAttr "cl-heredoc" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hooks = (build-asdf-system {
    pname = "cl-hooks";
    version = "20181210-git";
    asds = [ "cl-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/architecture.hooks/2018-12-10/architecture.hooks-20181210-git.tgz";
      sha256 = "0bg3l0a28lw5gqqjp6p6b5nhwqk46sgkb7184w5qbfngw1hk8x9y";
      system = "cl-hooks";
      asd = "cl-hooks";
    });
    systems = [ "cl-hooks" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "let-plus" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  cl-html-diff = (build-asdf-system {
    pname = "cl-html-diff";
    version = "20130128-git";
    asds = [ "cl-html-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-diff/2013-01-28/cl-html-diff-20130128-git.tgz";
      sha256 = "1varnijivzd4jpimn1cz8p5ks713zzha5cgl4vmb0xr8ahravwzb";
      system = "cl-html-diff";
      asd = "cl-html-diff";
    });
    systems = [ "cl-html-diff" ];
    lispLibs = [ (getAttr "cl-difflib" self) ];
    meta = {};
  });
  cl-html-parse = (build-asdf-system {
    pname = "cl-html-parse";
    version = "20200925-git";
    asds = [ "cl-html-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-parse/2020-09-25/cl-html-parse-20200925-git.tgz";
      sha256 = "0d78slyqw6zshh72ppmxc85xdnd0jfhaqkzrf1cn7yjxl6h4lp7s";
      system = "cl-html-parse";
      asd = "cl-html-parse";
    });
    systems = [ "cl-html-parse" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-html-readme = (build-asdf-system {
    pname = "cl-html-readme";
    version = "quicklisp-current-release-fa304a63-git";
    asds = [ "cl-html-readme" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html-readme/2021-02-28/cl-html-readme-quicklisp-current-release-fa304a63-git.tgz";
      sha256 = "01z2ykfhg7wx7sz4kp1c6cj9ffbpppnfgfd2jpizd7f5id2wi3cb";
      system = "cl-html-readme";
      asd = "cl-html-readme";
    });
    systems = [ "cl-html-readme" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-html5-parser = (build-asdf-system {
    pname = "cl-html5-parser";
    version = "20190521-git";
    asds = [ "cl-html5-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser";
      asd = "cl-html5-parser";
    });
    systems = [ "cl-html5-parser" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "string-case" self) ];
    meta = {};
  });
  cl-html5-parser-cxml = (build-asdf-system {
    pname = "cl-html5-parser-cxml";
    version = "20190521-git";
    asds = [ "cl-html5-parser-cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser-cxml";
      asd = "cl-html5-parser-cxml";
    });
    systems = [ "cl-html5-parser-cxml" ];
    lispLibs = [ (getAttr "cl-html5-parser" self) (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-html5-parser-tests = (build-asdf-system {
    pname = "cl-html5-parser-tests";
    version = "20190521-git";
    asds = [ "cl-html5-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-html5-parser/2019-05-21/cl-html5-parser-20190521-git.tgz";
      sha256 = "04if61wigylsmn996rbfl8ylsd0d9hzdmg7p2wiglncibjzcl5k9";
      system = "cl-html5-parser-tests";
      asd = "cl-html5-parser-tests";
    });
    systems = [ "cl-html5-parser-tests" ];
    lispLibs = [ (getAttr "cl-html5-parser" self) (getAttr "json-streams" self) (getAttr "split-sequence" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-htmlprag = (build-asdf-system {
    pname = "cl-htmlprag";
    version = "20160628-git";
    asds = [ "cl-htmlprag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-htmlprag/2016-06-28/cl-htmlprag-20160628-git.tgz";
      sha256 = "1akfy9rldx5a2h34vf7y02pj2j7b5anbxja53m41ism4vklgqg1c";
      system = "cl-htmlprag";
      asd = "cl-htmlprag";
    });
    systems = [ "cl-htmlprag" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "optima" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-httpsqs = (build-asdf-system {
    pname = "cl-httpsqs";
    version = "20180228-git";
    asds = [ "cl-httpsqs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-httpsqs/2018-02-28/cl-httpsqs-20180228-git.tgz";
      sha256 = "14nhr03lm8012crczjpgsmf0ydipqf3kggayshm7w72vkyf0haj7";
      system = "cl-httpsqs";
      asd = "cl-httpsqs";
    });
    systems = [ "cl-httpsqs" ];
    lispLibs = [ (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-hue = (build-asdf-system {
    pname = "cl-hue";
    version = "20150113-git";
    asds = [ "cl-hue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hue/2015-01-13/cl-hue-20150113-git.tgz";
      sha256 = "0d2qv60pih1xmk0zzbdwcsyk8k9abjzilcmhz3jdicinl8jinfr4";
      system = "cl-hue";
      asd = "cl-hue";
    });
    systems = [ "cl-hue" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-i18n = (build-asdf-system {
    pname = "cl-i18n";
    version = "20230618-git";
    asds = [ "cl-i18n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-i18n/2023-06-18/cl-i18n-20230618-git.tgz";
      sha256 = "17hglrrwfr28ig7bqkrlkcclcmg4zssi44qra8lsdbkf36imqj83";
      system = "cl-i18n";
      asd = "cl-i18n";
    });
    systems = [ "cl-i18n" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre-unicode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-id3 = (build-asdf-system {
    pname = "cl-id3";
    version = "20230618-git";
    asds = [ "cl-id3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-id3/2023-06-18/cl-id3-20230618-git.tgz";
      sha256 = "0p5rcxy6zy8jq673yphbq5dq0g28vx9g7kfklfhicg2blpzy2yf5";
      system = "cl-id3";
      asd = "cl-id3";
    });
    systems = [ "cl-id3" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ilu = (build-asdf-system {
    pname = "cl-ilu";
    version = "20150302-git";
    asds = [ "cl-ilu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-ilu";
      asd = "cl-ilu";
    });
    systems = [ "cl-ilu" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-devil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ilut = (build-asdf-system {
    pname = "cl-ilut";
    version = "20150302-git";
    asds = [ "cl-ilut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-devil/2015-03-02/cl-devil-20150302-git.tgz";
      sha256 = "1qdjb7xwzjkv99s8q0834lfdq4ch5j2ymrmqsvwzhg47ys17pvvf";
      system = "cl-ilut";
      asd = "cl-ilut";
    });
    systems = [ "cl-ilut" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-devil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-incognia = (build-asdf-system {
    pname = "cl-incognia";
    version = "20211230-git";
    asds = [ "cl-incognia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-incognia/2021-12-30/cl-incognia-20211230-git.tgz";
      sha256 = "0c5v7vqh26vg4mzzz7rkq3r29ygj2q4fw6v56pi79bbszyklfs21";
      system = "cl-incognia";
      asd = "cl-incognia";
    });
    systems = [ "cl-incognia" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "jonathan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-indentify = (build-asdf-system {
    pname = "cl-indentify";
    version = "20230214-git";
    asds = [ "cl-indentify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-indentify/2023-02-14/cl-indentify-20230214-git.tgz";
      sha256 = "1np7b3mh3wd5dv7nvwmjl5rgy7m0qf0fx61s04yazlh46k3d0nxd";
      system = "cl-indentify";
      asd = "cl-indentify";
    });
    systems = [ "cl-indentify" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-inflector = (build-asdf-system {
    pname = "cl-inflector";
    version = "20150113-git";
    asds = [ "cl-inflector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inflector/2015-01-13/cl-inflector-20150113-git.tgz";
      sha256 = "1xwwlhik1la4fp984qnx2dqq24v012qv4x0y49sngfpwg7n0ya7y";
      system = "cl-inflector";
      asd = "cl-inflector";
    });
    systems = [ "cl-inflector" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-inflector-test = (build-asdf-system {
    pname = "cl-inflector-test";
    version = "20150113-git";
    asds = [ "cl-inflector-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inflector/2015-01-13/cl-inflector-20150113-git.tgz";
      sha256 = "1xwwlhik1la4fp984qnx2dqq24v012qv4x0y49sngfpwg7n0ya7y";
      system = "cl-inflector-test";
      asd = "cl-inflector";
    });
    systems = [ "cl-inflector-test" ];
    lispLibs = [ (getAttr "cl-inflector" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-influxdb = (build-asdf-system {
    pname = "cl-influxdb";
    version = "20180131-git";
    asds = [ "cl-influxdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-influxdb/2018-01-31/cl-influxdb-20180131-git.tgz";
      sha256 = "0fqnsdw6x79qsvw7l6xp1gxgzcj6jwpa4mn0z2gbbipff4g7k527";
      system = "cl-influxdb";
      asd = "cl-influxdb";
    });
    systems = [ "cl-influxdb" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "cl-json" self) (getAttr "do-urlencode" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-info = (build-asdf-system {
    pname = "cl-info";
    version = "20221106-git";
    asds = [ "cl-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-info/2022-11-06/cl-info-20221106-git.tgz";
      sha256 = "1mg58n6qizssm8wqxnxgkrxaabmjzbrfjh9qld69y5z60zrybg1f";
      system = "cl-info";
      asd = "cl-info";
    });
    systems = [ "cl-info" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-info-test = (build-asdf-system {
    pname = "cl-info-test";
    version = "20221106-git";
    asds = [ "cl-info-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-info/2022-11-06/cl-info-20221106-git.tgz";
      sha256 = "1mg58n6qizssm8wqxnxgkrxaabmjzbrfjh9qld69y5z60zrybg1f";
      system = "cl-info-test";
      asd = "cl-info-test";
    });
    systems = [ "cl-info-test" ];
    lispLibs = [ (getAttr "cl-info" self) (getAttr "hamcrest" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ini = (build-asdf-system {
    pname = "cl-ini";
    version = "20201220-git";
    asds = [ "cl-ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ini/2020-12-20/cl-ini-20201220-git.tgz";
      sha256 = "12vy3gspqn0wmkyz5id1xrgv1scgb16m7pkvmbmi19vlpj2iyq7p";
      system = "cl-ini";
      asd = "cl-ini";
    });
    systems = [ "cl-ini" ];
    lispLibs = [ (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ini-test = (build-asdf-system {
    pname = "cl-ini-test";
    version = "20201220-git";
    asds = [ "cl-ini-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ini/2020-12-20/cl-ini-20201220-git.tgz";
      sha256 = "12vy3gspqn0wmkyz5id1xrgv1scgb16m7pkvmbmi19vlpj2iyq7p";
      system = "cl-ini-test";
      asd = "cl-ini-test";
    });
    systems = [ "cl-ini-test" ];
    lispLibs = [ (getAttr "cl-ini" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-inotify = (build-asdf-system {
    pname = "cl-inotify";
    version = "20220707-git";
    asds = [ "cl-inotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inotify/2022-07-07/cl-inotify-20220707-git.tgz";
      sha256 = "0d3bvp5lqnddzhk1w9yyli03njbkhc8d129a058g0j49kgd47c7v";
      system = "cl-inotify";
      asd = "cl-inotify";
    });
    systems = [ "cl-inotify" ];
    lispLibs = [ (getAttr "binary-types" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "iolib" self) (getAttr "iolib_dot_asdf" self) (getAttr "iolib_dot_base" self) (getAttr "iolib_dot_conf" self) (getAttr "osicat" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-inotify-tests = (build-asdf-system {
    pname = "cl-inotify-tests";
    version = "20220707-git";
    asds = [ "cl-inotify-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-inotify/2022-07-07/cl-inotify-20220707-git.tgz";
      sha256 = "0d3bvp5lqnddzhk1w9yyli03njbkhc8d129a058g0j49kgd47c7v";
      system = "cl-inotify-tests";
      asd = "cl-inotify-tests";
    });
    systems = [ "cl-inotify-tests" ];
    lispLibs = [ (getAttr "cl-inotify" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-intbytes = (build-asdf-system {
    pname = "cl-intbytes";
    version = "20150923-git";
    asds = [ "cl-intbytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-intbytes/2015-09-23/cl-intbytes-20150923-git.tgz";
      sha256 = "0chwfda7pi8mrgwj31li7f0x0hr5yrp4csiq8hwkgd4c1ag1z9fx";
      system = "cl-intbytes";
      asd = "cl-intbytes";
    });
    systems = [ "cl-intbytes" ];
    lispLibs = [ (getAttr "fast-io" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-intbytes-test = (build-asdf-system {
    pname = "cl-intbytes-test";
    version = "20150923-git";
    asds = [ "cl-intbytes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-intbytes/2015-09-23/cl-intbytes-20150923-git.tgz";
      sha256 = "0chwfda7pi8mrgwj31li7f0x0hr5yrp4csiq8hwkgd4c1ag1z9fx";
      system = "cl-intbytes-test";
      asd = "cl-intbytes-test";
    });
    systems = [ "cl-intbytes-test" ];
    lispLibs = [ (getAttr "cl-intbytes" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-interpol = (build-asdf-system {
    pname = "cl-interpol";
    version = "20221106-git";
    asds = [ "cl-interpol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interpol/2022-11-06/cl-interpol-20221106-git.tgz";
      sha256 = "1nkjn8byyfdxhi84rbpqs87bb5m478lvphfgxqqv0q37rn75c946";
      system = "cl-interpol";
      asd = "cl-interpol";
    });
    systems = [ "cl-interpol" ];
    lispLibs = [ (getAttr "cl-unicode" self) (getAttr "named-readtables" self) ];
    meta = {};
  });
  cl-interval = (build-asdf-system {
    pname = "cl-interval";
    version = "20200715-git";
    asds = [ "cl-interval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interval/2020-07-15/cl-interval-20200715-git.tgz";
      sha256 = "1425l6xmrqadjqgqb5qasisf14pbr6zpj30bpxfv8hhnxs5njq4p";
      system = "cl-interval";
      asd = "cl-interval";
    });
    systems = [ "cl-interval" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-interval-docs = (build-asdf-system {
    pname = "cl-interval-docs";
    version = "20200715-git";
    asds = [ "cl-interval-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-interval/2020-07-15/cl-interval-20200715-git.tgz";
      sha256 = "1425l6xmrqadjqgqb5qasisf14pbr6zpj30bpxfv8hhnxs5njq4p";
      system = "cl-interval-docs";
      asd = "cl-interval-docs";
    });
    systems = [ "cl-interval-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" self) (getAttr "cl-interval" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ipfs-api2 = (build-asdf-system {
    pname = "cl-ipfs-api2";
    version = "20210630-git";
    asds = [ "cl-ipfs-api2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ipfs-api2/2021-06-30/cl-ipfs-api2-20210630-git.tgz";
      sha256 = "1h0csxk4db1hid793mk5kz3nbjyl7z4ic1zk2wy46k1vz5lnnsph";
      system = "cl-ipfs-api2";
      asd = "cl-ipfs-api2";
    });
    systems = [ "cl-ipfs-api2" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "drakma" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-irc = (build-asdf-system {
    pname = "cl-irc";
    version = "0.9.2";
    asds = [ "cl-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irc/2015-09-23/cl-irc-0.9.2.tgz";
      sha256 = "15h3ram8b6vyg4718ad2m92xgilda2x3zmkzbjnijk69kkqsq01r";
      system = "cl-irc";
      asd = "cl-irc";
    });
    systems = [ "cl-irc" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-irc-test = (build-asdf-system {
    pname = "cl-irc-test";
    version = "0.9.2";
    asds = [ "cl-irc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irc/2015-09-23/cl-irc-0.9.2.tgz";
      sha256 = "15h3ram8b6vyg4718ad2m92xgilda2x3zmkzbjnijk69kkqsq01r";
      system = "cl-irc-test";
      asd = "cl-irc-test";
    });
    systems = [ "cl-irc-test" ];
    lispLibs = [ (getAttr "cl-irc" self) (getAttr "rt" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-irregsexp = (build-asdf-system {
    pname = "cl-irregsexp";
    version = "20160825-git";
    asds = [ "cl-irregsexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-irregsexp/2016-08-25/cl-irregsexp-20160825-git.tgz";
      sha256 = "09pf3jlqskcs32shbj9q3m0zww5pxyrizbvk2nxiwwnbl1rdb406";
      system = "cl-irregsexp";
      asd = "cl-irregsexp";
    });
    systems = [ "cl-irregsexp" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-isaac = (build-asdf-system {
    pname = "cl-isaac";
    version = "20221106-git";
    asds = [ "cl-isaac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-isaac/2022-11-06/cl-isaac-20221106-git.tgz";
      sha256 = "0ig1mf8iridfr7vci9gy499194h0hda0xki5s6g0y04g85ibnpw9";
      system = "cl-isaac";
      asd = "cl-isaac";
    });
    systems = [ "cl-isaac" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-iterative = (build-asdf-system {
    pname = "cl-iterative";
    version = "20160318-git";
    asds = [ "cl-iterative" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iterative/2016-03-18/cl-iterative-20160318-git.tgz";
      sha256 = "01h2fs7nq2wivjwh9swsmfdvsdmd7j9dvzgrq0ijbq456zm8vilq";
      system = "cl-iterative";
      asd = "cl-iterative";
    });
    systems = [ "cl-iterative" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-iterative-tests = (build-asdf-system {
    pname = "cl-iterative-tests";
    version = "20160318-git";
    asds = [ "cl-iterative-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iterative/2016-03-18/cl-iterative-20160318-git.tgz";
      sha256 = "01h2fs7nq2wivjwh9swsmfdvsdmd7j9dvzgrq0ijbq456zm8vilq";
      system = "cl-iterative-tests";
      asd = "cl-iterative-tests";
    });
    systems = [ "cl-iterative-tests" ];
    lispLibs = [ (getAttr "cl-iterative" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-itertools = (build-asdf-system {
    pname = "cl-itertools";
    version = "20160421-git";
    asds = [ "cl-itertools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-itertools/2016-04-21/cl-itertools-20160421-git.tgz";
      sha256 = "0m1g7nxqnz03bcj46skcr2d50pi3lb4hwizna5d4mvl5hk4zwbxr";
      system = "cl-itertools";
      asd = "cl-itertools";
    });
    systems = [ "cl-itertools" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-coroutine" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-itertools-tests = (build-asdf-system {
    pname = "cl-itertools-tests";
    version = "20160421-git";
    asds = [ "cl-itertools-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-itertools/2016-04-21/cl-itertools-20160421-git.tgz";
      sha256 = "0m1g7nxqnz03bcj46skcr2d50pi3lb4hwizna5d4mvl5hk4zwbxr";
      system = "cl-itertools-tests";
      asd = "cl-itertools";
    });
    systems = [ "cl-itertools-tests" ];
    lispLibs = [ (getAttr "cl-itertools" self) (getAttr "fiveam" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-jpeg = (build-asdf-system {
    pname = "cl-jpeg";
    version = "20230214-git";
    asds = [ "cl-jpeg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jpeg/2023-02-14/cl-jpeg-20230214-git.tgz";
      sha256 = "1xl1id4k1bdw6hf24ndkzr6nxi30yw7xlr1fhfmxnwjqwy5hcq14";
      system = "cl-jpeg";
      asd = "cl-jpeg";
    });
    systems = [ "cl-jpeg" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-js = (build-asdf-system {
    pname = "cl-js";
    version = "20230214-git";
    asds = [ "cl-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js/2023-02-14/js-20230214-git.tgz";
      sha256 = "1bf2p506zcmsqmfm5lamvxwqzcs2p8y5rf63i3s8wi46nkgqr0m7";
      system = "cl-js";
      asd = "cl-js";
    });
    systems = [ "cl-js" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "parse-js" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-jschema = (build-asdf-system {
    pname = "cl-jschema";
    version = "v1.1.1";
    asds = [ "cl-jschema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jschema/2023-06-18/cl-jschema-v1.1.1.tgz";
      sha256 = "0awc7hy07sg4h8k58xxxy578a5qklpkj3slslp7ghfzfdbi7nz11";
      system = "cl-jschema";
      asd = "cl-jschema";
    });
    systems = [ "cl-jschema" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-json = (build-asdf-system {
    pname = "cl-json";
    version = "20220707-git";
    asds = [ "cl-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json/2022-07-07/cl-json-20220707-git.tgz";
      sha256 = "12vakz47d1i7pywgb9cm2364fzykidc9m7l7b6n9lx0gn2qx9ar5";
      system = "cl-json";
      asd = "cl-json";
    });
    systems = [ "cl-json" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-json-helper = (build-asdf-system {
    pname = "cl-json-helper";
    version = "20181210-git";
    asds = [ "cl-json-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-helper/2018-12-10/cl-json-helper-20181210-git.tgz";
      sha256 = "1dhv5lh514m7bvl77xjhb4ky7nf4bskgpld7rqg3rq24k4y0c79a";
      system = "cl-json-helper";
      asd = "cl-json-helper";
    });
    systems = [ "cl-json-helper" ];
    lispLibs = [ (getAttr "cl-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-json-pointer = (build-asdf-system {
    pname = "cl-json-pointer";
    version = "20221106-git";
    asds = [ "cl-json-pointer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-pointer/2022-11-06/cl-json-pointer-20221106-git.tgz";
      sha256 = "0b7a755wc2ghsd1pv7d32877b21h4nssp41xs017anbmj55czb2h";
      system = "cl-json-pointer";
      asd = "cl-json-pointer";
    });
    systems = [ "cl-json-pointer" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "st-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-json-schema = (build-asdf-system {
    pname = "cl-json-schema";
    version = "20210228-git";
    asds = [ "cl-json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-schema/2021-02-28/cl-json-schema-20210228-git.tgz";
      sha256 = "1c90c9j6d2b02zyyqd07200waqa4saq0svps7vfy5a3lxp9vag9i";
      system = "cl-json-schema";
      asd = "cl-json-schema";
    });
    systems = [ "cl-json-schema" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "trivial-do" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-json-schema-tests = (build-asdf-system {
    pname = "cl-json-schema-tests";
    version = "20210228-git";
    asds = [ "cl-json-schema-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-json-schema/2021-02-28/cl-json-schema-20210228-git.tgz";
      sha256 = "1c90c9j6d2b02zyyqd07200waqa4saq0svps7vfy5a3lxp9vag9i";
      system = "cl-json-schema-tests";
      asd = "cl-json-schema-tests";
    });
    systems = [ "cl-json-schema-tests" ];
    lispLibs = [ (getAttr "cl-json-schema" self) (getAttr "cl-ppcre" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-jsonl = (build-asdf-system {
    pname = "cl-jsonl";
    version = "20230618-git";
    asds = [ "cl-jsonl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jsonl/2023-06-18/cl-jsonl-20230618-git.tgz";
      sha256 = "0q6yrlpa3lyzaia12fnvr3blpm63lb88by63kdhb7sp1dl3h1in6";
      system = "cl-jsonl";
      asd = "cl-jsonl";
    });
    systems = [ "cl-jsonl" ];
    lispLibs = [ (getAttr "gtwiwtg" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-jsx = (build-asdf-system {
    pname = "cl-jsx";
    version = "20160208-git";
    asds = [ "cl-jsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jsx/2016-02-08/cl-jsx-20160208-git.tgz";
      sha256 = "1vkqs65sqnfkfka2p93ibfrgg3wps3qhlcgcd8j40h0bv3phcjp7";
      system = "cl-jsx";
      asd = "cl-jsx";
    });
    systems = [ "cl-jsx" ];
    lispLibs = [ (getAttr "cl-who" self) (getAttr "esrap" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-jsx-test = (build-asdf-system {
    pname = "cl-jsx-test";
    version = "20160208-git";
    asds = [ "cl-jsx-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jsx/2016-02-08/cl-jsx-20160208-git.tgz";
      sha256 = "1vkqs65sqnfkfka2p93ibfrgg3wps3qhlcgcd8j40h0bv3phcjp7";
      system = "cl-jsx-test";
      asd = "cl-jsx-test";
    });
    systems = [ "cl-jsx-test" ];
    lispLibs = [ (getAttr "cl-jsx" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-junit-xml = (build-asdf-system {
    pname = "cl-junit-xml";
    version = "20150113-git";
    asds = [ "cl-junit-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml";
      asd = "cl-junit-xml";
    });
    systems = [ "cl-junit-xml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cxml" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-junit-xml_dot_lisp-unit = (build-asdf-system {
    pname = "cl-junit-xml.lisp-unit";
    version = "20150113-git";
    asds = [ "cl-junit-xml.lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.lisp-unit";
      asd = "cl-junit-xml.lisp-unit";
    });
    systems = [ "cl-junit-xml.lisp-unit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-junit-xml" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-junit-xml_dot_lisp-unit2 = (build-asdf-system {
    pname = "cl-junit-xml.lisp-unit2";
    version = "20150113-git";
    asds = [ "cl-junit-xml.lisp-unit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.lisp-unit2";
      asd = "cl-junit-xml.lisp-unit2";
    });
    systems = [ "cl-junit-xml.lisp-unit2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-junit-xml" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-junit-xml_dot_test = (build-asdf-system {
    pname = "cl-junit-xml.test";
    version = "20150113-git";
    asds = [ "cl-junit-xml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-junit-xml/2015-01-13/cl-junit-xml-20150113-git.tgz";
      sha256 = "1ssrcgw5bhfsb5lk7jb8jyz77mj6sg23wc3gmnw747iqvpikwakr";
      system = "cl-junit-xml.test";
      asd = "cl-junit-xml";
    });
    systems = [ "cl-junit-xml.test" ];
    lispLibs = [ (getAttr "cl-junit-xml" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-k8055 = (build-asdf-system {
    pname = "cl-k8055";
    version = "20190710-git";
    asds = [ "cl-k8055" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-k8055/2019-07-10/cl-k8055-20190710-git.tgz";
      sha256 = "069j5hrcpcm9vlh2f0myqwggp30inycxn61ivi1ppa97f8f1rrig";
      system = "cl-k8055";
      asd = "cl-k8055";
    });
    systems = [ "cl-k8055" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-kanren = (build-asdf-system {
    pname = "cl-kanren";
    version = "20191007-git";
    asds = [ "cl-kanren" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren/2019-10-07/cl-kanren-20191007-git.tgz";
      sha256 = "1r0qzvs92d7kgl83fx8c27jmsh17agr7jpb1nmmc56phjvq0z7ll";
      system = "cl-kanren";
      asd = "cl-kanren";
    });
    systems = [ "cl-kanren" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-kanren-test = (build-asdf-system {
    pname = "cl-kanren-test";
    version = "20191007-git";
    asds = [ "cl-kanren-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren/2019-10-07/cl-kanren-20191007-git.tgz";
      sha256 = "1r0qzvs92d7kgl83fx8c27jmsh17agr7jpb1nmmc56phjvq0z7ll";
      system = "cl-kanren-test";
      asd = "cl-kanren-test";
    });
    systems = [ "cl-kanren-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-kanren" self) (getAttr "clunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-keycloak = (build-asdf-system {
    pname = "cl-keycloak";
    version = "20190710-git";
    asds = [ "cl-keycloak" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-keycloak/2019-07-10/cl-keycloak-20190710-git.tgz";
      sha256 = "052x10xj951061xa80kp1ziwrr8hskjsr7q2ni1d1ab26rkmhb9q";
      system = "cl-keycloak";
      asd = "cl-keycloak";
    });
    systems = [ "cl-keycloak" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-kraken = (build-asdf-system {
    pname = "cl-kraken";
    version = "20220331-git";
    asds = [ "cl-kraken" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kraken/2022-03-31/cl-kraken-20220331-git.tgz";
      sha256 = "07a9a7yqii0gsiaf4r6jfz2nb2m8766rv4acqcdjm8zmsllwx7jz";
      system = "cl-kraken";
      asd = "cl-kraken";
    });
    systems = [ "cl-kraken" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "jsown" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ksuid = (build-asdf-system {
    pname = "cl-ksuid";
    version = "20170830-git";
    asds = [ "cl-ksuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ksuid/2017-08-30/cl-ksuid-20170830-git.tgz";
      sha256 = "142fr8l6aa6wxnjxv04f61hy9504cx9x1r10byhmj475s5pfr6gl";
      system = "cl-ksuid";
      asd = "cl-ksuid";
    });
    systems = [ "cl-ksuid" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "ironclad" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ksuid-test = (build-asdf-system {
    pname = "cl-ksuid-test";
    version = "20170830-git";
    asds = [ "cl-ksuid-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ksuid/2017-08-30/cl-ksuid-20170830-git.tgz";
      sha256 = "142fr8l6aa6wxnjxv04f61hy9504cx9x1r10byhmj475s5pfr6gl";
      system = "cl-ksuid-test";
      asd = "cl-ksuid";
    });
    systems = [ "cl-ksuid-test" ];
    lispLibs = [ (getAttr "cl-ksuid" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ktx = (build-asdf-system {
    pname = "cl-ktx";
    version = "20230618-git";
    asds = [ "cl-ktx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ktx/2023-06-18/cl-ktx-20230618-git.tgz";
      sha256 = "0zd3xxcxp431kacaa6axnlg8ar7nbcndxpz340b7w9782rqfvvnx";
      system = "cl-ktx";
      asd = "cl-ktx";
    });
    systems = [ "cl-ktx" ];
    lispLibs = [ (getAttr "binary-structures" self) (getAttr "cl-opengl" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-kyoto-cabinet = (build-asdf-system {
    pname = "cl-kyoto-cabinet";
    version = "20191130-git";
    asds = [ "cl-kyoto-cabinet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kyoto-cabinet/2019-11-30/cl-kyoto-cabinet-20191130-git.tgz";
      sha256 = "0ayp87ggayaf8d1dblpv90a87fmgh9vhhcah3ch6jvcw6zzb9lcr";
      system = "cl-kyoto-cabinet";
      asd = "cl-kyoto-cabinet";
    });
    systems = [ "cl-kyoto-cabinet" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-l10n = (build-asdf-system {
    pname = "cl-l10n";
    version = "20211209-git";
    asds = [ "cl-l10n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-l10n/2021-12-09/cl-l10n-20211209-git.tgz";
      sha256 = "10yknvjcbgc82a6k6yzj2diki2z2s04q5kg642f2gfj2rl3bjyz7";
      system = "cl-l10n";
      asd = "cl-l10n";
    });
    systems = [ "cl-l10n" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-l10n-cldr" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "cxml" self) (getAttr "flexi-streams" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "metabang-bind" self) ];
    meta = {};
  });
  cl-l10n-cldr = (build-asdf-system {
    pname = "cl-l10n-cldr";
    version = "20120909-darcs";
    asds = [ "cl-l10n-cldr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-l10n-cldr/2012-09-09/cl-l10n-cldr-20120909-darcs.tgz";
      sha256 = "1mwkjdc51158v9rpdpsc1qzqqs0x8hb9k1k7b0pm8q7dp9rrb53v";
      system = "cl-l10n-cldr";
      asd = "cl-l10n-cldr";
    });
    systems = [ "cl-l10n-cldr" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-lambdacalc = (build-asdf-system {
    pname = "cl-lambdacalc";
    version = "20230214-git";
    asds = [ "cl-lambdacalc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lambdacalc/2023-02-14/cl-lambdacalc-20230214-git.tgz";
      sha256 = "0ja08d6p1dnbpf8yl8n59vis5lzr3x32in3iin72zmhj5n60axbd";
      system = "cl-lambdacalc";
      asd = "cl-lambdacalc";
    });
    systems = [ "cl-lambdacalc" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lambdacalc-test = (build-asdf-system {
    pname = "cl-lambdacalc-test";
    version = "20230214-git";
    asds = [ "cl-lambdacalc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lambdacalc/2023-02-14/cl-lambdacalc-20230214-git.tgz";
      sha256 = "0ja08d6p1dnbpf8yl8n59vis5lzr3x32in3iin72zmhj5n60axbd";
      system = "cl-lambdacalc-test";
      asd = "cl-lambdacalc-test";
    });
    systems = [ "cl-lambdacalc-test" ];
    lispLibs = [ (getAttr "cl-lambdacalc" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-las = (build-asdf-system {
    pname = "cl-las";
    version = "20221106-git";
    asds = [ "cl-las" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-las/2022-11-06/cl-las-20221106-git.tgz";
      sha256 = "119v5mrvxhz8b3alqj9gzfbzhigdm1n1hmwyylncn5w5dkq3jc9k";
      system = "cl-las";
      asd = "cl-las";
    });
    systems = [ "cl-las" ];
    lispLibs = [ (getAttr "binary-io" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lastfm = (build-asdf-system {
    pname = "cl-lastfm";
    version = "0.2.1";
    asds = [ "cl-lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lastfm/2014-07-13/cl-lastfm-0.2.1.tgz";
      sha256 = "0f37b8swgfz57bffcypjhcgzj5dhanssiraahkianj65a6zbindl";
      system = "cl-lastfm";
      asd = "cl-lastfm";
    });
    systems = [ "cl-lastfm" ];
    lispLibs = [ (getAttr "cxml-stp" self) (getAttr "drakma" self) (getAttr "trivial-utf-8" self) (getAttr "url-rewrite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lastfm-test = (build-asdf-system {
    pname = "cl-lastfm-test";
    version = "0.2.1";
    asds = [ "cl-lastfm-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lastfm/2014-07-13/cl-lastfm-0.2.1.tgz";
      sha256 = "0f37b8swgfz57bffcypjhcgzj5dhanssiraahkianj65a6zbindl";
      system = "cl-lastfm-test";
      asd = "cl-lastfm-test";
    });
    systems = [ "cl-lastfm-test" ];
    lispLibs = [ (getAttr "cl-lastfm" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-launch = (build-asdf-system {
    pname = "cl-launch";
    version = "4.1.4.1";
    asds = [ "cl-launch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-launch/2015-10-31/cl-launch-4.1.4.1.tgz";
      sha256 = "041nh1sh9rqdk9c1kr63n3g2pn11i68x9plzyfq36wmyhz2aypnr";
      system = "cl-launch";
      asd = "cl-launch";
    });
    systems = [ "cl-launch" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ledger = (build-asdf-system {
    pname = "cl-ledger";
    version = "20200218-git";
    asds = [ "cl-ledger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ledger/2020-02-18/cl-ledger-20200218-git.tgz";
      sha256 = "1dpxna9s0rgshqbc58h698ihwyk34a3napb8zrm8vbq8aigjrrzs";
      system = "cl-ledger";
      asd = "cl-ledger";
    });
    systems = [ "cl-ledger" ];
    lispLibs = [ (getAttr "cambl" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "periods-series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lex = (build-asdf-system {
    pname = "cl-lex";
    version = "20160929-git";
    asds = [ "cl-lex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lex/2016-09-29/cl-lex-20160929-git.tgz";
      sha256 = "1kg50f76bfpfxcv4dfivq1n9a0xlsra2ajb0vd68lxwgbidgyc2y";
      system = "cl-lex";
      asd = "cl-lex";
    });
    systems = [ "cl-lex" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lexer = (build-asdf-system {
    pname = "cl-lexer";
    version = "20191007-git";
    asds = [ "cl-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lexer/2019-10-07/cl-lexer-20191007-git.tgz";
      sha256 = "182fnmazfmc3zdp14lvpxlaxrwwsjp8mbjn8sdzywjxcnvlpkdmk";
      system = "cl-lexer";
      asd = "cl-lexer";
    });
    systems = [ "cl-lexer" ];
    lispLibs = [ (getAttr "regex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-liballegro = (build-asdf-system {
    pname = "cl-liballegro";
    version = "20230618-git";
    asds = [ "cl-liballegro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-liballegro/2023-06-18/cl-liballegro-20230618-git.tgz";
      sha256 = "03rslsr4mqs6dblp92mis3s3vd0nz87i5j12r3vsqqa11aw3ymax";
      system = "cl-liballegro";
      asd = "cl-liballegro";
    });
    systems = [ "cl-liballegro" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "float-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-main-thread" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-liballegro-nuklear = (build-asdf-system {
    pname = "cl-liballegro-nuklear";
    version = "20230618-git";
    asds = [ "cl-liballegro-nuklear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-liballegro-nuklear/2023-06-18/cl-liballegro-nuklear-20230618-git.tgz";
      sha256 = "19wl0fhpqvwgcsr38l6ljid25lcj9676ralw8lwnx8aqh1q1s9yb";
      system = "cl-liballegro-nuklear";
      asd = "cl-liballegro-nuklear";
    });
    systems = [ "cl-liballegro-nuklear" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libevent2 = (build-asdf-system {
    pname = "cl-libevent2";
    version = "20190107-git";
    asds = [ "cl-libevent2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libevent2/2019-01-07/cl-libevent2-20190107-git.tgz";
      sha256 = "18c8cxlh0vmyca7ihj8dz3f1j31h7y0kcis6qr6mpkzyi0k2cf0g";
      system = "cl-libevent2";
      asd = "cl-libevent2";
    });
    systems = [ "cl-libevent2" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libevent2-ssl = (build-asdf-system {
    pname = "cl-libevent2-ssl";
    version = "20190107-git";
    asds = [ "cl-libevent2-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libevent2/2019-01-07/cl-libevent2-20190107-git.tgz";
      sha256 = "18c8cxlh0vmyca7ihj8dz3f1j31h7y0kcis6qr6mpkzyi0k2cf0g";
      system = "cl-libevent2-ssl";
      asd = "cl-libevent2-ssl";
    });
    systems = [ "cl-libevent2-ssl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-libevent2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libiio = (build-asdf-system {
    pname = "cl-libiio";
    version = "20191130-git";
    asds = [ "cl-libiio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libiio/2019-11-30/cl-libiio-20191130-git.tgz";
      sha256 = "1z1jslm303c22imhshr92j1mq7g3j81xa5rk5psj3x00papncwmr";
      system = "cl-libiio";
      asd = "cl-libiio";
    });
    systems = [ "cl-libiio" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libinput = (build-asdf-system {
    pname = "cl-libinput";
    version = "20220707-git";
    asds = [ "cl-libinput" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libinput/2022-07-07/cl-libinput-20220707-git.tgz";
      sha256 = "18c3rl3d2bizbp3607gnn9j50x84f2mkypj9rqbry56i5gcw8zkh";
      system = "cl-libinput";
      asd = "cl-libinput";
    });
    systems = [ "cl-libinput" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-liblinear = (build-asdf-system {
    pname = "cl-liblinear";
    version = "20211020-git";
    asds = [ "cl-liblinear" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm/2021-10-20/cl-libsvm-20211020-git.tgz";
      sha256 = "0fpcw82hz6bp2hicjhvhxwcj4azprcl911n8q941lk8xcld3pmi0";
      system = "cl-liblinear";
      asd = "cl-liblinear";
    });
    systems = [ "cl-liblinear" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libpuzzle = (build-asdf-system {
    pname = "cl-libpuzzle";
    version = "20150608-git";
    asds = [ "cl-libpuzzle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libpuzzle/2015-06-08/cl-libpuzzle-20150608-git.tgz";
      sha256 = "0qgpdg4lni4sq6jp23qcd1jldsnrsn4h5b14ddmc8mb7va4qshlp";
      system = "cl-libpuzzle";
      asd = "cl-libpuzzle";
    });
    systems = [ "cl-libpuzzle" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libpuzzle-test = (build-asdf-system {
    pname = "cl-libpuzzle-test";
    version = "20150608-git";
    asds = [ "cl-libpuzzle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libpuzzle/2015-06-08/cl-libpuzzle-20150608-git.tgz";
      sha256 = "0qgpdg4lni4sq6jp23qcd1jldsnrsn4h5b14ddmc8mb7va4qshlp";
      system = "cl-libpuzzle-test";
      asd = "cl-libpuzzle-test";
    });
    systems = [ "cl-libpuzzle-test" ];
    lispLibs = [ (getAttr "cl-libpuzzle" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libsvm = (build-asdf-system {
    pname = "cl-libsvm";
    version = "20211020-git";
    asds = [ "cl-libsvm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm/2021-10-20/cl-libsvm-20211020-git.tgz";
      sha256 = "0fpcw82hz6bp2hicjhvhxwcj4azprcl911n8q941lk8xcld3pmi0";
      system = "cl-libsvm";
      asd = "cl-libsvm";
    });
    systems = [ "cl-libsvm" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libsvm-format = (build-asdf-system {
    pname = "cl-libsvm-format";
    version = "20180711-git";
    asds = [ "cl-libsvm-format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm-format/2018-07-11/cl-libsvm-format-20180711-git.tgz";
      sha256 = "0284aj84xszhkhlivaigf9qj855fxad3mzmv3zfr0qzb5k0nzwrg";
      system = "cl-libsvm-format";
      asd = "cl-libsvm-format";
    });
    systems = [ "cl-libsvm-format" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libsvm-format-test = (build-asdf-system {
    pname = "cl-libsvm-format-test";
    version = "20180711-git";
    asds = [ "cl-libsvm-format-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libsvm-format/2018-07-11/cl-libsvm-format-20180711-git.tgz";
      sha256 = "0284aj84xszhkhlivaigf9qj855fxad3mzmv3zfr0qzb5k0nzwrg";
      system = "cl-libsvm-format-test";
      asd = "cl-libsvm-format-test";
    });
    systems = [ "cl-libsvm-format-test" ];
    lispLibs = [ (getAttr "cl-libsvm-format" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libusb = (build-asdf-system {
    pname = "cl-libusb";
    version = "20210228-git";
    asds = [ "cl-libusb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libusb/2021-02-28/cl-libusb-20210228-git.tgz";
      sha256 = "0kyzgcflwb85q58fgn82sp0bipnq5bprg5i4h0h3jxafqqyagbnk";
      system = "cl-libusb";
      asd = "cl-libusb";
    });
    systems = [ "cl-libusb" ];
    lispLibs = [ (getAttr "libusb-ffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libuv = (build-asdf-system {
    pname = "cl-libuv";
    version = "20230618-git";
    asds = [ "cl-libuv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libuv/2023-06-18/cl-libuv-20230618-git.tgz";
      sha256 = "13kymryibhlq7jc8q3yar0c676srx82axfmz0x2r5kq7k94cknl9";
      system = "cl-libuv";
      asd = "cl-libuv";
    });
    systems = [ "cl-libuv" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {};
  });
  cl-libuv-config = (build-asdf-system {
    pname = "cl-libuv-config";
    version = "20230618-git";
    asds = [ "cl-libuv-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libuv/2023-06-18/cl-libuv-20230618-git.tgz";
      sha256 = "13kymryibhlq7jc8q3yar0c676srx82axfmz0x2r5kq7k94cknl9";
      system = "cl-libuv-config";
      asd = "cl-libuv-config";
    });
    systems = [ "cl-libuv-config" ];
    lispLibs = [ (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libxml2 = (build-asdf-system {
    pname = "cl-libxml2";
    version = "20130615-git";
    asds = [ "cl-libxml2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "cl-libxml2";
      asd = "cl-libxml2";
    });
    systems = [ "cl-libxml2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "flexi-streams" self) (getAttr "garbage-pools" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) (getAttr "puri" self) ];
    meta = {};
  });
  cl-libxml2-test = (build-asdf-system {
    pname = "cl-libxml2-test";
    version = "20130615-git";
    asds = [ "cl-libxml2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "cl-libxml2-test";
      asd = "cl-libxml2";
    });
    systems = [ "cl-libxml2-test" ];
    lispLibs = [ (getAttr "cl-libxml2" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-libyaml = (build-asdf-system {
    pname = "cl-libyaml";
    version = "20201220-git";
    asds = [ "cl-libyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libyaml/2020-12-20/cl-libyaml-20201220-git.tgz";
      sha256 = "06pvmackyhq03rjmihpx6w63m6cy8wx78ll5xpwwvd85bgrqq817";
      system = "cl-libyaml";
      asd = "cl-libyaml";
    });
    systems = [ "cl-libyaml" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  cl-libyaml-test = (build-asdf-system {
    pname = "cl-libyaml-test";
    version = "20201220-git";
    asds = [ "cl-libyaml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libyaml/2020-12-20/cl-libyaml-20201220-git.tgz";
      sha256 = "06pvmackyhq03rjmihpx6w63m6cy8wx78ll5xpwwvd85bgrqq817";
      system = "cl-libyaml-test";
      asd = "cl-libyaml-test";
    });
    systems = [ "cl-libyaml-test" ];
    lispLibs = [ (getAttr "cl-libyaml" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lite = (build-asdf-system {
    pname = "cl-lite";
    version = "master-5b2475f9-git";
    asds = [ "cl-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "cl-lite";
      asd = "cl-lite";
    });
    systems = [ "cl-lite" ];
    lispLibs = [ (getAttr "glisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-locale = (build-asdf-system {
    pname = "cl-locale";
    version = "20151031-git";
    asds = [ "cl-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale";
      asd = "cl-locale";
    });
    systems = [ "cl-locale" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "arnesi" self) (getAttr "cl-annot" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) ];
    meta = {};
  });
  cl-locale-syntax = (build-asdf-system {
    pname = "cl-locale-syntax";
    version = "20151031-git";
    asds = [ "cl-locale-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale-syntax";
      asd = "cl-locale-syntax";
    });
    systems = [ "cl-locale-syntax" ];
    lispLibs = [ (getAttr "cl-locale" self) (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-locale-test = (build-asdf-system {
    pname = "cl-locale-test";
    version = "20151031-git";
    asds = [ "cl-locale-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locale/2015-10-31/cl-locale-20151031-git.tgz";
      sha256 = "1rhannhpsw1yg1fpflam483a3w9qb1izgyvmnmiddv3dn4qsmn9p";
      system = "cl-locale-test";
      asd = "cl-locale-test";
    });
    systems = [ "cl-locale-test" ];
    lispLibs = [ (getAttr "cl-locale" self) (getAttr "cl-syntax" self) (getAttr "flexi-streams" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-locatives = (build-asdf-system {
    pname = "cl-locatives";
    version = "20230618-git";
    asds = [ "cl-locatives" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-locatives/2023-06-18/cl-locatives-20230618-git.tgz";
      sha256 = "05avna8fj3bicdhbcvnjmv9dnqq10g26m9pwgmrh6a4hyxz9zdaq";
      system = "cl-locatives";
      asd = "cl-locatives";
    });
    systems = [ "cl-locatives" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-log = (build-asdf-system {
    pname = "cl-log";
    version = ".1.0.1";
    asds = [ "cl-log" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-log/2013-01-28/cl-log.1.0.1.tgz";
      sha256 = "0lfy3sxr2shhv8qpyry9kk9gcwwl6bhfgzv0pczibl70mgraqnys";
      system = "cl-log";
      asd = "cl-log";
    });
    systems = [ "cl-log" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-log-test = (build-asdf-system {
    pname = "cl-log-test";
    version = ".1.0.1";
    asds = [ "cl-log-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-log/2013-01-28/cl-log.1.0.1.tgz";
      sha256 = "0lfy3sxr2shhv8qpyry9kk9gcwwl6bhfgzv0pczibl70mgraqnys";
      system = "cl-log-test";
      asd = "cl-log-test";
    });
    systems = [ "cl-log-test" ];
    lispLibs = [ (getAttr "cl-log" self) (getAttr "eos" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-logic = (build-asdf-system {
    pname = "cl-logic";
    version = "20141217-git";
    asds = [ "cl-logic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-logic/2014-12-17/cl-logic-20141217-git.tgz";
      sha256 = "17n2wzqali3j6b7pqbydipwlxgwdrj4mdnsgwjdyz32n8jvfyjwh";
      system = "cl-logic";
      asd = "cl-logic";
    });
    systems = [ "cl-logic" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "quine-mccluskey" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ltsv = (build-asdf-system {
    pname = "cl-ltsv";
    version = "20140713-git";
    asds = [ "cl-ltsv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ltsv/2014-07-13/cl-ltsv-20140713-git.tgz";
      sha256 = "1bjvnwxyaaw3yrq5hws2fr4qmk5938hdh2np2bqpm4m3b2c94n22";
      system = "cl-ltsv";
      asd = "cl-ltsv";
    });
    systems = [ "cl-ltsv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ltsv-test = (build-asdf-system {
    pname = "cl-ltsv-test";
    version = "20140713-git";
    asds = [ "cl-ltsv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ltsv/2014-07-13/cl-ltsv-20140713-git.tgz";
      sha256 = "1bjvnwxyaaw3yrq5hws2fr4qmk5938hdh2np2bqpm4m3b2c94n22";
      system = "cl-ltsv-test";
      asd = "cl-ltsv-test";
    });
    systems = [ "cl-ltsv-test" ];
    lispLibs = [ (getAttr "cl-ltsv" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-lzma = (build-asdf-system {
    pname = "cl-lzma";
    version = "20191130-git";
    asds = [ "cl-lzma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzma/2019-11-30/cl-lzma-20191130-git.tgz";
      sha256 = "17fdinmi2ffdga17slv86van0sp9gkvlmjprfdwak2jzziz6fxx6";
      system = "cl-lzma";
      asd = "cl-lzma";
    });
    systems = [ "cl-lzma" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-autowrap" self) (getAttr "fast-io" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-m4 = (build-asdf-system {
    pname = "cl-m4";
    version = "20130312-git";
    asds = [ "cl-m4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-m4/2013-03-12/cl-m4-20130312-git.tgz";
      sha256 = "1dqdhxb45j4vqmx38xkq32gsckldca8rxpf2idg4b61wd21c0ci6";
      system = "cl-m4";
      asd = "cl-m4";
    });
    systems = [ "cl-m4" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "external-program" self) (getAttr "graylex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-m4-test = (build-asdf-system {
    pname = "cl-m4-test";
    version = "20130312-git";
    asds = [ "cl-m4-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-m4/2013-03-12/cl-m4-20130312-git.tgz";
      sha256 = "1dqdhxb45j4vqmx38xkq32gsckldca8rxpf2idg4b61wd21c0ci6";
      system = "cl-m4-test";
      asd = "cl-m4-test";
    });
    systems = [ "cl-m4-test" ];
    lispLibs = [ (getAttr "cl-heredoc" self) (getAttr "cl-m4" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mango = (build-asdf-system {
    pname = "cl-mango";
    version = "20200925-git";
    asds = [ "cl-mango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mango/2020-09-25/cl-mango-20200925-git.tgz";
      sha256 = "0ipa1azakzqigq103m1j2z597bp2i34kx4z1418kp2jn8zwbdz5s";
      system = "cl-mango";
      asd = "cl-mango";
    });
    systems = [ "cl-mango" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "json-mop" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markdown = (build-asdf-system {
    pname = "cl-markdown";
    version = "20191227-git";
    asds = [ "cl-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown";
      asd = "cl-markdown";
    });
    systems = [ "cl-markdown" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-containers" self) (getAttr "cl-ppcre" self) (getAttr "dynamic-classes" self) (getAttr "metabang-bind" self) (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markdown-comparisons = (build-asdf-system {
    pname = "cl-markdown-comparisons";
    version = "20191227-git";
    asds = [ "cl-markdown-comparisons" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown-comparisons";
      asd = "cl-markdown-comparisons";
    });
    systems = [ "cl-markdown-comparisons" ];
    lispLibs = [ (getAttr "cl-html-diff" self) (getAttr "cl-markdown" self) (getAttr "html-encode" self) (getAttr "lift" self) (getAttr "lml2" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markdown-test = (build-asdf-system {
    pname = "cl-markdown-test";
    version = "20191227-git";
    asds = [ "cl-markdown-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markdown/2019-12-27/cl-markdown-20191227-git.tgz";
      sha256 = "1wksi765nk8kf5qm2chh7dcn6k562kvc108dzdb9y5iwp97lqqvg";
      system = "cl-markdown-test";
      asd = "cl-markdown-test";
    });
    systems = [ "cl-markdown-test" ];
    lispLibs = [ (getAttr "cl-markdown" self) (getAttr "lift" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless = (build-asdf-system {
    pname = "cl-markless";
    version = "20230618-git";
    asds = [ "cl-markless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless";
      asd = "cl-markless";
    });
    systems = [ "cl-markless" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless-epub = (build-asdf-system {
    pname = "cl-markless-epub";
    version = "20230618-git";
    asds = [ "cl-markless-epub" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless-epub";
      asd = "cl-markless-epub";
    });
    systems = [ "cl-markless-epub" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-markless-plump" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-indent" self) (getAttr "trivial-mimes" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless-markdown = (build-asdf-system {
    pname = "cl-markless-markdown";
    version = "20230618-git";
    asds = [ "cl-markless-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless-markdown";
      asd = "cl-markless-markdown";
    });
    systems = [ "cl-markless-markdown" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "cl-markless" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless-plump = (build-asdf-system {
    pname = "cl-markless-plump";
    version = "20230618-git";
    asds = [ "cl-markless-plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless-plump";
      asd = "cl-markless-plump";
    });
    systems = [ "cl-markless-plump" ];
    lispLibs = [ (getAttr "cl-markless" self) (getAttr "plump-dom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless-standalone = (build-asdf-system {
    pname = "cl-markless-standalone";
    version = "20230618-git";
    asds = [ "cl-markless-standalone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless-standalone";
      asd = "cl-markless-standalone";
    });
    systems = [ "cl-markless-standalone" ];
    lispLibs = [ (getAttr "cl-markless" self) (getAttr "cl-markless-epub" self) (getAttr "cl-markless-markdown" self) (getAttr "cl-markless-plump" self) (getAttr "command-line-arguments" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markless-test = (build-asdf-system {
    pname = "cl-markless-test";
    version = "20230618-git";
    asds = [ "cl-markless-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markless/2023-06-18/cl-markless-20230618-git.tgz";
      sha256 = "120d0lf02a9ch1z47mfpsdj313ir5mz483jh3hlgja94ia8qpcw6";
      system = "cl-markless-test";
      asd = "cl-markless-test";
    });
    systems = [ "cl-markless-test" ];
    lispLibs = [ (getAttr "cl-markless" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-marklogic = (build-asdf-system {
    pname = "cl-marklogic";
    version = "20210124-git";
    asds = [ "cl-marklogic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "cl-marklogic";
      asd = "cl-marklogic";
    });
    systems = [ "cl-marklogic" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "fiveam" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-markup = (build-asdf-system {
    pname = "cl-markup";
    version = "20131003-git";
    asds = [ "cl-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markup/2013-10-03/cl-markup-20131003-git.tgz";
      sha256 = "10l6k45971dl13fkdmva7zc6i453lmq9j4xax2ci6pjzlc6xjhp7";
      system = "cl-markup";
      asd = "cl-markup";
    });
    systems = [ "cl-markup" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-markup-test = (build-asdf-system {
    pname = "cl-markup-test";
    version = "20131003-git";
    asds = [ "cl-markup-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-markup/2013-10-03/cl-markup-20131003-git.tgz";
      sha256 = "10l6k45971dl13fkdmva7zc6i453lmq9j4xax2ci6pjzlc6xjhp7";
      system = "cl-markup-test";
      asd = "cl-markup-test";
    });
    systems = [ "cl-markup-test" ];
    lispLibs = [ (getAttr "cl-markup" self) (getAttr "cl-test-more" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-match = (build-asdf-system {
    pname = "cl-match";
    version = "20121125-git";
    asds = [ "cl-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "cl-match";
      asd = "cl-match";
    });
    systems = [ "cl-match" ];
    lispLibs = [ (getAttr "standard-cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-match-test = (build-asdf-system {
    pname = "cl-match-test";
    version = "20121125-git";
    asds = [ "cl-match-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "cl-match-test";
      asd = "cl-match-test";
    });
    systems = [ "cl-match-test" ];
    lispLibs = [ (getAttr "cl-match" self) (getAttr "pcl-unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mathstats = (build-asdf-system {
    pname = "cl-mathstats";
    version = "20230214-git";
    asds = [ "cl-mathstats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mathstats/2023-02-14/cl-mathstats-20230214-git.tgz";
      sha256 = "17ic625bdsvgfjndl4zzxkjy7dcl54alg2pdr0jjn4cpysffga6z";
      system = "cl-mathstats";
      asd = "cl-mathstats";
    });
    systems = [ "cl-mathstats" ];
    lispLibs = [ (getAttr "cl-containers" self) (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mathstats-test = (build-asdf-system {
    pname = "cl-mathstats-test";
    version = "20230214-git";
    asds = [ "cl-mathstats-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mathstats/2023-02-14/cl-mathstats-20230214-git.tgz";
      sha256 = "17ic625bdsvgfjndl4zzxkjy7dcl54alg2pdr0jjn4cpysffga6z";
      system = "cl-mathstats-test";
      asd = "cl-mathstats-test";
    });
    systems = [ "cl-mathstats-test" ];
    lispLibs = [ (getAttr "cl-mathstats" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-maxminddb = (build-asdf-system {
    pname = "cl-maxminddb";
    version = "20210630-git";
    asds = [ "cl-maxminddb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxminddb/2021-06-30/cl-maxminddb-20210630-git.tgz";
      sha256 = "1mm7cpiygcka39pj4a0rvhayfl4wh0zfjkda60yshq24xmml84pw";
      system = "cl-maxminddb";
      asd = "cl-maxminddb";
    });
    systems = [ "cl-maxminddb" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "ieee-floats" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) (getAttr "mmap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-maxsat = (build-asdf-system {
    pname = "cl-maxsat";
    version = "20200218-git";
    asds = [ "cl-maxsat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxsat/2020-02-18/cl-maxsat-20200218-git.tgz";
      sha256 = "0qy4hhi8y3wv88x3s88g2hl2cz25cjp26xapd3z4h7lrx7cy786i";
      system = "cl-maxsat";
      asd = "cl-maxsat";
    });
    systems = [ "cl-maxsat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-sat" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-maxsat_dot_test = (build-asdf-system {
    pname = "cl-maxsat.test";
    version = "20200218-git";
    asds = [ "cl-maxsat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-maxsat/2020-02-18/cl-maxsat-20200218-git.tgz";
      sha256 = "0qy4hhi8y3wv88x3s88g2hl2cz25cjp26xapd3z4h7lrx7cy786i";
      system = "cl-maxsat.test";
      asd = "cl-maxsat.test";
    });
    systems = [ "cl-maxsat.test" ];
    lispLibs = [ (getAttr "cl-maxsat" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mdb = (build-asdf-system {
    pname = "cl-mdb";
    version = "20220707-git";
    asds = [ "cl-mdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mdb/2022-07-07/cl-mdb-20220707-git.tgz";
      sha256 = "1xkhk39485yv3j9bshnnv74c95asf9704g80wb8vwvwsvqi7ym2a";
      system = "cl-mdb";
      asd = "cl-mdb";
    });
    systems = [ "cl-mdb" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mecab = (build-asdf-system {
    pname = "cl-mecab";
    version = "20181018-git";
    asds = [ "cl-mecab" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mecab/2018-10-18/cl-mecab-20181018-git.tgz";
      sha256 = "0lfan9p8dsniyp60g6n8awfjvv8lyickc40qdxiry6kmp65636ps";
      system = "cl-mecab";
      asd = "cl-mecab";
    });
    systems = [ "cl-mecab" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mecab-test = (build-asdf-system {
    pname = "cl-mecab-test";
    version = "20181018-git";
    asds = [ "cl-mecab-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mecab/2018-10-18/cl-mecab-20181018-git.tgz";
      sha256 = "0lfan9p8dsniyp60g6n8awfjvv8lyickc40qdxiry6kmp65636ps";
      system = "cl-mecab-test";
      asd = "cl-mecab-test";
    });
    systems = [ "cl-mecab-test" ];
    lispLibs = [ (getAttr "cl-mecab" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mechanize = (build-asdf-system {
    pname = "cl-mechanize";
    version = "20180711-git";
    asds = [ "cl-mechanize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mechanize/2018-07-11/cl-mechanize-20180711-git.tgz";
      sha256 = "0y86sdi2nl3jv6n535cd62jax0mpc0cckrhffaqacbgbdjc875sn";
      system = "cl-mechanize";
      asd = "cl-mechanize";
    });
    systems = [ "cl-mechanize" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closure-html" self) (getAttr "cxml-stp" self) (getAttr "drakma" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mediawiki = (build-asdf-system {
    pname = "cl-mediawiki";
    version = "20161204-git";
    asds = [ "cl-mediawiki" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mediawiki/2016-12-04/cl-mediawiki-20161204-git.tgz";
      sha256 = "1wrysj9l64k3xx152yw1arvn1glnx60j730qvj8prm65iid95xgm";
      system = "cl-mediawiki";
      asd = "cl-mediawiki";
    });
    systems = [ "cl-mediawiki" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cxml" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mediawiki-test = (build-asdf-system {
    pname = "cl-mediawiki-test";
    version = "20161204-git";
    asds = [ "cl-mediawiki-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mediawiki/2016-12-04/cl-mediawiki-20161204-git.tgz";
      sha256 = "1wrysj9l64k3xx152yw1arvn1glnx60j730qvj8prm65iid95xgm";
      system = "cl-mediawiki-test";
      asd = "cl-mediawiki-test";
    });
    systems = [ "cl-mediawiki-test" ];
    lispLibs = [ (getAttr "cl-mediawiki" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-megolm = (build-asdf-system {
    pname = "cl-megolm";
    version = "20230214-git";
    asds = [ "cl-megolm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-megolm/2023-02-14/cl-megolm-20230214-git.tgz";
      sha256 = "1n80v63pw2ck419fglgdhhqnc06jmams6mnxb8sqdg966qxhql2k";
      system = "cl-megolm";
      asd = "cl-megolm";
    });
    systems = [ "cl-megolm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "claw-olm" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "lisp-unit" self) (getAttr "s-base64" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-memcached = (build-asdf-system {
    pname = "cl-memcached";
    version = "20150608-git";
    asds = [ "cl-memcached" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-memcached/2015-06-08/cl-memcached-20150608-git.tgz";
      sha256 = "0g66m0yiazzh0447qbmgxjn4kxjcx9bk2l8cimyzmriz5d0j2q3i";
      system = "cl-memcached";
      asd = "cl-memcached";
    });
    systems = [ "cl-memcached" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "pooler" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-messagepack = (build-asdf-system {
    pname = "cl-messagepack";
    version = "20201016-git";
    asds = [ "cl-messagepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack/2020-10-16/cl-messagepack-20201016-git.tgz";
      sha256 = "0lhw8wz45q9jgh7fn5ihj7ccl3wm2c2x3vb4cijgg6vhbrwlw2qh";
      system = "cl-messagepack";
      asd = "cl-messagepack";
    });
    systems = [ "cl-messagepack" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "closer-mop" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-messagepack-rpc = (build-asdf-system {
    pname = "cl-messagepack-rpc";
    version = "20171227-git";
    asds = [ "cl-messagepack-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack-rpc/2017-12-27/cl-messagepack-rpc-20171227-git.tgz";
      sha256 = "02nrnhav28v5vwig9mmmmax59nl0sbjkmdzwakzpj6y1gafiqgy9";
      system = "cl-messagepack-rpc";
      asd = "cl-messagepack-rpc";
    });
    systems = [ "cl-messagepack-rpc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-async" self) (getAttr "cl-libuv" self) (getAttr "cl-messagepack" self) (getAttr "flexi-streams" self) (getAttr "trivial-backtrace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-messagepack-rpc-tests = (build-asdf-system {
    pname = "cl-messagepack-rpc-tests";
    version = "20171227-git";
    asds = [ "cl-messagepack-rpc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack-rpc/2017-12-27/cl-messagepack-rpc-20171227-git.tgz";
      sha256 = "02nrnhav28v5vwig9mmmmax59nl0sbjkmdzwakzpj6y1gafiqgy9";
      system = "cl-messagepack-rpc-tests";
      asd = "cl-messagepack-rpc-tests";
    });
    systems = [ "cl-messagepack-rpc-tests" ];
    lispLibs = [ (getAttr "cl-messagepack-rpc" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-messagepack-tests = (build-asdf-system {
    pname = "cl-messagepack-tests";
    version = "20201016-git";
    asds = [ "cl-messagepack-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-messagepack/2020-10-16/cl-messagepack-20201016-git.tgz";
      sha256 = "0lhw8wz45q9jgh7fn5ihj7ccl3wm2c2x3vb4cijgg6vhbrwlw2qh";
      system = "cl-messagepack-tests";
      asd = "cl-messagepack-tests";
    });
    systems = [ "cl-messagepack-tests" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-messagepack" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migrations = (build-asdf-system {
    pname = "cl-migrations";
    version = "20110110-http";
    asds = [ "cl-migrations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migrations/2011-01-10/cl-migrations-20110110-http.tgz";
      sha256 = "0mq3ir1kffw921q5a878964ghnrhcrh79p6yxsrb25bzkwpnfx02";
      system = "cl-migrations";
      asd = "cl-migrations";
    });
    systems = [ "cl-migrations" ];
    lispLibs = [ (getAttr "clsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum = (build-asdf-system {
    pname = "cl-migratum";
    version = "20230214-git";
    asds = [ "cl-migratum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum";
      asd = "cl-migratum";
    });
    systems = [ "cl-migratum" ];
    lispLibs = [ (getAttr "cl-ascii-table" self) (getAttr "cl-reexport" self) (getAttr "local-time" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_cli = (build-asdf-system {
    pname = "cl-migratum.cli";
    version = "20230214-git";
    asds = [ "cl-migratum.cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.cli";
      asd = "cl-migratum.cli";
    });
    systems = [ "cl-migratum.cli" ];
    lispLibs = [ (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_dbi" self) (getAttr "cl-migratum_dot_driver_dot_rdbms-postgresql" self) (getAttr "cl-migratum_dot_provider_dot_local-path" self) (getAttr "clingon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_driver_dot_dbi = (build-asdf-system {
    pname = "cl-migratum.driver.dbi";
    version = "20230214-git";
    asds = [ "cl-migratum.driver.dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.driver.dbi";
      asd = "cl-migratum.driver.dbi";
    });
    systems = [ "cl-migratum.driver.dbi" ];
    lispLibs = [ (getAttr "cl-dbi" self) (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_mixins" self) (getAttr "cl-ppcre" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_driver_dot_mixins = (build-asdf-system {
    pname = "cl-migratum.driver.mixins";
    version = "20230214-git";
    asds = [ "cl-migratum.driver.mixins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.driver.mixins";
      asd = "cl-migratum.driver.mixins";
    });
    systems = [ "cl-migratum.driver.mixins" ];
    lispLibs = [ (getAttr "cl-migratum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_driver_dot_rdbms-postgresql = (build-asdf-system {
    pname = "cl-migratum.driver.rdbms-postgresql";
    version = "20230214-git";
    asds = [ "cl-migratum.driver.rdbms-postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.driver.rdbms-postgresql";
      asd = "cl-migratum.driver.rdbms-postgresql";
    });
    systems = [ "cl-migratum.driver.rdbms-postgresql" ];
    lispLibs = [ (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_mixins" self) (getAttr "cl-ppcre" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_provider_dot_local-path = (build-asdf-system {
    pname = "cl-migratum.provider.local-path";
    version = "20230214-git";
    asds = [ "cl-migratum.provider.local-path" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.provider.local-path";
      asd = "cl-migratum.provider.local-path";
    });
    systems = [ "cl-migratum.provider.local-path" ];
    lispLibs = [ (getAttr "cl-migratum" self) (getAttr "cl-ppcre" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-migratum_dot_test = (build-asdf-system {
    pname = "cl-migratum.test";
    version = "20230214-git";
    asds = [ "cl-migratum.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-migratum/2023-02-14/cl-migratum-20230214-git.tgz";
      sha256 = "0zfs62rhzj5d0pm6lbc70c0im1da3phaq7swr8rm8chqkgsqil0p";
      system = "cl-migratum.test";
      asd = "cl-migratum.test";
    });
    systems = [ "cl-migratum.test" ];
    lispLibs = [ (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_dbi" self) (getAttr "cl-migratum_dot_driver_dot_rdbms-postgresql" self) (getAttr "cl-migratum_dot_provider_dot_local-path" self) (getAttr "dbd-sqlite3" self) (getAttr "rove" self) (getAttr "tmpdir" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mime = (build-asdf-system {
    pname = "cl-mime";
    version = "20201220-git";
    asds = [ "cl-mime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime/2020-12-20/cl-mime-20201220-git.tgz";
      sha256 = "0i2vyc1d4qp36f3c3qfpx9rkp3d2ka80r40wc9lsvhqn1hjxa2gv";
      system = "cl-mime";
      asd = "cl-mime";
    });
    systems = [ "cl-mime" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "cl-qprint" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mime-from-string = (build-asdf-system {
    pname = "cl-mime-from-string";
    version = "20200427-git";
    asds = [ "cl-mime-from-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime-from-string/2020-04-27/cl-mime-from-string-20200427-git.tgz";
      sha256 = "1pzhfbv6j3b0vvf4rxxd56v54lh6v7cs16nq2d64cawn6qzmk4bp";
      system = "cl-mime-from-string";
      asd = "cl-mime-from-string";
    });
    systems = [ "cl-mime-from-string" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mime-test = (build-asdf-system {
    pname = "cl-mime-test";
    version = "20201220-git";
    asds = [ "cl-mime-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mime/2020-12-20/cl-mime-20201220-git.tgz";
      sha256 = "0i2vyc1d4qp36f3c3qfpx9rkp3d2ka80r40wc9lsvhqn1hjxa2gv";
      system = "cl-mime-test";
      asd = "cl-mime-test";
    });
    systems = [ "cl-mime-test" ];
    lispLibs = [ (getAttr "cl-mime" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mimeparse = (build-asdf-system {
    pname = "cl-mimeparse";
    version = "20210531-git";
    asds = [ "cl-mimeparse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mimeparse/2021-05-31/cl-mimeparse-20210531-git.tgz";
      sha256 = "0gdkpi3620va0a3q56svcn1q9f5w0pqfhx30lnldg8fjnrdfiwkk";
      system = "cl-mimeparse";
      asd = "cl-mimeparse";
    });
    systems = [ "cl-mimeparse" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mimeparse-tests = (build-asdf-system {
    pname = "cl-mimeparse-tests";
    version = "20210531-git";
    asds = [ "cl-mimeparse-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mimeparse/2021-05-31/cl-mimeparse-20210531-git.tgz";
      sha256 = "0gdkpi3620va0a3q56svcn1q9f5w0pqfhx30lnldg8fjnrdfiwkk";
      system = "cl-mimeparse-tests";
      asd = "cl-mimeparse-tests";
    });
    systems = [ "cl-mimeparse-tests" ];
    lispLibs = [ (getAttr "cl-mimeparse" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-minify-css = (build-asdf-system {
    pname = "cl-minify-css";
    version = "20200925-git";
    asds = [ "cl-minify-css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-minify-css/2020-09-25/cl-minify-css-20200925-git.tgz";
      sha256 = "1wj1mh7qzr8ybqyx7kxnpsmj3d9lylnzmq1qmycdyf2llqkcdxgd";
      system = "cl-minify-css";
      asd = "cl-minify-css";
    });
    systems = [ "cl-minify-css" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-minify-css-test = (build-asdf-system {
    pname = "cl-minify-css-test";
    version = "20200925-git";
    asds = [ "cl-minify-css-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-minify-css/2020-09-25/cl-minify-css-20200925-git.tgz";
      sha256 = "1wj1mh7qzr8ybqyx7kxnpsmj3d9lylnzmq1qmycdyf2llqkcdxgd";
      system = "cl-minify-css-test";
      asd = "cl-minify-css-test";
    });
    systems = [ "cl-minify-css-test" ];
    lispLibs = [ (getAttr "assert-p" self) (getAttr "cacau" self) (getAttr "cacau-asdf" self) (getAttr "cl-minify-css" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed = (build-asdf-system {
    pname = "cl-mixed";
    version = "20230618-git";
    asds = [ "cl-mixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed";
      asd = "cl-mixed";
    });
    systems = [ "cl-mixed" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-aaudio = (build-asdf-system {
    pname = "cl-mixed-aaudio";
    version = "20230618-git";
    asds = [ "cl-mixed-aaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-aaudio";
      asd = "cl-mixed-aaudio";
    });
    systems = [ "cl-mixed-aaudio" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-alsa = (build-asdf-system {
    pname = "cl-mixed-alsa";
    version = "20230618-git";
    asds = [ "cl-mixed-alsa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-alsa";
      asd = "cl-mixed-alsa";
    });
    systems = [ "cl-mixed-alsa" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-coreaudio = (build-asdf-system {
    pname = "cl-mixed-coreaudio";
    version = "20230618-git";
    asds = [ "cl-mixed-coreaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-coreaudio";
      asd = "cl-mixed-coreaudio";
    });
    systems = [ "cl-mixed-coreaudio" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-mixed" self) (getAttr "float-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-examples = (build-asdf-system {
    pname = "cl-mixed-examples";
    version = "20230618-git";
    asds = [ "cl-mixed-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-examples";
      asd = "cl-mixed-examples";
    });
    systems = [ "cl-mixed-examples" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "cl-mixed-mpg123" self) (getAttr "cl-mixed-out123" self) (getAttr "cl-mixed-pulse" self) (getAttr "cl-mixed-wav" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-flac = (build-asdf-system {
    pname = "cl-mixed-flac";
    version = "20230618-git";
    asds = [ "cl-mixed-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-flac";
      asd = "cl-mixed-flac";
    });
    systems = [ "cl-mixed-flac" ];
    lispLibs = [ (getAttr "cl-flac" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-jack = (build-asdf-system {
    pname = "cl-mixed-jack";
    version = "20230618-git";
    asds = [ "cl-mixed-jack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-jack";
      asd = "cl-mixed-jack";
    });
    systems = [ "cl-mixed-jack" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-mpg123 = (build-asdf-system {
    pname = "cl-mixed-mpg123";
    version = "20230618-git";
    asds = [ "cl-mixed-mpg123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-mpg123";
      asd = "cl-mixed-mpg123";
    });
    systems = [ "cl-mixed-mpg123" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "cl-mpg123" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-mpt = (build-asdf-system {
    pname = "cl-mixed-mpt";
    version = "20230618-git";
    asds = [ "cl-mixed-mpt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-mpt";
      asd = "cl-mixed-mpt";
    });
    systems = [ "cl-mixed-mpt" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-opus = (build-asdf-system {
    pname = "cl-mixed-opus";
    version = "20230618-git";
    asds = [ "cl-mixed-opus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-opus";
      asd = "cl-mixed-opus";
    });
    systems = [ "cl-mixed-opus" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "cl-opus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-oss = (build-asdf-system {
    pname = "cl-mixed-oss";
    version = "20230618-git";
    asds = [ "cl-mixed-oss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-oss";
      asd = "cl-mixed-oss";
    });
    systems = [ "cl-mixed-oss" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-out123 = (build-asdf-system {
    pname = "cl-mixed-out123";
    version = "20230618-git";
    asds = [ "cl-mixed-out123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-out123";
      asd = "cl-mixed-out123";
    });
    systems = [ "cl-mixed-out123" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "cl-out123" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-pulse = (build-asdf-system {
    pname = "cl-mixed-pulse";
    version = "20230618-git";
    asds = [ "cl-mixed-pulse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-pulse";
      asd = "cl-mixed-pulse";
    });
    systems = [ "cl-mixed-pulse" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-sdl2 = (build-asdf-system {
    pname = "cl-mixed-sdl2";
    version = "20230618-git";
    asds = [ "cl-mixed-sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-sdl2";
      asd = "cl-mixed-sdl2";
    });
    systems = [ "cl-mixed-sdl2" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-vorbis = (build-asdf-system {
    pname = "cl-mixed-vorbis";
    version = "20230618-git";
    asds = [ "cl-mixed-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-vorbis";
      asd = "cl-mixed-vorbis";
    });
    systems = [ "cl-mixed-vorbis" ];
    lispLibs = [ (getAttr "cl-mixed" self) (getAttr "cl-vorbis" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-wasapi = (build-asdf-system {
    pname = "cl-mixed-wasapi";
    version = "20230618-git";
    asds = [ "cl-mixed-wasapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-wasapi";
      asd = "cl-mixed-wasapi";
    });
    systems = [ "cl-mixed-wasapi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) (getAttr "com-on" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-wav = (build-asdf-system {
    pname = "cl-mixed-wav";
    version = "20230618-git";
    asds = [ "cl-mixed-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-wav";
      asd = "cl-mixed-wav";
    });
    systems = [ "cl-mixed-wav" ];
    lispLibs = [ (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-winmm = (build-asdf-system {
    pname = "cl-mixed-winmm";
    version = "20230618-git";
    asds = [ "cl-mixed-winmm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-winmm";
      asd = "cl-mixed-winmm";
    });
    systems = [ "cl-mixed-winmm" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mixed-xaudio2 = (build-asdf-system {
    pname = "cl-mixed-xaudio2";
    version = "20230618-git";
    asds = [ "cl-mixed-xaudio2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mixed/2023-06-18/cl-mixed-20230618-git.tgz";
      sha256 = "0bd77bxw55mqyqmkb9s53ay0frkq5k6bgxakzkqg5kyjdryli36c";
      system = "cl-mixed-xaudio2";
      asd = "cl-mixed-xaudio2";
    });
    systems = [ "cl-mixed-xaudio2" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mixed" self) (getAttr "com-on" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mock = (build-asdf-system {
    pname = "cl-mock";
    version = "20221106-git";
    asds = [ "cl-mock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock";
      asd = "cl-mock";
    });
    systems = [ "cl-mock" ];
    lispLibs = [ (getAttr "cl-mock-basic" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mock-basic = (build-asdf-system {
    pname = "cl-mock-basic";
    version = "20221106-git";
    asds = [ "cl-mock-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-basic";
      asd = "cl-mock-basic";
    });
    systems = [ "cl-mock-basic" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mock-tests = (build-asdf-system {
    pname = "cl-mock-tests";
    version = "20221106-git";
    asds = [ "cl-mock-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-tests";
      asd = "cl-mock-tests";
    });
    systems = [ "cl-mock-tests" ];
    lispLibs = [ (getAttr "cl-mock" self) (getAttr "cl-mock-tests-basic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mock-tests-basic = (build-asdf-system {
    pname = "cl-mock-tests-basic";
    version = "20221106-git";
    asds = [ "cl-mock-tests-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mock/2022-11-06/cl-mock-20221106-git.tgz";
      sha256 = "19641sm3klx9yfk8lr376rfkd26vy72yp1hkpkqcw3q3m1xrf9xp";
      system = "cl-mock-tests-basic";
      asd = "cl-mock-tests-basic";
    });
    systems = [ "cl-mock-tests-basic" ];
    lispLibs = [ (getAttr "cl-mock-basic" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-modio = (build-asdf-system {
    pname = "cl-modio";
    version = "20230618-git";
    asds = [ "cl-modio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-modio/2023-06-18/cl-modio-20230618-git.tgz";
      sha256 = "0hz87v81pi8kr2c7az30czpdf7v757lkzlsmdcc59p94pipca7m9";
      system = "cl-modio";
      asd = "cl-modio";
    });
    systems = [ "cl-modio" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "documentation-utils" self) (getAttr "drakma" self) (getAttr "language-codes" self) (getAttr "zippy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-monad-macros = (build-asdf-system {
    pname = "cl-monad-macros";
    version = "20110619-svn";
    asds = [ "cl-monad-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-monad-macros/2011-06-19/cl-monad-macros-20110619-svn.tgz";
      sha256 = "184p018xb07yd04bpscrwrnwv1cdxh9hxggmrnj95lhlr6r97l1z";
      system = "cl-monad-macros";
      asd = "cl-monad-macros";
    });
    systems = [ "cl-monad-macros" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-moneris = (build-asdf-system {
    pname = "cl-moneris";
    version = "20110418-git";
    asds = [ "cl-moneris" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moneris/2011-04-18/cl-moneris-20110418-git.tgz";
      sha256 = "1jvzssjb273ijbdcpxpl6ajh02k4h6l5j4vjxkh69cnrq3dcsvfc";
      system = "cl-moneris";
      asd = "cl-moneris";
    });
    systems = [ "cl-moneris" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-moneris-test = (build-asdf-system {
    pname = "cl-moneris-test";
    version = "20110418-git";
    asds = [ "cl-moneris-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moneris/2011-04-18/cl-moneris-20110418-git.tgz";
      sha256 = "1jvzssjb273ijbdcpxpl6ajh02k4h6l5j4vjxkh69cnrq3dcsvfc";
      system = "cl-moneris-test";
      asd = "cl-moneris-test";
    });
    systems = [ "cl-moneris-test" ];
    lispLibs = [ (getAttr "cl-moneris" self) (getAttr "eos" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mongo = (build-asdf-system {
    pname = "cl-mongo";
    version = "20160531-git";
    asds = [ "cl-mongo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mongo/2016-05-31/cl-mongo-20160531-git.tgz";
      sha256 = "1l3kydbxbxhs1z76v6qpwjnabv8wf0mff1pfjkrpjfz6bia1svx6";
      system = "cl-mongo";
      asd = "cl-mongo";
    });
    systems = [ "cl-mongo" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "documentation-template" self) (getAttr "lisp-unit" self) (getAttr "parenscript" self) (getAttr "split-sequence" self) (getAttr "usocket" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mongo-id = (build-asdf-system {
    pname = "cl-mongo-id";
    version = "20201220-git";
    asds = [ "cl-mongo-id" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mongo-id/2020-12-20/cl-mongo-id-20201220-git.tgz";
      sha256 = "1bpwmh5970rpr6ayygcgdg96hq2dlrksgpa1vdmy5l6vdbw9xrys";
      system = "cl-mongo-id";
      asd = "cl-mongo-id";
    });
    systems = [ "cl-mongo-id" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "local-time" self) (getAttr "md5" self) (getAttr "secure-random" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-monitors = (build-asdf-system {
    pname = "cl-monitors";
    version = "20190710-git";
    asds = [ "cl-monitors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-monitors/2019-07-10/cl-monitors-20190710-git.tgz";
      sha256 = "0arwj7san3hsjws1fj3l8iqm92fipw0bfl3gzvvx6sa3cmy3m8vj";
      system = "cl-monitors";
      asd = "cl-monitors";
    });
    systems = [ "cl-monitors" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mop = (build-asdf-system {
    pname = "cl-mop";
    version = "20150113-git";
    asds = [ "cl-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mop/2015-01-13/cl-mop-20150113-git.tgz";
      sha256 = "0wqjbp6jr868a89hklf1ppxkdfbznafrdpriakqiraicvr9kvksg";
      system = "cl-mop";
      asd = "cl-mop";
    });
    systems = [ "cl-mop" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-morse = (build-asdf-system {
    pname = "cl-morse";
    version = "v1.0.0";
    asds = [ "cl-morse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-morse/2022-07-07/cl-morse-v1.0.0.tgz";
      sha256 = "01sh34nhbsx2dsrb2r1vkd4j8lzm9gjd5jfi8a4cs4m3djjwhh5i";
      system = "cl-morse";
      asd = "cl-morse";
    });
    systems = [ "cl-morse" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-moss = (build-asdf-system {
    pname = "cl-moss";
    version = "20171019-git";
    asds = [ "cl-moss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-moss/2017-10-19/cl-moss-20171019-git.tgz";
      sha256 = "1qxzppnyxc8lkhfbbp5m3dbhp4rfkyc2lfrry2448i5w5icrigzd";
      system = "cl-moss";
      asd = "cl-moss";
    });
    systems = [ "cl-moss" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mount-info = (build-asdf-system {
    pname = "cl-mount-info";
    version = "20200218-git";
    asds = [ "cl-mount-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mount-info/2020-02-18/cl-mount-info-20200218-git.tgz";
      sha256 = "0vza9gj9q42nzb5v8aj22lmn4aqx9vrddsb5a343nbwfz89hbh9x";
      system = "cl-mount-info";
      asd = "cl-mount-info";
    });
    systems = [ "cl-mount-info" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpg123 = (build-asdf-system {
    pname = "cl-mpg123";
    version = "20230618-git";
    asds = [ "cl-mpg123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpg123/2023-06-18/cl-mpg123-20230618-git.tgz";
      sha256 = "0smrgr2i2vcgnzkfafpix9dq1wzfs3yd2q6l5p66cplm4lhd7ni4";
      system = "cl-mpg123";
      asd = "cl-mpg123";
    });
    systems = [ "cl-mpg123" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpg123-example = (build-asdf-system {
    pname = "cl-mpg123-example";
    version = "20230618-git";
    asds = [ "cl-mpg123-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpg123/2023-06-18/cl-mpg123-20230618-git.tgz";
      sha256 = "0smrgr2i2vcgnzkfafpix9dq1wzfs3yd2q6l5p66cplm4lhd7ni4";
      system = "cl-mpg123-example";
      asd = "cl-mpg123-example";
    });
    systems = [ "cl-mpg123-example" ];
    lispLibs = [ (getAttr "cl-mpg123" self) (getAttr "cl-out123" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpi = (build-asdf-system {
    pname = "cl-mpi";
    version = "20190710-git";
    asds = [ "cl-mpi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi";
      asd = "cl-mpi";
    });
    systems = [ "cl-mpi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-mpi-asdf-integration" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpi-asdf-integration = (build-asdf-system {
    pname = "cl-mpi-asdf-integration";
    version = "20190710-git";
    asds = [ "cl-mpi-asdf-integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-asdf-integration";
      asd = "cl-mpi-asdf-integration";
    });
    systems = [ "cl-mpi-asdf-integration" ];
    lispLibs = [ (getAttr "cffi-grovel" self) (getAttr "cffi-toolchain" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpi-examples = (build-asdf-system {
    pname = "cl-mpi-examples";
    version = "20190710-git";
    asds = [ "cl-mpi-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-examples";
      asd = "cl-mpi-examples";
    });
    systems = [ "cl-mpi-examples" ];
    lispLibs = [ (getAttr "cl-mpi" self) (getAttr "cl-mpi-asdf-integration" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpi-extensions = (build-asdf-system {
    pname = "cl-mpi-extensions";
    version = "20190710-git";
    asds = [ "cl-mpi-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-extensions";
      asd = "cl-mpi-extensions";
    });
    systems = [ "cl-mpi-extensions" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-conspack" self) (getAttr "cl-mpi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mpi-test-suite = (build-asdf-system {
    pname = "cl-mpi-test-suite";
    version = "20190710-git";
    asds = [ "cl-mpi-test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mpi/2019-07-10/cl-mpi-20190710-git.tgz";
      sha256 = "1ykwk7acjhzpsjgm2b5svdpyw2qgrh860gkx3n2ckyrgd9l9q6jb";
      system = "cl-mpi-test-suite";
      asd = "cl-mpi-test-suite";
    });
    systems = [ "cl-mpi-test-suite" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-mpi" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mtgnet = (build-asdf-system {
    pname = "cl-mtgnet";
    version = "20180711-git";
    asds = [ "cl-mtgnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet";
      asd = "cl-mtgnet";
    });
    systems = [ "cl-mtgnet" ];
    lispLibs = [ (getAttr "blackbird" self) (getAttr "cl-json" self) (getAttr "cl-netstring_plus" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mtgnet-async = (build-asdf-system {
    pname = "cl-mtgnet-async";
    version = "20180711-git";
    asds = [ "cl-mtgnet-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet-async";
      asd = "cl-mtgnet-async";
    });
    systems = [ "cl-mtgnet-async" ];
    lispLibs = [ (getAttr "cl-async" self) (getAttr "cl-mtgnet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mtgnet-sync = (build-asdf-system {
    pname = "cl-mtgnet-sync";
    version = "20180711-git";
    asds = [ "cl-mtgnet-sync" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mtgnet/2018-07-11/cl-mtgnet-20180711-git.tgz";
      sha256 = "08mwkfa9s51is6npn7al4rn5a65ip2bq0psb1pdvh111h5zqxdrb";
      system = "cl-mtgnet-sync";
      asd = "cl-mtgnet-sync";
    });
    systems = [ "cl-mtgnet-sync" ];
    lispLibs = [ (getAttr "cl-mtgnet" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-murmurhash = (build-asdf-system {
    pname = "cl-murmurhash";
    version = "20210630-git";
    asds = [ "cl-murmurhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-murmurhash/2021-06-30/cl-murmurhash-20210630-git.tgz";
      sha256 = "0251r0mpjm0y3qsm4lm7ncvrkxvgwc53spdm1p2mpayhvkkqqsws";
      system = "cl-murmurhash";
      asd = "cl-murmurhash";
    });
    systems = [ "cl-murmurhash" ];
    lispLibs = [ (getAttr "babel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mustache = (build-asdf-system {
    pname = "cl-mustache";
    version = "20200325-git";
    asds = [ "cl-mustache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mustache/2020-03-25/cl-mustache-20200325-git.tgz";
      sha256 = "1wsmr46c56l0chshffk3rbvd7v2jwplmgmkkyr98n5n2qnjcqrc4";
      system = "cl-mustache";
      asd = "cl-mustache";
    });
    systems = [ "cl-mustache" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-mustache-test = (build-asdf-system {
    pname = "cl-mustache-test";
    version = "20200325-git";
    asds = [ "cl-mustache-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mustache/2020-03-25/cl-mustache-20200325-git.tgz";
      sha256 = "1wsmr46c56l0chshffk3rbvd7v2jwplmgmkkyr98n5n2qnjcqrc4";
      system = "cl-mustache-test";
      asd = "cl-mustache-test";
    });
    systems = [ "cl-mustache-test" ];
    lispLibs = [ (getAttr "cl-mustache" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-muth = (build-asdf-system {
    pname = "cl-muth";
    version = "stable-git";
    asds = [ "cl-muth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-muth/2022-07-07/cl-muth-stable-git.tgz";
      sha256 = "0409arzy51chgi9anj9s2zn0qkx9wnphlbwcdvpamr4b51b60xjz";
      system = "cl-muth";
      asd = "cl-muth";
    });
    systems = [ "cl-muth" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bodge-heap" self) (getAttr "bodge-queue" self) (getAttr "bordeaux-threads" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw = (build-asdf-system {
    pname = "cl-mw";
    version = "20150407-git";
    asds = [ "cl-mw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw";
      asd = "cl-mw";
    });
    systems = [ "cl-mw" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "hu_dot_dwim_dot_serializer" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_argument-processing = (build-asdf-system {
    pname = "cl-mw.examples.argument-processing";
    version = "20150407-git";
    asds = [ "cl-mw.examples.argument-processing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.argument-processing";
      asd = "cl-mw.examples.argument-processing";
    });
    systems = [ "cl-mw.examples.argument-processing" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_hello-world = (build-asdf-system {
    pname = "cl-mw.examples.hello-world";
    version = "20150407-git";
    asds = [ "cl-mw.examples.hello-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.hello-world";
      asd = "cl-mw.examples.hello-world";
    });
    systems = [ "cl-mw.examples.hello-world" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_higher-order = (build-asdf-system {
    pname = "cl-mw.examples.higher-order";
    version = "20150407-git";
    asds = [ "cl-mw.examples.higher-order" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.higher-order";
      asd = "cl-mw.examples.higher-order";
    });
    systems = [ "cl-mw.examples.higher-order" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_monte-carlo-pi = (build-asdf-system {
    pname = "cl-mw.examples.monte-carlo-pi";
    version = "20150407-git";
    asds = [ "cl-mw.examples.monte-carlo-pi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.monte-carlo-pi";
      asd = "cl-mw.examples.monte-carlo-pi";
    });
    systems = [ "cl-mw.examples.monte-carlo-pi" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_ping = (build-asdf-system {
    pname = "cl-mw.examples.ping";
    version = "20150407-git";
    asds = [ "cl-mw.examples.ping" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.ping";
      asd = "cl-mw.examples.ping";
    });
    systems = [ "cl-mw.examples.ping" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mw_dot_examples_dot_with-task-policy = (build-asdf-system {
    pname = "cl-mw.examples.with-task-policy";
    version = "20150407-git";
    asds = [ "cl-mw.examples.with-task-policy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mw/2015-04-07/cl-mw-20150407-git.tgz";
      sha256 = "1bpkpb86hpp7sz9mk19rbdlfcis2npc3a7w6jlph7s8brxl1h1jn";
      system = "cl-mw.examples.with-task-policy";
      asd = "cl-mw.examples.with-task-policy";
    });
    systems = [ "cl-mw.examples.with-task-policy" ];
    lispLibs = [ (getAttr "cl-mw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-myriam = (build-asdf-system {
    pname = "cl-myriam";
    version = "20220331-git";
    asds = [ "cl-myriam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-myriam/2022-03-31/cl-myriam-20220331-git.tgz";
      sha256 = "0vyyyy6yj62id5m1a98rbq3pz7hm74znnawxh4apqhrff37xcs1l";
      system = "cl-myriam";
      asd = "cl-myriam";
    });
    systems = [ "cl-myriam" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-conspack" self) (getAttr "cl-ppcre" self) (getAttr "lparallel" self) (getAttr "pzmq" self) (getAttr "serapeum" self) (getAttr "sha3" self) (getAttr "str" self) (getAttr "usocket" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-mysql = (build-asdf-system {
    pname = "cl-mysql";
    version = "20200610-git";
    asds = [ "cl-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mysql/2020-06-10/cl-mysql-20200610-git.tgz";
      sha256 = "1jk2571w5zhrmza4mr5z4ia6g7r5hzhp8dsxnpx2ypnla9xpxv5h";
      system = "cl-mysql";
      asd = "cl-mysql";
    });
    systems = [ "cl-mysql" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  cl-mysql-test = (build-asdf-system {
    pname = "cl-mysql-test";
    version = "20200610-git";
    asds = [ "cl-mysql-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mysql/2020-06-10/cl-mysql-20200610-git.tgz";
      sha256 = "1jk2571w5zhrmza4mr5z4ia6g7r5hzhp8dsxnpx2ypnla9xpxv5h";
      system = "cl-mysql-test";
      asd = "cl-mysql-test";
    });
    systems = [ "cl-mysql-test" ];
    lispLibs = [ (getAttr "cl-mysql" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store = (build-asdf-system {
    pname = "cl-naive-store";
    version = "20230618-git";
    asds = [ "cl-naive-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store";
      asd = "cl-naive-store";
    });
    systems = [ "cl-naive-store" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-type-defs" self) (getAttr "cl-naive-store_dot_document-types" self) (getAttr "cl-naive-store_dot_naive-core" self) (getAttr "cl-naive-store_dot_naive-documents" self) (getAttr "cl-naive-store_dot_naive-indexed" self) (getAttr "cl-naive-store_dot_naive-merkle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_document-type-defs = (build-asdf-system {
    pname = "cl-naive-store.document-type-defs";
    version = "20230618-git";
    asds = [ "cl-naive-store.document-type-defs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.document-type-defs";
      asd = "cl-naive-store.document-type-defs";
    });
    systems = [ "cl-naive-store.document-type-defs" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-types" self) (getAttr "cl-naive-store_dot_naive-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_document-types = (build-asdf-system {
    pname = "cl-naive-store.document-types";
    version = "20230618-git";
    asds = [ "cl-naive-store.document-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.document-types";
      asd = "cl-naive-store.document-types";
    });
    systems = [ "cl-naive-store.document-types" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_naive-core = (build-asdf-system {
    pname = "cl-naive-store.naive-core";
    version = "20230618-git";
    asds = [ "cl-naive-store.naive-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.naive-core";
      asd = "cl-naive-store.naive-core";
    });
    systems = [ "cl-naive-store.naive-core" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-cpus" self) (getAttr "cl-fad" self) (getAttr "cl-getx" self) (getAttr "cl-murmurhash" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "lparallel" self) (getAttr "split-sequence" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_naive-documents = (build-asdf-system {
    pname = "cl-naive-store.naive-documents";
    version = "20230618-git";
    asds = [ "cl-naive-store.naive-documents" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.naive-documents";
      asd = "cl-naive-store.naive-documents";
    });
    systems = [ "cl-naive-store.naive-documents" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_document-type-defs" self) (getAttr "cl-naive-store_dot_document-types" self) (getAttr "cl-naive-store_dot_naive-core" self) (getAttr "cl-naive-store_dot_naive-indexed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_naive-indexed = (build-asdf-system {
    pname = "cl-naive-store.naive-indexed";
    version = "20230618-git";
    asds = [ "cl-naive-store.naive-indexed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.naive-indexed";
      asd = "cl-naive-store.naive-indexed";
    });
    systems = [ "cl-naive-store.naive-indexed" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_naive-merkle = (build-asdf-system {
    pname = "cl-naive-store.naive-merkle";
    version = "20230618-git";
    asds = [ "cl-naive-store.naive-merkle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.naive-merkle";
      asd = "cl-naive-store.naive-merkle";
    });
    systems = [ "cl-naive-store.naive-merkle" ];
    lispLibs = [ (getAttr "cl-naive-store_dot_naive-documents" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-naive-store_dot_test = (build-asdf-system {
    pname = "cl-naive-store.test";
    version = "20230618-git";
    asds = [ "cl-naive-store.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-naive-store/2023-06-18/cl-naive-store-20230618-git.tgz";
      sha256 = "0z9f1hfm63idnivcymzlimqmrdrr87p88vcajq83nhhhqjr6jc9w";
      system = "cl-naive-store.test";
      asd = "cl-naive-store.test";
    });
    systems = [ "cl-naive-store.test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-naive-store" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ncurses = (build-asdf-system {
    pname = "cl-ncurses";
    version = "0.1.4";
    asds = [ "cl-ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ncurses/2010-10-06/cl-ncurses_0.1.4.tgz";
      sha256 = "1frcap93i4ni3d648rrbnjjpz7p4cxlv57mmzlpxpzchzbcga026";
      system = "cl-ncurses";
      asd = "cl-ncurses";
    });
    systems = [ "cl-ncurses" ];
    lispLibs = [ (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-neo4j = (build-asdf-system {
    pname = "cl-neo4j";
    version = "release-b8ad637a-git";
    asds = [ "cl-neo4j" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neo4j/2013-01-28/cl-neo4j-release-b8ad637a-git.tgz";
      sha256 = "061xqjn08aqynfqygk48pwjp1d1mnhcb6fnl4lcfyw261dxsp871";
      system = "cl-neo4j";
      asd = "cl-neo4j";
    });
    systems = [ "cl-neo4j" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "babel" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-neo4j_dot_tests = (build-asdf-system {
    pname = "cl-neo4j.tests";
    version = "release-b8ad637a-git";
    asds = [ "cl-neo4j.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neo4j/2013-01-28/cl-neo4j-release-b8ad637a-git.tgz";
      sha256 = "061xqjn08aqynfqygk48pwjp1d1mnhcb6fnl4lcfyw261dxsp871";
      system = "cl-neo4j.tests";
      asd = "cl-neo4j";
    });
    systems = [ "cl-neo4j.tests" ];
    lispLibs = [ (getAttr "cl-neo4j" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-neovim = (build-asdf-system {
    pname = "cl-neovim";
    version = "20190521-git";
    asds = [ "cl-neovim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-neovim/2019-05-21/cl-neovim-20190521-git.tgz";
      sha256 = "06hy30px9cppqzh0c8nkbyysbpw2l247r4g43wfw96rflrdwy6ks";
      system = "cl-neovim";
      asd = "cl-neovim";
    });
    systems = [ "cl-neovim" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-messagepack-rpc" self) (getAttr "form-fiddle" self) (getAttr "split-sequence" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-netpbm = (build-asdf-system {
    pname = "cl-netpbm";
    version = "20201016-hg";
    asds = [ "cl-netpbm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netpbm/2020-10-16/cl-netpbm-20201016-hg.tgz";
      sha256 = "1xhpyn7nkadvbv8n7sbjyfj9qzr90p66dhq1j9f0jj4lmarp8anp";
      system = "cl-netpbm";
      asd = "cl-netpbm";
    });
    systems = [ "cl-netpbm" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-netstring_plus = (build-asdf-system {
    pname = "cl-netstring+";
    version = "20150709-git";
    asds = [ "cl-netstring+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netstring-plus/2015-07-09/cl-netstring-plus-20150709-git.tgz";
      sha256 = "03nxhgkab8lsx8mvavd4yny1894yxl5bllvqb12hyjdgg1v8whrr";
      system = "cl-netstring+";
      asd = "cl-netstring+";
    });
    systems = [ "cl-netstring+" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-netstrings = (build-asdf-system {
    pname = "cl-netstrings";
    version = "20121013-git";
    asds = [ "cl-netstrings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-netstrings/2012-10-13/cl-netstrings-20121013-git.tgz";
      sha256 = "1mprrb8i3fjpmw7w461ib8zrcjwx77sqwaxyqq7i8yqkbhk7p1ql";
      system = "cl-netstrings";
      asd = "cl-netstrings";
    });
    systems = [ "cl-netstrings" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-notebook = (build-asdf-system {
    pname = "cl-notebook";
    version = "20201220-git";
    asds = [ "cl-notebook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-notebook/2020-12-20/cl-notebook-20201220-git.tgz";
      sha256 = "0kg5wdclz9i64gcx27z5bs739hsvjrfl9kf1awi31x4142yxrva8";
      system = "cl-notebook";
      asd = "cl-notebook";
    });
    systems = [ "cl-notebook" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-css" self) (getAttr "cl-fad" self) (getAttr "cl-who" self) (getAttr "closer-mop" self) (getAttr "fact-base" self) (getAttr "house" self) (getAttr "parenscript" self) (getAttr "prove-asdf" self) (getAttr "qlot" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ntp-client = (build-asdf-system {
    pname = "cl-ntp-client";
    version = "20210630-git";
    asds = [ "cl-ntp-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ntp-client/2021-06-30/cl-ntp-client-20210630-git.tgz";
      sha256 = "1mc16bvs0l8srnxjcjg4m192rw5waq291zks2jslxmxij0pa28cm";
      system = "cl-ntp-client";
      asd = "cl-ntp-client";
    });
    systems = [ "cl-ntp-client" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ntriples = (build-asdf-system {
    pname = "cl-ntriples";
    version = "20190307-hg";
    asds = [ "cl-ntriples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ntriples/2019-03-07/cl-ntriples-20190307-hg.tgz";
      sha256 = "0k8q2r2nxkgxp91398gb0iwfy9kd2mn519nxxa3zq831c433l2mq";
      system = "cl-ntriples";
      asd = "cl-ntriples";
    });
    systems = [ "cl-ntriples" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oauth = (build-asdf-system {
    pname = "cl-oauth";
    version = "20150804-git";
    asds = [ "cl-oauth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oauth/2015-08-04/cl-oauth-20150804-git.tgz";
      sha256 = "1q4r5i3099684q5x9wqddrm9g88qm16nnra9glvxngywfjc5zzkk";
      system = "cl-oauth";
      asd = "cl-oauth";
    });
    systems = [ "cl-oauth" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "closer-mop" self) (getAttr "drakma" self) (getAttr "f-underscore" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "puri" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oauth_dot_tests = (build-asdf-system {
    pname = "cl-oauth.tests";
    version = "20150804-git";
    asds = [ "cl-oauth.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oauth/2015-08-04/cl-oauth-20150804-git.tgz";
      sha256 = "1q4r5i3099684q5x9wqddrm9g88qm16nnra9glvxngywfjc5zzkk";
      system = "cl-oauth.tests";
      asd = "cl-oauth";
    });
    systems = [ "cl-oauth.tests" ];
    lispLibs = [ (getAttr "cl-oauth" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oclapi = (build-asdf-system {
    pname = "cl-oclapi";
    version = "20180831-git";
    asds = [ "cl-oclapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oclapi/2018-08-31/cl-oclapi-20180831-git.tgz";
      sha256 = "0aix5ipw98fsnvg1w7qmrjbwgn70gn7vf5av21xsgblp2sd7w2aw";
      system = "cl-oclapi";
      asd = "cl-oclapi";
    });
    systems = [ "cl-oclapi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-annot" self) (getAttr "cl-reexport" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oclapi-test = (build-asdf-system {
    pname = "cl-oclapi-test";
    version = "20180831-git";
    asds = [ "cl-oclapi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oclapi/2018-08-31/cl-oclapi-20180831-git.tgz";
      sha256 = "0aix5ipw98fsnvg1w7qmrjbwgn70gn7vf5av21xsgblp2sd7w2aw";
      system = "cl-oclapi-test";
      asd = "cl-oclapi-test";
    });
    systems = [ "cl-oclapi-test" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "cl-oclapi" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-octet-streams = (build-asdf-system {
    pname = "cl-octet-streams";
    version = "20201220-git";
    asds = [ "cl-octet-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-octet-streams/2020-12-20/cl-octet-streams-20201220-git.tgz";
      sha256 = "1hffh98bv4w5yrchagzwqrc43d2p473pvw7ka4kyyvhrr52dk2f8";
      system = "cl-octet-streams";
      asd = "cl-octet-streams";
    });
    systems = [ "cl-octet-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ode = (build-asdf-system {
    pname = "cl-ode";
    version = "20160628-git";
    asds = [ "cl-ode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ode/2016-06-28/cl-ode-20160628-git.tgz";
      sha256 = "1pxm2pq0br0rhdfnvs5jqfkxfs8bc9wdqrzwyv83l8n7pax941b0";
      system = "cl-ode";
      asd = "cl-ode";
    });
    systems = [ "cl-ode" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ohm = (build-asdf-system {
    pname = "cl-ohm";
    version = "20180228-git";
    asds = [ "cl-ohm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ohm/2018-02-28/cl-ohm-20180228-git.tgz";
      sha256 = "00gdfsiba761gk7xw91wfnr9yv84maagf9idh55bk5bs4ws1ymyp";
      system = "cl-ohm";
      asd = "cl-ohm";
    });
    systems = [ "cl-ohm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-redis" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oju = (build-asdf-system {
    pname = "cl-oju";
    version = "20230214-git";
    asds = [ "cl-oju" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-oju/2023-02-14/cl-oju-20230214-git.tgz";
      sha256 = "0pcb659m487w4nv3m0ryl0fbwdgc1vdz06hsm4l1gwi3w9gcq477";
      system = "cl-oju";
      asd = "cl-oju";
    });
    systems = [ "cl-oju" ];
    lispLibs = [ (getAttr "_1am" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-olefs = (build-asdf-system {
    pname = "cl-olefs";
    version = "20150709-git";
    asds = [ "cl-olefs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-olefs/2015-07-09/cl-olefs-20150709-git.tgz";
      sha256 = "0cqna6zzfrjmsq17yc4wg204kr77riczqjpm1w5cj1mba43zcac7";
      system = "cl-olefs";
      asd = "cl-olefs";
    });
    systems = [ "cl-olefs" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-one-time-passwords = (build-asdf-system {
    pname = "cl-one-time-passwords";
    version = "20171019-git";
    asds = [ "cl-one-time-passwords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-one-time-passwords/2017-10-19/cl-one-time-passwords-20171019-git.tgz";
      sha256 = "1nhq2jij257cfaadh9k421qaisicxpmx3wsc4kivf1psgbrc56lg";
      system = "cl-one-time-passwords";
      asd = "cl-one-time-passwords";
    });
    systems = [ "cl-one-time-passwords" ];
    lispLibs = [ (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-one-time-passwords-test = (build-asdf-system {
    pname = "cl-one-time-passwords-test";
    version = "20171019-git";
    asds = [ "cl-one-time-passwords-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-one-time-passwords/2017-10-19/cl-one-time-passwords-20171019-git.tgz";
      sha256 = "1nhq2jij257cfaadh9k421qaisicxpmx3wsc4kivf1psgbrc56lg";
      system = "cl-one-time-passwords-test";
      asd = "cl-one-time-passwords-test";
    });
    systems = [ "cl-one-time-passwords-test" ];
    lispLibs = [ (getAttr "cl-one-time-passwords" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-oneliner = (build-asdf-system {
    pname = "cl-oneliner";
    version = "20131003-git";
    asds = [ "cl-oneliner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oneliner/2013-10-03/oneliner-20131003-git.tgz";
      sha256 = "0q9350s0r9yjmfc2360g35qi04b3867gd7hw5ada4176whinmjxb";
      system = "cl-oneliner";
      asd = "cl-oneliner";
    });
    systems = [ "cl-oneliner" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "lisp-unit" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-online-learning = (build-asdf-system {
    pname = "cl-online-learning";
    version = "20220331-git";
    asds = [ "cl-online-learning" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-online-learning/2022-03-31/cl-online-learning-20220331-git.tgz";
      sha256 = "136v9kxcy53qar2j4y38awnw2idnf0lwxqwx7wgak664w3hxs6k8";
      system = "cl-online-learning";
      asd = "cl-online-learning";
    });
    systems = [ "cl-online-learning" ];
    lispLibs = [ (getAttr "cl-libsvm-format" self) (getAttr "cl-store" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-online-learning-test = (build-asdf-system {
    pname = "cl-online-learning-test";
    version = "20220331-git";
    asds = [ "cl-online-learning-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-online-learning/2022-03-31/cl-online-learning-20220331-git.tgz";
      sha256 = "136v9kxcy53qar2j4y38awnw2idnf0lwxqwx7wgak664w3hxs6k8";
      system = "cl-online-learning-test";
      asd = "cl-online-learning-test";
    });
    systems = [ "cl-online-learning-test" ];
    lispLibs = [ (getAttr "cl-online-learning" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-openal = (build-asdf-system {
    pname = "cl-openal";
    version = "20221106-git";
    asds = [ "cl-openal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-openal";
      asd = "cl-openal";
    });
    systems = [ "cl-openal" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-openal-examples = (build-asdf-system {
    pname = "cl-openal-examples";
    version = "20221106-git";
    asds = [ "cl-openal-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openal/2022-11-06/cl-openal-20221106-git.tgz";
      sha256 = "0jmp81mf23ckcm4knnh0q7zpmyls5220imaqbmnl0xvvra10b1zy";
      system = "cl-openal-examples";
      asd = "cl-openal-examples";
    });
    systems = [ "cl-openal-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-alc" self) (getAttr "cl-alut" self) (getAttr "cl-openal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opencl = (build-asdf-system {
    pname = "cl-opencl";
    version = "20211209-git";
    asds = [ "cl-opencl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opencl/2021-12-09/cl-opencl-20211209-git.tgz";
      sha256 = "1agg6rg7lsbq2jgarx25bwm1nw22jpl20bzhyn4ivygcgzp2mv29";
      system = "cl-opencl";
      asd = "cl-opencl";
    });
    systems = [ "cl-opencl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opencl-utils = (build-asdf-system {
    pname = "cl-opencl-utils";
    version = "20230214-git";
    asds = [ "cl-opencl-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opencl-utils/2023-02-14/cl-opencl-utils-20230214-git.tgz";
      sha256 = "17l4wsvhjj3zvhl5nsigh9fwnv7s7xiqfk2998gh86j32a02r95y";
      system = "cl-opencl-utils";
      asd = "cl-opencl-utils";
    });
    systems = [ "cl-opencl-utils" ];
    lispLibs = [ (getAttr "cl-opencl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opengl = (build-asdf-system {
    pname = "cl-opengl";
    version = "20191130-git";
    asds = [ "cl-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opengl/2019-11-30/cl-opengl-20191130-git.tgz";
      sha256 = "0mhqmll09f079pnd6mgswz9nvr6h5n27d4q7zpmm2igf1v460id7";
      system = "cl-opengl";
      asd = "cl-opengl";
    });
    systems = [ "cl-opengl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "float-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opensearch-query-builder = (build-asdf-system {
    pname = "cl-opensearch-query-builder";
    version = "20230618-git";
    asds = [ "cl-opensearch-query-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opensearch-query-builder/2023-06-18/cl-opensearch-query-builder-20230618-git.tgz";
      sha256 = "0sdhp5517ikh40gd8m8qw2jczr0nd7c4i5r31kssx7763zq968i5";
      system = "cl-opensearch-query-builder";
      asd = "cl-opensearch-query-builder";
    });
    systems = [ "cl-opensearch-query-builder" ];
    lispLibs = [ (getAttr "com_dot_inuoe_dot_jzon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-openstack-client = (build-asdf-system {
    pname = "cl-openstack-client";
    version = "20191007-git";
    asds = [ "cl-openstack-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openstack-client/2019-10-07/cl-openstack-client-20191007-git.tgz";
      sha256 = "1sak75i82vn3acg7bxx8vjbw2y35wbq1vkh1yqhs68ksnph6d097";
      system = "cl-openstack-client";
      asd = "cl-openstack-client";
    });
    systems = [ "cl-openstack-client" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-json" self) (getAttr "drakma" self) (getAttr "local-time" self) (getAttr "uri-template" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-openstack-client-test = (build-asdf-system {
    pname = "cl-openstack-client-test";
    version = "20191007-git";
    asds = [ "cl-openstack-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openstack-client/2019-10-07/cl-openstack-client-20191007-git.tgz";
      sha256 = "1sak75i82vn3acg7bxx8vjbw2y35wbq1vkh1yqhs68ksnph6d097";
      system = "cl-openstack-client-test";
      asd = "cl-openstack-client-test";
    });
    systems = [ "cl-openstack-client-test" ];
    lispLibs = [ (getAttr "chunga" self) (getAttr "cl-openstack-client" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "local-time" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opsresearch = (build-asdf-system {
    pname = "cl-opsresearch";
    version = "20170403-git";
    asds = [ "cl-opsresearch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "cl-opsresearch";
      asd = "cl-opsresearch";
    });
    systems = [ "cl-opsresearch" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-opus = (build-asdf-system {
    pname = "cl-opus";
    version = "20230618-git";
    asds = [ "cl-opus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opus/2023-06-18/cl-opus-20230618-git.tgz";
      sha256 = "1xclwnmx6vjmiznjwgwdfzh192f3hpfm234lc0j0sjxhk7a547z7";
      system = "cl-opus";
      asd = "cl-opus";
    });
    systems = [ "cl-opus" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-org-mode = (build-asdf-system {
    pname = "cl-org-mode";
    version = "20101207-git";
    asds = [ "cl-org-mode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-org-mode/2010-12-07/cl-org-mode-20101207-git.tgz";
      sha256 = "1fvwl9jlbpd352b5zn2d45mabsim5xvzabwyz1h10hwv4gviymzf";
      system = "cl-org-mode";
      asd = "cl-org-mode";
    });
    systems = [ "cl-org-mode" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-out123 = (build-asdf-system {
    pname = "cl-out123";
    version = "20230618-git";
    asds = [ "cl-out123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-out123/2023-06-18/cl-out123-20230618-git.tgz";
      sha256 = "0ahgc5l5lbpl3ini4pn5crh8b7dlr386pxczl0d4h6djhccxzs4w";
      system = "cl-out123";
      asd = "cl-out123";
    });
    systems = [ "cl-out123" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pack = (build-asdf-system {
    pname = "cl-pack";
    version = "20200427-git";
    asds = [ "cl-pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pack/2020-04-27/cl-pack-20200427-git.tgz";
      sha256 = "0q7gawy0cwy49m1mxgj0jqnzzckk2ps74ncfaw1pqiqilfyx7np6";
      system = "cl-pack";
      asd = "cl-pack";
    });
    systems = [ "cl-pack" ];
    lispLibs = [ (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pack-test = (build-asdf-system {
    pname = "cl-pack-test";
    version = "20200427-git";
    asds = [ "cl-pack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pack/2020-04-27/cl-pack-20200427-git.tgz";
      sha256 = "0q7gawy0cwy49m1mxgj0jqnzzckk2ps74ncfaw1pqiqilfyx7np6";
      system = "cl-pack-test";
      asd = "cl-pack";
    });
    systems = [ "cl-pack-test" ];
    lispLibs = [ (getAttr "cl-pack" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-package-locks = (build-asdf-system {
    pname = "cl-package-locks";
    version = "20111203-git";
    asds = [ "cl-package-locks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-package-locks/2011-12-03/cl-package-locks-20111203-git.tgz";
      sha256 = "0g3gfljnvpgd66ccd2sqawlkwqx4a0wsdrg5180va61w869cgxqq";
      system = "cl-package-locks";
      asd = "cl-package-locks";
    });
    systems = [ "cl-package-locks" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pango = (build-asdf-system {
    pname = "cl-pango";
    version = "20170403-git";
    asds = [ "cl-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pango/2017-04-03/cl-pango-20170403-git.tgz";
      sha256 = "0zkn4yn8nkkjr0x1vcy856cvbmnyhdidqz0in8xvd2i93jvw5w0i";
      system = "cl-pango";
      asd = "cl-pango";
    });
    systems = [ "cl-pango" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-cairo2" self) (getAttr "xmls" self) ];
    meta = {};
  });
  cl-parallel = (build-asdf-system {
    pname = "cl-parallel";
    version = "20130312-git";
    asds = [ "cl-parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parallel/2013-03-12/cl-parallel-20130312-git.tgz";
      sha256 = "1hmkcbwkj7rx8zg5wf2w06nvbabldpr7hbbg1ycj0fss86s2cx2c";
      system = "cl-parallel";
      asd = "cl-parallel";
    });
    systems = [ "cl-parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pass = (build-asdf-system {
    pname = "cl-pass";
    version = "20201220-git";
    asds = [ "cl-pass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pass/2020-12-20/cl-pass-20201220-git.tgz";
      sha256 = "05qx4jrkxqbqi72cxgswbpnifbdvp9mh7apc7566v522899bh0hb";
      system = "cl-pass";
      asd = "cl-pass";
    });
    systems = [ "cl-pass" ];
    lispLibs = [ (getAttr "ironclad" self) (getAttr "split-sequence" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pass-test = (build-asdf-system {
    pname = "cl-pass-test";
    version = "20201220-git";
    asds = [ "cl-pass-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pass/2020-12-20/cl-pass-20201220-git.tgz";
      sha256 = "05qx4jrkxqbqi72cxgswbpnifbdvp9mh7apc7566v522899bh0hb";
      system = "cl-pass-test";
      asd = "cl-pass-test";
    });
    systems = [ "cl-pass-test" ];
    lispLibs = [ (getAttr "cl-pass" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-paths = (build-asdf-system {
    pname = "cl-paths";
    version = "20180228-git";
    asds = [ "cl-paths" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-paths";
      asd = "cl-paths";
    });
    systems = [ "cl-paths" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-paths-ttf = (build-asdf-system {
    pname = "cl-paths-ttf";
    version = "20180228-git";
    asds = [ "cl-paths-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-paths-ttf";
      asd = "cl-paths-ttf";
    });
    systems = [ "cl-paths-ttf" ];
    lispLibs = [ (getAttr "cl-paths" self) (getAttr "zpb-ttf" self) ];
    meta = {};
  });
  cl-pattern = (build-asdf-system {
    pname = "cl-pattern";
    version = "20140713-git";
    asds = [ "cl-pattern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pattern/2014-07-13/cl-pattern-20140713-git.tgz";
      sha256 = "0kc1yynn1ysa7bcaazhi1pq8l3hj3jq6p835kh5di7g1imrfkrny";
      system = "cl-pattern";
      asd = "cl-pattern";
    });
    systems = [ "cl-pattern" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-annot" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) ];
    meta = {};
  });
  cl-pattern-benchmark = (build-asdf-system {
    pname = "cl-pattern-benchmark";
    version = "20140713-git";
    asds = [ "cl-pattern-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pattern/2014-07-13/cl-pattern-20140713-git.tgz";
      sha256 = "0kc1yynn1ysa7bcaazhi1pq8l3hj3jq6p835kh5di7g1imrfkrny";
      system = "cl-pattern-benchmark";
      asd = "cl-pattern-benchmark";
    });
    systems = [ "cl-pattern-benchmark" ];
    lispLibs = [ (getAttr "cl-pattern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-patterns = (build-asdf-system {
    pname = "cl-patterns";
    version = "20230618-git";
    asds = [ "cl-patterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-patterns/2023-06-18/cl-patterns-20230618-git.tgz";
      sha256 = "1vra1wbflwzm4d9b1b3id4wk5jhqgi6cypgjkghsj0yw4rkccvhc";
      system = "cl-patterns";
      asd = "cl-patterns";
    });
    systems = [ "cl-patterns" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "dissect" self) (getAttr "local-time" self) (getAttr "mutility" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-paymill = (build-asdf-system {
    pname = "cl-paymill";
    version = "20131111-git";
    asds = [ "cl-paymill" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-paymill/2013-11-11/cl-paymill-20131111-git.tgz";
      sha256 = "1dhddmw7gxfxbv1vfqi6nzyh8m5n3b160ch6ianf5sn6apmi92nw";
      system = "cl-paymill";
      asd = "cl-paymill";
    });
    systems = [ "cl-paymill" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "drakma" self) (getAttr "st-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-paypal = (build-asdf-system {
    pname = "cl-paypal";
    version = "20101006-git";
    asds = [ "cl-paypal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-paypal/2010-10-06/cl-paypal-20101006-git.tgz";
      sha256 = "0cc6zv17klgiyj1mbbrkbvajkr6dwsjv3iilh57vhdqd01lrhnb2";
      system = "cl-paypal";
      asd = "cl-paypal";
    });
    systems = [ "cl-paypal" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pcg = (build-asdf-system {
    pname = "cl-pcg";
    version = "20201016-hg";
    asds = [ "cl-pcg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pcg/2020-10-16/cl-pcg-20201016-hg.tgz";
      sha256 = "1w2b2y5fgjc6z8akvlmwasj90dnjv55nvb8pghq4xpv43hfy73mp";
      system = "cl-pcg";
      asd = "cl-pcg";
    });
    systems = [ "cl-pcg" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pcg_dot_test = (build-asdf-system {
    pname = "cl-pcg.test";
    version = "20201016-hg";
    asds = [ "cl-pcg.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pcg/2020-10-16/cl-pcg-20201016-hg.tgz";
      sha256 = "1w2b2y5fgjc6z8akvlmwasj90dnjv55nvb8pghq4xpv43hfy73mp";
      system = "cl-pcg.test";
      asd = "cl-pcg.test";
    });
    systems = [ "cl-pcg.test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "cl-pcg" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pdf = (build-asdf-system {
    pname = "cl-pdf";
    version = "20230214-git";
    asds = [ "cl-pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pdf/2023-02-14/cl-pdf-20230214-git.tgz";
      sha256 = "0j7hbqv6yzrgx0inqinpw8h22728l53ccciw6iymzz4g92j9fzlq";
      system = "cl-pdf";
      asd = "cl-pdf";
    });
    systems = [ "cl-pdf" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "zpb-ttf" self) ];
    meta = {};
  });
  cl-pdf-doc = (build-asdf-system {
    pname = "cl-pdf-doc";
    version = "20210531-git";
    asds = [ "cl-pdf-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "cl-pdf-doc";
      asd = "cl-pdf-doc";
    });
    systems = [ "cl-pdf-doc" ];
    lispLibs = [ (getAttr "cl-pdf" self) (getAttr "cl-typesetting" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pdf-parser = (build-asdf-system {
    pname = "cl-pdf-parser";
    version = "20230214-git";
    asds = [ "cl-pdf-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pdf/2023-02-14/cl-pdf-20230214-git.tgz";
      sha256 = "0j7hbqv6yzrgx0inqinpw8h22728l53ccciw6iymzz4g92j9fzlq";
      system = "cl-pdf-parser";
      asd = "cl-pdf-parser";
    });
    systems = [ "cl-pdf-parser" ];
    lispLibs = [ (getAttr "cl-pdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-performance-tuning-helper = (build-asdf-system {
    pname = "cl-performance-tuning-helper";
    version = "20130615-git";
    asds = [ "cl-performance-tuning-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-performance-tuning-helper/2013-06-15/cl-performance-tuning-helper-20130615-git.tgz";
      sha256 = "1j0k319il271grm6hjqq2bazp5l105lazayqsmpsy8lsy4lmy0c3";
      system = "cl-performance-tuning-helper";
      asd = "cl-performance-tuning-helper";
    });
    systems = [ "cl-performance-tuning-helper" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-performance-tuning-helper-test = (build-asdf-system {
    pname = "cl-performance-tuning-helper-test";
    version = "20130615-git";
    asds = [ "cl-performance-tuning-helper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-performance-tuning-helper/2013-06-15/cl-performance-tuning-helper-20130615-git.tgz";
      sha256 = "1j0k319il271grm6hjqq2bazp5l105lazayqsmpsy8lsy4lmy0c3";
      system = "cl-performance-tuning-helper-test";
      asd = "cl-performance-tuning-helper-test";
    });
    systems = [ "cl-performance-tuning-helper-test" ];
    lispLibs = [ (getAttr "cl-performance-tuning-helper" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-permutation = (build-asdf-system {
    pname = "cl-permutation";
    version = "20211209-git";
    asds = [ "cl-permutation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation";
      asd = "cl-permutation";
    });
    systems = [ "cl-permutation" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-fft" self) (getAttr "cl-algebraic-data-type" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-permutation-examples = (build-asdf-system {
    pname = "cl-permutation-examples";
    version = "20211209-git";
    asds = [ "cl-permutation-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation-examples";
      asd = "cl-permutation-examples";
    });
    systems = [ "cl-permutation-examples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-permutation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-permutation-tests = (build-asdf-system {
    pname = "cl-permutation-tests";
    version = "20211209-git";
    asds = [ "cl-permutation-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-permutation/2021-12-09/cl-permutation-20211209-git.tgz";
      sha256 = "0i932g0k50y24hxizni6zfya4kcw77yk3b0llivm9g50s7fxj9dk";
      system = "cl-permutation-tests";
      asd = "cl-permutation-tests";
    });
    systems = [ "cl-permutation-tests" ];
    lispLibs = [ (getAttr "cl-permutation" self) (getAttr "cl-permutation-examples" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-photo = (build-asdf-system {
    pname = "cl-photo";
    version = "20150923-git";
    asds = [ "cl-photo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-photo/2015-09-23/cl-photo-20150923-git.tgz";
      sha256 = "03rzsi1rqvlnw43z7kh5sy1h8gjxc5n0cfryfkkqnhym9q9186mj";
      system = "cl-photo";
      asd = "cl-photo";
    });
    systems = [ "cl-photo" ];
    lispLibs = [ (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-photo-tests = (build-asdf-system {
    pname = "cl-photo-tests";
    version = "20150923-git";
    asds = [ "cl-photo-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-photo/2015-09-23/cl-photo-20150923-git.tgz";
      sha256 = "03rzsi1rqvlnw43z7kh5sy1h8gjxc5n0cfryfkkqnhym9q9186mj";
      system = "cl-photo-tests";
      asd = "cl-photo-tests";
    });
    systems = [ "cl-photo-tests" ];
    lispLibs = [ (getAttr "cl-photo" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-plplot = (build-asdf-system {
    pname = "cl-plplot";
    version = "20180228-git";
    asds = [ "cl-plplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plplot/2018-02-28/cl-plplot-20180228-git.tgz";
      sha256 = "0hfgq47ga2r764jfc3ywaz5ynnvp701fjhbw0s4j1mrw4gaf6y6w";
      system = "cl-plplot";
      asd = "cl-plplot";
    });
    systems = [ "cl-plplot" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-plumbing = (build-asdf-system {
    pname = "cl-plumbing";
    version = "20181018-git";
    asds = [ "cl-plumbing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plumbing/2018-10-18/cl-plumbing-20181018-git.tgz";
      sha256 = "0bc4qqj0c4hghwx8jm3vg422c3i8livv3vvzfzi0gw79khaqdiyr";
      system = "cl-plumbing";
      asd = "cl-plumbing";
    });
    systems = [ "cl-plumbing" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "iterate" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-plumbing-test = (build-asdf-system {
    pname = "cl-plumbing-test";
    version = "20181018-git";
    asds = [ "cl-plumbing-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plumbing/2018-10-18/cl-plumbing-20181018-git.tgz";
      sha256 = "0bc4qqj0c4hghwx8jm3vg422c3i8livv3vvzfzi0gw79khaqdiyr";
      system = "cl-plumbing-test";
      asd = "cl-plumbing-test";
    });
    systems = [ "cl-plumbing-test" ];
    lispLibs = [ (getAttr "cl-plumbing" self) (getAttr "iterate" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-plus-c = (build-asdf-system {
    pname = "cl-plus-c";
    version = "20221106-git";
    asds = [ "cl-plus-c" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-autowrap/2022-11-06/cl-autowrap-20221106-git.tgz";
      sha256 = "0pbabpmg61bflx6kxllqvhbvxqwjsik3nnynqdhgzzkgzk6jlixv";
      system = "cl-plus-c";
      asd = "cl-plus-c";
    });
    systems = [ "cl-plus-c" ];
    lispLibs = [ (getAttr "cl-autowrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ply = (build-asdf-system {
    pname = "cl-ply";
    version = "20150505-git";
    asds = [ "cl-ply" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ply/2015-05-05/cl-ply-20150505-git.tgz";
      sha256 = "1va3il5ahvziwm6i3f2zy3vchv0qkh1l7jci7gnfam43gf88fl12";
      system = "cl-ply";
      asd = "cl-ply";
    });
    systems = [ "cl-ply" ];
    lispLibs = [ (getAttr "cl-pattern" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ply-test = (build-asdf-system {
    pname = "cl-ply-test";
    version = "20150505-git";
    asds = [ "cl-ply-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ply/2015-05-05/cl-ply-20150505-git.tgz";
      sha256 = "1va3il5ahvziwm6i3f2zy3vchv0qkh1l7jci7gnfam43gf88fl12";
      system = "cl-ply-test";
      asd = "cl-ply-test";
    });
    systems = [ "cl-ply-test" ];
    lispLibs = [ (getAttr "cl-ply" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-poker-eval = (build-asdf-system {
    pname = "cl-poker-eval";
    version = "20150804-git";
    asds = [ "cl-poker-eval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-poker-eval/2015-08-04/cl-poker-eval-20150804-git.tgz";
      sha256 = "1w4dsr4j7r3n7p0jbp8ccwwk83wcjjiz1rhhfrqpsd9v263v7kw8";
      system = "cl-poker-eval";
      asd = "cl-poker-eval";
    });
    systems = [ "cl-poker-eval" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pop = (build-asdf-system {
    pname = "cl-pop";
    version = "20110418-http";
    asds = [ "cl-pop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pop/2011-04-18/cl-pop-20110418-http.tgz";
      sha256 = "1g47p9w2pzf7glx92cz859di9pz454xpaq97p76lcvyilxk6q819";
      system = "cl-pop";
      asd = "cl-pop";
    });
    systems = [ "cl-pop" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-portaudio = (build-asdf-system {
    pname = "cl-portaudio";
    version = "20201220-git";
    asds = [ "cl-portaudio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portaudio/2020-12-20/cl-portaudio-20201220-git.tgz";
      sha256 = "177c6bgf30caj5qpzfnzhbamax7c5zm2p4911mw7fay94vjs7zyb";
      system = "cl-portaudio";
      asd = "cl-portaudio";
    });
    systems = [ "cl-portaudio" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "ffa" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-postgres = (build-asdf-system {
    pname = "cl-postgres";
    version = "20230214-git";
    asds = [ "cl-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2023-02-14/postmodern-20230214-git.tgz";
      sha256 = "19pk3jinlv70arcz6073lglg4mf972h03rxynn4z9qabqc2gk9kw";
      system = "cl-postgres";
      asd = "cl-postgres";
    });
    systems = [ "cl-postgres" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "ironclad" self) (getAttr "md5" self) (getAttr "split-sequence" self) (getAttr "uax-15" self) ];
    meta = {};
  });
  cl-postgres_plus_local-time = (build-asdf-system {
    pname = "cl-postgres+local-time";
    version = "20230214-git";
    asds = [ "cl-postgres+local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time/2023-02-14/local-time-20230214-git.tgz";
      sha256 = "1dbp33zmkqzzshmf5k76pxqgli285wvy0p0dhcz816fdikpwn2jg";
      system = "cl-postgres+local-time";
      asd = "cl-postgres+local-time";
    });
    systems = [ "cl-postgres+local-time" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "local-time" self) ];
    meta = {};
  });
  cl-postgres_plus_local-time-duration = (build-asdf-system {
    pname = "cl-postgres+local-time-duration";
    version = "20180430-git";
    asds = [ "cl-postgres+local-time-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time-duration/2018-04-30/local-time-duration-20180430-git.tgz";
      sha256 = "0f13mg18lv31lclz9jvqyj8d85p1jj1366nlld8m3dxnnwsbbkd6";
      system = "cl-postgres+local-time-duration";
      asd = "cl-postgres+local-time-duration";
    });
    systems = [ "cl-postgres+local-time-duration" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "local-time-duration" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-postgres-datetime = (build-asdf-system {
    pname = "cl-postgres-datetime";
    version = "20190521-git";
    asds = [ "cl-postgres-datetime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-postgres-datetime/2019-05-21/cl-postgres-datetime-20190521-git.tgz";
      sha256 = "1vwv5j1i968927j070bagqx9i114a8phmx7k9ankj9j5zg5dj0l3";
      system = "cl-postgres-datetime";
      asd = "cl-postgres-datetime";
    });
    systems = [ "cl-postgres-datetime" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "local-time" self) (getAttr "simple-date" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-postgres-plus-uuid = (build-asdf-system {
    pname = "cl-postgres-plus-uuid";
    version = "20181018-git";
    asds = [ "cl-postgres-plus-uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-postgres-plus-uuid/2018-10-18/cl-postgres-plus-uuid-20181018-git.tgz";
      sha256 = "1iw11v67gpwgpa5dw3d7chjmkc4d7sdwrqvnx0vg0m2qf4j7azmi";
      system = "cl-postgres-plus-uuid";
      asd = "cl-postgres-plus-uuid";
    });
    systems = [ "cl-postgres-plus-uuid" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ppcre = (build-asdf-system {
    pname = "cl-ppcre";
    version = "20230618-git";
    asds = [ "cl-ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2023-06-18/cl-ppcre-20230618-git.tgz";
      sha256 = "1l9q5bz9i8n241fcjfj5a769y0n4iybkv4zjhkf7dap5dmjyxwjr";
      system = "cl-ppcre";
      asd = "cl-ppcre";
    });
    systems = [ "cl-ppcre" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-ppcre-template = (build-asdf-system {
    pname = "cl-ppcre-template";
    version = "20230214-git";
    asds = [ "cl-ppcre-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2023-02-14/cl-unification-20230214-git.tgz";
      sha256 = "1ngb74ngn9j6pxkp0nddgnq32jpkr2gvnb71swvziqic1d93194l";
      system = "cl-ppcre-template";
      asd = "cl-ppcre-template";
    });
    systems = [ "cl-ppcre-template" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-unification" self) ];
    meta = {};
  });
  cl-ppcre-unicode = (build-asdf-system {
    pname = "cl-ppcre-unicode";
    version = "20230618-git";
    asds = [ "cl-ppcre-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ppcre/2023-06-18/cl-ppcre-20230618-git.tgz";
      sha256 = "1l9q5bz9i8n241fcjfj5a769y0n4iybkv4zjhkf7dap5dmjyxwjr";
      system = "cl-ppcre-unicode";
      asd = "cl-ppcre-unicode";
    });
    systems = [ "cl-ppcre-unicode" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-unicode" self) ];
    meta = {};
  });
  cl-prevalence = (build-asdf-system {
    pname = "cl-prevalence";
    version = "20230214-git";
    asds = [ "cl-prevalence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prevalence/2023-02-14/cl-prevalence-20230214-git.tgz";
      sha256 = "1lb957ivshgp56phqhvhsmnc4r55x5shvi3mpsan2xsm4hvqspp0";
      system = "cl-prevalence";
      asd = "cl-prevalence";
    });
    systems = [ "cl-prevalence" ];
    lispLibs = [ (getAttr "moptilities" self) (getAttr "s-sysdeps" self) (getAttr "s-xml" self) ];
    meta = {};
  });
  cl-prevalence-test = (build-asdf-system {
    pname = "cl-prevalence-test";
    version = "20230214-git";
    asds = [ "cl-prevalence-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prevalence/2023-02-14/cl-prevalence-20230214-git.tgz";
      sha256 = "1lb957ivshgp56phqhvhsmnc4r55x5shvi3mpsan2xsm4hvqspp0";
      system = "cl-prevalence-test";
      asd = "cl-prevalence-test";
    });
    systems = [ "cl-prevalence-test" ];
    lispLibs = [ (getAttr "cl-prevalence" self) (getAttr "find-port" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-primality = (build-asdf-system {
    pname = "cl-primality";
    version = "20150608-git";
    asds = [ "cl-primality" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-primality/2015-06-08/cl-primality-20150608-git.tgz";
      sha256 = "1hvbsd5x7yrrrh7jjq0p8ign3ppzzpacmmz7nps60wgk38q1b618";
      system = "cl-primality";
      asd = "cl-primality";
    });
    systems = [ "cl-primality" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-primality-test = (build-asdf-system {
    pname = "cl-primality-test";
    version = "20150608-git";
    asds = [ "cl-primality-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-primality/2015-06-08/cl-primality-20150608-git.tgz";
      sha256 = "1hvbsd5x7yrrrh7jjq0p8ign3ppzzpacmmz7nps60wgk38q1b618";
      system = "cl-primality-test";
      asd = "cl-primality-test";
    });
    systems = [ "cl-primality-test" ];
    lispLibs = [ (getAttr "cl-primality" self) (getAttr "iterate" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prime-maker = (build-asdf-system {
    pname = "cl-prime-maker";
    version = "20150302-git";
    asds = [ "cl-prime-maker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prime-maker/2015-03-02/cl-prime-maker-20150302-git.tgz";
      sha256 = "0hs95zs990aiwspss2dzmjvl18ipvlkx3p9cgmcncqxhgkizds9s";
      system = "cl-prime-maker";
      asd = "cl-prime-maker";
    });
    systems = [ "cl-prime-maker" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-progress-bar = (build-asdf-system {
    pname = "cl-progress-bar";
    version = "20211209-git";
    asds = [ "cl-progress-bar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-progress-bar/2021-12-09/cl-progress-bar-20211209-git.tgz";
      sha256 = "1y4kg4qb4bxkqnc84mczx5fhqlr6qbagxwsn93xrilv8lqg8ymiv";
      system = "cl-progress-bar";
      asd = "cl-progress-bar";
    });
    systems = [ "cl-progress-bar" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "documentation-utils-extensions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-project = (build-asdf-system {
    pname = "cl-project";
    version = "20200715-git";
    asds = [ "cl-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-project/2020-07-15/cl-project-20200715-git.tgz";
      sha256 = "1rmh6s1ncv8s2yrr14ja9wisgg745sq6xibqwb341ikdicxdp26y";
      system = "cl-project";
      asd = "cl-project";
    });
    systems = [ "cl-project" ];
    lispLibs = [ (getAttr "cl-emb" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-project-test = (build-asdf-system {
    pname = "cl-project-test";
    version = "20200715-git";
    asds = [ "cl-project-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-project/2020-07-15/cl-project-20200715-git.tgz";
      sha256 = "1rmh6s1ncv8s2yrr14ja9wisgg745sq6xibqwb341ikdicxdp26y";
      system = "cl-project-test";
      asd = "cl-project-test";
    });
    systems = [ "cl-project-test" ];
    lispLibs = [ (getAttr "caveman2" self) (getAttr "cl-project" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2 = (build-asdf-system {
    pname = "cl-prolog2";
    version = "20211209-git";
    asds = [ "cl-prolog2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2";
      asd = "cl-prolog2";
    });
    systems = [ "cl-prolog2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "external-program" self) (getAttr "trivia" self) (getAttr "trivia_dot_quasiquote" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_bprolog = (build-asdf-system {
    pname = "cl-prolog2.bprolog";
    version = "20211209-git";
    asds = [ "cl-prolog2.bprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.bprolog";
      asd = "cl-prolog2.bprolog";
    });
    systems = [ "cl-prolog2.bprolog" ];
    lispLibs = [ (getAttr "cl-prolog2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_bprolog_dot_test = (build-asdf-system {
    pname = "cl-prolog2.bprolog.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.bprolog.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.bprolog.test";
      asd = "cl-prolog2.bprolog.test";
    });
    systems = [ "cl-prolog2.bprolog.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_bprolog" self) (getAttr "cl-prolog2_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_gprolog = (build-asdf-system {
    pname = "cl-prolog2.gprolog";
    version = "20211209-git";
    asds = [ "cl-prolog2.gprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.gprolog";
      asd = "cl-prolog2.gprolog";
    });
    systems = [ "cl-prolog2.gprolog" ];
    lispLibs = [ (getAttr "cl-prolog2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_gprolog_dot_test = (build-asdf-system {
    pname = "cl-prolog2.gprolog.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.gprolog.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.gprolog.test";
      asd = "cl-prolog2.gprolog.test";
    });
    systems = [ "cl-prolog2.gprolog.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_gprolog" self) (getAttr "cl-prolog2_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_swi = (build-asdf-system {
    pname = "cl-prolog2.swi";
    version = "20211209-git";
    asds = [ "cl-prolog2.swi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.swi";
      asd = "cl-prolog2.swi";
    });
    systems = [ "cl-prolog2.swi" ];
    lispLibs = [ (getAttr "cl-prolog2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_swi_dot_test = (build-asdf-system {
    pname = "cl-prolog2.swi.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.swi.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.swi.test";
      asd = "cl-prolog2.swi.test";
    });
    systems = [ "cl-prolog2.swi.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_swi" self) (getAttr "cl-prolog2_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_test = (build-asdf-system {
    pname = "cl-prolog2.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.test";
      asd = "cl-prolog2.test";
    });
    systems = [ "cl-prolog2.test" ];
    lispLibs = [ (getAttr "cl-prolog2" self) (getAttr "fiveam" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_xsb = (build-asdf-system {
    pname = "cl-prolog2.xsb";
    version = "20211209-git";
    asds = [ "cl-prolog2.xsb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.xsb";
      asd = "cl-prolog2.xsb";
    });
    systems = [ "cl-prolog2.xsb" ];
    lispLibs = [ (getAttr "cl-prolog2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_xsb_dot_test = (build-asdf-system {
    pname = "cl-prolog2.xsb.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.xsb.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.xsb.test";
      asd = "cl-prolog2.xsb.test";
    });
    systems = [ "cl-prolog2.xsb.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_test" self) (getAttr "cl-prolog2_dot_xsb" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_yap = (build-asdf-system {
    pname = "cl-prolog2.yap";
    version = "20211209-git";
    asds = [ "cl-prolog2.yap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.yap";
      asd = "cl-prolog2.yap";
    });
    systems = [ "cl-prolog2.yap" ];
    lispLibs = [ (getAttr "cl-prolog2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-prolog2_dot_yap_dot_test = (build-asdf-system {
    pname = "cl-prolog2.yap.test";
    version = "20211209-git";
    asds = [ "cl-prolog2.yap.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-prolog2/2021-12-09/cl-prolog2-20211209-git.tgz";
      sha256 = "15xa1i2r72ll6zfhq6gkv0h36kifqjvbsmnycd145vgd0dvh5pgg";
      system = "cl-prolog2.yap.test";
      asd = "cl-prolog2.yap.test";
    });
    systems = [ "cl-prolog2.yap.test" ];
    lispLibs = [ (getAttr "cl-prolog2_dot_test" self) (getAttr "cl-prolog2_dot_yap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-protobufs_dot_asdf = (build-asdf-system {
    pname = "cl-protobufs.asdf";
    version = "20230618-git";
    asds = [ "cl-protobufs.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-protobufs/2023-06-18/cl-protobufs-20230618-git.tgz";
      sha256 = "13rva5cb2w0a74z28w68pm9gfjcg54lnvifss4rwj2n5zx549c9r";
      system = "cl-protobufs.asdf";
      asd = "cl-protobufs.asdf";
    });
    systems = [ "cl-protobufs.asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pslib = (build-asdf-system {
    pname = "cl-pslib";
    version = "20201016-git";
    asds = [ "cl-pslib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pslib/2020-10-16/cl-pslib-20201016-git.tgz";
      sha256 = "1l3ig57lrqdbm3kd9kbch3y3az8kryc9bqn896vz3a3w3rnwcv5a";
      system = "cl-pslib";
      asd = "cl-pslib";
    });
    systems = [ "cl-pslib" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-colors2" self) (getAttr "cl-ppcre-unicode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-pslib-barcode = (build-asdf-system {
    pname = "cl-pslib-barcode";
    version = "20200218-git";
    asds = [ "cl-pslib-barcode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pslib-barcode/2020-02-18/cl-pslib-barcode-20200218-git.tgz";
      sha256 = "10hmvjx03m54xyrjdw92kfpcvch0by0c8lwj899rbgxwfjsbwc49";
      system = "cl-pslib-barcode";
      asd = "cl-pslib-barcode";
    });
    systems = [ "cl-pslib-barcode" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-colors2" self) (getAttr "cl-ppcre-unicode" self) (getAttr "cl-pslib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-punch = (build-asdf-system {
    pname = "cl-punch";
    version = "20190107-git";
    asds = [ "cl-punch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-punch/2019-01-07/cl-punch-20190107-git.tgz";
      sha256 = "1sjgwn6c77n8pgs0rrw70xfl18rps6a0dlf2chfsbgk8shz6qyl2";
      system = "cl-punch";
      asd = "cl-punch";
    });
    systems = [ "cl-punch" ];
    lispLibs = [ (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-punch-test = (build-asdf-system {
    pname = "cl-punch-test";
    version = "20190107-git";
    asds = [ "cl-punch-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-punch/2019-01-07/cl-punch-20190107-git.tgz";
      sha256 = "1sjgwn6c77n8pgs0rrw70xfl18rps6a0dlf2chfsbgk8shz6qyl2";
      system = "cl-punch-test";
      asd = "cl-punch-test";
    });
    systems = [ "cl-punch-test" ];
    lispLibs = [ (getAttr "cl-punch" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-qprint = (build-asdf-system {
    pname = "cl-qprint";
    version = "20150804-git";
    asds = [ "cl-qprint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qprint/2015-08-04/cl-qprint-20150804-git.tgz";
      sha256 = "099h0rrdzxnlmn8avi72mg2dl0kccp7w01b2p9nwyy4b8yr32cir";
      system = "cl-qprint";
      asd = "cl-qprint";
    });
    systems = [ "cl-qprint" ];
    lispLibs = [ (getAttr "flexi-streams" self) ];
    meta = {};
  });
  cl-qrencode = (build-asdf-system {
    pname = "cl-qrencode";
    version = "20191007-git";
    asds = [ "cl-qrencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qrencode/2019-10-07/cl-qrencode-20191007-git.tgz";
      sha256 = "1l5k131dchbf6cj8a8xqa731790p01p3qa1kdy2wa9dawy3ymkxr";
      system = "cl-qrencode";
      asd = "cl-qrencode";
    });
    systems = [ "cl-qrencode" ];
    lispLibs = [ (getAttr "zpng" self) ];
    meta = {};
  });
  cl-qrencode-test = (build-asdf-system {
    pname = "cl-qrencode-test";
    version = "20191007-git";
    asds = [ "cl-qrencode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-qrencode/2019-10-07/cl-qrencode-20191007-git.tgz";
      sha256 = "1l5k131dchbf6cj8a8xqa731790p01p3qa1kdy2wa9dawy3ymkxr";
      system = "cl-qrencode-test";
      asd = "cl-qrencode-test";
    });
    systems = [ "cl-qrencode-test" ];
    lispLibs = [ (getAttr "cl-qrencode" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-quickcheck = (build-asdf-system {
    pname = "cl-quickcheck";
    version = "20200610-git";
    asds = [ "cl-quickcheck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-quickcheck/2020-06-10/cl-quickcheck-20200610-git.tgz";
      sha256 = "0cfyxbdhklvdk3qdzyxxaq9q6cxnsvqjfi86nay1vc7h6ziysb60";
      system = "cl-quickcheck";
      asd = "cl-quickcheck";
    });
    systems = [ "cl-quickcheck" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-quil = (build-asdf-system {
    pname = "cl-quil";
    version = "v1.26.0";
    asds = [ "cl-quil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil";
      asd = "cl-quil";
    });
    systems = [ "cl-quil" ];
    lispLibs = [ (getAttr "abstract-classes" self) (getAttr "alexa" self) (getAttr "alexandria" self) (getAttr "cl-algebraic-data-type" self) (getAttr "cl-grnm" self) (getAttr "cl-heap" self) (getAttr "cl-permutation" self) (getAttr "closer-mop" self) (getAttr "flexi-streams" self) (getAttr "global-vars" self) (getAttr "magicl" self) (getAttr "optima" self) (getAttr "parse-float" self) (getAttr "queues_dot_priority-queue" self) (getAttr "salza2" self) (getAttr "singleton-classes" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) (getAttr "yacc" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-quil-benchmarking = (build-asdf-system {
    pname = "cl-quil-benchmarking";
    version = "v1.26.0";
    asds = [ "cl-quil-benchmarking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil-benchmarking";
      asd = "cl-quil-benchmarking";
    });
    systems = [ "cl-quil-benchmarking" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-quil" self) (getAttr "metering" self) (getAttr "qvm-app" self) (getAttr "trivial-benchmark" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-quil-tests = (build-asdf-system {
    pname = "cl-quil-tests";
    version = "v1.26.0";
    asds = [ "cl-quil-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "cl-quil-tests";
      asd = "cl-quil-tests";
    });
    systems = [ "cl-quil-tests" ];
    lispLibs = [ (getAttr "alexa" self) (getAttr "alexandria" self) (getAttr "cl-permutation" self) (getAttr "cl-ppcre" self) (getAttr "cl-quil" self) (getAttr "fiasco" self) (getAttr "magicl" self) (getAttr "qvm" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rabbit = (build-asdf-system {
    pname = "cl-rabbit";
    version = "20210411-git";
    asds = [ "cl-rabbit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rabbit/2021-04-11/cl-rabbit-20210411-git.tgz";
      sha256 = "1q1mhqxqvxbr6ak7j0ym6mjhhq6r0pqk1l7az9hfajmqmw3xfija";
      system = "cl-rabbit";
      asd = "cl-rabbit";
    });
    systems = [ "cl-rabbit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cffi-libffi" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rabbit-tests = (build-asdf-system {
    pname = "cl-rabbit-tests";
    version = "20210411-git";
    asds = [ "cl-rabbit-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rabbit/2021-04-11/cl-rabbit-20210411-git.tgz";
      sha256 = "1q1mhqxqvxbr6ak7j0ym6mjhhq6r0pqk1l7az9hfajmqmw3xfija";
      system = "cl-rabbit-tests";
      asd = "cl-rabbit-tests";
    });
    systems = [ "cl-rabbit-tests" ];
    lispLibs = [ (getAttr "cl-rabbit" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-randist = (build-asdf-system {
    pname = "cl-randist";
    version = "20221106-git";
    asds = [ "cl-randist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-randist/2022-11-06/cl-randist-20221106-git.tgz";
      sha256 = "1r0d76n5zjqg5fb2ypqx5i1wg4hsg5g0c126ylqb28wdaf2yjz5a";
      system = "cl-randist";
      asd = "cl-randist";
    });
    systems = [ "cl-randist" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-random-forest = (build-asdf-system {
    pname = "cl-random-forest";
    version = "20221106-git";
    asds = [ "cl-random-forest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random-forest/2022-11-06/cl-random-forest-20221106-git.tgz";
      sha256 = "0jn5f3s1zvjql35c4m67lqc0vjr7sm7kzf8w4jfbfabcnxf3y6jx";
      system = "cl-random-forest";
      asd = "cl-random-forest";
    });
    systems = [ "cl-random-forest" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-libsvm-format" self) (getAttr "cl-online-learning" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-random-forest-test = (build-asdf-system {
    pname = "cl-random-forest-test";
    version = "20221106-git";
    asds = [ "cl-random-forest-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-random-forest/2022-11-06/cl-random-forest-20221106-git.tgz";
      sha256 = "0jn5f3s1zvjql35c4m67lqc0vjr7sm7kzf8w4jfbfabcnxf3y6jx";
      system = "cl-random-forest-test";
      asd = "cl-random-forest-test";
    });
    systems = [ "cl-random-forest-test" ];
    lispLibs = [ (getAttr "cl-random-forest" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rdfxml = (build-asdf-system {
    pname = "cl-rdfxml";
    version = "20140713-git";
    asds = [ "cl-rdfxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rdfxml/2014-07-13/cl-rdfxml-20140713-git.tgz";
      sha256 = "09v76qg6l3y1llapnkfqrfgib67h7lpkzrdmfimwk49bi80iii8v";
      system = "cl-rdfxml";
      asd = "cl-rdfxml";
    });
    systems = [ "cl-rdfxml" ];
    lispLibs = [ (getAttr "cxml" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rdkafka = (build-asdf-system {
    pname = "cl-rdkafka";
    version = "20230214-git";
    asds = [ "cl-rdkafka" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rdkafka/2023-02-14/cl-rdkafka-20230214-git.tgz";
      sha256 = "10y56avak66k2la9bmfzrni01wybi86avxjh64hz57b351bf2s55";
      system = "cl-rdkafka";
      asd = "cl-rdkafka";
    });
    systems = [ "cl-rdkafka" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "lparallel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-readline = (build-asdf-system {
    pname = "cl-readline";
    version = "20220707-git";
    asds = [ "cl-readline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-readline/2022-07-07/cl-readline-20220707-git.tgz";
      sha256 = "0bxvfd7hmj9yvcar3f3kd1cxxx4pqzri6sa28bp9w9bm25g4ddhf";
      system = "cl-readline";
      asd = "cl-readline";
    });
    systems = [ "cl-readline" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) ];
    meta = {};
  });
  cl-recaptcha = (build-asdf-system {
    pname = "cl-recaptcha";
    version = "20150608-git";
    asds = [ "cl-recaptcha" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-recaptcha/2015-06-08/cl-recaptcha-20150608-git.tgz";
      sha256 = "09qdmzbhc5hikay31mbsfd7dps72rm4gcdbbi0b6gkb6qbia6m71";
      system = "cl-recaptcha";
      asd = "cl-recaptcha";
    });
    systems = [ "cl-recaptcha" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-redis = (build-asdf-system {
    pname = "cl-redis";
    version = "20200925-git";
    asds = [ "cl-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-redis/2020-09-25/cl-redis-20200925-git.tgz";
      sha256 = "0x5ahxb5cx37biyn3cjycshhm1rr9p5cf1a9l5hd1n1xjxm2f8vi";
      system = "cl-redis";
      asd = "cl-redis";
    });
    systems = [ "cl-redis" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "rutils" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-redis-test = (build-asdf-system {
    pname = "cl-redis-test";
    version = "20200925-git";
    asds = [ "cl-redis-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-redis/2020-09-25/cl-redis-20200925-git.tgz";
      sha256 = "0x5ahxb5cx37biyn3cjycshhm1rr9p5cf1a9l5hd1n1xjxm2f8vi";
      system = "cl-redis-test";
      asd = "cl-redis";
    });
    systems = [ "cl-redis-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-redis" self) (getAttr "flexi-streams" self) (getAttr "should-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-reexport = (build-asdf-system {
    pname = "cl-reexport";
    version = "20210228-git";
    asds = [ "cl-reexport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-reexport/2021-02-28/cl-reexport-20210228-git.tgz";
      sha256 = "02la6z3ickhmh2m87ymm2ijh9nkn7l6slskj99l8a1rhps394qqc";
      system = "cl-reexport";
      asd = "cl-reexport";
    });
    systems = [ "cl-reexport" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  cl-reexport-test = (build-asdf-system {
    pname = "cl-reexport-test";
    version = "20210228-git";
    asds = [ "cl-reexport-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-reexport/2021-02-28/cl-reexport-20210228-git.tgz";
      sha256 = "02la6z3ickhmh2m87ymm2ijh9nkn7l6slskj99l8a1rhps394qqc";
      system = "cl-reexport-test";
      asd = "cl-reexport-test";
    });
    systems = [ "cl-reexport-test" ];
    lispLibs = [ (getAttr "cl-reexport" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-renderdoc = (build-asdf-system {
    pname = "cl-renderdoc";
    version = "20200925-git";
    asds = [ "cl-renderdoc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-renderdoc/2020-09-25/cl-renderdoc-20200925-git.tgz";
      sha256 = "0rrcp4y1f07x8h0ikvf5ncc3pbqj6vaciblab9qghmgdglnn7akx";
      system = "cl-renderdoc";
      asd = "cl-renderdoc";
    });
    systems = [ "cl-renderdoc" ];
    lispLibs = [ (getAttr "cl-autowrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-replica = (build-asdf-system {
    pname = "cl-replica";
    version = "20230618-git";
    asds = [ "cl-replica" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-replica/2023-06-18/cl-replica-20230618-git.tgz";
      sha256 = "06nywqz7il4dk79s3ga8115s5cr9bpz1fh8b7jms5wxlc1h5p0mn";
      system = "cl-replica";
      asd = "cl-replica";
    });
    systems = [ "cl-replica" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rethinkdb = (build-asdf-system {
    pname = "cl-rethinkdb";
    version = "20160825-git";
    asds = [ "cl-rethinkdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rethinkdb/2016-08-25/cl-rethinkdb-20160825-git.tgz";
      sha256 = "0sps1p203gn7i123w96pj5ggpncmkngkfdb6zfnm5yjq544sjjf7";
      system = "cl-rethinkdb";
      asd = "cl-rethinkdb";
    });
    systems = [ "cl-rethinkdb" ];
    lispLibs = [ (getAttr "blackbird" self) (getAttr "cl-async" self) (getAttr "cl-base64" self) (getAttr "cl-hash-util" self) (getAttr "cl-ppcre" self) (getAttr "event-glue" self) (getAttr "fast-io" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rethinkdb-test = (build-asdf-system {
    pname = "cl-rethinkdb-test";
    version = "20160825-git";
    asds = [ "cl-rethinkdb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rethinkdb/2016-08-25/cl-rethinkdb-20160825-git.tgz";
      sha256 = "0sps1p203gn7i123w96pj5ggpncmkngkfdb6zfnm5yjq544sjjf7";
      system = "cl-rethinkdb-test";
      asd = "cl-rethinkdb-test";
    });
    systems = [ "cl-rethinkdb-test" ];
    lispLibs = [ (getAttr "blackbird" self) (getAttr "cl-async" self) (getAttr "cl-ppcre" self) (getAttr "cl-rethinkdb" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rfc2047 = (build-asdf-system {
    pname = "cl-rfc2047";
    version = "20150804-git";
    asds = [ "cl-rfc2047" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc2047/2015-08-04/cl-rfc2047-20150804-git.tgz";
      sha256 = "1kh48p5i7lmv1hcdsddlcjavhai9gi54jndnbpm9r55a6ladi8gv";
      system = "cl-rfc2047";
      asd = "cl-rfc2047";
    });
    systems = [ "cl-rfc2047" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-base64" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rfc2047-test = (build-asdf-system {
    pname = "cl-rfc2047-test";
    version = "20150804-git";
    asds = [ "cl-rfc2047-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc2047/2015-08-04/cl-rfc2047-20150804-git.tgz";
      sha256 = "1kh48p5i7lmv1hcdsddlcjavhai9gi54jndnbpm9r55a6ladi8gv";
      system = "cl-rfc2047-test";
      asd = "cl-rfc2047-test";
    });
    systems = [ "cl-rfc2047-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-rfc2047" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rfc4251 = (build-asdf-system {
    pname = "cl-rfc4251";
    version = "20230214-git";
    asds = [ "cl-rfc4251" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc4251/2023-02-14/cl-rfc4251-20230214-git.tgz";
      sha256 = "0r3ji4l9d6ha6h01isjg4661w0q9f8hnm6sa24xzw8lwxpg2blm0";
      system = "cl-rfc4251";
      asd = "cl-rfc4251";
    });
    systems = [ "cl-rfc4251" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rfc4251_dot_test = (build-asdf-system {
    pname = "cl-rfc4251.test";
    version = "20230214-git";
    asds = [ "cl-rfc4251.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rfc4251/2023-02-14/cl-rfc4251-20230214-git.tgz";
      sha256 = "0r3ji4l9d6ha6h01isjg4661w0q9f8hnm6sa24xzw8lwxpg2blm0";
      system = "cl-rfc4251.test";
      asd = "cl-rfc4251.test";
    });
    systems = [ "cl-rfc4251.test" ];
    lispLibs = [ (getAttr "cl-rfc4251" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-riff = (build-asdf-system {
    pname = "cl-riff";
    version = "20220707-git";
    asds = [ "cl-riff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-riff/2022-07-07/cl-riff-20220707-git.tgz";
      sha256 = "0b2j6yw3xkv6611snn7cy56vmnjfgi58wyvfr9lx82xkakd9rw3z";
      system = "cl-riff";
      asd = "cl-riff";
    });
    systems = [ "cl-riff" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rlimit = (build-asdf-system {
    pname = "cl-rlimit";
    version = "20150608-git";
    asds = [ "cl-rlimit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rlimit/2015-06-08/cl-rlimit-20150608-git.tgz";
      sha256 = "19p02r380qhs76qlcb3jp4lm4nsnpy7zch01fdiwn7l7xgxkzxh0";
      system = "cl-rlimit";
      asd = "cl-rlimit";
    });
    systems = [ "cl-rlimit" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rmath = (build-asdf-system {
    pname = "cl-rmath";
    version = "20180328-git";
    asds = [ "cl-rmath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rmath/2018-03-28/cl-rmath-20180328-git.tgz";
      sha256 = "1ld8vbpy10paymx2hn0mcgd21i7cjhdrayln1jx0kayqxm12mmk4";
      system = "cl-rmath";
      asd = "cl-rmath";
    });
    systems = [ "cl-rmath" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-robdd = (build-asdf-system {
    pname = "cl-robdd";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd";
      asd = "cl-robdd";
    });
    systems = [ "cl-robdd" ];
    lispLibs = [ (getAttr "adjuvant" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-robdd-analysis = (build-asdf-system {
    pname = "cl-robdd-analysis";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-analysis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-analysis";
      asd = "cl-robdd-analysis";
    });
    systems = [ "cl-robdd-analysis" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "cl-fad" self) (getAttr "cl-robdd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-robdd-analysis-test = (build-asdf-system {
    pname = "cl-robdd-analysis-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-analysis-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-analysis-test";
      asd = "cl-robdd-analysis-test";
    });
    systems = [ "cl-robdd-analysis-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "cl-robdd-analysis" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-robdd-test = (build-asdf-system {
    pname = "cl-robdd-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "cl-robdd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "cl-robdd-test";
      asd = "cl-robdd-test";
    });
    systems = [ "cl-robdd-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "cl-fad" self) (getAttr "cl-robdd" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rrd = (build-asdf-system {
    pname = "cl-rrd";
    version = "20130128-git";
    asds = [ "cl-rrd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrd/2013-01-28/cl-rrd-20130128-git.tgz";
      sha256 = "0a7fs46q41qzi6k8q9lvxryn2m90vamcsw7vl9kcjivyckjqrsm2";
      system = "cl-rrd";
      asd = "cl-rrd";
    });
    systems = [ "cl-rrd" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rrt = (build-asdf-system {
    pname = "cl-rrt";
    version = "20200925-git";
    asds = [ "cl-rrt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt";
      asd = "cl-rrt";
    });
    systems = [ "cl-rrt" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-syntax-annot" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rrt_dot_benchmark = (build-asdf-system {
    pname = "cl-rrt.benchmark";
    version = "20200925-git";
    asds = [ "cl-rrt.benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.benchmark";
      asd = "cl-rrt.benchmark";
    });
    systems = [ "cl-rrt.benchmark" ];
    lispLibs = [ (getAttr "cl-rrt" self) (getAttr "cl-rrt_dot_rtree" self) (getAttr "cl-rrt_dot_test" self) (getAttr "fiveam" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rrt_dot_rtree = (build-asdf-system {
    pname = "cl-rrt.rtree";
    version = "20200925-git";
    asds = [ "cl-rrt.rtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.rtree";
      asd = "cl-rrt.rtree";
    });
    systems = [ "cl-rrt.rtree" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-rrt" self) (getAttr "cl-syntax-annot" self) (getAttr "iterate" self) (getAttr "spatial-trees" self) (getAttr "spatial-trees_dot_nns" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rrt_dot_test = (build-asdf-system {
    pname = "cl-rrt.test";
    version = "20200925-git";
    asds = [ "cl-rrt.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rrt/2020-09-25/cl-rrt-20200925-git.tgz";
      sha256 = "0lf1dvw5j9awy7ic1i4j5wd7657a170ywxihinmsdn4bwd4fynv0";
      system = "cl-rrt.test";
      asd = "cl-rrt.test";
    });
    systems = [ "cl-rrt.test" ];
    lispLibs = [ (getAttr "cl-rrt" self) (getAttr "cl-rrt_dot_rtree" self) (getAttr "fiveam" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rsvg2 = (build-asdf-system {
    pname = "cl-rsvg2";
    version = "20200925-git";
    asds = [ "cl-rsvg2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2";
      asd = "cl-rsvg2";
    });
    systems = [ "cl-rsvg2" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-cairo2" self) (getAttr "cl-gtk2-glib" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  cl-rsvg2-pixbuf = (build-asdf-system {
    pname = "cl-rsvg2-pixbuf";
    version = "20200925-git";
    asds = [ "cl-rsvg2-pixbuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2-pixbuf";
      asd = "cl-rsvg2-pixbuf";
    });
    systems = [ "cl-rsvg2-pixbuf" ];
    lispLibs = [ (getAttr "cl-gtk2-gdk" self) (getAttr "cl-rsvg2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rsvg2-test = (build-asdf-system {
    pname = "cl-rsvg2-test";
    version = "20200925-git";
    asds = [ "cl-rsvg2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rsvg2/2020-09-25/cl-rsvg2-20200925-git.tgz";
      sha256 = "1amq4q27lj0nzffvwmqrkg8v9pdcf0281zzrvxl9w6vdm9qy1v3n";
      system = "cl-rsvg2-test";
      asd = "cl-rsvg2-test";
    });
    systems = [ "cl-rsvg2-test" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-rsvg2" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rules = (build-asdf-system {
    pname = "cl-rules";
    version = "20190710-git";
    asds = [ "cl-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rules/2019-07-10/cl-rules-20190710-git.tgz";
      sha256 = "0jidck62n0jkfqwrpqjn43zmjb3jlfaxxhn2lsyfwy2740i8ppr1";
      system = "cl-rules";
      asd = "cl-rules";
    });
    systems = [ "cl-rules" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-yaml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-rules-test = (build-asdf-system {
    pname = "cl-rules-test";
    version = "20190710-git";
    asds = [ "cl-rules-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rules/2019-07-10/cl-rules-20190710-git.tgz";
      sha256 = "0jidck62n0jkfqwrpqjn43zmjb3jlfaxxhn2lsyfwy2740i8ppr1";
      system = "cl-rules-test";
      asd = "cl-rules-test";
    });
    systems = [ "cl-rules-test" ];
    lispLibs = [ (getAttr "cl-rules" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-s3 = (build-asdf-system {
    pname = "cl-s3";
    version = "20130128-git";
    asds = [ "cl-s3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-s3/2013-01-28/cl-s3-20130128-git.tgz";
      sha256 = "1lbvf7phkm5vjk013p484rh4vh33i58jlqq3z4cv2yxqcw6r639d";
      system = "cl-s3";
      asd = "cl-s3";
    });
    systems = [ "cl-s3" ];
    lispLibs = [ (getAttr "ironclad" self) (getAttr "s-base64" self) (getAttr "s-http-client" self) (getAttr "s-utils" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sam = (build-asdf-system {
    pname = "cl-sam";
    version = "20150608-git";
    asds = [ "cl-sam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sam/2015-06-08/cl-sam-20150608-git.tgz";
      sha256 = "0frrxz70jin4sa5n087zm4ikckf1zdjqqpjq3llrv46753c62fc6";
      system = "cl-sam";
      asd = "cl-sam";
    });
    systems = [ "cl-sam" ];
    lispLibs = [ (getAttr "deoxybyte-gzip" self) (getAttr "deoxybyte-systems" self) (getAttr "deoxybyte-unix" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sam-test = (build-asdf-system {
    pname = "cl-sam-test";
    version = "20150608-git";
    asds = [ "cl-sam-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sam/2015-06-08/cl-sam-20150608-git.tgz";
      sha256 = "0frrxz70jin4sa5n087zm4ikckf1zdjqqpjq3llrv46753c62fc6";
      system = "cl-sam-test";
      asd = "cl-sam-test";
    });
    systems = [ "cl-sam-test" ];
    lispLibs = [ (getAttr "cl-sam" self) (getAttr "deoxybyte-io" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sandbox = (build-asdf-system {
    pname = "cl-sandbox";
    version = "20180131-git";
    asds = [ "cl-sandbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sandbox/2018-01-31/cl-sandbox-20180131-git.tgz";
      sha256 = "053zxy3zi5jvlbg8zxlf922sxb32mq34zvwfhgpj4rcmgvgmqnxv";
      system = "cl-sandbox";
      asd = "cl-sandbox";
    });
    systems = [ "cl-sandbox" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sasl = (build-asdf-system {
    pname = "cl-sasl";
    version = "v0.3.2";
    asds = [ "cl-sasl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sasl/2019-05-21/cl-sasl-v0.3.2.tgz";
      sha256 = "0a05q8rls2hn46rbbk6w5km9kqvhsj365zlw6hp32724xy2nd98w";
      system = "cl-sasl";
      asd = "cl-sasl";
    });
    systems = [ "cl-sasl" ];
    lispLibs = [ (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sat = (build-asdf-system {
    pname = "cl-sat";
    version = "20220707-git";
    asds = [ "cl-sat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat/2022-07-07/cl-sat-20220707-git.tgz";
      sha256 = "1fcvxpmja757vyyhcpb00g150dyx90jsg9z8s596vy1nb0z81f49";
      system = "cl-sat";
      asd = "cl-sat";
    });
    systems = [ "cl-sat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  cl-sat_dot_glucose = (build-asdf-system {
    pname = "cl-sat.glucose";
    version = "20220331-git";
    asds = [ "cl-sat.glucose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.glucose/2022-03-31/cl-sat.glucose-20220331-git.tgz";
      sha256 = "11hbhsjzw3xzz6i6niisk5h271kg52y3y77sl6ljnszfgp9xjfxy";
      system = "cl-sat.glucose";
      asd = "cl-sat.glucose";
    });
    systems = [ "cl-sat.glucose" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-sat" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivial-package-manager" self) ];
    meta = {};
  });
  cl-sat_dot_glucose_dot_test = (build-asdf-system {
    pname = "cl-sat.glucose.test";
    version = "20220331-git";
    asds = [ "cl-sat.glucose.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.glucose/2022-03-31/cl-sat.glucose-20220331-git.tgz";
      sha256 = "11hbhsjzw3xzz6i6niisk5h271kg52y3y77sl6ljnszfgp9xjfxy";
      system = "cl-sat.glucose.test";
      asd = "cl-sat.glucose.test";
    });
    systems = [ "cl-sat.glucose.test" ];
    lispLibs = [ (getAttr "cl-sat_dot_glucose" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sat_dot_minisat = (build-asdf-system {
    pname = "cl-sat.minisat";
    version = "20220331-git";
    asds = [ "cl-sat.minisat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.minisat/2022-03-31/cl-sat.minisat-20220331-git.tgz";
      sha256 = "1jrpsdalz9wd3aipfvigimzgzrlb6fylw9cxf1vhhmii46yg9mdr";
      system = "cl-sat.minisat";
      asd = "cl-sat.minisat";
    });
    systems = [ "cl-sat.minisat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-sat" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivial-package-manager" self) ];
    meta = {};
  });
  cl-sat_dot_minisat_dot_test = (build-asdf-system {
    pname = "cl-sat.minisat.test";
    version = "20220331-git";
    asds = [ "cl-sat.minisat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat.minisat/2022-03-31/cl-sat.minisat-20220331-git.tgz";
      sha256 = "1jrpsdalz9wd3aipfvigimzgzrlb6fylw9cxf1vhhmii46yg9mdr";
      system = "cl-sat.minisat.test";
      asd = "cl-sat.minisat.test";
    });
    systems = [ "cl-sat.minisat.test" ];
    lispLibs = [ (getAttr "cl-sat_dot_minisat" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sat_dot_test = (build-asdf-system {
    pname = "cl-sat.test";
    version = "20220707-git";
    asds = [ "cl-sat.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sat/2022-07-07/cl-sat-20220707-git.tgz";
      sha256 = "1fcvxpmja757vyyhcpb00g150dyx90jsg9z8s596vy1nb0z81f49";
      system = "cl-sat.test";
      asd = "cl-sat.test";
    });
    systems = [ "cl-sat.test" ];
    lispLibs = [ (getAttr "cl-sat" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scram = (build-asdf-system {
    pname = "cl-scram";
    version = "20150923-git";
    asds = [ "cl-scram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scram/2015-09-23/cl-scram-20150923-git.tgz";
      sha256 = "1absr9h9z79f1fbs4g33y2rc9jsqjs7vd2l5sl8dvqq4fyx8v6g0";
      system = "cl-scram";
      asd = "cl-scram";
    });
    systems = [ "cl-scram" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-sasl" self) (getAttr "ironclad" self) (getAttr "secure-random" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scribd = (build-asdf-system {
    pname = "cl-scribd";
    version = "20130312-git";
    asds = [ "cl-scribd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scribd/2013-03-12/cl-scribd-20130312-git.tgz";
      sha256 = "0r4ah3f1ndi66bm1mir3ldl31sfbmav0kdfpb16f1n9931452mry";
      system = "cl-scribd";
      asd = "cl-scribd";
    });
    systems = [ "cl-scribd" ];
    lispLibs = [ (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scripting = (build-asdf-system {
    pname = "cl-scripting";
    version = "20211020-git";
    asds = [ "cl-scripting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scripting/2021-10-20/cl-scripting-20211020-git.tgz";
      sha256 = "1xi8klkn4fhmcrnhxzxvl0rj68dc7az6l2hc10560g9jvblcmmpp";
      system = "cl-scripting";
      asd = "cl-scripting";
    });
    systems = [ "cl-scripting" ];
    lispLibs = [ (getAttr "cl-launch" self) (getAttr "fare-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scrobbler = (build-asdf-system {
    pname = "cl-scrobbler";
    version = "20111105-git";
    asds = [ "cl-scrobbler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scrobbler/2011-11-05/cl-scrobbler-20111105-git.tgz";
      sha256 = "0cd0zfmhxf5chcg7hncavfjr8m06cjbiyqylk76z8mprdsv1n062";
      system = "cl-scrobbler";
      asd = "cl-scrobbler";
    });
    systems = [ "cl-scrobbler" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "cl-store" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "md5" self) (getAttr "st-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scrobbler-tests = (build-asdf-system {
    pname = "cl-scrobbler-tests";
    version = "20111105-git";
    asds = [ "cl-scrobbler-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scrobbler/2011-11-05/cl-scrobbler-20111105-git.tgz";
      sha256 = "0cd0zfmhxf5chcg7hncavfjr8m06cjbiyqylk76z8mprdsv1n062";
      system = "cl-scrobbler-tests";
      asd = "cl-scrobbler";
    });
    systems = [ "cl-scrobbler-tests" ];
    lispLibs = [ (getAttr "cl-scrobbler" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scsu = (build-asdf-system {
    pname = "cl-scsu";
    version = "20221106-git";
    asds = [ "cl-scsu" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scsu/2022-11-06/cl-scsu-20221106-git.tgz";
      sha256 = "0jiqyayflyyrdks4yl894vzw2bkxkd87w4sy4n6ikjz450xk3yxf";
      system = "cl-scsu";
      asd = "cl-scsu";
    });
    systems = [ "cl-scsu" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-scsu-test = (build-asdf-system {
    pname = "cl-scsu-test";
    version = "20221106-git";
    asds = [ "cl-scsu-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-scsu/2022-11-06/cl-scsu-20221106-git.tgz";
      sha256 = "0jiqyayflyyrdks4yl894vzw2bkxkd87w4sy4n6ikjz450xk3yxf";
      system = "cl-scsu-test";
      asd = "cl-scsu-test";
    });
    systems = [ "cl-scsu-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "alexandria" self) (getAttr "cl-scsu" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-selenium = (build-asdf-system {
    pname = "cl-selenium";
    version = "20180328-git";
    asds = [ "cl-selenium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium-webdriver/2018-03-28/cl-selenium-webdriver-20180328-git.tgz";
      sha256 = "0216vqg1ax5gcqahclii7ifqpc92rbi86rfcf1qn8bdahmfjccbb";
      system = "cl-selenium";
      asd = "cl-selenium";
    });
    systems = [ "cl-selenium" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-json" self) (getAttr "dexador" self) (getAttr "quri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-selenium-test = (build-asdf-system {
    pname = "cl-selenium-test";
    version = "20180328-git";
    asds = [ "cl-selenium-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium-webdriver/2018-03-28/cl-selenium-webdriver-20180328-git.tgz";
      sha256 = "0216vqg1ax5gcqahclii7ifqpc92rbi86rfcf1qn8bdahmfjccbb";
      system = "cl-selenium-test";
      asd = "cl-selenium-test";
    });
    systems = [ "cl-selenium-test" ];
    lispLibs = [ (getAttr "cl-selenium" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-semver = (build-asdf-system {
    pname = "cl-semver";
    version = "20230618-git";
    asds = [ "cl-semver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-semver/2023-06-18/cl-semver-20230618-git.tgz";
      sha256 = "1zlcn7lrpvjiixgqm4yxnqqwak1hxfmxmchkpvrly41yhl586ril";
      system = "cl-semver";
      asd = "cl-semver";
    });
    systems = [ "cl-semver" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-semver-test = (build-asdf-system {
    pname = "cl-semver-test";
    version = "20230618-git";
    asds = [ "cl-semver-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-semver/2023-06-18/cl-semver-20230618-git.tgz";
      sha256 = "1zlcn7lrpvjiixgqm4yxnqqwak1hxfmxmchkpvrly41yhl586ril";
      system = "cl-semver-test";
      asd = "cl-semver-test";
    });
    systems = [ "cl-semver-test" ];
    lispLibs = [ (getAttr "cl-semver" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sentiment = (build-asdf-system {
    pname = "cl-sentiment";
    version = "20130128-git";
    asds = [ "cl-sentiment" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentiment/2013-01-28/cl-sentiment-20130128-git.tgz";
      sha256 = "18jx6ivbzcg9bsmp1pmlqvzr4kfxzll75b4viz1hrkq78nsnpp5v";
      system = "cl-sentiment";
      asd = "cl-sentiment";
    });
    systems = [ "cl-sentiment" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ses4 = (build-asdf-system {
    pname = "cl-ses4";
    version = "20221106-git";
    asds = [ "cl-ses4" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ses4/2022-11-06/cl-ses4-20221106-git.tgz";
      sha256 = "1n31k81i19hx26h9wcz39fsciq92hbblnbd15krblx9g877a1598";
      system = "cl-ses4";
      asd = "cl-ses4";
    });
    systems = [ "cl-ses4" ];
    lispLibs = [ (getAttr "arrow-macros" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "quickapp" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-setlocale = (build-asdf-system {
    pname = "cl-setlocale";
    version = "20201220-git";
    asds = [ "cl-setlocale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-setlocale/2020-12-20/cl-setlocale-20201220-git.tgz";
      sha256 = "0g1b89yj6n42ayf2074krk3h9yvglqxn54a6i3sxgpsqww2ll2a1";
      system = "cl-setlocale";
      asd = "cl-setlocale";
    });
    systems = [ "cl-setlocale" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sha1 = (build-asdf-system {
    pname = "cl-sha1";
    version = "20210807-git";
    asds = [ "cl-sha1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sha1/2021-08-07/cl-sha1-20210807-git.tgz";
      sha256 = "16hczcr7ghah0p9fi29ddrw5c4zbb2d4765iigfx7yrgk5z5jb8p";
      system = "cl-sha1";
      asd = "cl-sha1";
    });
    systems = [ "cl-sha1" ];
    lispLibs = [ (getAttr "cl-base64" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-shellwords = (build-asdf-system {
    pname = "cl-shellwords";
    version = "20150923-git";
    asds = [ "cl-shellwords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shellwords/2015-09-23/cl-shellwords-20150923-git.tgz";
      sha256 = "0im8cni1ig5zaha9gbmma7zk1xxa4xajvzfgalvl2f0fhvksl4pn";
      system = "cl-shellwords";
      asd = "cl-shellwords";
    });
    systems = [ "cl-shellwords" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  cl-shellwords-test = (build-asdf-system {
    pname = "cl-shellwords-test";
    version = "20150923-git";
    asds = [ "cl-shellwords-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shellwords/2015-09-23/cl-shellwords-20150923-git.tgz";
      sha256 = "0im8cni1ig5zaha9gbmma7zk1xxa4xajvzfgalvl2f0fhvksl4pn";
      system = "cl-shellwords-test";
      asd = "cl-shellwords-test";
    });
    systems = [ "cl-shellwords-test" ];
    lispLibs = [ (getAttr "cl-shellwords" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-simple-concurrent-jobs = (build-asdf-system {
    pname = "cl-simple-concurrent-jobs";
    version = "20150505-git";
    asds = [ "cl-simple-concurrent-jobs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-concurrent-jobs/2015-05-05/cl-simple-concurrent-jobs-20150505-git.tgz";
      sha256 = "0mv7svsil58h8v8kq9965bpbradmhfpyrmi61dbzp5mbw8c5mrwj";
      system = "cl-simple-concurrent-jobs";
      asd = "cl-simple-concurrent-jobs";
    });
    systems = [ "cl-simple-concurrent-jobs" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "chanl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-simple-table = (build-asdf-system {
    pname = "cl-simple-table";
    version = "20130312-git";
    asds = [ "cl-simple-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-table/2013-03-12/cl-simple-table-20130312-git.tgz";
      sha256 = "1pnczi5hbqlyxxvzlpy6vc58qc9hh9mdm5rgq304bp3v2qajh0b7";
      system = "cl-simple-table";
      asd = "cl-simple-table";
    });
    systems = [ "cl-simple-table" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-singleton-mixin = (build-asdf-system {
    pname = "cl-singleton-mixin";
    version = "20150505-git";
    asds = [ "cl-singleton-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-singleton-mixin/2015-05-05/cl-singleton-mixin-20150505-git.tgz";
      sha256 = "10dvwzx1kw9ac163i6sc8yfg3hpkn0dlq4hf6qipb46b4mcib01s";
      system = "cl-singleton-mixin";
      asd = "cl-singleton-mixin";
    });
    systems = [ "cl-singleton-mixin" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "metap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-singleton-mixin-test = (build-asdf-system {
    pname = "cl-singleton-mixin-test";
    version = "20150505-git";
    asds = [ "cl-singleton-mixin-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-singleton-mixin/2015-05-05/cl-singleton-mixin-20150505-git.tgz";
      sha256 = "10dvwzx1kw9ac163i6sc8yfg3hpkn0dlq4hf6qipb46b4mcib01s";
      system = "cl-singleton-mixin-test";
      asd = "cl-singleton-mixin-test";
    });
    systems = [ "cl-singleton-mixin-test" ];
    lispLibs = [ (getAttr "cl-singleton-mixin" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-skip-list = (build-asdf-system {
    pname = "cl-skip-list";
    version = "20220707-git";
    asds = [ "cl-skip-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skip-list/2022-07-07/cl-skip-list-20220707-git.tgz";
      sha256 = "1k3hbi9n1yzky3hjcg48jkkkp2jx5vm7bsywhnyyb1z6hz5phakd";
      system = "cl-skip-list";
      asd = "cl-skip-list";
    });
    systems = [ "cl-skip-list" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-skkserv = (build-asdf-system {
    pname = "cl-skkserv";
    version = "20201220-git";
    asds = [ "cl-skkserv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-skkserv/2020-12-20/cl-skkserv-20201220-git.tgz";
      sha256 = "1khbfsvf70dyrrkbwcblzd6bkgx1z6k9ras57inmv2lqqr93m5l4";
      system = "cl-skkserv";
      asd = "cl-skkserv";
    });
    systems = [ "cl-skkserv" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "esrap" self) (getAttr "flexi-streams" self) (getAttr "jp-numeral" self) (getAttr "named-readtables" self) (getAttr "papyrus" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slice = (build-asdf-system {
    pname = "cl-slice";
    version = "20210531-git";
    asds = [ "cl-slice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slice/2021-05-31/cl-slice-20210531-git.tgz";
      sha256 = "1ybznf4y5lda6bn163jcvj281qzhm24dfcwhbgxmm5n6f27gdccl";
      system = "cl-slice";
      asd = "cl-slice";
    });
    systems = [ "cl-slice" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "let-plus" self) ];
    meta = {};
  });
  cl-slice-tests = (build-asdf-system {
    pname = "cl-slice-tests";
    version = "20210531-git";
    asds = [ "cl-slice-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slice/2021-05-31/cl-slice-20210531-git.tgz";
      sha256 = "1ybznf4y5lda6bn163jcvj281qzhm24dfcwhbgxmm5n6f27gdccl";
      system = "cl-slice-tests";
      asd = "cl-slice";
    });
    systems = [ "cl-slice-tests" ];
    lispLibs = [ (getAttr "cl-slice" self) (getAttr "clunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slp = (build-asdf-system {
    pname = "cl-slp";
    version = "20140826-git";
    asds = [ "cl-slp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slp/2014-08-26/cl-slp-20140826-git.tgz";
      sha256 = "10wfrw6r6w646lzx0nasnfvjpy63icxl8qm4888dpcjc57y1cd1w";
      system = "cl-slp";
      asd = "cl-slp";
    });
    systems = [ "cl-slp" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slug = (build-asdf-system {
    pname = "cl-slug";
    version = "20180228-git";
    asds = [ "cl-slug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slug/2018-02-28/cl-slug-20180228-git.tgz";
      sha256 = "1asdq6xllmsvfw5fky9wblqcx9isac9jrrlkfl7vyxcq1wxrnflx";
      system = "cl-slug";
      asd = "cl-slug";
    });
    systems = [ "cl-slug" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slug-test = (build-asdf-system {
    pname = "cl-slug-test";
    version = "20180228-git";
    asds = [ "cl-slug-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slug/2018-02-28/cl-slug-20180228-git.tgz";
      sha256 = "1asdq6xllmsvfw5fky9wblqcx9isac9jrrlkfl7vyxcq1wxrnflx";
      system = "cl-slug-test";
      asd = "cl-slug-test";
    });
    systems = [ "cl-slug-test" ];
    lispLibs = [ (getAttr "cl-slug" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slugify = (build-asdf-system {
    pname = "cl-slugify";
    version = "20230618-git";
    asds = [ "cl-slugify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slugify/2023-06-18/cl-slugify-20230618-git.tgz";
      sha256 = "18vjz9xb8q73j2bd609if2r6svljsnivl3sniz2p7j7w0qppps72";
      system = "cl-slugify";
      asd = "cl-slugify";
    });
    systems = [ "cl-slugify" ];
    lispLibs = [ (getAttr "cl-unac" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-slugify_dot_tests = (build-asdf-system {
    pname = "cl-slugify.tests";
    version = "20230618-git";
    asds = [ "cl-slugify.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-slugify/2023-06-18/cl-slugify-20230618-git.tgz";
      sha256 = "18vjz9xb8q73j2bd609if2r6svljsnivl3sniz2p7j7w0qppps72";
      system = "cl-slugify.tests";
      asd = "cl-slugify.tests";
    });
    systems = [ "cl-slugify.tests" ];
    lispLibs = [ (getAttr "cl-slugify" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-smt-lib = (build-asdf-system {
    pname = "cl-smt-lib";
    version = "20220331-git";
    asds = [ "cl-smt-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-smt-lib/2022-03-31/cl-smt-lib-20220331-git.tgz";
      sha256 = "09xqpmzd8rmp4dkj6mzwlwnhqk266abqvskz9dm6mr3cnf2r774z";
      system = "cl-smt-lib";
      asd = "cl-smt-lib";
    });
    systems = [ "cl-smt-lib" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "named-readtables" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  cl-smtp = (build-asdf-system {
    pname = "cl-smtp";
    version = "20210228-git";
    asds = [ "cl-smtp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-smtp/2021-02-28/cl-smtp-20210228-git.tgz";
      sha256 = "0vjjfapcrdc5671jz2d24h8zvpz7skq1x6pi9fvw6ls5sgms6fr0";
      system = "cl-smtp";
      asd = "cl-smtp";
    });
    systems = [ "cl-smtp" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "flexi-streams" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {};
  });
  cl-soil = (build-asdf-system {
    pname = "cl-soil";
    version = "release-quicklisp-f27087ce-git";
    asds = [ "cl-soil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-soil/2018-08-31/cl-soil-release-quicklisp-f27087ce-git.tgz";
      sha256 = "0mnz5yaw3kc14ja9g4j7dxh96kd82ifj25gy0dil7kqjd08lwcq9";
      system = "cl-soil";
      asd = "cl-soil";
    });
    systems = [ "cl-soil" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opengl" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-soloud = (build-asdf-system {
    pname = "cl-soloud";
    version = "20190710-git";
    asds = [ "cl-soloud" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-soloud/2019-07-10/cl-soloud-20190710-git.tgz";
      sha256 = "1scdnhf052sa77zd4f250mxdqjjny2jcigwhgccrp1gldcs0ks37";
      system = "cl-soloud";
      asd = "cl-soloud";
    });
    systems = [ "cl-soloud" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-mpg123" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sophia = (build-asdf-system {
    pname = "cl-sophia";
    version = "20150608-git";
    asds = [ "cl-sophia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sophia/2015-06-08/cl-sophia-20150608-git.tgz";
      sha256 = "1x027mr7lg5fs0d82n5mshnd19kan76y3zb9yxbcnq222l4j8j00";
      system = "cl-sophia";
      asd = "cl-sophia";
    });
    systems = [ "cl-sophia" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-fad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sophia-test = (build-asdf-system {
    pname = "cl-sophia-test";
    version = "20150608-git";
    asds = [ "cl-sophia-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sophia/2015-06-08/cl-sophia-20150608-git.tgz";
      sha256 = "1x027mr7lg5fs0d82n5mshnd19kan76y3zb9yxbcnq222l4j8j00";
      system = "cl-sophia-test";
      asd = "cl-sophia";
    });
    systems = [ "cl-sophia-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-sophia" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-spark = (build-asdf-system {
    pname = "cl-spark";
    version = "20150709-git";
    asds = [ "cl-spark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spark/2015-07-09/cl-spark-20150709-git.tgz";
      sha256 = "0my1fsgi2rjaqkpk934f2bjy63pmnj7faza3fzvnk6k3l66y19nk";
      system = "cl-spark";
      asd = "cl-spark";
    });
    systems = [ "cl-spark" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-spark-test = (build-asdf-system {
    pname = "cl-spark-test";
    version = "20150709-git";
    asds = [ "cl-spark-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spark/2015-07-09/cl-spark-20150709-git.tgz";
      sha256 = "0my1fsgi2rjaqkpk934f2bjy63pmnj7faza3fzvnk6k3l66y19nk";
      system = "cl-spark-test";
      asd = "cl-spark-test";
    });
    systems = [ "cl-spark-test" ];
    lispLibs = [ (getAttr "cl-spark" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sparql = (build-asdf-system {
    pname = "cl-sparql";
    version = "20220331-git";
    asds = [ "cl-sparql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sparql/2022-03-31/cl-sparql-20220331-git.tgz";
      sha256 = "1fjp5a25yly3l3pg07gzhz8q830fcaz0dwspigw8v90sx4insz0p";
      system = "cl-sparql";
      asd = "cl-sparql";
    });
    systems = [ "cl-sparql" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parser-combinators" self) (getAttr "puri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sparql-tests = (build-asdf-system {
    pname = "cl-sparql-tests";
    version = "20220331-git";
    asds = [ "cl-sparql-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sparql/2022-03-31/cl-sparql-20220331-git.tgz";
      sha256 = "1fjp5a25yly3l3pg07gzhz8q830fcaz0dwspigw8v90sx4insz0p";
      system = "cl-sparql-tests";
      asd = "cl-sparql-tests";
    });
    systems = [ "cl-sparql-tests" ];
    lispLibs = [ (getAttr "cl-sparql" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-speedy-queue = (build-asdf-system {
    pname = "cl-speedy-queue";
    version = "20150302-git";
    asds = [ "cl-speedy-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-speedy-queue/2015-03-02/cl-speedy-queue-20150302-git.tgz";
      sha256 = "0czhnvxn9lvbjz9h1lb7y18nqrsq3drq5icd3lqdaa07362alriq";
      system = "cl-speedy-queue";
      asd = "cl-speedy-queue";
    });
    systems = [ "cl-speedy-queue" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-spidev = (build-asdf-system {
    pname = "cl-spidev";
    version = "20190710-git";
    asds = [ "cl-spidev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-spidev/2019-07-10/cl-spidev-20190710-git.tgz";
      sha256 = "1kif1ygpm7z7bymg86h305171vnp5jsqyq4dz8h3fbi1rzjnqfcy";
      system = "cl-spidev";
      asd = "cl-spidev";
    });
    systems = [ "cl-spidev" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ssdb = (build-asdf-system {
    pname = "cl-ssdb";
    version = "20210124-git";
    asds = [ "cl-ssdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssdb/2021-01-24/cl-ssdb-20210124-git.tgz";
      sha256 = "05l0wg4a1kxgggmg1nalq811by76lja0gpa2c4i999h74bf4n3dc";
      system = "cl-ssdb";
      asd = "cl-ssdb";
    });
    systems = [ "cl-ssdb" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "parse-number" self) (getAttr "rutils" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ssdb-test = (build-asdf-system {
    pname = "cl-ssdb-test";
    version = "20210124-git";
    asds = [ "cl-ssdb-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssdb/2021-01-24/cl-ssdb-20210124-git.tgz";
      sha256 = "05l0wg4a1kxgggmg1nalq811by76lja0gpa2c4i999h74bf4n3dc";
      system = "cl-ssdb-test";
      asd = "cl-ssdb-test";
    });
    systems = [ "cl-ssdb-test" ];
    lispLibs = [ (getAttr "cl-ssdb" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ssh-keys = (build-asdf-system {
    pname = "cl-ssh-keys";
    version = "20230214-git";
    asds = [ "cl-ssh-keys" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssh-keys/2023-02-14/cl-ssh-keys-20230214-git.tgz";
      sha256 = "04mmsw3zvwf93majl5y3kynifq00mhd1102g8gf9lgps2mqblh2d";
      system = "cl-ssh-keys";
      asd = "cl-ssh-keys";
    });
    systems = [ "cl-ssh-keys" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "binascii" self) (getAttr "cl-rfc4251" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-ssh-keys_dot_test = (build-asdf-system {
    pname = "cl-ssh-keys.test";
    version = "20230214-git";
    asds = [ "cl-ssh-keys.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ssh-keys/2023-02-14/cl-ssh-keys-20230214-git.tgz";
      sha256 = "04mmsw3zvwf93majl5y3kynifq00mhd1102g8gf9lgps2mqblh2d";
      system = "cl-ssh-keys.test";
      asd = "cl-ssh-keys.test";
    });
    systems = [ "cl-ssh-keys.test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ssh-keys" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-statsd = (build-asdf-system {
    pname = "cl-statsd";
    version = "20170124-git";
    asds = [ "cl-statsd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-statsd/2017-01-24/cl-statsd-20170124-git.tgz";
      sha256 = "1l2sxbzhp7wwalxn8k0k1gis9c9w462fygfw4ps0s1bnhgbvr6qb";
      system = "cl-statsd";
      asd = "cl-statsd";
    });
    systems = [ "cl-statsd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-interpol" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "safe-queue" self) (getAttr "trivial-utf-8" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-statsd_dot_test = (build-asdf-system {
    pname = "cl-statsd.test";
    version = "20170124-git";
    asds = [ "cl-statsd.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-statsd/2017-01-24/cl-statsd-20170124-git.tgz";
      sha256 = "1l2sxbzhp7wwalxn8k0k1gis9c9w462fygfw4ps0s1bnhgbvr6qb";
      system = "cl-statsd.test";
      asd = "cl-statsd.test";
    });
    systems = [ "cl-statsd.test" ];
    lispLibs = [ (getAttr "cl-statsd" self) (getAttr "log4cl" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-steamworks = (build-asdf-system {
    pname = "cl-steamworks";
    version = "20230618-git";
    asds = [ "cl-steamworks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-steamworks/2023-06-18/cl-steamworks-20230618-git.tgz";
      sha256 = "1fzj3rlqw1kwdlmh0ga0y71p2n1adflcamzx4yp9kga552c1db5j";
      system = "cl-steamworks";
      asd = "cl-steamworks";
    });
    systems = [ "cl-steamworks" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "float-features" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-steamworks-generator = (build-asdf-system {
    pname = "cl-steamworks-generator";
    version = "20230618-git";
    asds = [ "cl-steamworks-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-steamworks/2023-06-18/cl-steamworks-20230618-git.tgz";
      sha256 = "1fzj3rlqw1kwdlmh0ga0y71p2n1adflcamzx4yp9kga552c1db5j";
      system = "cl-steamworks-generator";
      asd = "cl-steamworks-generator";
    });
    systems = [ "cl-steamworks-generator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "parse-number" self) (getAttr "pathname-utils" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-stomp = (build-asdf-system {
    pname = "cl-stomp";
    version = "20200925-git";
    asds = [ "cl-stomp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stomp/2020-09-25/cl-stomp-20200925-git.tgz";
      sha256 = "180y0x53ghsvz6n0bz67aw69p962bsslarikk89rf41kcv998xvw";
      system = "cl-stomp";
      asd = "cl-stomp";
    });
    systems = [ "cl-stomp" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-stopwatch = (build-asdf-system {
    pname = "cl-stopwatch";
    version = "20230618-git";
    asds = [ "cl-stopwatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stopwatch/2023-06-18/cl-stopwatch-20230618-git.tgz";
      sha256 = "14jmylqk1kijbhhn897r76ii4xg32k22p4v7h29jbcs9y2mn2day";
      system = "cl-stopwatch";
      asd = "cl-stopwatch";
    });
    systems = [ "cl-stopwatch" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-store = (build-asdf-system {
    pname = "cl-store";
    version = "20230214-git";
    asds = [ "cl-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-store/2023-02-14/cl-store-20230214-git.tgz";
      sha256 = "1kw39lmbiaksrxsq8pf5np8vjarymcvlc451z83275194av3imix";
      system = "cl-store";
      asd = "cl-store";
    });
    systems = [ "cl-store" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-store-tests = (build-asdf-system {
    pname = "cl-store-tests";
    version = "20230214-git";
    asds = [ "cl-store-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-store/2023-02-14/cl-store-20230214-git.tgz";
      sha256 = "1kw39lmbiaksrxsq8pf5np8vjarymcvlc451z83275194av3imix";
      system = "cl-store-tests";
      asd = "cl-store";
    });
    systems = [ "cl-store-tests" ];
    lispLibs = [ (getAttr "cl-store" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-stream = (build-asdf-system {
    pname = "cl-stream";
    version = "20190521-git";
    asds = [ "cl-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stream/2019-05-21/cl-stream-20190521-git.tgz";
      sha256 = "1r2spbcx3ifz51yq2pxkdb1n2k5fvyg3pz3w42mnw99pq78cbasv";
      system = "cl-stream";
      asd = "cl-stream";
    });
    systems = [ "cl-stream" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-strftime = (build-asdf-system {
    pname = "cl-strftime";
    version = "20160318-git";
    asds = [ "cl-strftime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strftime/2016-03-18/cl-strftime-20160318-git.tgz";
      sha256 = "00c8hq7vzgb89ab3q7mrp60x743kiqmsk1g51ynhxlqhph2bnslf";
      system = "cl-strftime";
      asd = "cl-strftime";
    });
    systems = [ "cl-strftime" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-string-complete = (build-asdf-system {
    pname = "cl-string-complete";
    version = "20230618-git";
    asds = [ "cl-string-complete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-complete/2023-06-18/cl-string-complete-20230618-git.tgz";
      sha256 = "14l1yyz5fakz5xn31yjfn4mz7j9rcbijw1sp4mdfizfvjbbwcixl";
      system = "cl-string-complete";
      asd = "cl-string-complete";
    });
    systems = [ "cl-string-complete" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-string-generator = (build-asdf-system {
    pname = "cl-string-generator";
    version = "20210630-git";
    asds = [ "cl-string-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-generator/2021-06-30/cl-string-generator-20210630-git.tgz";
      sha256 = "0zm6lyzd205lw30fdvnhrrlv9fylpfqksqxl32zvj9vzcn8qc1vi";
      system = "cl-string-generator";
      asd = "cl-string-generator";
    });
    systems = [ "cl-string-generator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-string-match = (build-asdf-system {
    pname = "cl-string-match";
    version = "20211209-git";
    asds = [ "cl-string-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "cl-string-match";
      asd = "cl-string-match";
    });
    systems = [ "cl-string-match" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "ascii-strings" self) (getAttr "iterate" self) (getAttr "jpl-queues" self) (getAttr "mgl-pax" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-string-match-test = (build-asdf-system {
    pname = "cl-string-match-test";
    version = "20211209-git";
    asds = [ "cl-string-match-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "cl-string-match-test";
      asd = "cl-string-match-test";
    });
    systems = [ "cl-string-match-test" ];
    lispLibs = [ (getAttr "ascii-strings" self) (getAttr "cl-string-match" self) (getAttr "lisp-unit" self) (getAttr "simple-scanf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-strings = (build-asdf-system {
    pname = "cl-strings";
    version = "20210411-git";
    asds = [ "cl-strings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strings/2021-04-11/cl-strings-20210411-git.tgz";
      sha256 = "1j8hs54fn0wsf5zfzhhgiva47n9hsmfa74iinahz6nmcs8iy75aj";
      system = "cl-strings";
      asd = "cl-strings";
    });
    systems = [ "cl-strings" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-strings-tests = (build-asdf-system {
    pname = "cl-strings-tests";
    version = "20210411-git";
    asds = [ "cl-strings-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-strings/2021-04-11/cl-strings-20210411-git.tgz";
      sha256 = "1j8hs54fn0wsf5zfzhhgiva47n9hsmfa74iinahz6nmcs8iy75aj";
      system = "cl-strings-tests";
      asd = "cl-strings";
    });
    systems = [ "cl-strings-tests" ];
    lispLibs = [ (getAttr "cl-strings" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-svg = (build-asdf-system {
    pname = "cl-svg";
    version = "20180228-git";
    asds = [ "cl-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-svg/2018-02-28/cl-svg-20180228-git.tgz";
      sha256 = "11rmzimy6j7ln7q5y1h2kw1225rsfb6fpn89qjcq7h5lc8fay0wz";
      system = "cl-svg";
      asd = "cl-svg";
    });
    systems = [ "cl-svg" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-svm = (build-asdf-system {
    pname = "cl-svm";
    version = "20110418-git";
    asds = [ "cl-svm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-svm/2011-04-18/cl-svm-20110418-git.tgz";
      sha256 = "03d070k3bl5c0b2f6bzig5gkhlj074v74f7kg8hh3znrbmwji2wv";
      system = "cl-svm";
      asd = "cl-svm";
    });
    systems = [ "cl-svm" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-swagger = (build-asdf-system {
    pname = "cl-swagger";
    version = "20180831-git";
    asds = [ "cl-swagger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-swagger-codegen/2018-08-31/cl-swagger-codegen-20180831-git.tgz";
      sha256 = "1lkp69n7wscyf2az3h2bmxmvzzppdfxcq5s0m607b1f7nfmxzjsq";
      system = "cl-swagger";
      asd = "cl-swagger";
    });
    systems = [ "cl-swagger" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-mustache" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sxml = (build-asdf-system {
    pname = "cl-sxml";
    version = "20200325-git";
    asds = [ "cl-sxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sxml/2020-03-25/cl-sxml-20200325-git.tgz";
      sha256 = "1105s9whidq1lf0lli2wdhcfcs5gwzxa0h1x3izx4mp2p7psvciz";
      system = "cl-sxml";
      asd = "cl-sxml";
    });
    systems = [ "cl-sxml" ];
    lispLibs = [ (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-sxml-test = (build-asdf-system {
    pname = "cl-sxml-test";
    version = "20200325-git";
    asds = [ "cl-sxml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sxml/2020-03-25/cl-sxml-20200325-git.tgz";
      sha256 = "1105s9whidq1lf0lli2wdhcfcs5gwzxa0h1x3izx4mp2p7psvciz";
      system = "cl-sxml-test";
      asd = "cl-sxml";
    });
    systems = [ "cl-sxml-test" ];
    lispLibs = [ (getAttr "cl-sxml" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax = (build-asdf-system {
    pname = "cl-syntax";
    version = "20150407-git";
    asds = [ "cl-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax";
      asd = "cl-syntax";
    });
    systems = [ "cl-syntax" ];
    lispLibs = [ (getAttr "named-readtables" self) (getAttr "trivial-types" self) ];
    meta = {};
  });
  cl-syntax-annot = (build-asdf-system {
    pname = "cl-syntax-annot";
    version = "20150407-git";
    asds = [ "cl-syntax-annot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-annot";
      asd = "cl-syntax-annot";
    });
    systems = [ "cl-syntax-annot" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "cl-syntax" self) ];
    meta = {};
  });
  cl-syntax-anonfun = (build-asdf-system {
    pname = "cl-syntax-anonfun";
    version = "20150407-git";
    asds = [ "cl-syntax-anonfun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-anonfun";
      asd = "cl-syntax-anonfun";
    });
    systems = [ "cl-syntax-anonfun" ];
    lispLibs = [ (getAttr "cl-anonfun" self) (getAttr "cl-syntax" self) ];
    meta = {};
  });
  cl-syntax-clsql = (build-asdf-system {
    pname = "cl-syntax-clsql";
    version = "20150407-git";
    asds = [ "cl-syntax-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-clsql";
      asd = "cl-syntax-clsql";
    });
    systems = [ "cl-syntax-clsql" ];
    lispLibs = [ (getAttr "cl-syntax" self) (getAttr "clsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax-debug-print = (build-asdf-system {
    pname = "cl-syntax-debug-print";
    version = "20210807-git";
    asds = [ "cl-syntax-debug-print" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-debug-print/2021-08-07/cl-debug-print-20210807-git.tgz";
      sha256 = "1cm5nybmv0pq9s4lrwhd01rjj1wlcj1sjcrcakabi7w7b5zw4cyh";
      system = "cl-syntax-debug-print";
      asd = "cl-syntax-debug-print";
    });
    systems = [ "cl-syntax-debug-print" ];
    lispLibs = [ (getAttr "cl-debug-print" self) (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax-fare-quasiquote = (build-asdf-system {
    pname = "cl-syntax-fare-quasiquote";
    version = "20150407-git";
    asds = [ "cl-syntax-fare-quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-fare-quasiquote";
      asd = "cl-syntax-fare-quasiquote";
    });
    systems = [ "cl-syntax-fare-quasiquote" ];
    lispLibs = [ (getAttr "cl-syntax" self) (getAttr "fare-quasiquote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax-interpol = (build-asdf-system {
    pname = "cl-syntax-interpol";
    version = "20150407-git";
    asds = [ "cl-syntax-interpol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-interpol";
      asd = "cl-syntax-interpol";
    });
    systems = [ "cl-syntax-interpol" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax-lsx = (build-asdf-system {
    pname = "cl-syntax-lsx";
    version = "20220220-git";
    asds = [ "cl-syntax-lsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lsx/2022-02-20/lsx-20220220-git.tgz";
      sha256 = "1pdq6csr8pkzcq2zkhhm6wkp9zxx2aypjd16rcw4q43mff09y041";
      system = "cl-syntax-lsx";
      asd = "cl-syntax-lsx";
    });
    systems = [ "cl-syntax-lsx" ];
    lispLibs = [ (getAttr "cl-syntax" self) (getAttr "lsx" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-syntax-markup = (build-asdf-system {
    pname = "cl-syntax-markup";
    version = "20150407-git";
    asds = [ "cl-syntax-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syntax/2015-04-07/cl-syntax-20150407-git.tgz";
      sha256 = "17ran8xp77asagl31xv8w819wafh6whwfc9p6dgx22ca537gyl4y";
      system = "cl-syntax-markup";
      asd = "cl-syntax-markup";
    });
    systems = [ "cl-syntax-markup" ];
    lispLibs = [ (getAttr "cl-markup" self) (getAttr "cl-syntax" self) ];
    meta = {};
  });
  cl-syslog = (build-asdf-system {
    pname = "cl-syslog";
    version = "20190202-git";
    asds = [ "cl-syslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-syslog/2019-02-02/cl-syslog-20190202-git.tgz";
      sha256 = "1qcz55jiqwk91b01hsahxnha884f6zf2883j2m51sqph0mvj69mh";
      system = "cl-syslog";
      asd = "cl-syslog";
    });
    systems = [ "cl-syslog" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "global-vars" self) (getAttr "local-time" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {};
  });
  cl-table = (build-asdf-system {
    pname = "cl-table";
    version = "20130128-git";
    asds = [ "cl-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-table/2013-01-28/cl-table-20130128-git.tgz";
      sha256 = "0c7bdnpi473grayycdcdh4q8fi137i3c80k05k87pvjdrl1qnkpn";
      system = "cl-table";
      asd = "cl-table";
    });
    systems = [ "cl-table" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tasukete = (build-asdf-system {
    pname = "cl-tasukete";
    version = "20180228-git";
    asds = [ "cl-tasukete" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tasukete/2018-02-28/cl-tasukete-20180228-git.tgz";
      sha256 = "0i8ibg2a33mb32vr2b70psb5dvh47r52lfhkh84rxzmcsk6ww230";
      system = "cl-tasukete";
      asd = "cl-tasukete";
    });
    systems = [ "cl-tasukete" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "cl-gists" self) (getAttr "dissect" self) (getAttr "jonathan" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tasukete-test = (build-asdf-system {
    pname = "cl-tasukete-test";
    version = "20180228-git";
    asds = [ "cl-tasukete-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tasukete/2018-02-28/cl-tasukete-20180228-git.tgz";
      sha256 = "0i8ibg2a33mb32vr2b70psb5dvh47r52lfhkh84rxzmcsk6ww230";
      system = "cl-tasukete-test";
      asd = "cl-tasukete-test";
    });
    systems = [ "cl-tasukete-test" ];
    lispLibs = [ (getAttr "cl-tasukete" self) (getAttr "dissect" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-telebot = (build-asdf-system {
    pname = "cl-telebot";
    version = "20211020-git";
    asds = [ "cl-telebot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telebot/2021-10-20/cl-telebot-20211020-git.tgz";
      sha256 = "0nl002l4f3x6843s6h5w2iz2hganxb369k8c2hbbgqq7plb4mdf1";
      system = "cl-telebot";
      asd = "cl-telebot";
    });
    systems = [ "cl-telebot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "dexador" self) (getAttr "jonathan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-telegram-bot = (build-asdf-system {
    pname = "cl-telegram-bot";
    version = "20230618-git";
    asds = [ "cl-telegram-bot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telegram-bot/2023-06-18/cl-telegram-bot-20230618-git.tgz";
      sha256 = "11a1fswifiaa14ilzp1lsncwvmqwgwlcxccx16sa1j3ip44lbr3v";
      system = "cl-telegram-bot";
      asd = "cl-telegram-bot";
    });
    systems = [ "cl-telegram-bot" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "alexandria" self) (getAttr "arrows" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "cl-strings" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "jonathan" self) (getAttr "kebab" self) (getAttr "log4cl" self) (getAttr "serapeum" self) (getAttr "trivial-backtrace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-telegram-bot-ci = (build-asdf-system {
    pname = "cl-telegram-bot-ci";
    version = "20230618-git";
    asds = [ "cl-telegram-bot-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telegram-bot/2023-06-18/cl-telegram-bot-20230618-git.tgz";
      sha256 = "11a1fswifiaa14ilzp1lsncwvmqwgwlcxccx16sa1j3ip44lbr3v";
      system = "cl-telegram-bot-ci";
      asd = "cl-telegram-bot-ci";
    });
    systems = [ "cl-telegram-bot-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-telegram-bot-docs = (build-asdf-system {
    pname = "cl-telegram-bot-docs";
    version = "20230618-git";
    asds = [ "cl-telegram-bot-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telegram-bot/2023-06-18/cl-telegram-bot-20230618-git.tgz";
      sha256 = "11a1fswifiaa14ilzp1lsncwvmqwgwlcxccx16sa1j3ip44lbr3v";
      system = "cl-telegram-bot-docs";
      asd = "cl-telegram-bot-docs";
    });
    systems = [ "cl-telegram-bot-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "cl-telegram-bot" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-telegram-bot-tests = (build-asdf-system {
    pname = "cl-telegram-bot-tests";
    version = "20230618-git";
    asds = [ "cl-telegram-bot-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-telegram-bot/2023-06-18/cl-telegram-bot-20230618-git.tgz";
      sha256 = "11a1fswifiaa14ilzp1lsncwvmqwgwlcxccx16sa1j3ip44lbr3v";
      system = "cl-telegram-bot-tests";
      asd = "cl-telegram-bot-tests";
    });
    systems = [ "cl-telegram-bot-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-template = (build-asdf-system {
    pname = "cl-template";
    version = "20130615-git";
    asds = [ "cl-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-template/2013-06-15/cl-template-20130615-git.tgz";
      sha256 = "1rhg023a2nxsk5x6abd6i0a8sh36aj0bgsh80w60m3b7xlsva2x2";
      system = "cl-template";
      asd = "cl-template";
    });
    systems = [ "cl-template" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-template-tests = (build-asdf-system {
    pname = "cl-template-tests";
    version = "20130615-git";
    asds = [ "cl-template-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-template/2013-06-15/cl-template-20130615-git.tgz";
      sha256 = "1rhg023a2nxsk5x6abd6i0a8sh36aj0bgsh80w60m3b7xlsva2x2";
      system = "cl-template-tests";
      asd = "cl-template";
    });
    systems = [ "cl-template-tests" ];
    lispLibs = [ (getAttr "cl-template" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-termbox = (build-asdf-system {
    pname = "cl-termbox";
    version = "20211020-git";
    asds = [ "cl-termbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-termbox/2021-10-20/cl-termbox-20211020-git.tgz";
      sha256 = "1igmq64zndkgchmzggp34jrmxa81dqlhz2il8qizrpfw5a39cpld";
      system = "cl-termbox";
      asd = "cl-termbox";
    });
    systems = [ "cl-termbox" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tesseract = (build-asdf-system {
    pname = "cl-tesseract";
    version = "20171130-git";
    asds = [ "cl-tesseract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tesseract/2017-11-30/cl-tesseract-20171130-git.tgz";
      sha256 = "086627k8whbj60bpw9r3jrdifr4bigqpnp9hxsi7r6702gixz50x";
      system = "cl-tesseract";
      asd = "cl-tesseract";
    });
    systems = [ "cl-tesseract" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-test-more = (build-asdf-system {
    pname = "cl-test-more";
    version = "20200218-git";
    asds = [ "cl-test-more" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "cl-test-more";
      asd = "cl-test-more";
    });
    systems = [ "cl-test-more" ];
    lispLibs = [ (getAttr "prove" self) ];
    meta = {};
  });
  cl-tetris3d = (build-asdf-system {
    pname = "cl-tetris3d";
    version = "20181210-git";
    asds = [ "cl-tetris3d" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tetris3d/2018-12-10/cl-tetris3d-20181210-git.tgz";
      sha256 = "09n7344is2vfbp32cd22ynk14h4vqs4xw3plbhga8q25ghhx5y9p";
      system = "cl-tetris3d";
      asd = "cl-tetris3d";
    });
    systems = [ "cl-tetris3d" ];
    lispLibs = [ (getAttr "cl-glu" self) (getAttr "cl-opengl" self) (getAttr "iterate" self) (getAttr "lispbuilder-sdl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-textmagic = (build-asdf-system {
    pname = "cl-textmagic";
    version = "20151218-git";
    asds = [ "cl-textmagic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-textmagic/2015-12-18/cl-textmagic-20151218-git.tgz";
      sha256 = "0xw6g1r5vxmnbz3kxf2q6s9dr9l2aacyri1wchzw4jx5wlcnkshw";
      system = "cl-textmagic";
      asd = "cl-textmagic";
    });
    systems = [ "cl-textmagic" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "dexador" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-textmagic-test = (build-asdf-system {
    pname = "cl-textmagic-test";
    version = "20151218-git";
    asds = [ "cl-textmagic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-textmagic/2015-12-18/cl-textmagic-20151218-git.tgz";
      sha256 = "0xw6g1r5vxmnbz3kxf2q6s9dr9l2aacyri1wchzw4jx5wlcnkshw";
      system = "cl-textmagic-test";
      asd = "cl-textmagic-test";
    });
    systems = [ "cl-textmagic-test" ];
    lispLibs = [ (getAttr "cl-textmagic" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tga = (build-asdf-system {
    pname = "cl-tga";
    version = "20160318-git";
    asds = [ "cl-tga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tga/2016-03-18/cl-tga-20160318-git.tgz";
      sha256 = "03k3npmn0xd3fd2m7vwxph82av2xrfb150imqrinlzqmzvz1v1br";
      system = "cl-tga";
      asd = "cl-tga";
    });
    systems = [ "cl-tga" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-threadpool = (build-asdf-system {
    pname = "cl-threadpool";
    version = "quickload-current-release-6f50a83e-git";
    asds = [ "cl-threadpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-threadpool/2023-06-18/cl-threadpool-quickload-current-release-6f50a83e-git.tgz";
      sha256 = "17zdinrp31d6b9fdb2mi83cwmcgpj7wqzbqy5kjlfc6p6jspcqln";
      system = "cl-threadpool";
      asd = "cl-threadpool";
    });
    systems = [ "cl-threadpool" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "queues_dot_simple-cqueue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tidy = (build-asdf-system {
    pname = "cl-tidy";
    version = "20170830-git";
    asds = [ "cl-tidy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tidy/2017-08-30/cl-tidy-20170830-git.tgz";
      sha256 = "13j0jgf6czb24148w2wxfwlji6vnc49qvyr5wzq5ps55b27ddlz6";
      system = "cl-tidy";
      asd = "cl-tidy";
    });
    systems = [ "cl-tidy" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tiled = (build-asdf-system {
    pname = "cl-tiled";
    version = "20230618-git";
    asds = [ "cl-tiled" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tiled/2023-06-18/cl-tiled-20230618-git.tgz";
      sha256 = "050ylqmwxmdjn8lzhh9al1hf0arjn2jhznfcrl71aiks8q0bx1sm";
      system = "cl-tiled";
      asd = "cl-tiled";
    });
    systems = [ "cl-tiled" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "chipz" self) (getAttr "cl-base64" self) (getAttr "cl-json" self) (getAttr "nibbles" self) (getAttr "parse-float" self) (getAttr "split-sequence" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tk = (build-asdf-system {
    pname = "cl-tk";
    version = "20150608-git";
    asds = [ "cl-tk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tk/2015-06-08/cl-tk-20150608-git.tgz";
      sha256 = "0fm4q4pkzbyxr6227vavvy4lm7rfw214lp2dylgzjzcp6f5r4n7w";
      system = "cl-tk";
      asd = "cl-tk";
    });
    systems = [ "cl-tk" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tld = (build-asdf-system {
    pname = "cl-tld";
    version = "20220220-git";
    asds = [ "cl-tld" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tld/2022-02-20/cl-tld-20220220-git.tgz";
      sha256 = "1xm471p92in5g4fcxgqshwgr2d7937jw7jv6j473slwkxjvx8dp6";
      system = "cl-tld";
      asd = "cl-tld";
    });
    systems = [ "cl-tld" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tls = (build-asdf-system {
    pname = "cl-tls";
    version = "20221106-git";
    asds = [ "cl-tls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tls/2022-11-06/cl-tls-20221106-git.tgz";
      sha256 = "1j6gwv21ibkk6xd1xxm54wgwp09dzqg60b8z72hivpnq8gwm0ba7";
      system = "cl-tls";
      asd = "cl-tls";
    });
    systems = [ "cl-tls" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "fast-io" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tokyo-cabinet = (build-asdf-system {
    pname = "cl-tokyo-cabinet";
    version = "20160825-git";
    asds = [ "cl-tokyo-cabinet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tokyo-cabinet/2016-08-25/cl-tokyo-cabinet-20160825-git.tgz";
      sha256 = "07961in8fa09bjnpwkdn0w6dj37nppzmgg50kf8khspnjh1sjsr2";
      system = "cl-tokyo-cabinet";
      asd = "cl-tokyo-cabinet";
    });
    systems = [ "cl-tokyo-cabinet" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "deoxybyte-systems" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tokyo-cabinet-test = (build-asdf-system {
    pname = "cl-tokyo-cabinet-test";
    version = "20160825-git";
    asds = [ "cl-tokyo-cabinet-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tokyo-cabinet/2016-08-25/cl-tokyo-cabinet-20160825-git.tgz";
      sha256 = "07961in8fa09bjnpwkdn0w6dj37nppzmgg50kf8khspnjh1sjsr2";
      system = "cl-tokyo-cabinet-test";
      asd = "cl-tokyo-cabinet-test";
    });
    systems = [ "cl-tokyo-cabinet-test" ];
    lispLibs = [ (getAttr "cl-tokyo-cabinet" self) (getAttr "deoxybyte-io" self) (getAttr "deoxybyte-utilities" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-toml = (build-asdf-system {
    pname = "cl-toml";
    version = "20191130-git";
    asds = [ "cl-toml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-toml/2019-11-30/cl-toml-20191130-git.tgz";
      sha256 = "1g5i60i78s0ms608fyc6sgaaqr6jdsln75n26lmfbcaqw2g1q9dk";
      system = "cl-toml";
      asd = "cl-toml";
    });
    systems = [ "cl-toml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "local-time" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-toml-test = (build-asdf-system {
    pname = "cl-toml-test";
    version = "20191130-git";
    asds = [ "cl-toml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-toml/2019-11-30/cl-toml-20191130-git.tgz";
      sha256 = "1g5i60i78s0ms608fyc6sgaaqr6jdsln75n26lmfbcaqw2g1q9dk";
      system = "cl-toml-test";
      asd = "cl-toml-test";
    });
    systems = [ "cl-toml-test" ];
    lispLibs = [ (getAttr "cl-toml" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tqdm = (build-asdf-system {
    pname = "cl-tqdm";
    version = "20230618-git";
    asds = [ "cl-tqdm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tqdm/2023-06-18/cl-tqdm-20230618-git.tgz";
      sha256 = "12qkl7l83smdv5laz6hkgy5462dygc5i0ng9w7nila9j3zr0cc3y";
      system = "cl-tqdm";
      asd = "cl-tqdm";
    });
    systems = [ "cl-tqdm" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-transmission = (build-asdf-system {
    pname = "cl-transmission";
    version = "20200325-git";
    asds = [ "cl-transmission" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-transmission/2020-03-25/cl-transmission-20200325-git.tgz";
      sha256 = "0sg3f2jqs2z3mvscjhc43hkd34vlcc4c8hq8rhh5w1gjg19z57hb";
      system = "cl-transmission";
      asd = "cl-transmission";
    });
    systems = [ "cl-transmission" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "jonathan" self) (getAttr "named-readtables" self) (getAttr "rutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-transmission-test = (build-asdf-system {
    pname = "cl-transmission-test";
    version = "20200325-git";
    asds = [ "cl-transmission-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-transmission/2020-03-25/cl-transmission-20200325-git.tgz";
      sha256 = "0sg3f2jqs2z3mvscjhc43hkd34vlcc4c8hq8rhh5w1gjg19z57hb";
      system = "cl-transmission-test";
      asd = "cl-transmission-test";
    });
    systems = [ "cl-transmission-test" ];
    lispLibs = [ (getAttr "cl-transmission" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-trie = (build-asdf-system {
    pname = "cl-trie";
    version = "20230214-git";
    asds = [ "cl-trie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-trie/2023-02-14/cl-trie-20230214-git.tgz";
      sha256 = "0d0mnac9rbqvwr45650yimfw4fyldbgasj139g7y1wzrranrcldf";
      system = "cl-trie";
      asd = "cl-trie";
    });
    systems = [ "cl-trie" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-trie-examples = (build-asdf-system {
    pname = "cl-trie-examples";
    version = "20230214-git";
    asds = [ "cl-trie-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-trie/2023-02-14/cl-trie-20230214-git.tgz";
      sha256 = "0d0mnac9rbqvwr45650yimfw4fyldbgasj139g7y1wzrranrcldf";
      system = "cl-trie-examples";
      asd = "cl-trie-examples";
    });
    systems = [ "cl-trie-examples" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-trie" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tui = (build-asdf-system {
    pname = "cl-tui";
    version = "20200427-git";
    asds = [ "cl-tui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tui/2020-04-27/cl-tui-20200427-git.tgz";
      sha256 = "1s0z7sjb3p1fxypc2x9fl0y094qa1a2iqjbn5him4hs8z7xm5kz8";
      system = "cl-tui";
      asd = "cl-tui";
    });
    systems = [ "cl-tui" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-charms" self) (getAttr "cl-containers" self) (getAttr "osicat" self) (getAttr "split-sequence" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tulip-graph = (build-asdf-system {
    pname = "cl-tulip-graph";
    version = "20130615-git";
    asds = [ "cl-tulip-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tulip-graph/2013-06-15/cl-tulip-graph-20130615-git.tgz";
      sha256 = "0zmmwqabbyzdikn8x0xqrj192wr5w87l828nwandqg59af2isxav";
      system = "cl-tulip-graph";
      asd = "cl-tulip-graph";
    });
    systems = [ "cl-tulip-graph" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-tuples = (build-asdf-system {
    pname = "cl-tuples";
    version = "20140713-git";
    asds = [ "cl-tuples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tuples/2014-07-13/cl-tuples-20140713-git.tgz";
      sha256 = "060xmr03y8n0mnf4x4fnrirljcjk1jcir7jsjq4w9d5vzq3aqm9m";
      system = "cl-tuples";
      asd = "cl-tuples";
    });
    systems = [ "cl-tuples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-twit-repl = (build-asdf-system {
    pname = "cl-twit-repl";
    version = "20180228-git";
    asds = [ "cl-twit-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "cl-twit-repl";
      asd = "cl-twit-repl";
    });
    systems = [ "cl-twit-repl" ];
    lispLibs = [ (getAttr "cl-twitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-twitter = (build-asdf-system {
    pname = "cl-twitter";
    version = "20180228-git";
    asds = [ "cl-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "cl-twitter";
      asd = "cl-twitter";
    });
    systems = [ "cl-twitter" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-json" self) (getAttr "cl-oauth" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "drakma" self) (getAttr "trivial-http" self) (getAttr "url-rewrite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-typesetting = (build-asdf-system {
    pname = "cl-typesetting";
    version = "20210531-git";
    asds = [ "cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "cl-typesetting";
      asd = "cl-typesetting";
    });
    systems = [ "cl-typesetting" ];
    lispLibs = [ (getAttr "cl-pdf" self) ];
    meta = {};
  });
  cl-uglify-js = (build-asdf-system {
    pname = "cl-uglify-js";
    version = "20150709-git";
    asds = [ "cl-uglify-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-uglify-js/2015-07-09/cl-uglify-js-20150709-git.tgz";
      sha256 = "0k39y3c93jgxpr7gwz7w0d8yknn1fdnxrjhd03057lvk5w8js27a";
      system = "cl-uglify-js";
      asd = "cl-uglify-js";
    });
    systems = [ "cl-uglify-js" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-ppcre-unicode" self) (getAttr "iterate" self) (getAttr "parse-js" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-unac = (build-asdf-system {
    pname = "cl-unac";
    version = "20230618-git";
    asds = [ "cl-unac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unac/2023-06-18/cl-unac-20230618-git.tgz";
      sha256 = "16i4lwg70k05dw3vynyyz09ldgr4zzd1ar68g4jcxk7q4ijfdw9m";
      system = "cl-unac";
      asd = "cl-unac";
    });
    systems = [ "cl-unac" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-unac_dot_config" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-unac_dot_config = (build-asdf-system {
    pname = "cl-unac.config";
    version = "20230618-git";
    asds = [ "cl-unac.config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unac/2023-06-18/cl-unac-20230618-git.tgz";
      sha256 = "16i4lwg70k05dw3vynyyz09ldgr4zzd1ar68g4jcxk7q4ijfdw9m";
      system = "cl-unac.config";
      asd = "cl-unac.config";
    });
    systems = [ "cl-unac.config" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-unac_dot_tests = (build-asdf-system {
    pname = "cl-unac.tests";
    version = "20230618-git";
    asds = [ "cl-unac.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unac/2023-06-18/cl-unac-20230618-git.tgz";
      sha256 = "16i4lwg70k05dw3vynyyz09ldgr4zzd1ar68g4jcxk7q4ijfdw9m";
      system = "cl-unac.tests";
      asd = "cl-unac.tests";
    });
    systems = [ "cl-unac.tests" ];
    lispLibs = [ (getAttr "cl-unac" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-unicode = (build-asdf-system {
    pname = "cl-unicode";
    version = "20210228-git";
    asds = [ "cl-unicode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unicode/2021-02-28/cl-unicode-20210228-git.tgz";
      sha256 = "1a9gbzvi5gj3z9gcia1rgmnk0dzgc82vz47bgnfvhn4q0c7mvk31";
      system = "cl-unicode";
      asd = "cl-unicode";
    });
    systems = [ "cl-unicode" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  cl-unification = (build-asdf-system {
    pname = "cl-unification";
    version = "20230214-git";
    asds = [ "cl-unification" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2023-02-14/cl-unification-20230214-git.tgz";
      sha256 = "1ngb74ngn9j6pxkp0nddgnq32jpkr2gvnb71swvziqic1d93194l";
      system = "cl-unification";
      asd = "cl-unification";
    });
    systems = [ "cl-unification" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-unification-lib = (build-asdf-system {
    pname = "cl-unification-lib";
    version = "20230214-git";
    asds = [ "cl-unification-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2023-02-14/cl-unification-20230214-git.tgz";
      sha256 = "1ngb74ngn9j6pxkp0nddgnq32jpkr2gvnb71swvziqic1d93194l";
      system = "cl-unification-lib";
      asd = "cl-unification-lib";
    });
    systems = [ "cl-unification-lib" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-unification" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-unification-test = (build-asdf-system {
    pname = "cl-unification-test";
    version = "20230214-git";
    asds = [ "cl-unification-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unification/2023-02-14/cl-unification-20230214-git.tgz";
      sha256 = "1ngb74ngn9j6pxkp0nddgnq32jpkr2gvnb71swvziqic1d93194l";
      system = "cl-unification-test";
      asd = "cl-unification-test";
    });
    systems = [ "cl-unification-test" ];
    lispLibs = [ (getAttr "cl-unification" self) (getAttr "ptester" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-union-find = (build-asdf-system {
    pname = "cl-union-find";
    version = "20221106-git";
    asds = [ "cl-union-find" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-union-find/2022-11-06/cl-union-find-20221106-git.tgz";
      sha256 = "14xciva5v3c4zi4vzp1vfhs82a2654yhkfyllr3b0cr7x36jdm7y";
      system = "cl-union-find";
      asd = "cl-union-find";
    });
    systems = [ "cl-union-find" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-utilities = (build-asdf-system {
    pname = "cl-utilities";
    version = "1.2.4";
    asds = [ "cl-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-utilities/2010-10-06/cl-utilities-1.2.4.tgz";
      sha256 = "1dmbkdr8xm2jw5yx1makqbf1ypqbm0hpkd7zyknxv3cblvz0a87w";
      system = "cl-utilities";
      asd = "cl-utilities";
    });
    systems = [ "cl-utilities" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-variates = (build-asdf-system {
    pname = "cl-variates";
    version = "20180131-darcs";
    asds = [ "cl-variates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-variates/2018-01-31/cl-variates-20180131-darcs.tgz";
      sha256 = "02pd02isfxrn3h8h5kh369rwy17hfjkmd7j24pcihfskamgcqgfx";
      system = "cl-variates";
      asd = "cl-variates";
    });
    systems = [ "cl-variates" ];
    lispLibs = [ (getAttr "asdf-system-connections" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-vectors = (build-asdf-system {
    pname = "cl-vectors";
    version = "20180228-git";
    asds = [ "cl-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vectors/2018-02-28/cl-vectors-20180228-git.tgz";
      sha256 = "0nckw4zb6s96hll8hrxzvgs2an3bfm0pxcywshbm4bq4rn7niqg4";
      system = "cl-vectors";
      asd = "cl-vectors";
    });
    systems = [ "cl-vectors" ];
    lispLibs = [ (getAttr "cl-aa" self) (getAttr "cl-paths" self) ];
    meta = {};
  });
  cl-vhdl = (build-asdf-system {
    pname = "cl-vhdl";
    version = "20160421-git";
    asds = [ "cl-vhdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vhdl/2016-04-21/cl-vhdl-20160421-git.tgz";
      sha256 = "0i2780ljak8kcqa2zm24dk2fk771m2mvmnbq4xd4vvx9z87lbnvi";
      system = "cl-vhdl";
      asd = "cl-vhdl";
    });
    systems = [ "cl-vhdl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-itertools" self) (getAttr "cl-ppcre" self) (getAttr "esrap-liquid" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-vhdl-tests = (build-asdf-system {
    pname = "cl-vhdl-tests";
    version = "20160421-git";
    asds = [ "cl-vhdl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vhdl/2016-04-21/cl-vhdl-20160421-git.tgz";
      sha256 = "0i2780ljak8kcqa2zm24dk2fk771m2mvmnbq4xd4vvx9z87lbnvi";
      system = "cl-vhdl-tests";
      asd = "cl-vhdl";
    });
    systems = [ "cl-vhdl-tests" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-vhdl" self) (getAttr "fare-quasiquote-optima" self) (getAttr "fiveam" self) (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-video = (build-asdf-system {
    pname = "cl-video";
    version = "20180228-git";
    asds = [ "cl-video" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video";
      asd = "cl-video";
    });
    systems = [ "cl-video" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-video-avi = (build-asdf-system {
    pname = "cl-video-avi";
    version = "20180228-git";
    asds = [ "cl-video-avi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-avi";
      asd = "cl-video-avi";
    });
    systems = [ "cl-video-avi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-jpeg" self) (getAttr "cl-riff" self) (getAttr "cl-video" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-video-gif = (build-asdf-system {
    pname = "cl-video-gif";
    version = "20180228-git";
    asds = [ "cl-video-gif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-gif";
      asd = "cl-video-gif";
    });
    systems = [ "cl-video-gif" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-video" self) (getAttr "skippy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-video-player = (build-asdf-system {
    pname = "cl-video-player";
    version = "20180228-git";
    asds = [ "cl-video-player" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-player";
      asd = "cl-video-player";
    });
    systems = [ "cl-video-player" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-portaudio" self) (getAttr "cl-video-avi" self) (getAttr "cl-video-gif" self) (getAttr "cl-video-wav" self) (getAttr "clx" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-video-wav = (build-asdf-system {
    pname = "cl-video-wav";
    version = "20180228-git";
    asds = [ "cl-video-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-video/2018-02-28/cl-video-20180228-git.tgz";
      sha256 = "1azldcp6r0j1kw6rczicmnv4m0d7rq4m5axz48ny6r2qybha80lr";
      system = "cl-video-wav";
      asd = "cl-video-wav";
    });
    systems = [ "cl-video-wav" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-riff" self) (getAttr "cl-video" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-virtualbox = (build-asdf-system {
    pname = "cl-virtualbox";
    version = "20180831-git";
    asds = [ "cl-virtualbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-virtualbox/2018-08-31/cl-virtualbox-20180831-git.tgz";
      sha256 = "1jzn8jjn9yn9vgnn1r6h0iyxb6j17wm8lmf9j5hk4yqwdzb2nidv";
      system = "cl-virtualbox";
      asd = "cl-virtualbox";
    });
    systems = [ "cl-virtualbox" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-vorbis = (build-asdf-system {
    pname = "cl-vorbis";
    version = "20230214-git";
    asds = [ "cl-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-vorbis/2023-02-14/cl-vorbis-20230214-git.tgz";
      sha256 = "0713pl5c2khfpf8m3h1l2y0ilack7akf580h70jq6qcrnq3h4b40";
      system = "cl-vorbis";
      asd = "cl-vorbis";
    });
    systems = [ "cl-vorbis" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-voxelize = (build-asdf-system {
    pname = "cl-voxelize";
    version = "20150709-git";
    asds = [ "cl-voxelize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize";
      asd = "cl-voxelize";
    });
    systems = [ "cl-voxelize" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-voxelize-examples = (build-asdf-system {
    pname = "cl-voxelize-examples";
    version = "20150709-git";
    asds = [ "cl-voxelize-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize-examples";
      asd = "cl-voxelize-examples";
    });
    systems = [ "cl-voxelize-examples" ];
    lispLibs = [ (getAttr "cl-ply" self) (getAttr "cl-voxelize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-voxelize-test = (build-asdf-system {
    pname = "cl-voxelize-test";
    version = "20150709-git";
    asds = [ "cl-voxelize-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voxelize/2015-07-09/cl-voxelize-20150709-git.tgz";
      sha256 = "1sim8n175dgy0i0dxi1vsqzgjx07lgsnrgn3bizzka58ni5y8xdm";
      system = "cl-voxelize-test";
      asd = "cl-voxelize-test";
    });
    systems = [ "cl-voxelize-test" ];
    lispLibs = [ (getAttr "cl-voxelize" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wadler-pprint = (build-asdf-system {
    pname = "cl-wadler-pprint";
    version = "20191007-git";
    asds = [ "cl-wadler-pprint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wadler-pprint/2019-10-07/cl-wadler-pprint-20191007-git.tgz";
      sha256 = "0y5jxk7yiw8wng7hg91cwibh6d2hf1sv2mzqhkds6l4myhzxb4jr";
      system = "cl-wadler-pprint";
      asd = "cl-wadler-pprint";
    });
    systems = [ "cl-wadler-pprint" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wav = (build-asdf-system {
    pname = "cl-wav";
    version = "20221106-git";
    asds = [ "cl-wav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wav/2022-11-06/cl-wav-20221106-git.tgz";
      sha256 = "1nf4zw72v0c9fl8mr4si5cr2xz753ydzv19mfzy5dqqx0k1g7wyl";
      system = "cl-wav";
      asd = "cl-wav";
    });
    systems = [ "cl-wav" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-riff" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wave-file-writer = (build-asdf-system {
    pname = "cl-wave-file-writer";
    version = "quickload-current-release-42cde6cf-git";
    asds = [ "cl-wave-file-writer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wave-file-writer/2021-10-20/cl-wave-file-writer-quickload-current-release-42cde6cf-git.tgz";
      sha256 = "0mxzp6rm7ah86vp1xj67q43al71k62x407m5vmbldvyb6pmx37fp";
      system = "cl-wave-file-writer";
      asd = "cl-wave-file-writer";
    });
    systems = [ "cl-wave-file-writer" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wavefront = (build-asdf-system {
    pname = "cl-wavefront";
    version = "20230618-git";
    asds = [ "cl-wavefront" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wavefront/2023-06-18/cl-wavefront-20230618-git.tgz";
      sha256 = "0429bmcrwf2wjy0xlwckj8hbjkk2nyzyxck1y42b8dv1a6np8i7c";
      system = "cl-wavefront";
      asd = "cl-wavefront";
    });
    systems = [ "cl-wavefront" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wavelets = (build-asdf-system {
    pname = "cl-wavelets";
    version = "20220707-git";
    asds = [ "cl-wavelets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wavelets/2022-07-07/cl-wavelets-20220707-git.tgz";
      sha256 = "0z4r01d5mv4rachz5rr5zvnv94q7ka17138vcpsb05sz00vv03ba";
      system = "cl-wavelets";
      asd = "cl-wavelets";
    });
    systems = [ "cl-wavelets" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wayland = (build-asdf-system {
    pname = "cl-wayland";
    version = "20190307-git";
    asds = [ "cl-wayland" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wayland/2019-03-07/cl-wayland-20190307-git.tgz";
      sha256 = "1axdkdm5d2bvj674jq6ylwhfwbzzs7yjj6f04c519qbdq9sknbcn";
      system = "cl-wayland";
      asd = "cl-wayland";
    });
    systems = [ "cl-wayland" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-weather-jp = (build-asdf-system {
    pname = "cl-weather-jp";
    version = "20160208-git";
    asds = [ "cl-weather-jp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-weather-jp/2016-02-08/cl-weather-jp-20160208-git.tgz";
      sha256 = "15bp7gdk7ck9xs9lx2rrzqw6awlk6nz03cqy14wv2lvy3j84dc01";
      system = "cl-weather-jp";
      asd = "cl-weather-jp";
    });
    systems = [ "cl-weather-jp" ];
    lispLibs = [ (getAttr "clss" self) (getAttr "dexador" self) (getAttr "function-cache" self) (getAttr "jonathan" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-weather-jp-test = (build-asdf-system {
    pname = "cl-weather-jp-test";
    version = "20160208-git";
    asds = [ "cl-weather-jp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-weather-jp/2016-02-08/cl-weather-jp-20160208-git.tgz";
      sha256 = "15bp7gdk7ck9xs9lx2rrzqw6awlk6nz03cqy14wv2lvy3j84dc01";
      system = "cl-weather-jp-test";
      asd = "cl-weather-jp-test";
    });
    systems = [ "cl-weather-jp-test" ];
    lispLibs = [ (getAttr "cl-weather-jp" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-webdav = (build-asdf-system {
    pname = "cl-webdav";
    version = "20170830-git";
    asds = [ "cl-webdav" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdav/2017-08-30/cl-webdav-20170830-git.tgz";
      sha256 = "1cmzv763k4s5blfhx2p8s7q9gk20p8mj9p34dngydc14d2acrxmg";
      system = "cl-webdav";
      asd = "cl-webdav";
    });
    systems = [ "cl-webdav" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cxml" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-webdriver-client = (build-asdf-system {
    pname = "cl-webdriver-client";
    version = "20211230-git";
    asds = [ "cl-webdriver-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdriver-client/2021-12-30/cl-webdriver-client-20211230-git.tgz";
      sha256 = "12ackxk5glsi2dg7kjn6gr1c6r6xnmd23hwsbb9fghwjl23cqlri";
      system = "cl-webdriver-client";
      asd = "cl-webdriver-client";
    });
    systems = [ "cl-webdriver-client" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "assoc-utils" self) (getAttr "cl-json" self) (getAttr "dexador" self) (getAttr "quri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-webdriver-client-test = (build-asdf-system {
    pname = "cl-webdriver-client-test";
    version = "20211230-git";
    asds = [ "cl-webdriver-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webdriver-client/2021-12-30/cl-webdriver-client-20211230-git.tgz";
      sha256 = "12ackxk5glsi2dg7kjn6gr1c6r6xnmd23hwsbb9fghwjl23cqlri";
      system = "cl-webdriver-client-test";
      asd = "cl-webdriver-client-test";
    });
    systems = [ "cl-webdriver-client-test" ];
    lispLibs = [ (getAttr "cl-webdriver-client" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-webkit2 = (build-asdf-system {
    pname = "cl-webkit2";
    version = "20230618-git";
    asds = [ "cl-webkit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webkit/2023-06-18/cl-webkit-20230618-git.tgz";
      sha256 = "0mqgmq97yaqyz50n6r83g3ndzymr9kqcmfn8x5a7968wz74ixz1z";
      system = "cl-webkit2";
      asd = "cl-webkit2";
    });
    systems = [ "cl-webkit2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-cffi-gtk" self) ];
    meta = {};
  });
  cl-who = (build-asdf-system {
    pname = "cl-who";
    version = "20220331-git";
    asds = [ "cl-who" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-who/2022-03-31/cl-who-20220331-git.tgz";
      sha256 = "1rdvs113q6d46cblwhsv1vmm31p952wyzkyibqix0ypadpczlgp5";
      system = "cl-who";
      asd = "cl-who";
    });
    systems = [ "cl-who" ];
    lispLibs = [  ];
    meta = {};
  });
  cl-who-test = (build-asdf-system {
    pname = "cl-who-test";
    version = "20220331-git";
    asds = [ "cl-who-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-who/2022-03-31/cl-who-20220331-git.tgz";
      sha256 = "1rdvs113q6d46cblwhsv1vmm31p952wyzkyibqix0ypadpczlgp5";
      system = "cl-who-test";
      asd = "cl-who";
    });
    systems = [ "cl-who-test" ];
    lispLibs = [ (getAttr "cl-who" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-why = (build-asdf-system {
    pname = "cl-why";
    version = "20180228-git";
    asds = [ "cl-why" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-why/2018-02-28/cl-why-20180228-git.tgz";
      sha256 = "01xm7gj1wwd7i3r49jfdm96gwl7nvrn0h6q22kpzrb8zs48wj947";
      system = "cl-why";
      asd = "cl-why";
    });
    systems = [ "cl-why" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-why-test = (build-asdf-system {
    pname = "cl-why-test";
    version = "20180228-git";
    asds = [ "cl-why-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-why/2018-02-28/cl-why-20180228-git.tgz";
      sha256 = "01xm7gj1wwd7i3r49jfdm96gwl7nvrn0h6q22kpzrb8zs48wj947";
      system = "cl-why-test";
      asd = "cl-why";
    });
    systems = [ "cl-why-test" ];
    lispLibs = [ (getAttr "cl-why" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-with = (build-asdf-system {
    pname = "cl-with";
    version = "20211020-git";
    asds = [ "cl-with" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-with/2021-10-20/cl-with-20211020-git.tgz";
      sha256 = "1x4laq7zi12xb28rfrh8hcy92pkfvjxsp2nn6jkmrhfynky5180w";
      system = "cl-with";
      asd = "cl-with";
    });
    systems = [ "cl-with" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wol_dot_cli = (build-asdf-system {
    pname = "cl-wol.cli";
    version = "20230214-git";
    asds = [ "cl-wol.cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2023-02-14/cl-wol-20230214-git.tgz";
      sha256 = "0nmwcm0wmbsy3fsh1ingm004610ji8z6mzb2p7lsqlvynl1z65r8";
      system = "cl-wol.cli";
      asd = "cl-wol.cli";
    });
    systems = [ "cl-wol.cli" ];
    lispLibs = [ (getAttr "cl-ascii-table" self) (getAttr "cl-migratum" self) (getAttr "cl-migratum_dot_driver_dot_dbi" self) (getAttr "cl-migratum_dot_provider_dot_local-path" self) (getAttr "cl-wol_dot_core" self) (getAttr "clingon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wol_dot_core = (build-asdf-system {
    pname = "cl-wol.core";
    version = "20230214-git";
    asds = [ "cl-wol.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2023-02-14/cl-wol-20230214-git.tgz";
      sha256 = "0nmwcm0wmbsy3fsh1ingm004610ji8z6mzb2p7lsqlvynl1z65r8";
      system = "cl-wol.core";
      asd = "cl-wol.core";
    });
    systems = [ "cl-wol.core" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wol_dot_test = (build-asdf-system {
    pname = "cl-wol.test";
    version = "20230214-git";
    asds = [ "cl-wol.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wol/2023-02-14/cl-wol-20230214-git.tgz";
      sha256 = "0nmwcm0wmbsy3fsh1ingm004610ji8z6mzb2p7lsqlvynl1z65r8";
      system = "cl-wol.test";
      asd = "cl-wol.test";
    });
    systems = [ "cl-wol.test" ];
    lispLibs = [ (getAttr "cl-wol_dot_core" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-wordcut = (build-asdf-system {
    pname = "cl-wordcut";
    version = "20160421-git";
    asds = [ "cl-wordcut" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-wordcut/2016-04-21/cl-wordcut-20160421-git.tgz";
      sha256 = "1b8b3b1rgk0y87l54325ilcly8rq9qxalcsmw6rk8q6dq13lgv78";
      system = "cl-wordcut";
      asd = "cl-wordcut";
    });
    systems = [ "cl-wordcut" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xdg = (build-asdf-system {
    pname = "cl-xdg";
    version = "20170124-git";
    asds = [ "cl-xdg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xdg/2017-01-24/cl-xdg-20170124-git.tgz";
      sha256 = "078hgsab0gl6s96wq09ibq5alzyyqh6wwc3yjs44fv18561p5jgc";
      system = "cl-xdg";
      asd = "cl-xdg";
    });
    systems = [ "cl-xdg" ];
    lispLibs = [ (getAttr "cl-sxml" self) (getAttr "cl-xmlspam" self) (getAttr "flexi-streams" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xdg-test = (build-asdf-system {
    pname = "cl-xdg-test";
    version = "20170124-git";
    asds = [ "cl-xdg-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xdg/2017-01-24/cl-xdg-20170124-git.tgz";
      sha256 = "078hgsab0gl6s96wq09ibq5alzyyqh6wwc3yjs44fv18561p5jgc";
      system = "cl-xdg-test";
      asd = "cl-xdg";
    });
    systems = [ "cl-xdg-test" ];
    lispLibs = [ (getAttr "cl-xdg" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xkb = (build-asdf-system {
    pname = "cl-xkb";
    version = "20230214-git";
    asds = [ "cl-xkb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xkb/2023-02-14/cl-xkb-20230214-git.tgz";
      sha256 = "002bskv0dvq2hahz7dah2zwwkp2zrkf98w7lm96jmqfn8vyp4k75";
      system = "cl-xkb";
      asd = "cl-xkb";
    });
    systems = [ "cl-xkb" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xkeysym = (build-asdf-system {
    pname = "cl-xkeysym";
    version = "20140914-git";
    asds = [ "cl-xkeysym" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xkeysym/2014-09-14/cl-xkeysym-20140914-git.tgz";
      sha256 = "0yxijl6xb5apb6v6qm8g3kfdr90slgg6vsnx4d1ps9z4zhrjlc6c";
      system = "cl-xkeysym";
      asd = "cl-xkeysym";
    });
    systems = [ "cl-xkeysym" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xmlspam = (build-asdf-system {
    pname = "cl-xmlspam";
    version = "20101006-http";
    asds = [ "cl-xmlspam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmlspam/2010-10-06/cl-xmlspam-20101006-http.tgz";
      sha256 = "03jw57889b60nsqgb13vrf5q1g2fasah7qv7knjlx2w4mc1ci7ks";
      system = "cl-xmlspam";
      asd = "cl-xmlspam";
    });
    systems = [ "cl-xmlspam" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cxml" self) ];
    meta = {};
  });
  cl-xmpp = (build-asdf-system {
    pname = "cl-xmpp";
    version = "0.8.1";
    asds = [ "cl-xmpp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp";
      asd = "cl-xmpp";
    });
    systems = [ "cl-xmpp" ];
    lispLibs = [ (getAttr "cxml" self) (getAttr "ironclad" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xmpp-sasl = (build-asdf-system {
    pname = "cl-xmpp-sasl";
    version = "0.8.1";
    asds = [ "cl-xmpp-sasl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp-sasl";
      asd = "cl-xmpp-sasl";
    });
    systems = [ "cl-xmpp-sasl" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-sasl" self) (getAttr "cl-xmpp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xmpp-tls = (build-asdf-system {
    pname = "cl-xmpp-tls";
    version = "0.8.1";
    asds = [ "cl-xmpp-tls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xmpp/2010-10-06/cl-xmpp-0.8.1.tgz";
      sha256 = "1kzzq1y0625zlg83ppcpb0aqzvqbga9x3gm826grmy4rf5jrhz5f";
      system = "cl-xmpp-tls";
      asd = "cl-xmpp-tls";
    });
    systems = [ "cl-xmpp-tls" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "cl-xmpp-sasl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xul = (build-asdf-system {
    pname = "cl-xul";
    version = "20160318-git";
    asds = [ "cl-xul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xul/2016-03-18/cl-xul-20160318-git.tgz";
      sha256 = "0ldny4bjfndrkyqcq6klqxvqkpb0lhcqlj52y89ybl9w7dkl2d9p";
      system = "cl-xul";
      asd = "cl-xul";
    });
    systems = [ "cl-xul" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-json" self) (getAttr "closer-mop" self) (getAttr "clws" self) (getAttr "cxml" self) (getAttr "log5" self) (getAttr "md5" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-xul-test = (build-asdf-system {
    pname = "cl-xul-test";
    version = "20160318-git";
    asds = [ "cl-xul-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-xul/2016-03-18/cl-xul-20160318-git.tgz";
      sha256 = "0ldny4bjfndrkyqcq6klqxvqkpb0lhcqlj52y89ybl9w7dkl2d9p";
      system = "cl-xul-test";
      asd = "cl-xul-test";
    });
    systems = [ "cl-xul-test" ];
    lispLibs = [ (getAttr "cl-xul" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yaclyaml = (build-asdf-system {
    pname = "cl-yaclyaml";
    version = "20160825-git";
    asds = [ "cl-yaclyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaclyaml/2016-08-25/cl-yaclyaml-20160825-git.tgz";
      sha256 = "1clfhz4ii2p11yc3bm23ib4rx0rfxsh18ddc2br82i7mbwks3pll";
      system = "cl-yaclyaml";
      asd = "cl-yaclyaml";
    });
    systems = [ "cl-yaclyaml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "cl-test-more" self) (getAttr "esrap-liquid" self) (getAttr "iterate" self) (getAttr "parse-number" self) (getAttr "rutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yaclyaml-tests = (build-asdf-system {
    pname = "cl-yaclyaml-tests";
    version = "20160825-git";
    asds = [ "cl-yaclyaml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaclyaml/2016-08-25/cl-yaclyaml-20160825-git.tgz";
      sha256 = "1clfhz4ii2p11yc3bm23ib4rx0rfxsh18ddc2br82i7mbwks3pll";
      system = "cl-yaclyaml-tests";
      asd = "cl-yaclyaml";
    });
    systems = [ "cl-yaclyaml-tests" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-yaclyaml" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yahoo-finance = (build-asdf-system {
    pname = "cl-yahoo-finance";
    version = "20130312-git";
    asds = [ "cl-yahoo-finance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yahoo-finance/2013-03-12/cl-yahoo-finance-20130312-git.tgz";
      sha256 = "1qhs4j00iw1w81lx0vmyiayzqyvixaxc5j2rc89qlr1gx12mqadl";
      system = "cl-yahoo-finance";
      asd = "cl-yahoo-finance";
    });
    systems = [ "cl-yahoo-finance" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-csv" self) (getAttr "drakma" self) (getAttr "url-rewrite" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yaml = (build-asdf-system {
    pname = "cl-yaml";
    version = "20221106-git";
    asds = [ "cl-yaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaml/2022-11-06/cl-yaml-20221106-git.tgz";
      sha256 = "053fvrrd0p2xx4zxbz4kg9469895ypwsbjfd3nwpi7lwcll2bir5";
      system = "cl-yaml";
      asd = "cl-yaml";
    });
    systems = [ "cl-yaml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-libyaml" self) (getAttr "cl-ppcre" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yaml-test = (build-asdf-system {
    pname = "cl-yaml-test";
    version = "20221106-git";
    asds = [ "cl-yaml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yaml/2022-11-06/cl-yaml-20221106-git.tgz";
      sha256 = "053fvrrd0p2xx4zxbz4kg9469895ypwsbjfd3nwpi7lwcll2bir5";
      system = "cl-yaml-test";
      asd = "cl-yaml-test";
    });
    systems = [ "cl-yaml-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-yaml" self) (getAttr "fiveam" self) (getAttr "generic-comparability" self) (getAttr "trivial-benchmark" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-yesql = (build-asdf-system {
    pname = "cl-yesql";
    version = "20211020-git";
    asds = [ "cl-yesql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yesql/2021-10-20/cl-yesql-20211020-git.tgz";
      sha256 = "0bg133kprbssv0z4ir2hkhf72fbmnz9v9861ncs1isqaby2d4xlj";
      system = "cl-yesql";
      asd = "cl-yesql";
    });
    systems = [ "cl-yesql" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "esrap" self) (getAttr "serapeum" self) (getAttr "trivia" self) (getAttr "vernacular" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-zipper = (build-asdf-system {
    pname = "cl-zipper";
    version = "20200610-git";
    asds = [ "cl-zipper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zipper/2020-06-10/cl-zipper-20200610-git.tgz";
      sha256 = "1zcfy97l40ynbldxpx8nad81jlrfp0k2vic10wbkrqdfkr696xkg";
      system = "cl-zipper";
      asd = "cl-zipper";
    });
    systems = [ "cl-zipper" ];
    lispLibs = [ (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl-zipper-test = (build-asdf-system {
    pname = "cl-zipper-test";
    version = "20200610-git";
    asds = [ "cl-zipper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zipper/2020-06-10/cl-zipper-20200610-git.tgz";
      sha256 = "1zcfy97l40ynbldxpx8nad81jlrfp0k2vic10wbkrqdfkr696xkg";
      system = "cl-zipper-test";
      asd = "cl-zipper";
    });
    systems = [ "cl-zipper-test" ];
    lispLibs = [ (getAttr "cl-zipper" self) (getAttr "prove-asdf" self) (getAttr "test-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cl4store = (build-asdf-system {
    pname = "cl4store";
    version = "20200325-git";
    asds = [ "cl4store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl4store/2020-03-25/cl4store-20200325-git.tgz";
      sha256 = "0qajxwlvmb5vd9qynnl0n62bcl1xhin49xk0p44v6pig8q2jzc26";
      system = "cl4store";
      asd = "cl4store";
    });
    systems = [ "cl4store" ];
    lispLibs = [ (getAttr "cl-rdfxml" self) (getAttr "cl-sparql" self) (getAttr "drakma" self) (getAttr "log5" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clache = (build-asdf-system {
    pname = "clache";
    version = "20171130-git";
    asds = [ "clache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clache/2017-11-30/clache-20171130-git.tgz";
      sha256 = "0wxg004bsay58vr6xr6mlk7wj415qmvisqxvpnjsg6glfwca86ys";
      system = "clache";
      asd = "clache";
    });
    systems = [ "clache" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-annot" self) (getAttr "cl-fad" self) (getAttr "cl-store" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "ironclad" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clache-test = (build-asdf-system {
    pname = "clache-test";
    version = "20171130-git";
    asds = [ "clache-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clache/2017-11-30/clache-20171130-git.tgz";
      sha256 = "0wxg004bsay58vr6xr6mlk7wj415qmvisqxvpnjsg6glfwca86ys";
      system = "clache-test";
      asd = "clache-test";
    });
    systems = [ "clache-test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "clache" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack = (build-asdf-system {
    pname = "clack";
    version = "20230618-git";
    asds = [ "clack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack";
      asd = "clack";
    });
    systems = [ "clack" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "lack" self) (getAttr "lack-middleware-backtrace" self) (getAttr "lack-util" self) (getAttr "swank" self) (getAttr "usocket" self) ];
    meta = {};
  });
  clack-errors = (build-asdf-system {
    pname = "clack-errors";
    version = "20190813-git";
    asds = [ "clack-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors";
      asd = "clack-errors";
    });
    systems = [ "clack-errors" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "clack" self) (getAttr "closer-mop" self) (getAttr "djula" self) (getAttr "local-time" self) (getAttr "trivial-backtrace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-errors-demo = (build-asdf-system {
    pname = "clack-errors-demo";
    version = "20190813-git";
    asds = [ "clack-errors-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors-demo";
      asd = "clack-errors-demo";
    });
    systems = [ "clack-errors-demo" ];
    lispLibs = [ (getAttr "cl-markup" self) (getAttr "clack-errors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-errors-test = (build-asdf-system {
    pname = "clack-errors-test";
    version = "20190813-git";
    asds = [ "clack-errors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "clack-errors-test";
      asd = "clack-errors-test";
    });
    systems = [ "clack-errors-test" ];
    lispLibs = [ (getAttr "clack" self) (getAttr "clack-errors" self) (getAttr "drakma" self) (getAttr "fiveam" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-handler-fcgi = (build-asdf-system {
    pname = "clack-handler-fcgi";
    version = "20230618-git";
    asds = [ "clack-handler-fcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-handler-fcgi";
      asd = "clack-handler-fcgi";
    });
    systems = [ "clack-handler-fcgi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fastcgi" self) (getAttr "flexi-streams" self) (getAttr "quri" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-handler-hunchentoot = (build-asdf-system {
    pname = "clack-handler-hunchentoot";
    version = "20230618-git";
    asds = [ "clack-handler-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-handler-hunchentoot";
      asd = "clack-handler-hunchentoot";
    });
    systems = [ "clack-handler-hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "clack-socket" self) (getAttr "flexi-streams" self) (getAttr "hunchentoot" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-handler-toot = (build-asdf-system {
    pname = "clack-handler-toot";
    version = "20230618-git";
    asds = [ "clack-handler-toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-handler-toot";
      asd = "clack-handler-toot";
    });
    systems = [ "clack-handler-toot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "toot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-handler-woo = (build-asdf-system {
    pname = "clack-handler-woo";
    version = "20220707-git";
    asds = [ "clack-handler-woo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "clack-handler-woo";
      asd = "clack-handler-woo";
    });
    systems = [ "clack-handler-woo" ];
    lispLibs = [ (getAttr "woo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-handler-wookie = (build-asdf-system {
    pname = "clack-handler-wookie";
    version = "20230618-git";
    asds = [ "clack-handler-wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-handler-wookie";
      asd = "clack-handler-wookie";
    });
    systems = [ "clack-handler-wookie" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-async" self) (getAttr "clack-socket" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "flexi-streams" self) (getAttr "quri" self) (getAttr "split-sequence" self) (getAttr "wookie" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-pretend = (build-asdf-system {
    pname = "clack-pretend";
    version = "20210630-git";
    asds = [ "clack-pretend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-pretend/2021-06-30/clack-pretend-20210630-git.tgz";
      sha256 = "1fhbznnrfkg9n3ql97h4adaqf968gn7i9xpggb4zzszc8gwiyasg";
      system = "clack-pretend";
      asd = "clack-pretend";
    });
    systems = [ "clack-pretend" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "circular-streams" self) (getAttr "cl-hash-util" self) (getAttr "clack" self) (getAttr "lack-request" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-socket = (build-asdf-system {
    pname = "clack-socket";
    version = "20230618-git";
    asds = [ "clack-socket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-socket";
      asd = "clack-socket";
    });
    systems = [ "clack-socket" ];
    lispLibs = [  ];
    meta = {};
  });
  clack-static-asset-djula-helpers = (build-asdf-system {
    pname = "clack-static-asset-djula-helpers";
    version = "20211209-git";
    asds = [ "clack-static-asset-djula-helpers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-djula-helpers";
      asd = "clack-static-asset-djula-helpers";
    });
    systems = [ "clack-static-asset-djula-helpers" ];
    lispLibs = [ (getAttr "clack-static-asset-middleware" self) (getAttr "djula" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-static-asset-middleware = (build-asdf-system {
    pname = "clack-static-asset-middleware";
    version = "20211209-git";
    asds = [ "clack-static-asset-middleware" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-middleware";
      asd = "clack-static-asset-middleware";
    });
    systems = [ "clack-static-asset-middleware" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-static-asset-middleware-test = (build-asdf-system {
    pname = "clack-static-asset-middleware-test";
    version = "20211209-git";
    asds = [ "clack-static-asset-middleware-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-static-asset-middleware/2021-12-09/clack-static-asset-middleware-20211209-git.tgz";
      sha256 = "0fk288812sdm012knqx4qqdhggdqbfgd0zfb6mc06xig20wj02hc";
      system = "clack-static-asset-middleware-test";
      asd = "clack-static-asset-middleware-test";
    });
    systems = [ "clack-static-asset-middleware-test" ];
    lispLibs = [ (getAttr "clack-static-asset-djula-helpers" self) (getAttr "clack-static-asset-middleware" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clack-test = (build-asdf-system {
    pname = "clack-test";
    version = "20230618-git";
    asds = [ "clack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "clack-test";
      asd = "clack-test";
    });
    systems = [ "clack-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "clack" self) (getAttr "clack-handler-hunchentoot" self) (getAttr "dexador" self) (getAttr "flexi-streams" self) (getAttr "http-body" self) (getAttr "ironclad" self) (getAttr "rove" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clad = (build-asdf-system {
    pname = "clad";
    version = "20230618-git";
    asds = [ "clad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clad/2023-06-18/clad-20230618-git.tgz";
      sha256 = "0ssjjcj9mzkqgxqja7061gm63jlzshw9y0zpz4sdincai8bikyr7";
      system = "clad";
      asd = "clad";
    });
    systems = [ "clad" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  class-options = (build-asdf-system {
    pname = "class-options";
    version = "1.0.1";
    asds = [ "class-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/class-options/2020-10-16/class-options_1.0.1.tgz";
      sha256 = "1dkgr1vbrsra44jznzz2bvdf8nlpdrrkjcqrfs8aa7axksda3bqk";
      system = "class-options";
      asd = "class-options";
    });
    systems = [ "class-options" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  class-options__tests = (build-asdf-system {
    pname = "class-options_tests";
    version = "1.0.1";
    asds = [ "class-options_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/class-options/2020-10-16/class-options_1.0.1.tgz";
      sha256 = "1dkgr1vbrsra44jznzz2bvdf8nlpdrrkjcqrfs8aa7axksda3bqk";
      system = "class-options_tests";
      asd = "class-options_tests";
    });
    systems = [ "class-options_tests" ];
    lispLibs = [ (getAttr "class-options" self) (getAttr "closer-mop" self) (getAttr "enhanced-boolean" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  classimp = (build-asdf-system {
    pname = "classimp";
    version = "20230618-git";
    asds = [ "classimp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classimp/2023-06-18/classimp-20230618-git.tgz";
      sha256 = "0i343lmvbssbgszz9s33hsn21hkrib1rdmkmcncyf644aa6ps598";
      system = "classimp";
      asd = "classimp";
    });
    systems = [ "classimp" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  classimp-samples = (build-asdf-system {
    pname = "classimp-samples";
    version = "20230618-git";
    asds = [ "classimp-samples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classimp/2023-06-18/classimp-20230618-git.tgz";
      sha256 = "0i343lmvbssbgszz9s33hsn21hkrib1rdmkmcncyf644aa6ps598";
      system = "classimp-samples";
      asd = "classimp-samples";
    });
    systems = [ "classimp-samples" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "cl-ilut" self) (getAttr "classimp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  classowary = (build-asdf-system {
    pname = "classowary";
    version = "20191007-git";
    asds = [ "classowary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classowary/2019-10-07/classowary-20191007-git.tgz";
      sha256 = "099vmnl3lny427c1vzqrxc2mi57lv944cwn0z9hb0fndlr30alkh";
      system = "classowary";
      asd = "classowary";
    });
    systems = [ "classowary" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {};
  });
  classowary-test = (build-asdf-system {
    pname = "classowary-test";
    version = "20191007-git";
    asds = [ "classowary-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/classowary/2019-10-07/classowary-20191007-git.tgz";
      sha256 = "099vmnl3lny427c1vzqrxc2mi57lv944cwn0z9hb0fndlr30alkh";
      system = "classowary-test";
      asd = "classowary-test";
    });
    systems = [ "classowary-test" ];
    lispLibs = [ (getAttr "classowary" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clast = (build-asdf-system {
    pname = "clast";
    version = "20230214-git";
    asds = [ "clast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clast/2023-02-14/clast-20230214-git.tgz";
      sha256 = "0v0d2h4wqpc8l0f3wsnp3xhag9diqx47crq6rjprs1ryajmzinfz";
      system = "clast";
      asd = "clast";
    });
    systems = [ "clast" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clath = (build-asdf-system {
    pname = "clath";
    version = "20230214-git";
    asds = [ "clath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clath/2023-02-14/clath-20230214-git.tgz";
      sha256 = "1i93r5q0rkxw9v0agi61m9hgwgj409rbwjvyi519gbf8wg0wzwir";
      system = "clath";
      asd = "clath";
    });
    systems = [ "clath" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-hash-util" self) (getAttr "cl-json" self) (getAttr "cl-who" self) (getAttr "clack" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "jose" self) (getAttr "ningle" self) (getAttr "north" self) (getAttr "ubiquitous" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clavatar = (build-asdf-system {
    pname = "clavatar";
    version = "20121013-git";
    asds = [ "clavatar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavatar/2012-10-13/clavatar-20121013-git.tgz";
      sha256 = "07r58d4dk5nr3aimrryzbf3jw6580b5gkkbpw74ax4nmm8hz6v5y";
      system = "clavatar";
      asd = "clavatar";
    });
    systems = [ "clavatar" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "drakma" self) (getAttr "iolib" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clavier = (build-asdf-system {
    pname = "clavier";
    version = "20230214-git";
    asds = [ "clavier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavier/2023-02-14/clavier-20230214-git.tgz";
      sha256 = "1gjd0rhxs2x7gn3fw1hnxivmm4ca4f1wxlg0fqv8fdfabgzsvl5y";
      system = "clavier";
      asd = "clavier";
    });
    systems = [ "clavier" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "chronicity" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clavier_dot_test = (build-asdf-system {
    pname = "clavier.test";
    version = "20230214-git";
    asds = [ "clavier.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clavier/2023-02-14/clavier-20230214-git.tgz";
      sha256 = "1gjd0rhxs2x7gn3fw1hnxivmm4ca4f1wxlg0fqv8fdfabgzsvl5y";
      system = "clavier.test";
      asd = "clavier.test";
    });
    systems = [ "clavier.test" ];
    lispLibs = [ (getAttr "clavier" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claw = (build-asdf-system {
    pname = "claw";
    version = "stable-git";
    asds = [ "claw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw/2020-10-16/claw-stable-git.tgz";
      sha256 = "146yv0hc4hmk72562ssj2d41143pp84dcbd1h7f4nx1c7hf2bb0d";
      system = "claw";
      asd = "claw";
    });
    systems = [ "claw" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "claw-support" self) (getAttr "local-time" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claw-olm = (build-asdf-system {
    pname = "claw-olm";
    version = "20210531-git";
    asds = [ "claw-olm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-olm/2021-05-31/claw-olm-20210531-git.tgz";
      sha256 = "04r6d8infhcc7vz95asrvlpc0wzkzq1blaza74nd62alakr6mmrr";
      system = "claw-olm";
      asd = "claw-olm";
    });
    systems = [ "claw-olm" ];
    lispLibs = [ (getAttr "claw-olm-bindings" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claw-olm-bindings = (build-asdf-system {
    pname = "claw-olm-bindings";
    version = "20210531-git";
    asds = [ "claw-olm-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-olm/2021-05-31/claw-olm-20210531-git.tgz";
      sha256 = "04r6d8infhcc7vz95asrvlpc0wzkzq1blaza74nd62alakr6mmrr";
      system = "claw-olm-bindings";
      asd = "claw-olm-bindings";
    });
    systems = [ "claw-olm-bindings" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claw-support = (build-asdf-system {
    pname = "claw-support";
    version = "stable-git";
    asds = [ "claw-support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-support/2020-10-16/claw-support-stable-git.tgz";
      sha256 = "1my2ka7h72ipx5n3b465g6kjkasrhsvhqlijwcg6dhlzs5yygl23";
      system = "claw-support";
      asd = "claw-support";
    });
    systems = [ "claw-support" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claw-utils = (build-asdf-system {
    pname = "claw-utils";
    version = "stable-git";
    asds = [ "claw-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claw-utils/2020-10-16/claw-utils-stable-git.tgz";
      sha256 = "01df3kyf2qs3czi332dnz2s35x2j0fq46vgmsw7wjrrvnqc22mk5";
      system = "claw-utils";
      asd = "claw-utils";
    });
    systems = [ "claw-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "claw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clawk = (build-asdf-system {
    pname = "clawk";
    version = "20200925-git";
    asds = [ "clawk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clawk/2020-09-25/clawk-20200925-git.tgz";
      sha256 = "1ph3xjqilvinvgr9q3w47zxqyz1sqnq030nlx7kgkkv8j3bnqk7a";
      system = "clawk";
      asd = "clawk";
    });
    systems = [ "clawk" ];
    lispLibs = [ (getAttr "regex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  claxy = (build-asdf-system {
    pname = "claxy";
    version = "20220220-git";
    asds = [ "claxy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/claxy/2022-02-20/claxy-20220220-git.tgz";
      sha256 = "1n6zbsfp0zkndw7r3nar8srjj1wmfgngia3p7z756mmsvp1l68va";
      system = "claxy";
      asd = "claxy";
    });
    systems = [ "claxy" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "dexador" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clazy = (build-asdf-system {
    pname = "clazy";
    version = "20230214-git";
    asds = [ "clazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clazy/2023-02-14/clazy-20230214-git.tgz";
      sha256 = "0hv0sd3ax6h36l3yjxl8ypj6gs60f5r6mfgpfn23cabq5cz8g705";
      system = "clazy";
      asd = "clazy";
    });
    systems = [ "clazy" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clem = (build-asdf-system {
    pname = "clem";
    version = "20210807-git";
    asds = [ "clem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem";
      asd = "clem";
    });
    systems = [ "clem" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clem-benchmark = (build-asdf-system {
    pname = "clem-benchmark";
    version = "20210807-git";
    asds = [ "clem-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem-benchmark";
      asd = "clem-benchmark";
    });
    systems = [ "clem-benchmark" ];
    lispLibs = [ (getAttr "clem" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clem-test = (build-asdf-system {
    pname = "clem-test";
    version = "20210807-git";
    asds = [ "clem-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clem/2021-08-07/clem-20210807-git.tgz";
      sha256 = "0vmsgxdpxrqkx3xp9n8b0fwkzk1r2dwcwjlc8yy5w2m2sighh2rk";
      system = "clem-test";
      asd = "clem-test";
    });
    systems = [ "clem-test" ];
    lispLibs = [ (getAttr "clem" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cleric = (build-asdf-system {
    pname = "cleric";
    version = "20220220-git";
    asds = [ "cleric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cleric/2022-02-20/cleric-20220220-git.tgz";
      sha256 = "0a0xqr0bpp0v62f8d13yflz3vz6j4fa9icgc134ajaqxcfa7k0vp";
      system = "cleric";
      asd = "cleric";
    });
    systems = [ "cleric" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "com_dot_gigamonkeys_dot_binary-data" self) (getAttr "epmd" self) (getAttr "erlang-term" self) (getAttr "md5" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cleric-test = (build-asdf-system {
    pname = "cleric-test";
    version = "20220220-git";
    asds = [ "cleric-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cleric/2022-02-20/cleric-20220220-git.tgz";
      sha256 = "0a0xqr0bpp0v62f8d13yflz3vz6j4fa9icgc134ajaqxcfa7k0vp";
      system = "cleric-test";
      asd = "cleric-test";
    });
    systems = [ "cleric-test" ];
    lispLibs = [ (getAttr "cleric" self) (getAttr "erlang-term-test" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clerk = (build-asdf-system {
    pname = "clerk";
    version = "20220220-git";
    asds = [ "clerk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clerk/2022-02-20/clerk-20220220-git.tgz";
      sha256 = "0x9rzdylgl6ingkg6g47wh7pb6k30mnl718y8ql1pg0vfd5y1hml";
      system = "clerk";
      asd = "clerk";
    });
    systems = [ "clerk" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clerk-test = (build-asdf-system {
    pname = "clerk-test";
    version = "20220220-git";
    asds = [ "clerk-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clerk/2022-02-20/clerk-20220220-git.tgz";
      sha256 = "0x9rzdylgl6ingkg6g47wh7pb6k30mnl718y8ql1pg0vfd5y1hml";
      system = "clerk-test";
      asd = "clerk";
    });
    systems = [ "clerk-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clesh = (build-asdf-system {
    pname = "clesh";
    version = "20201220-git";
    asds = [ "clesh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clesh/2020-12-20/clesh-20201220-git.tgz";
      sha256 = "012ry02djnqyvvs61wbbqj3saz621w2l9gczrywdxhi5p4ycx318";
      system = "clesh";
      asd = "clesh";
    });
    systems = [ "clesh" ];
    lispLibs = [ (getAttr "named-readtables" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clesh-tests = (build-asdf-system {
    pname = "clesh-tests";
    version = "20201220-git";
    asds = [ "clesh-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clesh/2020-12-20/clesh-20201220-git.tgz";
      sha256 = "012ry02djnqyvvs61wbbqj3saz621w2l9gczrywdxhi5p4ycx318";
      system = "clesh-tests";
      asd = "clesh-tests";
    });
    systems = [ "clesh-tests" ];
    lispLibs = [ (getAttr "clesh" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cletris = (build-asdf-system {
    pname = "cletris";
    version = "20211020-git";
    asds = [ "cletris" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris";
      asd = "cletris";
    });
    systems = [ "cletris" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "pal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cletris-network = (build-asdf-system {
    pname = "cletris-network";
    version = "20211020-git";
    asds = [ "cletris-network" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris-network";
      asd = "cletris-network";
    });
    systems = [ "cletris-network" ];
    lispLibs = [ (getAttr "cl-log" self) (getAttr "cl-ppcre" self) (getAttr "cletris" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cletris-test = (build-asdf-system {
    pname = "cletris-test";
    version = "20211020-git";
    asds = [ "cletris-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cletris/2021-10-20/cletris-20211020-git.tgz";
      sha256 = "0k7j0jg4dc6q7p7h3vin3hs0f7q8d7yarg2mw0c3hng19r4q9p8v";
      system = "cletris-test";
      asd = "cletris-test";
    });
    systems = [ "cletris-test" ];
    lispLibs = [ (getAttr "cletris" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clfswm = (build-asdf-system {
    pname = "clfswm";
    version = "20161204-git";
    asds = [ "clfswm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clfswm/2016-12-04/clfswm-20161204-git.tgz";
      sha256 = "1r84cpcs74avkjw18ckz3r3836xhky2fcf5ypbfmajpjzxwn5dzc";
      system = "clfswm";
      asd = "clfswm";
    });
    systems = [ "clfswm" ];
    lispLibs = [ (getAttr "clx" self) ];
    meta = {};
  });
  clgplot = (build-asdf-system {
    pname = "clgplot";
    version = "20221106-git";
    asds = [ "clgplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clgplot/2022-11-06/clgplot-20221106-git.tgz";
      sha256 = "0qhhbdwahpn9ass9am9fdpvcnfpi4jrss60kip6jkkzgir9iyz0p";
      system = "clgplot";
      asd = "clgplot";
    });
    systems = [ "clgplot" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clgplot-test = (build-asdf-system {
    pname = "clgplot-test";
    version = "20221106-git";
    asds = [ "clgplot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clgplot/2022-11-06/clgplot-20221106-git.tgz";
      sha256 = "0qhhbdwahpn9ass9am9fdpvcnfpi4jrss60kip6jkkzgir9iyz0p";
      system = "clgplot-test";
      asd = "clgplot-test";
    });
    systems = [ "clgplot-test" ];
    lispLibs = [ (getAttr "clgplot" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clhs = (build-asdf-system {
    pname = "clhs";
    version = "0.6.3";
    asds = [ "clhs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clhs/2015-04-07/clhs-0.6.3.tgz";
      sha256 = "1jffq2w9yql4cvxy2g5c2v402014306qklp4xhddjjlfvs30sfjd";
      system = "clhs";
      asd = "clhs";
    });
    systems = [ "clhs" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cli-parser = (build-asdf-system {
    pname = "cli-parser";
    version = "20150608-git";
    asds = [ "cli-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cli-parser/2015-06-08/cl-cli-parser-20150608-git.tgz";
      sha256 = "0gnpakzakkb2j67v2wh4q87k6mmrv0c0fg56m4vx88kgpxp7f90f";
      system = "cli-parser";
      asd = "cli-parser";
    });
    systems = [ "cli-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clickr = (build-asdf-system {
    pname = "clickr";
    version = "20140713-git";
    asds = [ "clickr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clickr/2014-07-13/clickr-20140713-git.tgz";
      sha256 = "0sykp4aaxjf8xcyiqyqs6967f0fna8ahjqi7ij5z79fd530sxz2s";
      system = "clickr";
      asd = "clickr";
    });
    systems = [ "clickr" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "md5" self) (getAttr "s-xml" self) (getAttr "s-xml-rpc" self) (getAttr "trivial-http" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim = (build-asdf-system {
    pname = "clim";
    version = "20230618-git";
    asds = [ "clim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim";
      asd = "clim";
    });
    systems = [ "clim" ];
    lispLibs = [ (getAttr "clim-core" self) (getAttr "drei-mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-core = (build-asdf-system {
    pname = "clim-core";
    version = "20230618-git";
    asds = [ "clim-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-core";
      asd = "clim-core";
    });
    systems = [ "clim-core" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "cluffer" self) (getAttr "spatial-trees" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-debugger = (build-asdf-system {
    pname = "clim-debugger";
    version = "20230618-git";
    asds = [ "clim-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-debugger";
      asd = "clim-debugger";
    });
    systems = [ "clim-debugger" ];
    lispLibs = [ (getAttr "clouseau" self) (getAttr "mcclim" self) (getAttr "slim" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-examples = (build-asdf-system {
    pname = "clim-examples";
    version = "20230618-git";
    asds = [ "clim-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-examples";
      asd = "clim-examples";
    });
    systems = [ "clim-examples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clim" self) (getAttr "closer-mop" self) (getAttr "lorem-ipsum" self) (getAttr "mcclim" self) (getAttr "mcclim-bezier" self) (getAttr "mcclim-raster-image" self) (getAttr "mcclim-svg" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-lisp = (build-asdf-system {
    pname = "clim-lisp";
    version = "20230618-git";
    asds = [ "clim-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-lisp";
      asd = "clim-lisp";
    });
    systems = [ "clim-lisp" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "trivial-features" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-listener = (build-asdf-system {
    pname = "clim-listener";
    version = "20230618-git";
    asds = [ "clim-listener" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-listener";
      asd = "clim-listener";
    });
    systems = [ "clim-listener" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "clim-debugger" self) (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-pdf = (build-asdf-system {
    pname = "clim-pdf";
    version = "20230618-git";
    asds = [ "clim-pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-pdf";
      asd = "clim-pdf";
    });
    systems = [ "clim-pdf" ];
    lispLibs = [ (getAttr "cl-pdf" self) (getAttr "clim" self) (getAttr "clim-postscript" self) (getAttr "clim-postscript-font" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-postscript = (build-asdf-system {
    pname = "clim-postscript";
    version = "20230618-git";
    asds = [ "clim-postscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-postscript";
      asd = "clim-postscript";
    });
    systems = [ "clim-postscript" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "clim-postscript-font" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-postscript-font = (build-asdf-system {
    pname = "clim-postscript-font";
    version = "20230618-git";
    asds = [ "clim-postscript-font" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clim-postscript-font";
      asd = "clim-postscript-font";
    });
    systems = [ "clim-postscript-font" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "mcclim-backend-common" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clim-widgets = (build-asdf-system {
    pname = "clim-widgets";
    version = "20200715-git";
    asds = [ "clim-widgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clim-widgets/2020-07-15/clim-widgets-20200715-git.tgz";
      sha256 = "0cpr8xn5a33sy75d06b95cfd3b1h9m5iixgg5h4isavpx3aglmy2";
      system = "clim-widgets";
      asd = "clim-widgets";
    });
    systems = [ "clim-widgets" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "closer-mop" self) (getAttr "local-time" self) (getAttr "manifest" self) (getAttr "mcclim" self) (getAttr "nsort" self) (getAttr "perlre" self) (getAttr "simple-date-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  climacs = (build-asdf-system {
    pname = "climacs";
    version = "20230214-git";
    asds = [ "climacs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climacs/2023-02-14/climacs-20230214-git.tgz";
      sha256 = "1l6bjf99sybd3c1xv4ikwix3kh83rw5xplfkbra6xfqjyacl8n7h";
      system = "climacs";
      asd = "climacs";
    });
    systems = [ "climacs" ];
    lispLibs = [ (getAttr "flexichain" self) (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  climc = (build-asdf-system {
    pname = "climc";
    version = "20230214-git";
    asds = [ "climc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climc/2023-02-14/climc-20230214-git.tgz";
      sha256 = "0wnsyxkff5i4n36rwb5z54j4gi0j9n8459wcm6cj3lg77njmpasb";
      system = "climc";
      asd = "climc";
    });
    systems = [ "climc" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-xmpp-tls" self) (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  climc-test = (build-asdf-system {
    pname = "climc-test";
    version = "20230214-git";
    asds = [ "climc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climc/2023-02-14/climc-20230214-git.tgz";
      sha256 = "0wnsyxkff5i4n36rwb5z54j4gi0j9n8459wcm6cj3lg77njmpasb";
      system = "climc-test";
      asd = "climc-test";
    });
    systems = [ "climc-test" ];
    lispLibs = [ (getAttr "climc" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  climon = (build-asdf-system {
    pname = "climon";
    version = "20220220-git";
    asds = [ "climon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climon/2022-02-20/climon-20220220-git.tgz";
      sha256 = "00bdxpzgvmf5yg785xc9454nv7x5n314kywjd0f12mbvrgklb818";
      system = "climon";
      asd = "climon";
    });
    systems = [ "climon" ];
    lispLibs = [ (getAttr "pal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  climon-test = (build-asdf-system {
    pname = "climon-test";
    version = "20220220-git";
    asds = [ "climon-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/climon/2022-02-20/climon-20220220-git.tgz";
      sha256 = "00bdxpzgvmf5yg785xc9454nv7x5n314kywjd0f12mbvrgklb818";
      system = "climon-test";
      asd = "climon-test";
    });
    systems = [ "climon-test" ];
    lispLibs = [ (getAttr "climon" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinch = (build-asdf-system {
    pname = "clinch";
    version = "20180228-git";
    asds = [ "clinch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch";
      asd = "clinch";
    });
    systems = [ "clinch" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-opengl" self) (getAttr "rtg-math" self) (getAttr "sdl2" self) (getAttr "swank" self) (getAttr "trivial-channels" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinch-cairo = (build-asdf-system {
    pname = "clinch-cairo";
    version = "20180228-git";
    asds = [ "clinch-cairo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-cairo";
      asd = "clinch-cairo";
    });
    systems = [ "clinch-cairo" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-cairo2" self) (getAttr "clinch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinch-classimp = (build-asdf-system {
    pname = "clinch-classimp";
    version = "20180228-git";
    asds = [ "clinch-classimp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-classimp";
      asd = "clinch-classimp";
    });
    systems = [ "clinch-classimp" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "classimp" self) (getAttr "clinch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinch-freeimage = (build-asdf-system {
    pname = "clinch-freeimage";
    version = "20180228-git";
    asds = [ "clinch-freeimage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-freeimage";
      asd = "clinch-freeimage";
    });
    systems = [ "clinch-freeimage" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-freeimage" self) (getAttr "clinch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinch-pango = (build-asdf-system {
    pname = "clinch-pango";
    version = "20180228-git";
    asds = [ "clinch-pango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinch/2018-02-28/clinch-20180228-git.tgz";
      sha256 = "0hrj3kdxnazffrax3jmr6pgfahpj94lg43lczha6xpayhl49bqik";
      system = "clinch-pango";
      asd = "clinch-pango";
    });
    systems = [ "clinch-pango" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-cairo2" self) (getAttr "cl-pango" self) (getAttr "clinch" self) (getAttr "clinch-cairo" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clinenoise = (build-asdf-system {
    pname = "clinenoise";
    version = "20200427-git";
    asds = [ "clinenoise" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clinenoise/2020-04-27/clinenoise-20200427-git.tgz";
      sha256 = "0ydlirfk4dbpqqjwwph99v5swcrhd8v9g8q24fvs35wn2vm08lh1";
      system = "clinenoise";
      asd = "clinenoise";
    });
    systems = [ "clinenoise" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clingon = (build-asdf-system {
    pname = "clingon";
    version = "20230618-git";
    asds = [ "clingon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2023-06-18/clingon-20230618-git.tgz";
      sha256 = "1siq6xiwvp8v66v1w7cwgnvxdazm687cxnkbmn3f3cyjaq2h5r40";
      system = "clingon";
      asd = "clingon";
    });
    systems = [ "clingon" ];
    lispLibs = [ (getAttr "bobbin" self) (getAttr "cl-reexport" self) (getAttr "split-sequence" self) (getAttr "with-user-abort" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clingon_dot_demo = (build-asdf-system {
    pname = "clingon.demo";
    version = "20230618-git";
    asds = [ "clingon.demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2023-06-18/clingon-20230618-git.tgz";
      sha256 = "1siq6xiwvp8v66v1w7cwgnvxdazm687cxnkbmn3f3cyjaq2h5r40";
      system = "clingon.demo";
      asd = "clingon.demo";
    });
    systems = [ "clingon.demo" ];
    lispLibs = [ (getAttr "clingon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clingon_dot_intro = (build-asdf-system {
    pname = "clingon.intro";
    version = "20230618-git";
    asds = [ "clingon.intro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2023-06-18/clingon-20230618-git.tgz";
      sha256 = "1siq6xiwvp8v66v1w7cwgnvxdazm687cxnkbmn3f3cyjaq2h5r40";
      system = "clingon.intro";
      asd = "clingon.intro";
    });
    systems = [ "clingon.intro" ];
    lispLibs = [ (getAttr "clingon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clingon_dot_test = (build-asdf-system {
    pname = "clingon.test";
    version = "20230618-git";
    asds = [ "clingon.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clingon/2023-06-18/clingon-20230618-git.tgz";
      sha256 = "1siq6xiwvp8v66v1w7cwgnvxdazm687cxnkbmn3f3cyjaq2h5r40";
      system = "clingon.test";
      asd = "clingon.test";
    });
    systems = [ "clingon.test" ];
    lispLibs = [ (getAttr "clingon" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clip = (build-asdf-system {
    pname = "clip";
    version = "20230214-git";
    asds = [ "clip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clip/2023-02-14/clip-20230214-git.tgz";
      sha256 = "0s805cqbv45vnans46942l257j0sywy15q7gds14gr33rawvjy4i";
      system = "clip";
      asd = "clip";
    });
    systems = [ "clip" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "lquery" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clipper = (build-asdf-system {
    pname = "clipper";
    version = "20150923-git";
    asds = [ "clipper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clipper/2015-09-23/clipper-20150923-git.tgz";
      sha256 = "0xx1z7xjy2qkb6hx4bjjxcpv180lynpxrmx0741zk0qcxf32y56n";
      system = "clipper";
      asd = "clipper";
    });
    systems = [ "clipper" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-syntax-annot" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "fast-io" self) (getAttr "opticl" self) (getAttr "quri" self) (getAttr "split-sequence" self) (getAttr "zs3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clipper-test = (build-asdf-system {
    pname = "clipper-test";
    version = "20150923-git";
    asds = [ "clipper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clipper/2015-09-23/clipper-20150923-git.tgz";
      sha256 = "0xx1z7xjy2qkb6hx4bjjxcpv180lynpxrmx0741zk0qcxf32y56n";
      system = "clipper-test";
      asd = "clipper-test";
    });
    systems = [ "clipper-test" ];
    lispLibs = [ (getAttr "clipper" self) (getAttr "integral" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clite = (build-asdf-system {
    pname = "clite";
    version = "20130615-git";
    asds = [ "clite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clite/2013-06-15/clite-20130615-git.tgz";
      sha256 = "0q73vzm55i7m6in9i3fwwaqxvwm3pr7mm7gh7qsvfya61248ynrz";
      system = "clite";
      asd = "clite";
    });
    systems = [ "clite" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clj = (build-asdf-system {
    pname = "clj";
    version = "20201220-git";
    asds = [ "clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj/2020-12-20/clj-20201220-git.tgz";
      sha256 = "0yic6w2n09w3v2r1dlg9a7z59j9rapj4hpz8whcxlw6zs4wrwib2";
      system = "clj";
      asd = "clj";
    });
    systems = [ "clj" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "arrow-macros" self) (getAttr "cl-hamt" self) (getAttr "local-package-aliases" self) (getAttr "named-readtables" self) (getAttr "optima" self) (getAttr "prove-asdf" self) (getAttr "test-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clj-con = (build-asdf-system {
    pname = "clj-con";
    version = "20210807-git";
    asds = [ "clj-con" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-con/2021-08-07/clj-con-20210807-git.tgz";
      sha256 = "0b996cfvl8nnjf2mh8ki4gdzrr4hhnhbmlgacw74hmfb6nqjb466";
      system = "clj-con";
      asd = "clj-con";
    });
    systems = [ "clj-con" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clj-con-test = (build-asdf-system {
    pname = "clj-con-test";
    version = "20210807-git";
    asds = [ "clj-con-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-con/2021-08-07/clj-con-20210807-git.tgz";
      sha256 = "0b996cfvl8nnjf2mh8ki4gdzrr4hhnhbmlgacw74hmfb6nqjb466";
      system = "clj-con-test";
      asd = "clj-con-test";
    });
    systems = [ "clj-con-test" ];
    lispLibs = [ (getAttr "clj-con" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clj-re = (build-asdf-system {
    pname = "clj-re";
    version = "20221106-git";
    asds = [ "clj-re" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-re/2022-11-06/clj-re-20221106-git.tgz";
      sha256 = "1ybcf687hybq2n9vag9i90mdx3cqajdj63q7vryxamp39zmgqks6";
      system = "clj-re";
      asd = "clj-re";
    });
    systems = [ "clj-re" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clj-re-test = (build-asdf-system {
    pname = "clj-re-test";
    version = "20221106-git";
    asds = [ "clj-re-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clj-re/2022-11-06/clj-re-20221106-git.tgz";
      sha256 = "1ybcf687hybq2n9vag9i90mdx3cqajdj63q7vryxamp39zmgqks6";
      system = "clj-re-test";
      asd = "clj-re-test";
    });
    systems = [ "clj-re-test" ];
    lispLibs = [ (getAttr "clj-re" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml = (build-asdf-system {
    pname = "clml";
    version = "20220220-git";
    asds = [ "clml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml";
      asd = "clml";
    });
    systems = [ "clml" ];
    lispLibs = [ (getAttr "clml_dot_association-rule" self) (getAttr "clml_dot_blas" self) (getAttr "clml_dot_classifiers" self) (getAttr "clml_dot_clustering" self) (getAttr "clml_dot_data" self) (getAttr "clml_dot_decision-tree" self) (getAttr "clml_dot_graph" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_lapack" self) (getAttr "clml_dot_nearest-search" self) (getAttr "clml_dot_nonparametric" self) (getAttr "clml_dot_numeric" self) (getAttr "clml_dot_pca" self) (getAttr "clml_dot_som" self) (getAttr "clml_dot_statistics" self) (getAttr "clml_dot_svm" self) (getAttr "clml_dot_text" self) (getAttr "clml_dot_time-series" self) (getAttr "clml_dot_utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_association-rule = (build-asdf-system {
    pname = "clml.association-rule";
    version = "20220220-git";
    asds = [ "clml.association-rule" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.association-rule";
      asd = "clml.association-rule";
    });
    systems = [ "clml.association-rule" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_blas = (build-asdf-system {
    pname = "clml.blas";
    version = "20220220-git";
    asds = [ "clml.blas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas";
      asd = "clml.blas";
    });
    systems = [ "clml.blas" ];
    lispLibs = [ (getAttr "clml_dot_blas_dot_complex" self) (getAttr "clml_dot_blas_dot_hompack" self) (getAttr "clml_dot_blas_dot_real" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_blas_dot_complex = (build-asdf-system {
    pname = "clml.blas.complex";
    version = "20220220-git";
    asds = [ "clml.blas.complex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.complex";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.complex" ];
    lispLibs = [ (getAttr "f2cl-lib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_blas_dot_hompack = (build-asdf-system {
    pname = "clml.blas.hompack";
    version = "20220220-git";
    asds = [ "clml.blas.hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.hompack";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.hompack" ];
    lispLibs = [ (getAttr "f2cl-lib" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  clml_dot_blas_dot_real = (build-asdf-system {
    pname = "clml.blas.real";
    version = "20220220-git";
    asds = [ "clml.blas.real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.blas.real";
      asd = "clml.blas";
    });
    systems = [ "clml.blas.real" ];
    lispLibs = [ (getAttr "f2cl-lib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_classifiers = (build-asdf-system {
    pname = "clml.classifiers";
    version = "20220220-git";
    asds = [ "clml.classifiers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.classifiers";
      asd = "clml.classifiers";
    });
    systems = [ "clml.classifiers" ];
    lispLibs = [ (getAttr "clml_dot_clustering" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_svm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_clustering = (build-asdf-system {
    pname = "clml.clustering";
    version = "20220220-git";
    asds = [ "clml.clustering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.clustering";
      asd = "clml.clustering";
    });
    systems = [ "clml.clustering" ];
    lispLibs = [ (getAttr "clml_dot_blas" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_nearest-search" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_data = (build-asdf-system {
    pname = "clml.data";
    version = "20220220-git";
    asds = [ "clml.data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.data";
      asd = "clml.data";
    });
    systems = [ "clml.data" ];
    lispLibs = [ (getAttr "clml_dot_data_dot_r-datasets" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_data_dot_r-datasets = (build-asdf-system {
    pname = "clml.data.r-datasets";
    version = "20220220-git";
    asds = [ "clml.data.r-datasets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.data.r-datasets";
      asd = "clml.data.r-datasets";
    });
    systems = [ "clml.data.r-datasets" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_utility" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_decision-tree = (build-asdf-system {
    pname = "clml.decision-tree";
    version = "20220220-git";
    asds = [ "clml.decision-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.decision-tree";
      asd = "clml.decision-tree";
    });
    systems = [ "clml.decision-tree" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_docs = (build-asdf-system {
    pname = "clml.docs";
    version = "20220220-git";
    asds = [ "clml.docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.docs";
      asd = "clml.docs";
    });
    systems = [ "clml.docs" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "clml" self) (getAttr "clod" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_graph = (build-asdf-system {
    pname = "clml.graph";
    version = "20220220-git";
    asds = [ "clml.graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.graph";
      asd = "clml.graph";
    });
    systems = [ "clml.graph" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_statistics" self) (getAttr "clml_dot_time-series" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_hjs = (build-asdf-system {
    pname = "clml.hjs";
    version = "20220220-git";
    asds = [ "clml.hjs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.hjs";
      asd = "clml.hjs";
    });
    systems = [ "clml.hjs" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clml_dot_blas" self) (getAttr "clml_dot_lapack" self) (getAttr "clml_dot_statistics" self) (getAttr "clml_dot_utility" self) (getAttr "future" self) (getAttr "introspect-environment" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_lapack = (build-asdf-system {
    pname = "clml.lapack";
    version = "20220220-git";
    asds = [ "clml.lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.lapack";
      asd = "clml.lapack";
    });
    systems = [ "clml.lapack" ];
    lispLibs = [ (getAttr "clml_dot_blas" self) (getAttr "clml_dot_lapack-real" self) (getAttr "f2cl-lib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_lapack-real = (build-asdf-system {
    pname = "clml.lapack-real";
    version = "20220220-git";
    asds = [ "clml.lapack-real" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.lapack-real";
      asd = "clml.lapack";
    });
    systems = [ "clml.lapack-real" ];
    lispLibs = [ (getAttr "clml_dot_blas" self) (getAttr "f2cl-lib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_nearest-search = (build-asdf-system {
    pname = "clml.nearest-search";
    version = "20220220-git";
    asds = [ "clml.nearest-search" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.nearest-search";
      asd = "clml.nearest-search";
    });
    systems = [ "clml.nearest-search" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_nonparametric" self) (getAttr "clml_dot_pca" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_nonparametric = (build-asdf-system {
    pname = "clml.nonparametric";
    version = "20220220-git";
    asds = [ "clml.nonparametric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.nonparametric";
      asd = "clml.nonparametric";
    });
    systems = [ "clml.nonparametric" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_numeric = (build-asdf-system {
    pname = "clml.numeric";
    version = "20220220-git";
    asds = [ "clml.numeric" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.numeric";
      asd = "clml.numeric";
    });
    systems = [ "clml.numeric" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_pca = (build-asdf-system {
    pname = "clml.pca";
    version = "20220220-git";
    asds = [ "clml.pca" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.pca";
      asd = "clml.pca";
    });
    systems = [ "clml.pca" ];
    lispLibs = [ (getAttr "clml_dot_decision-tree" self) (getAttr "clml_dot_hjs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_pca_dot_examples = (build-asdf-system {
    pname = "clml.pca.examples";
    version = "20220220-git";
    asds = [ "clml.pca.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.pca.examples";
      asd = "clml.pca";
    });
    systems = [ "clml.pca.examples" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_pca" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_som = (build-asdf-system {
    pname = "clml.som";
    version = "20220220-git";
    asds = [ "clml.som" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.som";
      asd = "clml.som";
    });
    systems = [ "clml.som" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_statistics" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_som_dot_example = (build-asdf-system {
    pname = "clml.som.example";
    version = "20220220-git";
    asds = [ "clml.som.example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.som.example";
      asd = "clml.som";
    });
    systems = [ "clml.som.example" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_som" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_statistics = (build-asdf-system {
    pname = "clml.statistics";
    version = "20220220-git";
    asds = [ "clml.statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.statistics";
      asd = "clml.statistics";
    });
    systems = [ "clml.statistics" ];
    lispLibs = [ (getAttr "clml_dot_statistics_dot_rand" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_statistics_dot_rand = (build-asdf-system {
    pname = "clml.statistics.rand";
    version = "20220220-git";
    asds = [ "clml.statistics.rand" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.statistics.rand";
      asd = "clml.statistics.rand";
    });
    systems = [ "clml.statistics.rand" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_svm = (build-asdf-system {
    pname = "clml.svm";
    version = "20220220-git";
    asds = [ "clml.svm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.svm";
      asd = "clml.svm";
    });
    systems = [ "clml.svm" ];
    lispLibs = [ (getAttr "clml_dot_decision-tree" self) (getAttr "clml_dot_hjs" self) (getAttr "future" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_svm_dot_examples = (build-asdf-system {
    pname = "clml.svm.examples";
    version = "20220220-git";
    asds = [ "clml.svm.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.svm.examples";
      asd = "clml.svm";
    });
    systems = [ "clml.svm.examples" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_svm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_test = (build-asdf-system {
    pname = "clml.test";
    version = "20220220-git";
    asds = [ "clml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.test";
      asd = "clml.test";
    });
    systems = [ "clml.test" ];
    lispLibs = [ (getAttr "clml" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_text = (build-asdf-system {
    pname = "clml.text";
    version = "20220220-git";
    asds = [ "clml.text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.text";
      asd = "clml.text";
    });
    systems = [ "clml.text" ];
    lispLibs = [ (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_nonparametric" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_time-series = (build-asdf-system {
    pname = "clml.time-series";
    version = "20220220-git";
    asds = [ "clml.time-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.time-series";
      asd = "clml.time-series";
    });
    systems = [ "clml.time-series" ];
    lispLibs = [ (getAttr "array-operations" self) (getAttr "clml_dot_hjs" self) (getAttr "clml_dot_numeric" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clml_dot_utility = (build-asdf-system {
    pname = "clml.utility";
    version = "20220220-git";
    asds = [ "clml.utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "clml.utility";
      asd = "clml.utility";
    });
    systems = [ "clml.utility" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "iterate" self) (getAttr "parse-number" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clnuplot = (build-asdf-system {
    pname = "clnuplot";
    version = "20130128-darcs";
    asds = [ "clnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clnuplot/2013-01-28/clnuplot-20130128-darcs.tgz";
      sha256 = "0yfaay5idv9lq4ilafj305sg349c960n3q400kdayr0gda6pqlqr";
      system = "clnuplot";
      asd = "clnuplot";
    });
    systems = [ "clnuplot" ];
    lispLibs = [ (getAttr "cl-containers" self) (getAttr "cl-mathstats" self) (getAttr "metabang-bind" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clobber = (build-asdf-system {
    pname = "clobber";
    version = "20221106-git";
    asds = [ "clobber" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clobber/2022-11-06/clobber-20221106-git.tgz";
      sha256 = "0pqzfn2wqbzzwlwc3l84iv3i3wa9zfgnh14mq67h9qkib8wjzx3n";
      system = "clobber";
      asd = "clobber";
    });
    systems = [ "clobber" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clod = (build-asdf-system {
    pname = "clod";
    version = "20190307-hg";
    asds = [ "clod" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clod/2019-03-07/clod-20190307-hg.tgz";
      sha256 = "0sdlr6jlqnbiyf06648zhq8dpni3zy0n5rwjcrvm4hw7vcy8vhy1";
      system = "clod";
      asd = "clod";
    });
    systems = [ "clod" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clods-export = (build-asdf-system {
    pname = "clods-export";
    version = "20210411-git";
    asds = [ "clods-export" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clods-export/2021-04-11/clods-export-20210411-git.tgz";
      sha256 = "1bbzrl855qjs88ni548filghb2y8fvklkik22amwzi6dbzvq48qx";
      system = "clods-export";
      asd = "clods-export";
    });
    systems = [ "clods-export" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cxml" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clog = (build-asdf-system {
    pname = "clog";
    version = "20230618-git";
    asds = [ "clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2023-06-18/clog-20230618-git.tgz";
      sha256 = "068p45l2i45rlgxwdj09wkcgzjk2dlkkc9hkaaiw1bcjn6gxvxsc";
      system = "clog";
      asd = "clog";
    });
    systems = [ "clog" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "cl-dbi" self) (getAttr "cl-isaac" self) (getAttr "cl-pass" self) (getAttr "cl-ppcre" self) (getAttr "cl-template" self) (getAttr "clack" self) (getAttr "closer-mop" self) (getAttr "hunchentoot" self) (getAttr "lack-middleware-static" self) (getAttr "lack-request" self) (getAttr "lack-util-writer-stream" self) (getAttr "mgl-pax" self) (getAttr "parse-float" self) (getAttr "quri" self) (getAttr "sqlite" self) (getAttr "trivial-open-browser" self) (getAttr "websocket-driver" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clog-ace = (build-asdf-system {
    pname = "clog-ace";
    version = "20221106-git";
    asds = [ "clog-ace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-ace/2022-11-06/clog-ace-20221106-git.tgz";
      sha256 = "0hci7qwbnjnjiy4jr6pkn3h4l9j80mypa4fi60adsz4fqm09yr41";
      system = "clog-ace";
      asd = "clog-ace";
    });
    systems = [ "clog-ace" ];
    lispLibs = [ (getAttr "clog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clog-plotly = (build-asdf-system {
    pname = "clog-plotly";
    version = "20221106-git";
    asds = [ "clog-plotly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-plotly/2022-11-06/clog-plotly-20221106-git.tgz";
      sha256 = "0jzpd41vchn6ag93kfrl8gd3ckds9rq6jpy34dlla6y5s2mbjbif";
      system = "clog-plotly";
      asd = "clog-plotly";
    });
    systems = [ "clog-plotly" ];
    lispLibs = [ (getAttr "clog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clog-terminal = (build-asdf-system {
    pname = "clog-terminal";
    version = "20221106-git";
    asds = [ "clog-terminal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog-terminal/2022-11-06/clog-terminal-20221106-git.tgz";
      sha256 = "1ma7x3q4gak0ndwgbpnc1par3zcc6b02mpzwrgqmyi1251868rrq";
      system = "clog-terminal";
      asd = "clog-terminal";
    });
    systems = [ "clog-terminal" ];
    lispLibs = [ (getAttr "clog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clonsigna = (build-asdf-system {
    pname = "clonsigna";
    version = "20120909-git";
    asds = [ "clonsigna" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clonsigna/2012-09-09/clonsigna-20120909-git.tgz";
      sha256 = "052vdch0q07sx3j615qgw8z536fmqz8fm3qv7f298ql3wcskrj7j";
      system = "clonsigna";
      asd = "clonsigna";
    });
    systems = [ "clonsigna" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "iolib" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clop = (build-asdf-system {
    pname = "clop";
    version = "v1.0.1";
    asds = [ "clop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clop/2022-02-20/clop-v1.0.1.tgz";
      sha256 = "1q7rlizr8gcbfz4a9660gdbw7d2zbld18akjpibg54j7jh5kb8gc";
      system = "clop";
      asd = "clop";
    });
    systems = [ "clop" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "local-time" self) (getAttr "parse-number" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clop-tests = (build-asdf-system {
    pname = "clop-tests";
    version = "v1.0.1";
    asds = [ "clop-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clop/2022-02-20/clop-v1.0.1.tgz";
      sha256 = "1q7rlizr8gcbfz4a9660gdbw7d2zbld18akjpibg54j7jh5kb8gc";
      system = "clop-tests";
      asd = "clop";
    });
    systems = [ "clop-tests" ];
    lispLibs = [ (getAttr "clop" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clos-diff = (build-asdf-system {
    pname = "clos-diff";
    version = "20150608-git";
    asds = [ "clos-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-diff/2015-06-08/clos-diff-20150608-git.tgz";
      sha256 = "0y6chxzqwwwkrrmxxb74wwci6i4ck6i3fq36w9gl03qbrksfyjkz";
      system = "clos-diff";
      asd = "clos-diff";
    });
    systems = [ "clos-diff" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clos-fixtures = (build-asdf-system {
    pname = "clos-fixtures";
    version = "20160825-git";
    asds = [ "clos-fixtures" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-fixtures/2016-08-25/clos-fixtures-20160825-git.tgz";
      sha256 = "1a3yvqszdwnsnk5hr4zrdpaqxb8vlxpl2nhxjl0j97fnmfaiqjhk";
      system = "clos-fixtures";
      asd = "clos-fixtures";
    });
    systems = [ "clos-fixtures" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clos-fixtures-test = (build-asdf-system {
    pname = "clos-fixtures-test";
    version = "20160825-git";
    asds = [ "clos-fixtures-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clos-fixtures/2016-08-25/clos-fixtures-20160825-git.tgz";
      sha256 = "1a3yvqszdwnsnk5hr4zrdpaqxb8vlxpl2nhxjl0j97fnmfaiqjhk";
      system = "clos-fixtures-test";
      asd = "clos-fixtures-test";
    });
    systems = [ "clos-fixtures-test" ];
    lispLibs = [ (getAttr "clos-fixtures" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  closer-mop = (build-asdf-system {
    pname = "closer-mop";
    version = "20230618-git";
    asds = [ "closer-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closer-mop/2023-06-18/closer-mop-20230618-git.tgz";
      sha256 = "1s18zp0akln6xbxf3wv7lix86s61ll7b5hxrcnk1bwqmb6h90iay";
      system = "closer-mop";
      asd = "closer-mop";
    });
    systems = [ "closer-mop" ];
    lispLibs = [  ];
    meta = {};
  });
  closure-common = (build-asdf-system {
    pname = "closure-common";
    version = "20181018-git";
    asds = [ "closure-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closure-common/2018-10-18/closure-common-20181018-git.tgz";
      sha256 = "0k5r2qxn122pxi301ijir3nayi9sg4d7yiy276l36qmzwhp4mg5n";
      system = "closure-common";
      asd = "closure-common";
    });
    systems = [ "closure-common" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  closure-html = (build-asdf-system {
    pname = "closure-html";
    version = "20180711-git";
    asds = [ "closure-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/closure-html/2018-07-11/closure-html-20180711-git.tgz";
      sha256 = "105vm29qnxh6zj3rh4jwpm8dyp3b9bsva64c8a78cr270p28d032";
      system = "closure-html";
      asd = "closure-html";
    });
    systems = [ "closure-html" ];
    lispLibs = [ (getAttr "closure-common" self) (getAttr "flexi-streams" self) ];
    meta = {};
  });
  closure-template = (build-asdf-system {
    pname = "closure-template";
    version = "20150804-git";
    asds = [ "closure-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-closure-template/2015-08-04/cl-closure-template-20150804-git.tgz";
      sha256 = "16h0fs6bjjd4n9pbkwcprpgyj26vsw2akk3q08m7xmsmqi05dppv";
      system = "closure-template";
      asd = "closure-template";
    });
    systems = [ "closure-template" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "closer-mop" self) (getAttr "esrap" self) (getAttr "iterate" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  closure-template-test = (build-asdf-system {
    pname = "closure-template-test";
    version = "20150804-git";
    asds = [ "closure-template-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-closure-template/2015-08-04/cl-closure-template-20150804-git.tgz";
      sha256 = "16h0fs6bjjd4n9pbkwcprpgyj26vsw2akk3q08m7xmsmqi05dppv";
      system = "closure-template-test";
      asd = "closure-template";
    });
    systems = [ "closure-template-test" ];
    lispLibs = [ (getAttr "closure-template" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clouchdb = (build-asdf-system {
    pname = "clouchdb";
    version = "0.0.16";
    asds = [ "clouchdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clouchdb/2012-04-07/clouchdb_0.0.16.tgz";
      sha256 = "1zfk4wkz0k5gbfznnbds0gcpc2y08p47rq7mhchf27v6rqg4kd7d";
      system = "clouchdb";
      asd = "clouchdb";
    });
    systems = [ "clouchdb" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "parenscript" self) (getAttr "s-base64" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clouchdb-examples = (build-asdf-system {
    pname = "clouchdb-examples";
    version = "0.0.16";
    asds = [ "clouchdb-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clouchdb/2012-04-07/clouchdb_0.0.16.tgz";
      sha256 = "1zfk4wkz0k5gbfznnbds0gcpc2y08p47rq7mhchf27v6rqg4kd7d";
      system = "clouchdb-examples";
      asd = "clouchdb-examples";
    });
    systems = [ "clouchdb-examples" ];
    lispLibs = [ (getAttr "clouchdb" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clouseau = (build-asdf-system {
    pname = "clouseau";
    version = "20230618-git";
    asds = [ "clouseau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "clouseau";
      asd = "clouseau";
    });
    systems = [ "clouseau" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clpython = (build-asdf-system {
    pname = "clpython";
    version = "20220331-git";
    asds = [ "clpython" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-python/2022-03-31/cl-python-20220331-git.tgz";
      sha256 = "1liskpyfd8rbqn45xbymwvh4vic05pyvvf3hnq2ybyixwnkan9i9";
      system = "clpython";
      asd = "clpython";
    });
    systems = [ "clpython" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "closer-mop" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql = (build-asdf-system {
    pname = "clsql";
    version = "20221106-git";
    asds = [ "clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql";
      asd = "clsql";
    });
    systems = [ "clsql" ];
    lispLibs = [ (getAttr "uffi" self) ];
    meta = {};
  });
  clsql-aodbc = (build-asdf-system {
    pname = "clsql-aodbc";
    version = "20221106-git";
    asds = [ "clsql-aodbc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-aodbc";
      asd = "clsql-aodbc";
    });
    systems = [ "clsql-aodbc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-cffi = (build-asdf-system {
    pname = "clsql-cffi";
    version = "20221106-git";
    asds = [ "clsql-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-cffi";
      asd = "clsql-cffi";
    });
    systems = [ "clsql-cffi" ];
    lispLibs = [ (getAttr "clsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-fluid = (build-asdf-system {
    pname = "clsql-fluid";
    version = "20170830-git";
    asds = [ "clsql-fluid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-fluid/2017-08-30/clsql-fluid-20170830-git.tgz";
      sha256 = "0i7x1xbh83wfr3k4ddsdy57yf0nqfhdxcbwv1na1ina6m5javg11";
      system = "clsql-fluid";
      asd = "clsql-fluid";
    });
    systems = [ "clsql-fluid" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "clsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-helper = (build-asdf-system {
    pname = "clsql-helper";
    version = "20180131-git";
    asds = [ "clsql-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper";
      asd = "clsql-helper";
    });
    systems = [ "clsql-helper" ];
    lispLibs = [ (getAttr "access" self) (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "clsql" self) (getAttr "collectors" self) (getAttr "iterate" self) (getAttr "md5" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-helper-slot-coercer = (build-asdf-system {
    pname = "clsql-helper-slot-coercer";
    version = "20180131-git";
    asds = [ "clsql-helper-slot-coercer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-slot-coercer";
      asd = "clsql-helper-slot-coercer";
    });
    systems = [ "clsql-helper-slot-coercer" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "clsql-helper" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-helper-slot-coercer-test = (build-asdf-system {
    pname = "clsql-helper-slot-coercer-test";
    version = "20180131-git";
    asds = [ "clsql-helper-slot-coercer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-slot-coercer-test";
      asd = "clsql-helper-slot-coercer";
    });
    systems = [ "clsql-helper-slot-coercer-test" ];
    lispLibs = [ (getAttr "clsql-helper-slot-coercer" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-helper-test = (build-asdf-system {
    pname = "clsql-helper-test";
    version = "20180131-git";
    asds = [ "clsql-helper-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-helper/2018-01-31/clsql-helper-20180131-git.tgz";
      sha256 = "0yc6m8yh0gcark98wvjjwdq3xxy308x15pb7fzha6svxa06hf27g";
      system = "clsql-helper-test";
      asd = "clsql-helper";
    });
    systems = [ "clsql-helper-test" ];
    lispLibs = [ (getAttr "clsql-helper" self) (getAttr "clsql-tests" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-local-time = (build-asdf-system {
    pname = "clsql-local-time";
    version = "20201016-git";
    asds = [ "clsql-local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-local-time/2020-10-16/clsql-local-time-20201016-git.tgz";
      sha256 = "1ipv6ij1md5mw44cbif31hiccrric3302rhssj8f7kg3s8n6mphv";
      system = "clsql-local-time";
      asd = "clsql-local-time";
    });
    systems = [ "clsql-local-time" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-mysql = (build-asdf-system {
    pname = "clsql-mysql";
    version = "20221106-git";
    asds = [ "clsql-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-mysql";
      asd = "clsql-mysql";
    });
    systems = [ "clsql-mysql" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-uffi" self) (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-odbc = (build-asdf-system {
    pname = "clsql-odbc";
    version = "20221106-git";
    asds = [ "clsql-odbc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-odbc";
      asd = "clsql-odbc";
    });
    systems = [ "clsql-odbc" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-orm = (build-asdf-system {
    pname = "clsql-orm";
    version = "20160208-git";
    asds = [ "clsql-orm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql-orm/2016-02-08/clsql-orm-20160208-git.tgz";
      sha256 = "1y9604k0mj8h03p85l5nrjkihr3yfj5fp910db9f4ksd1ln2qkka";
      system = "clsql-orm";
      asd = "clsql-orm";
    });
    systems = [ "clsql-orm" ];
    lispLibs = [ (getAttr "cl-inflector" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "clsql" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-postgresql = (build-asdf-system {
    pname = "clsql-postgresql";
    version = "20221106-git";
    asds = [ "clsql-postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql";
      asd = "clsql-postgresql";
    });
    systems = [ "clsql-postgresql" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-uffi" self) ];
    meta = {};
  });
  clsql-postgresql-socket = (build-asdf-system {
    pname = "clsql-postgresql-socket";
    version = "20221106-git";
    asds = [ "clsql-postgresql-socket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql-socket";
      asd = "clsql-postgresql-socket";
    });
    systems = [ "clsql-postgresql-socket" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "md5" self) (getAttr "uffi" self) ];
    meta = {};
  });
  clsql-postgresql-socket3 = (build-asdf-system {
    pname = "clsql-postgresql-socket3";
    version = "20221106-git";
    asds = [ "clsql-postgresql-socket3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-postgresql-socket3";
      asd = "clsql-postgresql-socket3";
    });
    systems = [ "clsql-postgresql-socket3" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "clsql" self) (getAttr "md5" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-sqlite = (build-asdf-system {
    pname = "clsql-sqlite";
    version = "20221106-git";
    asds = [ "clsql-sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-sqlite";
      asd = "clsql-sqlite";
    });
    systems = [ "clsql-sqlite" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-sqlite3 = (build-asdf-system {
    pname = "clsql-sqlite3";
    version = "20221106-git";
    asds = [ "clsql-sqlite3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-sqlite3";
      asd = "clsql-sqlite3";
    });
    systems = [ "clsql-sqlite3" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-uffi" self) ];
    meta = {};
  });
  clsql-tests = (build-asdf-system {
    pname = "clsql-tests";
    version = "20221106-git";
    asds = [ "clsql-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-tests";
      asd = "clsql-tests";
    });
    systems = [ "clsql-tests" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "rt" self) (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clsql-uffi = (build-asdf-system {
    pname = "clsql-uffi";
    version = "20221106-git";
    asds = [ "clsql-uffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clsql/2022-11-06/clsql-20221106-git.tgz";
      sha256 = "15kxrjv88ai9nvzxswa6rp8dbd1ad3816r4c5zb8xynsd8i5vpz0";
      system = "clsql-uffi";
      asd = "clsql-uffi";
    });
    systems = [ "clsql-uffi" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "uffi" self) ];
    meta = {};
  });
  clss = (build-asdf-system {
    pname = "clss";
    version = "20221106-git";
    asds = [ "clss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clss/2022-11-06/clss-20221106-git.tgz";
      sha256 = "1033dchpanhcgxl5qfhr80aw9adbp9bvllhzvvy5p9mrfnidd1fv";
      system = "clss";
      asd = "clss";
    });
    systems = [ "clss" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "plump" self) ];
    meta = {};
  });
  cltcl = (build-asdf-system {
    pname = "cltcl";
    version = "20161204-git";
    asds = [ "cltcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cltcl/2016-12-04/cltcl-20161204-git.tgz";
      sha256 = "18b7fa7m9h9xfhnkxa6r3xzj86p1fvq0mh5q8vdrdv3vxfyc2l68";
      system = "cltcl";
      asd = "cltcl";
    });
    systems = [ "cltcl" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer = (build-asdf-system {
    pname = "cluffer";
    version = "20230618-git";
    asds = [ "cluffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer";
      asd = "cluffer";
    });
    systems = [ "cluffer" ];
    lispLibs = [ (getAttr "cluffer-base" self) (getAttr "cluffer-simple-buffer" self) (getAttr "cluffer-simple-line" self) (getAttr "cluffer-standard-buffer" self) (getAttr "cluffer-standard-line" self) ];
    meta = {};
  });
  cluffer-base = (build-asdf-system {
    pname = "cluffer-base";
    version = "20230618-git";
    asds = [ "cluffer-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-base";
      asd = "cluffer-base";
    });
    systems = [ "cluffer-base" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer-simple-buffer = (build-asdf-system {
    pname = "cluffer-simple-buffer";
    version = "20230618-git";
    asds = [ "cluffer-simple-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-simple-buffer";
      asd = "cluffer-simple-buffer";
    });
    systems = [ "cluffer-simple-buffer" ];
    lispLibs = [ (getAttr "cluffer-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer-simple-line = (build-asdf-system {
    pname = "cluffer-simple-line";
    version = "20230618-git";
    asds = [ "cluffer-simple-line" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-simple-line";
      asd = "cluffer-simple-line";
    });
    systems = [ "cluffer-simple-line" ];
    lispLibs = [ (getAttr "cluffer-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer-standard-buffer = (build-asdf-system {
    pname = "cluffer-standard-buffer";
    version = "20230618-git";
    asds = [ "cluffer-standard-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-standard-buffer";
      asd = "cluffer-standard-buffer";
    });
    systems = [ "cluffer-standard-buffer" ];
    lispLibs = [ (getAttr "cluffer-base" self) (getAttr "clump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer-standard-line = (build-asdf-system {
    pname = "cluffer-standard-line";
    version = "20230618-git";
    asds = [ "cluffer-standard-line" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-standard-line";
      asd = "cluffer-standard-line";
    });
    systems = [ "cluffer-standard-line" ];
    lispLibs = [ (getAttr "cluffer-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cluffer-test = (build-asdf-system {
    pname = "cluffer-test";
    version = "20230618-git";
    asds = [ "cluffer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cluffer/2023-06-18/cluffer-20230618-git.tgz";
      sha256 = "1bncqb8lixr65vr07rpyb1i5h0jqnkfdpwbixk13q445xcl99fiz";
      system = "cluffer-test";
      asd = "cluffer-test";
    });
    systems = [ "cluffer-test" ];
    lispLibs = [ (getAttr "cluffer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clump = (build-asdf-system {
    pname = "clump";
    version = "20160825-git";
    asds = [ "clump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump";
      asd = "clump";
    });
    systems = [ "clump" ];
    lispLibs = [ (getAttr "clump-2-3-tree" self) (getAttr "clump-binary-tree" self) ];
    meta = {};
  });
  clump-2-3-tree = (build-asdf-system {
    pname = "clump-2-3-tree";
    version = "20160825-git";
    asds = [ "clump-2-3-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-2-3-tree";
      asd = "clump-2-3-tree";
    });
    systems = [ "clump-2-3-tree" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {};
  });
  clump-binary-tree = (build-asdf-system {
    pname = "clump-binary-tree";
    version = "20160825-git";
    asds = [ "clump-binary-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-binary-tree";
      asd = "clump-binary-tree";
    });
    systems = [ "clump-binary-tree" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {};
  });
  clump-test = (build-asdf-system {
    pname = "clump-test";
    version = "20160825-git";
    asds = [ "clump-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clump/2016-08-25/clump-20160825-git.tgz";
      sha256 = "1639msyagsswj85gc0wd90jgh8588j3qg5q70by9s2brf2q6w4lh";
      system = "clump-test";
      asd = "clump-test";
    });
    systems = [ "clump-test" ];
    lispLibs = [ (getAttr "clump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clunit = (build-asdf-system {
    pname = "clunit";
    version = "20171019-git";
    asds = [ "clunit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clunit/2017-10-19/clunit-20171019-git.tgz";
      sha256 = "1idf2xnqzlhi8rbrqmzpmb3i1l6pbdzhhajkmhwbp6qjkmxa4h85";
      system = "clunit";
      asd = "clunit";
    });
    systems = [ "clunit" ];
    lispLibs = [  ];
    meta = {};
  });
  clunit2 = (build-asdf-system {
    pname = "clunit2";
    version = "20221106-git";
    asds = [ "clunit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clunit2/2022-11-06/clunit2-20221106-git.tgz";
      sha256 = "094bg5r8dslcapkg1kakay5axnqal9nhq8z1cfmhmjsbrvz9vyz4";
      system = "clunit2";
      asd = "clunit2";
    });
    systems = [ "clunit2" ];
    lispLibs = [  ];
    meta = {};
  });
  clustered-intset = (build-asdf-system {
    pname = "clustered-intset";
    version = "20220707-git";
    asds = [ "clustered-intset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clustered-intset/2022-07-07/clustered-intset-20220707-git.tgz";
      sha256 = "035s2gn59l8389b0ypnb4qna7zplz9rxk05aw88qf8g4b7wyba1h";
      system = "clustered-intset";
      asd = "clustered-intset";
    });
    systems = [ "clustered-intset" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clustered-intset-test = (build-asdf-system {
    pname = "clustered-intset-test";
    version = "20220707-git";
    asds = [ "clustered-intset-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clustered-intset/2022-07-07/clustered-intset-20220707-git.tgz";
      sha256 = "035s2gn59l8389b0ypnb4qna7zplz9rxk05aw88qf8g4b7wyba1h";
      system = "clustered-intset-test";
      asd = "clustered-intset-test";
    });
    systems = [ "clustered-intset-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clustered-intset" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clusters = (build-asdf-system {
    pname = "clusters";
    version = "20220331-git";
    asds = [ "clusters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clusters/2022-03-31/clusters-20220331-git.tgz";
      sha256 = "1x78ihrrah0rrb2ddxmxqcqpkswdvb3f0via56bkf1f3f5kqmsb8";
      system = "clusters";
      asd = "clusters";
    });
    systems = [ "clusters" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-data-structures" self) (getAttr "documentation-utils-extensions" self) (getAttr "iterate" self) (getAttr "lparallel" self) (getAttr "metabang-bind" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clusters-tests = (build-asdf-system {
    pname = "clusters-tests";
    version = "20220331-git";
    asds = [ "clusters-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clusters/2022-03-31/clusters-20220331-git.tgz";
      sha256 = "1x78ihrrah0rrb2ddxmxqcqpkswdvb3f0via56bkf1f3f5kqmsb8";
      system = "clusters-tests";
      asd = "clusters-tests";
    });
    systems = [ "clusters-tests" ];
    lispLibs = [ (getAttr "clusters" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clutter = (build-asdf-system {
    pname = "clutter";
    version = "v1.0.0";
    asds = [ "clutter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clutter/2021-10-20/clutter-v1.0.0.tgz";
      sha256 = "1q9mg4d0nja9ypm13i24wymhjwziw6n7r7p1dzw6xc5zhavqsni7";
      system = "clutter";
      asd = "clutter";
    });
    systems = [ "clutter" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "doplus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clweb = (build-asdf-system {
    pname = "clweb";
    version = "20201220-git";
    asds = [ "clweb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clweb/2020-12-20/clweb-20201220-git.tgz";
      sha256 = "0hqyrglgsgal5s8f0n247hg0hqlw6l6w1r5i8lzf0a0xvcz49f48";
      system = "clweb";
      asd = "clweb";
    });
    systems = [ "clweb" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clws = (build-asdf-system {
    pname = "clws";
    version = "20130813-git";
    asds = [ "clws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clws/2013-08-13/clws-20130813-git.tgz";
      sha256 = "1svj025zwsbkb0hrbz1nj0x306hkhy9xinq0x1qdflc9vg169dh6";
      system = "clws";
      asd = "clws";
    });
    systems = [ "clws" ];
    lispLibs = [ (getAttr "chunga" self) (getAttr "cl-base64" self) (getAttr "flexi-streams" self) (getAttr "iolib" self) (getAttr "ironclad" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  clx = (build-asdf-system {
    pname = "clx";
    version = "20230618-git";
    asds = [ "clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx/2023-06-18/clx-20230618-git.tgz";
      sha256 = "0ivw1gxipxhixzazc0jlvs7pcfkdczdis7y23f4syrxkpzmgmirh";
      system = "clx";
      asd = "clx";
    });
    systems = [ "clx" ];
    lispLibs = [  ];
    meta = {};
  });
  cmake-parser = (build-asdf-system {
    pname = "cmake-parser";
    version = "20180831-git";
    asds = [ "cmake-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmake-parser/2018-08-31/cmake-parser-20180831-git.tgz";
      sha256 = "1sb5pwxhg7k41202kvxj1b60c5pxnl0mfbqdz53xayddngn2brgl";
      system = "cmake-parser";
      asd = "cmake-parser";
    });
    systems = [ "cmake-parser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cmark = (build-asdf-system {
    pname = "cmark";
    version = "20230214-git";
    asds = [ "cmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cmark/2023-02-14/cl-cmark-20230214-git.tgz";
      sha256 = "0d61z5y7pyv2y7sjbq3i5047z4jazkxnlqypr32yvyn5qdd78yfv";
      system = "cmark";
      asd = "cmark";
    });
    systems = [ "cmark" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "flexi-streams" self) (getAttr "libcmark" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cmd = (build-asdf-system {
    pname = "cmd";
    version = "20230618-git";
    asds = [ "cmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmd/2023-06-18/cmd-20230618-git.tgz";
      sha256 = "03wbckzmz6pqdlz7pyar6nfg4vs4bl0b2np7n3kk3qhjbrdakc4m";
      system = "cmd";
      asd = "cmd";
    });
    systems = [ "cmd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "serapeum" self) (getAttr "shlex" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cmu-infix = (build-asdf-system {
    pname = "cmu-infix";
    version = "20180228-git";
    asds = [ "cmu-infix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmu-infix/2018-02-28/cmu-infix-20180228-git.tgz";
      sha256 = "0macs398088cfif1dkjrpmidk515sjl7ld96f9ys5cpzx8sc5gib";
      system = "cmu-infix";
      asd = "cmu-infix";
    });
    systems = [ "cmu-infix" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cmu-infix-tests = (build-asdf-system {
    pname = "cmu-infix-tests";
    version = "20180228-git";
    asds = [ "cmu-infix-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cmu-infix/2018-02-28/cmu-infix-20180228-git.tgz";
      sha256 = "0macs398088cfif1dkjrpmidk515sjl7ld96f9ys5cpzx8sc5gib";
      system = "cmu-infix-tests";
      asd = "cmu-infix-tests";
    });
    systems = [ "cmu-infix-tests" ];
    lispLibs = [ (getAttr "cmu-infix" self) (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cocoahelper = (build-asdf-system {
    pname = "cocoahelper";
    version = "20210807-git";
    asds = [ "cocoahelper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "cocoahelper";
      asd = "cocoahelper";
    });
    systems = [ "cocoahelper" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl-binaries" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  codata-recommended-values = (build-asdf-system {
    pname = "codata-recommended-values";
    version = "20200218-git";
    asds = [ "codata-recommended-values" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codata-recommended-values/2020-02-18/codata-recommended-values-20200218-git.tgz";
      sha256 = "0gm27bkq4ma9kc3adnbzyhchky38halb77qc30ll2097ahwy735p";
      system = "codata-recommended-values";
      asd = "codata-recommended-values";
    });
    systems = [ "codata-recommended-values" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  codex = (build-asdf-system {
    pname = "codex";
    version = "20230618-git";
    asds = [ "codex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codex/2023-06-18/codex-20230618-git.tgz";
      sha256 = "08x27s80zw92mglwfhrvhhyx4p0csywhyzbcrshr5065yp6vgbn7";
      system = "codex";
      asd = "codex";
    });
    systems = [ "codex" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-slug" self) (getAttr "codex-templates" self) (getAttr "common-doc" self) (getAttr "common-doc-contrib" self) (getAttr "docparser" self) (getAttr "pandocl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  codex-templates = (build-asdf-system {
    pname = "codex-templates";
    version = "20230618-git";
    asds = [ "codex-templates" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/codex/2023-06-18/codex-20230618-git.tgz";
      sha256 = "08x27s80zw92mglwfhrvhhyx4p0csywhyzbcrshr5065yp6vgbn7";
      system = "codex-templates";
      asd = "codex-templates";
    });
    systems = [ "codex-templates" ];
    lispLibs = [ (getAttr "common-html" self) (getAttr "djula" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  coleslaw = (build-asdf-system {
    pname = "coleslaw";
    version = "20221106-git";
    asds = [ "coleslaw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw";
      asd = "coleslaw";
    });
    systems = [ "coleslaw" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-unicode" self) (getAttr "closer-mop" self) (getAttr "closure-template" self) (getAttr "inferior-shell" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  coleslaw-cli = (build-asdf-system {
    pname = "coleslaw-cli";
    version = "20221106-git";
    asds = [ "coleslaw-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw-cli";
      asd = "coleslaw-cli";
    });
    systems = [ "coleslaw-cli" ];
    lispLibs = [ (getAttr "clack" self) (getAttr "coleslaw" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  coleslaw-test = (build-asdf-system {
    pname = "coleslaw-test";
    version = "20221106-git";
    asds = [ "coleslaw-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/coleslaw/2022-11-06/coleslaw-20221106-git.tgz";
      sha256 = "1w21a272q4x7nlr4kbmwwvkjvb4hpnw869byvy47vv361y7pimws";
      system = "coleslaw-test";
      asd = "coleslaw-test";
    });
    systems = [ "coleslaw-test" ];
    lispLibs = [ (getAttr "coleslaw" self) (getAttr "coleslaw-cli" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  collectors = (build-asdf-system {
    pname = "collectors";
    version = "20220220-git";
    asds = [ "collectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/collectors/2022-02-20/collectors-20220220-git.tgz";
      sha256 = "1mxcq7wq2jwbjd39afihpd46qkaidq76prgjbzpkv5749wf2spib";
      system = "collectors";
      asd = "collectors";
    });
    systems = [ "collectors" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "symbol-munger" self) ];
    meta = {};
  });
  colliflower = (build-asdf-system {
    pname = "colliflower";
    version = "20211020-git";
    asds = [ "colliflower" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower";
      asd = "colliflower";
    });
    systems = [ "colliflower" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "garten" self) (getAttr "liter" self) (getAttr "silo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colliflower-fset = (build-asdf-system {
    pname = "colliflower-fset";
    version = "20211020-git";
    asds = [ "colliflower-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower-fset";
      asd = "colliflower-fset";
    });
    systems = [ "colliflower-fset" ];
    lispLibs = [ (getAttr "colliflower" self) (getAttr "fset" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colliflower-test = (build-asdf-system {
    pname = "colliflower-test";
    version = "20211020-git";
    asds = [ "colliflower-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "colliflower-test";
      asd = "colliflower-test";
    });
    systems = [ "colliflower-test" ];
    lispLibs = [ (getAttr "colliflower" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colnew = (build-asdf-system {
    pname = "colnew";
    version = "20200925-git";
    asds = [ "colnew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "colnew";
      asd = "colnew";
    });
    systems = [ "colnew" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colored = (build-asdf-system {
    pname = "colored";
    version = "20211020-git";
    asds = [ "colored" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colored/2021-10-20/colored-20211020-git.tgz";
      sha256 = "0mpg91r6yfb9xqccd4r8z3hl2qzjhdj6daswb1cinrm8ffxrvy5k";
      system = "colored";
      asd = "colored";
    });
    systems = [ "colored" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colored-test = (build-asdf-system {
    pname = "colored-test";
    version = "20211020-git";
    asds = [ "colored-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colored/2021-10-20/colored-20211020-git.tgz";
      sha256 = "0mpg91r6yfb9xqccd4r8z3hl2qzjhdj6daswb1cinrm8ffxrvy5k";
      system = "colored-test";
      asd = "colored-test";
    });
    systems = [ "colored-test" ];
    lispLibs = [ (getAttr "colored" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  colorize = (build-asdf-system {
    pname = "colorize";
    version = "20230214-git";
    asds = [ "colorize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colorize/2023-02-14/colorize-20230214-git.tgz";
      sha256 = "1gbg11ghs4iak3n4c66qn6yvrcsg71xcbnjjf8qks0y4c8573fyf";
      system = "colorize";
      asd = "colorize";
    });
    systems = [ "colorize" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "html-encode" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  com-on = (build-asdf-system {
    pname = "com-on";
    version = "20230618-git";
    asds = [ "com-on" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com-on/2023-06-18/com-on-20230618-git.tgz";
      sha256 = "1nzba73qkiylmfs2mmw83vnx1cwrinnv9yfa3bikrh9zghr9kw8x";
      system = "com-on";
      asd = "com-on";
    });
    systems = [ "com-on" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com-on-test = (build-asdf-system {
    pname = "com-on-test";
    version = "20230618-git";
    asds = [ "com-on-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com-on/2023-06-18/com-on-20230618-git.tgz";
      sha256 = "1nzba73qkiylmfs2mmw83vnx1cwrinnv9yfa3bikrh9zghr9kw8x";
      system = "com-on-test";
      asd = "com-on-test";
    });
    systems = [ "com-on-test" ];
    lispLibs = [ (getAttr "com-on" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_clearly-useful_dot_generic-collection-interface = (build-asdf-system {
    pname = "com.clearly-useful.generic-collection-interface";
    version = "20190710-git";
    asds = [ "com.clearly-useful.generic-collection-interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.generic-collection-interface/2019-07-10/com.clearly-useful.generic-collection-interface-20190710-git.tgz";
      sha256 = "1yfxwqgvrb1nwryymsl4s3h1lr8yskb9c76lxqy3mw5l0vwvl5zl";
      system = "com.clearly-useful.generic-collection-interface";
      asd = "com.clearly-useful.generic-collection-interface";
    });
    systems = [ "com.clearly-useful.generic-collection-interface" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "com_dot_clearly-useful_dot_protocols" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_clearly-useful_dot_generic-collection-interface_dot_test = (build-asdf-system {
    pname = "com.clearly-useful.generic-collection-interface.test";
    version = "20190710-git";
    asds = [ "com.clearly-useful.generic-collection-interface.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.generic-collection-interface/2019-07-10/com.clearly-useful.generic-collection-interface-20190710-git.tgz";
      sha256 = "1yfxwqgvrb1nwryymsl4s3h1lr8yskb9c76lxqy3mw5l0vwvl5zl";
      system = "com.clearly-useful.generic-collection-interface.test";
      asd = "com.clearly-useful.generic-collection-interface.test";
    });
    systems = [ "com.clearly-useful.generic-collection-interface.test" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_clearly-useful_dot_iterate_plus = (build-asdf-system {
    pname = "com.clearly-useful.iterate+";
    version = "20121013-git";
    asds = [ "com.clearly-useful.iterate+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.iterate-plus/2012-10-13/com.clearly-useful.iterate-plus-20121013-git.tgz";
      sha256 = "0fpymg6p9zglkclfn035agcs5k83fakad7dj2612v5p1snzzcika";
      system = "com.clearly-useful.iterate+";
      asd = "com.clearly-useful.iterate+";
    });
    systems = [ "com.clearly-useful.iterate+" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" self) (getAttr "com_dot_clearly-useful_dot_iterator-protocol" self) (getAttr "com_dot_clearly-useful_dot_protocols" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_clearly-useful_dot_iterator-protocol = (build-asdf-system {
    pname = "com.clearly-useful.iterator-protocol";
    version = "20130312-git";
    asds = [ "com.clearly-useful.iterator-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.iterator-protocol/2013-03-12/com.clearly-useful.iterator-protocol-20130312-git.tgz";
      sha256 = "1wgksgpck6na1ygdnln5n1y8rj2kylg3lpbkyrhdka2cgsqiqs4a";
      system = "com.clearly-useful.iterator-protocol";
      asd = "com.clearly-useful.iterator-protocol";
    });
    systems = [ "com.clearly-useful.iterator-protocol" ];
    lispLibs = [ (getAttr "com_dot_clearly-useful_dot_generic-collection-interface" self) (getAttr "com_dot_clearly-useful_dot_protocols" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_clearly-useful_dot_protocols = (build-asdf-system {
    pname = "com.clearly-useful.protocols";
    version = "20130312-git";
    asds = [ "com.clearly-useful.protocols" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.clearly-useful.protocols/2013-03-12/com.clearly-useful.protocols-20130312-git.tgz";
      sha256 = "0az9rs98chjj2fdmpapqkv4sgfs84n9s7vvngcl05hcbsldm0xvn";
      system = "com.clearly-useful.protocols";
      asd = "com.clearly-useful.protocols";
    });
    systems = [ "com.clearly-useful.protocols" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_dvlsoft_dot_rcfiles = (build-asdf-system {
    pname = "com.dvlsoft.rcfiles";
    version = "20111203-http";
    asds = [ "com.dvlsoft.rcfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rcfiles/2011-12-03/cl-rcfiles-20111203-http.tgz";
      sha256 = "06ahp9jaim216k7vbya1kp8iy5yb1i7axwrsjx7gwhl2b2q63r0a";
      system = "com.dvlsoft.rcfiles";
      asd = "com.dvlsoft.rcfiles";
    });
    systems = [ "com.dvlsoft.rcfiles" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_elbeno_dot_curve = (build-asdf-system {
    pname = "com.elbeno.curve";
    version = "20130128-git";
    asds = [ "com.elbeno.curve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curve/2013-01-28/curve-20130128-git.tgz";
      sha256 = "0223sxrdixjg0bmy76a9kiv7g4zjkqxs92x6kys5dnaywx7mjb6j";
      system = "com.elbeno.curve";
      asd = "com.elbeno.curve";
    });
    systems = [ "com.elbeno.curve" ];
    lispLibs = [ (getAttr "com_dot_elbeno_dot_vector" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_elbeno_dot_vector = (build-asdf-system {
    pname = "com.elbeno.vector";
    version = "20130128-git";
    asds = [ "com.elbeno.vector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vector/2013-01-28/vector-20130128-git.tgz";
      sha256 = "04czvqycn9j2hzbjmrp9fgqlgns5l7vbb73dgv3zqmiwzdb66qr5";
      system = "com.elbeno.vector";
      asd = "com.elbeno.vector";
    });
    systems = [ "com.elbeno.vector" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_binary-data = (build-asdf-system {
    pname = "com.gigamonkeys.binary-data";
    version = "20111203-git";
    asds = [ "com.gigamonkeys.binary-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-binary-data/2011-12-03/monkeylib-binary-data-20111203-git.tgz";
      sha256 = "072v417vmcnvmyh8ddq9vmwwrizm7zwz9dpzi14qy9nsw8q649zw";
      system = "com.gigamonkeys.binary-data";
      asd = "com.gigamonkeys.binary-data";
    });
    systems = [ "com.gigamonkeys.binary-data" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_json = (build-asdf-system {
    pname = "com.gigamonkeys.json";
    version = "20180228-git";
    asds = [ "com.gigamonkeys.json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-json/2018-02-28/monkeylib-json-20180228-git.tgz";
      sha256 = "188717pmyhpgwg9ncc1fbqvbvw5fikbfhvchsy9gg4haxhdgpzsn";
      system = "com.gigamonkeys.json";
      asd = "com.gigamonkeys.json";
    });
    systems = [ "com.gigamonkeys.json" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_parser" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_macro-utilities = (build-asdf-system {
    pname = "com.gigamonkeys.macro-utilities";
    version = "20111203-git";
    asds = [ "com.gigamonkeys.macro-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-macro-utilities/2011-12-03/monkeylib-macro-utilities-20111203-git.tgz";
      sha256 = "0l3m44zlzrvyn6fyvxslga8cppp4mh8dkgqzy297nnm0vnij5r8w";
      system = "com.gigamonkeys.macro-utilities";
      asd = "com.gigamonkeys.macro-utilities";
    });
    systems = [ "com.gigamonkeys.macro-utilities" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_markup = (build-asdf-system {
    pname = "com.gigamonkeys.markup";
    version = "20120909-git";
    asds = [ "com.gigamonkeys.markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-markup/2012-09-09/monkeylib-markup-20120909-git.tgz";
      sha256 = "049zqgnprvddn2zp1a8g862m3ikll3a3lpi1k2vimjmx1bkc0vs0";
      system = "com.gigamonkeys.markup";
      asd = "com.gigamonkeys.markup";
    });
    systems = [ "com.gigamonkeys.markup" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "com_dot_gigamonkeys_dot_pathnames" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_parser = (build-asdf-system {
    pname = "com.gigamonkeys.parser";
    version = "20120208-git";
    asds = [ "com.gigamonkeys.parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-parser/2012-02-08/monkeylib-parser-20120208-git.tgz";
      sha256 = "1xvzrih813311p48bzlm0z0592lx6iss3m36vz55qsw4sr397ncd";
      system = "com.gigamonkeys.parser";
      asd = "com.gigamonkeys.parser";
    });
    systems = [ "com.gigamonkeys.parser" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_pathnames = (build-asdf-system {
    pname = "com.gigamonkeys.pathnames";
    version = "20120208-git";
    asds = [ "com.gigamonkeys.pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-pathnames/2012-02-08/monkeylib-pathnames-20120208-git.tgz";
      sha256 = "108cc39g7razng316df4d47zzpj2zr576wzwwrpggdkm4q599gvk";
      system = "com.gigamonkeys.pathnames";
      asd = "com.gigamonkeys.pathnames";
    });
    systems = [ "com.gigamonkeys.pathnames" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_prose-diff = (build-asdf-system {
    pname = "com.gigamonkeys.prose-diff";
    version = "20140713-git";
    asds = [ "com.gigamonkeys.prose-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-prose-diff/2014-07-13/monkeylib-prose-diff-20140713-git.tgz";
      sha256 = "1zwaa8qmpbdpdg8zzk3as73i55c54k9m694gx4bla1xxli5f8ijc";
      system = "com.gigamonkeys.prose-diff";
      asd = "com.gigamonkeys.prose-diff";
    });
    systems = [ "com.gigamonkeys.prose-diff" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "com_dot_gigamonkeys_dot_markup" self) (getAttr "com_dot_gigamonkeys_dot_pathnames" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) (getAttr "monkeylib-markup-html" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_test-framework = (build-asdf-system {
    pname = "com.gigamonkeys.test-framework";
    version = "20101207-git";
    asds = [ "com.gigamonkeys.test-framework" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-test-framework/2010-12-07/monkeylib-test-framework-20101207-git.tgz";
      sha256 = "1d6b8zg0vnbqxxsbbjr3b4r46d8whj84h9yqnqw3ii0bwr8hn82v";
      system = "com.gigamonkeys.test-framework";
      asd = "com.gigamonkeys.test-framework";
    });
    systems = [ "com.gigamonkeys.test-framework" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_gigamonkeys_dot_utilities = (build-asdf-system {
    pname = "com.gigamonkeys.utilities";
    version = "20170403-git";
    asds = [ "com.gigamonkeys.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-utilities/2017-04-03/monkeylib-utilities-20170403-git.tgz";
      sha256 = "0d0h1y43mn6r8s4g9gbr02d09565p0gig21jfnk7zf1dl6rnvkvm";
      system = "com.gigamonkeys.utilities";
      asd = "com.gigamonkeys.utilities";
    });
    systems = [ "com.gigamonkeys.utilities" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_google_dot_base = (build-asdf-system {
    pname = "com.google.base";
    version = "20200925-git";
    asds = [ "com.google.base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/com.google.base/2020-09-25/com.google.base-20200925-git.tgz";
      sha256 = "1drc341sqmrmyvdgqpdy066f0z0ia0kl3ppq0rlxznlxhn17x3xj";
      system = "com.google.base";
      asd = "com.google.base";
    });
    systems = [ "com.google.base" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_google_dot_flag = (build-asdf-system {
    pname = "com.google.flag";
    version = "20201220-git";
    asds = [ "com.google.flag" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-gflags/2020-12-20/lisp-gflags-20201220-git.tgz";
      sha256 = "06p70v1wv0ynr6ng6vr6krc5773xphvkv2nfxvnschc1bzqhds5k";
      system = "com.google.flag";
      asd = "com.google.flag";
    });
    systems = [ "com.google.flag" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_inuoe_dot_jzon = (build-asdf-system {
    pname = "com.inuoe.jzon";
    version = "v1.1.1";
    asds = [ "com.inuoe.jzon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jzon/2023-06-18/jzon-v1.1.1.tgz";
      sha256 = "0lrypz2d36j8bvqp7dxlrnw64xjvq6mvzz6yggpx0gqr18rqfkkr";
      system = "com.inuoe.jzon";
      asd = "com.inuoe.jzon";
    });
    systems = [ "com.inuoe.jzon" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "flexi-streams" self) (getAttr "float-features" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  com_dot_inuoe_dot_jzon-tests = (build-asdf-system {
    pname = "com.inuoe.jzon-tests";
    version = "v1.1.1";
    asds = [ "com.inuoe.jzon-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jzon/2023-06-18/jzon-v1.1.1.tgz";
      sha256 = "0lrypz2d36j8bvqp7dxlrnw64xjvq6mvzz6yggpx0gqr18rqfkkr";
      system = "com.inuoe.jzon-tests";
      asd = "com.inuoe.jzon-tests";
    });
    systems = [ "com.inuoe.jzon-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "float-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  command-line-arguments = (build-asdf-system {
    pname = "command-line-arguments";
    version = "20210807-git";
    asds = [ "command-line-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/command-line-arguments/2021-08-07/command-line-arguments-20210807-git.tgz";
      sha256 = "1wbb83b559nfv65rsxz3jrixic9gndk2whj40hhwb0s13rf5a62y";
      system = "command-line-arguments";
      asd = "command-line-arguments";
    });
    systems = [ "command-line-arguments" ];
    lispLibs = [  ];
    meta = {};
  });
  common-doc = (build-asdf-system {
    pname = "common-doc";
    version = "20230214-git";
    asds = [ "common-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc";
      asd = "common-doc";
    });
    systems = [ "common-doc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "closer-mop" self) (getAttr "local-time" self) (getAttr "quri" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-contrib = (build-asdf-system {
    pname = "common-doc-contrib";
    version = "20230214-git";
    asds = [ "common-doc-contrib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-contrib";
      asd = "common-doc-contrib";
    });
    systems = [ "common-doc-contrib" ];
    lispLibs = [ (getAttr "common-doc-gnuplot" self) (getAttr "common-doc-graphviz" self) (getAttr "common-doc-include" self) (getAttr "common-doc-plantuml" self) (getAttr "common-doc-split-paragraphs" self) (getAttr "common-doc-tex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-gnuplot = (build-asdf-system {
    pname = "common-doc-gnuplot";
    version = "20230214-git";
    asds = [ "common-doc-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-gnuplot";
      asd = "common-doc-gnuplot";
    });
    systems = [ "common-doc-gnuplot" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-graphviz = (build-asdf-system {
    pname = "common-doc-graphviz";
    version = "20230214-git";
    asds = [ "common-doc-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-graphviz";
      asd = "common-doc-graphviz";
    });
    systems = [ "common-doc-graphviz" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-include = (build-asdf-system {
    pname = "common-doc-include";
    version = "20230214-git";
    asds = [ "common-doc-include" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-include";
      asd = "common-doc-include";
    });
    systems = [ "common-doc-include" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-plantuml = (build-asdf-system {
    pname = "common-doc-plantuml";
    version = "20230214-git";
    asds = [ "common-doc-plantuml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-plantuml";
      asd = "common-doc-plantuml";
    });
    systems = [ "common-doc-plantuml" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-plump = (build-asdf-system {
    pname = "common-doc-plump";
    version = "20160421-git";
    asds = [ "common-doc-plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc-plump/2016-04-21/common-doc-plump-20160421-git.tgz";
      sha256 = "08h7m4c599rf2kz4wkpbj05441ax0vb3bd88a7dw5x57djf765r6";
      system = "common-doc-plump";
      asd = "common-doc-plump";
    });
    systems = [ "common-doc-plump" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-markup" self) (getAttr "common-doc" self) (getAttr "common-doc-split-paragraphs" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-plump-test = (build-asdf-system {
    pname = "common-doc-plump-test";
    version = "20160421-git";
    asds = [ "common-doc-plump-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc-plump/2016-04-21/common-doc-plump-20160421-git.tgz";
      sha256 = "08h7m4c599rf2kz4wkpbj05441ax0vb3bd88a7dw5x57djf765r6";
      system = "common-doc-plump-test";
      asd = "common-doc-plump-test";
    });
    systems = [ "common-doc-plump-test" ];
    lispLibs = [ (getAttr "common-doc-plump" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-split-paragraphs = (build-asdf-system {
    pname = "common-doc-split-paragraphs";
    version = "20230214-git";
    asds = [ "common-doc-split-paragraphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-split-paragraphs";
      asd = "common-doc-split-paragraphs";
    });
    systems = [ "common-doc-split-paragraphs" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "common-doc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-test = (build-asdf-system {
    pname = "common-doc-test";
    version = "20230214-git";
    asds = [ "common-doc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-test";
      asd = "common-doc-test";
    });
    systems = [ "common-doc-test" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "common-doc-contrib" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-doc-tex = (build-asdf-system {
    pname = "common-doc-tex";
    version = "20230214-git";
    asds = [ "common-doc-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-doc/2023-02-14/common-doc-20230214-git.tgz";
      sha256 = "0bzc4w37cq5mbkd15vxziks6nq58yad04mki4nwy5w6pza7z0faa";
      system = "common-doc-tex";
      asd = "common-doc-tex";
    });
    systems = [ "common-doc-tex" ];
    lispLibs = [ (getAttr "common-doc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-html = (build-asdf-system {
    pname = "common-html";
    version = "20210807-git";
    asds = [ "common-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-html/2021-08-07/common-html-20210807-git.tgz";
      sha256 = "1i11w4l95nybz5ibnaxrnrkfhch2s9wynqrg6kx6sl6y47khq1xz";
      system = "common-html";
      asd = "common-html";
    });
    systems = [ "common-html" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "common-doc" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-html-test = (build-asdf-system {
    pname = "common-html-test";
    version = "20210807-git";
    asds = [ "common-html-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-html/2021-08-07/common-html-20210807-git.tgz";
      sha256 = "1i11w4l95nybz5ibnaxrnrkfhch2s9wynqrg6kx6sl6y47khq1xz";
      system = "common-html-test";
      asd = "common-html-test";
    });
    systems = [ "common-html-test" ];
    lispLibs = [ (getAttr "common-html" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  common-lisp-jupyter = (build-asdf-system {
    pname = "common-lisp-jupyter";
    version = "20230618-git";
    asds = [ "common-lisp-jupyter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/common-lisp-jupyter/2023-06-18/common-lisp-jupyter-20230618-git.tgz";
      sha256 = "18ibm2bj5nazhr85knmq2sg4bjh10i0vdan8zs8hzyiysgz8iylv";
      system = "common-lisp-jupyter";
      asd = "common-lisp-jupyter";
    });
    systems = [ "common-lisp-jupyter" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "cl-indentify" self) (getAttr "closer-mop" self) (getAttr "dissect" self) (getAttr "eclector" self) (getAttr "ironclad" self) (getAttr "multilang-documentation" self) (getAttr "puri" self) (getAttr "pzmq" self) (getAttr "shasht" self) (getAttr "static-vectors" self) (getAttr "trivial-do" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  commondoc-markdown = (build-asdf-system {
    pname = "commondoc-markdown";
    version = "20230618-git";
    asds = [ "commondoc-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2023-06-18/commondoc-markdown-20230618-git.tgz";
      sha256 = "070kg2gm9ynx5kvd70y1fiz57pw1qbd9v22b0v3p882sfihlm5x7";
      system = "commondoc-markdown";
      asd = "commondoc-markdown";
    });
    systems = [ "commondoc-markdown" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "common-doc" self) (getAttr "common-html" self) (getAttr "esrap" self) (getAttr "ironclad" self) (getAttr "quri" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  commondoc-markdown-docs = (build-asdf-system {
    pname = "commondoc-markdown-docs";
    version = "20230618-git";
    asds = [ "commondoc-markdown-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2023-06-18/commondoc-markdown-20230618-git.tgz";
      sha256 = "070kg2gm9ynx5kvd70y1fiz57pw1qbd9v22b0v3p882sfihlm5x7";
      system = "commondoc-markdown-docs";
      asd = "commondoc-markdown-docs";
    });
    systems = [ "commondoc-markdown-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  commondoc-markdown-test = (build-asdf-system {
    pname = "commondoc-markdown-test";
    version = "20230618-git";
    asds = [ "commondoc-markdown-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commondoc-markdown/2023-06-18/commondoc-markdown-20230618-git.tgz";
      sha256 = "070kg2gm9ynx5kvd70y1fiz57pw1qbd9v22b0v3p882sfihlm5x7";
      system = "commondoc-markdown-test";
      asd = "commondoc-markdown-test";
    });
    systems = [ "commondoc-markdown-test" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "commondoc-markdown" self) (getAttr "hamcrest" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  commonqt = (build-asdf-system {
    pname = "commonqt";
    version = "20210531-git";
    asds = [ "commonqt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "commonqt";
      asd = "commonqt";
    });
    systems = [ "commonqt" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "smokebase" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  comp-set = (build-asdf-system {
    pname = "comp-set";
    version = "20210807-git";
    asds = [ "comp-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "comp-set";
      asd = "comp-set";
    });
    systems = [ "comp-set" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  compatible-metaclasses = (build-asdf-system {
    pname = "compatible-metaclasses";
    version = "1.0";
    asds = [ "compatible-metaclasses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compatible-metaclasses/2020-09-25/compatible-metaclasses_1.0.tgz";
      sha256 = "17cf74j400cl6sjslfhkv13lir85k705v63mx3dd4y6dl5hvsdh6";
      system = "compatible-metaclasses";
      asd = "compatible-metaclasses";
    });
    systems = [ "compatible-metaclasses" ];
    lispLibs = [ (getAttr "class-options" self) (getAttr "closer-mop" self) (getAttr "enhanced-find-class" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  compatible-metaclasses__tests = (build-asdf-system {
    pname = "compatible-metaclasses_tests";
    version = "1.0";
    asds = [ "compatible-metaclasses_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compatible-metaclasses/2020-09-25/compatible-metaclasses_1.0.tgz";
      sha256 = "17cf74j400cl6sjslfhkv13lir85k705v63mx3dd4y6dl5hvsdh6";
      system = "compatible-metaclasses_tests";
      asd = "compatible-metaclasses_tests";
    });
    systems = [ "compatible-metaclasses_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  compiler-macro-notes = (build-asdf-system {
    pname = "compiler-macro-notes";
    version = "v0.2.1";
    asds = [ "compiler-macro-notes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/compiler-macro-notes/2022-11-06/compiler-macro-notes-v0.2.1.tgz";
      sha256 = "13zzygv0j0a6xacwir4yllpan8j9zh68n9kgkpppg1br8x8s78pk";
      system = "compiler-macro-notes";
      asd = "compiler-macro-notes";
    });
    systems = [ "compiler-macro-notes" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-environments" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  computable-reals = (build-asdf-system {
    pname = "computable-reals";
    version = "20230618-git";
    asds = [ "computable-reals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/computable-reals/2023-06-18/computable-reals-20230618-git.tgz";
      sha256 = "1rh77x2vl9fdbd8whi431zk7vbm1whkrwkrrsw6wm8013r8xzrmh";
      system = "computable-reals";
      asd = "computable-reals";
    });
    systems = [ "computable-reals" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree = (build-asdf-system {
    pname = "concrete-syntax-tree";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree";
      asd = "concrete-syntax-tree";
    });
    systems = [ "concrete-syntax-tree" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-base" self) (getAttr "concrete-syntax-tree-lambda-list" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree-base = (build-asdf-system {
    pname = "concrete-syntax-tree-base";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree-base";
      asd = "concrete-syntax-tree-base";
    });
    systems = [ "concrete-syntax-tree-base" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree-destructuring = (build-asdf-system {
    pname = "concrete-syntax-tree-destructuring";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree-destructuring" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree-destructuring";
      asd = "concrete-syntax-tree-destructuring";
    });
    systems = [ "concrete-syntax-tree-destructuring" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-lambda-list" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree-lambda-list = (build-asdf-system {
    pname = "concrete-syntax-tree-lambda-list";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree-lambda-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree-lambda-list";
      asd = "concrete-syntax-tree-lambda-list";
    });
    systems = [ "concrete-syntax-tree-lambda-list" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree-lambda-list-test = (build-asdf-system {
    pname = "concrete-syntax-tree-lambda-list-test";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree-lambda-list-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree-lambda-list-test";
      asd = "concrete-syntax-tree-lambda-list-test";
    });
    systems = [ "concrete-syntax-tree-lambda-list-test" ];
    lispLibs = [ (getAttr "concrete-syntax-tree-lambda-list" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  concrete-syntax-tree-source-info = (build-asdf-system {
    pname = "concrete-syntax-tree-source-info";
    version = "20230618-git";
    asds = [ "concrete-syntax-tree-source-info" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/concrete-syntax-tree/2023-06-18/concrete-syntax-tree-20230618-git.tgz";
      sha256 = "15q9jyqsh2z921li9my8c840cj2ci7k217x5frfiyk0kymkx4rgv";
      system = "concrete-syntax-tree-source-info";
      asd = "concrete-syntax-tree-source-info";
    });
    systems = [ "concrete-syntax-tree-source-info" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  conditional-commands = (build-asdf-system {
    pname = "conditional-commands";
    version = "20230618-git";
    asds = [ "conditional-commands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "conditional-commands";
      asd = "conditional-commands";
    });
    systems = [ "conditional-commands" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  conf = (build-asdf-system {
    pname = "conf";
    version = "20191227-git";
    asds = [ "conf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conf/2019-12-27/conf-20191227-git.tgz";
      sha256 = "0mif91gb6yqg2qrzd2p6n83w9injikm5gggzv2mgxkiyzmr5gnay";
      system = "conf";
      asd = "conf";
    });
    systems = [ "conf" ];
    lispLibs = [ (getAttr "cl-fad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options = (build-asdf-system {
    pname = "configuration.options";
    version = "20210531-git";
    asds = [ "configuration.options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options";
      asd = "configuration.options";
    });
    systems = [ "configuration.options" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_service-provider" self) (getAttr "cl-hooks" self) (getAttr "esrap" self) (getAttr "let-plus" self) (getAttr "log4cl" self) (getAttr "more-conditions" self) (getAttr "split-sequence" self) (getAttr "utilities_dot_print-items" self) (getAttr "utilities_dot_print-tree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-and-mop = (build-asdf-system {
    pname = "configuration.options-and-mop";
    version = "20210531-git";
    asds = [ "configuration.options-and-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-mop";
      asd = "configuration.options-and-mop";
    });
    systems = [ "configuration.options-and-mop" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "configuration_dot_options" self) (getAttr "let-plus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-and-puri = (build-asdf-system {
    pname = "configuration.options-and-puri";
    version = "20210531-git";
    asds = [ "configuration.options-and-puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-puri";
      asd = "configuration.options-and-puri";
    });
    systems = [ "configuration.options-and-puri" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "configuration_dot_options" self) (getAttr "let-plus" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-and-quri = (build-asdf-system {
    pname = "configuration.options-and-quri";
    version = "20210531-git";
    asds = [ "configuration.options-and-quri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-quri";
      asd = "configuration.options-and-quri";
    });
    systems = [ "configuration.options-and-quri" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "configuration_dot_options" self) (getAttr "let-plus" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-and-service-provider = (build-asdf-system {
    pname = "configuration.options-and-service-provider";
    version = "20210531-git";
    asds = [ "configuration.options-and-service-provider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-and-service-provider";
      asd = "configuration.options-and-service-provider";
    });
    systems = [ "configuration.options-and-service-provider" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_service-provider" self) (getAttr "architecture_dot_service-provider-and-hooks" self) (getAttr "configuration_dot_options" self) (getAttr "configuration_dot_options-and-mop" self) (getAttr "let-plus" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-syntax-ini = (build-asdf-system {
    pname = "configuration.options-syntax-ini";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-ini";
      asd = "configuration.options-syntax-ini";
    });
    systems = [ "configuration.options-syntax-ini" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "configuration_dot_options" self) (getAttr "let-plus" self) (getAttr "parser_dot_ini" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  configuration_dot_options-syntax-xml = (build-asdf-system {
    pname = "configuration.options-syntax-xml";
    version = "20210531-git";
    asds = [ "configuration.options-syntax-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/configuration.options/2021-05-31/configuration.options-20210531-git.tgz";
      sha256 = "1wh07llx4k66wwabxajdc6cy0sdxbrydxi51gs7hrsyrp9gvym9g";
      system = "configuration.options-syntax-xml";
      asd = "configuration.options-syntax-xml";
    });
    systems = [ "configuration.options-syntax-xml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "configuration_dot_options" self) (getAttr "let-plus" self) (getAttr "xml_dot_location" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  conium = (build-asdf-system {
    pname = "conium";
    version = "20210630-git";
    asds = [ "conium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conium/2021-06-30/conium-20210630-git.tgz";
      sha256 = "0y31za8xr8734p2pf8mrw1jd1fksh2d4y1p12wwjyn8hxxsvsx1w";
      system = "conium";
      asd = "conium";
    });
    systems = [ "conium" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  consfigurator = (build-asdf-system {
    pname = "consfigurator";
    version = "v1.3.1";
    asds = [ "consfigurator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/consfigurator/2023-06-18/consfigurator-v1.3.1.tgz";
      sha256 = "0qx07b8cfsn32p214g631lh7p6xbqk7hi6f8jmb5aj7m3hxpwxxr";
      system = "consfigurator";
      asd = "consfigurator";
    });
    systems = [ "consfigurator" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "babel" self) (getAttr "babel-streams" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-heredoc" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "named-readtables" self) (getAttr "osicat" self) (getAttr "parse-number" self) (getAttr "trivial-backtrace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  consix = (build-asdf-system {
    pname = "consix";
    version = "20201220-git";
    asds = [ "consix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/consix/2020-12-20/consix-20201220-git.tgz";
      sha256 = "0zpcaxgq9jx0baj5sid8rnzq8ygsmd8yzb0x37nkaiwa67x5jjck";
      system = "consix";
      asd = "consix";
    });
    systems = [ "consix" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  constantfold = (build-asdf-system {
    pname = "constantfold";
    version = "20191227-git";
    asds = [ "constantfold" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/constantfold/2019-12-27/constantfold-20191227-git.tgz";
      sha256 = "153h0569z6bff1qbad0bdssplwwny75l7ilqwcfqfdvzsxf9jh06";
      system = "constantfold";
      asd = "constantfold";
    });
    systems = [ "constantfold" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "lisp-namespace" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  constantfold_dot_test = (build-asdf-system {
    pname = "constantfold.test";
    version = "20191227-git";
    asds = [ "constantfold.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/constantfold/2019-12-27/constantfold-20191227-git.tgz";
      sha256 = "153h0569z6bff1qbad0bdssplwwny75l7ilqwcfqfdvzsxf9jh06";
      system = "constantfold.test";
      asd = "constantfold.test";
    });
    systems = [ "constantfold.test" ];
    lispLibs = [ (getAttr "constantfold" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  context-lite = (build-asdf-system {
    pname = "context-lite";
    version = "20220331-git";
    asds = [ "context-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/context-lite/2022-03-31/context-lite-20220331-git.tgz";
      sha256 = "16hmid3adimn10c0y4p6hg7n42al2qgsy7wxlpargk0xbn4h3km4";
      system = "context-lite";
      asd = "context-lite";
    });
    systems = [ "context-lite" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  contextl = (build-asdf-system {
    pname = "contextl";
    version = "20211230-git";
    asds = [ "contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/contextl/2021-12-30/contextl-20211230-git.tgz";
      sha256 = "0apgznz4g6lpmd86lq7w0xddfjgnirk83ig7p0j6i93xadhy9wh0";
      system = "contextl";
      asd = "contextl";
    });
    systems = [ "contextl" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "lw-compat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  control = (build-asdf-system {
    pname = "control";
    version = "20200427-git";
    asds = [ "control" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "control";
      asd = "control";
    });
    systems = [ "control" ];
    lispLibs = [ (getAttr "character-modifier-bits" self) (getAttr "utility" self) (getAttr "window" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  convolution-kernel = (build-asdf-system {
    pname = "convolution-kernel";
    version = "20220707-git";
    asds = [ "convolution-kernel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/convolution-kernel/2022-07-07/convolution-kernel-20220707-git.tgz";
      sha256 = "0r2mgwl75fxcc019mxg3s32mkx6fhi8fcy5rzz1jba1wrcw380z3";
      system = "convolution-kernel";
      asd = "convolution-kernel";
    });
    systems = [ "convolution-kernel" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "tile-grid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  copy-directory = (build-asdf-system {
    pname = "copy-directory";
    version = "20160628-git";
    asds = [ "copy-directory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/copy-directory/2016-06-28/copy-directory-20160628-git.tgz";
      sha256 = "19wvzb046lcyifhx26ydzf7ngfa52n64nyx76k3lh02x7ahhpc93";
      system = "copy-directory";
      asd = "copy-directory";
    });
    systems = [ "copy-directory" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "which" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  copy-directory-test = (build-asdf-system {
    pname = "copy-directory-test";
    version = "20160628-git";
    asds = [ "copy-directory-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/copy-directory/2016-06-28/copy-directory-20160628-git.tgz";
      sha256 = "19wvzb046lcyifhx26ydzf7ngfa52n64nyx76k3lh02x7ahhpc93";
      system = "copy-directory-test";
      asd = "copy-directory-test";
    });
    systems = [ "copy-directory-test" ];
    lispLibs = [ (getAttr "copy-directory" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  core-reader = (build-asdf-system {
    pname = "core-reader";
    version = "20220707-git";
    asds = [ "core-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core-reader/2022-07-07/core-reader-20220707-git.tgz";
      sha256 = "1f2cm44r3pnahgx1b3c3psf6myaliwsrvfcgz8c9ydqi5qlx49gb";
      system = "core-reader";
      asd = "core-reader";
    });
    systems = [ "core-reader" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  core-reader_dot_test = (build-asdf-system {
    pname = "core-reader.test";
    version = "20220707-git";
    asds = [ "core-reader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core-reader/2022-07-07/core-reader-20220707-git.tgz";
      sha256 = "1f2cm44r3pnahgx1b3c3psf6myaliwsrvfcgz8c9ydqi5qlx49gb";
      system = "core-reader.test";
      asd = "core-reader.test";
    });
    systems = [ "core-reader.test" ];
    lispLibs = [ (getAttr "core-reader" self) (getAttr "jingoh" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cover = (build-asdf-system {
    pname = "cover";
    version = "20230618-git";
    asds = [ "cover" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cover/2023-06-18/cover-20230618-git.tgz";
      sha256 = "0152zzdszhiblzm3a80x8bnalip7gnzyvvwnlswsnnlb509nby89";
      system = "cover";
      asd = "cover";
    });
    systems = [ "cover" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cqlcl = (build-asdf-system {
    pname = "cqlcl";
    version = "20141106-git";
    asds = [ "cqlcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cqlcl/2014-11-06/cqlcl-20141106-git.tgz";
      sha256 = "0ppdsrrf2hz0s4y02a2p5mgms92znrj7hz7x9j6azppfkal25zid";
      system = "cqlcl";
      asd = "cqlcl";
    });
    systems = [ "cqlcl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "lparallel" self) (getAttr "pooler" self) (getAttr "split-sequence" self) (getAttr "usocket" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cqlcl-test = (build-asdf-system {
    pname = "cqlcl-test";
    version = "20141106-git";
    asds = [ "cqlcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cqlcl/2014-11-06/cqlcl-20141106-git.tgz";
      sha256 = "0ppdsrrf2hz0s4y02a2p5mgms92znrj7hz7x9j6azppfkal25zid";
      system = "cqlcl-test";
      asd = "cqlcl";
    });
    systems = [ "cqlcl-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cqlcl" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  crane = (build-asdf-system {
    pname = "crane";
    version = "20160208-git";
    asds = [ "crane" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crane/2016-02-08/crane-20160208-git.tgz";
      sha256 = "1wai4h7vz5i0ld1fnnbcmpz5d67dmykyxx0ay0fkclkwvpj7gh5n";
      system = "crane";
      asd = "crane";
    });
    systems = [ "crane" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-fad" self) (getAttr "clos-fixtures" self) (getAttr "closer-mop" self) (getAttr "dbi" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  crane-test = (build-asdf-system {
    pname = "crane-test";
    version = "20160208-git";
    asds = [ "crane-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crane/2016-02-08/crane-20160208-git.tgz";
      sha256 = "1wai4h7vz5i0ld1fnnbcmpz5d67dmykyxx0ay0fkclkwvpj7gh5n";
      system = "crane-test";
      asd = "crane-test";
    });
    systems = [ "crane-test" ];
    lispLibs = [ (getAttr "crane" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cricket = (build-asdf-system {
    pname = "cricket";
    version = "20220707-git";
    asds = [ "cricket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cricket/2022-07-07/cricket-20220707-git.tgz";
      sha256 = "0wdpzdmalbnfjmd9s7yalris4i1vvc2klnhfl8g0h2ahq0mqv9p9";
      system = "cricket";
      asd = "cricket";
    });
    systems = [ "cricket" ];
    lispLibs = [ (getAttr "arrow-macros" self) (getAttr "cl-cpus" self) (getAttr "lparallel" self) (getAttr "mfiano-utils" self) (getAttr "seedable-rng" self) (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cricket_dot_test = (build-asdf-system {
    pname = "cricket.test";
    version = "20220707-git";
    asds = [ "cricket.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cricket/2022-07-07/cricket-20220707-git.tgz";
      sha256 = "0wdpzdmalbnfjmd9s7yalris4i1vvc2klnhfl8g0h2ahq0mqv9p9";
      system = "cricket.test";
      asd = "cricket.test";
    });
    systems = [ "cricket.test" ];
    lispLibs = [ (getAttr "cricket" self) (getAttr "mfiano-utils" self) (getAttr "pngload" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  croatoan = (build-asdf-system {
    pname = "croatoan";
    version = "20230618-git";
    asds = [ "croatoan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2023-06-18/croatoan-20230618-git.tgz";
      sha256 = "1whbvwc4df7zz0002xy3aczrpf4s3vk6kmyh9wydgwl112h060pd";
      system = "croatoan";
      asd = "croatoan";
    });
    systems = [ "croatoan" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "croatoan-ncurses" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  croatoan-ncurses = (build-asdf-system {
    pname = "croatoan-ncurses";
    version = "20230618-git";
    asds = [ "croatoan-ncurses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2023-06-18/croatoan-20230618-git.tgz";
      sha256 = "1whbvwc4df7zz0002xy3aczrpf4s3vk6kmyh9wydgwl112h060pd";
      system = "croatoan-ncurses";
      asd = "croatoan-ncurses";
    });
    systems = [ "croatoan-ncurses" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  croatoan-test = (build-asdf-system {
    pname = "croatoan-test";
    version = "20230618-git";
    asds = [ "croatoan-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/croatoan/2023-06-18/croatoan-20230618-git.tgz";
      sha256 = "1whbvwc4df7zz0002xy3aczrpf4s3vk6kmyh9wydgwl112h060pd";
      system = "croatoan-test";
      asd = "croatoan-test";
    });
    systems = [ "croatoan-test" ];
    lispLibs = [ (getAttr "croatoan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  crud = (build-asdf-system {
    pname = "crud";
    version = "20200427-git";
    asds = [ "crud" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "crud";
      asd = "crud";
    });
    systems = [ "crud" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "base64" self) (getAttr "lparallel" self) (getAttr "sqlite" self) (getAttr "sucle-serialize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  crypt = (build-asdf-system {
    pname = "crypt";
    version = "20120520-git";
    asds = [ "crypt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-crypt/2012-05-20/cl-crypt-20120520-git.tgz";
      sha256 = "02fc3aqfbbwjpz79a4mwffv33pnmmknpkmd1r8v9mkn9a6c1ssmh";
      system = "crypt";
      asd = "crypt";
    });
    systems = [ "crypt" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  crypto-shortcuts = (build-asdf-system {
    pname = "crypto-shortcuts";
    version = "20230618-git";
    asds = [ "crypto-shortcuts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/crypto-shortcuts/2023-06-18/crypto-shortcuts-20230618-git.tgz";
      sha256 = "0igqqlpmk3hkd0kap73m513ssygx66gq1s5yx7719n1d47a84psj";
      system = "crypto-shortcuts";
      asd = "crypto-shortcuts";
    });
    systems = [ "crypto-shortcuts" ];
    lispLibs = [ (getAttr "cl-base32" self) (getAttr "cl-base64" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cserial-port = (build-asdf-system {
    pname = "cserial-port";
    version = "20230214-git";
    asds = [ "cserial-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cserial-port/2023-02-14/cserial-port-20230214-git.tgz";
      sha256 = "0l38qh66g2iba7kjw6fml3q55ax6vkk0khbwrsvkglwhpan79fsm";
      system = "cserial-port";
      asd = "cserial-port";
    });
    systems = [ "cserial-port" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "osicat" self) (getAttr "trivial-features" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  css-lite = (build-asdf-system {
    pname = "css-lite";
    version = "20230618-git";
    asds = [ "css-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-lite/2023-06-18/css-lite-20230618-git.tgz";
      sha256 = "1pvvwd6ysdc7m5945vkwdbq4jjmcszmkxp9jhgi0lba23si07dp5";
      system = "css-lite";
      asd = "css-lite";
    });
    systems = [ "css-lite" ];
    lispLibs = [ (getAttr "parenscript" self) ];
    meta = {};
  });
  css-selectors = (build-asdf-system {
    pname = "css-selectors";
    version = "20160628-git";
    asds = [ "css-selectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors";
      asd = "css-selectors";
    });
    systems = [ "css-selectors" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "buildnode" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) (getAttr "yacc" self) ];
    meta = {};
  });
  css-selectors-simple-tree = (build-asdf-system {
    pname = "css-selectors-simple-tree";
    version = "20160628-git";
    asds = [ "css-selectors-simple-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-simple-tree";
      asd = "css-selectors-simple-tree";
    });
    systems = [ "css-selectors-simple-tree" ];
    lispLibs = [ (getAttr "cl-html5-parser" self) (getAttr "css-selectors" self) ];
    meta = {};
  });
  css-selectors-stp = (build-asdf-system {
    pname = "css-selectors-stp";
    version = "20160628-git";
    asds = [ "css-selectors-stp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-stp";
      asd = "css-selectors-stp";
    });
    systems = [ "css-selectors-stp" ];
    lispLibs = [ (getAttr "css-selectors" self) (getAttr "cxml-stp" self) ];
    meta = {};
  });
  css-selectors-test = (build-asdf-system {
    pname = "css-selectors-test";
    version = "20160628-git";
    asds = [ "css-selectors-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/css-selectors/2016-06-28/css-selectors-20160628-git.tgz";
      sha256 = "0x0a5jq4kdw8zrkljmhijcbvjj09iyrwwgryc6kvzl5g7wzg2xr6";
      system = "css-selectors-test";
      asd = "css-selectors";
    });
    systems = [ "css-selectors-test" ];
    lispLibs = [ (getAttr "buildnode-xhtml" self) (getAttr "css-selectors" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  csv = (build-asdf-system {
    pname = "csv";
    version = "20190710-git";
    asds = [ "csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv/2019-07-10/csv-20190710-git.tgz";
      sha256 = "0jykv91w7anisac2aip38vnj7ywi567rcp4n8nv3lz5qb7g1dpy4";
      system = "csv";
      asd = "csv";
    });
    systems = [ "csv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  csv-parser = (build-asdf-system {
    pname = "csv-parser";
    version = "20140713-git";
    asds = [ "csv-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv-parser/2014-07-13/csv-parser-20140713-git.tgz";
      sha256 = "0pcp709dwxi3p2vrmx5qiy571pybfs1hpv9z8g4i1ig2l4mc3djh";
      system = "csv-parser";
      asd = "csv-parser";
    });
    systems = [ "csv-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  csv-validator = (build-asdf-system {
    pname = "csv-validator";
    version = "20230618-git";
    asds = [ "csv-validator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv-validator/2023-06-18/csv-validator-20230618-git.tgz";
      sha256 = "14cwjc43q05a1gdl0m79sps59605dfrhd4mjhcxh7gxyj8x7x1k2";
      system = "csv-validator";
      asd = "csv-validator";
    });
    systems = [ "csv-validator" ];
    lispLibs = [ (getAttr "local-time" self) (getAttr "lparallel" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  csv-validator-tests = (build-asdf-system {
    pname = "csv-validator-tests";
    version = "20230618-git";
    asds = [ "csv-validator-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/csv-validator/2023-06-18/csv-validator-20230618-git.tgz";
      sha256 = "14cwjc43q05a1gdl0m79sps59605dfrhd4mjhcxh7gxyj8x7x1k2";
      system = "csv-validator-tests";
      asd = "csv-validator-tests";
    });
    systems = [ "csv-validator-tests" ];
    lispLibs = [ (getAttr "csv-validator" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ctype = (build-asdf-system {
    pname = "ctype";
    version = "20230618-git";
    asds = [ "ctype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ctype/2023-06-18/ctype-20230618-git.tgz";
      sha256 = "0bh0jbdz59zw1pamqi4g5xsyjq5p7igs895khn5ihxn1fsfnad9h";
      system = "ctype";
      asd = "ctype";
    });
    systems = [ "ctype" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cubic-bezier = (build-asdf-system {
    pname = "cubic-bezier";
    version = "20220707-git";
    asds = [ "cubic-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cubic-bezier/2022-07-07/cubic-bezier-20220707-git.tgz";
      sha256 = "08byf1pw2s5sz97bk0sp2a6gdx5dkankbbg14azafd1k0vfh7vcr";
      system = "cubic-bezier";
      asd = "cubic-bezier";
    });
    systems = [ "cubic-bezier" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "origin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cue-parser = (build-asdf-system {
    pname = "cue-parser";
    version = "20180228-git";
    asds = [ "cue-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cue-parser/2018-02-28/cue-parser-20180228-git.tgz";
      sha256 = "1zl3a02b68yywchd1aldls07b4qgrf08xpb4xiaaw8njk2qa0lz1";
      system = "cue-parser";
      asd = "cue-parser";
    });
    systems = [ "cue-parser" ];
    lispLibs = [ (getAttr "esrap" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  curly = (build-asdf-system {
    pname = "curly";
    version = "20120407-git";
    asds = [ "curly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curly/2012-04-07/curly-20120407-git.tgz";
      sha256 = "04gpkq6hd7wvvny0p3lgn87bfalswqc67sbg4p35j52w51mqd8vf";
      system = "curly";
      asd = "curly";
    });
    systems = [ "curly" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  curly_dot_test = (build-asdf-system {
    pname = "curly.test";
    version = "20120407-git";
    asds = [ "curly.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curly/2012-04-07/curly-20120407-git.tgz";
      sha256 = "04gpkq6hd7wvvny0p3lgn87bfalswqc67sbg4p35j52w51mqd8vf";
      system = "curly.test";
      asd = "curly";
    });
    systems = [ "curly.test" ];
    lispLibs = [ (getAttr "curly" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  curry-compose-reader-macros = (build-asdf-system {
    pname = "curry-compose-reader-macros";
    version = "20201220-git";
    asds = [ "curry-compose-reader-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/curry-compose-reader-macros/2020-12-20/curry-compose-reader-macros-20201220-git.tgz";
      sha256 = "0j4qfwpw4ykf5npiln54w7jcnj46p7xf9d4p3jpx4a67fdkrlxd1";
      system = "curry-compose-reader-macros";
      asd = "curry-compose-reader-macros";
    });
    systems = [ "curry-compose-reader-macros" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxml = (build-asdf-system {
    pname = "cxml";
    version = "20200610-git";
    asds = [ "cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml";
      asd = "cxml";
    });
    systems = [ "cxml" ];
    lispLibs = [ (getAttr "closure-common" self) (getAttr "puri" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  cxml-dom = (build-asdf-system {
    pname = "cxml-dom";
    version = "20200610-git";
    asds = [ "cxml-dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-dom";
      asd = "cxml-dom";
    });
    systems = [ "cxml-dom" ];
    lispLibs = [ (getAttr "closure-common" self) (getAttr "puri" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxml-klacks = (build-asdf-system {
    pname = "cxml-klacks";
    version = "20200610-git";
    asds = [ "cxml-klacks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-klacks";
      asd = "cxml-klacks";
    });
    systems = [ "cxml-klacks" ];
    lispLibs = [ (getAttr "closure-common" self) (getAttr "puri" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxml-rng = (build-asdf-system {
    pname = "cxml-rng";
    version = "20190710-git";
    asds = [ "cxml-rng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-rng/2019-07-10/cxml-rng-20190710-git.tgz";
      sha256 = "0pjb5268spiwq6b0cly8nfajr6rsh2wf6si646bzzjrxbgs51sxa";
      system = "cxml-rng";
      asd = "cxml-rng";
    });
    systems = [ "cxml-rng" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "parse-number" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxml-rpc = (build-asdf-system {
    pname = "cxml-rpc";
    version = "20121013-git";
    asds = [ "cxml-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-rpc/2012-10-13/cxml-rpc-20121013-git.tgz";
      sha256 = "1ihd8rg0shy7nykqcbvvx5px7sw8wr1nwz70jdrh6ibq74yr8flh";
      system = "cxml-rpc";
      asd = "cxml-rpc";
    });
    systems = [ "cxml-rpc" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxml-stp = (build-asdf-system {
    pname = "cxml-stp";
    version = "20200325-git";
    asds = [ "cxml-stp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml-stp/2020-03-25/cxml-stp-20200325-git.tgz";
      sha256 = "01yfxxvb144i2mlp06fxx410mf3phxz5qaqvk90pp4dzdl883knv";
      system = "cxml-stp";
      asd = "cxml-stp";
    });
    systems = [ "cxml-stp" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cxml" self) (getAttr "xpath" self) ];
    meta = {};
  });
  cxml-test = (build-asdf-system {
    pname = "cxml-test";
    version = "20200610-git";
    asds = [ "cxml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cxml/2020-06-10/cxml-20200610-git.tgz";
      sha256 = "18fls3bx7vmnxfa6qara8fxp316d8kb3izar0kysvqg6l0a45a51";
      system = "cxml-test";
      asd = "cxml-test";
    });
    systems = [ "cxml-test" ];
    lispLibs = [ (getAttr "closure-common" self) (getAttr "puri" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxx = (build-asdf-system {
    pname = "cxx";
    version = "20230214-git";
    asds = [ "cxx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx/2023-02-14/cl-cxx-20230214-git.tgz";
      sha256 = "08jh7ajgfdr3cqla02c4d2y06y0imkky5d4mwnlph01nczzf85cy";
      system = "cxx";
      asd = "cxx";
    });
    systems = [ "cxx" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxx-jit = (build-asdf-system {
    pname = "cxx-jit";
    version = "20220331-git";
    asds = [ "cxx-jit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx-jit/2022-03-31/cl-cxx-jit-20220331-git.tgz";
      sha256 = "0mbi5r4b4jbk50yy4pv7ngsjj50579f9c362dzh0sbrxk8vd3gkp";
      system = "cxx-jit";
      asd = "cxx-jit";
    });
    systems = [ "cxx-jit" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cxx-test = (build-asdf-system {
    pname = "cxx-test";
    version = "20230214-git";
    asds = [ "cxx-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cxx/2023-02-14/cl-cxx-20230214-git.tgz";
      sha256 = "08jh7ajgfdr3cqla02c4d2y06y0imkky5d4mwnlph01nczzf85cy";
      system = "cxx-test";
      asd = "cxx-test";
    });
    systems = [ "cxx-test" ];
    lispLibs = [ (getAttr "cxx" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  cytoscape-clj = (build-asdf-system {
    pname = "cytoscape-clj";
    version = "20221106-git";
    asds = [ "cytoscape-clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cytoscape-clj/2022-11-06/cytoscape-clj-20221106-git.tgz";
      sha256 = "0212c9aw2qpcijz2sglabbn51h93ljw1l3sj4kbff724xgc96ijh";
      system = "cytoscape-clj";
      asd = "cytoscape-clj";
    });
    systems = [ "cytoscape-clj" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  daemon = (build-asdf-system {
    pname = "daemon";
    version = "20170403-git";
    asds = [ "daemon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/daemon/2017-04-03/daemon-20170403-git.tgz";
      sha256 = "1kdxfnhh9fz34j8qs7pn7mwjz3v33q4v9nh0hqkyzraq5xs2j3f4";
      system = "daemon";
      asd = "daemon";
    });
    systems = [ "daemon" ];
    lispLibs = [ (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  damn-fast-priority-queue = (build-asdf-system {
    pname = "damn-fast-priority-queue";
    version = "20221106-git";
    asds = [ "damn-fast-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-priority-queue";
      asd = "damn-fast-priority-queue";
    });
    systems = [ "damn-fast-priority-queue" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  damn-fast-stable-priority-queue = (build-asdf-system {
    pname = "damn-fast-stable-priority-queue";
    version = "20221106-git";
    asds = [ "damn-fast-stable-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "damn-fast-stable-priority-queue";
      asd = "damn-fast-stable-priority-queue";
    });
    systems = [ "damn-fast-stable-priority-queue" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_email-address = (build-asdf-system {
    pname = "darts.lib.email-address";
    version = "quicklisp-release-48464635-git";
    asds = [ "darts.lib.email-address" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclemailaddress/2016-04-21/dartsclemailaddress-quicklisp-release-48464635-git.tgz";
      sha256 = "15155nqi9q7ilaf14p4yi4iga8203rl7fn9v2iaxcfm18gsvqcjd";
      system = "darts.lib.email-address";
      asd = "darts.lib.email-address";
    });
    systems = [ "darts.lib.email-address" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_email-address-test = (build-asdf-system {
    pname = "darts.lib.email-address-test";
    version = "quicklisp-release-48464635-git";
    asds = [ "darts.lib.email-address-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclemailaddress/2016-04-21/dartsclemailaddress-quicklisp-release-48464635-git.tgz";
      sha256 = "15155nqi9q7ilaf14p4yi4iga8203rl7fn9v2iaxcfm18gsvqcjd";
      system = "darts.lib.email-address-test";
      asd = "darts.lib.email-address-test";
    });
    systems = [ "darts.lib.email-address-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_email-address" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_hashtree-test = (build-asdf-system {
    pname = "darts.lib.hashtree-test";
    version = "20211230-git";
    asds = [ "darts.lib.hashtree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.hashtree-test";
      asd = "darts.lib.hashtree-test";
    });
    systems = [ "darts.lib.hashtree-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_hashtrie" self) (getAttr "darts_dot_lib_dot_wbtree" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_hashtrie = (build-asdf-system {
    pname = "darts.lib.hashtrie";
    version = "20211230-git";
    asds = [ "darts.lib.hashtrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.hashtrie";
      asd = "darts.lib.hashtrie";
    });
    systems = [ "darts.lib.hashtrie" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_message-pack = (build-asdf-system {
    pname = "darts.lib.message-pack";
    version = "20200325-git";
    asds = [ "darts.lib.message-pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclmessagepack/2020-03-25/dartsclmessagepack-20200325-git.tgz";
      sha256 = "0i9jnvq6dp5zya1ijj3z7s10803jk8rb4nrjrzcgcfhkczd5si6y";
      system = "darts.lib.message-pack";
      asd = "darts.lib.message-pack";
    });
    systems = [ "darts.lib.message-pack" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_message-pack-test = (build-asdf-system {
    pname = "darts.lib.message-pack-test";
    version = "20200325-git";
    asds = [ "darts.lib.message-pack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclmessagepack/2020-03-25/dartsclmessagepack-20200325-git.tgz";
      sha256 = "0i9jnvq6dp5zya1ijj3z7s10803jk8rb4nrjrzcgcfhkczd5si6y";
      system = "darts.lib.message-pack-test";
      asd = "darts.lib.message-pack-test";
    });
    systems = [ "darts.lib.message-pack-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_message-pack" self) (getAttr "stefil" self) (getAttr "trivial-octet-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_sequence-metrics = (build-asdf-system {
    pname = "darts.lib.sequence-metrics";
    version = "20130312-git";
    asds = [ "darts.lib.sequence-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclsequencemetrics/2013-03-12/dartsclsequencemetrics-20130312-git.tgz";
      sha256 = "1x99gj5dfgiaraawx1nd157g5ajygfxz47cz8jgi1fh52fp1p969";
      system = "darts.lib.sequence-metrics";
      asd = "darts.lib.sequence-metrics";
    });
    systems = [ "darts.lib.sequence-metrics" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_tools = (build-asdf-system {
    pname = "darts.lib.tools";
    version = "20201220-git";
    asds = [ "darts.lib.tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscltools/2020-12-20/dartscltools-20201220-git.tgz";
      sha256 = "0mbz7ak03qsw41fgybdw4mbibr656y9xl9bfgr2rmkdkgxbicys9";
      system = "darts.lib.tools";
      asd = "darts.lib.tools";
    });
    systems = [ "darts.lib.tools" ];
    lispLibs = [ (getAttr "atomics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_tools_dot_test = (build-asdf-system {
    pname = "darts.lib.tools.test";
    version = "20201220-git";
    asds = [ "darts.lib.tools.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscltools/2020-12-20/dartscltools-20201220-git.tgz";
      sha256 = "0mbz7ak03qsw41fgybdw4mbibr656y9xl9bfgr2rmkdkgxbicys9";
      system = "darts.lib.tools.test";
      asd = "darts.lib.tools.test";
    });
    systems = [ "darts.lib.tools.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "darts_dot_lib_dot_tools" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_uuid = (build-asdf-system {
    pname = "darts.lib.uuid";
    version = "20210807-git";
    asds = [ "darts.lib.uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscluuid/2021-08-07/dartscluuid-20210807-git.tgz";
      sha256 = "068lsbjnx4bkhz7s2022jsh8zsvqak98s8hcy1rs10bgi36hrrkh";
      system = "darts.lib.uuid";
      asd = "darts.lib.uuid";
    });
    systems = [ "darts.lib.uuid" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "ironclad" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_uuid-test = (build-asdf-system {
    pname = "darts.lib.uuid-test";
    version = "20210807-git";
    asds = [ "darts.lib.uuid-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartscluuid/2021-08-07/dartscluuid-20210807-git.tgz";
      sha256 = "068lsbjnx4bkhz7s2022jsh8zsvqak98s8hcy1rs10bgi36hrrkh";
      system = "darts.lib.uuid-test";
      asd = "darts.lib.uuid-test";
    });
    systems = [ "darts.lib.uuid-test" ];
    lispLibs = [ (getAttr "darts_dot_lib_dot_uuid" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  darts_dot_lib_dot_wbtree = (build-asdf-system {
    pname = "darts.lib.wbtree";
    version = "20211230-git";
    asds = [ "darts.lib.wbtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dartsclhashtree/2021-12-30/dartsclhashtree-20211230-git.tgz";
      sha256 = "17h3s6n9l1vwllcig7g385qxcrp6f68zjcb2rygs8nhs5g7iqryc";
      system = "darts.lib.wbtree";
      asd = "darts.lib.wbtree";
    });
    systems = [ "darts.lib.wbtree" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-format-validation = (build-asdf-system {
    pname = "data-format-validation";
    version = "20140713-git";
    asds = [ "data-format-validation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-data-format-validation/2014-07-13/cl-data-format-validation-20140713-git.tgz";
      sha256 = "0zmk47xmicyqvp1impn8kgh5373ysmx3gfpqcvbi9r31qsir2nqa";
      system = "data-format-validation";
      asd = "data-format-validation";
    });
    systems = [ "data-format-validation" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-frame = (build-asdf-system {
    pname = "data-frame";
    version = "20221106-git";
    asds = [ "data-frame" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-frame/2022-11-06/data-frame-20221106-git.tgz";
      sha256 = "0bs1jh66bml25bj1lxdzz8cjhj3g060yyd5ggqsnsr4l2j0zyszv";
      system = "data-frame";
      asd = "data-frame";
    });
    systems = [ "data-frame" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "alexandria_plus" self) (getAttr "anaphora" self) (getAttr "array-operations" self) (getAttr "duologue" self) (getAttr "let-plus" self) (getAttr "num-utils" self) (getAttr "select" self) (getAttr "statistics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-lens = (build-asdf-system {
    pname = "data-lens";
    version = "20230618-git";
    asds = [ "data-lens" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-lens/2023-06-18/data-lens-20230618-git.tgz";
      sha256 = "04vqzczqrz153v8v72fmhcrmqxfsjzkjyz734k01hm90d12g13hd";
      system = "data-lens";
      asd = "data-lens";
    });
    systems = [ "data-lens" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-sift = (build-asdf-system {
    pname = "data-sift";
    version = "20130128-git";
    asds = [ "data-sift" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-sift/2013-01-28/data-sift-20130128-git.tgz";
      sha256 = "1v7gf0x4ibjzp0c56n9m77hxdgwcm9356zlk5n4l3fx4i0hj6146";
      system = "data-sift";
      asd = "data-sift";
    });
    systems = [ "data-sift" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "parse-number" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-sift-test = (build-asdf-system {
    pname = "data-sift-test";
    version = "20130128-git";
    asds = [ "data-sift-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-sift/2013-01-28/data-sift-20130128-git.tgz";
      sha256 = "1v7gf0x4ibjzp0c56n9m77hxdgwcm9356zlk5n4l3fx4i0hj6146";
      system = "data-sift-test";
      asd = "data-sift";
    });
    systems = [ "data-sift-test" ];
    lispLibs = [ (getAttr "data-sift" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-table = (build-asdf-system {
    pname = "data-table";
    version = "20221106-git";
    asds = [ "data-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table";
      asd = "data-table";
    });
    systems = [ "data-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {};
  });
  data-table-clsql = (build-asdf-system {
    pname = "data-table-clsql";
    version = "20221106-git";
    asds = [ "data-table-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table-clsql";
      asd = "data-table-clsql";
    });
    systems = [ "data-table-clsql" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-helper" self) (getAttr "collectors" self) (getAttr "data-table" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  data-table-test = (build-asdf-system {
    pname = "data-table-test";
    version = "20221106-git";
    asds = [ "data-table-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/data-table/2022-11-06/data-table-20221106-git.tgz";
      sha256 = "0pin7hjsniz1ls3mrsjz6jqvlbbws8s4g7a0ks00dnwdm8nca6l3";
      system = "data-table-test";
      asd = "data-table";
    });
    systems = [ "data-table-test" ];
    lispLibs = [ (getAttr "data-table" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  database-migrations = (build-asdf-system {
    pname = "database-migrations";
    version = "20230214-git";
    asds = [ "database-migrations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/database-migrations/2023-02-14/database-migrations-20230214-git.tgz";
      sha256 = "1mm5adjhqy0djr8fxpdsamc2ry2x5krc9w0s5nnfvyc4yqs0bwaa";
      system = "database-migrations";
      asd = "database-migrations";
    });
    systems = [ "database-migrations" ];
    lispLibs = [ (getAttr "postmodern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  datafly = (build-asdf-system {
    pname = "datafly";
    version = "20200325-git";
    asds = [ "datafly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datafly/2020-03-25/datafly-20200325-git.tgz";
      sha256 = "16b78kzmglp2a4nxlxxl7rpf5zaibsgagn0p3c56fsxvx0c4hszv";
      system = "datafly";
      asd = "datafly";
    });
    systems = [ "datafly" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-syntax-annot" self) (getAttr "closer-mop" self) (getAttr "dbi" self) (getAttr "function-cache" self) (getAttr "iterate" self) (getAttr "jonathan" self) (getAttr "kebab" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "optima" self) (getAttr "sxql" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  datafly-test = (build-asdf-system {
    pname = "datafly-test";
    version = "20200325-git";
    asds = [ "datafly-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datafly/2020-03-25/datafly-20200325-git.tgz";
      sha256 = "16b78kzmglp2a4nxlxxl7rpf5zaibsgagn0p3c56fsxvx0c4hszv";
      system = "datafly-test";
      asd = "datafly-test";
    });
    systems = [ "datafly-test" ];
    lispLibs = [ (getAttr "datafly" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dataloader = (build-asdf-system {
    pname = "dataloader";
    version = "20210531-git";
    asds = [ "dataloader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dataloader/2021-05-31/dataloader-20210531-git.tgz";
      sha256 = "1a7nap2yp0jjd9r3xpkj0a6z0m3gshz73abm8kfza4kf31ipzyik";
      system = "dataloader";
      asd = "dataloader";
    });
    systems = [ "dataloader" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-csv" self) (getAttr "cl-jpeg" self) (getAttr "cl-wav" self) (getAttr "iterate" self) (getAttr "magicffi" self) (getAttr "numcl" self) (getAttr "numpy-file-format" self) (getAttr "png" self) (getAttr "retrospectiff" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dataloader_dot_test = (build-asdf-system {
    pname = "dataloader.test";
    version = "20210531-git";
    asds = [ "dataloader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dataloader/2021-05-31/dataloader-20210531-git.tgz";
      sha256 = "1a7nap2yp0jjd9r3xpkj0a6z0m3gshz73abm8kfza4kf31ipzyik";
      system = "dataloader.test";
      asd = "dataloader.test";
    });
    systems = [ "dataloader.test" ];
    lispLibs = [ (getAttr "dataloader" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  datamuse = (build-asdf-system {
    pname = "datamuse";
    version = "20221106-git";
    asds = [ "datamuse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datamuse/2022-11-06/datamuse-20221106-git.tgz";
      sha256 = "1x37rjf2gyvlq6jlflw628g299qdgzb0bwiv3qxk0nv22an50rp0";
      system = "datamuse";
      asd = "datamuse";
    });
    systems = [ "datamuse" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  date-calc = (build-asdf-system {
    pname = "date-calc";
    version = "20191227-git";
    asds = [ "date-calc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/date-calc/2019-12-27/date-calc-20191227-git.tgz";
      sha256 = "09wmjp3ypxigcmx4mvc0yjnj56wkjjchhssdmklbaswy5mi7xc9s";
      system = "date-calc";
      asd = "date-calc";
    });
    systems = [ "date-calc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  datum-comments = (build-asdf-system {
    pname = "datum-comments";
    version = "20210228-git";
    asds = [ "datum-comments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/datum-comments/2021-02-28/datum-comments-20210228-git.tgz";
      sha256 = "07zzlhphcmwimp4pjckhnbjbn127lcpafi7j0l74137dz9pimjik";
      system = "datum-comments";
      asd = "datum-comments";
    });
    systems = [ "datum-comments" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  db3 = (build-asdf-system {
    pname = "db3";
    version = "20200218-git";
    asds = [ "db3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-db3/2020-02-18/cl-db3-20200218-git.tgz";
      sha256 = "1i7j0mlri6kbklcx1lsm464s8kmyhhij5c4xh4aybrw8m4ixn1s5";
      system = "db3";
      asd = "db3";
    });
    systems = [ "db3" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dbd-mysql = (build-asdf-system {
    pname = "dbd-mysql";
    version = "20230618-git";
    asds = [ "dbd-mysql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "dbd-mysql";
      asd = "dbd-mysql";
    });
    systems = [ "dbd-mysql" ];
    lispLibs = [ (getAttr "cl-mysql" self) (getAttr "dbi" self) ];
    meta = {};
  });
  dbd-postgres = (build-asdf-system {
    pname = "dbd-postgres";
    version = "20230618-git";
    asds = [ "dbd-postgres" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "dbd-postgres";
      asd = "dbd-postgres";
    });
    systems = [ "dbd-postgres" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "dbi" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  dbd-sqlite3 = (build-asdf-system {
    pname = "dbd-sqlite3";
    version = "20230618-git";
    asds = [ "dbd-sqlite3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "dbd-sqlite3";
      asd = "dbd-sqlite3";
    });
    systems = [ "dbd-sqlite3" ];
    lispLibs = [ (getAttr "dbi" self) (getAttr "sqlite" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  dbi = (build-asdf-system {
    pname = "dbi";
    version = "20230618-git";
    asds = [ "dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "dbi";
      asd = "dbi";
    });
    systems = [ "dbi" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  dbi-test = (build-asdf-system {
    pname = "dbi-test";
    version = "20230618-git";
    asds = [ "dbi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dbi/2023-06-18/cl-dbi-20230618-git.tgz";
      sha256 = "0kkhxiz5b7arsp394yk1qrndvg0069p27vap3ba47cv3z4sb0d50";
      system = "dbi-test";
      asd = "dbi-test";
    });
    systems = [ "dbi-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "dbi" self) (getAttr "rove" self) (getAttr "trivial-types" self) ];
    meta = {};
  });
  dbus = (build-asdf-system {
    pname = "dbus";
    version = "20211020-git";
    asds = [ "dbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dbus/2021-10-20/dbus-20211020-git.tgz";
      sha256 = "1gw5414q7r6yi2bm1wk2fhqnvhxzc5c6812z3qh67c9dyizcjy2a";
      system = "dbus";
      asd = "dbus";
    });
    systems = [ "dbus" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "babel" self) (getAttr "cl-xmlspam" self) (getAttr "flexi-streams" self) (getAttr "ieee-floats" self) (getAttr "iolib" self) (getAttr "ironclad" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  dct = (build-asdf-system {
    pname = "dct";
    version = "20220331-git";
    asds = [ "dct" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dct/2022-03-31/cl-dct-20220331-git.tgz";
      sha256 = "1rzq4vdhvr454668a3xf56mha061d27ymsgawmxikgk86wi8biin";
      system = "dct";
      asd = "dct";
    });
    systems = [ "dct" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dct-test = (build-asdf-system {
    pname = "dct-test";
    version = "20220331-git";
    asds = [ "dct-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-dct/2022-03-31/cl-dct-20220331-git.tgz";
      sha256 = "1rzq4vdhvr454668a3xf56mha061d27ymsgawmxikgk86wi8biin";
      system = "dct-test";
      asd = "dct-test";
    });
    systems = [ "dct-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-coveralls" self) (getAttr "dct" self) (getAttr "lisp-unit" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ddo = (build-asdf-system {
    pname = "ddo";
    version = "20210411-git";
    asds = [ "ddo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "ddo";
      asd = "ddo";
    });
    systems = [ "ddo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-mpi" self) (getAttr "cl-mpi-extensions" self) (getAttr "femlisp-basic" self) (getAttr "femlisp-dictionary" self) (getAttr "femlisp-parallel" self) (getAttr "lfarm-admin" self) (getAttr "lfarm-client" self) (getAttr "lfarm-server" self) (getAttr "trees" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  de-mock-racy = (build-asdf-system {
    pname = "de-mock-racy";
    version = "20221106-git";
    asds = [ "de-mock-racy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/de-mock-racy/2022-11-06/de-mock-racy-20221106-git.tgz";
      sha256 = "02rkg1i5r8fgyhaipb0mkz543c8r81kqmwmmvywnnw8hpyvav2xb";
      system = "de-mock-racy";
      asd = "de-mock-racy";
    });
    systems = [ "de-mock-racy" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dealii-tutorial = (build-asdf-system {
    pname = "dealii-tutorial";
    version = "20210411-git";
    asds = [ "dealii-tutorial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "dealii-tutorial";
      asd = "dealii-tutorial";
    });
    systems = [ "dealii-tutorial" ];
    lispLibs = [ (getAttr "femlisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  decimals = (build-asdf-system {
    pname = "decimals";
    version = "20211209-git";
    asds = [ "decimals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-decimals/2021-12-09/cl-decimals-20211209-git.tgz";
      sha256 = "0wn5hq1pwd3wpjqqhpjzarcdk1q6416g8y447iaf55j5nbhlmbn6";
      system = "decimals";
      asd = "decimals";
    });
    systems = [ "decimals" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deeds = (build-asdf-system {
    pname = "deeds";
    version = "20230618-git";
    asds = [ "deeds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deeds/2023-06-18/deeds-20230618-git.tgz";
      sha256 = "0p4rvihh4f8879jd20k85pvz7429q62s6brw0zwbg1iykcpm57gz";
      system = "deeds";
      asd = "deeds";
    });
    systems = [ "deeds" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "form-fiddle" self) (getAttr "lambda-fiddle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  def-properties = (build-asdf-system {
    pname = "def-properties";
    version = "20230618-git";
    asds = [ "def-properties" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-def-properties/2023-06-18/cl-def-properties-20230618-git.tgz";
      sha256 = "0yvii6llhmjv1k7hli6waj1bprj8fqhncgnk8mdlg08wwa27a2j8";
      system = "def-properties";
      asd = "def-properties";
    });
    systems = [ "def-properties" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defclass-std = (build-asdf-system {
    pname = "defclass-std";
    version = "20201220-git";
    asds = [ "defclass-std" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defclass-std/2020-12-20/defclass-std-20201220-git.tgz";
      sha256 = "1c0ymb49wd205lzxmnmsrpqyv0pn61snn2xvsbk5iis135r4fr18";
      system = "defclass-std";
      asd = "defclass-std";
    });
    systems = [ "defclass-std" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) ];
    meta = {};
  });
  defclass-std-test = (build-asdf-system {
    pname = "defclass-std-test";
    version = "20201220-git";
    asds = [ "defclass-std-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defclass-std/2020-12-20/defclass-std-20201220-git.tgz";
      sha256 = "1c0ymb49wd205lzxmnmsrpqyv0pn61snn2xvsbk5iis135r4fr18";
      system = "defclass-std-test";
      asd = "defclass-std-test";
    });
    systems = [ "defclass-std-test" ];
    lispLibs = [ (getAttr "defclass-std" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defconfig = (build-asdf-system {
    pname = "defconfig";
    version = "20211209-git";
    asds = [ "defconfig" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defconfig/2021-12-09/defconfig-20211209-git.tgz";
      sha256 = "1gvgni43fxknj800k2k7jhgayzqqqp3s321sw4qmsjxpv479hcqy";
      system = "defconfig";
      asd = "defconfig";
    });
    systems = [ "defconfig" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-cltl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defenum = (build-asdf-system {
    pname = "defenum";
    version = "20230214-git";
    asds = [ "defenum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defenum/2023-02-14/defenum-20230214-git.tgz";
      sha256 = "1nrgqq2cbmg2zgx8wmhrqcrbfkq71hsabsnjpnyb2a6ismz6d5vg";
      system = "defenum";
      asd = "defenum";
    });
    systems = [ "defenum" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deferred = (build-asdf-system {
    pname = "deferred";
    version = "20190710-git";
    asds = [ "deferred" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deferred/2019-07-10/deferred-20190710-git.tgz";
      sha256 = "1pcbzvambkqacs4pcww7wc9g7jjv0x7a8iwbk2b16l8x0rc0izx5";
      system = "deferred";
      asd = "deferred";
    });
    systems = [ "deferred" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  define-json-expander = (build-asdf-system {
    pname = "define-json-expander";
    version = "20140713-git";
    asds = [ "define-json-expander" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/define-json-expander/2014-07-13/define-json-expander-20140713-git.tgz";
      sha256 = "193mhjcy1qnfd7r7zia3qs8p7gllvq6s0b2wcqmkh0y17aw8brkh";
      system = "define-json-expander";
      asd = "define-json-expander";
    });
    systems = [ "define-json-expander" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  definer = (build-asdf-system {
    pname = "definer";
    version = "20230214-git";
    asds = [ "definer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definer/2023-02-14/definer-20230214-git.tgz";
      sha256 = "0wgzmmdnlw74cc4nz4hvx8r3759f114bf3n8zxzbw0181llpy5ff";
      system = "definer";
      asd = "definer";
    });
    systems = [ "definer" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  definitions = (build-asdf-system {
    pname = "definitions";
    version = "20210531-git";
    asds = [ "definitions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions/2021-05-31/definitions-20210531-git.tgz";
      sha256 = "16dh9iy3v344xj4qllsp47007px3yx26fxxh9gh2cvs8dqgk3kch";
      system = "definitions";
      asd = "definitions";
    });
    systems = [ "definitions" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  definitions-systems = (build-asdf-system {
    pname = "definitions-systems";
    version = "3.0";
    asds = [ "definitions-systems" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions-systems/2023-06-18/definitions-systems_3.0.tgz";
      sha256 = "0wly8hr9gfxhdz4l46xsh4vj99q9aq7p3cfsglbgv19kdsvv217r";
      system = "definitions-systems";
      asd = "definitions-systems";
    });
    systems = [ "definitions-systems" ];
    lispLibs = [ (getAttr "canonicalized-initargs" self) (getAttr "closer-mop" self) (getAttr "enhanced-defclass" self) (getAttr "enhanced-find-class" self) (getAttr "shared-preferences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  definitions-systems__tests = (build-asdf-system {
    pname = "definitions-systems_tests";
    version = "3.0";
    asds = [ "definitions-systems_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/definitions-systems/2023-06-18/definitions-systems_3.0.tgz";
      sha256 = "0wly8hr9gfxhdz4l46xsh4vj99q9aq7p3cfsglbgv19kdsvv217r";
      system = "definitions-systems_tests";
      asd = "definitions-systems_tests";
    });
    systems = [ "definitions-systems_tests" ];
    lispLibs = [ (getAttr "definitions-systems" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deflate = (build-asdf-system {
    pname = "deflate";
    version = "20230618-git";
    asds = [ "deflate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deflate/2023-06-18/deflate-20230618-git.tgz";
      sha256 = "1zarfhbkq1v6cwccvk1znga134glnnk7dx58l0fwpr437bd3gdvi";
      system = "deflate";
      asd = "deflate";
    });
    systems = [ "deflate" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deflazy = (build-asdf-system {
    pname = "deflazy";
    version = "20200427-git";
    asds = [ "deflazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "deflazy";
      asd = "deflazy";
    });
    systems = [ "deflazy" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "uncommon-lisp" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defmain = (build-asdf-system {
    pname = "defmain";
    version = "20221106-git";
    asds = [ "defmain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmain/2022-11-06/defmain-20221106-git.tgz";
      sha256 = "08mmb0rgbipmjhmpvr1889n1665309pwsa16qsrsbmgnmmaznw6a";
      system = "defmain";
      asd = "defmain";
    });
    systems = [ "defmain" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "cl-inflector" self) (getAttr "cl-strings" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "net_dot_didierverna_dot_clon_dot_core" self) (getAttr "pythonic-string-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defmain-test = (build-asdf-system {
    pname = "defmain-test";
    version = "20221106-git";
    asds = [ "defmain-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmain/2022-11-06/defmain-20221106-git.tgz";
      sha256 = "08mmb0rgbipmjhmpvr1889n1665309pwsa16qsrsbmgnmmaznw6a";
      system = "defmain-test";
      asd = "defmain-test";
    });
    systems = [ "defmain-test" ];
    lispLibs = [ (getAttr "defmain" self) (getAttr "hamcrest" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defmemo = (build-asdf-system {
    pname = "defmemo";
    version = "20120407-git";
    asds = [ "defmemo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmemo/2012-04-07/defmemo-20120407-git.tgz";
      sha256 = "0rkvnjfb6fajzfzislz6z372bqpkj6wfbf0sxmzhhigni4wnil27";
      system = "defmemo";
      asd = "defmemo";
    });
    systems = [ "defmemo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defmemo-test = (build-asdf-system {
    pname = "defmemo-test";
    version = "20120407-git";
    asds = [ "defmemo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defmemo/2012-04-07/defmemo-20120407-git.tgz";
      sha256 = "0rkvnjfb6fajzfzislz6z372bqpkj6wfbf0sxmzhhigni4wnil27";
      system = "defmemo-test";
      asd = "defmemo";
    });
    systems = [ "defmemo-test" ];
    lispLibs = [ (getAttr "defmemo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defpackage-plus = (build-asdf-system {
    pname = "defpackage-plus";
    version = "20180131-git";
    asds = [ "defpackage-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defpackage-plus/2018-01-31/defpackage-plus-20180131-git.tgz";
      sha256 = "0lzljvf343xb6mlh6lni2i27hpm5qd376522mk6hr2pa20vd6rdq";
      system = "defpackage-plus";
      asd = "defpackage-plus";
    });
    systems = [ "defpackage-plus" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defrec = (build-asdf-system {
    pname = "defrec";
    version = "20230618-git";
    asds = [ "defrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrec/2023-06-18/defrec-20230618-git.tgz";
      sha256 = "04wd43z2k5cv4a55x532y3aqc7gf1ksndvndvy0y6bslxqqgv63m";
      system = "defrec";
      asd = "defrec";
    });
    systems = [ "defrec" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defrest = (build-asdf-system {
    pname = "defrest";
    version = "20210531-git";
    asds = [ "defrest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrest/2021-05-31/defrest-20210531-git.tgz";
      sha256 = "14pap344a0549mb7p79jf87ibfxmymk0hf9i7galcfi4s8nqq45g";
      system = "defrest";
      asd = "defrest";
    });
    systems = [ "defrest" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "hunchentoot" self) (getAttr "quri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defrest_dot_test = (build-asdf-system {
    pname = "defrest.test";
    version = "20210531-git";
    asds = [ "defrest.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defrest/2021-05-31/defrest-20210531-git.tgz";
      sha256 = "14pap344a0549mb7p79jf87ibfxmymk0hf9i7galcfi4s8nqq45g";
      system = "defrest.test";
      asd = "defrest";
    });
    systems = [ "defrest.test" ];
    lispLibs = [ (getAttr "defrest" self) (getAttr "drakma" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defstar = (build-asdf-system {
    pname = "defstar";
    version = "20140713-git";
    asds = [ "defstar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defstar/2014-07-13/defstar-20140713-git.tgz";
      sha256 = "0n6m3aqvdfnsrhlhqjcy72d1i55lbkjg13ij5c7vw003p1n78wxi";
      system = "defstar";
      asd = "defstar";
    });
    systems = [ "defstar" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defsystem-compatibility = (build-asdf-system {
    pname = "defsystem-compatibility";
    version = "20101006-darcs";
    asds = [ "defsystem-compatibility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defsystem-compatibility/2010-10-06/defsystem-compatibility-20101006-darcs.tgz";
      sha256 = "0bw0c69zyika19rvzl8xplwrqsgznhnlbj40fcszfw0vxh2czj0f";
      system = "defsystem-compatibility";
      asd = "defsystem-compatibility";
    });
    systems = [ "defsystem-compatibility" ];
    lispLibs = [ (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defsystem-compatibility-test = (build-asdf-system {
    pname = "defsystem-compatibility-test";
    version = "20101006-darcs";
    asds = [ "defsystem-compatibility-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defsystem-compatibility/2010-10-06/defsystem-compatibility-20101006-darcs.tgz";
      sha256 = "0bw0c69zyika19rvzl8xplwrqsgznhnlbj40fcszfw0vxh2czj0f";
      system = "defsystem-compatibility-test";
      asd = "defsystem-compatibility-test";
    });
    systems = [ "defsystem-compatibility-test" ];
    lispLibs = [ (getAttr "defsystem-compatibility" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  defvariant = (build-asdf-system {
    pname = "defvariant";
    version = "20140713-git";
    asds = [ "defvariant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/defvariant/2014-07-13/defvariant-20140713-git.tgz";
      sha256 = "0rma557l2irjyzrswcd7329iic2pjxw0jgk3m2inag39l6wyqsr1";
      system = "defvariant";
      asd = "defvariant";
    });
    systems = [ "defvariant" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  delorean = (build-asdf-system {
    pname = "delorean";
    version = "20130615-git";
    asds = [ "delorean" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delorean/2013-06-15/delorean-20130615-git.tgz";
      sha256 = "0q11wqdlvis91i996mar72icw07yf7mwmsnlmsbsya9kaqj7n3cd";
      system = "delorean";
      asd = "delorean";
    });
    systems = [ "delorean" ];
    lispLibs = [ (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  delorean-test = (build-asdf-system {
    pname = "delorean-test";
    version = "20130615-git";
    asds = [ "delorean-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delorean/2013-06-15/delorean-20130615-git.tgz";
      sha256 = "0q11wqdlvis91i996mar72icw07yf7mwmsnlmsbsya9kaqj7n3cd";
      system = "delorean-test";
      asd = "delorean";
    });
    systems = [ "delorean-test" ];
    lispLibs = [ (getAttr "delorean" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  delta-debug = (build-asdf-system {
    pname = "delta-debug";
    version = "20180831-git";
    asds = [ "delta-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/delta-debug/2018-08-31/delta-debug-20180831-git.tgz";
      sha256 = "0dm33v8ipkpr23mjb9s6z2c7gmxwjbd5khc7c1vangba18nzm7ir";
      system = "delta-debug";
      asd = "delta-debug";
    });
    systems = [ "delta-debug" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "curry-compose-reader-macros" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dendrite = (build-asdf-system {
    pname = "dendrite";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite";
      asd = "dendrite";
    });
    systems = [ "dendrite" ];
    lispLibs = [ (getAttr "dendrite_dot_micro-l-system" self) (getAttr "dendrite_dot_primitives" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dendrite_dot_micro-l-system = (build-asdf-system {
    pname = "dendrite.micro-l-system";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite.micro-l-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite.micro-l-system";
      asd = "dendrite.micro-l-system";
    });
    systems = [ "dendrite.micro-l-system" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dendrite_dot_primitives = (build-asdf-system {
    pname = "dendrite.primitives";
    version = "release-quicklisp-409b1061-git";
    asds = [ "dendrite.primitives" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dendrite/2017-10-23/dendrite-release-quicklisp-409b1061-git.tgz";
      sha256 = "1fsi77w2yamis2707f1hx09pmyjaxqpzl8s0h182vpz159lkxdy5";
      system = "dendrite.primitives";
      asd = "dendrite.primitives";
    });
    systems = [ "dendrite.primitives" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "rtg-math" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dense-arrays = (build-asdf-system {
    pname = "dense-arrays";
    version = "20230618-git";
    asds = [ "dense-arrays" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2023-06-18/dense-arrays-20230618-git.tgz";
      sha256 = "039w29ms0klvvjp88280gl8x436khrqcvp7z13gnc4ilm74dpws5";
      system = "dense-arrays";
      asd = "dense-arrays";
    });
    systems = [ "dense-arrays" ];
    lispLibs = [ (getAttr "abstract-arrays" self) (getAttr "alexandria" self) (getAttr "asdf-system-connections" self) (getAttr "cl-form-types" self) (getAttr "closer-mop" self) (getAttr "compiler-macro-notes" self) (getAttr "extensible-compound-types" self) (getAttr "fiveam" self) (getAttr "iterate" self) (getAttr "polymorphic-functions" self) (getAttr "trivial-garbage" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dense-arrays_plus_cuda = (build-asdf-system {
    pname = "dense-arrays+cuda";
    version = "20230618-git";
    asds = [ "dense-arrays+cuda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2023-06-18/dense-arrays-20230618-git.tgz";
      sha256 = "039w29ms0klvvjp88280gl8x436khrqcvp7z13gnc4ilm74dpws5";
      system = "dense-arrays+cuda";
      asd = "dense-arrays+cuda";
    });
    systems = [ "dense-arrays+cuda" ];
    lispLibs = [ (getAttr "cl-cuda" self) (getAttr "dense-arrays" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dense-arrays-plus = (build-asdf-system {
    pname = "dense-arrays-plus";
    version = "20230618-git";
    asds = [ "dense-arrays-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2023-06-18/dense-arrays-20230618-git.tgz";
      sha256 = "039w29ms0klvvjp88280gl8x436khrqcvp7z13gnc4ilm74dpws5";
      system = "dense-arrays-plus";
      asd = "dense-arrays-plus";
    });
    systems = [ "dense-arrays-plus" ];
    lispLibs = [ (getAttr "dense-arrays-plus-lite" self) (getAttr "fiveam" self) (getAttr "generic-cl" self) (getAttr "py4cl2" self) (getAttr "reader" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dense-arrays-plus-lite = (build-asdf-system {
    pname = "dense-arrays-plus-lite";
    version = "20230618-git";
    asds = [ "dense-arrays-plus-lite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dense-arrays/2023-06-18/dense-arrays-20230618-git.tgz";
      sha256 = "039w29ms0klvvjp88280gl8x436khrqcvp7z13gnc4ilm74dpws5";
      system = "dense-arrays-plus-lite";
      asd = "dense-arrays-plus-lite";
    });
    systems = [ "dense-arrays-plus-lite" ];
    lispLibs = [ (getAttr "dense-arrays" self) (getAttr "extensible-compound-types-interfaces" self) (getAttr "extensible-optimizing-coerce" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-gzip = (build-asdf-system {
    pname = "deoxybyte-gzip";
    version = "20140113-git";
    asds = [ "deoxybyte-gzip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-gzip/2014-01-13/deoxybyte-gzip-20140113-git.tgz";
      sha256 = "0ccci902nxqhdlskw3pghcjg0vgl10xlh16cb5b631j3n2ajfa16";
      system = "deoxybyte-gzip";
      asd = "deoxybyte-gzip";
    });
    systems = [ "deoxybyte-gzip" ];
    lispLibs = [ (getAttr "deoxybyte-io" self) (getAttr "deoxybyte-systems" self) (getAttr "deoxybyte-unix" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-gzip-test = (build-asdf-system {
    pname = "deoxybyte-gzip-test";
    version = "20140113-git";
    asds = [ "deoxybyte-gzip-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-gzip/2014-01-13/deoxybyte-gzip-20140113-git.tgz";
      sha256 = "0ccci902nxqhdlskw3pghcjg0vgl10xlh16cb5b631j3n2ajfa16";
      system = "deoxybyte-gzip-test";
      asd = "deoxybyte-gzip-test";
    });
    systems = [ "deoxybyte-gzip-test" ];
    lispLibs = [ (getAttr "deoxybyte-gzip" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-io = (build-asdf-system {
    pname = "deoxybyte-io";
    version = "20140113-git";
    asds = [ "deoxybyte-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-io/2014-01-13/deoxybyte-io-20140113-git.tgz";
      sha256 = "0pjx96g50yqhdk0l1y970hc22fc1bl8ppyklhp62l41b4fb7hbbv";
      system = "deoxybyte-io";
      asd = "deoxybyte-io";
    });
    systems = [ "deoxybyte-io" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "deoxybyte-systems" self) (getAttr "deoxybyte-utilities" self) (getAttr "getopt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-io-test = (build-asdf-system {
    pname = "deoxybyte-io-test";
    version = "20140113-git";
    asds = [ "deoxybyte-io-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-io/2014-01-13/deoxybyte-io-20140113-git.tgz";
      sha256 = "0pjx96g50yqhdk0l1y970hc22fc1bl8ppyklhp62l41b4fb7hbbv";
      system = "deoxybyte-io-test";
      asd = "deoxybyte-io-test";
    });
    systems = [ "deoxybyte-io-test" ];
    lispLibs = [ (getAttr "deoxybyte-io" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-systems = (build-asdf-system {
    pname = "deoxybyte-systems";
    version = "20140113-git";
    asds = [ "deoxybyte-systems" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-systems/2014-01-13/deoxybyte-systems-20140113-git.tgz";
      sha256 = "0sbzl0ngz85mvkghcy8y94hk34v5hvi41b111mb76f2jvdq9jjr8";
      system = "deoxybyte-systems";
      asd = "deoxybyte-systems";
    });
    systems = [ "deoxybyte-systems" ];
    lispLibs = [ (getAttr "cl-fad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-unix = (build-asdf-system {
    pname = "deoxybyte-unix";
    version = "20140113-git";
    asds = [ "deoxybyte-unix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-unix/2014-01-13/deoxybyte-unix-20140113-git.tgz";
      sha256 = "016lgb8vcnn7qwhndan1d61wbb10xmsczqp7h2kkfnhlvkr484qf";
      system = "deoxybyte-unix";
      asd = "deoxybyte-unix";
    });
    systems = [ "deoxybyte-unix" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "deoxybyte-io" self) (getAttr "deoxybyte-systems" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-unix-test = (build-asdf-system {
    pname = "deoxybyte-unix-test";
    version = "20140113-git";
    asds = [ "deoxybyte-unix-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-unix/2014-01-13/deoxybyte-unix-20140113-git.tgz";
      sha256 = "016lgb8vcnn7qwhndan1d61wbb10xmsczqp7h2kkfnhlvkr484qf";
      system = "deoxybyte-unix-test";
      asd = "deoxybyte-unix-test";
    });
    systems = [ "deoxybyte-unix-test" ];
    lispLibs = [ (getAttr "deoxybyte-unix" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-utilities = (build-asdf-system {
    pname = "deoxybyte-utilities";
    version = "20140113-git";
    asds = [ "deoxybyte-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-utilities/2014-01-13/deoxybyte-utilities-20140113-git.tgz";
      sha256 = "054mvn27d9xdsal87avyxzphgv6pk96a0c1icpkldqczlmzl9j0g";
      system = "deoxybyte-utilities";
      asd = "deoxybyte-utilities";
    });
    systems = [ "deoxybyte-utilities" ];
    lispLibs = [ (getAttr "deoxybyte-systems" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deoxybyte-utilities-test = (build-asdf-system {
    pname = "deoxybyte-utilities-test";
    version = "20140113-git";
    asds = [ "deoxybyte-utilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deoxybyte-utilities/2014-01-13/deoxybyte-utilities-20140113-git.tgz";
      sha256 = "054mvn27d9xdsal87avyxzphgv6pk96a0c1icpkldqczlmzl9j0g";
      system = "deoxybyte-utilities-test";
      asd = "deoxybyte-utilities-test";
    });
    systems = [ "deoxybyte-utilities-test" ];
    lispLibs = [ (getAttr "deoxybyte-utilities" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deploy = (build-asdf-system {
    pname = "deploy";
    version = "20230618-git";
    asds = [ "deploy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deploy/2023-06-18/deploy-20230618-git.tgz";
      sha256 = "1yh2arbxph2mvh82jsdbacppzx968hnllmarsmjf79p44vip8j11";
      system = "deploy";
      asd = "deploy";
    });
    systems = [ "deploy" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  deploy-test = (build-asdf-system {
    pname = "deploy-test";
    version = "20230618-git";
    asds = [ "deploy-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/deploy/2023-06-18/deploy-20230618-git.tgz";
      sha256 = "1yh2arbxph2mvh82jsdbacppzx968hnllmarsmjf79p44vip8j11";
      system = "deploy-test";
      asd = "deploy-test";
    });
    systems = [ "deploy-test" ];
    lispLibs = [ (getAttr "cl-mpg123" self) (getAttr "cl-out123" self) (getAttr "deploy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  depot = (build-asdf-system {
    pname = "depot";
    version = "20230618-git";
    asds = [ "depot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2023-06-18/depot-20230618-git.tgz";
      sha256 = "1v42pirdwbxy8l8i9a2jmbpri8a62vh0r4vm25xwaak0y4gr71va";
      system = "depot";
      asd = "depot";
    });
    systems = [ "depot" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  depot-in-memory = (build-asdf-system {
    pname = "depot-in-memory";
    version = "20230618-git";
    asds = [ "depot-in-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2023-06-18/depot-20230618-git.tgz";
      sha256 = "1v42pirdwbxy8l8i9a2jmbpri8a62vh0r4vm25xwaak0y4gr71va";
      system = "depot-in-memory";
      asd = "depot-in-memory";
    });
    systems = [ "depot-in-memory" ];
    lispLibs = [ (getAttr "atomics" self) (getAttr "depot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  depot-test = (build-asdf-system {
    pname = "depot-test";
    version = "20230618-git";
    asds = [ "depot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2023-06-18/depot-20230618-git.tgz";
      sha256 = "1v42pirdwbxy8l8i9a2jmbpri8a62vh0r4vm25xwaak0y4gr71va";
      system = "depot-test";
      asd = "depot-test";
    });
    systems = [ "depot-test" ];
    lispLibs = [ (getAttr "depot" self) (getAttr "depot-in-memory" self) (getAttr "depot-zip" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  depot-virtual = (build-asdf-system {
    pname = "depot-virtual";
    version = "20230618-git";
    asds = [ "depot-virtual" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2023-06-18/depot-20230618-git.tgz";
      sha256 = "1v42pirdwbxy8l8i9a2jmbpri8a62vh0r4vm25xwaak0y4gr71va";
      system = "depot-virtual";
      asd = "depot-virtual";
    });
    systems = [ "depot-virtual" ];
    lispLibs = [ (getAttr "depot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  depot-zip = (build-asdf-system {
    pname = "depot-zip";
    version = "20230618-git";
    asds = [ "depot-zip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/depot/2023-06-18/depot-20230618-git.tgz";
      sha256 = "1v42pirdwbxy8l8i9a2jmbpri8a62vh0r4vm25xwaak0y4gr71va";
      system = "depot-zip";
      asd = "depot-zip";
    });
    systems = [ "depot-zip" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "depot" self) (getAttr "zippy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  descriptions = (build-asdf-system {
    pname = "descriptions";
    version = "20150302-git";
    asds = [ "descriptions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions";
      asd = "descriptions";
    });
    systems = [ "descriptions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "closer-mop" self) (getAttr "sheeple" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  descriptions-test = (build-asdf-system {
    pname = "descriptions-test";
    version = "20150302-git";
    asds = [ "descriptions-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions-test";
      asd = "descriptions-test";
    });
    systems = [ "descriptions-test" ];
    lispLibs = [ (getAttr "descriptions" self) (getAttr "descriptions_dot_serialization" self) (getAttr "descriptions_dot_validation" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  descriptions_dot_serialization = (build-asdf-system {
    pname = "descriptions.serialization";
    version = "20150302-git";
    asds = [ "descriptions.serialization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions.serialization";
      asd = "descriptions.serialization";
    });
    systems = [ "descriptions.serialization" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "descriptions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  descriptions_dot_validation = (build-asdf-system {
    pname = "descriptions.validation";
    version = "20150302-git";
    asds = [ "descriptions.validation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/descriptions/2015-03-02/descriptions-20150302-git.tgz";
      sha256 = "0h44gxilwmzk8cbxb81047cjndksvf8vw2s3pcy2diw9aqiacg7f";
      system = "descriptions.validation";
      asd = "descriptions.validation";
    });
    systems = [ "descriptions.validation" ];
    lispLibs = [ (getAttr "clavier" self) (getAttr "descriptions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  destructuring-bind-star = (build-asdf-system {
    pname = "destructuring-bind-star";
    version = "20200610-git";
    asds = [ "destructuring-bind-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/destructuring-bind-star/2020-06-10/destructuring-bind-star-20200610-git.tgz";
      sha256 = "1j1xnhvb6pm9q291aawbrcwp8bgbmiij9a53gifxhr4kp934ciz2";
      system = "destructuring-bind-star";
      asd = "destructuring-bind-star";
    });
    systems = [ "destructuring-bind-star" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dexador = (build-asdf-system {
    pname = "dexador";
    version = "20230618-git";
    asds = [ "dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dexador/2023-06-18/dexador-20230618-git.tgz";
      sha256 = "15km1sysvhf4jr4sngnh17bwk95jj65n39d07jck7p4zffx9mdjz";
      system = "dexador";
      asd = "dexador";
    });
    systems = [ "dexador" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "chipz" self) (getAttr "chunga" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-cookie" self) (getAttr "cl-ppcre" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "quri" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-mimes" self) (getAttr "usocket" self) ];
    meta = {};
  });
  dexador-test = (build-asdf-system {
    pname = "dexador-test";
    version = "20230618-git";
    asds = [ "dexador-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dexador/2023-06-18/dexador-20230618-git.tgz";
      sha256 = "15km1sysvhf4jr4sngnh17bwk95jj65n39d07jck7p4zffx9mdjz";
      system = "dexador-test";
      asd = "dexador-test";
    });
    systems = [ "dexador-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-cookie" self) (getAttr "clack-test" self) (getAttr "dexador" self) (getAttr "lack-request" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dfio = (build-asdf-system {
    pname = "dfio";
    version = "20221106-git";
    asds = [ "dfio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dfio/2022-11-06/dfio-20221106-git.tgz";
      sha256 = "1p53r7773939jnap518xp4b4wfvc1kbrz9jp6yd40xq0jpf9pbqg";
      system = "dfio";
      asd = "dfio";
    });
    systems = [ "dfio" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "data-frame" self) (getAttr "dexador" self) (getAttr "fare-csv" self) (getAttr "let-plus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  diff = (build-asdf-system {
    pname = "diff";
    version = "20130813-git";
    asds = [ "diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/diff/2013-08-13/diff-20130813-git.tgz";
      sha256 = "1giafck8qfvb688kx5bn9g32rfc12jjywg8vdav36aqbd6lxf5z5";
      system = "diff";
      asd = "diff";
    });
    systems = [ "diff" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  diff-match-patch = (build-asdf-system {
    pname = "diff-match-patch";
    version = "20210531-git";
    asds = [ "diff-match-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/diff-match-patch/2021-05-31/diff-match-patch-20210531-git.tgz";
      sha256 = "0wxz2q9sd2v8fg521f7bzv6wi3za7saz2j2snsnw2p1kcsj6zqa4";
      system = "diff-match-patch";
      asd = "diff-match-patch";
    });
    systems = [ "diff-match-patch" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dirt = (build-asdf-system {
    pname = "dirt";
    version = "release-quicklisp-0d13ebc2-git";
    asds = [ "dirt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dirt/2017-10-19/dirt-release-quicklisp-0d13ebc2-git.tgz";
      sha256 = "1lqxfdzn9rh7rzsq97d4hp6fl4g9fs6s0n2pvf460d6ri6p40xna";
      system = "dirt";
      asd = "dirt";
    });
    systems = [ "dirt" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "cl-soil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dispatch = (build-asdf-system {
    pname = "dispatch";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "dispatch";
      asd = "dispatch";
    });
    systems = [ "dispatch" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dispatch-test = (build-asdf-system {
    pname = "dispatch-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "dispatch-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "dispatch-test";
      asd = "dispatch-test";
    });
    systems = [ "dispatch-test" ];
    lispLibs = [ (getAttr "dispatch" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  disposable = (build-asdf-system {
    pname = "disposable";
    version = "20160208-git";
    asds = [ "disposable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/disposable/2016-02-08/disposable-20160208-git.tgz";
      sha256 = "18synnlg4b8203rgww644dj7ghb4m1j33lb4zm64850vqy5b3pz7";
      system = "disposable";
      asd = "disposable";
    });
    systems = [ "disposable" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dissect = (build-asdf-system {
    pname = "dissect";
    version = "20221106-git";
    asds = [ "dissect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dissect/2022-11-06/dissect-20221106-git.tgz";
      sha256 = "10daj37ivvkcghlhl3c4nlg6rf8y968b0zy5qa2fmk8iqd7l67d7";
      system = "dissect";
      asd = "dissect";
    });
    systems = [ "dissect" ];
    lispLibs = [  ];
    meta = {};
  });
  distributions = (build-asdf-system {
    pname = "distributions";
    version = "20221106-git";
    asds = [ "distributions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/distributions/2022-11-06/distributions-20221106-git.tgz";
      sha256 = "1fkzigd0s0s0mvszgmv04yc8jp9gm4812445hfh6kpz6cjy5zpsk";
      system = "distributions";
      asd = "distributions";
    });
    systems = [ "distributions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "array-operations" self) (getAttr "cephes" self) (getAttr "float-features" self) (getAttr "let-plus" self) (getAttr "num-utils" self) (getAttr "special-functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  djula = (build-asdf-system {
    pname = "djula";
    version = "20230618-git";
    asds = [ "djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula";
      asd = "djula";
    });
    systems = [ "djula" ];
    lispLibs = [ (getAttr "access" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-locale" self) (getAttr "cl-ppcre" self) (getAttr "cl-slice" self) (getAttr "closer-mop" self) (getAttr "gettext" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "parser-combinators" self) (getAttr "split-sequence" self) (getAttr "trivial-backtrace" self) ];
    meta = {};
  });
  djula-demo = (build-asdf-system {
    pname = "djula-demo";
    version = "20230618-git";
    asds = [ "djula-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula-demo";
      asd = "djula-demo";
    });
    systems = [ "djula-demo" ];
    lispLibs = [ (getAttr "djula" self) (getAttr "hunchentoot" self) (getAttr "trivial-open-browser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  djula-gettext = (build-asdf-system {
    pname = "djula-gettext";
    version = "20230618-git";
    asds = [ "djula-gettext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula-gettext";
      asd = "djula-gettext";
    });
    systems = [ "djula-gettext" ];
    lispLibs = [ (getAttr "djula" self) (getAttr "gettext" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  djula-locale = (build-asdf-system {
    pname = "djula-locale";
    version = "20230618-git";
    asds = [ "djula-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula-locale";
      asd = "djula-locale";
    });
    systems = [ "djula-locale" ];
    lispLibs = [ (getAttr "cl-locale" self) (getAttr "djula" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  djula-test = (build-asdf-system {
    pname = "djula-test";
    version = "20230618-git";
    asds = [ "djula-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula-test";
      asd = "djula-test";
    });
    systems = [ "djula-test" ];
    lispLibs = [ (getAttr "djula" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  djula-translate = (build-asdf-system {
    pname = "djula-translate";
    version = "20230618-git";
    asds = [ "djula-translate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/djula/2023-06-18/djula-20230618-git.tgz";
      sha256 = "14prbrzn837684q15kx07aaxvbw4p9bqn8kl5b4vqmk7kw8h5ak4";
      system = "djula-translate";
      asd = "djula-translate";
    });
    systems = [ "djula-translate" ];
    lispLibs = [ (getAttr "djula" self) (getAttr "translate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dlist = (build-asdf-system {
    pname = "dlist";
    version = "20121125-git";
    asds = [ "dlist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dlist/2012-11-25/dlist-20121125-git.tgz";
      sha256 = "1ycgjmbxpj0bj95xg0x7m30yz8y73s7mnqs0dzam00rkf8g00h89";
      system = "dlist";
      asd = "dlist";
    });
    systems = [ "dlist" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dlist-test = (build-asdf-system {
    pname = "dlist-test";
    version = "20121125-git";
    asds = [ "dlist-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dlist/2012-11-25/dlist-20121125-git.tgz";
      sha256 = "1ycgjmbxpj0bj95xg0x7m30yz8y73s7mnqs0dzam00rkf8g00h89";
      system = "dlist-test";
      asd = "dlist";
    });
    systems = [ "dlist-test" ];
    lispLibs = [ (getAttr "dlist" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dml = (build-asdf-system {
    pname = "dml";
    version = "20181018-git";
    asds = [ "dml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dml/2018-10-18/dml-20181018-git.tgz";
      sha256 = "0bah55srq9n743szcnsq2szhy69ckmwk3gx6xm3g3f6i0hj5gz1r";
      system = "dml";
      asd = "dml";
    });
    systems = [ "dml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-cairo2" self) (getAttr "cl-ppcre" self) (getAttr "donuts" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dns-client = (build-asdf-system {
    pname = "dns-client";
    version = "20230618-git";
    asds = [ "dns-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dns-client/2023-06-18/dns-client-20230618-git.tgz";
      sha256 = "1r78h61r89hnlx35zv6ha26xnzcmmw6jfhsnhxp6zxmaa5aprkhp";
      system = "dns-client";
      asd = "dns-client";
    });
    systems = [ "dns-client" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "punycode" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  do-urlencode = (build-asdf-system {
    pname = "do-urlencode";
    version = "20181018-git";
    asds = [ "do-urlencode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/do-urlencode/2018-10-18/do-urlencode-20181018-git.tgz";
      sha256 = "0k2i3d4k9cpci235mwfm0c5a4yqfkijr716bjv7cdlpzx88lazm9";
      system = "do-urlencode";
      asd = "do-urlencode";
    });
    systems = [ "do-urlencode" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) ];
    meta = {};
  });
  docbrowser = (build-asdf-system {
    pname = "docbrowser";
    version = "20200610-git";
    asds = [ "docbrowser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docbrowser/2020-06-10/docbrowser-20200610-git.tgz";
      sha256 = "0k7gkyciqfbwdmvip2s8h4k21a63h45bj3qydq3jbvkhaq4gj9x1";
      system = "docbrowser";
      asd = "docbrowser";
    });
    systems = [ "docbrowser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-json" self) (getAttr "closer-mop" self) (getAttr "colorize" self) (getAttr "flexi-streams" self) (getAttr "hunchentoot" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) (getAttr "string-case" self) (getAttr "swank" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docparser = (build-asdf-system {
    pname = "docparser";
    version = "20230214-git";
    asds = [ "docparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2023-02-14/docparser-20230214-git.tgz";
      sha256 = "1ix8n6albgl34kwvk2f3vfz9afi6y4m9dd6k3axlm9g16zhmhma1";
      system = "docparser";
      asd = "docparser";
    });
    systems = [ "docparser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cffi" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docparser-test = (build-asdf-system {
    pname = "docparser-test";
    version = "20230214-git";
    asds = [ "docparser-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2023-02-14/docparser-20230214-git.tgz";
      sha256 = "1ix8n6albgl34kwvk2f3vfz9afi6y4m9dd6k3axlm9g16zhmhma1";
      system = "docparser-test";
      asd = "docparser-test";
    });
    systems = [ "docparser-test" ];
    lispLibs = [ (getAttr "docparser" self) (getAttr "docparser-test-system" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docparser-test-system = (build-asdf-system {
    pname = "docparser-test-system";
    version = "20230214-git";
    asds = [ "docparser-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docparser/2023-02-14/docparser-20230214-git.tgz";
      sha256 = "1ix8n6albgl34kwvk2f3vfz9afi6y4m9dd6k3axlm9g16zhmhma1";
      system = "docparser-test-system";
      asd = "docparser-test-system";
    });
    systems = [ "docparser-test-system" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docs-builder = (build-asdf-system {
    pname = "docs-builder";
    version = "20230618-git";
    asds = [ "docs-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docs-builder/2023-06-18/docs-builder-20230618-git.tgz";
      sha256 = "0lvyms70qxkj5rq3m9kacvpvliz1lxmhzlvr8dj29xwrlg44i5kv";
      system = "docs-builder";
      asd = "docs-builder";
    });
    systems = [ "docs-builder" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "docs-config" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docs-config = (build-asdf-system {
    pname = "docs-config";
    version = "20230618-git";
    asds = [ "docs-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/docs-builder/2023-06-18/docs-builder-20230618-git.tgz";
      sha256 = "0lvyms70qxkj5rq3m9kacvpvliz1lxmhzlvr8dj29xwrlg44i5kv";
      system = "docs-config";
      asd = "docs-config";
    });
    systems = [ "docs-config" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  documentation-template = (build-asdf-system {
    pname = "documentation-template";
    version = "0.4.4";
    asds = [ "documentation-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-template/2014-12-17/documentation-template-0.4.4.tgz";
      sha256 = "0pfcg38ws0syhg2l15nwslfyj175dq1dvjip64nx02knw26zj56y";
      system = "documentation-template";
      asd = "documentation-template";
    });
    systems = [ "documentation-template" ];
    lispLibs = [ (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  documentation-utils = (build-asdf-system {
    pname = "documentation-utils";
    version = "20190710-git";
    asds = [ "documentation-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils/2019-07-10/documentation-utils-20190710-git.tgz";
      sha256 = "098qhkqskmmrh4wix34mawf7p5c87yql28r51r75yjxj577k5idq";
      system = "documentation-utils";
      asd = "documentation-utils";
    });
    systems = [ "documentation-utils" ];
    lispLibs = [ (getAttr "trivial-indent" self) ];
    meta = {};
  });
  documentation-utils-extensions = (build-asdf-system {
    pname = "documentation-utils-extensions";
    version = "20220707-git";
    asds = [ "documentation-utils-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils-extensions/2022-07-07/documentation-utils-extensions-20220707-git.tgz";
      sha256 = "1bv8y1hbn6fivvsanaci19k47vfdchj3argz92az3izmar9ybp4f";
      system = "documentation-utils-extensions";
      asd = "documentation-utils-extensions";
    });
    systems = [ "documentation-utils-extensions" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  docutils = (build-asdf-system {
    pname = "docutils";
    version = "20130128-git";
    asds = [ "docutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-docutils/2013-01-28/cl-docutils-20130128-git.tgz";
      sha256 = "132bxlj0jlhiabi29mygmkcbbgyb5s1yz1xdfhm3pgrf9f8605gg";
      system = "docutils";
      asd = "docutils";
    });
    systems = [ "docutils" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "data-format-validation" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dom = (build-asdf-system {
    pname = "dom";
    version = "master-5b2475f9-git";
    asds = [ "dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "dom";
      asd = "dom";
    });
    systems = [ "dom" ];
    lispLibs = [ (getAttr "cl-who" self) (getAttr "yadd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  donuts = (build-asdf-system {
    pname = "donuts";
    version = "20120703-git";
    asds = [ "donuts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/donuts/2012-07-03/donuts-20120703-git.tgz";
      sha256 = "1arjlwic0gk28ja1ql5k1r3v0pqzg42ds8vzq9266hq5lp06q3ii";
      system = "donuts";
      asd = "donuts";
    });
    systems = [ "donuts" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  doplus = (build-asdf-system {
    pname = "doplus";
    version = "v1.1.0";
    asds = [ "doplus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doplus/2021-10-20/doplus-v1.1.0.tgz";
      sha256 = "1yvda9psw9m08d3bzdb8a2drvhrnr07a0rhza5ibk30v1dkwfw7c";
      system = "doplus";
      asd = "doplus";
    });
    systems = [ "doplus" ];
    lispLibs = [ (getAttr "parse-declarations-1_dot_0" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  doplus-fset = (build-asdf-system {
    pname = "doplus-fset";
    version = "v1.1.0";
    asds = [ "doplus-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doplus/2021-10-20/doplus-v1.1.0.tgz";
      sha256 = "1yvda9psw9m08d3bzdb8a2drvhrnr07a0rhza5ibk30v1dkwfw7c";
      system = "doplus-fset";
      asd = "doplus-fset";
    });
    systems = [ "doplus-fset" ];
    lispLibs = [ (getAttr "doplus" self) (getAttr "fset" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dotenv = (build-asdf-system {
    pname = "dotenv";
    version = "20211209-git";
    asds = [ "dotenv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dotenv/2021-12-09/dotenv-20211209-git.tgz";
      sha256 = "0g19svpxy2169rym532gjwsg1zybinpc99mjsy6im4n6zdd57hzh";
      system = "dotenv";
      asd = "dotenv";
    });
    systems = [ "dotenv" ];
    lispLibs = [ (getAttr "prove-asdf" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dotenv-test = (build-asdf-system {
    pname = "dotenv-test";
    version = "20211209-git";
    asds = [ "dotenv-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dotenv/2021-12-09/dotenv-20211209-git.tgz";
      sha256 = "0g19svpxy2169rym532gjwsg1zybinpc99mjsy6im4n6zdd57hzh";
      system = "dotenv-test";
      asd = "dotenv";
    });
    systems = [ "dotenv-test" ];
    lispLibs = [ (getAttr "dotenv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  doubly-linked-list = (build-asdf-system {
    pname = "doubly-linked-list";
    version = "20220707-git";
    asds = [ "doubly-linked-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/doubly-linked-list/2022-07-07/doubly-linked-list-20220707-git.tgz";
      sha256 = "073r1zyp0slzzvcyj7ibjs85bss1iqh42zn5dvkjd6ls78v2bn9f";
      system = "doubly-linked-list";
      asd = "doubly-linked-list";
    });
    systems = [ "doubly-linked-list" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  drakma = (build-asdf-system {
    pname = "drakma";
    version = "v2.0.9";
    asds = [ "drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma/2022-07-07/drakma-v2.0.9.tgz";
      sha256 = "1y5rf9rr8drqwmh0r6k0wb80h4qwwc2jmikfzxn5mrgs860fvamh";
      system = "drakma";
      asd = "drakma";
    });
    systems = [ "drakma" ];
    lispLibs = [ (getAttr "chipz" self) (getAttr "chunga" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "puri" self) (getAttr "usocket" self) ];
    meta = {};
  });
  drakma-async = (build-asdf-system {
    pname = "drakma-async";
    version = "20210807-git";
    asds = [ "drakma-async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma-async/2021-08-07/drakma-async-20210807-git.tgz";
      sha256 = "19cd4xrcx3mz86sl0326x5lcrh9jizrwzi6p7pd856nrmx7ynf4w";
      system = "drakma-async";
      asd = "drakma-async";
    });
    systems = [ "drakma-async" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-async-future" self) (getAttr "cl-async-ssl" self) (getAttr "drakma" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  drakma-test = (build-asdf-system {
    pname = "drakma-test";
    version = "v2.0.9";
    asds = [ "drakma-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/drakma/2022-07-07/drakma-v2.0.9.tgz";
      sha256 = "1y5rf9rr8drqwmh0r6k0wb80h4qwwc2jmikfzxn5mrgs860fvamh";
      system = "drakma-test";
      asd = "drakma-test";
    });
    systems = [ "drakma-test" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  draw-cons-tree = (build-asdf-system {
    pname = "draw-cons-tree";
    version = "20230618-git";
    asds = [ "draw-cons-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/draw-cons-tree/2023-06-18/draw-cons-tree-20230618-git.tgz";
      sha256 = "1523bdkq8a5qn0qp9q7r16w47y6jb0hkfj7hbjfj6mg3xv001s3x";
      system = "draw-cons-tree";
      asd = "draw-cons-tree";
    });
    systems = [ "draw-cons-tree" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  drei-mcclim = (build-asdf-system {
    pname = "drei-mcclim";
    version = "20230618-git";
    asds = [ "drei-mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "drei-mcclim";
      asd = "drei-mcclim";
    });
    systems = [ "drei-mcclim" ];
    lispLibs = [ (getAttr "automaton" self) (getAttr "clim-core" self) (getAttr "esa-mcclim" self) (getAttr "flexichain" self) (getAttr "persistent" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dso-lex = (build-asdf-system {
    pname = "dso-lex";
    version = "0.3.2";
    asds = [ "dso-lex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dso-lex/2011-01-10/dso-lex-0.3.2.tgz";
      sha256 = "09vx0dsfaj1c5ivfkx9zl9s2yxmqpdc2v41fhpq75anq9ffr6qyr";
      system = "dso-lex";
      asd = "dso-lex";
    });
    systems = [ "dso-lex" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "dso-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dso-util = (build-asdf-system {
    pname = "dso-util";
    version = "0.1.2";
    asds = [ "dso-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dso-util/2011-01-10/dso-util-0.1.2.tgz";
      sha256 = "12w1rxxk2hi6k7ng9kqf2yb1kff78bshdfl7bwv6fz8im8vq13b3";
      system = "dso-util";
      asd = "dso-util";
    });
    systems = [ "dso-util" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dufy = (build-asdf-system {
    pname = "dufy";
    version = "20210531-git";
    asds = [ "dufy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dufy/2021-05-31/dufy-20210531-git.tgz";
      sha256 = "10qyrc5xkivwm6xmcfls1alad83ck7b2yyxbnhgc2vmnrk6j1012";
      system = "dufy";
      asd = "dufy";
    });
    systems = [ "dufy" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dungen = (build-asdf-system {
    pname = "dungen";
    version = "20220707-git";
    asds = [ "dungen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dungen/2022-07-07/dungen-20220707-git.tgz";
      sha256 = "1yvkch227g0yawv2682ysdv9q2g5yyyxjvfpx3hijl0mm0awgxv5";
      system = "dungen";
      asd = "dungen";
    });
    systems = [ "dungen" ];
    lispLibs = [ (getAttr "graph" self) (getAttr "mfiano-utils" self) (getAttr "seedable-rng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  duologue = (build-asdf-system {
    pname = "duologue";
    version = "20230214-git";
    asds = [ "duologue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/duologue/2023-02-14/duologue-20230214-git.tgz";
      sha256 = "1yg7f27im9h0m6jihcay1p7alfhzm9hafwm5dw5hsyacy8f2cwk2";
      system = "duologue";
      asd = "duologue";
    });
    systems = [ "duologue" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "chronicity" self) (getAttr "cl-ansi-text" self) (getAttr "cl-fad" self) (getAttr "clavier" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  duologue-readline = (build-asdf-system {
    pname = "duologue-readline";
    version = "20230214-git";
    asds = [ "duologue-readline" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/duologue/2023-02-14/duologue-20230214-git.tgz";
      sha256 = "1yg7f27im9h0m6jihcay1p7alfhzm9hafwm5dw5hsyacy8f2cwk2";
      system = "duologue-readline";
      asd = "duologue-readline";
    });
    systems = [ "duologue-readline" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "chronicity" self) (getAttr "cl-ansi-text" self) (getAttr "cl-fad" self) (getAttr "cl-readline" self) (getAttr "clavier" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  duologue-test = (build-asdf-system {
    pname = "duologue-test";
    version = "20230214-git";
    asds = [ "duologue-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/duologue/2023-02-14/duologue-20230214-git.tgz";
      sha256 = "1yg7f27im9h0m6jihcay1p7alfhzm9hafwm5dw5hsyacy8f2cwk2";
      system = "duologue-test";
      asd = "duologue-test";
    });
    systems = [ "duologue-test" ];
    lispLibs = [ (getAttr "duologue" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dweet = (build-asdf-system {
    pname = "dweet";
    version = "20141217-git";
    asds = [ "dweet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dweet/2014-12-17/dweet-20141217-git.tgz";
      sha256 = "1i3ab3igvdy6fhq3zlx1vaswhvm9dlp6fagzxbrqhqj6jsbhiwv7";
      system = "dweet";
      asd = "dweet";
    });
    systems = [ "dweet" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "com_dot_gigamonkeys_dot_json" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-array = (build-asdf-system {
    pname = "dynamic-array";
    version = "20220707-git";
    asds = [ "dynamic-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-array/2022-07-07/dynamic-array-20220707-git.tgz";
      sha256 = "02kg1m5xscg521074nasx3f04784jbm0x61a7skixbdprpg6hhnh";
      system = "dynamic-array";
      asd = "dynamic-array";
    });
    systems = [ "dynamic-array" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-classes = (build-asdf-system {
    pname = "dynamic-classes";
    version = "20130128-git";
    asds = [ "dynamic-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-classes/2013-01-28/dynamic-classes-20130128-git.tgz";
      sha256 = "0sawgz6xhsq156jcq5j9px0njs4y3sq1ypccl59zyvz31bxyaaxj";
      system = "dynamic-classes";
      asd = "dynamic-classes";
    });
    systems = [ "dynamic-classes" ];
    lispLibs = [ (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-classes-test = (build-asdf-system {
    pname = "dynamic-classes-test";
    version = "20130128-git";
    asds = [ "dynamic-classes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-classes/2013-01-28/dynamic-classes-20130128-git.tgz";
      sha256 = "0sawgz6xhsq156jcq5j9px0njs4y3sq1ypccl59zyvz31bxyaaxj";
      system = "dynamic-classes-test";
      asd = "dynamic-classes-test";
    });
    systems = [ "dynamic-classes-test" ];
    lispLibs = [ (getAttr "dynamic-classes" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-collect = (build-asdf-system {
    pname = "dynamic-collect";
    version = "20230618-git";
    asds = [ "dynamic-collect" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-collect/2023-06-18/dynamic-collect-20230618-git.tgz";
      sha256 = "0p1ylba1myby21jg8x9lgwxfv958za32qsz426yd2vc485j887iw";
      system = "dynamic-collect";
      asd = "dynamic-collect";
    });
    systems = [ "dynamic-collect" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-mixins = (build-asdf-system {
    pname = "dynamic-mixins";
    version = "20181018-git";
    asds = [ "dynamic-mixins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dynamic-mixins/2018-10-18/dynamic-mixins-20181018-git.tgz";
      sha256 = "00g3s509ysh2jp1qwsgb5bwl6qvhzcljwjz3z4mspbcak51484zj";
      system = "dynamic-mixins";
      asd = "dynamic-mixins";
    });
    systems = [ "dynamic-mixins" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-mixins-swm = (build-asdf-system {
    pname = "dynamic-mixins-swm";
    version = "20230618-git";
    asds = [ "dynamic-mixins-swm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2023-06-18/stumpwm-20230618-git.tgz";
      sha256 = "044l7lda0ws81rgi9z8vm4482sxixb1qnlhq1gbsrbxa1x8wad0s";
      system = "dynamic-mixins-swm";
      asd = "dynamic-mixins-swm";
    });
    systems = [ "dynamic-mixins-swm" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  dynamic-wind = (build-asdf-system {
    pname = "dynamic-wind";
    version = "20211230-git";
    asds = [ "dynamic-wind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/contextl/2021-12-30/contextl-20211230-git.tgz";
      sha256 = "0apgznz4g6lpmd86lq7w0xddfjgnirk83ig7p0j6i93xadhy9wh0";
      system = "dynamic-wind";
      asd = "dynamic-wind";
    });
    systems = [ "dynamic-wind" ];
    lispLibs = [ (getAttr "lw-compat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eager-future = (build-asdf-system {
    pname = "eager-future";
    version = "20101006-darcs";
    asds = [ "eager-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future/2010-10-06/eager-future-20101006-darcs.tgz";
      sha256 = "0l7khqfqfchk7j24fk7rwagwanjargxsrzr6g1h4ainqjajd91jl";
      system = "eager-future";
      asd = "eager-future";
    });
    systems = [ "eager-future" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eager-future_dot_test = (build-asdf-system {
    pname = "eager-future.test";
    version = "20101006-darcs";
    asds = [ "eager-future.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future/2010-10-06/eager-future-20101006-darcs.tgz";
      sha256 = "0l7khqfqfchk7j24fk7rwagwanjargxsrzr6g1h4ainqjajd91jl";
      system = "eager-future.test";
      asd = "eager-future";
    });
    systems = [ "eager-future.test" ];
    lispLibs = [ (getAttr "eager-future" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eager-future2 = (build-asdf-system {
    pname = "eager-future2";
    version = "20191130-git";
    asds = [ "eager-future2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future2/2019-11-30/eager-future2-20191130-git.tgz";
      sha256 = "1qs1bv3m0ki8l5czhsflxcryh22r9d9g9a3a3b0cr0pl954q5rld";
      system = "eager-future2";
      asd = "eager-future2";
    });
    systems = [ "eager-future2" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  easing = (build-asdf-system {
    pname = "easing";
    version = "20180228-git";
    asds = [ "easing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing";
      asd = "easing";
    });
    systems = [ "easing" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easing-demo = (build-asdf-system {
    pname = "easing-demo";
    version = "20180228-git";
    asds = [ "easing-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing-demo";
      asd = "easing-demo";
    });
    systems = [ "easing-demo" ];
    lispLibs = [ (getAttr "easing" self) (getAttr "sketch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easing-test = (build-asdf-system {
    pname = "easing-test";
    version = "20180228-git";
    asds = [ "easing-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easing/2018-02-28/easing-20180228-git.tgz";
      sha256 = "0750cs5kij8hi53960lzih57xrf92fj23i3hxzhqzcyla4wi4jv5";
      system = "easing-test";
      asd = "easing-test";
    });
    systems = [ "easing-test" ];
    lispLibs = [ (getAttr "easing" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easter-gauss = (build-asdf-system {
    pname = "easter-gauss";
    version = "20220707-git";
    asds = [ "easter-gauss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easter-gauss/2022-07-07/easter-gauss-20220707-git.tgz";
      sha256 = "0y3fihv00k6lxmx4pfkhg4nynpffdpvlz9b14s2bl880vj9cxjsw";
      system = "easter-gauss";
      asd = "easter-gauss";
    });
    systems = [ "easter-gauss" ];
    lispLibs = [ (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-audio = (build-asdf-system {
    pname = "easy-audio";
    version = "20220707-git";
    asds = [ "easy-audio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-audio/2022-07-07/easy-audio-20220707-git.tgz";
      sha256 = "157h1d5r403wyjvyv02gzd67xf01spsgx044j4a4nx2cziqr7w6k";
      system = "easy-audio";
      asd = "easy-audio";
    });
    systems = [ "easy-audio" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "flexi-streams" self) (getAttr "nibbles-streams" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-bind = (build-asdf-system {
    pname = "easy-bind";
    version = "20190202-git";
    asds = [ "easy-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-bind/2019-02-02/easy-bind-20190202-git.tgz";
      sha256 = "0z7mqm7vnk8jcsmawlyhzg81v2bmgdbxmx3jkf2m74170q78jhkl";
      system = "easy-bind";
      asd = "easy-bind";
    });
    systems = [ "easy-bind" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-macros = (build-asdf-system {
    pname = "easy-macros";
    version = "20221106-git";
    asds = [ "easy-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-macros/2022-11-06/easy-macros-20221106-git.tgz";
      sha256 = "0mashvad1ssh2kmr0wxgas13vxs6dsfb6b1q69cpxmpmx6sc067g";
      system = "easy-macros";
      asd = "easy-macros";
    });
    systems = [ "easy-macros" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-routes = (build-asdf-system {
    pname = "easy-routes";
    version = "20220707-git";
    asds = [ "easy-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes";
      asd = "easy-routes";
    });
    systems = [ "easy-routes" ];
    lispLibs = [ (getAttr "hunchentoot" self) (getAttr "routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-routes_plus_djula = (build-asdf-system {
    pname = "easy-routes+djula";
    version = "20220707-git";
    asds = [ "easy-routes+djula" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes+djula";
      asd = "easy-routes+djula";
    });
    systems = [ "easy-routes+djula" ];
    lispLibs = [ (getAttr "djula" self) (getAttr "easy-routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  easy-routes_plus_errors = (build-asdf-system {
    pname = "easy-routes+errors";
    version = "20220707-git";
    asds = [ "easy-routes+errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/easy-routes/2022-07-07/easy-routes-20220707-git.tgz";
      sha256 = "13h3xij5zlviag10y8qjw100i8mjncca10hf08bf30m195wrshmm";
      system = "easy-routes+errors";
      asd = "easy-routes+errors";
    });
    systems = [ "easy-routes+errors" ];
    lispLibs = [ (getAttr "easy-routes" self) (getAttr "hunchentoot-errors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-documentation = (build-asdf-system {
    pname = "eazy-documentation";
    version = "20210411-git";
    asds = [ "eazy-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-documentation/2021-04-11/eazy-documentation-20210411-git.tgz";
      sha256 = "0wqd6jih98ab8qpajmcmbj0cwa3g6jjbr7v0wp5gqn1wllwn70ix";
      system = "eazy-documentation";
      asd = "eazy-documentation";
    });
    systems = [ "eazy-documentation" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "common-doc" self) (getAttr "common-doc-split-paragraphs" self) (getAttr "common-html" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivia_dot_ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-gnuplot = (build-asdf-system {
    pname = "eazy-gnuplot";
    version = "20220331-git";
    asds = [ "eazy-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-gnuplot/2022-03-31/eazy-gnuplot-20220331-git.tgz";
      sha256 = "0mpkx1z52riahydzvqv7kk15p0pv2k7k5a7j65fg571kcxmssx8s";
      system = "eazy-gnuplot";
      asd = "eazy-gnuplot";
    });
    systems = [ "eazy-gnuplot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-gnuplot_dot_test = (build-asdf-system {
    pname = "eazy-gnuplot.test";
    version = "20220331-git";
    asds = [ "eazy-gnuplot.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-gnuplot/2022-03-31/eazy-gnuplot-20220331-git.tgz";
      sha256 = "0mpkx1z52riahydzvqv7kk15p0pv2k7k5a7j65fg571kcxmssx8s";
      system = "eazy-gnuplot.test";
      asd = "eazy-gnuplot.test";
    });
    systems = [ "eazy-gnuplot.test" ];
    lispLibs = [ (getAttr "eazy-gnuplot" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-process = (build-asdf-system {
    pname = "eazy-process";
    version = "20200925-git";
    asds = [ "eazy-process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-process/2020-09-25/eazy-process-20200925-git.tgz";
      sha256 = "1fvc613jg3b0kra664lbyyzvig7sm1xzaawack28c5m61yiwakiw";
      system = "eazy-process";
      asd = "eazy-process";
    });
    systems = [ "eazy-process" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "cl-rlimit" self) (getAttr "iolib" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivia_dot_ppcre" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-process_dot_test = (build-asdf-system {
    pname = "eazy-process.test";
    version = "20200925-git";
    asds = [ "eazy-process.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-process/2020-09-25/eazy-process-20200925-git.tgz";
      sha256 = "1fvc613jg3b0kra664lbyyzvig7sm1xzaawack28c5m61yiwakiw";
      system = "eazy-process.test";
      asd = "eazy-process.test";
    });
    systems = [ "eazy-process.test" ];
    lispLibs = [ (getAttr "eazy-process" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-project = (build-asdf-system {
    pname = "eazy-project";
    version = "20190710-git";
    asds = [ "eazy-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project";
      asd = "eazy-project";
    });
    systems = [ "eazy-project" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-emb" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "introspect-environment" self) (getAttr "iterate" self) (getAttr "lisp-namespace" self) (getAttr "local-time" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-project_dot_autoload = (build-asdf-system {
    pname = "eazy-project.autoload";
    version = "20190710-git";
    asds = [ "eazy-project.autoload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project.autoload";
      asd = "eazy-project.autoload";
    });
    systems = [ "eazy-project.autoload" ];
    lispLibs = [ (getAttr "eazy-project" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eazy-project_dot_test = (build-asdf-system {
    pname = "eazy-project.test";
    version = "20190710-git";
    asds = [ "eazy-project.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eazy-project/2019-07-10/eazy-project-20190710-git.tgz";
      sha256 = "1dfzvsvzdwcfvynvik9kwhgil9m08jx8r0vwqj7l1m2d9zm4db3b";
      system = "eazy-project.test";
      asd = "eazy-project.test";
    });
    systems = [ "eazy-project.test" ];
    lispLibs = [ (getAttr "eazy-project" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ec2 = (build-asdf-system {
    pname = "ec2";
    version = "20120909-git";
    asds = [ "ec2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ec2/2012-09-09/ec2-20120909-git.tgz";
      sha256 = "1z9yv1b8ckyvla80rha7amfhhy57kylkscf504rpfx8994fnfbsy";
      system = "ec2";
      asd = "ec2";
    });
    systems = [ "ec2" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "s-base64" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ec2-price-finder = (build-asdf-system {
    pname = "ec2-price-finder";
    version = "20210531-git";
    asds = [ "ec2-price-finder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ec2-price-finder/2021-05-31/ec2-price-finder-20210531-git.tgz";
      sha256 = "1511py79fj0xpzzjlfk6fchp6lmikvhy42s3p6s85fbq4dyj4mpj";
      system = "ec2-price-finder";
      asd = "ec2-price-finder";
    });
    systems = [ "ec2-price-finder" ];
    lispLibs = [ (getAttr "easy-routes" self) (getAttr "hunchentoot" self) (getAttr "lass" self) (getAttr "local-time" self) (getAttr "parse-float" self) (getAttr "read-csv" self) (getAttr "spinneret" self) (getAttr "wu-decimal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ecclesia = (build-asdf-system {
    pname = "ecclesia";
    version = "20201220-git";
    asds = [ "ecclesia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ecclesia/2020-12-20/ecclesia-20201220-git.tgz";
      sha256 = "0xxs2hfvqprici6z57wx2z6rjc1f0f5mg0xxls7b8nglzx4saslm";
      system = "ecclesia";
      asd = "ecclesia";
    });
    systems = [ "ecclesia" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eclecticse_dot_iso-8601-date = (build-asdf-system {
    pname = "eclecticse.iso-8601-date";
    version = "20190107-git";
    asds = [ "eclecticse.iso-8601-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iso-8601-date/2019-01-07/iso-8601-date-20190107-git.tgz";
      sha256 = "12d6jyznglm13sb04xh5l0d0bwi4y449wdyifvfy7r03qy8wypdx";
      system = "eclecticse.iso-8601-date";
      asd = "eclecticse.iso-8601-date";
    });
    systems = [ "eclecticse.iso-8601-date" ];
    lispLibs = [ (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eclecticse_dot_omer = (build-asdf-system {
    pname = "eclecticse.omer";
    version = "20210411-git";
    asds = [ "eclecticse.omer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/omer-count/2021-04-11/omer-count-20210411-git.tgz";
      sha256 = "1rvg7rfalvi28x3jkknfdyf4y7zjrqdx073iqi2gin4amin6n7jv";
      system = "eclecticse.omer";
      asd = "eclecticse.omer";
    });
    systems = [ "eclecticse.omer" ];
    lispLibs = [ (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eclecticse_dot_slk-581 = (build-asdf-system {
    pname = "eclecticse.slk-581";
    version = "20190107-git";
    asds = [ "eclecticse.slk-581" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slk-581/2019-01-07/slk-581-20190107-git.tgz";
      sha256 = "1pxyr1gi4ppnfld399wiypqqkgm3bqd9kpizpwgll2fd10yh2qmf";
      system = "eclecticse.slk-581";
      asd = "eclecticse.slk-581";
    });
    systems = [ "eclecticse.slk-581" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eclector = (build-asdf-system {
    pname = "eclector";
    version = "20230618-git";
    asds = [ "eclector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2023-06-18/eclector-20230618-git.tgz";
      sha256 = "1llk33dfwd18s29zzfdhir3faa7x7xri8wzhqxx71bgirp916hih";
      system = "eclector";
      asd = "eclector";
    });
    systems = [ "eclector" ];
    lispLibs = [ (getAttr "acclimation" self) (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eclector-concrete-syntax-tree = (build-asdf-system {
    pname = "eclector-concrete-syntax-tree";
    version = "20230618-git";
    asds = [ "eclector-concrete-syntax-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eclector/2023-06-18/eclector-20230618-git.tgz";
      sha256 = "1llk33dfwd18s29zzfdhir3faa7x7xri8wzhqxx71bgirp916hih";
      system = "eclector-concrete-syntax-tree";
      asd = "eclector-concrete-syntax-tree";
    });
    systems = [ "eclector-concrete-syntax-tree" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "concrete-syntax-tree" self) (getAttr "eclector" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eco = (build-asdf-system {
    pname = "eco";
    version = "20190813-git";
    asds = [ "eco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eco/2019-08-13/eco-20190813-git.tgz";
      sha256 = "13fsv9v7fhf05p7j1hrfy2sg813wmgsp9aw4ng4cpzdss24zvf7q";
      system = "eco";
      asd = "eco";
    });
    systems = [ "eco" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-who" self) (getAttr "esrap" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eco-test = (build-asdf-system {
    pname = "eco-test";
    version = "20190813-git";
    asds = [ "eco-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eco/2019-08-13/eco-20190813-git.tgz";
      sha256 = "13fsv9v7fhf05p7j1hrfy2sg813wmgsp9aw4ng4cpzdss24zvf7q";
      system = "eco-test";
      asd = "eco-test";
    });
    systems = [ "eco-test" ];
    lispLibs = [ (getAttr "eco" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  edit-distance = (build-asdf-system {
    pname = "edit-distance";
    version = "20220331-git";
    asds = [ "edit-distance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-editdistance/2022-03-31/cl-editdistance-20220331-git.tgz";
      sha256 = "0nzbgq69wak18vwpk0fp68x8shdxq5vy70213dc2r0hwfzzc10v9";
      system = "edit-distance";
      asd = "edit-distance";
    });
    systems = [ "edit-distance" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  edit-distance-test = (build-asdf-system {
    pname = "edit-distance-test";
    version = "20220331-git";
    asds = [ "edit-distance-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-editdistance/2022-03-31/cl-editdistance-20220331-git.tgz";
      sha256 = "0nzbgq69wak18vwpk0fp68x8shdxq5vy70213dc2r0hwfzzc10v9";
      system = "edit-distance-test";
      asd = "edit-distance-test";
    });
    systems = [ "edit-distance-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-coveralls" self) (getAttr "edit-distance" self) (getAttr "lisp-unit" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  elb-log = (build-asdf-system {
    pname = "elb-log";
    version = "20150923-git";
    asds = [ "elb-log" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elb-log/2015-09-23/elb-log-20150923-git.tgz";
      sha256 = "1d0vkmkjr6d96j7cggw5frj50jf14brbm63is41zwfkfl9r4i6bp";
      system = "elb-log";
      asd = "elb-log";
    });
    systems = [ "elb-log" ];
    lispLibs = [ (getAttr "cl-annot-prove" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "cl-syntax-interpol" self) (getAttr "local-time" self) (getAttr "zs3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  elb-log-test = (build-asdf-system {
    pname = "elb-log-test";
    version = "20150923-git";
    asds = [ "elb-log-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elb-log/2015-09-23/elb-log-20150923-git.tgz";
      sha256 = "1d0vkmkjr6d96j7cggw5frj50jf14brbm63is41zwfkfl9r4i6bp";
      system = "elb-log-test";
      asd = "elb-log-test";
    });
    systems = [ "elb-log-test" ];
    lispLibs = [ (getAttr "elb-log" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  electron-tools = (build-asdf-system {
    pname = "electron-tools";
    version = "20160421-git";
    asds = [ "electron-tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/electron-tools/2016-04-21/electron-tools-20160421-git.tgz";
      sha256 = "0fr16gsbn87vyyjpn2gndhpjg7yzsn4j7skyn0py252cvdk5ygf7";
      system = "electron-tools";
      asd = "electron-tools";
    });
    systems = [ "electron-tools" ];
    lispLibs = [ (getAttr "osicat" self) (getAttr "trivial-download" self) (getAttr "trivial-exe" self) (getAttr "trivial-extract" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  electron-tools-test = (build-asdf-system {
    pname = "electron-tools-test";
    version = "20160421-git";
    asds = [ "electron-tools-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/electron-tools/2016-04-21/electron-tools-20160421-git.tgz";
      sha256 = "0fr16gsbn87vyyjpn2gndhpjg7yzsn4j7skyn0py252cvdk5ygf7";
      system = "electron-tools-test";
      asd = "electron-tools-test";
    });
    systems = [ "electron-tools-test" ];
    lispLibs = [ (getAttr "electron-tools" self) (getAttr "fiveam" self) (getAttr "trivial-extract" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  elf = (build-asdf-system {
    pname = "elf";
    version = "20190710-git";
    asds = [ "elf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/elf/2019-07-10/elf-20190710-git.tgz";
      sha256 = "0rd1qcczr2gx76fmxia0kix0p5b49myc9fndibkvwc94cxg085gk";
      system = "elf";
      asd = "elf";
    });
    systems = [ "elf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "com_dot_gigamonkeys_dot_binary-data" self) (getAttr "flexi-streams" self) (getAttr "metabang-bind" self) (getAttr "split-sequence" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enchant = (build-asdf-system {
    pname = "enchant";
    version = "20211209-git";
    asds = [ "enchant" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enchant/2021-12-09/cl-enchant-20211209-git.tgz";
      sha256 = "1d0b8743g4y75jl69rq75m8csa5af2fwlxkfvs2p06rsx9dljh79";
      system = "enchant";
      asd = "enchant";
    });
    systems = [ "enchant" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  enchant-autoload = (build-asdf-system {
    pname = "enchant-autoload";
    version = "20211209-git";
    asds = [ "enchant-autoload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enchant/2021-12-09/cl-enchant-20211209-git.tgz";
      sha256 = "1d0b8743g4y75jl69rq75m8csa5af2fwlxkfvs2p06rsx9dljh79";
      system = "enchant-autoload";
      asd = "enchant-autoload";
    });
    systems = [ "enchant-autoload" ];
    lispLibs = [ (getAttr "enchant" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-boolean = (build-asdf-system {
    pname = "enhanced-boolean";
    version = "1.0";
    asds = [ "enhanced-boolean" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-boolean/2020-03-25/enhanced-boolean_1.0.tgz";
      sha256 = "17l18lz07fk2kg835vs6c3189d230n1rm9vghk3ls4i356gbq0gy";
      system = "enhanced-boolean";
      asd = "enhanced-boolean";
    });
    systems = [ "enhanced-boolean" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-boolean__tests = (build-asdf-system {
    pname = "enhanced-boolean_tests";
    version = "1.0";
    asds = [ "enhanced-boolean_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-boolean/2020-03-25/enhanced-boolean_1.0.tgz";
      sha256 = "17l18lz07fk2kg835vs6c3189d230n1rm9vghk3ls4i356gbq0gy";
      system = "enhanced-boolean_tests";
      asd = "enhanced-boolean_tests";
    });
    systems = [ "enhanced-boolean_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-defclass = (build-asdf-system {
    pname = "enhanced-defclass";
    version = "2.1";
    asds = [ "enhanced-defclass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-defclass/2021-04-11/enhanced-defclass_2.1.tgz";
      sha256 = "142s5c3pl3x7xdawzsj8pdxiqp4wh6fcajf4la5msvnxgf66d8wg";
      system = "enhanced-defclass";
      asd = "enhanced-defclass";
    });
    systems = [ "enhanced-defclass" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "compatible-metaclasses" self) (getAttr "enhanced-eval-when" self) (getAttr "enhanced-find-class" self) (getAttr "evaled-when" self) (getAttr "shared-preferences" self) (getAttr "simple-guess" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-defclass__tests = (build-asdf-system {
    pname = "enhanced-defclass_tests";
    version = "2.1";
    asds = [ "enhanced-defclass_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-defclass/2021-04-11/enhanced-defclass_2.1.tgz";
      sha256 = "142s5c3pl3x7xdawzsj8pdxiqp4wh6fcajf4la5msvnxgf66d8wg";
      system = "enhanced-defclass_tests";
      asd = "enhanced-defclass_tests";
    });
    systems = [ "enhanced-defclass_tests" ];
    lispLibs = [ (getAttr "enhanced-defclass" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-eval-when = (build-asdf-system {
    pname = "enhanced-eval-when";
    version = "1.0";
    asds = [ "enhanced-eval-when" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-eval-when/2012-11-25/enhanced-eval-when-1.0.tgz";
      sha256 = "1ws1v297plcbqmcvckg7vqzzgnrwfyx5kd7281r1wrhc26998rx2";
      system = "enhanced-eval-when";
      asd = "enhanced-eval-when";
    });
    systems = [ "enhanced-eval-when" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-find-class = (build-asdf-system {
    pname = "enhanced-find-class";
    version = "1.0";
    asds = [ "enhanced-find-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-find-class/2020-09-25/enhanced-find-class_1.0.tgz";
      sha256 = "1pf1mxb238zrmvgm9s0456s1x0m317ls23ls1d987riw69y3w9vx";
      system = "enhanced-find-class";
      asd = "enhanced-find-class";
    });
    systems = [ "enhanced-find-class" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-find-class__tests = (build-asdf-system {
    pname = "enhanced-find-class_tests";
    version = "1.0";
    asds = [ "enhanced-find-class_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-find-class/2020-09-25/enhanced-find-class_1.0.tgz";
      sha256 = "1pf1mxb238zrmvgm9s0456s1x0m317ls23ls1d987riw69y3w9vx";
      system = "enhanced-find-class_tests";
      asd = "enhanced-find-class_tests";
    });
    systems = [ "enhanced-find-class_tests" ];
    lispLibs = [ (getAttr "enhanced-find-class" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-multiple-value-bind = (build-asdf-system {
    pname = "enhanced-multiple-value-bind";
    version = "1.0.1";
    asds = [ "enhanced-multiple-value-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-multiple-value-bind/2012-11-25/enhanced-multiple-value-bind-1.0.1.tgz";
      sha256 = "1hv0g60klqzgl8vdppksrr1z5wayijx5jnmxzk5ivj884d8l2i5n";
      system = "enhanced-multiple-value-bind";
      asd = "enhanced-multiple-value-bind";
    });
    systems = [ "enhanced-multiple-value-bind" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-typep = (build-asdf-system {
    pname = "enhanced-typep";
    version = "1.0";
    asds = [ "enhanced-typep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-typep/2020-10-16/enhanced-typep_1.0.tgz";
      sha256 = "0b22gddkbxnhmi71wa2h51495737lrvsqxnri7g1qdsl1hraml21";
      system = "enhanced-typep";
      asd = "enhanced-typep";
    });
    systems = [ "enhanced-typep" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enhanced-typep__tests = (build-asdf-system {
    pname = "enhanced-typep_tests";
    version = "1.0";
    asds = [ "enhanced-typep_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/enhanced-typep/2020-10-16/enhanced-typep_1.0.tgz";
      sha256 = "0b22gddkbxnhmi71wa2h51495737lrvsqxnri7g1qdsl1hraml21";
      system = "enhanced-typep_tests";
      asd = "enhanced-typep_tests";
    });
    systems = [ "enhanced-typep_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" self) (getAttr "enhanced-typep" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  enumerations = (build-asdf-system {
    pname = "enumerations";
    version = "20230214-git";
    asds = [ "enumerations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-enumeration/2023-02-14/cl-enumeration-20230214-git.tgz";
      sha256 = "08jp5sf1230d4yyr7jyjqv235hdjjbmabh8r5lsqjh4kgqbwrvqr";
      system = "enumerations";
      asd = "enumerations";
    });
    systems = [ "enumerations" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  envy = (build-asdf-system {
    pname = "envy";
    version = "20220331-git";
    asds = [ "envy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/envy/2022-03-31/envy-20220331-git.tgz";
      sha256 = "1r0wgimd7z57x8cv69sw76w3y5l70hq50882a9nq5l4v64lg55fq";
      system = "envy";
      asd = "envy";
    });
    systems = [ "envy" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  envy-test = (build-asdf-system {
    pname = "envy-test";
    version = "20220331-git";
    asds = [ "envy-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/envy/2022-03-31/envy-20220331-git.tgz";
      sha256 = "1r0wgimd7z57x8cv69sw76w3y5l70hq50882a9nq5l4v64lg55fq";
      system = "envy-test";
      asd = "envy-test";
    });
    systems = [ "envy-test" ];
    lispLibs = [ (getAttr "envy" self) (getAttr "osicat" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eos = (build-asdf-system {
    pname = "eos";
    version = "20200925-git";
    asds = [ "eos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eos/2020-09-25/eos-20200925-git.tgz";
      sha256 = "1afllvmlnx97yzz404gycl3pa3kwx427k3hrbf37rpmjlv47knhk";
      system = "eos";
      asd = "eos";
    });
    systems = [ "eos" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eos-tests = (build-asdf-system {
    pname = "eos-tests";
    version = "20200925-git";
    asds = [ "eos-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eos/2020-09-25/eos-20200925-git.tgz";
      sha256 = "1afllvmlnx97yzz404gycl3pa3kwx427k3hrbf37rpmjlv47knhk";
      system = "eos-tests";
      asd = "eos";
    });
    systems = [ "eos-tests" ];
    lispLibs = [ (getAttr "eos" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  epigraph = (build-asdf-system {
    pname = "epigraph";
    version = "20200325-git";
    asds = [ "epigraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/epigraph/2020-03-25/epigraph-20200325-git.tgz";
      sha256 = "0gqiv23grdiz6pfly7mqyfmq4c6nwcamlvgsnixn8qi9md7b9d64";
      system = "epigraph";
      asd = "epigraph";
    });
    systems = [ "epigraph" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  epigraph-test = (build-asdf-system {
    pname = "epigraph-test";
    version = "20200325-git";
    asds = [ "epigraph-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/epigraph/2020-03-25/epigraph-20200325-git.tgz";
      sha256 = "0gqiv23grdiz6pfly7mqyfmq4c6nwcamlvgsnixn8qi9md7b9d64";
      system = "epigraph-test";
      asd = "epigraph";
    });
    systems = [ "epigraph-test" ];
    lispLibs = [ (getAttr "epigraph" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  epmd = (build-asdf-system {
    pname = "epmd";
    version = "20140211-git";
    asds = [ "epmd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epmd/2014-02-11/cl-epmd-20140211-git.tgz";
      sha256 = "1334856x7jqhv52wlab6wxmfqslj21pmryx3lwmlsn7c3ypwz4rw";
      system = "epmd";
      asd = "epmd";
    });
    systems = [ "epmd" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_binary-data" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  epmd-test = (build-asdf-system {
    pname = "epmd-test";
    version = "20140211-git";
    asds = [ "epmd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-epmd/2014-02-11/cl-epmd-20140211-git.tgz";
      sha256 = "1334856x7jqhv52wlab6wxmfqslj21pmryx3lwmlsn7c3ypwz4rw";
      system = "epmd-test";
      asd = "epmd-test";
    });
    systems = [ "epmd-test" ];
    lispLibs = [ (getAttr "epmd" self) (getAttr "fiveam" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  equals = (build-asdf-system {
    pname = "equals";
    version = "20140826-git";
    asds = [ "equals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/equals/2014-08-26/equals-20140826-git.tgz";
      sha256 = "0z80z2xb7vlwfgx4sfmj1yba8gs6cgwb86iqrby25h4h34w7kj1w";
      system = "equals";
      asd = "equals";
    });
    systems = [ "equals" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  erjoalgo-webutil = (build-asdf-system {
    pname = "erjoalgo-webutil";
    version = "20220707-git";
    asds = [ "erjoalgo-webutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erjoalgo-webutil/2022-07-07/erjoalgo-webutil-20220707-git.tgz";
      sha256 = "1bfs540yx12fhsrs6xdcjssr2hc7hn1y2i1m8hqdfni13ax9j3v8";
      system = "erjoalgo-webutil";
      asd = "erjoalgo-webutil";
    });
    systems = [ "erjoalgo-webutil" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "fiasco" self) (getAttr "gzip-stream" self) (getAttr "hunchentoot" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  erlang-term = (build-asdf-system {
    pname = "erlang-term";
    version = "20220220-git";
    asds = [ "erlang-term" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-erlang-term/2022-02-20/cl-erlang-term-20220220-git.tgz";
      sha256 = "1rmnbirbvwmik3j0xkkn90kzx90klrwx7hmscl0ywcbaprm71wkv";
      system = "erlang-term";
      asd = "erlang-term";
    });
    systems = [ "erlang-term" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "ieee-floats" self) (getAttr "nibbles" self) (getAttr "zlib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  erlang-term-test = (build-asdf-system {
    pname = "erlang-term-test";
    version = "20220220-git";
    asds = [ "erlang-term-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-erlang-term/2022-02-20/cl-erlang-term-20220220-git.tgz";
      sha256 = "1rmnbirbvwmik3j0xkkn90kzx90klrwx7hmscl0ywcbaprm71wkv";
      system = "erlang-term-test";
      asd = "erlang-term-test";
    });
    systems = [ "erlang-term-test" ];
    lispLibs = [ (getAttr "erlang-term" self) (getAttr "fiveam" self) (getAttr "nibbles" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ernestine = (build-asdf-system {
    pname = "ernestine";
    version = "20220220-git";
    asds = [ "ernestine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ernestine/2022-02-20/ernestine-20220220-git.tgz";
      sha256 = "1gl8pjp44j01nfw9dzk1qdl6njnqcaccp5czcr5rq47l1aicrymn";
      system = "ernestine";
      asd = "ernestine";
    });
    systems = [ "ernestine" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-prevalence" self) (getAttr "drakma" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ernestine-tests = (build-asdf-system {
    pname = "ernestine-tests";
    version = "20220220-git";
    asds = [ "ernestine-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ernestine/2022-02-20/ernestine-20220220-git.tgz";
      sha256 = "1gl8pjp44j01nfw9dzk1qdl6njnqcaccp5czcr5rq47l1aicrymn";
      system = "ernestine-tests";
      asd = "ernestine-tests";
    });
    systems = [ "ernestine-tests" ];
    lispLibs = [ (getAttr "ernestine" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  erudite = (build-asdf-system {
    pname = "erudite";
    version = "20221106-git";
    asds = [ "erudite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erudite/2022-11-06/erudite-20221106-git.tgz";
      sha256 = "0za0wrblmk2kclc3wvlvsjf5mkri5ndhgc5ppc9p4zac3fd7p67n";
      system = "erudite";
      asd = "erudite";
    });
    systems = [ "erudite" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-template" self) (getAttr "log4cl" self) (getAttr "split-sequence" self) (getAttr "swank-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  erudite-test = (build-asdf-system {
    pname = "erudite-test";
    version = "20221106-git";
    asds = [ "erudite-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/erudite/2022-11-06/erudite-20221106-git.tgz";
      sha256 = "0za0wrblmk2kclc3wvlvsjf5mkri5ndhgc5ppc9p4zac3fd7p67n";
      system = "erudite-test";
      asd = "erudite-test";
    });
    systems = [ "erudite-test" ];
    lispLibs = [ (getAttr "erudite" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  esa-mcclim = (build-asdf-system {
    pname = "esa-mcclim";
    version = "20230618-git";
    asds = [ "esa-mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "esa-mcclim";
      asd = "esa-mcclim";
    });
    systems = [ "esa-mcclim" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clim-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  escalator = (build-asdf-system {
    pname = "escalator";
    version = "20200427-git";
    asds = [ "escalator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/escalator/2020-04-27/escalator-20200427-git.tgz";
      sha256 = "136n4k983f90cqj6na17ff2fvk9rv4ma8l5y66q7lkbb69idipla";
      system = "escalator";
      asd = "escalator";
    });
    systems = [ "escalator" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  escalator-bench = (build-asdf-system {
    pname = "escalator-bench";
    version = "20200427-git";
    asds = [ "escalator-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/escalator/2020-04-27/escalator-20200427-git.tgz";
      sha256 = "136n4k983f90cqj6na17ff2fvk9rv4ma8l5y66q7lkbb69idipla";
      system = "escalator-bench";
      asd = "escalator-bench";
    });
    systems = [ "escalator-bench" ];
    lispLibs = [ (getAttr "escalator" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  esrap = (build-asdf-system {
    pname = "esrap";
    version = "20230618-git";
    asds = [ "esrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap/2023-06-18/esrap-20230618-git.tgz";
      sha256 = "0gs0mfamldhaihnlk0qxg2q4bl8bamq68dif9js9fkl8apg3iykl";
      system = "esrap";
      asd = "esrap";
    });
    systems = [ "esrap" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-with-current-source-form" self) ];
    meta = {};
  });
  esrap-liquid = (build-asdf-system {
    pname = "esrap-liquid";
    version = "20161031-git";
    asds = [ "esrap-liquid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-liquid/2016-10-31/esrap-liquid-20161031-git.tgz";
      sha256 = "0agsi8qx6v3c7r6ri5rp78vdb570pdgkvw80va3045crl61mkjzs";
      system = "esrap-liquid";
      asd = "esrap-liquid";
    });
    systems = [ "esrap-liquid" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  esrap-liquid-tests = (build-asdf-system {
    pname = "esrap-liquid-tests";
    version = "20161031-git";
    asds = [ "esrap-liquid-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-liquid/2016-10-31/esrap-liquid-20161031-git.tgz";
      sha256 = "0agsi8qx6v3c7r6ri5rp78vdb570pdgkvw80va3045crl61mkjzs";
      system = "esrap-liquid-tests";
      asd = "esrap-liquid";
    });
    systems = [ "esrap-liquid-tests" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "esrap-liquid" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  esrap-peg = (build-asdf-system {
    pname = "esrap-peg";
    version = "20191007-git";
    asds = [ "esrap-peg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/esrap-peg/2019-10-07/esrap-peg-20191007-git.tgz";
      sha256 = "0540i7whx1w0n9fdakwk8rnn511xga9xfvczq9y1jcgz1hh42w53";
      system = "esrap-peg";
      asd = "esrap-peg";
    });
    systems = [ "esrap-peg" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-unification" self) (getAttr "esrap" self) (getAttr "iterate" self) ];
    meta = {};
  });
  etcd-test = (build-asdf-system {
    pname = "etcd-test";
    version = "20230214-git";
    asds = [ "etcd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-etcd/2023-02-14/cl-etcd-20230214-git.tgz";
      sha256 = "0bals10r07prxvjxd744vz02ri72isf168lkhrx9qkc96hd214ah";
      system = "etcd-test";
      asd = "etcd-test";
    });
    systems = [ "etcd-test" ];
    lispLibs = [ (getAttr "cl-etcd" self) (getAttr "cl-toml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ev = (build-asdf-system {
    pname = "ev";
    version = "20150923-git";
    asds = [ "ev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ev/2015-09-23/cl-ev-20150923-git.tgz";
      sha256 = "0qnkzkw9mn4w6b0q9y207z8ddnd5a2gn42q55yycp2qrvvv47lhp";
      system = "ev";
      asd = "ev";
    });
    systems = [ "ev" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  evaled-when = (build-asdf-system {
    pname = "evaled-when";
    version = "1.0";
    asds = [ "evaled-when" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evaled-when/2020-09-25/evaled-when_1.0.tgz";
      sha256 = "0482s89nb5jyyg5wmb010p914pgq6ls8z5s12hdw7wrpy675kdkh";
      system = "evaled-when";
      asd = "evaled-when";
    });
    systems = [ "evaled-when" ];
    lispLibs = [ (getAttr "trivial-cltl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  evaled-when__tests = (build-asdf-system {
    pname = "evaled-when_tests";
    version = "1.0";
    asds = [ "evaled-when_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evaled-when/2020-09-25/evaled-when_1.0.tgz";
      sha256 = "0482s89nb5jyyg5wmb010p914pgq6ls8z5s12hdw7wrpy675kdkh";
      system = "evaled-when_tests";
      asd = "evaled-when_tests";
    });
    systems = [ "evaled-when_tests" ];
    lispLibs = [ (getAttr "enhanced-boolean" self) (getAttr "evaled-when" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  event-emitter = (build-asdf-system {
    pname = "event-emitter";
    version = "20220331-git";
    asds = [ "event-emitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-emitter/2022-03-31/event-emitter-20220331-git.tgz";
      sha256 = "1v1mhwypc08hiz14kg6vp4xzkhlicw29vxgawz8m5ydxl2ranwc0";
      system = "event-emitter";
      asd = "event-emitter";
    });
    systems = [ "event-emitter" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  event-emitter-test = (build-asdf-system {
    pname = "event-emitter-test";
    version = "20220331-git";
    asds = [ "event-emitter-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-emitter/2022-03-31/event-emitter-20220331-git.tgz";
      sha256 = "1v1mhwypc08hiz14kg6vp4xzkhlicw29vxgawz8m5ydxl2ranwc0";
      system = "event-emitter-test";
      asd = "event-emitter-test";
    });
    systems = [ "event-emitter-test" ];
    lispLibs = [ (getAttr "event-emitter" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  event-glue = (build-asdf-system {
    pname = "event-glue";
    version = "20150608-git";
    asds = [ "event-glue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-glue/2015-06-08/event-glue-20150608-git.tgz";
      sha256 = "1cmxdx5nawzqafz9b6nswp20d3zlaks44ln4n6bf5jxji9n3vany";
      system = "event-glue";
      asd = "event-glue";
    });
    systems = [ "event-glue" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  event-glue-test = (build-asdf-system {
    pname = "event-glue-test";
    version = "20150608-git";
    asds = [ "event-glue-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/event-glue/2015-06-08/event-glue-20150608-git.tgz";
      sha256 = "1cmxdx5nawzqafz9b6nswp20d3zlaks44ln4n6bf5jxji9n3vany";
      system = "event-glue-test";
      asd = "event-glue-test";
    });
    systems = [ "event-glue-test" ];
    lispLibs = [ (getAttr "event-glue" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eventbus = (build-asdf-system {
    pname = "eventbus";
    version = "20191227-git";
    asds = [ "eventbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eventbus/2019-12-27/eventbus-20191227-git.tgz";
      sha256 = "0slqx3zq6sbz3rg4g79j8y25sx4405y6ff3x6l5v8v4v42m1s0p2";
      system = "eventbus";
      asd = "eventbus";
    });
    systems = [ "eventbus" ];
    lispLibs = [ (getAttr "simplet-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  eventfd = (build-asdf-system {
    pname = "eventfd";
    version = "20171130-git";
    asds = [ "eventfd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eventfd/2017-11-30/eventfd-20171130-git.tgz";
      sha256 = "1zwg043vqzk665k9dxgxhik20wgkl204anjna94zg6037m33vdiw";
      system = "eventfd";
      asd = "eventfd";
    });
    systems = [ "eventfd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi-grovel" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  everblocking-stream = (build-asdf-system {
    pname = "everblocking-stream";
    version = "20181018-git";
    asds = [ "everblocking-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/everblocking-stream/2018-10-18/everblocking-stream-20181018-git.tgz";
      sha256 = "1xvfsx2ldwcprlynikn1rikxh3lfdyzl2p72glzvgh20sm93p1rz";
      system = "everblocking-stream";
      asd = "everblocking-stream";
    });
    systems = [ "everblocking-stream" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  evol = (build-asdf-system {
    pname = "evol";
    version = "20101006-git";
    asds = [ "evol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evol/2010-10-06/evol-20101006-git.tgz";
      sha256 = "1hp6wygj44llkscqq721xg4a7j5faqjcfc646lvkia5xg81zbf65";
      system = "evol";
      asd = "evol";
    });
    systems = [ "evol" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "external-program" self) (getAttr "patron" self) (getAttr "unix-options" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  evol-test = (build-asdf-system {
    pname = "evol-test";
    version = "20101006-git";
    asds = [ "evol-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/evol/2010-10-06/evol-20101006-git.tgz";
      sha256 = "1hp6wygj44llkscqq721xg4a7j5faqjcfc646lvkia5xg81zbf65";
      system = "evol-test";
      asd = "evol-test";
    });
    systems = [ "evol-test" ];
    lispLibs = [ (getAttr "evol" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  example-bot = (build-asdf-system {
    pname = "example-bot";
    version = "20230618-git";
    asds = [ "example-bot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispcord/2023-06-18/lispcord-20230618-git.tgz";
      sha256 = "12v3n8gqry746f94wz7djhk3f3adzfnh8jga9c9lcsnwkgsrrc6a";
      system = "example-bot";
      asd = "example-bot";
    });
    systems = [ "example-bot" ];
    lispLibs = [ (getAttr "lispcord" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  exit-hooks = (build-asdf-system {
    pname = "exit-hooks";
    version = "20170403-git";
    asds = [ "exit-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exit-hooks/2017-04-03/exit-hooks-20170403-git.tgz";
      sha256 = "00rk0pr2cy3hy6giblh166b7yrg06d5lanipjcqv508gkfb0vi47";
      system = "exit-hooks";
      asd = "exit-hooks";
    });
    systems = [ "exit-hooks" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  exponential-backoff = (build-asdf-system {
    pname = "exponential-backoff";
    version = "20150113-git";
    asds = [ "exponential-backoff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exponential-backoff/2015-01-13/exponential-backoff-20150113-git.tgz";
      sha256 = "1389hm9hxv85s0125ja4js1bvh8ay4dsy9q1gaynjv27ynik6gmv";
      system = "exponential-backoff";
      asd = "exponential-backoff";
    });
    systems = [ "exponential-backoff" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  exscribe = (build-asdf-system {
    pname = "exscribe";
    version = "20200925-git";
    asds = [ "exscribe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/exscribe/2020-09-25/exscribe-20200925-git.tgz";
      sha256 = "02vsavasr5nbhrk86b7d8xpr6sm8cyrg3vs2pbpkls2iypffyd2h";
      system = "exscribe";
      asd = "exscribe";
    });
    systems = [ "exscribe" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fare-memoization" self) (getAttr "fare-scripts" self) (getAttr "fare-utils" self) (getAttr "quri" self) (getAttr "scribble" self) (getAttr "trivia_dot_quasiquote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ext-blog = (build-asdf-system {
    pname = "ext-blog";
    version = "20160825-git";
    asds = [ "ext-blog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ext-blog/2016-08-25/ext-blog-20160825-git.tgz";
      sha256 = "10qnl3p994wg12c0cn6xgkgmwfip0fk0sjyqyy0j5bdrp32gr5wg";
      system = "ext-blog";
      asd = "ext-blog";
    });
    systems = [ "ext-blog" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-store" self) (getAttr "closure-template" self) (getAttr "image" self) (getAttr "kl-verify" self) (getAttr "local-time" self) (getAttr "restas" self) (getAttr "restas_dot_file-publisher" self) (getAttr "s-xml-rpc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extended-reals = (build-asdf-system {
    pname = "extended-reals";
    version = "20180328-git";
    asds = [ "extended-reals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extended-reals/2018-03-28/extended-reals-20180328-git.tgz";
      sha256 = "0vq191win5sq37mrwjhvi463jqh1mkwbsa0hja69syq789pgaxmb";
      system = "extended-reals";
      asd = "extended-reals";
    });
    systems = [ "extended-reals" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extensible-compound-types = (build-asdf-system {
    pname = "extensible-compound-types";
    version = "20230618-git";
    asds = [ "extensible-compound-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2023-06-18/extensible-compound-types-20230618-git.tgz";
      sha256 = "1mvzcnfa9pkaggda14917vy87913fa2cwmryhxdicaf3gkqgvchb";
      system = "extensible-compound-types";
      asd = "extensible-compound-types";
    });
    systems = [ "extensible-compound-types" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-environments" self) (getAttr "cl-form-types" self) (getAttr "compiler-macro-notes" self) (getAttr "fiveam" self) (getAttr "in-nomine" self) (getAttr "introspect-environment" self) (getAttr "optima" self) (getAttr "swank" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extensible-compound-types-cl = (build-asdf-system {
    pname = "extensible-compound-types-cl";
    version = "20230618-git";
    asds = [ "extensible-compound-types-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2023-06-18/extensible-compound-types-20230618-git.tgz";
      sha256 = "1mvzcnfa9pkaggda14917vy87913fa2cwmryhxdicaf3gkqgvchb";
      system = "extensible-compound-types-cl";
      asd = "extensible-compound-types-cl";
    });
    systems = [ "extensible-compound-types-cl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-system-connections" self) (getAttr "cl-form-types" self) (getAttr "extensible-compound-types" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extensible-compound-types-interfaces = (build-asdf-system {
    pname = "extensible-compound-types-interfaces";
    version = "20230618-git";
    asds = [ "extensible-compound-types-interfaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-compound-types/2023-06-18/extensible-compound-types-20230618-git.tgz";
      sha256 = "1mvzcnfa9pkaggda14917vy87913fa2cwmryhxdicaf3gkqgvchb";
      system = "extensible-compound-types-interfaces";
      asd = "extensible-compound-types-interfaces";
    });
    systems = [ "extensible-compound-types-interfaces" ];
    lispLibs = [ (getAttr "extensible-compound-types-cl" self) (getAttr "polymorphic-functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extensible-optimizing-coerce = (build-asdf-system {
    pname = "extensible-optimizing-coerce";
    version = "20230618-git";
    asds = [ "extensible-optimizing-coerce" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/extensible-optimizing-coerce/2023-06-18/extensible-optimizing-coerce-20230618-git.tgz";
      sha256 = "17hqnd594xyp8rb24ampndfzqkw086fq4gxa9dlp9lzbq6fwfsb0";
      system = "extensible-optimizing-coerce";
      asd = "extensible-optimizing-coerce";
    });
    systems = [ "extensible-optimizing-coerce" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "extensible-compound-types" self) (getAttr "extensible-compound-types-interfaces" self) (getAttr "optima" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  extensible-sequences = (build-asdf-system {
    pname = "extensible-sequences";
    version = "20130813-darcs";
    asds = [ "extensible-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "extensible-sequences";
      asd = "extensible-sequences";
    });
    systems = [ "extensible-sequences" ];
    lispLibs = [ (getAttr "sequence-iterators" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  external-program = (build-asdf-system {
    pname = "external-program";
    version = "20190307-git";
    asds = [ "external-program" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-program/2019-03-07/external-program-20190307-git.tgz";
      sha256 = "0vww1x3yilb3bjwg6k184vaj4vxyxw4vralhnlm6lk4xac67kc9z";
      system = "external-program";
      asd = "external-program";
    });
    systems = [ "external-program" ];
    lispLibs = [ (getAttr "trivial-features" self) ];
    meta = {};
  });
  external-program-test = (build-asdf-system {
    pname = "external-program-test";
    version = "20190307-git";
    asds = [ "external-program-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-program/2019-03-07/external-program-20190307-git.tgz";
      sha256 = "0vww1x3yilb3bjwg6k184vaj4vxyxw4vralhnlm6lk4xac67kc9z";
      system = "external-program-test";
      asd = "external-program";
    });
    systems = [ "external-program-test" ];
    lispLibs = [ (getAttr "external-program" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  external-symbol-not-found = (build-asdf-system {
    pname = "external-symbol-not-found";
    version = "20220220-git";
    asds = [ "external-symbol-not-found" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/external-symbol-not-found/2022-02-20/external-symbol-not-found-20220220-git.tgz";
      sha256 = "1wlz36y1dka4409ngvp583jafwb9z8y6ghmyb84wn9spj66kghz8";
      system = "external-symbol-not-found";
      asd = "external-symbol-not-found";
    });
    systems = [ "external-symbol-not-found" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  f-underscore = (build-asdf-system {
    pname = "f-underscore";
    version = "20101006-darcs";
    asds = [ "f-underscore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f-underscore/2010-10-06/f-underscore-20101006-darcs.tgz";
      sha256 = "0mqvb2rxa08y07lj6smp8gf1ig32802fxq7mw5a283f2nkrinnb5";
      system = "f-underscore";
      asd = "f-underscore";
    });
    systems = [ "f-underscore" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  f2cl = (build-asdf-system {
    pname = "f2cl";
    version = "20200925-git";
    asds = [ "f2cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "f2cl";
      asd = "f2cl";
    });
    systems = [ "f2cl" ];
    lispLibs = [ (getAttr "f2cl-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  f2cl-asdf = (build-asdf-system {
    pname = "f2cl-asdf";
    version = "20200925-git";
    asds = [ "f2cl-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "f2cl-asdf";
      asd = "f2cl-asdf";
    });
    systems = [ "f2cl-asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  f2cl-lib = (build-asdf-system {
    pname = "f2cl-lib";
    version = "20220220-git";
    asds = [ "f2cl-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "f2cl-lib";
      asd = "f2cl-lib";
    });
    systems = [ "f2cl-lib" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fact-base = (build-asdf-system {
    pname = "fact-base";
    version = "20180328-git";
    asds = [ "fact-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fact-base/2018-03-28/fact-base-20180328-git.tgz";
      sha256 = "14i0vqqxszabhas0z9dfxhvnbsxl4iic77m4i76w7iznmrcma2ar";
      system = "fact-base";
      asd = "fact-base";
    });
    systems = [ "fact-base" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "local-time" self) (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  factory-alien = (build-asdf-system {
    pname = "factory-alien";
    version = "20230618-git";
    asds = [ "factory-alien" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/factory-alien/2023-06-18/factory-alien-20230618-git.tgz";
      sha256 = "0n1fwxapl9vr0cm66gkhihws6zhvg2f4acx017lavn0g42b5fc4a";
      system = "factory-alien";
      asd = "factory-alien";
    });
    systems = [ "factory-alien" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fakenil = (build-asdf-system {
    pname = "fakenil";
    version = "1.0";
    asds = [ "fakenil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fakenil/2020-03-25/fakenil_1.0.tgz";
      sha256 = "0ipqax3sgcs1dsgxz8d2pmfg324k6l35pn0nz89w5jl02fia61l3";
      system = "fakenil";
      asd = "fakenil";
    });
    systems = [ "fakenil" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fakenil__tests = (build-asdf-system {
    pname = "fakenil_tests";
    version = "1.0";
    asds = [ "fakenil_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fakenil/2020-03-25/fakenil_1.0.tgz";
      sha256 = "0ipqax3sgcs1dsgxz8d2pmfg324k6l35pn0nz89w5jl02fia61l3";
      system = "fakenil_tests";
      asd = "fakenil_tests";
    });
    systems = [ "fakenil_tests" ];
    lispLibs = [ (getAttr "fakenil" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fare-csv = (build-asdf-system {
    pname = "fare-csv";
    version = "20230214-git";
    asds = [ "fare-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-csv/2023-02-14/fare-csv-20230214-git.tgz";
      sha256 = "0k3mf968w94m4yff1k2jh7xlnpsm016qs4448bvklacjrr72vk8x";
      system = "fare-csv";
      asd = "fare-csv";
    });
    systems = [ "fare-csv" ];
    lispLibs = [  ];
    meta = {};
  });
  fare-memoization = (build-asdf-system {
    pname = "fare-memoization";
    version = "20180430-git";
    asds = [ "fare-memoization" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-memoization/2018-04-30/fare-memoization-20180430-git.tgz";
      sha256 = "1blmrb4c9gsxj87scz74z1s8w9d1w2r48fyxj0y1sw3vr6bsbb8f";
      system = "fare-memoization";
      asd = "fare-memoization";
    });
    systems = [ "fare-memoization" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fare-mop = (build-asdf-system {
    pname = "fare-mop";
    version = "20151218-git";
    asds = [ "fare-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-mop/2015-12-18/fare-mop-20151218-git.tgz";
      sha256 = "0maxs8392953fhnaa6zwnm2mdbhxjxipp4g4rvypm06ixr6pyv1c";
      system = "fare-mop";
      asd = "fare-mop";
    });
    systems = [ "fare-mop" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "fare-utils" self) ];
    meta = {};
  });
  fare-quasiquote = (build-asdf-system {
    pname = "fare-quasiquote";
    version = "20200925-git";
    asds = [ "fare-quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote";
      asd = "fare-quasiquote";
    });
    systems = [ "fare-quasiquote" ];
    lispLibs = [ (getAttr "fare-utils" self) ];
    meta = {};
  });
  fare-quasiquote-extras = (build-asdf-system {
    pname = "fare-quasiquote-extras";
    version = "20200925-git";
    asds = [ "fare-quasiquote-extras" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-extras";
      asd = "fare-quasiquote-extras";
    });
    systems = [ "fare-quasiquote-extras" ];
    lispLibs = [ (getAttr "fare-quasiquote-optima" self) (getAttr "fare-quasiquote-readtable" self) ];
    meta = {};
  });
  fare-quasiquote-optima = (build-asdf-system {
    pname = "fare-quasiquote-optima";
    version = "20200925-git";
    asds = [ "fare-quasiquote-optima" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-optima";
      asd = "fare-quasiquote-optima";
    });
    systems = [ "fare-quasiquote-optima" ];
    lispLibs = [ (getAttr "trivia_dot_quasiquote" self) ];
    meta = {};
  });
  fare-quasiquote-readtable = (build-asdf-system {
    pname = "fare-quasiquote-readtable";
    version = "20200925-git";
    asds = [ "fare-quasiquote-readtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-quasiquote/2020-09-25/fare-quasiquote-20200925-git.tgz";
      sha256 = "034mw3x0jv6q5nxqq8sz77c44dc115x6y52bnzk31qclib88zl7n";
      system = "fare-quasiquote-readtable";
      asd = "fare-quasiquote-readtable";
    });
    systems = [ "fare-quasiquote-readtable" ];
    lispLibs = [ (getAttr "fare-quasiquote" self) (getAttr "named-readtables" self) ];
    meta = {};
  });
  fare-scripts = (build-asdf-system {
    pname = "fare-scripts";
    version = "20211230-git";
    asds = [ "fare-scripts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-scripts/2021-12-30/fare-scripts-20211230-git.tgz";
      sha256 = "0i4giia6z2ys9fp5h0ff6r7d74ysynjqar7s9cv5zsiw871rqa1j";
      system = "fare-scripts";
      asd = "fare-scripts";
    });
    systems = [ "fare-scripts" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "binascii" self) (getAttr "cl-launch" self) (getAttr "cl-mime" self) (getAttr "cl-ppcre" self) (getAttr "cl-scripting" self) (getAttr "cl-unicode" self) (getAttr "command-line-arguments" self) (getAttr "fare-utils" self) (getAttr "inferior-shell" self) (getAttr "optima" self) (getAttr "optima_dot_ppcre" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fare-utils = (build-asdf-system {
    pname = "fare-utils";
    version = "20230214-git";
    asds = [ "fare-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-utils/2023-02-14/fare-utils-20230214-git.tgz";
      sha256 = "0kw6xzavzvpzac3xa6x4681q6w6v6bjk1g71flr2x9xixxg61sak";
      system = "fare-utils";
      asd = "fare-utils";
    });
    systems = [ "fare-utils" ];
    lispLibs = [  ];
    meta = {};
  });
  fare-utils-test = (build-asdf-system {
    pname = "fare-utils-test";
    version = "20230214-git";
    asds = [ "fare-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fare-utils/2023-02-14/fare-utils-20230214-git.tgz";
      sha256 = "0kw6xzavzvpzac3xa6x4681q6w6v6bjk1g71flr2x9xixxg61sak";
      system = "fare-utils-test";
      asd = "fare-utils-test";
    });
    systems = [ "fare-utils-test" ];
    lispLibs = [ (getAttr "fare-utils" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fast-generic-functions = (build-asdf-system {
    pname = "fast-generic-functions";
    version = "20220220-git";
    asds = [ "fast-generic-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-generic-functions/2022-02-20/fast-generic-functions-20220220-git.tgz";
      sha256 = "16hf9bi2p5s77p3m3aqsihcd9iicqjhhxxpsarjv93c41qs54yad";
      system = "fast-generic-functions";
      asd = "fast-generic-functions";
    });
    systems = [ "fast-generic-functions" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "sealable-metaobjects" self) (getAttr "trivial-macroexpand-all" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fast-http = (build-asdf-system {
    pname = "fast-http";
    version = "20191007-git";
    asds = [ "fast-http" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-http/2019-10-07/fast-http-20191007-git.tgz";
      sha256 = "0al2g7g219jjljsf7b23pbilpgacxy5as5gs2nqf76b5qni396mi";
      system = "fast-http";
      asd = "fast-http";
    });
    systems = [ "fast-http" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-utilities" self) (getAttr "proc-parse" self) (getAttr "smart-buffer" self) (getAttr "xsubseq" self) ];
    meta = {};
  });
  fast-http-test = (build-asdf-system {
    pname = "fast-http-test";
    version = "20191007-git";
    asds = [ "fast-http-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-http/2019-10-07/fast-http-20191007-git.tgz";
      sha256 = "0al2g7g219jjljsf7b23pbilpgacxy5as5gs2nqf76b5qni396mi";
      system = "fast-http-test";
      asd = "fast-http-test";
    });
    systems = [ "fast-http-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-syntax-interpol" self) (getAttr "fast-http" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "xsubseq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fast-io = (build-asdf-system {
    pname = "fast-io";
    version = "20221106-git";
    asds = [ "fast-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-io/2022-11-06/fast-io-20221106-git.tgz";
      sha256 = "0wh02yagbqahy9z6787jz5ggpagvr18qd0z13wvwq1vjf8xd2530";
      system = "fast-io";
      asd = "fast-io";
    });
    systems = [ "fast-io" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "static-vectors" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  fast-io-test = (build-asdf-system {
    pname = "fast-io-test";
    version = "20221106-git";
    asds = [ "fast-io-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-io/2022-11-06/fast-io-20221106-git.tgz";
      sha256 = "0wh02yagbqahy9z6787jz5ggpagvr18qd0z13wvwq1vjf8xd2530";
      system = "fast-io-test";
      asd = "fast-io-test";
    });
    systems = [ "fast-io-test" ];
    lispLibs = [ (getAttr "checkl" self) (getAttr "fast-io" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fast-websocket = (build-asdf-system {
    pname = "fast-websocket";
    version = "20220707-git";
    asds = [ "fast-websocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-websocket/2022-07-07/fast-websocket-20220707-git.tgz";
      sha256 = "1j7v00gbkzx4mq2v8y44jm4jx321hgrv9igfw23cvzzlyd3dzp6y";
      system = "fast-websocket";
      asd = "fast-websocket";
    });
    systems = [ "fast-websocket" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "fast-io" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fast-websocket-test = (build-asdf-system {
    pname = "fast-websocket-test";
    version = "20220707-git";
    asds = [ "fast-websocket-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fast-websocket/2022-07-07/fast-websocket-20220707-git.tgz";
      sha256 = "1j7v00gbkzx4mq2v8y44jm4jx321hgrv9igfw23cvzzlyd3dzp6y";
      system = "fast-websocket-test";
      asd = "fast-websocket-test";
    });
    systems = [ "fast-websocket-test" ];
    lispLibs = [ (getAttr "fast-io" self) (getAttr "fast-websocket" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  feeder = (build-asdf-system {
    pname = "feeder";
    version = "20210228-git";
    asds = [ "feeder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/feeder/2021-02-28/feeder-20210228-git.tgz";
      sha256 = "1dpbzhycg50snl3j01c8dh8gdvhfhz0hnfl54xy55a3wbr3m6rp7";
      system = "feeder";
      asd = "feeder";
    });
    systems = [ "feeder" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "local-time" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp = (build-asdf-system {
    pname = "femlisp";
    version = "20210411-git";
    asds = [ "femlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp";
      asd = "femlisp";
    });
    systems = [ "femlisp" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "femlisp-basic" self) (getAttr "femlisp-dictionary" self) (getAttr "femlisp-matlisp" self) (getAttr "femlisp-parallel" self) (getAttr "flexi-streams" self) (getAttr "infix" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp-basic = (build-asdf-system {
    pname = "femlisp-basic";
    version = "20210411-git";
    asds = [ "femlisp-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-basic";
      asd = "femlisp-basic";
    });
    systems = [ "femlisp-basic" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp-dictionary = (build-asdf-system {
    pname = "femlisp-dictionary";
    version = "20210411-git";
    asds = [ "femlisp-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-dictionary";
      asd = "femlisp-dictionary";
    });
    systems = [ "femlisp-dictionary" ];
    lispLibs = [ (getAttr "femlisp-basic" self) (getAttr "femlisp-parallel" self) (getAttr "trees" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp-matlisp = (build-asdf-system {
    pname = "femlisp-matlisp";
    version = "20210411-git";
    asds = [ "femlisp-matlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-matlisp";
      asd = "femlisp-matlisp";
    });
    systems = [ "femlisp-matlisp" ];
    lispLibs = [ (getAttr "femlisp-basic" self) (getAttr "femlisp-dictionary" self) (getAttr "femlisp-parallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp-parallel = (build-asdf-system {
    pname = "femlisp-parallel";
    version = "20210411-git";
    asds = [ "femlisp-parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-parallel";
      asd = "femlisp-parallel";
    });
    systems = [ "femlisp-parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-cpu-affinity" self) (getAttr "cl-ppcre" self) (getAttr "femlisp-basic" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  femlisp-picture = (build-asdf-system {
    pname = "femlisp-picture";
    version = "20210411-git";
    asds = [ "femlisp-picture" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "femlisp-picture";
      asd = "femlisp-picture";
    });
    systems = [ "femlisp-picture" ];
    lispLibs = [ (getAttr "cl-gd" self) (getAttr "femlisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ffa = (build-asdf-system {
    pname = "ffa";
    version = "20101006-git";
    asds = [ "ffa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ffa/2010-10-06/ffa-20101006-git.tgz";
      sha256 = "0l7kqcjp3sn1129hpwq6zhjqc0ydx9gc53z7k13i38x3z1asap7a";
      system = "ffa";
      asd = "ffa";
    });
    systems = [ "ffa" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-utilities" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fft = (build-asdf-system {
    pname = "fft";
    version = "20180711-git";
    asds = [ "fft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fft/2018-07-11/fft-20180711-git.tgz";
      sha256 = "0ymnfplap2cncw49mhq7crapgxphfwsvqdgrcckpgsvw6qsymasd";
      system = "fft";
      asd = "fft";
    });
    systems = [ "fft" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fftpack5 = (build-asdf-system {
    pname = "fftpack5";
    version = "20200925-git";
    asds = [ "fftpack5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fftpack5";
      asd = "fftpack5";
    });
    systems = [ "fftpack5" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fftpack5-double = (build-asdf-system {
    pname = "fftpack5-double";
    version = "20200925-git";
    asds = [ "fftpack5-double" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fftpack5-double";
      asd = "fftpack5-double";
    });
    systems = [ "fftpack5-double" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fiasco = (build-asdf-system {
    pname = "fiasco";
    version = "20200610-git";
    asds = [ "fiasco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiasco/2020-06-10/fiasco-20200610-git.tgz";
      sha256 = "1k8i2kq57201bvy3zfpsxld530hd104dgbglxigqb6i408c1a7aw";
      system = "fiasco";
      asd = "fiasco";
    });
    systems = [ "fiasco" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  fiasco-self-tests = (build-asdf-system {
    pname = "fiasco-self-tests";
    version = "20200610-git";
    asds = [ "fiasco-self-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiasco/2020-06-10/fiasco-20200610-git.tgz";
      sha256 = "1k8i2kq57201bvy3zfpsxld530hd104dgbglxigqb6i408c1a7aw";
      system = "fiasco-self-tests";
      asd = "fiasco";
    });
    systems = [ "fiasco-self-tests" ];
    lispLibs = [ (getAttr "fiasco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  file-attributes = (build-asdf-system {
    pname = "file-attributes";
    version = "20230214-git";
    asds = [ "file-attributes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-attributes/2023-02-14/file-attributes-20230214-git.tgz";
      sha256 = "15i43i3yilrzz77xq72r4p4zrsxgzbs937sr43s34p03686jb8q9";
      system = "file-attributes";
      asd = "file-attributes";
    });
    systems = [ "file-attributes" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  file-local-variable = (build-asdf-system {
    pname = "file-local-variable";
    version = "20160318-git";
    asds = [ "file-local-variable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-local-variable/2016-03-18/file-local-variable-20160318-git.tgz";
      sha256 = "1jsjd0g41mg76wlqjxliyrfz8fk7ihi06nq2zizmk9np0pmwsxl9";
      system = "file-local-variable";
      asd = "file-local-variable";
    });
    systems = [ "file-local-variable" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  file-local-variable_dot_test = (build-asdf-system {
    pname = "file-local-variable.test";
    version = "20160318-git";
    asds = [ "file-local-variable.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-local-variable/2016-03-18/file-local-variable-20160318-git.tgz";
      sha256 = "1jsjd0g41mg76wlqjxliyrfz8fk7ihi06nq2zizmk9np0pmwsxl9";
      system = "file-local-variable.test";
      asd = "file-local-variable.test";
    });
    systems = [ "file-local-variable.test" ];
    lispLibs = [ (getAttr "file-local-variable" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  file-notify = (build-asdf-system {
    pname = "file-notify";
    version = "20220707-git";
    asds = [ "file-notify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-notify/2022-07-07/file-notify-20220707-git.tgz";
      sha256 = "0788d98rqm1krl8nbfh8qshvyf6g336i9bqrdhkx06cfvbh0wcny";
      system = "file-notify";
      asd = "file-notify";
    });
    systems = [ "file-notify" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  file-select = (build-asdf-system {
    pname = "file-select";
    version = "20230618-git";
    asds = [ "file-select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-select/2023-06-18/file-select-20230618-git.tgz";
      sha256 = "1qh32ymljw5c98zzbvjfq6jzwlzs4qxi8gh4gw8pixir6y1inxaa";
      system = "file-select";
      asd = "file-select";
    });
    systems = [ "file-select" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "float-features" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  file-types = (build-asdf-system {
    pname = "file-types";
    version = "20160929-git";
    asds = [ "file-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/file-types/2016-09-29/file-types-20160929-git.tgz";
      sha256 = "09l67gzjwx7kx237grm709dsj9rkmmm8s3ya6irmcw8nh587inbs";
      system = "file-types";
      asd = "file-types";
    });
    systems = [ "file-types" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  filesystem-utils = (build-asdf-system {
    pname = "filesystem-utils";
    version = "20230618-git";
    asds = [ "filesystem-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filesystem-utils/2023-06-18/filesystem-utils-20230618-git.tgz";
      sha256 = "1r4mpqq7xac9lbd1amgmsqa8yjh3m1xvcwhj5yw04f228n1f770q";
      system = "filesystem-utils";
      asd = "filesystem-utils";
    });
    systems = [ "filesystem-utils" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "pathname-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  filesystem-utils-test = (build-asdf-system {
    pname = "filesystem-utils-test";
    version = "20230618-git";
    asds = [ "filesystem-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filesystem-utils/2023-06-18/filesystem-utils-20230618-git.tgz";
      sha256 = "1r4mpqq7xac9lbd1amgmsqa8yjh3m1xvcwhj5yw04f228n1f770q";
      system = "filesystem-utils-test";
      asd = "filesystem-utils-test";
    });
    systems = [ "filesystem-utils-test" ];
    lispLibs = [ (getAttr "filesystem-utils" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  filter-maker = (build-asdf-system {
    pname = "filter-maker";
    version = "20221106-git";
    asds = [ "filter-maker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filter-maker/2022-11-06/filter-maker-20221106-git.tgz";
      sha256 = "00algyghniqsvjy5vwx39fd98nd7x4w944ahy981jlh33lzc2qmn";
      system = "filter-maker";
      asd = "filter-maker";
    });
    systems = [ "filter-maker" ];
    lispLibs = [ (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  filtered-functions = (build-asdf-system {
    pname = "filtered-functions";
    version = "20160318-git";
    asds = [ "filtered-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/filtered-functions/2016-03-18/filtered-functions-20160318-git.tgz";
      sha256 = "0m13k8pl0gfll8ss83c0z3gax7zrrw2i4s26451jfbka1xr4fgy9";
      system = "filtered-functions";
      asd = "filtered-functions";
    });
    systems = [ "filtered-functions" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  find-port = (build-asdf-system {
    pname = "find-port";
    version = "20230214-git";
    asds = [ "find-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/find-port/2023-02-14/find-port-20230214-git.tgz";
      sha256 = "1hmbkqazk6m7075gmbrwzxkysp9779xm9qxrzj7p85bwlbk5m5i7";
      system = "find-port";
      asd = "find-port";
    });
    systems = [ "find-port" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  find-port-test = (build-asdf-system {
    pname = "find-port-test";
    version = "20230214-git";
    asds = [ "find-port-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/find-port/2023-02-14/find-port-20230214-git.tgz";
      sha256 = "1hmbkqazk6m7075gmbrwzxkysp9779xm9qxrzj7p85bwlbk5m5i7";
      system = "find-port-test";
      asd = "find-port-test";
    });
    systems = [ "find-port-test" ];
    lispLibs = [ (getAttr "find-port" self) (getAttr "fiveam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  finite-state-machine = (build-asdf-system {
    pname = "finite-state-machine";
    version = "20200218-git";
    asds = [ "finite-state-machine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-simple-fsm/2020-02-18/cl-simple-fsm-20200218-git.tgz";
      sha256 = "1w07df7kakjq3r1v5c4gnavp08ngpn2ni85cggnnsqzc27hly07b";
      system = "finite-state-machine";
      asd = "finite-state-machine";
    });
    systems = [ "finite-state-machine" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  firephp = (build-asdf-system {
    pname = "firephp";
    version = "20160531-git";
    asds = [ "firephp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/firephp/2016-05-31/firephp-20160531-git.tgz";
      sha256 = "1j98z73c21xcjp4f8qvmv37y9zlsnwxx88nnxc3r1ngvxv23dlgh";
      system = "firephp";
      asd = "firephp";
    });
    systems = [ "firephp" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  firephp-tests = (build-asdf-system {
    pname = "firephp-tests";
    version = "20160531-git";
    asds = [ "firephp-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/firephp/2016-05-31/firephp-20160531-git.tgz";
      sha256 = "1j98z73c21xcjp4f8qvmv37y9zlsnwxx88nnxc3r1ngvxv23dlgh";
      system = "firephp-tests";
      asd = "firephp-tests";
    });
    systems = [ "firephp-tests" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "firephp" self) (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  first-time-value = (build-asdf-system {
    pname = "first-time-value";
    version = "1.0.1";
    asds = [ "first-time-value" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/first-time-value/2018-12-10/first-time-value-1.0.1.tgz";
      sha256 = "155mqhnw1307b18a8bv8jhqp20qv83b409mlr61m45nq3sivxxp2";
      system = "first-time-value";
      asd = "first-time-value";
    });
    systems = [ "first-time-value" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  first-time-value__tests = (build-asdf-system {
    pname = "first-time-value_tests";
    version = "1.0.1";
    asds = [ "first-time-value_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/first-time-value/2018-12-10/first-time-value-1.0.1.tgz";
      sha256 = "155mqhnw1307b18a8bv8jhqp20qv83b409mlr61m45nq3sivxxp2";
      system = "first-time-value_tests";
      asd = "first-time-value_tests";
    });
    systems = [ "first-time-value_tests" ];
    lispLibs = [ (getAttr "first-time-value" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fishpack = (build-asdf-system {
    pname = "fishpack";
    version = "20200925-git";
    asds = [ "fishpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "fishpack";
      asd = "fishpack";
    });
    systems = [ "fishpack" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fiveam = (build-asdf-system {
    pname = "fiveam";
    version = "20220331-git";
    asds = [ "fiveam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam/2022-03-31/fiveam-20220331-git.tgz";
      sha256 = "085kmrafhmhawjri76l5sc2g8xg8v4fn4xsfzbdgv2q5ffzxxd82";
      system = "fiveam";
      asd = "fiveam";
    });
    systems = [ "fiveam" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "net_dot_didierverna_dot_asdf-flv" self) (getAttr "trivial-backtrace" self) ];
    meta = {};
  });
  fiveam-asdf = (build-asdf-system {
    pname = "fiveam-asdf";
    version = "20221106-git";
    asds = [ "fiveam-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam-asdf/2022-11-06/fiveam-asdf-20221106-git.tgz";
      sha256 = "18dhyznwl56lpp289dwg9xm9qwwv5062yawfaj6h1b2jwybqfrq7";
      system = "fiveam-asdf";
      asd = "fiveam-asdf";
    });
    systems = [ "fiveam-asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fiveam-matchers = (build-asdf-system {
    pname = "fiveam-matchers";
    version = "20230618-git";
    asds = [ "fiveam-matchers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fiveam-matchers/2023-06-18/fiveam-matchers-20230618-git.tgz";
      sha256 = "07v680fgairkf08n6xywg7pg82lw127mgr9qvg9z6hb3s11j3hmz";
      system = "fiveam-matchers";
      asd = "fiveam-matchers";
    });
    systems = [ "fiveam-matchers" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "fiveam" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fixed = (build-asdf-system {
    pname = "fixed";
    version = "20170124-git";
    asds = [ "fixed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fixed/2017-01-24/fixed-20170124-git.tgz";
      sha256 = "0bx8802fmlml5k5xhcm4g5r6c7ambij4gb0b37xljjn3wxgs83dc";
      system = "fixed";
      asd = "fixed";
    });
    systems = [ "fixed" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flac = (build-asdf-system {
    pname = "flac";
    version = "20151218-git";
    asds = [ "flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "flac";
      asd = "flac";
    });
    systems = [ "flac" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flac-metadata = (build-asdf-system {
    pname = "flac-metadata";
    version = "20220707-git";
    asds = [ "flac-metadata" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flac-metadata/2022-07-07/flac-metadata-20220707-git.tgz";
      sha256 = "1p515ym8rwrz3mybig83z41jrbrviikp3yyqgn9qzzjcrx7x1zsg";
      system = "flac-metadata";
      asd = "flac-metadata";
    });
    systems = [ "flac-metadata" ];
    lispLibs = [ (getAttr "binary-parser" self) (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flare = (build-asdf-system {
    pname = "flare";
    version = "20221106-git";
    asds = [ "flare" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flare/2022-11-06/flare-20221106-git.tgz";
      sha256 = "12scbnjqkyvaqmawfvih42vxp9nydlqh08nif9glv7nlav6dgvlp";
      system = "flare";
      asd = "flare";
    });
    systems = [ "flare" ];
    lispLibs = [ (getAttr "_3d-vectors" self) (getAttr "array-utils" self) (getAttr "documentation-utils" self) (getAttr "for" self) (getAttr "lambda-fiddle" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flare-viewer = (build-asdf-system {
    pname = "flare-viewer";
    version = "20221106-git";
    asds = [ "flare-viewer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flare/2022-11-06/flare-20221106-git.tgz";
      sha256 = "12scbnjqkyvaqmawfvih42vxp9nydlqh08nif9glv7nlav6dgvlp";
      system = "flare-viewer";
      asd = "flare-viewer";
    });
    systems = [ "flare-viewer" ];
    lispLibs = [ (getAttr "cl-opengl" self) (getAttr "flare" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) (getAttr "qtopengl" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flat-tree = (build-asdf-system {
    pname = "flat-tree";
    version = "20190813-git";
    asds = [ "flat-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-flat-tree/2019-08-13/cl-flat-tree-20190813-git.tgz";
      sha256 = "05nw1j0rr0vgz6shkjv87yn2mp0b4s7v5gxxcqcn1qi7fgbn55z7";
      system = "flat-tree";
      asd = "flat-tree";
    });
    systems = [ "flat-tree" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flexi-streams = (build-asdf-system {
    pname = "flexi-streams";
    version = "20220220-git";
    asds = [ "flexi-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexi-streams/2022-02-20/flexi-streams-20220220-git.tgz";
      sha256 = "04azqvz11s8dngy49bjl19hrfn0ip1b7m0szm4hlppq364msil7b";
      system = "flexi-streams";
      asd = "flexi-streams";
    });
    systems = [ "flexi-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  flexi-streams-test = (build-asdf-system {
    pname = "flexi-streams-test";
    version = "20220220-git";
    asds = [ "flexi-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexi-streams/2022-02-20/flexi-streams-20220220-git.tgz";
      sha256 = "04azqvz11s8dngy49bjl19hrfn0ip1b7m0szm4hlppq364msil7b";
      system = "flexi-streams-test";
      asd = "flexi-streams-test";
    });
    systems = [ "flexi-streams-test" ];
    lispLibs = [ (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flexichain = (build-asdf-system {
    pname = "flexichain";
    version = "20201220-git";
    asds = [ "flexichain" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexichain/2020-12-20/flexichain-20201220-git.tgz";
      sha256 = "1ivkffnkc1iqmpl1p1rgyfbbgjmjcid4iszvdql1jjz324lq94g6";
      system = "flexichain";
      asd = "flexichain";
    });
    systems = [ "flexichain" ];
    lispLibs = [ (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flexichain-doc = (build-asdf-system {
    pname = "flexichain-doc";
    version = "20201220-git";
    asds = [ "flexichain-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flexichain/2020-12-20/flexichain-20201220-git.tgz";
      sha256 = "1ivkffnkc1iqmpl1p1rgyfbbgjmjcid4iszvdql1jjz324lq94g6";
      system = "flexichain-doc";
      asd = "flexichain-doc";
    });
    systems = [ "flexichain-doc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  float-features = (build-asdf-system {
    pname = "float-features";
    version = "20230618-git";
    asds = [ "float-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/float-features/2023-06-18/float-features-20230618-git.tgz";
      sha256 = "1hm7623mmcm9dm6igcnhlx7ahq9fv4gcwyna1mmph41dk9zsc264";
      system = "float-features";
      asd = "float-features";
    });
    systems = [ "float-features" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {};
  });
  float-features-tests = (build-asdf-system {
    pname = "float-features-tests";
    version = "20230618-git";
    asds = [ "float-features-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/float-features/2023-06-18/float-features-20230618-git.tgz";
      sha256 = "1hm7623mmcm9dm6igcnhlx7ahq9fv4gcwyna1mmph41dk9zsc264";
      system = "float-features-tests";
      asd = "float-features-tests";
    });
    systems = [ "float-features-tests" ];
    lispLibs = [ (getAttr "float-features" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  floating-point = (build-asdf-system {
    pname = "floating-point";
    version = "20141106-git";
    asds = [ "floating-point" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point/2014-11-06/floating-point-20141106-git.tgz";
      sha256 = "1bqslmykg04innaqlp369pyjh61isj8xgv2h6pm95gsrxnf6wf7s";
      system = "floating-point";
      asd = "floating-point";
    });
    systems = [ "floating-point" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  floating-point-contractions = (build-asdf-system {
    pname = "floating-point-contractions";
    version = "20201220-git";
    asds = [ "floating-point-contractions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point-contractions/2020-12-20/floating-point-contractions-20201220-git.tgz";
      sha256 = "0mr8bnc7hn0ii0cmlfnlwc14zkgbgdf099x5crrf9cp9wda4p082";
      system = "floating-point-contractions";
      asd = "floating-point-contractions";
    });
    systems = [ "floating-point-contractions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  floating-point-test = (build-asdf-system {
    pname = "floating-point-test";
    version = "20141106-git";
    asds = [ "floating-point-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/floating-point/2014-11-06/floating-point-20141106-git.tgz";
      sha256 = "1bqslmykg04innaqlp369pyjh61isj8xgv2h6pm95gsrxnf6wf7s";
      system = "floating-point-test";
      asd = "floating-point-test";
    });
    systems = [ "floating-point-test" ];
    lispLibs = [ (getAttr "floating-point" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flow = (build-asdf-system {
    pname = "flow";
    version = "20200610-git";
    asds = [ "flow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flow/2020-06-10/flow-20200610-git.tgz";
      sha256 = "0ysw1kwiqlf8kzllhnz8v3q40dmvwf83fzq8bfkbmwy5hfjh3pxp";
      system = "flow";
      asd = "flow";
    });
    systems = [ "flow" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "documentation-utils" self) ];
    meta = {};
  });
  flow-visualizer = (build-asdf-system {
    pname = "flow-visualizer";
    version = "20200610-git";
    asds = [ "flow-visualizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flow/2020-06-10/flow-20200610-git.tgz";
      sha256 = "0ysw1kwiqlf8kzllhnz8v3q40dmvwf83fzq8bfkbmwy5hfjh3pxp";
      system = "flow-visualizer";
      asd = "flow-visualizer";
    });
    systems = [ "flow-visualizer" ];
    lispLibs = [ (getAttr "flow" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flute = (build-asdf-system {
    pname = "flute";
    version = "20180831-git";
    asds = [ "flute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flute/2018-08-31/flute-20180831-git.tgz";
      sha256 = "0q8jhp040cvpppyn820mm6a550yfxyr1lar298x13c42mm807f4f";
      system = "flute";
      asd = "flute";
    });
    systems = [ "flute" ];
    lispLibs = [ (getAttr "assoc-utils" self) (getAttr "let-over-lambda" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  flute-test = (build-asdf-system {
    pname = "flute-test";
    version = "20180831-git";
    asds = [ "flute-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/flute/2018-08-31/flute-20180831-git.tgz";
      sha256 = "0q8jhp040cvpppyn820mm6a550yfxyr1lar298x13c42mm807f4f";
      system = "flute-test";
      asd = "flute-test";
    });
    systems = [ "flute-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "flute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fmarshal = (build-asdf-system {
    pname = "fmarshal";
    version = "20130720-git";
    asds = [ "fmarshal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marshal/2013-07-20/marshal-20130720-git.tgz";
      sha256 = "1c0hcf7i9kzgbmayhmcjg0kv5966yqlimvj67gl4mzvwhbdkc2nf";
      system = "fmarshal";
      asd = "fmarshal";
    });
    systems = [ "fmarshal" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fmarshal-test = (build-asdf-system {
    pname = "fmarshal-test";
    version = "20130720-git";
    asds = [ "fmarshal-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marshal/2013-07-20/marshal-20130720-git.tgz";
      sha256 = "1c0hcf7i9kzgbmayhmcjg0kv5966yqlimvj67gl4mzvwhbdkc2nf";
      system = "fmarshal-test";
      asd = "fmarshal-test";
    });
    systems = [ "fmarshal-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "fmarshal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fmt = (build-asdf-system {
    pname = "fmt";
    version = "20220331-git";
    asds = [ "fmt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt";
      asd = "fmt";
    });
    systems = [ "fmt" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fmt-test = (build-asdf-system {
    pname = "fmt-test";
    version = "20220331-git";
    asds = [ "fmt-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt-test";
      asd = "fmt-test";
    });
    systems = [ "fmt-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "fmt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fmt-time = (build-asdf-system {
    pname = "fmt-time";
    version = "20220331-git";
    asds = [ "fmt-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fmt/2022-03-31/fmt-20220331-git.tgz";
      sha256 = "078y5yig5fw0jcsjjabaq7dlyxsd10w5k80ywx6gbm0j88al3fzp";
      system = "fmt-time";
      asd = "fmt-time";
    });
    systems = [ "fmt-time" ];
    lispLibs = [ (getAttr "fmt" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fn = (build-asdf-system {
    pname = "fn";
    version = "20171019-git";
    asds = [ "fn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fn/2017-10-19/fn-20171019-git.tgz";
      sha256 = "0yyp9z6iwx476whz0n1rpjznjyqqhlylhzwpgg5xx92lxmskl752";
      system = "fn";
      asd = "fn";
    });
    systems = [ "fn" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {};
  });
  fof = (build-asdf-system {
    pname = "fof";
    version = "20211230-git";
    asds = [ "fof" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fof/2021-12-30/fof-20211230-git.tgz";
      sha256 = "0ipy51q2fw03xk9rqcyzbq2b9c32npc1gl3c53rdjywpak7zwwg6";
      system = "fof";
      asd = "fof";
    });
    systems = [ "fof" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "local-time" self) (getAttr "magicffi" self) (getAttr "named-readtables" self) (getAttr "osicat" self) (getAttr "serapeum" self) (getAttr "str" self) (getAttr "trivia" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio = (build-asdf-system {
    pname = "folio";
    version = "20130128-git";
    asds = [ "folio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio";
      asd = "folio";
    });
    systems = [ "folio" ];
    lispLibs = [ (getAttr "folio_dot_as" self) (getAttr "folio_dot_boxes" self) (getAttr "folio_dot_collections" self) (getAttr "folio_dot_functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio_dot_as = (build-asdf-system {
    pname = "folio.as";
    version = "20130128-git";
    asds = [ "folio.as" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.as";
      asd = "folio.as";
    });
    systems = [ "folio.as" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio_dot_boxes = (build-asdf-system {
    pname = "folio.boxes";
    version = "20130128-git";
    asds = [ "folio.boxes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.boxes";
      asd = "folio.boxes";
    });
    systems = [ "folio.boxes" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio_dot_collections = (build-asdf-system {
    pname = "folio.collections";
    version = "20130128-git";
    asds = [ "folio.collections" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.collections";
      asd = "folio.collections";
    });
    systems = [ "folio.collections" ];
    lispLibs = [ (getAttr "folio_dot_as" self) (getAttr "folio_dot_functions" self) (getAttr "fset" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio_dot_functions = (build-asdf-system {
    pname = "folio.functions";
    version = "20130128-git";
    asds = [ "folio.functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio/2013-01-28/folio-20130128-git.tgz";
      sha256 = "061kryjclnkp60r8vhcpzy9q0k755p1jc1vp4vj13k7piwr1bj64";
      system = "folio.functions";
      asd = "folio.functions";
    });
    systems = [ "folio.functions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2 = (build-asdf-system {
    pname = "folio2";
    version = "20191007-git";
    asds = [ "folio2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2";
      asd = "folio2";
    });
    systems = [ "folio2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "folio2-as" self) (getAttr "folio2-as-syntax" self) (getAttr "folio2-boxes" self) (getAttr "folio2-functions" self) (getAttr "folio2-functions-syntax" self) (getAttr "folio2-make" self) (getAttr "folio2-maps" self) (getAttr "folio2-maps-syntax" self) (getAttr "folio2-pairs" self) (getAttr "folio2-sequences" self) (getAttr "folio2-sequences-syntax" self) (getAttr "folio2-series" self) (getAttr "folio2-taps" self) (getAttr "fset" self) (getAttr "series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-as = (build-asdf-system {
    pname = "folio2-as";
    version = "20191007-git";
    asds = [ "folio2-as" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as";
      asd = "folio2-as";
    });
    systems = [ "folio2-as" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-as-syntax = (build-asdf-system {
    pname = "folio2-as-syntax";
    version = "20191007-git";
    asds = [ "folio2-as-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as-syntax";
      asd = "folio2-as-syntax";
    });
    systems = [ "folio2-as-syntax" ];
    lispLibs = [ (getAttr "folio2-as" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-as-tests = (build-asdf-system {
    pname = "folio2-as-tests";
    version = "20191007-git";
    asds = [ "folio2-as-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-as-tests";
      asd = "folio2-as-tests";
    });
    systems = [ "folio2-as-tests" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-as-syntax" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-boxes = (build-asdf-system {
    pname = "folio2-boxes";
    version = "20191007-git";
    asds = [ "folio2-boxes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-boxes";
      asd = "folio2-boxes";
    });
    systems = [ "folio2-boxes" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-make" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-boxes-tests = (build-asdf-system {
    pname = "folio2-boxes-tests";
    version = "20191007-git";
    asds = [ "folio2-boxes-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-boxes-tests";
      asd = "folio2-boxes-tests";
    });
    systems = [ "folio2-boxes-tests" ];
    lispLibs = [ (getAttr "folio2-boxes" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-functions = (build-asdf-system {
    pname = "folio2-functions";
    version = "20191007-git";
    asds = [ "folio2-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions";
      asd = "folio2-functions";
    });
    systems = [ "folio2-functions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "folio2-as" self) (getAttr "folio2-make" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-functions-syntax = (build-asdf-system {
    pname = "folio2-functions-syntax";
    version = "20191007-git";
    asds = [ "folio2-functions-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions-syntax";
      asd = "folio2-functions-syntax";
    });
    systems = [ "folio2-functions-syntax" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "folio2-functions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-functions-tests = (build-asdf-system {
    pname = "folio2-functions-tests";
    version = "20191007-git";
    asds = [ "folio2-functions-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-functions-tests";
      asd = "folio2-functions-tests";
    });
    systems = [ "folio2-functions-tests" ];
    lispLibs = [ (getAttr "folio2-functions" self) (getAttr "folio2-functions-syntax" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-make = (build-asdf-system {
    pname = "folio2-make";
    version = "20191007-git";
    asds = [ "folio2-make" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-make";
      asd = "folio2-make";
    });
    systems = [ "folio2-make" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-make-tests = (build-asdf-system {
    pname = "folio2-make-tests";
    version = "20191007-git";
    asds = [ "folio2-make-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-make-tests";
      asd = "folio2-make-tests";
    });
    systems = [ "folio2-make-tests" ];
    lispLibs = [ (getAttr "folio2-make" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-maps = (build-asdf-system {
    pname = "folio2-maps";
    version = "20191007-git";
    asds = [ "folio2-maps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps";
      asd = "folio2-maps";
    });
    systems = [ "folio2-maps" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-make" self) (getAttr "fset" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-maps-syntax = (build-asdf-system {
    pname = "folio2-maps-syntax";
    version = "20191007-git";
    asds = [ "folio2-maps-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps-syntax";
      asd = "folio2-maps-syntax";
    });
    systems = [ "folio2-maps-syntax" ];
    lispLibs = [ (getAttr "folio2-maps" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-maps-tests = (build-asdf-system {
    pname = "folio2-maps-tests";
    version = "20191007-git";
    asds = [ "folio2-maps-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-maps-tests";
      asd = "folio2-maps-tests";
    });
    systems = [ "folio2-maps-tests" ];
    lispLibs = [ (getAttr "folio2-maps" self) (getAttr "folio2-maps-syntax" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-pairs = (build-asdf-system {
    pname = "folio2-pairs";
    version = "20191007-git";
    asds = [ "folio2-pairs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-pairs";
      asd = "folio2-pairs";
    });
    systems = [ "folio2-pairs" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-make" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-pairs-tests = (build-asdf-system {
    pname = "folio2-pairs-tests";
    version = "20191007-git";
    asds = [ "folio2-pairs-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-pairs-tests";
      asd = "folio2-pairs-tests";
    });
    systems = [ "folio2-pairs-tests" ];
    lispLibs = [ (getAttr "folio2-pairs" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-sequences = (build-asdf-system {
    pname = "folio2-sequences";
    version = "20191007-git";
    asds = [ "folio2-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences";
      asd = "folio2-sequences";
    });
    systems = [ "folio2-sequences" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-make" self) (getAttr "folio2-pairs" self) (getAttr "fset" self) (getAttr "series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-sequences-syntax = (build-asdf-system {
    pname = "folio2-sequences-syntax";
    version = "20191007-git";
    asds = [ "folio2-sequences-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences-syntax";
      asd = "folio2-sequences-syntax";
    });
    systems = [ "folio2-sequences-syntax" ];
    lispLibs = [ (getAttr "folio2-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-sequences-tests = (build-asdf-system {
    pname = "folio2-sequences-tests";
    version = "20191007-git";
    asds = [ "folio2-sequences-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-sequences-tests";
      asd = "folio2-sequences-tests";
    });
    systems = [ "folio2-sequences-tests" ];
    lispLibs = [ (getAttr "folio2-sequences" self) (getAttr "folio2-sequences-syntax" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-series = (build-asdf-system {
    pname = "folio2-series";
    version = "20191007-git";
    asds = [ "folio2-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-series";
      asd = "folio2-series";
    });
    systems = [ "folio2-series" ];
    lispLibs = [ (getAttr "folio2-as" self) (getAttr "folio2-make" self) (getAttr "folio2-pairs" self) (getAttr "folio2-sequences" self) (getAttr "fset" self) (getAttr "series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-series-tests = (build-asdf-system {
    pname = "folio2-series-tests";
    version = "20191007-git";
    asds = [ "folio2-series-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-series-tests";
      asd = "folio2-series-tests";
    });
    systems = [ "folio2-series-tests" ];
    lispLibs = [ (getAttr "folio2-series" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-taps = (build-asdf-system {
    pname = "folio2-taps";
    version = "20191007-git";
    asds = [ "folio2-taps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-taps";
      asd = "folio2-taps";
    });
    systems = [ "folio2-taps" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "folio2-as" self) (getAttr "folio2-make" self) (getAttr "folio2-maps" self) (getAttr "folio2-pairs" self) (getAttr "folio2-sequences" self) (getAttr "folio2-series" self) (getAttr "fset" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-taps-tests = (build-asdf-system {
    pname = "folio2-taps-tests";
    version = "20191007-git";
    asds = [ "folio2-taps-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-taps-tests";
      asd = "folio2-taps-tests";
    });
    systems = [ "folio2-taps-tests" ];
    lispLibs = [ (getAttr "folio2-taps" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  folio2-tests = (build-asdf-system {
    pname = "folio2-tests";
    version = "20191007-git";
    asds = [ "folio2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/folio2/2019-10-07/folio2-20191007-git.tgz";
      sha256 = "0h214bhbxk229p4pyb6cb85gx6jvhzk2brbzhwhixprznilz6shd";
      system = "folio2-tests";
      asd = "folio2-tests";
    });
    systems = [ "folio2-tests" ];
    lispLibs = [ (getAttr "folio2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  font-discovery = (build-asdf-system {
    pname = "font-discovery";
    version = "20221106-git";
    asds = [ "font-discovery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/font-discovery/2022-11-06/font-discovery-20221106-git.tgz";
      sha256 = "1p9wkwc23rnif8vcjaj5ih1fmr5g57sidqjlz08qw6k0z4f6bia1";
      system = "font-discovery";
      asd = "font-discovery";
    });
    systems = [ "font-discovery" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  foo-wild = (build-asdf-system {
    pname = "foo-wild";
    version = "20210531-git";
    asds = [ "foo-wild" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wild-package-inferred-system/2021-05-31/wild-package-inferred-system-20210531-git.tgz";
      sha256 = "0sp3j3i83aqyq9bl3djs490nilryi9sh1wjbcqd9z94d9wfbfz80";
      system = "foo-wild";
      asd = "foo-wild";
    });
    systems = [ "foo-wild" ];
    lispLibs = [ (getAttr "wild-package-inferred-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  for = (build-asdf-system {
    pname = "for";
    version = "20230618-git";
    asds = [ "for" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/for/2023-06-18/for-20230618-git.tgz";
      sha256 = "1flrns85d18y3fp84x64dyc43fvm4wjsyig5brh7540j58j0ky8d";
      system = "for";
      asd = "for";
    });
    systems = [ "for" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "form-fiddle" self) (getAttr "lambda-fiddle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  foreign-array = (build-asdf-system {
    pname = "foreign-array";
    version = "master-df14cb8c-git";
    asds = [ "foreign-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "foreign-array";
      asd = "foreign-array";
    });
    systems = [ "foreign-array" ];
    lispLibs = [ (getAttr "antik-base" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "static-vectors" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fork-future = (build-asdf-system {
    pname = "fork-future";
    version = "20220220-git";
    asds = [ "fork-future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "fork-future";
      asd = "fork-future";
    });
    systems = [ "fork-future" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-store" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  form-fiddle = (build-asdf-system {
    pname = "form-fiddle";
    version = "20190710-git";
    asds = [ "form-fiddle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/form-fiddle/2019-07-10/form-fiddle-20190710-git.tgz";
      sha256 = "041iznc9mpfyrl0sv5893ys9pbb2pvbn9g3clarqi7gsfj483jln";
      system = "form-fiddle";
      asd = "form-fiddle";
    });
    systems = [ "form-fiddle" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {};
  });
  format-string-builder = (build-asdf-system {
    pname = "format-string-builder";
    version = "20170124-git";
    asds = [ "format-string-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/format-string-builder/2017-01-24/format-string-builder-20170124-git.tgz";
      sha256 = "1266w5wynfhamxdf8ms2236m202f6982fd9ph8fs98nqccq2pcac";
      system = "format-string-builder";
      asd = "format-string-builder";
    });
    systems = [ "format-string-builder" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  formlets = (build-asdf-system {
    pname = "formlets";
    version = "20161204-git";
    asds = [ "formlets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/formlets/2016-12-04/formlets-20161204-git.tgz";
      sha256 = "0r2afi5lwzxfb8xylx9cs44wqhla4b50k21nzg2dxn7z8m6yspfn";
      system = "formlets";
      asd = "formlets";
    });
    systems = [ "formlets" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  formlets-test = (build-asdf-system {
    pname = "formlets-test";
    version = "20161204-git";
    asds = [ "formlets-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/formlets/2016-12-04/formlets-20161204-git.tgz";
      sha256 = "0r2afi5lwzxfb8xylx9cs44wqhla4b50k21nzg2dxn7z8m6yspfn";
      system = "formlets-test";
      asd = "formlets-test";
    });
    systems = [ "formlets-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "drakma" self) (getAttr "formlets" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fprog = (build-asdf-system {
    pname = "fprog";
    version = "20181210-git";
    asds = [ "fprog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cambl/2018-12-10/cambl-20181210-git.tgz";
      sha256 = "103mry04j2k9vznsxm7wcvccgxkil92cdrv52miwcmxl8daa4jiz";
      system = "fprog";
      asd = "fprog";
    });
    systems = [ "fprog" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fps-independent-timestep = (build-asdf-system {
    pname = "fps-independent-timestep";
    version = "20200427-git";
    asds = [ "fps-independent-timestep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "fps-independent-timestep";
      asd = "fps-independent-timestep";
    });
    systems = [ "fps-independent-timestep" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fred = (build-asdf-system {
    pname = "fred";
    version = "20150923-git";
    asds = [ "fred" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fred/2015-09-23/fred-20150923-git.tgz";
      sha256 = "0qn2rd67haz4pvvv4yp2yvbvjhficv8xjm7ijg0r34gxllm6i373";
      system = "fred";
      asd = "fred";
    });
    systems = [ "fred" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  freebsd-ffi = (build-asdf-system {
    pname = "freebsd-ffi";
    version = "20220707-git";
    asds = [ "freebsd-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freebsd-ffi/2022-07-07/freebsd-ffi-20220707-git.tgz";
      sha256 = "0mhbkigxmkjn5pdn58pn80d1wv49zd4vq0i59pnj6wir1fnr7mva";
      system = "freebsd-ffi";
      asd = "freebsd-ffi";
    });
    systems = [ "freebsd-ffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  freebsd-sysctl = (build-asdf-system {
    pname = "freebsd-sysctl";
    version = "20210228-git";
    asds = [ "freebsd-sysctl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freebsd-sysctl/2021-02-28/freebsd-sysctl-20210228-git.tgz";
      sha256 = "1gzqiqz0pi273ia2q61bhr908ymbl8cll5v2h8lkicr9pff37g91";
      system = "freebsd-sysctl";
      asd = "freebsd-sysctl";
    });
    systems = [ "freebsd-sysctl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  freesound = (build-asdf-system {
    pname = "freesound";
    version = "20210411-git";
    asds = [ "freesound" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/freesound/2021-04-11/freesound-20210411-git.tgz";
      sha256 = "1nsmbz7qx9wn86860zlnw75sdgpr8qfzgqfbwxggc3zr7p83kric";
      system = "freesound";
      asd = "freesound";
    });
    systems = [ "freesound" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "trivial-open-browser" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fresnel = (build-asdf-system {
    pname = "fresnel";
    version = "20230618-git";
    asds = [ "fresnel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fresnel/2023-06-18/fresnel-20230618-git.tgz";
      sha256 = "0rzi3pz1cjf8m0fmj7dg7wxbbcmxnbx75hfp9hbmrm9yqsjc4khv";
      system = "fresnel";
      asd = "fresnel";
    });
    systems = [ "fresnel" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" self) (getAttr "gt" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  froute = (build-asdf-system {
    pname = "froute";
    version = "20180711-git";
    asds = [ "froute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/froute/2018-07-11/froute-20180711-git.tgz";
      sha256 = "1q7xzgn7g5ky1d8m121r8hskcg4gqpripr791k03y7dz5vkfj14x";
      system = "froute";
      asd = "froute";
    });
    systems = [ "froute" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  frpc = (build-asdf-system {
    pname = "frpc";
    version = "20151031-git";
    asds = [ "frpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc";
      asd = "frpc";
    });
    systems = [ "frpc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "flexi-streams" self) (getAttr "glass" self) (getAttr "nibbles" self) (getAttr "pounds" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  frpc-des = (build-asdf-system {
    pname = "frpc-des";
    version = "20151031-git";
    asds = [ "frpc-des" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc-des";
      asd = "frpc";
    });
    systems = [ "frpc-des" ];
    lispLibs = [ (getAttr "frpc" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  frpc-gss = (build-asdf-system {
    pname = "frpc-gss";
    version = "20151031-git";
    asds = [ "frpc-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpc-gss";
      asd = "frpc";
    });
    systems = [ "frpc-gss" ];
    lispLibs = [ (getAttr "cerberus" self) (getAttr "frpc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  frpcgen = (build-asdf-system {
    pname = "frpcgen";
    version = "20151031-git";
    asds = [ "frpcgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/frpc/2015-10-31/frpc-20151031-git.tgz";
      sha256 = "0yac1q79kw1w1qd7zjgg912n780v318n2drzdimlv5n3bwd6pm2r";
      system = "frpcgen";
      asd = "frpcgen";
    });
    systems = [ "frpcgen" ];
    lispLibs = [ (getAttr "cl-lex" self) (getAttr "frpc" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fs-watcher = (build-asdf-system {
    pname = "fs-watcher";
    version = "20171130-git";
    asds = [ "fs-watcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fs-watcher/2017-11-30/fs-watcher-20171130-git.tgz";
      sha256 = "0fr2wb39609z4afk4w21vwnwi4g050x4gag2ykdx6hn9m65cp9db";
      system = "fs-watcher";
      asd = "fs-watcher";
    });
    systems = [ "fs-watcher" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "com_dot_gigamonkeys_dot_pathnames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fset = (build-asdf-system {
    pname = "fset";
    version = "20200925-git";
    asds = [ "fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fset/2020-09-25/fset-20200925-git.tgz";
      sha256 = "15285aacb0dlhvbrkc11yffp5x2zd1jvm77zz7rrpbdwqbafp8sy";
      system = "fset";
      asd = "fset";
    });
    systems = [ "fset" ];
    lispLibs = [ (getAttr "misc-extensions" self) (getAttr "mt19937" self) (getAttr "named-readtables" self) ];
    meta = {};
  });
  fsocket = (build-asdf-system {
    pname = "fsocket";
    version = "20211230-git";
    asds = [ "fsocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fsocket/2021-12-30/fsocket-20211230-git.tgz";
      sha256 = "18h3s4bv3243xbp0qdywn9kmqvx8zh9cscc9f6sfyxrz6xhymw6p";
      system = "fsocket";
      asd = "fsocket";
    });
    systems = [ "fsocket" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fsvd = (build-asdf-system {
    pname = "fsvd";
    version = "20131211-git";
    asds = [ "fsvd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fsvd/2013-12-11/fsvd-20131211-git.tgz";
      sha256 = "1m22g9x18ixjh5nylm56l5p67ryx9dbd3g6lyzvwk9nayjmqn7x5";
      system = "fsvd";
      asd = "fsvd";
    });
    systems = [ "fsvd" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ftp = (build-asdf-system {
    pname = "ftp";
    version = "20150608-http";
    asds = [ "ftp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ftp/2015-06-08/cl-ftp-20150608-http.tgz";
      sha256 = "1m955rjpaynybzmb9q631mll764hm06lydvhra50mfjj75ynwsvw";
      system = "ftp";
      asd = "ftp";
    });
    systems = [ "ftp" ];
    lispLibs = [ (getAttr "cl-ftp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fucc-generator = (build-asdf-system {
    pname = "fucc-generator";
    version = "v0.2.2";
    asds = [ "fucc-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fucc/2020-04-27/fucc-v0.2.2.tgz";
      sha256 = "10wznxw6yhkyh943xnm694innj13xdlmkx13pr8xwc6zdbdyb32k";
      system = "fucc-generator";
      asd = "fucc-generator";
    });
    systems = [ "fucc-generator" ];
    lispLibs = [ (getAttr "fucc-parser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fucc-parser = (build-asdf-system {
    pname = "fucc-parser";
    version = "v0.2.2";
    asds = [ "fucc-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fucc/2020-04-27/fucc-v0.2.2.tgz";
      sha256 = "10wznxw6yhkyh943xnm694innj13xdlmkx13pr8xwc6zdbdyb32k";
      system = "fucc-parser";
      asd = "fucc-parser";
    });
    systems = [ "fucc-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  function-cache = (build-asdf-system {
    pname = "function-cache";
    version = "20181210-git";
    asds = [ "function-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/function-cache/2018-12-10/function-cache-20181210-git.tgz";
      sha256 = "000vmd3f5rx5hs9nvphfric0gkzaadns31c6mxaslpv0k7pkrmc6";
      system = "function-cache";
      asd = "function-cache";
    });
    systems = [ "function-cache" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  function-cache-clsql = (build-asdf-system {
    pname = "function-cache-clsql";
    version = "20181210-git";
    asds = [ "function-cache-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/function-cache/2018-12-10/function-cache-20181210-git.tgz";
      sha256 = "000vmd3f5rx5hs9nvphfric0gkzaadns31c6mxaslpv0k7pkrmc6";
      system = "function-cache-clsql";
      asd = "function-cache-clsql";
    });
    systems = [ "function-cache-clsql" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-helper" self) (getAttr "function-cache" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  functional-geometry = (build-asdf-system {
    pname = "functional-geometry";
    version = "20230618-git";
    asds = [ "functional-geometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "functional-geometry";
      asd = "functional-geometry";
    });
    systems = [ "functional-geometry" ];
    lispLibs = [ (getAttr "clim-listener" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  functional-trees = (build-asdf-system {
    pname = "functional-trees";
    version = "20230618-git";
    asds = [ "functional-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/functional-trees/2023-06-18/functional-trees-20230618-git.tgz";
      sha256 = "1f1n95f9vnigb0m45p3mm0sacdc72ss1l2cg1m7fc8f996ayvqjw";
      system = "functional-trees";
      asd = "functional-trees";
    });
    systems = [ "functional-trees" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "cl-store" self) (getAttr "closer-mop" self) (getAttr "fset" self) (getAttr "iterate" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  funds = (build-asdf-system {
    pname = "funds";
    version = "20211020-git";
    asds = [ "funds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/funds/2021-10-20/funds-20211020-git.tgz";
      sha256 = "13y1jhvnpzrs9daz6f3z67w6h2y21ggb10j3j4vnc5p3m8i7ps4p";
      system = "funds";
      asd = "funds";
    });
    systems = [ "funds" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  future = (build-asdf-system {
    pname = "future";
    version = "20220220-git";
    asds = [ "future" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clml/2022-02-20/clml-20220220-git.tgz";
      sha256 = "0m3w59c74z3wdj1g26122svljiq192xhvmx7b2lkb7bxnf4778m1";
      system = "future";
      asd = "future";
    });
    systems = [ "future" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fuzzy-match = (build-asdf-system {
    pname = "fuzzy-match";
    version = "20210124-git";
    asds = [ "fuzzy-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fuzzy-match/2021-01-24/fuzzy-match-20210124-git.tgz";
      sha256 = "1lawndmzkl6f9sviy7ngn2s3xkc4akp8l505kvpslaz6qq0ayyqv";
      system = "fuzzy-match";
      asd = "fuzzy-match";
    });
    systems = [ "fuzzy-match" ];
    lispLibs = [ (getAttr "mk-string-metrics" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  fxml = (build-asdf-system {
    pname = "fxml";
    version = "20210228-git";
    asds = [ "fxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fxml/2021-02-28/fxml-20210228-git.tgz";
      sha256 = "1vxdb1cjjqi986f72bggnw1s4yzv12g4li7vn4y49b6lphshr8lm";
      system = "fxml";
      asd = "fxml";
    });
    systems = [ "fxml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "flexi-streams" self) (getAttr "named-readtables" self) (getAttr "quri" self) (getAttr "serapeum" self) (getAttr "split-sequence" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gadgets = (build-asdf-system {
    pname = "gadgets";
    version = "20220220-git";
    asds = [ "gadgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gadgets/2022-02-20/gadgets-20220220-git.tgz";
      sha256 = "0g06wb3dciri2q93x2dcf58x5r8gq2kb86fgd2w4pr5r1wxwd1sm";
      system = "gadgets";
      asd = "gadgets";
    });
    systems = [ "gadgets" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-hash-util" self) (getAttr "cl-utilities" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  garbage-pools = (build-asdf-system {
    pname = "garbage-pools";
    version = "20210124-git";
    asds = [ "garbage-pools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/garbage-pools/2021-01-24/garbage-pools-20210124-git.tgz";
      sha256 = "04jqwr6j138him6wc4nrwjzm4lvyj5j31xqab02nkf8h9hmsf5v1";
      system = "garbage-pools";
      asd = "garbage-pools";
    });
    systems = [ "garbage-pools" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  garbage-pools-test = (build-asdf-system {
    pname = "garbage-pools-test";
    version = "20210124-git";
    asds = [ "garbage-pools-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/garbage-pools/2021-01-24/garbage-pools-20210124-git.tgz";
      sha256 = "04jqwr6j138him6wc4nrwjzm4lvyj5j31xqab02nkf8h9hmsf5v1";
      system = "garbage-pools-test";
      asd = "garbage-pools-test";
    });
    systems = [ "garbage-pools-test" ];
    lispLibs = [ (getAttr "garbage-pools" self) (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  garten = (build-asdf-system {
    pname = "garten";
    version = "20211020-git";
    asds = [ "garten" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "garten";
      asd = "garten";
    });
    systems = [ "garten" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gcm = (build-asdf-system {
    pname = "gcm";
    version = "20141217-git";
    asds = [ "gcm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gcm/2014-12-17/gcm-20141217-git.tgz";
      sha256 = "1xnm1cj417d9syb634zi9w90c2191gxjrixa724s4h3hvj70y0ff";
      system = "gcm";
      asd = "gcm";
    });
    systems = [ "gcm" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "com_dot_gigamonkeys_dot_json" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geco = (build-asdf-system {
    pname = "geco";
    version = "20210228-git";
    asds = [ "geco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geco/2021-02-28/geco-20210228-git.tgz";
      sha256 = "1ncaf9ab7jz59zmga0p97blsjjb1m6db0qih57wipfhqdb5ylz17";
      system = "geco";
      asd = "geco";
    });
    systems = [ "geco" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gendl = (build-asdf-system {
    pname = "gendl";
    version = "master-5b2475f9-git";
    asds = [ "gendl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "gendl";
      asd = "gendl";
    });
    systems = [ "gendl" ];
    lispLibs = [ (getAttr "cl-lite" self) (getAttr "geysr" self) (getAttr "gwl-graphics" self) (getAttr "robot" self) (getAttr "yadd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gendl-asdf = (build-asdf-system {
    pname = "gendl-asdf";
    version = "master-5b2475f9-git";
    asds = [ "gendl-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "gendl-asdf";
      asd = "gendl-asdf";
    });
    systems = [ "gendl-asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  general-accumulator = (build-asdf-system {
    pname = "general-accumulator";
    version = "20211209-git";
    asds = [ "general-accumulator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-general-accumulator/2021-12-09/cl-general-accumulator-20211209-git.tgz";
      sha256 = "14ybsk1ahgya67clspacqij1lvs5bzv07rdq60nhgqsbc6s56j9g";
      system = "general-accumulator";
      asd = "general-accumulator";
    });
    systems = [ "general-accumulator" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generalized-reference = (build-asdf-system {
    pname = "generalized-reference";
    version = "20220707-git";
    asds = [ "generalized-reference" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generalized-reference/2022-07-07/generalized-reference-20220707-git.tgz";
      sha256 = "0q1cm52lijn4p6bjzx2yr2kwy729lcj3f6lsanbnbjw56xgp4cpb";
      system = "generalized-reference";
      asd = "generalized-reference";
    });
    systems = [ "generalized-reference" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "serapeum" self) (getAttr "series" self) (getAttr "split-sequence" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generators = (build-asdf-system {
    pname = "generators";
    version = "20130615-git";
    asds = [ "generators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generators/2013-06-15/generators-20130615-git.tgz";
      sha256 = "1y8jlvv5c3av2ww33rwm2kh9sxmhfykhz235b33fbjpdxpx1r9bs";
      system = "generators";
      asd = "generators";
    });
    systems = [ "generators" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-cont" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl = (build-asdf-system {
    pname = "generic-cl";
    version = "20211020-git";
    asds = [ "generic-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl";
      asd = "generic-cl";
    });
    systems = [ "generic-cl" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "generic-cl_dot_arithmetic" self) (getAttr "generic-cl_dot_collector" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_lazy-seq" self) (getAttr "generic-cl_dot_map" self) (getAttr "generic-cl_dot_math" self) (getAttr "generic-cl_dot_object" self) (getAttr "generic-cl_dot_sequence" self) (getAttr "generic-cl_dot_set" self) ];
    meta = {};
  });
  generic-cl_dot_arithmetic = (build-asdf-system {
    pname = "generic-cl.arithmetic";
    version = "20211020-git";
    asds = [ "generic-cl.arithmetic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.arithmetic";
      asd = "generic-cl.arithmetic";
    });
    systems = [ "generic-cl.arithmetic" ];
    lispLibs = [ (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_internal" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_collector = (build-asdf-system {
    pname = "generic-cl.collector";
    version = "20211020-git";
    asds = [ "generic-cl.collector" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.collector";
      asd = "generic-cl.collector";
    });
    systems = [ "generic-cl.collector" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_object" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_comparison = (build-asdf-system {
    pname = "generic-cl.comparison";
    version = "20211020-git";
    asds = [ "generic-cl.comparison" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.comparison";
      asd = "generic-cl.comparison";
    });
    systems = [ "generic-cl.comparison" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "generic-cl_dot_internal" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_container = (build-asdf-system {
    pname = "generic-cl.container";
    version = "20211020-git";
    asds = [ "generic-cl.container" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.container";
      asd = "generic-cl.container";
    });
    systems = [ "generic-cl.container" ];
    lispLibs = [ (getAttr "generic-cl_dot_object" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_internal = (build-asdf-system {
    pname = "generic-cl.internal";
    version = "20211020-git";
    asds = [ "generic-cl.internal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.internal";
      asd = "generic-cl.internal";
    });
    systems = [ "generic-cl.internal" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-form-types" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_iterator = (build-asdf-system {
    pname = "generic-cl.iterator";
    version = "20211020-git";
    asds = [ "generic-cl.iterator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.iterator";
      asd = "generic-cl.iterator";
    });
    systems = [ "generic-cl.iterator" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "cl-form-types" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_internal" self) (getAttr "generic-cl_dot_object" self) (getAttr "parse-declarations-1_dot_0" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_lazy-seq = (build-asdf-system {
    pname = "generic-cl.lazy-seq";
    version = "20211020-git";
    asds = [ "generic-cl.lazy-seq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.lazy-seq";
      asd = "generic-cl.lazy-seq";
    });
    systems = [ "generic-cl.lazy-seq" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "arrows" self) (getAttr "cl-custom-hash-table" self) (getAttr "generic-cl_dot_collector" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_map" self) (getAttr "generic-cl_dot_object" self) (getAttr "generic-cl_dot_sequence" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_map = (build-asdf-system {
    pname = "generic-cl.map";
    version = "20211020-git";
    asds = [ "generic-cl.map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.map";
      asd = "generic-cl.map";
    });
    systems = [ "generic-cl.map" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "cl-custom-hash-table" self) (getAttr "generic-cl_dot_collector" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_internal" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_object" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_math = (build-asdf-system {
    pname = "generic-cl.math";
    version = "20211020-git";
    asds = [ "generic-cl.math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.math";
      asd = "generic-cl.math";
    });
    systems = [ "generic-cl.math" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "generic-cl_dot_arithmetic" self) (getAttr "static-dispatch" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_object = (build-asdf-system {
    pname = "generic-cl.object";
    version = "20211020-git";
    asds = [ "generic-cl.object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.object";
      asd = "generic-cl.object";
    });
    systems = [ "generic-cl.object" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arrows" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_sequence = (build-asdf-system {
    pname = "generic-cl.sequence";
    version = "20211020-git";
    asds = [ "generic-cl.sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.sequence";
      asd = "generic-cl.sequence";
    });
    systems = [ "generic-cl.sequence" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "cl-custom-hash-table" self) (getAttr "cl-form-types" self) (getAttr "generic-cl_dot_collector" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_internal" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_map" self) (getAttr "generic-cl_dot_object" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_set = (build-asdf-system {
    pname = "generic-cl.set";
    version = "20211020-git";
    asds = [ "generic-cl.set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.set";
      asd = "generic-cl.set";
    });
    systems = [ "generic-cl.set" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "generic-cl_dot_arithmetic" self) (getAttr "generic-cl_dot_collector" self) (getAttr "generic-cl_dot_comparison" self) (getAttr "generic-cl_dot_container" self) (getAttr "generic-cl_dot_iterator" self) (getAttr "generic-cl_dot_map" self) (getAttr "generic-cl_dot_object" self) (getAttr "generic-cl_dot_sequence" self) (getAttr "static-dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-cl_dot_util = (build-asdf-system {
    pname = "generic-cl.util";
    version = "20211020-git";
    asds = [ "generic-cl.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-cl/2021-10-20/generic-cl-20211020-git.tgz";
      sha256 = "0glvig5jsyc4735n9sz6adp48lpfcdajhbmgggmxq8pb9j2cab7q";
      system = "generic-cl.util";
      asd = "generic-cl.util";
    });
    systems = [ "generic-cl.util" ];
    lispLibs = [ (getAttr "generic-cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-comparability = (build-asdf-system {
    pname = "generic-comparability";
    version = "20180131-git";
    asds = [ "generic-comparability" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-comparability/2018-01-31/generic-comparability-20180131-git.tgz";
      sha256 = "01ma0cwirxarwwmdwflnh8kmysmr2smh5kyvzhb2074ljxg8yq2p";
      system = "generic-comparability";
      asd = "generic-comparability";
    });
    systems = [ "generic-comparability" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-comparability-test = (build-asdf-system {
    pname = "generic-comparability-test";
    version = "20180131-git";
    asds = [ "generic-comparability-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-comparability/2018-01-31/generic-comparability-20180131-git.tgz";
      sha256 = "01ma0cwirxarwwmdwflnh8kmysmr2smh5kyvzhb2074ljxg8yq2p";
      system = "generic-comparability-test";
      asd = "generic-comparability";
    });
    systems = [ "generic-comparability-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiveam" self) (getAttr "generic-comparability" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-sequences = (build-asdf-system {
    pname = "generic-sequences";
    version = "20150709-git";
    asds = [ "generic-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences";
      asd = "generic-sequences";
    });
    systems = [ "generic-sequences" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-sequences-cont = (build-asdf-system {
    pname = "generic-sequences-cont";
    version = "20150709-git";
    asds = [ "generic-sequences-cont" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-cont";
      asd = "generic-sequences-cont";
    });
    systems = [ "generic-sequences-cont" ];
    lispLibs = [ (getAttr "cl-cont" self) (getAttr "generic-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-sequences-iterate = (build-asdf-system {
    pname = "generic-sequences-iterate";
    version = "20150709-git";
    asds = [ "generic-sequences-iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-iterate";
      asd = "generic-sequences-iterate";
    });
    systems = [ "generic-sequences-iterate" ];
    lispLibs = [ (getAttr "generic-sequences" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-sequences-stream = (build-asdf-system {
    pname = "generic-sequences-stream";
    version = "20150709-git";
    asds = [ "generic-sequences-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-stream";
      asd = "generic-sequences-stream";
    });
    systems = [ "generic-sequences-stream" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "generic-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  generic-sequences-test = (build-asdf-system {
    pname = "generic-sequences-test";
    version = "20150709-git";
    asds = [ "generic-sequences-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/generic-sequences/2015-07-09/generic-sequences-20150709-git.tgz";
      sha256 = "09kr0x4kx634rhslal6z2isnbs7v8rn5ic3pvxa3w1mm37lxx7h3";
      system = "generic-sequences-test";
      asd = "generic-sequences-test";
    });
    systems = [ "generic-sequences-test" ];
    lispLibs = [ (getAttr "generic-sequences" self) (getAttr "generic-sequences-cont" self) (getAttr "generic-sequences-iterate" self) (getAttr "generic-sequences-stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva = (build-asdf-system {
    pname = "geneva";
    version = "20161204-git";
    asds = [ "geneva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva";
      asd = "geneva";
    });
    systems = [ "geneva" ];
    lispLibs = [ (getAttr "named-readtables" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-cl = (build-asdf-system {
    pname = "geneva-cl";
    version = "20161204-git";
    asds = [ "geneva-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-cl";
      asd = "geneva-cl";
    });
    systems = [ "geneva-cl" ];
    lispLibs = [ (getAttr "geneva" self) (getAttr "geneva-mk2" self) (getAttr "named-readtables" self) (getAttr "split-sequence" self) (getAttr "trivial-documentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-html = (build-asdf-system {
    pname = "geneva-html";
    version = "20161204-git";
    asds = [ "geneva-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-html";
      asd = "geneva-html";
    });
    systems = [ "geneva-html" ];
    lispLibs = [ (getAttr "file-types" self) (getAttr "geneva" self) (getAttr "macro-html" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-latex = (build-asdf-system {
    pname = "geneva-latex";
    version = "20161204-git";
    asds = [ "geneva-latex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-latex";
      asd = "geneva-latex";
    });
    systems = [ "geneva-latex" ];
    lispLibs = [ (getAttr "geneva" self) (getAttr "geneva-tex" self) (getAttr "named-readtables" self) (getAttr "texp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-mk2 = (build-asdf-system {
    pname = "geneva-mk2";
    version = "20161204-git";
    asds = [ "geneva-mk2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-mk2";
      asd = "geneva-mk2";
    });
    systems = [ "geneva-mk2" ];
    lispLibs = [ (getAttr "geneva" self) (getAttr "maxpc" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-plain-text = (build-asdf-system {
    pname = "geneva-plain-text";
    version = "20161204-git";
    asds = [ "geneva-plain-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-plain-text";
      asd = "geneva-plain-text";
    });
    systems = [ "geneva-plain-text" ];
    lispLibs = [ (getAttr "geneva" self) (getAttr "geneva-mk2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geneva-tex = (build-asdf-system {
    pname = "geneva-tex";
    version = "20161204-git";
    asds = [ "geneva-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "geneva-tex";
      asd = "geneva-tex";
    });
    systems = [ "geneva-tex" ];
    lispLibs = [ (getAttr "file-types" self) (getAttr "geneva" self) (getAttr "named-readtables" self) (getAttr "texp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  genhash = (build-asdf-system {
    pname = "genhash";
    version = "20181210-git";
    asds = [ "genhash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/genhash/2018-12-10/genhash-20181210-git.tgz";
      sha256 = "1jnk1fix1zydhy0kn3cvlp6dy0241x7v8ahq001nlr6v152z1cwk";
      system = "genhash";
      asd = "genhash";
    });
    systems = [ "genhash" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geodesic = (build-asdf-system {
    pname = "geodesic";
    version = "20230618-git";
    asds = [ "geodesic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geodesic/2023-06-18/geodesic-20230618-git.tgz";
      sha256 = "13hvkf6r1y1yx0zqgkl8yg1fskfp7vpa9p34ar00s4ly432vbpxq";
      system = "geodesic";
      asd = "geodesic";
    });
    systems = [ "geodesic" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geom-base = (build-asdf-system {
    pname = "geom-base";
    version = "master-5b2475f9-git";
    asds = [ "geom-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "geom-base";
      asd = "geom-base";
    });
    systems = [ "geom-base" ];
    lispLibs = [ (getAttr "base" self) (getAttr "cl-pdf" self) (getAttr "cl-typesetting" self) (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geowkt = (build-asdf-system {
    pname = "geowkt";
    version = "20200610-git";
    asds = [ "geowkt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geowkt/2020-06-10/geowkt-20200610-git.tgz";
      sha256 = "02l8cb2k10j7k6fvhk9dpqmkxs6vb5w5nh3159w7drprvjqhfrjw";
      system = "geowkt";
      asd = "geowkt";
    });
    systems = [ "geowkt" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geowkt-update = (build-asdf-system {
    pname = "geowkt-update";
    version = "20200610-git";
    asds = [ "geowkt-update" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geowkt/2020-06-10/geowkt-20200610-git.tgz";
      sha256 = "02l8cb2k10j7k6fvhk9dpqmkxs6vb5w5nh3159w7drprvjqhfrjw";
      system = "geowkt-update";
      asd = "geowkt-update";
    });
    systems = [ "geowkt-update" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  getopt = (build-asdf-system {
    pname = "getopt";
    version = "20150923-git";
    asds = [ "getopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/getopt/2015-09-23/getopt-20150923-git.tgz";
      sha256 = "1liwzghx2swws84xlxnq756gbass0s916a9sq5mjfnlg3scbwcs3";
      system = "getopt";
      asd = "getopt";
    });
    systems = [ "getopt" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  getopt-tests = (build-asdf-system {
    pname = "getopt-tests";
    version = "20150923-git";
    asds = [ "getopt-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/getopt/2015-09-23/getopt-20150923-git.tgz";
      sha256 = "1liwzghx2swws84xlxnq756gbass0s916a9sq5mjfnlg3scbwcs3";
      system = "getopt-tests";
      asd = "getopt";
    });
    systems = [ "getopt-tests" ];
    lispLibs = [ (getAttr "getopt" self) (getAttr "ptester" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gettext = (build-asdf-system {
    pname = "gettext";
    version = "20171130-git";
    asds = [ "gettext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext";
      asd = "gettext";
    });
    systems = [ "gettext" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "split-sequence" self) (getAttr "yacc" self) ];
    meta = {};
  });
  gettext-example = (build-asdf-system {
    pname = "gettext-example";
    version = "20171130-git";
    asds = [ "gettext-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext-example";
      asd = "gettext-example";
    });
    systems = [ "gettext-example" ];
    lispLibs = [ (getAttr "gettext" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gettext-tests = (build-asdf-system {
    pname = "gettext-tests";
    version = "20171130-git";
    asds = [ "gettext-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gettext/2017-11-30/gettext-20171130-git.tgz";
      sha256 = "1pzhamgni6k5hi6bbvlb3dm659pcllrrr3vhhn3rpjn238zxg5ar";
      system = "gettext-tests";
      asd = "gettext-tests";
    });
    systems = [ "gettext-tests" ];
    lispLibs = [ (getAttr "gettext" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  geysr = (build-asdf-system {
    pname = "geysr";
    version = "master-5b2475f9-git";
    asds = [ "geysr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "geysr";
      asd = "geysr";
    });
    systems = [ "geysr" ];
    lispLibs = [ (getAttr "gendl-asdf" self) (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  git-file-history = (build-asdf-system {
    pname = "git-file-history";
    version = "20160825-git";
    asds = [ "git-file-history" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/git-file-history/2016-08-25/git-file-history-20160825-git.tgz";
      sha256 = "00kdawcy3mhljv04xpx5n7l2s21qdpbm8i9avjdqbxvfc5j05bq8";
      system = "git-file-history";
      asd = "git-file-history";
    });
    systems = [ "git-file-history" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "legit" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  git-file-history-test = (build-asdf-system {
    pname = "git-file-history-test";
    version = "20160825-git";
    asds = [ "git-file-history-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/git-file-history/2016-08-25/git-file-history-20160825-git.tgz";
      sha256 = "00kdawcy3mhljv04xpx5n7l2s21qdpbm8i9avjdqbxvfc5j05bq8";
      system = "git-file-history-test";
      asd = "git-file-history-test";
    });
    systems = [ "git-file-history-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "git-file-history" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  github-api-cl = (build-asdf-system {
    pname = "github-api-cl";
    version = "20221106-git";
    asds = [ "github-api-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/github-api-cl/2022-11-06/github-api-cl-20221106-git.tgz";
      sha256 = "1f7hgncmi7d5chvlixhigysx68bchdcr2hh54iwlpfk8p3an7gwz";
      system = "github-api-cl";
      asd = "github-api-cl";
    });
    systems = [ "github-api-cl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi-grovel" self) (getAttr "cl-base64" self) (getAttr "clack" self) (getAttr "dexador" self) (getAttr "str" self) (getAttr "trivial-features" self) (getAttr "woo" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  github-gist-api-cl = (build-asdf-system {
    pname = "github-gist-api-cl";
    version = "20221106-git";
    asds = [ "github-gist-api-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/github-api-cl/2022-11-06/github-api-cl-20221106-git.tgz";
      sha256 = "1f7hgncmi7d5chvlixhigysx68bchdcr2hh54iwlpfk8p3an7gwz";
      system = "github-gist-api-cl";
      asd = "github-gist-api-cl";
    });
    systems = [ "github-gist-api-cl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi-grovel" self) (getAttr "cl-base64" self) (getAttr "clack" self) (getAttr "dexador" self) (getAttr "github-api-cl" self) (getAttr "str" self) (getAttr "trivial-features" self) (getAttr "woo" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glacier = (build-asdf-system {
    pname = "glacier";
    version = "20230214-git";
    asds = [ "glacier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glacier/2023-02-14/glacier-20230214-git.tgz";
      sha256 = "1h66cd3bn3n8yjd922xsvv0r668cm82106nm2k3fnll67apazlwi";
      system = "glacier";
      asd = "glacier";
    });
    systems = [ "glacier" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "simple-config" self) (getAttr "str" self) (getAttr "tooter" self) (getAttr "websocket-driver" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glad-blob = (build-asdf-system {
    pname = "glad-blob";
    version = "stable-git";
    asds = [ "glad-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glad-blob/2020-10-16/glad-blob-stable-git.tgz";
      sha256 = "19vp7nyf4kxhczi8i2w47lvipk1i4psrxlpk4nvbdh97vc12k5a7";
      system = "glad-blob";
      asd = "glad-blob";
    });
    systems = [ "glad-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glass = (build-asdf-system {
    pname = "glass";
    version = "20150709-git";
    asds = [ "glass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glass/2015-07-09/glass-20150709-git.tgz";
      sha256 = "1xwr6mj25m0z1qhp30hafbbhrfj34dfidy320x5m3lij13vbyb1p";
      system = "glass";
      asd = "glass";
    });
    systems = [ "glass" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glaw = (build-asdf-system {
    pname = "glaw";
    version = "20180228-git";
    asds = [ "glaw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw";
      asd = "glaw";
    });
    systems = [ "glaw" ];
    lispLibs = [ (getAttr "cl-alc" self) (getAttr "cl-openal" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glaw-examples = (build-asdf-system {
    pname = "glaw-examples";
    version = "20180228-git";
    asds = [ "glaw-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-examples";
      asd = "glaw-examples";
    });
    systems = [ "glaw-examples" ];
    lispLibs = [ (getAttr "glaw" self) (getAttr "glaw-imago" self) (getAttr "glop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glaw-imago = (build-asdf-system {
    pname = "glaw-imago";
    version = "20180228-git";
    asds = [ "glaw-imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-imago";
      asd = "glaw-imago";
    });
    systems = [ "glaw-imago" ];
    lispLibs = [ (getAttr "glaw" self) (getAttr "imago" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glaw-sdl = (build-asdf-system {
    pname = "glaw-sdl";
    version = "20180228-git";
    asds = [ "glaw-sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glaw/2018-02-28/glaw-20180228-git.tgz";
      sha256 = "06i9g80hkqgwk5h306wkdpcpv7n229n1ig1hy6697l35v8c4mzmp";
      system = "glaw-sdl";
      asd = "glaw-sdl";
    });
    systems = [ "glaw-sdl" ];
    lispLibs = [ (getAttr "glaw" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-image" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glfw-blob = (build-asdf-system {
    pname = "glfw-blob";
    version = "stable-git";
    asds = [ "glfw-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glfw-blob/2020-10-16/glfw-blob-stable-git.tgz";
      sha256 = "0j953vqsyswipgyhc39swsgwgaqb53wvs80izraknlsp379hzabs";
      system = "glfw-blob";
      asd = "glfw-blob";
    });
    systems = [ "glfw-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glhelp = (build-asdf-system {
    pname = "glhelp";
    version = "20200427-git";
    asds = [ "glhelp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "glhelp";
      asd = "glhelp";
    });
    systems = [ "glhelp" ];
    lispLibs = [ (getAttr "cl-opengl" self) (getAttr "deflazy" self) (getAttr "glsl-toolkit" self) (getAttr "split-sequence" self) (getAttr "uncommon-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glisp = (build-asdf-system {
    pname = "glisp";
    version = "master-5b2475f9-git";
    asds = [ "glisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "glisp";
      asd = "glisp";
    });
    systems = [ "glisp" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "base" self) (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glisph = (build-asdf-system {
    pname = "glisph";
    version = "20170403-git";
    asds = [ "glisph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glisph/2017-04-03/glisph-20170403-git.tgz";
      sha256 = "097d6kjk4rndpqn181k9nyr2bps4gf3shq5x2fy1swvks3pvys91";
      system = "glisph";
      asd = "glisph";
    });
    systems = [ "glisph" ];
    lispLibs = [ (getAttr "cl-annot" self) (getAttr "cl-glu" self) (getAttr "cl-opengl" self) (getAttr "cl-reexport" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glisph-test = (build-asdf-system {
    pname = "glisph-test";
    version = "20170403-git";
    asds = [ "glisph-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glisph/2017-04-03/glisph-20170403-git.tgz";
      sha256 = "097d6kjk4rndpqn181k9nyr2bps4gf3shq5x2fy1swvks3pvys91";
      system = "glisph-test";
      asd = "glisph-test";
    });
    systems = [ "glisph-test" ];
    lispLibs = [ (getAttr "cl-glut" self) (getAttr "glisph" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glkit = (build-asdf-system {
    pname = "glkit";
    version = "20201016-git";
    asds = [ "glkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glkit/2020-10-16/glkit-20201016-git.tgz";
      sha256 = "1x3y5jcr1f0v9sgn3y5b7b8fhgd6vv37nz73016gdwh511idi8jn";
      system = "glkit";
      asd = "glkit";
    });
    systems = [ "glkit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-opengl" self) (getAttr "defpackage-plus" self) (getAttr "mathkit" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glkit-examples = (build-asdf-system {
    pname = "glkit-examples";
    version = "20201016-git";
    asds = [ "glkit-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glkit/2020-10-16/glkit-20201016-git.tgz";
      sha256 = "1x3y5jcr1f0v9sgn3y5b7b8fhgd6vv37nz73016gdwh511idi8jn";
      system = "glkit-examples";
      asd = "glkit-examples";
    });
    systems = [ "glkit-examples" ];
    lispLibs = [ (getAttr "glkit" self) (getAttr "sdl2kit-examples" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  global-vars = (build-asdf-system {
    pname = "global-vars";
    version = "20141106-git";
    asds = [ "global-vars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/global-vars/2014-11-06/global-vars-20141106-git.tgz";
      sha256 = "06m3xc8l3pgsapl8fvsi9wf6y46zs75cp9zn7zh6dc65v4s5wz3d";
      system = "global-vars";
      asd = "global-vars";
    });
    systems = [ "global-vars" ];
    lispLibs = [  ];
    meta = {};
  });
  global-vars-test = (build-asdf-system {
    pname = "global-vars-test";
    version = "20141106-git";
    asds = [ "global-vars-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/global-vars/2014-11-06/global-vars-20141106-git.tgz";
      sha256 = "06m3xc8l3pgsapl8fvsi9wf6y46zs75cp9zn7zh6dc65v4s5wz3d";
      system = "global-vars-test";
      asd = "global-vars-test";
    });
    systems = [ "global-vars-test" ];
    lispLibs = [ (getAttr "global-vars" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glop = (build-asdf-system {
    pname = "glop";
    version = "20171019-git";
    asds = [ "glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glop/2017-10-19/glop-20171019-git.tgz";
      sha256 = "1nm35kvigflfjlmsa8zwdajc61f02fh4sq08jv0wnqylhx8yg2bv";
      system = "glop";
      asd = "glop";
    });
    systems = [ "glop" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glop-test = (build-asdf-system {
    pname = "glop-test";
    version = "20171019-git";
    asds = [ "glop-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glop/2017-10-19/glop-20171019-git.tgz";
      sha256 = "1nm35kvigflfjlmsa8zwdajc61f02fh4sq08jv0wnqylhx8yg2bv";
      system = "glop-test";
      asd = "glop-test";
    });
    systems = [ "glop-test" ];
    lispLibs = [ (getAttr "cl-glu" self) (getAttr "cl-opengl" self) (getAttr "glop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glsl-docs = (build-asdf-system {
    pname = "glsl-docs";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-docs";
      asd = "glsl-docs";
    });
    systems = [ "glsl-docs" ];
    lispLibs = [ (getAttr "glsl-symbols" self) ];
    meta = {};
  });
  glsl-packing = (build-asdf-system {
    pname = "glsl-packing";
    version = "20180131-git";
    asds = [ "glsl-packing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-packing/2018-01-31/glsl-packing-20180131-git.tgz";
      sha256 = "0k2f1771wd9kdrcasldy1r00k5bdgi9fd07in52zmjggc0i7dd80";
      system = "glsl-packing";
      asd = "glsl-packing";
    });
    systems = [ "glsl-packing" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glsl-spec = (build-asdf-system {
    pname = "glsl-spec";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-spec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-spec";
      asd = "glsl-spec";
    });
    systems = [ "glsl-spec" ];
    lispLibs = [  ];
    meta = {};
  });
  glsl-symbols = (build-asdf-system {
    pname = "glsl-symbols";
    version = "release-quicklisp-f04476f7-git";
    asds = [ "glsl-symbols" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-spec/2019-10-07/glsl-spec-release-quicklisp-f04476f7-git.tgz";
      sha256 = "01ipspr22fgfj3w8wq2y81lzrjc4vpfiwnr3dqhjlpzzra46am8c";
      system = "glsl-symbols";
      asd = "glsl-symbols";
    });
    systems = [ "glsl-symbols" ];
    lispLibs = [  ];
    meta = {};
  });
  glsl-toolkit = (build-asdf-system {
    pname = "glsl-toolkit";
    version = "20230618-git";
    asds = [ "glsl-toolkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glsl-toolkit/2023-06-18/glsl-toolkit-20230618-git.tgz";
      sha256 = "0gp749f407y6s8y7bvscfl8chmc6j623zcbmjagykfg3whzaaybm";
      system = "glsl-toolkit";
      asd = "glsl-toolkit";
    });
    systems = [ "glsl-toolkit" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "parse-float" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glu-tessellate = (build-asdf-system {
    pname = "glu-tessellate";
    version = "20150608-git";
    asds = [ "glu-tessellate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glu-tessellate/2015-06-08/glu-tessellate-20150608-git.tgz";
      sha256 = "1iwnvk341pidxdsjb2c730k6a7nr1knd5ir0v83y6jhsf78r9krh";
      system = "glu-tessellate";
      asd = "glu-tessellate";
    });
    systems = [ "glu-tessellate" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glyphs = (build-asdf-system {
    pname = "glyphs";
    version = "20180711-git";
    asds = [ "glyphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glyphs/2018-07-11/glyphs-20180711-git.tgz";
      sha256 = "17kai1anbkk5dj5sbrsin2fc019cmcbglb900db60v38myj0y0wf";
      system = "glyphs";
      asd = "glyphs";
    });
    systems = [ "glyphs" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "named-readtables" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  glyphs-test = (build-asdf-system {
    pname = "glyphs-test";
    version = "20180711-git";
    asds = [ "glyphs-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/glyphs/2018-07-11/glyphs-20180711-git.tgz";
      sha256 = "17kai1anbkk5dj5sbrsin2fc019cmcbglb900db60v38myj0y0wf";
      system = "glyphs-test";
      asd = "glyphs-test";
    });
    systems = [ "glyphs-test" ];
    lispLibs = [ (getAttr "glyphs" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gooptest = (build-asdf-system {
    pname = "gooptest";
    version = "20200925-git";
    asds = [ "gooptest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gooptest/2020-09-25/gooptest-20200925-git.tgz";
      sha256 = "1g9q4frlc79xkmz74ybs954rc5kmfwjsn4xi64aig1fh5wjni5xs";
      system = "gooptest";
      asd = "gooptest";
    });
    systems = [ "gooptest" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cl-autowrap" self) (getAttr "cl-plus-c" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graph = (build-asdf-system {
    pname = "graph";
    version = "20220331-git";
    asds = [ "graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graph/2022-03-31/graph-20220331-git.tgz";
      sha256 = "0m76vb0mk7rlbv9xhnix001gxik9f7vy9lspradcvzbk1rfxyyf7";
      system = "graph";
      asd = "graph";
    });
    systems = [ "graph" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "curry-compose-reader-macros" self) (getAttr "damn-fast-priority-queue" self) (getAttr "metabang-bind" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graphs = (build-asdf-system {
    pname = "graphs";
    version = "master-5b2475f9-git";
    asds = [ "graphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "graphs";
      asd = "graphs";
    });
    systems = [ "graphs" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gravatar = (build-asdf-system {
    pname = "gravatar";
    version = "20110320-git";
    asds = [ "gravatar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gravatar/2011-03-20/cl-gravatar-20110320-git.tgz";
      sha256 = "1r9fq1zaywlhpxr3s3wgajhxf1kgwsgsql0a7ccfgsbwkgy2qzfs";
      system = "gravatar";
      asd = "gravatar";
    });
    systems = [ "gravatar" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-json" self) (getAttr "drakma" self) (getAttr "md5" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graylex = (build-asdf-system {
    pname = "graylex";
    version = "20110522-git";
    asds = [ "graylex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graylex/2011-05-22/graylex-20110522-git.tgz";
      sha256 = "0s1mpz6cpx3fywznxc8kzkhbb4fpmzyjpfgc85lnxqmri8wy6xqy";
      system = "graylex";
      asd = "graylex";
    });
    systems = [ "graylex" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graylex-m4-example = (build-asdf-system {
    pname = "graylex-m4-example";
    version = "20110522-git";
    asds = [ "graylex-m4-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/graylex/2011-05-22/graylex-20110522-git.tgz";
      sha256 = "0s1mpz6cpx3fywznxc8kzkhbb4fpmzyjpfgc85lnxqmri8wy6xqy";
      system = "graylex-m4-example";
      asd = "graylex-m4-example";
    });
    systems = [ "graylex-m4-example" ];
    lispLibs = [ (getAttr "cl-heredoc" self) (getAttr "graylex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graylog = (build-asdf-system {
    pname = "graylog";
    version = "20180430-git";
    asds = [ "graylog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graylog/2018-04-30/cl-graylog-20180430-git.tgz";
      sha256 = "1bj1v6vwz8w78h0bkjv5614gq50jdpjix88rbn3nvh81cfjvsqdg";
      system = "graylog";
      asd = "graylog";
    });
    systems = [ "graylog" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-json" self) (getAttr "local-time" self) (getAttr "salza2" self) (getAttr "trivial-backtrace" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  graylog-log5 = (build-asdf-system {
    pname = "graylog-log5";
    version = "20180430-git";
    asds = [ "graylog-log5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-graylog/2018-04-30/cl-graylog-20180430-git.tgz";
      sha256 = "1bj1v6vwz8w78h0bkjv5614gq50jdpjix88rbn3nvh81cfjvsqdg";
      system = "graylog-log5";
      asd = "graylog-log5";
    });
    systems = [ "graylog-log5" ];
    lispLibs = [ (getAttr "graylog" self) (getAttr "log5" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  green-threads = (build-asdf-system {
    pname = "green-threads";
    version = "20141217-git";
    asds = [ "green-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/green-threads/2014-12-17/green-threads-20141217-git.tgz";
      sha256 = "1czw7nr0dwfps76h8hjvglk1wdh53yqbfbvv30whwbgqx33iippz";
      system = "green-threads";
      asd = "green-threads";
    });
    systems = [ "green-threads" ];
    lispLibs = [ (getAttr "cl-async-future" self) (getAttr "cl-cont" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  grid-formation = (build-asdf-system {
    pname = "grid-formation";
    version = "20220707-git";
    asds = [ "grid-formation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/grid-formation/2022-07-07/grid-formation-20220707-git.tgz";
      sha256 = "0s5picmkn7gn98k23axadbc0mlzlrbadi1ln85gpqp17k3cmd54m";
      system = "grid-formation";
      asd = "grid-formation";
    });
    systems = [ "grid-formation" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "origin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  group-by = (build-asdf-system {
    pname = "group-by";
    version = "20140211-git";
    asds = [ "group-by" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/group-by/2014-02-11/group-by-20140211-git.tgz";
      sha256 = "1p1qprb57fjd6sj8ws6c7y40ab38mym65wni8xivdy89i3d63dz4";
      system = "group-by";
      asd = "group-by";
    });
    systems = [ "group-by" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  group-by-test = (build-asdf-system {
    pname = "group-by-test";
    version = "20140211-git";
    asds = [ "group-by-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/group-by/2014-02-11/group-by-20140211-git.tgz";
      sha256 = "1p1qprb57fjd6sj8ws6c7y40ab38mym65wni8xivdy89i3d63dz4";
      system = "group-by-test";
      asd = "group-by";
    });
    systems = [ "group-by-test" ];
    lispLibs = [ (getAttr "group-by" self) (getAttr "lisp-unit2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  groupby = (build-asdf-system {
    pname = "groupby";
    version = "20170830-git";
    asds = [ "groupby" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-groupby/2017-08-30/cl-groupby-20170830-git.tgz";
      sha256 = "1ra4zi9ifrhxxsj4svg1iqqzzsv9aqqa76pswygp7g084x6kn5km";
      system = "groupby";
      asd = "groupby";
    });
    systems = [ "groupby" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  grovel-locally = (build-asdf-system {
    pname = "grovel-locally";
    version = "20180228-git";
    asds = [ "grovel-locally" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/grovel-locally/2018-02-28/grovel-locally-20180228-git.tgz";
      sha256 = "07q7zjgv3d1f35zwxpzcz020z0gcqi6m2l2szw99bsqk5hn93szl";
      system = "grovel-locally";
      asd = "grovel-locally";
    });
    systems = [ "grovel-locally" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-ppcre" self) (getAttr "with-cached-reader-conditionals" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gsll = (build-asdf-system {
    pname = "gsll";
    version = "quicklisp-eeeda841-git";
    asds = [ "gsll" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gsll/2018-08-31/gsll-quicklisp-eeeda841-git.tgz";
      sha256 = "0zsjvi1f62hjgfjk4wqg13d4r53bli9nglkwnd31qrygn8pmzlhi";
      system = "gsll";
      asd = "gsll";
    });
    systems = [ "gsll" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi-grovel" self) (getAttr "cffi-libffi" self) (getAttr "foreign-array" self) (getAttr "lisp-unit" self) (getAttr "metabang-bind" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  gt = (build-asdf-system {
    pname = "gt";
    version = "20230618-git";
    asds = [ "gt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-utils/2023-06-18/cl-utils-20230618-git.tgz";
      sha256 = "0cs19w8z1r21niwhkfgai88miz3akz8wjbr6a3jnq6wmmq41jw2k";
      system = "gt";
      asd = "gt";
    });
    systems = [ "gt" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "curry-compose-reader-macros" self) (getAttr "fset" self) (getAttr "functional-trees" self) (getAttr "iterate" self) (getAttr "misc-extensions" self) (getAttr "named-readtables" self) (getAttr "serapeum" self) (getAttr "split-sequence" self) (getAttr "trivia" self) (getAttr "trivia_dot_ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtirb = (build-asdf-system {
    pname = "gtirb";
    version = "quicklisp-dd18337d-git";
    asds = [ "gtirb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "gtirb";
      asd = "gtirb";
    });
    systems = [ "gtirb" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "cl-intbytes" self) (getAttr "cl-interval" self) (getAttr "curry-compose-reader-macros" self) (getAttr "graph" self) (getAttr "named-readtables" self) (getAttr "proto" self) (getAttr "protobuf" self) (getAttr "trivia" self) (getAttr "trivial-package-local-nicknames" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtirb-capstone = (build-asdf-system {
    pname = "gtirb-capstone";
    version = "20230618-git";
    asds = [ "gtirb-capstone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb-capstone/2023-06-18/gtirb-capstone-20230618-git.tgz";
      sha256 = "0yb99x3dv19xgap0vjwbgv12k22749zbsxs5ijb2xm65krlwdx64";
      system = "gtirb-capstone";
      asd = "gtirb-capstone";
    });
    systems = [ "gtirb-capstone" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "capstone" self) (getAttr "graph" self) (getAttr "gt" self) (getAttr "gtirb" self) (getAttr "keystone" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtirb-functions = (build-asdf-system {
    pname = "gtirb-functions";
    version = "20230618-git";
    asds = [ "gtirb-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb-functions/2023-06-18/gtirb-functions-20230618-git.tgz";
      sha256 = "19w18vfqrkjrsn4i4i3ppw5q80557pj0844r4zr3pbr0l8ypjcnp";
      system = "gtirb-functions";
      asd = "gtirb-functions";
    });
    systems = [ "gtirb-functions" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "graph" self) (getAttr "gt" self) (getAttr "gtirb" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtk-tagged-streams = (build-asdf-system {
    pname = "gtk-tagged-streams";
    version = "quicklisp-d1c2b827-git";
    asds = [ "gtk-tagged-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtk-tagged-streams/2018-02-28/gtk-tagged-streams-quicklisp-d1c2b827-git.tgz";
      sha256 = "0ciw4ydcb8clsqb338hxpzncj2m59i6scnqlgbwkznm5i9dxvkyd";
      system = "gtk-tagged-streams";
      asd = "gtk-tagged-streams";
    });
    systems = [ "gtk-tagged-streams" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-cffi-gtk" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtwiwtg = (build-asdf-system {
    pname = "gtwiwtg";
    version = "20221106-git";
    asds = [ "gtwiwtg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtwiwtg/2022-11-06/gtwiwtg-20221106-git.tgz";
      sha256 = "07wzaizp9jr6x8yvivk3iak2q7yh1ps0mj5mrd6i7y2f614gl8ll";
      system = "gtwiwtg";
      asd = "gtwiwtg";
    });
    systems = [ "gtwiwtg" ];
    lispLibs = [ (getAttr "testiere" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtwiwtg-test = (build-asdf-system {
    pname = "gtwiwtg-test";
    version = "20221106-git";
    asds = [ "gtwiwtg-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtwiwtg/2022-11-06/gtwiwtg-20221106-git.tgz";
      sha256 = "07wzaizp9jr6x8yvivk3iak2q7yh1ps0mj5mrd6i7y2f614gl8ll";
      system = "gtwiwtg-test";
      asd = "gtwiwtg-test";
    });
    systems = [ "gtwiwtg-test" ];
    lispLibs = [ (getAttr "gtwiwtg" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtype = (build-asdf-system {
    pname = "gtype";
    version = "20200610-git";
    asds = [ "gtype" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtype/2020-06-10/gtype-20200610-git.tgz";
      sha256 = "0hbkfdw00v7bsa6zbric34p5w6hfwxycccg8wc2faq0cxhsvpv9h";
      system = "gtype";
      asd = "gtype";
    });
    systems = [ "gtype" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "trivia" self) (getAttr "trivial-cltl2" self) (getAttr "trivialib_dot_type-unify" self) (getAttr "type-r" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gtype_dot_test = (build-asdf-system {
    pname = "gtype.test";
    version = "20200610-git";
    asds = [ "gtype.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtype/2020-06-10/gtype-20200610-git.tgz";
      sha256 = "0hbkfdw00v7bsa6zbric34p5w6hfwxycccg8wc2faq0cxhsvpv9h";
      system = "gtype.test";
      asd = "gtype.test";
    });
    systems = [ "gtype.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "gtype" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gute = (build-asdf-system {
    pname = "gute";
    version = "20221106-git";
    asds = [ "gute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gute/2022-11-06/gute-20221106-git.tgz";
      sha256 = "1d1m4qaygvmkglwdqlnhkvwq0wrig13h97w8ansfkyig359vpzy0";
      system = "gute";
      asd = "gute";
    });
    systems = [ "gute" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-mathstats" self) (getAttr "cl-ppcre" self) (getAttr "cl-strings" self) (getAttr "conium" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gwl = (build-asdf-system {
    pname = "gwl";
    version = "master-5b2475f9-git";
    asds = [ "gwl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "gwl";
      asd = "gwl";
    });
    systems = [ "gwl" ];
    lispLibs = [ (getAttr "cl-html-parse" self) (getAttr "cl-markdown" self) (getAttr "cl-who" self) (getAttr "glisp" self) (getAttr "yason" self) (getAttr "zaserve" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gwl-graphics = (build-asdf-system {
    pname = "gwl-graphics";
    version = "master-5b2475f9-git";
    asds = [ "gwl-graphics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "gwl-graphics";
      asd = "gwl-graphics";
    });
    systems = [ "gwl-graphics" ];
    lispLibs = [ (getAttr "geom-base" self) (getAttr "gwl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  gzip-stream = (build-asdf-system {
    pname = "gzip-stream";
    version = "0.2.8";
    asds = [ "gzip-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gzip-stream/2010-10-06/gzip-stream_0.2.8.tgz";
      sha256 = "1m2x685mk9zp8vq45r4gf6mlbzmzr79mvdxibw1fqzv7r1bqrwrs";
      system = "gzip-stream";
      asd = "gzip-stream";
    });
    systems = [ "gzip-stream" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "salza2" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hamcrest = (build-asdf-system {
    pname = "hamcrest";
    version = "20230214-git";
    asds = [ "hamcrest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamcrest/2023-02-14/cl-hamcrest-20230214-git.tgz";
      sha256 = "0m5czvkc9jpqd2ldxw6a2677iwdq4glvzw5ah2d114z7nm6i13sm";
      system = "hamcrest";
      asd = "hamcrest";
    });
    systems = [ "hamcrest" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hamcrest-tests = (build-asdf-system {
    pname = "hamcrest-tests";
    version = "20230214-git";
    asds = [ "hamcrest-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-hamcrest/2023-02-14/cl-hamcrest-20230214-git.tgz";
      sha256 = "0m5czvkc9jpqd2ldxw6a2677iwdq4glvzw5ah2d114z7nm6i13sm";
      system = "hamcrest-tests";
      asd = "hamcrest-tests";
    });
    systems = [ "hamcrest-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "prove" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  harmony = (build-asdf-system {
    pname = "harmony";
    version = "20230618-git";
    asds = [ "harmony" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/harmony/2023-06-18/harmony-20230618-git.tgz";
      sha256 = "1rf6hcq99rj50qdwd63n5zvfgif7qdkhjrd2pqmmyz9dni6brs7w";
      system = "harmony";
      asd = "harmony";
    });
    systems = [ "harmony" ];
    lispLibs = [ (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "cl-mixed" self) (getAttr "cl-mixed-alsa" self) (getAttr "cl-mixed-pulse" self) (getAttr "stealth-mixin" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hash-set = (build-asdf-system {
    pname = "hash-set";
    version = "20211230-git";
    asds = [ "hash-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-set/2021-12-30/hash-set-20211230-git.tgz";
      sha256 = "0a966y9yfarhmki4wwzg371ziaygnp13yc6r13w9zz327fkhz8na";
      system = "hash-set";
      asd = "hash-set";
    });
    systems = [ "hash-set" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hash-set-tests = (build-asdf-system {
    pname = "hash-set-tests";
    version = "20211230-git";
    asds = [ "hash-set-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-set/2021-12-30/hash-set-20211230-git.tgz";
      sha256 = "0a966y9yfarhmki4wwzg371ziaygnp13yc6r13w9zz327fkhz8na";
      system = "hash-set-tests";
      asd = "hash-set-tests";
    });
    systems = [ "hash-set-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "hash-set" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hash-table-ext = (build-asdf-system {
    pname = "hash-table-ext";
    version = "20211020-git";
    asds = [ "hash-table-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-table-ext/2021-10-20/hash-table-ext-20211020-git.tgz";
      sha256 = "00pafnjy5w9yhbzzdvgg4wwb8yicjjshgzxnn0by3d9qknxc7539";
      system = "hash-table-ext";
      asd = "hash-table-ext";
    });
    systems = [ "hash-table-ext" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hash-table-ext_dot_test = (build-asdf-system {
    pname = "hash-table-ext.test";
    version = "20211020-git";
    asds = [ "hash-table-ext.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hash-table-ext/2021-10-20/hash-table-ext-20211020-git.tgz";
      sha256 = "00pafnjy5w9yhbzzdvgg4wwb8yicjjshgzxnn0by3d9qknxc7539";
      system = "hash-table-ext.test";
      asd = "hash-table-ext.test";
    });
    systems = [ "hash-table-ext.test" ];
    lispLibs = [ (getAttr "hash-table-ext" self) (getAttr "jingoh" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hashtrie = (build-asdf-system {
    pname = "hashtrie";
    version = "20230214-git";
    asds = [ "hashtrie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hashtrie/2023-02-14/hashtrie-20230214-git.tgz";
      sha256 = "0jhlqq1a5wzr7arkdrg75r4qp2hk3cbn1lcmz2lcl3g1153my9xx";
      system = "hashtrie";
      asd = "hashtrie";
    });
    systems = [ "hashtrie" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hashtrie-tests = (build-asdf-system {
    pname = "hashtrie-tests";
    version = "20230214-git";
    asds = [ "hashtrie-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hashtrie/2023-02-14/hashtrie-20230214-git.tgz";
      sha256 = "0jhlqq1a5wzr7arkdrg75r4qp2hk3cbn1lcmz2lcl3g1153my9xx";
      system = "hashtrie-tests";
      asd = "hashtrie-tests";
    });
    systems = [ "hashtrie-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "hashtrie" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hdf5-cffi = (build-asdf-system {
    pname = "hdf5-cffi";
    version = "20180228-git";
    asds = [ "hdf5-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi";
      asd = "hdf5-cffi";
    });
    systems = [ "hdf5-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hdf5-cffi_dot_examples = (build-asdf-system {
    pname = "hdf5-cffi.examples";
    version = "20180228-git";
    asds = [ "hdf5-cffi.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi.examples";
      asd = "hdf5-cffi.examples";
    });
    systems = [ "hdf5-cffi.examples" ];
    lispLibs = [ (getAttr "hdf5-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hdf5-cffi_dot_test = (build-asdf-system {
    pname = "hdf5-cffi.test";
    version = "20180228-git";
    asds = [ "hdf5-cffi.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hdf5-cffi/2018-02-28/hdf5-cffi-20180228-git.tgz";
      sha256 = "0vda3075423xz83qky998lpac5b04dwfv7bwgh9jq8cs5v0zrxjf";
      system = "hdf5-cffi.test";
      asd = "hdf5-cffi.test";
    });
    systems = [ "hdf5-cffi.test" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "fiveam" self) (getAttr "hdf5-cffi" self) (getAttr "hdf5-cffi_dot_examples" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  heap = (build-asdf-system {
    pname = "heap";
    version = "20181018-git";
    asds = [ "heap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/heap/2018-10-18/heap-20181018-git.tgz";
      sha256 = "0jkgazjnjip7y41zd8rpy89ymh75yimk1q24qbddcisq5rzdl52k";
      system = "heap";
      asd = "heap";
    });
    systems = [ "heap" ];
    lispLibs = [  ];
    meta = {};
  });
  helambdap = (build-asdf-system {
    pname = "helambdap";
    version = "20230214-git";
    asds = [ "helambdap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/helambdap/2023-02-14/helambdap-20230214-git.tgz";
      sha256 = "07824k2cv6ikmbqnqyxx7va1l9a1vcgqd6hc2pq1bgkn0c7plnb6";
      system = "helambdap";
      asd = "helambdap";
    });
    systems = [ "helambdap" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "clad" self) (getAttr "split-sequence" self) (getAttr "xhtmlambda" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hello-builder = (build-asdf-system {
    pname = "hello-builder";
    version = "20230618-git";
    asds = [ "hello-builder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2023-06-18/clog-20230618-git.tgz";
      sha256 = "068p45l2i45rlgxwdj09wkcgzjk2dlkkc9hkaaiw1bcjn6gxvxsc";
      system = "hello-builder";
      asd = "hello-builder";
    });
    systems = [ "hello-builder" ];
    lispLibs = [ (getAttr "clog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hello-clog = (build-asdf-system {
    pname = "hello-clog";
    version = "20230618-git";
    asds = [ "hello-clog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clog/2023-06-18/clog-20230618-git.tgz";
      sha256 = "068p45l2i45rlgxwdj09wkcgzjk2dlkkc9hkaaiw1bcjn6gxvxsc";
      system = "hello-clog";
      asd = "hello-clog";
    });
    systems = [ "hello-clog" ];
    lispLibs = [ (getAttr "clog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hermetic = (build-asdf-system {
    pname = "hermetic";
    version = "20191007-git";
    asds = [ "hermetic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hermetic/2019-10-07/hermetic-20191007-git.tgz";
      sha256 = "1sndxkkj45sqr13xw9kvnhj25an96q4la70ni3w468yrcbf782pi";
      system = "hermetic";
      asd = "hermetic";
    });
    systems = [ "hermetic" ];
    lispLibs = [ (getAttr "cl-pass" self) (getAttr "clack" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  herodotus = (build-asdf-system {
    pname = "herodotus";
    version = "20220331-git";
    asds = [ "herodotus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/herodotus/2022-03-31/herodotus-20220331-git.tgz";
      sha256 = "085r6b8fydac2a939r80vlavs1ij5ij5li5xnl5q8qvn9dl4rr5k";
      system = "herodotus";
      asd = "herodotus";
    });
    systems = [ "herodotus" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hh-aws = (build-asdf-system {
    pname = "hh-aws";
    version = "20150804-git";
    asds = [ "hh-aws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-aws/2015-08-04/hh-aws-20150804-git.tgz";
      sha256 = "02kfq7krn8788iphzcxnf0da88sy30gxpj1acgy9fl2n8qc03qdp";
      system = "hh-aws";
      asd = "hh-aws";
    });
    systems = [ "hh-aws" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "puri" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hh-aws-tests = (build-asdf-system {
    pname = "hh-aws-tests";
    version = "20150804-git";
    asds = [ "hh-aws-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-aws/2015-08-04/hh-aws-20150804-git.tgz";
      sha256 = "02kfq7krn8788iphzcxnf0da88sy30gxpj1acgy9fl2n8qc03qdp";
      system = "hh-aws-tests";
      asd = "hh-aws";
    });
    systems = [ "hh-aws-tests" ];
    lispLibs = [ (getAttr "hh-aws" self) (getAttr "lisp-unit" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hh-redblack = (build-asdf-system {
    pname = "hh-redblack";
    version = "20151031-git";
    asds = [ "hh-redblack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-redblack/2015-10-31/hh-redblack-20151031-git.tgz";
      sha256 = "1klr78m4g60c82dnxksb7710jjj35rnfl4gl3dx3nrx0nb04bam6";
      system = "hh-redblack";
      asd = "hh-redblack";
    });
    systems = [ "hh-redblack" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hh-redblack-tests = (build-asdf-system {
    pname = "hh-redblack-tests";
    version = "20151031-git";
    asds = [ "hh-redblack-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-redblack/2015-10-31/hh-redblack-20151031-git.tgz";
      sha256 = "1klr78m4g60c82dnxksb7710jjj35rnfl4gl3dx3nrx0nb04bam6";
      system = "hh-redblack-tests";
      asd = "hh-redblack";
    });
    systems = [ "hh-redblack-tests" ];
    lispLibs = [ (getAttr "hh-redblack" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hh-web = (build-asdf-system {
    pname = "hh-web";
    version = "20141106-git";
    asds = [ "hh-web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hh-web/2014-11-06/hh-web-20141106-git.tgz";
      sha256 = "1i3jyifayczm9b7rvw3fafiisxvjq87xd9z0hdf957qc2albsq87";
      system = "hh-web";
      asd = "hh-web";
    });
    systems = [ "hh-web" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "log5" self) (getAttr "parenscript" self) (getAttr "trivial-backtrace" self) (getAttr "uuid" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hl7-client = (build-asdf-system {
    pname = "hl7-client";
    version = "20150407-git";
    asds = [ "hl7-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hl7-client/2015-04-07/hl7-client-20150407-git.tgz";
      sha256 = "0hq5ip6f1hbdiydml5f1z7qsjaq1v3a3g4y5a87jaif027pwhd89";
      system = "hl7-client";
      asd = "hl7-client";
    });
    systems = [ "hl7-client" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hl7-parser = (build-asdf-system {
    pname = "hl7-parser";
    version = "20160531-git";
    asds = [ "hl7-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hl7-parser/2016-05-31/hl7-parser-20160531-git.tgz";
      sha256 = "1lcyvk3vap73d23s6pk8p1ficqhl2gs84nan6d0yy0hx8c4gip0x";
      system = "hl7-parser";
      asd = "hl7-parser";
    });
    systems = [ "hl7-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hompack = (build-asdf-system {
    pname = "hompack";
    version = "20200925-git";
    asds = [ "hompack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "hompack";
      asd = "hompack";
    });
    systems = [ "hompack" ];
    lispLibs = [ (getAttr "blas-hompack" self) (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  horner = (build-asdf-system {
    pname = "horner";
    version = "20191130-git";
    asds = [ "horner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/horner/2019-11-30/horner-20191130-git.tgz";
      sha256 = "05afvf7sxn1db7xxw7qmys1dwbgsx53iw4w556r277da6bpyacr9";
      system = "horner";
      asd = "horner";
    });
    systems = [ "horner" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "infix-math" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  horse-html = (build-asdf-system {
    pname = "horse-html";
    version = "20191007-git";
    asds = [ "horse-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/horse-html/2019-10-07/horse-html-20191007-git.tgz";
      sha256 = "0g6cs38123ajf1hvv056df9d8gy5ajarg0f5gywzhmmf0rhr9br5";
      system = "horse-html";
      asd = "horse-html";
    });
    systems = [ "horse-html" ];
    lispLibs = [ (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  house = (build-asdf-system {
    pname = "house";
    version = "20210124-git";
    asds = [ "house" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/house/2021-01-24/house-20210124-git.tgz";
      sha256 = "1x3dprg5j5rhbf8r1nr6py6g8wgfb9zysbqbjdcyh91szg7w80mb";
      system = "house";
      asd = "house";
    });
    systems = [ "house" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "lisp-unit" self) (getAttr "optima" self) (getAttr "prove-asdf" self) (getAttr "quri" self) (getAttr "session-token" self) (getAttr "split-sequence" self) (getAttr "trivial-features" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ht-simple-ajax = (build-asdf-system {
    pname = "ht-simple-ajax";
    version = "20130421-git";
    asds = [ "ht-simple-ajax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ht-simple-ajax/2013-04-21/ht-simple-ajax-20130421-git.tgz";
      sha256 = "1l87c0arjzyrp3g6ay189fjkqmy81b7i35rfrcs9b269n7d4iis4";
      system = "ht-simple-ajax";
      asd = "ht-simple-ajax";
    });
    systems = [ "ht-simple-ajax" ];
    lispLibs = [ (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  html-encode = (build-asdf-system {
    pname = "html-encode";
    version = "1.2";
    asds = [ "html-encode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-encode/2010-10-06/html-encode-1.2.tgz";
      sha256 = "1ydgb5xnbj1qbvzn7x32dm38gpqg5h0pjxc31f8df3j8sar843db";
      system = "html-encode";
      asd = "html-encode";
    });
    systems = [ "html-encode" ];
    lispLibs = [  ];
    meta = {};
  });
  html-entities = (build-asdf-system {
    pname = "html-entities";
    version = "20171019-git";
    asds = [ "html-entities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-entities/2017-10-19/html-entities-20171019-git.tgz";
      sha256 = "1b2yl6lf6vis17y4n5s505p7ica96bdafcl6vydy1hg50fy33nfr";
      system = "html-entities";
      asd = "html-entities";
    });
    systems = [ "html-entities" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  html-entities-tests = (build-asdf-system {
    pname = "html-entities-tests";
    version = "20171019-git";
    asds = [ "html-entities-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-entities/2017-10-19/html-entities-20171019-git.tgz";
      sha256 = "1b2yl6lf6vis17y4n5s505p7ica96bdafcl6vydy1hg50fy33nfr";
      system = "html-entities-tests";
      asd = "html-entities";
    });
    systems = [ "html-entities-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "html-entities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  html-match = (build-asdf-system {
    pname = "html-match";
    version = "20140713-git";
    asds = [ "html-match" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "html-match";
      asd = "html-match";
    });
    systems = [ "html-match" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  html-match_dot_test = (build-asdf-system {
    pname = "html-match.test";
    version = "20140713-git";
    asds = [ "html-match.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "html-match.test";
      asd = "html-match";
    });
    systems = [ "html-match.test" ];
    lispLibs = [ (getAttr "html-match" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  html-template = (build-asdf-system {
    pname = "html-template";
    version = "20171227-git";
    asds = [ "html-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/html-template/2017-12-27/html-template-20171227-git.tgz";
      sha256 = "0g700zlyjjba17nbmw1adspw7r9s0321xhayfiqh0drg20zixaf7";
      system = "html-template";
      asd = "html-template";
    });
    systems = [ "html-template" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  htmlgen = (build-asdf-system {
    pname = "htmlgen";
    version = "20190813-git";
    asds = [ "htmlgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "htmlgen";
      asd = "htmlgen";
    });
    systems = [ "htmlgen" ];
    lispLibs = [ (getAttr "acl-compat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  http-body = (build-asdf-system {
    pname = "http-body";
    version = "20190813-git";
    asds = [ "http-body" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-body/2019-08-13/http-body-20190813-git.tgz";
      sha256 = "0kcg43l5674drzid9cj938q0ki5z25glx296rl239dm7yfmxlzz2";
      system = "http-body";
      asd = "http-body";
    });
    systems = [ "http-body" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "cl-utilities" self) (getAttr "fast-http" self) (getAttr "flexi-streams" self) (getAttr "jonathan" self) (getAttr "quri" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  http-body-test = (build-asdf-system {
    pname = "http-body-test";
    version = "20190813-git";
    asds = [ "http-body-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-body/2019-08-13/http-body-20190813-git.tgz";
      sha256 = "0kcg43l5674drzid9cj938q0ki5z25glx296rl239dm7yfmxlzz2";
      system = "http-body-test";
      asd = "http-body-test";
    });
    systems = [ "http-body-test" ];
    lispLibs = [ (getAttr "assoc-utils" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "http-body" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  http-get-cache = (build-asdf-system {
    pname = "http-get-cache";
    version = "20180228-git";
    asds = [ "http-get-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-get-cache/2018-02-28/http-get-cache-20180228-git.tgz";
      sha256 = "03bw4zf4hlxyrqm5mq53z0qksb9jbrcc5nv90y7qry83kxic2cgv";
      system = "http-get-cache";
      asd = "http-get-cache";
    });
    systems = [ "http-get-cache" ];
    lispLibs = [ (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  http-parse = (build-asdf-system {
    pname = "http-parse";
    version = "20150608-git";
    asds = [ "http-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-parse/2015-06-08/http-parse-20150608-git.tgz";
      sha256 = "1plycsx2kch2l143s56hvi5dqx51n5bvp7vazmphqj5skmnw4576";
      system = "http-parse";
      asd = "http-parse";
    });
    systems = [ "http-parse" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  http-parse-test = (build-asdf-system {
    pname = "http-parse-test";
    version = "20150608-git";
    asds = [ "http-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http-parse/2015-06-08/http-parse-20150608-git.tgz";
      sha256 = "1plycsx2kch2l143s56hvi5dqx51n5bvp7vazmphqj5skmnw4576";
      system = "http-parse-test";
      asd = "http-parse-test";
    });
    systems = [ "http-parse-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "eos" self) (getAttr "http-parse" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  http2 = (build-asdf-system {
    pname = "http2";
    version = "20230618-git";
    asds = [ "http2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/http2/2023-06-18/http2-20230618-git.tgz";
      sha256 = "15jzyjxfd6g1h752ffrjxyqwgqyhkp83hxkxx36w8m5q9nl1yhxz";
      system = "http2";
      asd = "http2";
    });
    systems = [ "http2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "flexi-streams" self) (getAttr "gzip-stream" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_asdf = (build-asdf-system {
    pname = "hu.dwim.asdf";
    version = "stable-git";
    asds = [ "hu.dwim.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.asdf/2021-12-30/hu.dwim.asdf-stable-git.tgz";
      sha256 = "0zfwdsvcywvwzkn0a80ghi5kn1hs4iwinvi17ld58gyskf15frx9";
      system = "hu.dwim.asdf";
      asd = "hu.dwim.asdf";
    });
    systems = [ "hu.dwim.asdf" ];
    lispLibs = [  ];
    meta = {};
  });
  hu_dot_dwim_dot_asdf_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.asdf.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.asdf.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.asdf/2021-12-30/hu.dwim.asdf-stable-git.tgz";
      sha256 = "0zfwdsvcywvwzkn0a80ghi5kn1hs4iwinvi17ld58gyskf15frx9";
      system = "hu.dwim.asdf.documentation";
      asd = "hu.dwim.asdf.documentation";
    });
    systems = [ "hu.dwim.asdf.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_bluez = (build-asdf-system {
    pname = "hu.dwim.bluez";
    version = "stable-git";
    asds = [ "hu.dwim.bluez" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.bluez/2021-02-28/hu.dwim.bluez-stable-git.tgz";
      sha256 = "0gjh3bgmdz4aabdavbd5m27r273hna47vs388r4m7l2xnd3b3j55";
      system = "hu.dwim.bluez";
      asd = "hu.dwim.bluez";
    });
    systems = [ "hu.dwim.bluez" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_common = (build-asdf-system {
    pname = "hu.dwim.common";
    version = "20150709-darcs";
    asds = [ "hu.dwim.common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common/2015-07-09/hu.dwim.common-20150709-darcs.tgz";
      sha256 = "0mkhq6bqysdy09gswgxm1s50xrq7gimdyqiq84xk8vpyp2hv6hqq";
      system = "hu.dwim.common";
      asd = "hu.dwim.common";
    });
    systems = [ "hu.dwim.common" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "closer-mop" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common-lisp" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_common-lisp = (build-asdf-system {
    pname = "hu.dwim.common-lisp";
    version = "stable-git";
    asds = [ "hu.dwim.common-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common-lisp/2021-02-28/hu.dwim.common-lisp-stable-git.tgz";
      sha256 = "06zkdw3scnaw0d4nmsgkv7pi7sw00dikdgfgsqmbqfbz2yrsdabk";
      system = "hu.dwim.common-lisp";
      asd = "hu.dwim.common-lisp";
    });
    systems = [ "hu.dwim.common-lisp" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_common-lisp_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.common-lisp.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.common-lisp.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common-lisp/2021-02-28/hu.dwim.common-lisp-stable-git.tgz";
      sha256 = "06zkdw3scnaw0d4nmsgkv7pi7sw00dikdgfgsqmbqfbz2yrsdabk";
      system = "hu.dwim.common-lisp.documentation";
      asd = "hu.dwim.common-lisp.documentation";
    });
    systems = [ "hu.dwim.common-lisp.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common-lisp" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_common_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.common.documentation";
    version = "20150709-darcs";
    asds = [ "hu.dwim.common.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.common/2015-07-09/hu.dwim.common-20150709-darcs.tgz";
      sha256 = "0mkhq6bqysdy09gswgxm1s50xrq7gimdyqiq84xk8vpyp2hv6hqq";
      system = "hu.dwim.common.documentation";
      asd = "hu.dwim.common.documentation";
    });
    systems = [ "hu.dwim.common.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_computed-class = (build-asdf-system {
    pname = "hu.dwim.computed-class";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class";
      asd = "hu.dwim.computed-class";
    });
    systems = [ "hu.dwim.computed-class" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger = (build-asdf-system {
    pname = "hu.dwim.computed-class+hu.dwim.logger";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class+hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class+hu.dwim.logger";
      asd = "hu.dwim.computed-class+hu.dwim.logger";
    });
    systems = [ "hu.dwim.computed-class+hu.dwim.logger" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_computed-class" self) (getAttr "hu_dot_dwim_dot_logger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_computed-class_plus_swank = (build-asdf-system {
    pname = "hu.dwim.computed-class+swank";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class+swank";
      asd = "hu.dwim.computed-class+swank";
    });
    systems = [ "hu.dwim.computed-class+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_computed-class" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_computed-class_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.computed-class.documentation";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class.documentation";
      asd = "hu.dwim.computed-class.documentation";
    });
    systems = [ "hu.dwim.computed-class.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_computed-class_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_computed-class_dot_test = (build-asdf-system {
    pname = "hu.dwim.computed-class.test";
    version = "20200427-darcs";
    asds = [ "hu.dwim.computed-class.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.computed-class/2020-04-27/hu.dwim.computed-class-20200427-darcs.tgz";
      sha256 = "1frr37g79x08pm7vkpyhnmzbbcgzxvz3vldm8skknpi790vxbpr1";
      system = "hu.dwim.computed-class.test";
      asd = "hu.dwim.computed-class.test";
    });
    systems = [ "hu.dwim.computed-class.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_debug = (build-asdf-system {
    pname = "hu.dwim.debug";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug";
      asd = "hu.dwim.debug";
    });
    systems = [ "hu.dwim.debug" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_debug_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.debug.documentation";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug.documentation";
      asd = "hu.dwim.debug.documentation";
    });
    systems = [ "hu.dwim.debug.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_debug_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_debug_dot_test = (build-asdf-system {
    pname = "hu.dwim.debug.test";
    version = "20190107-darcs";
    asds = [ "hu.dwim.debug.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.debug/2019-01-07/hu.dwim.debug-20190107-darcs.tgz";
      sha256 = "0ad606bmrif82fyikb2hgwzh3y6nlrlsprb5yi86qwa2a2fvak4b";
      system = "hu.dwim.debug.test";
      asd = "hu.dwim.debug.test";
    });
    systems = [ "hu.dwim.debug.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_debug" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_def = (build-asdf-system {
    pname = "hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def";
      asd = "hu.dwim.def";
    });
    systems = [ "hu.dwim.def" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_def_plus_cl-l10n = (build-asdf-system {
    pname = "hu.dwim.def+cl-l10n";
    version = "stable-git";
    asds = [ "hu.dwim.def+cl-l10n" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+cl-l10n";
      asd = "hu.dwim.def+cl-l10n";
    });
    systems = [ "hu.dwim.def+cl-l10n" ];
    lispLibs = [ (getAttr "cl-l10n" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_def_plus_contextl = (build-asdf-system {
    pname = "hu.dwim.def+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.def+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+contextl";
      asd = "hu.dwim.def+contextl";
    });
    systems = [ "hu.dwim.def+contextl" ];
    lispLibs = [ (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common = (build-asdf-system {
    pname = "hu.dwim.def+hu.dwim.common";
    version = "stable-git";
    asds = [ "hu.dwim.def+hu.dwim.common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+hu.dwim.common";
      asd = "hu.dwim.def+hu.dwim.common";
    });
    systems = [ "hu.dwim.def+hu.dwim.common" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico = (build-asdf-system {
    pname = "hu.dwim.def+hu.dwim.delico";
    version = "stable-git";
    asds = [ "hu.dwim.def+hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+hu.dwim.delico";
      asd = "hu.dwim.def+hu.dwim.delico";
    });
    systems = [ "hu.dwim.def+hu.dwim.delico" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_delico" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_def_plus_swank = (build-asdf-system {
    pname = "hu.dwim.def+swank";
    version = "stable-git";
    asds = [ "hu.dwim.def+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.def/2021-12-30/hu.dwim.def-stable-git.tgz";
      sha256 = "1scjj9g2bn58l8i1g1brdqzrajy4bb63dqkwlcydcvk36iskpyab";
      system = "hu.dwim.def+swank";
      asd = "hu.dwim.def+swank";
    });
    systems = [ "hu.dwim.def+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "swank" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_defclass-star = (build-asdf-system {
    pname = "hu.dwim.defclass-star";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star";
      asd = "hu.dwim.defclass-star";
    });
    systems = [ "hu.dwim.defclass-star" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_defclass-star_plus_contextl = (build-asdf-system {
    pname = "hu.dwim.defclass-star+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+contextl";
      asd = "hu.dwim.defclass-star+contextl";
    });
    systems = [ "hu.dwim.defclass-star+contextl" ];
    lispLibs = [ (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def = (build-asdf-system {
    pname = "hu.dwim.defclass-star+hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+hu.dwim.def";
      asd = "hu.dwim.defclass-star+hu.dwim.def";
    });
    systems = [ "hu.dwim.defclass-star+hu.dwim.def" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def_plus_contextl = (build-asdf-system {
    pname = "hu.dwim.defclass-star+hu.dwim.def+contextl";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+hu.dwim.def+contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+hu.dwim.def+contextl";
      asd = "hu.dwim.defclass-star+hu.dwim.def+contextl";
    });
    systems = [ "hu.dwim.defclass-star+hu.dwim.def+contextl" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_contextl" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_defclass-star_plus_swank = (build-asdf-system {
    pname = "hu.dwim.defclass-star+swank";
    version = "stable-git";
    asds = [ "hu.dwim.defclass-star+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.defclass-star/2021-12-30/hu.dwim.defclass-star-stable-git.tgz";
      sha256 = "1lbmsn9s7v88w934r8rp4d59vsj1jg8p2cz9g5kl1n9vff5sxxw2";
      system = "hu.dwim.defclass-star+swank";
      asd = "hu.dwim.defclass-star+swank";
    });
    systems = [ "hu.dwim.defclass-star+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_delico = (build-asdf-system {
    pname = "hu.dwim.delico";
    version = "20200925-darcs";
    asds = [ "hu.dwim.delico" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.delico/2020-09-25/hu.dwim.delico-20200925-darcs.tgz";
      sha256 = "12n5cddg7vd3y4dqjcf4wayxwj905ja8jh90ixvrhgnvs559lbnl";
      system = "hu.dwim.delico";
      asd = "hu.dwim.delico";
    });
    systems = [ "hu.dwim.delico" ];
    lispLibs = [ (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_walker" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_graphviz = (build-asdf-system {
    pname = "hu.dwim.graphviz";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz";
      asd = "hu.dwim.graphviz";
    });
    systems = [ "hu.dwim.graphviz" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_graphviz_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.graphviz.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz.documentation";
      asd = "hu.dwim.graphviz.documentation";
    });
    systems = [ "hu.dwim.graphviz.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_graphviz_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_graphviz_dot_test = (build-asdf-system {
    pname = "hu.dwim.graphviz.test";
    version = "stable-git";
    asds = [ "hu.dwim.graphviz.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.graphviz/2021-12-30/hu.dwim.graphviz-stable-git.tgz";
      sha256 = "0cz5g7d6817ajypp876k9m65sxxlf42x4bg04ya73aqci5s1vjwy";
      system = "hu.dwim.graphviz.test";
      asd = "hu.dwim.graphviz.test";
    });
    systems = [ "hu.dwim.graphviz.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_graphviz" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_logger = (build-asdf-system {
    pname = "hu.dwim.logger";
    version = "stable-git";
    asds = [ "hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger";
      asd = "hu.dwim.logger";
    });
    systems = [ "hu.dwim.logger" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "local-time" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_logger_plus_iolib = (build-asdf-system {
    pname = "hu.dwim.logger+iolib";
    version = "stable-git";
    asds = [ "hu.dwim.logger+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger+iolib";
      asd = "hu.dwim.logger+iolib";
    });
    systems = [ "hu.dwim.logger+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_util_plus_iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_logger_plus_swank = (build-asdf-system {
    pname = "hu.dwim.logger+swank";
    version = "stable-git";
    asds = [ "hu.dwim.logger+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger+swank";
      asd = "hu.dwim.logger+swank";
    });
    systems = [ "hu.dwim.logger+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_logger_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.logger.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.logger.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger.documentation";
      asd = "hu.dwim.logger.documentation";
    });
    systems = [ "hu.dwim.logger.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_logger_dot_test = (build-asdf-system {
    pname = "hu.dwim.logger.test";
    version = "stable-git";
    asds = [ "hu.dwim.logger.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.logger/2021-12-30/hu.dwim.logger-stable-git.tgz";
      sha256 = "17b7m86pggg85lczww7nvswz0nj9qg1fxwv1l9wn31jfcf061h74";
      system = "hu.dwim.logger.test";
      asd = "hu.dwim.logger.test";
    });
    systems = [ "hu.dwim.logger.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_partial-eval = (build-asdf-system {
    pname = "hu.dwim.partial-eval";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval";
      asd = "hu.dwim.partial-eval";
    });
    systems = [ "hu.dwim.partial-eval" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def_plus_contextl" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_partial-eval_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.partial-eval.documentation";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval.documentation";
      asd = "hu.dwim.partial-eval.documentation";
    });
    systems = [ "hu.dwim.partial-eval.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_partial-eval_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_partial-eval_dot_test = (build-asdf-system {
    pname = "hu.dwim.partial-eval.test";
    version = "20171130-darcs";
    asds = [ "hu.dwim.partial-eval.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.partial-eval/2017-11-30/hu.dwim.partial-eval-20171130-darcs.tgz";
      sha256 = "1zsh1rk9rcxkrqavhx2slpczii23y51fn66n68vsw5d97g9k6gzz";
      system = "hu.dwim.partial-eval.test";
      asd = "hu.dwim.partial-eval.test";
    });
    systems = [ "hu.dwim.partial-eval.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_partial-eval" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec = (build-asdf-system {
    pname = "hu.dwim.perec";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec";
      asd = "hu.dwim.perec";
    });
    systems = [ "hu.dwim.perec" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-containers" self) (getAttr "cl-ppcre" self) (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_computed-class" self) (getAttr "hu_dot_dwim_dot_def_plus_contextl" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_rdbms" self) (getAttr "hu_dot_dwim_dot_serializer" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) (getAttr "ironclad" self) (getAttr "local-time" self) (getAttr "metacopy-with-contextl" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_plus_hu_dot_dwim_dot_quasi-quote_dot_xml = (build-asdf-system {
    pname = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+hu.dwim.quasi-quote.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
      asd = "hu.dwim.perec+hu.dwim.quasi-quote.xml";
    });
    systems = [ "hu.dwim.perec+hu.dwim.quasi-quote.xml" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_plus_iolib = (build-asdf-system {
    pname = "hu.dwim.perec+iolib";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+iolib";
      asd = "hu.dwim.perec+iolib";
    });
    systems = [ "hu.dwim.perec+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_plus_swank = (build-asdf-system {
    pname = "hu.dwim.perec+swank";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec+swank";
      asd = "hu.dwim.perec+swank";
    });
    systems = [ "hu.dwim.perec+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_all = (build-asdf-system {
    pname = "hu.dwim.perec.all";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.all";
      asd = "hu.dwim.perec.all";
    });
    systems = [ "hu.dwim.perec.all" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_oracle" self) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" self) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_all_dot_test = (build-asdf-system {
    pname = "hu.dwim.perec.all.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.all.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.all.test";
      asd = "hu.dwim.perec.all.test";
    });
    systems = [ "hu.dwim.perec.all.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_oracle_dot_test" self) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql_dot_test" self) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.perec.documentation";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.documentation";
      asd = "hu.dwim.perec.documentation";
    });
    systems = [ "hu.dwim.perec.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_all_dot_test" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_oracle = (build-asdf-system {
    pname = "hu.dwim.perec.oracle";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.oracle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.oracle";
      asd = "hu.dwim.perec.oracle";
    });
    systems = [ "hu.dwim.perec.oracle" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_oracle_dot_test = (build-asdf-system {
    pname = "hu.dwim.perec.oracle.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.oracle.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.oracle.test";
      asd = "hu.dwim.perec.oracle.test";
    });
    systems = [ "hu.dwim.perec.oracle.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_oracle" self) (getAttr "hu_dot_dwim_dot_perec_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_postgresql = (build-asdf-system {
    pname = "hu.dwim.perec.postgresql";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.postgresql";
      asd = "hu.dwim.perec.postgresql";
    });
    systems = [ "hu.dwim.perec.postgresql" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_postgresql_dot_test = (build-asdf-system {
    pname = "hu.dwim.perec.postgresql.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.postgresql.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.postgresql.test";
      asd = "hu.dwim.perec.postgresql.test";
    });
    systems = [ "hu.dwim.perec.postgresql.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" self) (getAttr "hu_dot_dwim_dot_perec_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_sqlite = (build-asdf-system {
    pname = "hu.dwim.perec.sqlite";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.sqlite";
      asd = "hu.dwim.perec.sqlite";
    });
    systems = [ "hu.dwim.perec.sqlite" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_sqlite_dot_test = (build-asdf-system {
    pname = "hu.dwim.perec.sqlite.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.sqlite.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.sqlite.test";
      asd = "hu.dwim.perec.sqlite.test";
    });
    systems = [ "hu.dwim.perec.sqlite.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_dot_sqlite" self) (getAttr "hu_dot_dwim_dot_perec_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_perec_dot_test = (build-asdf-system {
    pname = "hu.dwim.perec.test";
    version = "20211209-darcs";
    asds = [ "hu.dwim.perec.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.perec/2021-12-09/hu.dwim.perec-20211209-darcs.tgz";
      sha256 = "1m313l0j7jnmw6dlivmxjhcncjwsrzi5zy5g3g3ggzij3fjf9nnz";
      system = "hu.dwim.perec.test";
      asd = "hu.dwim.perec.test";
    });
    systems = [ "hu.dwim.perec.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec_plus_hu_dot_dwim_dot_quasi-quote_dot_xml" self) (getAttr "hu_dot_dwim_dot_perec_plus_iolib" self) (getAttr "hu_dot_dwim_dot_perec_plus_swank" self) (getAttr "hu_dot_dwim_dot_util_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_presentation = (build-asdf-system {
    pname = "hu.dwim.presentation";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation";
      asd = "hu.dwim.presentation";
    });
    systems = [ "hu.dwim.presentation" ];
    lispLibs = [ (getAttr "cl-graph_plus_hu_dot_dwim_dot_graphviz" self) (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_contextl" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_web-server_dot_application" self) (getAttr "iolib" self) (getAttr "moptilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_presentation_plus_cl-graph_plus_cl-typesetting = (build-asdf-system {
    pname = "hu.dwim.presentation+cl-graph+cl-typesetting";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+cl-graph+cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+cl-graph+cl-typesetting";
      asd = "hu.dwim.presentation+cl-graph+cl-typesetting";
    });
    systems = [ "hu.dwim.presentation+cl-graph+cl-typesetting" ];
    lispLibs = [ (getAttr "cl-graph" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation_plus_cl-typesetting" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_presentation_plus_cl-typesetting = (build-asdf-system {
    pname = "hu.dwim.presentation+cl-typesetting";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+cl-typesetting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+cl-typesetting";
      asd = "hu.dwim.presentation+cl-typesetting";
    });
    systems = [ "hu.dwim.presentation+cl-typesetting" ];
    lispLibs = [ (getAttr "cl-typesetting" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_presentation_plus_hu_dot_dwim_dot_stefil = (build-asdf-system {
    pname = "hu.dwim.presentation+hu.dwim.stefil";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+hu.dwim.stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+hu.dwim.stefil";
      asd = "hu.dwim.presentation+hu.dwim.stefil";
    });
    systems = [ "hu.dwim.presentation+hu.dwim.stefil" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_presentation_plus_hu_dot_dwim_dot_web-server = (build-asdf-system {
    pname = "hu.dwim.presentation+hu.dwim.web-server";
    version = "20211230-darcs";
    asds = [ "hu.dwim.presentation+hu.dwim.web-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.presentation/2021-12-30/hu.dwim.presentation-20211230-darcs.tgz";
      sha256 = "06y08z2pa3ra8hwn46n4kygf6vhq68nh73x4gzh4skx379hb4fgp";
      system = "hu.dwim.presentation+hu.dwim.web-server";
      asd = "hu.dwim.presentation+hu.dwim.web-server";
    });
    systems = [ "hu.dwim.presentation+hu.dwim.web-server" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_web-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote = (build-asdf-system {
    pname = "hu.dwim.quasi-quote";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote";
      asd = "hu.dwim.quasi-quote";
    });
    systems = [ "hu.dwim.quasi-quote" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "babel-streams" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_css = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.css";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.css" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.css";
      asd = "hu.dwim.quasi-quote.css";
    });
    systems = [ "hu.dwim.quasi-quote.css" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_js = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.js";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.js";
      asd = "hu.dwim.quasi-quote.js";
    });
    systems = [ "hu.dwim.quasi-quote.js" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_pdf = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.pdf";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.pdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.pdf";
      asd = "hu.dwim.quasi-quote.pdf";
    });
    systems = [ "hu.dwim.quasi-quote.pdf" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_xml = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.xml";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml";
      asd = "hu.dwim.quasi-quote.xml";
    });
    systems = [ "hu.dwim.quasi-quote.xml" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_xml_plus_cxml = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.xml+cxml";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml+cxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml+cxml";
      asd = "hu.dwim.quasi-quote.xml+cxml";
    });
    systems = [ "hu.dwim.quasi-quote.xml+cxml" ];
    lispLibs = [ (getAttr "cxml" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_quasi-quote_dot_xml_plus_hu_dot_dwim_dot_quasi-quote_dot_js = (build-asdf-system {
    pname = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
    version = "stable-git";
    asds = [ "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.quasi-quote/2022-07-07/hu.dwim.quasi-quote-stable-git.tgz";
      sha256 = "1bawkv7ppn6yay1dd6vvmf9bz2400jvks1w8bqmslv8facfhbprm";
      system = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
      asd = "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js";
    });
    systems = [ "hu.dwim.quasi-quote.xml+hu.dwim.quasi-quote.js" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_js" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms = (build-asdf-system {
    pname = "hu.dwim.rdbms";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms";
      asd = "hu.dwim.rdbms";
    });
    systems = [ "hu.dwim.rdbms" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) (getAttr "ironclad" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_all = (build-asdf-system {
    pname = "hu.dwim.rdbms.all";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.all";
      asd = "hu.dwim.rdbms.all";
    });
    systems = [ "hu.dwim.rdbms.all" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_all_dot_test = (build-asdf-system {
    pname = "hu.dwim.rdbms.all.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.all.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.all.test";
      asd = "hu.dwim.rdbms.all.test";
    });
    systems = [ "hu.dwim.rdbms.all.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle_dot_test" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql_dot_test" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.rdbms.documentation";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.documentation";
      asd = "hu.dwim.rdbms.documentation";
    });
    systems = [ "hu.dwim.rdbms.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_all_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_oracle = (build-asdf-system {
    pname = "hu.dwim.rdbms.oracle";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.oracle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.oracle";
      asd = "hu.dwim.rdbms.oracle";
    });
    systems = [ "hu.dwim.rdbms.oracle" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_oracle_dot_test = (build-asdf-system {
    pname = "hu.dwim.rdbms.oracle.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.oracle.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.oracle.test";
      asd = "hu.dwim.rdbms.oracle.test";
    });
    systems = [ "hu.dwim.rdbms.oracle.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_oracle" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_postgresql = (build-asdf-system {
    pname = "hu.dwim.rdbms.postgresql";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.postgresql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.postgresql";
      asd = "hu.dwim.rdbms.postgresql";
    });
    systems = [ "hu.dwim.rdbms.postgresql" ];
    lispLibs = [ (getAttr "cl-postgres_plus_local-time" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_postgresql_dot_test = (build-asdf-system {
    pname = "hu.dwim.rdbms.postgresql.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.postgresql.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.postgresql.test";
      asd = "hu.dwim.rdbms.postgresql.test";
    });
    systems = [ "hu.dwim.rdbms.postgresql.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_postgresql" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_sqlite = (build-asdf-system {
    pname = "hu.dwim.rdbms.sqlite";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.sqlite";
      asd = "hu.dwim.rdbms.sqlite";
    });
    systems = [ "hu.dwim.rdbms.sqlite" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_sqlite_dot_test = (build-asdf-system {
    pname = "hu.dwim.rdbms.sqlite.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.sqlite.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.sqlite.test";
      asd = "hu.dwim.rdbms.sqlite.test";
    });
    systems = [ "hu.dwim.rdbms.sqlite.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_sqlite" self) (getAttr "hu_dot_dwim_dot_rdbms_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_rdbms_dot_test = (build-asdf-system {
    pname = "hu.dwim.rdbms.test";
    version = "20201016-darcs";
    asds = [ "hu.dwim.rdbms.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.rdbms/2020-10-16/hu.dwim.rdbms-20201016-darcs.tgz";
      sha256 = "1rklr82ibwmfffijmpy8mlm6vnylykajzk7r1g0mn28si3map3av";
      system = "hu.dwim.rdbms.test";
      asd = "hu.dwim.rdbms.test";
    });
    systems = [ "hu.dwim.rdbms.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_rdbms" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_reiterate = (build-asdf-system {
    pname = "hu.dwim.reiterate";
    version = "stable-git";
    asds = [ "hu.dwim.reiterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.reiterate/2021-12-30/hu.dwim.reiterate-stable-git.tgz";
      sha256 = "0h6cgg385ivgc6942xal09c7n9vmy6gn4y3zz4zafc1qyl5jwyv9";
      system = "hu.dwim.reiterate";
      asd = "hu.dwim.reiterate";
    });
    systems = [ "hu.dwim.reiterate" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common-lisp" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_reiterate_plus_hu_dot_dwim_dot_logger = (build-asdf-system {
    pname = "hu.dwim.reiterate+hu.dwim.logger";
    version = "stable-git";
    asds = [ "hu.dwim.reiterate+hu.dwim.logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.reiterate/2021-12-30/hu.dwim.reiterate-stable-git.tgz";
      sha256 = "0h6cgg385ivgc6942xal09c7n9vmy6gn4y3zz4zafc1qyl5jwyv9";
      system = "hu.dwim.reiterate+hu.dwim.logger";
      asd = "hu.dwim.reiterate+hu.dwim.logger";
    });
    systems = [ "hu.dwim.reiterate+hu.dwim.logger" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_reiterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_sdl = (build-asdf-system {
    pname = "hu.dwim.sdl";
    version = "stable-git";
    asds = [ "hu.dwim.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.sdl/2022-07-07/hu.dwim.sdl-stable-git.tgz";
      sha256 = "175kha5f7kvis2nlxbzrybswbr62lgmjh691ajwl5i9y7andqhq2";
      system = "hu.dwim.sdl";
      asd = "hu.dwim.sdl";
    });
    systems = [ "hu.dwim.sdl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_serializer = (build-asdf-system {
    pname = "hu.dwim.serializer";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer";
      asd = "hu.dwim.serializer";
    });
    systems = [ "hu.dwim.serializer" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_serializer_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.serializer.documentation";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer.documentation";
      asd = "hu.dwim.serializer.documentation";
    });
    systems = [ "hu.dwim.serializer.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_serializer_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_serializer_dot_test = (build-asdf-system {
    pname = "hu.dwim.serializer.test";
    version = "20161204-darcs";
    asds = [ "hu.dwim.serializer.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.serializer/2016-12-04/hu.dwim.serializer-20161204-darcs.tgz";
      sha256 = "1c4zl2ql4w7nw8vrcrhhq45c5yhbcp4z5qpp1yxjpd3002q2lbh2";
      system = "hu.dwim.serializer.test";
      asd = "hu.dwim.serializer.test";
    });
    systems = [ "hu.dwim.serializer.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_serializer" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_stefil = (build-asdf-system {
    pname = "hu.dwim.stefil";
    version = "stable-git";
    asds = [ "hu.dwim.stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil";
      asd = "hu.dwim.stefil";
    });
    systems = [ "hu.dwim.stefil" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def = (build-asdf-system {
    pname = "hu.dwim.stefil+hu.dwim.def";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+hu.dwim.def" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+hu.dwim.def";
      asd = "hu.dwim.stefil+hu.dwim.def";
    });
    systems = [ "hu.dwim.stefil+hu.dwim.def" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_stefil" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank = (build-asdf-system {
    pname = "hu.dwim.stefil+hu.dwim.def+swank";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+hu.dwim.def+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+hu.dwim.def+swank";
      asd = "hu.dwim.stefil+hu.dwim.def+swank";
    });
    systems = [ "hu.dwim.stefil+hu.dwim.def+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_stefil_plus_swank" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_stefil_plus_swank = (build-asdf-system {
    pname = "hu.dwim.stefil+swank";
    version = "stable-git";
    asds = [ "hu.dwim.stefil+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.stefil/2021-12-30/hu.dwim.stefil-stable-git.tgz";
      sha256 = "0sra6psvrlpx9w7xjikm6ph2qlmgi9lr1kagpsiafxq4dnqlxjsx";
      system = "hu.dwim.stefil+swank";
      asd = "hu.dwim.stefil+swank";
    });
    systems = [ "hu.dwim.stefil+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "swank" self) ];
    meta = {};
  });
  hu_dot_dwim_dot_syntax-sugar = (build-asdf-system {
    pname = "hu.dwim.syntax-sugar";
    version = "stable-git";
    asds = [ "hu.dwim.syntax-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2023-02-14/hu.dwim.syntax-sugar-stable-git.tgz";
      sha256 = "1cy474di8njy4s39n7kn2w9jw39n4rssrk0fghrj0gabfxiz4wv9";
      system = "hu.dwim.syntax-sugar";
      asd = "hu.dwim.syntax-sugar";
    });
    systems = [ "hu.dwim.syntax-sugar" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_syntax-sugar_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.syntax-sugar.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.syntax-sugar.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2023-02-14/hu.dwim.syntax-sugar-stable-git.tgz";
      sha256 = "1cy474di8njy4s39n7kn2w9jw39n4rssrk0fghrj0gabfxiz4wv9";
      system = "hu.dwim.syntax-sugar.documentation";
      asd = "hu.dwim.syntax-sugar.documentation";
    });
    systems = [ "hu.dwim.syntax-sugar.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_syntax-sugar_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_syntax-sugar_dot_test = (build-asdf-system {
    pname = "hu.dwim.syntax-sugar.test";
    version = "stable-git";
    asds = [ "hu.dwim.syntax-sugar.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.syntax-sugar/2023-02-14/hu.dwim.syntax-sugar-stable-git.tgz";
      sha256 = "1cy474di8njy4s39n7kn2w9jw39n4rssrk0fghrj0gabfxiz4wv9";
      system = "hu.dwim.syntax-sugar.test";
      asd = "hu.dwim.syntax-sugar.test";
    });
    systems = [ "hu.dwim.syntax-sugar.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_walker" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_uri = (build-asdf-system {
    pname = "hu.dwim.uri";
    version = "20180228-darcs";
    asds = [ "hu.dwim.uri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.uri/2018-02-28/hu.dwim.uri-20180228-darcs.tgz";
      sha256 = "0wvai7djmbry0b0j8vhzw3s8m30ghs2sml29gw6snh1pynh3c2ir";
      system = "hu.dwim.uri";
      asd = "hu.dwim.uri";
    });
    systems = [ "hu.dwim.uri" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_uri_dot_test = (build-asdf-system {
    pname = "hu.dwim.uri.test";
    version = "20180228-darcs";
    asds = [ "hu.dwim.uri.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.uri/2018-02-28/hu.dwim.uri-20180228-darcs.tgz";
      sha256 = "0wvai7djmbry0b0j8vhzw3s8m30ghs2sml29gw6snh1pynh3c2ir";
      system = "hu.dwim.uri.test";
      asd = "hu.dwim.uri.test";
    });
    systems = [ "hu.dwim.uri.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_uri" self) (getAttr "hu_dot_dwim_dot_util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_util = (build-asdf-system {
    pname = "hu.dwim.util";
    version = "stable-git";
    asds = [ "hu.dwim.util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util";
      asd = "hu.dwim.util";
    });
    systems = [ "hu.dwim.util" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_util_plus_iolib = (build-asdf-system {
    pname = "hu.dwim.util+iolib";
    version = "stable-git";
    asds = [ "hu.dwim.util+iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util+iolib";
      asd = "hu.dwim.util+iolib";
    });
    systems = [ "hu.dwim.util+iolib" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_util_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.util.documentation";
    version = "stable-git";
    asds = [ "hu.dwim.util.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util.documentation";
      asd = "hu.dwim.util.documentation";
    });
    systems = [ "hu.dwim.util.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_util_dot_test = (build-asdf-system {
    pname = "hu.dwim.util.test";
    version = "stable-git";
    asds = [ "hu.dwim.util.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.util/2021-12-30/hu.dwim.util-stable-git.tgz";
      sha256 = "01f0kvvaa94zkz5zzfaf8cbiihlp0l6627q3hmc0k154j3mdarmi";
      system = "hu.dwim.util.test";
      asd = "hu.dwim.util.test";
    });
    systems = [ "hu.dwim.util.test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "babel-streams" self) (getAttr "bordeaux-threads" self) (getAttr "cl-l10n" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "command-line-arguments" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_delico" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_perec_dot_postgresql" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_util_plus_iolib" self) (getAttr "hu_dot_dwim_dot_web-server_dot_application" self) (getAttr "iolib" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_walker = (build-asdf-system {
    pname = "hu.dwim.walker";
    version = "stable-git";
    asds = [ "hu.dwim.walker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.walker/2022-07-07/hu.dwim.walker-stable-git.tgz";
      sha256 = "0sw7z5iml82sklxjy1wr42mbp2qqml49ci36d6xsckar0sqsc8vr";
      system = "hu.dwim.walker";
      asd = "hu.dwim.walker";
    });
    systems = [ "hu.dwim.walker" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "closer-mop" self) (getAttr "contextl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_contextl" self) (getAttr "hu_dot_dwim_dot_defclass-star_plus_hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server = (build-asdf-system {
    pname = "hu.dwim.web-server";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server";
      asd = "hu.dwim.web-server";
    });
    systems = [ "hu.dwim.web-server" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "babel-streams" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl_plus_ssl" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_computed-class" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_def_plus_cl-l10n" self) (getAttr "hu_dot_dwim_dot_def_plus_contextl" self) (getAttr "hu_dot_dwim_dot_def_plus_hu_dot_dwim_dot_delico" self) (getAttr "hu_dot_dwim_dot_logger_plus_iolib" self) (getAttr "hu_dot_dwim_dot_quasi-quote_dot_xml_plus_hu_dot_dwim_dot_quasi-quote_dot_js" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_uri" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_zlib" self) (getAttr "iolib" self) (getAttr "local-time" self) (getAttr "parse-number" self) (getAttr "rfc2109" self) (getAttr "rfc2388-binary" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_plus_swank = (build-asdf-system {
    pname = "hu.dwim.web-server+swank";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server+swank";
      asd = "hu.dwim.web-server+swank";
    });
    systems = [ "hu.dwim.web-server+swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_web-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_application = (build-asdf-system {
    pname = "hu.dwim.web-server.application";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application";
      asd = "hu.dwim.web-server.application";
    });
    systems = [ "hu.dwim.web-server.application" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_web-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_application_plus_hu_dot_dwim_dot_perec = (build-asdf-system {
    pname = "hu.dwim.web-server.application+hu.dwim.perec";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application+hu.dwim.perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application+hu.dwim.perec";
      asd = "hu.dwim.web-server.application+hu.dwim.perec";
    });
    systems = [ "hu.dwim.web-server.application+hu.dwim.perec" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "hu_dot_dwim_dot_web-server_dot_application" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_application_dot_test = (build-asdf-system {
    pname = "hu.dwim.web-server.application.test";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.application.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.application.test";
      asd = "hu.dwim.web-server.application.test";
    });
    systems = [ "hu.dwim.web-server.application.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_web-server_dot_application" self) (getAttr "hu_dot_dwim_dot_web-server_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_documentation = (build-asdf-system {
    pname = "hu.dwim.web-server.documentation";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.documentation";
      asd = "hu.dwim.web-server.documentation";
    });
    systems = [ "hu.dwim.web-server.documentation" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_presentation" self) (getAttr "hu_dot_dwim_dot_web-server_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_test = (build-asdf-system {
    pname = "hu.dwim.web-server.test";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.test";
      asd = "hu.dwim.web-server.test";
    });
    systems = [ "hu.dwim.web-server.test" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_computed-class_plus_hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "hu_dot_dwim_dot_web-server" self) (getAttr "hu_dot_dwim_dot_web-server_plus_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_web-server_dot_websocket = (build-asdf-system {
    pname = "hu.dwim.web-server.websocket";
    version = "20220707-darcs";
    asds = [ "hu.dwim.web-server.websocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.web-server/2022-07-07/hu.dwim.web-server-20220707-darcs.tgz";
      sha256 = "0kz8v5qlyj96rjvqic031f6c405zrpsyqnlkh2mvlsmc7rqg2zjf";
      system = "hu.dwim.web-server.websocket";
      asd = "hu.dwim.web-server.websocket";
    });
    systems = [ "hu.dwim.web-server.websocket" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_web-server" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hu_dot_dwim_dot_zlib = (build-asdf-system {
    pname = "hu.dwim.zlib";
    version = "stable-git";
    asds = [ "hu.dwim.zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hu.dwim.zlib/2022-07-07/hu.dwim.zlib-stable-git.tgz";
      sha256 = "1yrsbl6rmsp6sdaj9yzwx1bpbs529akndxnpplafw31195khnxm1";
      system = "hu.dwim.zlib";
      asd = "hu.dwim.zlib";
    });
    systems = [ "hu.dwim.zlib" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "hu_dot_dwim_dot_asdf" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  huffman = (build-asdf-system {
    pname = "huffman";
    version = "20181018-git";
    asds = [ "huffman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/huffman/2018-10-18/huffman-20181018-git.tgz";
      sha256 = "05b3ql5szzi4vsry76i76483mxf9m5i9620hdshykh5rbfiarvcx";
      system = "huffman";
      asd = "huffman";
    });
    systems = [ "huffman" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  humbler = (build-asdf-system {
    pname = "humbler";
    version = "20190710-git";
    asds = [ "humbler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/humbler/2019-07-10/humbler-20190710-git.tgz";
      sha256 = "0s7li33q3ww1ka76v6pdjv5pnvwgs695wj9ciijy9cqxxp2x8vx0";
      system = "humbler";
      asd = "humbler";
    });
    systems = [ "humbler" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "local-time" self) (getAttr "north-core" self) (getAttr "trivial-mimes" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchensocket = (build-asdf-system {
    pname = "hunchensocket";
    version = "20221106-git";
    asds = [ "hunchensocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchensocket/2022-11-06/hunchensocket-20221106-git.tgz";
      sha256 = "1vhd009lwl62l1czmhsalblxmyz4x9v3nspjflpajwm1db5rnd7h";
      system = "hunchensocket";
      asd = "hunchensocket";
    });
    systems = [ "hunchensocket" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "chunga" self) (getAttr "cl-base64" self) (getAttr "cl-fad" self) (getAttr "flexi-streams" self) (getAttr "hunchentoot" self) (getAttr "sha1" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-utf-8" self) ];
    meta = {};
  });
  hunchensocket-tests = (build-asdf-system {
    pname = "hunchensocket-tests";
    version = "20221106-git";
    asds = [ "hunchensocket-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchensocket/2022-11-06/hunchensocket-20221106-git.tgz";
      sha256 = "1vhd009lwl62l1czmhsalblxmyz4x9v3nspjflpajwm1db5rnd7h";
      system = "hunchensocket-tests";
      asd = "hunchensocket";
    });
    systems = [ "hunchensocket-tests" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "hunchensocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentools = (build-asdf-system {
    pname = "hunchentools";
    version = "20161204-git";
    asds = [ "hunchentools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentools/2016-12-04/hunchentools-20161204-git.tgz";
      sha256 = "12r1ml1xxhyz646nnxqzixfisljjaracwp9jhwl3wb285qbmai4b";
      system = "hunchentools";
      asd = "hunchentools";
    });
    systems = [ "hunchentools" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot = (build-asdf-system {
    pname = "hunchentoot";
    version = "v1.3.0";
    asds = [ "hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "chunga" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "md5" self) (getAttr "rfc2388" self) (getAttr "trivial-backtrace" self) (getAttr "usocket" self) ];
    meta = {};
  });
  hunchentoot-auth = (build-asdf-system {
    pname = "hunchentoot-auth";
    version = "20140113-git";
    asds = [ "hunchentoot-auth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-auth/2014-01-13/hunchentoot-auth-20140113-git.tgz";
      sha256 = "1bc70lh2jvk6gqmhczgv0indxk6j5whxbh7gylrlbv16041sdkbj";
      system = "hunchentoot-auth";
      asd = "hunchentoot-auth";
    });
    systems = [ "hunchentoot-auth" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-store" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-cgi = (build-asdf-system {
    pname = "hunchentoot-cgi";
    version = "20140211-git";
    asds = [ "hunchentoot-cgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-cgi/2014-02-11/hunchentoot-cgi-20140211-git.tgz";
      sha256 = "0al6qfs6661avhywsqxh3nwyhl1d1gip3yx57b8siczjarpgpawc";
      system = "hunchentoot-cgi";
      asd = "hunchentoot-cgi";
    });
    systems = [ "hunchentoot-cgi" ];
    lispLibs = [ (getAttr "hunchentoot" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-dev = (build-asdf-system {
    pname = "hunchentoot-dev";
    version = "v1.3.0";
    asds = [ "hunchentoot-dev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot-dev";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot-dev" ];
    lispLibs = [ (getAttr "cxml-stp" self) (getAttr "hunchentoot" self) (getAttr "hunchentoot-test" self) (getAttr "swank" self) (getAttr "xpath" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-errors = (build-asdf-system {
    pname = "hunchentoot-errors";
    version = "20221106-git";
    asds = [ "hunchentoot-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-errors/2022-11-06/hunchentoot-errors-20221106-git.tgz";
      sha256 = "1wv4p1wyz40kk9z4dabyk4xqlv78zq3inhvaqnwrhxww2w2cim5z";
      system = "hunchentoot-errors";
      asd = "hunchentoot-errors";
    });
    systems = [ "hunchentoot-errors" ];
    lispLibs = [ (getAttr "cl-mimeparse" self) (getAttr "hunchentoot" self) (getAttr "parse-number" self) (getAttr "string-case" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-multi-acceptor = (build-asdf-system {
    pname = "hunchentoot-multi-acceptor";
    version = "20220331-git";
    asds = [ "hunchentoot-multi-acceptor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-multi-acceptor/2022-03-31/hunchentoot-multi-acceptor-20220331-git.tgz";
      sha256 = "0m42dw8x0bp03n4hx4ppf45gjg14igf69z4rn7dslch6km58mrha";
      system = "hunchentoot-multi-acceptor";
      asd = "hunchentoot-multi-acceptor";
    });
    systems = [ "hunchentoot-multi-acceptor" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "hunchentoot" self) (getAttr "str" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-single-signon = (build-asdf-system {
    pname = "hunchentoot-single-signon";
    version = "20131111-git";
    asds = [ "hunchentoot-single-signon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot-single-signon/2013-11-11/hunchentoot-single-signon-20131111-git.tgz";
      sha256 = "0dh16k4105isqwnkl52m55m6cbl7g8wmcrym8175r2zr6qcbghq8";
      system = "hunchentoot-single-signon";
      asd = "hunchentoot-single-signon";
    });
    systems = [ "hunchentoot-single-signon" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-gss" self) (getAttr "hunchentoot" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hunchentoot-test = (build-asdf-system {
    pname = "hunchentoot-test";
    version = "v1.3.0";
    asds = [ "hunchentoot-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchentoot/2020-06-10/hunchentoot-v1.3.0.tgz";
      sha256 = "1z0m45lp6rv59g69l44gj3q3d2bmjlhqzpii0vgkniam21dcimy9";
      system = "hunchentoot-test";
      asd = "hunchentoot";
    });
    systems = [ "hunchentoot-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hyperluminal-mem = (build-asdf-system {
    pname = "hyperluminal-mem";
    version = "20210630-git";
    asds = [ "hyperluminal-mem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperluminal-mem/2021-06-30/hyperluminal-mem-20210630-git.tgz";
      sha256 = "0qp00g43v518j0wccqnpglkrpikagnn9naphb29wbil6k7y9y7r9";
      system = "hyperluminal-mem";
      asd = "hyperluminal-mem";
    });
    systems = [ "hyperluminal-mem" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "osicat" self) (getAttr "stmx" self) (getAttr "swap-bytes" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hyperluminal-mem-test = (build-asdf-system {
    pname = "hyperluminal-mem-test";
    version = "20210630-git";
    asds = [ "hyperluminal-mem-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperluminal-mem/2021-06-30/hyperluminal-mem-20210630-git.tgz";
      sha256 = "0qp00g43v518j0wccqnpglkrpikagnn9naphb29wbil6k7y9y7r9";
      system = "hyperluminal-mem-test";
      asd = "hyperluminal-mem-test";
    });
    systems = [ "hyperluminal-mem-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "hyperluminal-mem" self) (getAttr "log4cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hyperobject = (build-asdf-system {
    pname = "hyperobject";
    version = "20201016-git";
    asds = [ "hyperobject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperobject/2020-10-16/hyperobject-20201016-git.tgz";
      sha256 = "1ggqlvwcd52c2d4k8csy7qciaq7lyldi0rpk3b9x4rw4gllcch8n";
      system = "hyperobject";
      asd = "hyperobject";
    });
    systems = [ "hyperobject" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  hyperspec = (build-asdf-system {
    pname = "hyperspec";
    version = "20181210-git";
    asds = [ "hyperspec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hyperspec/2018-12-10/hyperspec-20181210-git.tgz";
      sha256 = "0zh1dq2451xw7yiycdr2mrcjx6rgnqnm8c8l9zhhn7hnf51b4x5l";
      system = "hyperspec";
      asd = "hyperspec";
    });
    systems = [ "hyperspec" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ia-hash-table = (build-asdf-system {
    pname = "ia-hash-table";
    version = "20160318-git";
    asds = [ "ia-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ia-hash-table/2016-03-18/ia-hash-table-20160318-git.tgz";
      sha256 = "11wnwjxa528yyjnfsvw315hyvq3lc996dwx83isdg4hlirj3amy4";
      system = "ia-hash-table";
      asd = "ia-hash-table";
    });
    systems = [ "ia-hash-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ia-hash-table_dot_test = (build-asdf-system {
    pname = "ia-hash-table.test";
    version = "20160318-git";
    asds = [ "ia-hash-table.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ia-hash-table/2016-03-18/ia-hash-table-20160318-git.tgz";
      sha256 = "11wnwjxa528yyjnfsvw315hyvq3lc996dwx83isdg4hlirj3amy4";
      system = "ia-hash-table.test";
      asd = "ia-hash-table.test";
    });
    systems = [ "ia-hash-table.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "ia-hash-table" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  iclendar = (build-asdf-system {
    pname = "iclendar";
    version = "20230618-git";
    asds = [ "iclendar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iclendar/2023-06-18/iclendar-20230618-git.tgz";
      sha256 = "0ng6ss9bwnf9xkxkhn7fi624ydn4vbp60v2ddsx1qdil0y7hg72d";
      system = "iclendar";
      asd = "iclendar";
    });
    systems = [ "iclendar" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "closer-mop" self) (getAttr "documentation-utils" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  iconv = (build-asdf-system {
    pname = "iconv";
    version = "20171227-git";
    asds = [ "iconv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-iconv/2017-12-27/cl-iconv-20171227-git.tgz";
      sha256 = "1lpw95c02inifhdh9kkab9q92i5w9zd788dww1wly2p0a6kyx9wg";
      system = "iconv";
      asd = "iconv";
    });
    systems = [ "iconv" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  id3v2 = (build-asdf-system {
    pname = "id3v2";
    version = "20160208-git";
    asds = [ "id3v2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/id3v2/2016-02-08/id3v2-20160208-git.tgz";
      sha256 = "0x017dfh9m80b8ml2vsgdcfs4kv7p06yzmwdilf1k8nfsilwpfra";
      system = "id3v2";
      asd = "id3v2";
    });
    systems = [ "id3v2" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  id3v2-test = (build-asdf-system {
    pname = "id3v2-test";
    version = "20160208-git";
    asds = [ "id3v2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/id3v2/2016-02-08/id3v2-20160208-git.tgz";
      sha256 = "0x017dfh9m80b8ml2vsgdcfs4kv7p06yzmwdilf1k8nfsilwpfra";
      system = "id3v2-test";
      asd = "id3v2-test";
    });
    systems = [ "id3v2-test" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "id3v2" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  identifier-pool = (build-asdf-system {
    pname = "identifier-pool";
    version = "20220707-git";
    asds = [ "identifier-pool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/identifier-pool/2022-07-07/identifier-pool-20220707-git.tgz";
      sha256 = "01fs960s02nf8m3a5v95r12magq9rvgcc3awcppqa7c8yg7qdc55";
      system = "identifier-pool";
      asd = "identifier-pool";
    });
    systems = [ "identifier-pool" ];
    lispLibs = [ (getAttr "dynamic-array" self) (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  idna = (build-asdf-system {
    pname = "idna";
    version = "20120107-git";
    asds = [ "idna" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/idna/2012-01-07/idna-20120107-git.tgz";
      sha256 = "00nbr3mffxhlq14gg9d16pa6691s4qh35inyw76v906s77khm5a2";
      system = "idna";
      asd = "idna";
    });
    systems = [ "idna" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {};
  });
  ieee-floats = (build-asdf-system {
    pname = "ieee-floats";
    version = "20220220-git";
    asds = [ "ieee-floats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ieee-floats/2022-02-20/ieee-floats-20220220-git.tgz";
      sha256 = "0qp2dxq9jzndjfmc8nh0fvcwrrxjm7f012biczipifjckp9gxw7d";
      system = "ieee-floats";
      asd = "ieee-floats";
    });
    systems = [ "ieee-floats" ];
    lispLibs = [  ];
    meta = {};
  });
  illogical-pathnames = (build-asdf-system {
    pname = "illogical-pathnames";
    version = "20160825-git";
    asds = [ "illogical-pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illogical-pathnames/2016-08-25/illogical-pathnames-20160825-git.tgz";
      sha256 = "1yjs1lzgak1d3hz2q6sbac98vqgdxp0dz72fskpz73vrbp6h6da5";
      system = "illogical-pathnames";
      asd = "illogical-pathnames";
    });
    systems = [ "illogical-pathnames" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  illusion = (build-asdf-system {
    pname = "illusion";
    version = "20180831-git";
    asds = [ "illusion" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illusion/2018-08-31/illusion-20180831-git.tgz";
      sha256 = "05wik6q8hlhm7szzymkljfigcp7z35j6rz2ihsmng1y6zq9crk7z";
      system = "illusion";
      asd = "illusion";
    });
    systems = [ "illusion" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "let-over-lambda" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  illusion-test = (build-asdf-system {
    pname = "illusion-test";
    version = "20180831-git";
    asds = [ "illusion-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/illusion/2018-08-31/illusion-20180831-git.tgz";
      sha256 = "05wik6q8hlhm7szzymkljfigcp7z35j6rz2ihsmng1y6zq9crk7z";
      system = "illusion-test";
      asd = "illusion-test";
    });
    systems = [ "illusion-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "illusion" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  image = (build-asdf-system {
    pname = "image";
    version = "20120107-git";
    asds = [ "image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/image/2012-01-07/image-20120107-git.tgz";
      sha256 = "04by1snzw2kpw208fdi2azxbq5y2q2r6x8zkdh7jk43amkr18f5k";
      system = "image";
      asd = "image";
    });
    systems = [ "image" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "gzip-stream" self) (getAttr "skippy" self) (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  image-test = (build-asdf-system {
    pname = "image-test";
    version = "20211020-git";
    asds = [ "image-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "image-test";
      asd = "image-test";
    });
    systems = [ "image-test" ];
    lispLibs = [ (getAttr "png" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  image-utility = (build-asdf-system {
    pname = "image-utility";
    version = "20200427-git";
    asds = [ "image-utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "image-utility";
      asd = "image-utility";
    });
    systems = [ "image-utility" ];
    lispLibs = [ (getAttr "opticl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  imago = (build-asdf-system {
    pname = "imago";
    version = "20230618-git";
    asds = [ "imago" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/imago/2023-06-18/imago-20230618-git.tgz";
      sha256 = "0inp7r8wmvncxrb4vcnb982wf4njgvxyf1ldbrygpm23lp1xnqra";
      system = "imago";
      asd = "imago";
    });
    systems = [ "imago" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "array-operations" self) (getAttr "cl-jpeg" self) (getAttr "flexi-streams" self) (getAttr "serapeum" self) (getAttr "trivial-gray-streams" self) (getAttr "zlib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  immutable-struct = (build-asdf-system {
    pname = "immutable-struct";
    version = "20150709-git";
    asds = [ "immutable-struct" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/immutable-struct/2015-07-09/immutable-struct-20150709-git.tgz";
      sha256 = "02868d21hcc0kc3jw8afx23kj6iy1vyf2pddn8yqfrkpldhd0rv9";
      system = "immutable-struct";
      asd = "immutable-struct";
    });
    systems = [ "immutable-struct" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  in-nomine = (build-asdf-system {
    pname = "in-nomine";
    version = "20230618-git";
    asds = [ "in-nomine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/in-nomine/2023-06-18/in-nomine-20230618-git.tgz";
      sha256 = "1bs44mb9gd425w7d8d0f60khllq3jqb77fp3xms578if35cdv53p";
      system = "in-nomine";
      asd = "in-nomine";
    });
    systems = [ "in-nomine" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  incf-cl = (build-asdf-system {
    pname = "incf-cl";
    version = "20190710-git";
    asds = [ "incf-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incf-cl/2019-07-10/incf-cl-20190710-git.tgz";
      sha256 = "1yvwb57dzccvd2lw2h3mwxgbi8ml3cgkyy8kl8hwhd4s8c016ibb";
      system = "incf-cl";
      asd = "incf-cl";
    });
    systems = [ "incf-cl" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  incognito-keywords = (build-asdf-system {
    pname = "incognito-keywords";
    version = "1.1";
    asds = [ "incognito-keywords" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incognito-keywords/2013-01-28/incognito-keywords-1.1.tgz";
      sha256 = "1ignvz8v7bq8z9x22skzp1xsna2bxqcw22zh5sp9v2ndbjhqri5c";
      system = "incognito-keywords";
      asd = "incognito-keywords";
    });
    systems = [ "incognito-keywords" ];
    lispLibs = [ (getAttr "enhanced-eval-when" self) (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  incongruent-methods = (build-asdf-system {
    pname = "incongruent-methods";
    version = "20130312-git";
    asds = [ "incongruent-methods" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/incongruent-methods/2013-03-12/incongruent-methods-20130312-git.tgz";
      sha256 = "15xfbpnqymbkk92vbirvccxcphyvjmxcw02yv1zs6c78aaf4ms9z";
      system = "incongruent-methods";
      asd = "incongruent-methods";
    });
    systems = [ "incongruent-methods" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inferior-shell = (build-asdf-system {
    pname = "inferior-shell";
    version = "20200925-git";
    asds = [ "inferior-shell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inferior-shell/2020-09-25/inferior-shell-20200925-git.tgz";
      sha256 = "02qx37zzk5j4xmwh77k2qa2wvnzvaj6qml5dh2q7b6b1ljvgcj4m";
      system = "inferior-shell";
      asd = "inferior-shell";
    });
    systems = [ "inferior-shell" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fare-mop" self) (getAttr "fare-quasiquote-extras" self) (getAttr "fare-utils" self) (getAttr "trivia" self) (getAttr "trivia_dot_quasiquote" self) ];
    meta = {};
  });
  infix = (build-asdf-system {
    pname = "infix";
    version = "20210411-git";
    asds = [ "infix" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "infix";
      asd = "infix";
    });
    systems = [ "infix" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  infix-dollar-reader = (build-asdf-system {
    pname = "infix-dollar-reader";
    version = "20121013-git";
    asds = [ "infix-dollar-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-dollar-reader/2012-10-13/infix-dollar-reader-20121013-git.tgz";
      sha256 = "11sf4kqcw8s0zcjz1qpbhkn33rizvq5ijl6xp59q9wadvkd0wx0w";
      system = "infix-dollar-reader";
      asd = "infix-dollar-reader";
    });
    systems = [ "infix-dollar-reader" ];
    lispLibs = [ (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  infix-dollar-reader-test = (build-asdf-system {
    pname = "infix-dollar-reader-test";
    version = "20121013-git";
    asds = [ "infix-dollar-reader-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-dollar-reader/2012-10-13/infix-dollar-reader-20121013-git.tgz";
      sha256 = "11sf4kqcw8s0zcjz1qpbhkn33rizvq5ijl6xp59q9wadvkd0wx0w";
      system = "infix-dollar-reader-test";
      asd = "infix-dollar-reader-test";
    });
    systems = [ "infix-dollar-reader-test" ];
    lispLibs = [ (getAttr "infix-dollar-reader" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  infix-math = (build-asdf-system {
    pname = "infix-math";
    version = "20211020-git";
    asds = [ "infix-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-math/2021-10-20/infix-math-20211020-git.tgz";
      sha256 = "1h6p254xl793wfq3qla5y95k6zimy477f8brblx6ran3rg3bydbg";
      system = "infix-math";
      asd = "infix-math";
    });
    systems = [ "infix-math" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-package-system" self) (getAttr "parse-number" self) (getAttr "serapeum" self) (getAttr "wu-decimal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  infix-reader = (build-asdf-system {
    pname = "infix-reader";
    version = "20221106-git";
    asds = [ "infix-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/infix-reader/2022-11-06/infix-reader-20221106-git.tgz";
      sha256 = "16b6cw4w80p3yxsv0pqaiq0ay1v3jswlav2mlfsmhawpvhxsmb7z";
      system = "infix-reader";
      asd = "infix-reader";
    });
    systems = [ "infix-reader" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inheriting-readers = (build-asdf-system {
    pname = "inheriting-readers";
    version = "1.0.1";
    asds = [ "inheriting-readers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inheriting-readers/2021-01-24/inheriting-readers_1.0.1.tgz";
      sha256 = "0km3mq6vx1q9qv6j3r4sqqcsdbnb5jar66bl0mzzpaacfvzbx68p";
      system = "inheriting-readers";
      asd = "inheriting-readers";
    });
    systems = [ "inheriting-readers" ];
    lispLibs = [ (getAttr "class-options" self) (getAttr "closer-mop" self) (getAttr "compatible-metaclasses" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inheriting-readers__tests = (build-asdf-system {
    pname = "inheriting-readers_tests";
    version = "1.0.1";
    asds = [ "inheriting-readers_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inheriting-readers/2021-01-24/inheriting-readers_1.0.1.tgz";
      sha256 = "0km3mq6vx1q9qv6j3r4sqqcsdbnb5jar66bl0mzzpaacfvzbx68p";
      system = "inheriting-readers_tests";
      asd = "inheriting-readers_tests";
    });
    systems = [ "inheriting-readers_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" self) (getAttr "inheriting-readers" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  injection = (build-asdf-system {
    pname = "injection";
    version = "20160531-git";
    asds = [ "injection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/injection/2016-05-31/injection-20160531-git.tgz";
      sha256 = "12f838ikgyl7gzh2dnqh54hfa8rncbkk266bsibmbbqxz0cn2da7";
      system = "injection";
      asd = "injection";
    });
    systems = [ "injection" ];
    lispLibs = [ (getAttr "cl-yaml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  injection-test = (build-asdf-system {
    pname = "injection-test";
    version = "20160531-git";
    asds = [ "injection-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/injection/2016-05-31/injection-20160531-git.tgz";
      sha256 = "12f838ikgyl7gzh2dnqh54hfa8rncbkk266bsibmbbqxz0cn2da7";
      system = "injection-test";
      asd = "injection-test";
    });
    systems = [ "injection-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "injection" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inkwell = (build-asdf-system {
    pname = "inkwell";
    version = "20190710-git";
    asds = [ "inkwell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inkwell/2019-07-10/inkwell-20190710-git.tgz";
      sha256 = "0wzd2j7wdi4dxrmvwk47h988l107ajvw3z609f0dg5vh6wad8pnk";
      system = "inkwell";
      asd = "inkwell";
    });
    systems = [ "inkwell" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "documentation-utils" self) (getAttr "drakma" self) (getAttr "local-time" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inlined-generic-function = (build-asdf-system {
    pname = "inlined-generic-function";
    version = "20190521-git";
    asds = [ "inlined-generic-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inlined-generic-function/2019-05-21/inlined-generic-function-20190521-git.tgz";
      sha256 = "0kj9p99m9hwx4lx95npfln5dc5ip884f8agjc6h4y0rhnpj7r8gk";
      system = "inlined-generic-function";
      asd = "inlined-generic-function";
    });
    systems = [ "inlined-generic-function" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "introspect-environment" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inlined-generic-function_dot_test = (build-asdf-system {
    pname = "inlined-generic-function.test";
    version = "20190521-git";
    asds = [ "inlined-generic-function.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inlined-generic-function/2019-05-21/inlined-generic-function-20190521-git.tgz";
      sha256 = "0kj9p99m9hwx4lx95npfln5dc5ip884f8agjc6h4y0rhnpj7r8gk";
      system = "inlined-generic-function.test";
      asd = "inlined-generic-function.test";
    });
    systems = [ "inlined-generic-function.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "inlined-generic-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inner-conditional = (build-asdf-system {
    pname = "inner-conditional";
    version = "20200925-git";
    asds = [ "inner-conditional" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inner-conditional/2020-09-25/inner-conditional-20200925-git.tgz";
      sha256 = "08vaq29l2bhv4n1c6zb3syddwpad66rghfy71fqidjvbag0ji71k";
      system = "inner-conditional";
      asd = "inner-conditional";
    });
    systems = [ "inner-conditional" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-syntax-annot" self) (getAttr "iterate" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inner-conditional-test = (build-asdf-system {
    pname = "inner-conditional-test";
    version = "20200925-git";
    asds = [ "inner-conditional-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inner-conditional/2020-09-25/inner-conditional-20200925-git.tgz";
      sha256 = "08vaq29l2bhv4n1c6zb3syddwpad66rghfy71fqidjvbag0ji71k";
      system = "inner-conditional-test";
      asd = "inner-conditional-test";
    });
    systems = [ "inner-conditional-test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "inner-conditional" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inotify = (build-asdf-system {
    pname = "inotify";
    version = "20150608-git";
    asds = [ "inotify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inotify/2015-06-08/inotify-20150608-git.tgz";
      sha256 = "0jill05wsa7xbnkycc1ik1a05slv2h34fpyap2rxbnxvfjvyzw98";
      system = "inotify";
      asd = "inotify";
    });
    systems = [ "inotify" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "iolib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  input-event-codes = (build-asdf-system {
    pname = "input-event-codes";
    version = "20221106-git";
    asds = [ "input-event-codes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/input-event-codes/2022-11-06/input-event-codes-20221106-git.tgz";
      sha256 = "1m96m9ia4frcn2xqaw4mfspjjzwl8gyj4k4rv0lq28va4s6mkgii";
      system = "input-event-codes";
      asd = "input-event-codes";
    });
    systems = [ "input-event-codes" ];
    lispLibs = [ (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inquisitor = (build-asdf-system {
    pname = "inquisitor";
    version = "20190521-git";
    asds = [ "inquisitor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor";
      asd = "inquisitor";
    });
    systems = [ "inquisitor" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inquisitor-flexi = (build-asdf-system {
    pname = "inquisitor-flexi";
    version = "20190521-git";
    asds = [ "inquisitor-flexi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-flexi";
      asd = "inquisitor-flexi";
    });
    systems = [ "inquisitor-flexi" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "inquisitor" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inquisitor-flexi-test = (build-asdf-system {
    pname = "inquisitor-flexi-test";
    version = "20190521-git";
    asds = [ "inquisitor-flexi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-flexi-test";
      asd = "inquisitor-flexi-test";
    });
    systems = [ "inquisitor-flexi-test" ];
    lispLibs = [ (getAttr "inquisitor-flexi" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  inquisitor-test = (build-asdf-system {
    pname = "inquisitor-test";
    version = "20190521-git";
    asds = [ "inquisitor-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/inquisitor/2019-05-21/inquisitor-20190521-git.tgz";
      sha256 = "08rkmqnwlq6v84wcz9yp31j5lxrsy33kv3dh7n3ccsg4kc54slzw";
      system = "inquisitor-test";
      asd = "inquisitor-test";
    });
    systems = [ "inquisitor-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "flexi-streams" self) (getAttr "inquisitor" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  instance-tracking = (build-asdf-system {
    pname = "instance-tracking";
    version = "20221106-git";
    asds = [ "instance-tracking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/instance-tracking/2022-11-06/instance-tracking-20221106-git.tgz";
      sha256 = "0bbxvl14ahws30x5dgjhilhybjgn1jfcbxwr8ji1ls31zf88fphr";
      system = "instance-tracking";
      asd = "instance-tracking";
    });
    systems = [ "instance-tracking" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  integral = (build-asdf-system {
    pname = "integral";
    version = "20200325-git";
    asds = [ "integral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral/2020-03-25/integral-20200325-git.tgz";
      sha256 = "17a9wg7n3f81fsi5mlsdxain1fw7ggfniipfrb9sr1ajff6lx9gs";
      system = "integral";
      asd = "integral";
    });
    systems = [ "integral" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax-annot" self) (getAttr "clos-fixtures" self) (getAttr "closer-mop" self) (getAttr "dbi" self) (getAttr "group-by" self) (getAttr "iterate" self) (getAttr "split-sequence" self) (getAttr "sxql" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  integral-rest = (build-asdf-system {
    pname = "integral-rest";
    version = "20150923-git";
    asds = [ "integral-rest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral-rest/2015-09-23/integral-rest-20150923-git.tgz";
      sha256 = "0187d9i7acw2v1hhy7wcz0vk90ji7cdgpaikb7admvzq0nnbzrmm";
      system = "integral-rest";
      asd = "integral-rest";
    });
    systems = [ "integral-rest" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-inflector" self) (getAttr "closer-mop" self) (getAttr "integral" self) (getAttr "jonathan" self) (getAttr "map-set" self) (getAttr "ningle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  integral-rest-test = (build-asdf-system {
    pname = "integral-rest-test";
    version = "20150923-git";
    asds = [ "integral-rest-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral-rest/2015-09-23/integral-rest-20150923-git.tgz";
      sha256 = "0187d9i7acw2v1hhy7wcz0vk90ji7cdgpaikb7admvzq0nnbzrmm";
      system = "integral-rest-test";
      asd = "integral-rest-test";
    });
    systems = [ "integral-rest-test" ];
    lispLibs = [ (getAttr "integral" self) (getAttr "integral-rest" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  integral-test = (build-asdf-system {
    pname = "integral-test";
    version = "20200325-git";
    asds = [ "integral-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/integral/2020-03-25/integral-20200325-git.tgz";
      sha256 = "17a9wg7n3f81fsi5mlsdxain1fw7ggfniipfrb9sr1ajff6lx9gs";
      system = "integral-test";
      asd = "integral-test";
    });
    systems = [ "integral-test" ];
    lispLibs = [ (getAttr "integral" self) (getAttr "local-time" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  intel-hex = (build-asdf-system {
    pname = "intel-hex";
    version = "20160318-git";
    asds = [ "intel-hex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intel-hex/2016-03-18/intel-hex-20160318-git.tgz";
      sha256 = "0sz51qw262nh6ziwpy1kgv257nj56rp42s0g6g2rx3xv1ijdy395";
      system = "intel-hex";
      asd = "intel-hex";
    });
    systems = [ "intel-hex" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  intel-hex-test = (build-asdf-system {
    pname = "intel-hex-test";
    version = "20160318-git";
    asds = [ "intel-hex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intel-hex/2016-03-18/intel-hex-20160318-git.tgz";
      sha256 = "0sz51qw262nh6ziwpy1kgv257nj56rp42s0g6g2rx3xv1ijdy395";
      system = "intel-hex-test";
      asd = "intel-hex-test";
    });
    systems = [ "intel-hex-test" ];
    lispLibs = [ (getAttr "intel-hex" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  intercom = (build-asdf-system {
    pname = "intercom";
    version = "20130615-git";
    asds = [ "intercom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intercom/2013-06-15/intercom-20130615-git.tgz";
      sha256 = "017klgjsza4cxdxms4hxgrfrwjshkcr2yyxnhg14zs9w0vjwkikl";
      system = "intercom";
      asd = "intercom";
    });
    systems = [ "intercom" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "hunchentoot" self) (getAttr "jsown" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  intercom-examples = (build-asdf-system {
    pname = "intercom-examples";
    version = "20130615-git";
    asds = [ "intercom-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/intercom/2013-06-15/intercom-20130615-git.tgz";
      sha256 = "017klgjsza4cxdxms4hxgrfrwjshkcr2yyxnhg14zs9w0vjwkikl";
      system = "intercom-examples";
      asd = "intercom-examples";
    });
    systems = [ "intercom-examples" ];
    lispLibs = [ (getAttr "intercom" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  interface = (build-asdf-system {
    pname = "interface";
    version = "20230618-git";
    asds = [ "interface" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/interface/2023-06-18/interface-20230618-git.tgz";
      sha256 = "0h1bckhyig2znl6nrd3agjzz7knrm2kyh2vfyk7j60kzki9rpzxy";
      system = "interface";
      asd = "interface";
    });
    systems = [ "interface" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "global-vars" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  interfaces-test-implementation = (build-asdf-system {
    pname = "interfaces-test-implementation";
    version = "20210630-git";
    asds = [ "interfaces-test-implementation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-interfaces/2021-06-30/modularize-interfaces-20210630-git.tgz";
      sha256 = "1jl11ffkrah3553wzysmxanhrzv3rnzi5x11ll626baf69im0v7x";
      system = "interfaces-test-implementation";
      asd = "interfaces-test-implementation";
    });
    systems = [ "interfaces-test-implementation" ];
    lispLibs = [ (getAttr "modularize" self) (getAttr "modularize-interfaces" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  introspect-environment = (build-asdf-system {
    pname = "introspect-environment";
    version = "20220220-git";
    asds = [ "introspect-environment" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/introspect-environment/2022-02-20/introspect-environment-20220220-git.tgz";
      sha256 = "1p48jnr1im47529w0ciyar4hfwbivqi57zgllkmfrav09ffigk9s";
      system = "introspect-environment";
      asd = "introspect-environment";
    });
    systems = [ "introspect-environment" ];
    lispLibs = [  ];
    meta = {};
  });
  introspect-environment-test = (build-asdf-system {
    pname = "introspect-environment-test";
    version = "20220220-git";
    asds = [ "introspect-environment-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/introspect-environment/2022-02-20/introspect-environment-20220220-git.tgz";
      sha256 = "1p48jnr1im47529w0ciyar4hfwbivqi57zgllkmfrav09ffigk9s";
      system = "introspect-environment-test";
      asd = "introspect-environment-test";
    });
    systems = [ "introspect-environment-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "introspect-environment" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  iolib = (build-asdf-system {
    pname = "iolib";
    version = "v0.8.4";
    asds = [ "iolib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib";
      asd = "iolib";
    });
    systems = [ "iolib" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "idna" self) (getAttr "iolib_dot_asdf" self) (getAttr "iolib_dot_base" self) (getAttr "iolib_dot_conf" self) (getAttr "swap-bytes" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  iolib_dot_asdf = (build-asdf-system {
    pname = "iolib.asdf";
    version = "v0.8.4";
    asds = [ "iolib.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.asdf";
      asd = "iolib.asdf";
    });
    systems = [ "iolib.asdf" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  iolib_dot_base = (build-asdf-system {
    pname = "iolib.base";
    version = "v0.8.4";
    asds = [ "iolib.base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.base";
      asd = "iolib.base";
    });
    systems = [ "iolib.base" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iolib_dot_asdf" self) (getAttr "iolib_dot_common-lisp" self) (getAttr "iolib_dot_conf" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  iolib_dot_common-lisp = (build-asdf-system {
    pname = "iolib.common-lisp";
    version = "v0.8.4";
    asds = [ "iolib.common-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.common-lisp";
      asd = "iolib.common-lisp";
    });
    systems = [ "iolib.common-lisp" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iolib_dot_asdf" self) (getAttr "iolib_dot_conf" self) ];
    meta = {};
  });
  iolib_dot_conf = (build-asdf-system {
    pname = "iolib.conf";
    version = "v0.8.4";
    asds = [ "iolib.conf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.conf";
      asd = "iolib.conf";
    });
    systems = [ "iolib.conf" ];
    lispLibs = [ (getAttr "iolib_dot_asdf" self) ];
    meta = {};
  });
  iolib_dot_examples = (build-asdf-system {
    pname = "iolib.examples";
    version = "v0.8.4";
    asds = [ "iolib.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iolib/2021-06-30/iolib-v0.8.4.tgz";
      sha256 = "1f43jqqqwp9n7xksqxw91myapsdbc2dxck6nd6flakbnp9haylyq";
      system = "iolib.examples";
      asd = "iolib.examples";
    });
    systems = [ "iolib.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "iolib" self) (getAttr "iolib_dot_asdf" self) (getAttr "iolib_dot_base" self) (getAttr "iolib_dot_conf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ip-interfaces = (build-asdf-system {
    pname = "ip-interfaces";
    version = "0.2.1";
    asds = [ "ip-interfaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ip-interfaces/2018-12-10/ip-interfaces-0.2.1.tgz";
      sha256 = "035sc4li0qz4lzjn555h8r2qkhc8a65zglk30f1b3pi9p44g91mw";
      system = "ip-interfaces";
      asd = "ip-interfaces";
    });
    systems = [ "ip-interfaces" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ip-interfaces-test = (build-asdf-system {
    pname = "ip-interfaces-test";
    version = "0.2.1";
    asds = [ "ip-interfaces-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ip-interfaces/2018-12-10/ip-interfaces-0.2.1.tgz";
      sha256 = "035sc4li0qz4lzjn555h8r2qkhc8a65zglk30f1b3pi9p44g91mw";
      system = "ip-interfaces-test";
      asd = "ip-interfaces-test";
    });
    systems = [ "ip-interfaces-test" ];
    lispLibs = [ (getAttr "ip-interfaces" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  irc-logger = (build-asdf-system {
    pname = "irc-logger";
    version = "20150923-git";
    asds = [ "irc-logger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/irc-logger/2015-09-23/irc-logger-20150923-git.tgz";
      sha256 = "1ylq8qnf29dij7133p19cmmmw3i7w6azncsdvpd4j0k1fqp14bq7";
      system = "irc-logger";
      asd = "irc-logger";
    });
    systems = [ "irc-logger" ];
    lispLibs = [ (getAttr "cl-irc" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ironclad = (build-asdf-system {
    pname = "ironclad";
    version = "v0.58";
    asds = [ "ironclad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad";
      asd = "ironclad";
    });
    systems = [ "ironclad" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  ironclad-text = (build-asdf-system {
    pname = "ironclad-text";
    version = "v0.58";
    asds = [ "ironclad-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ironclad/2022-11-06/ironclad-v0.58.tgz";
      sha256 = "17plga14y1425g7midysj49x12kssqa77l43cr3sm9976zpya8i8";
      system = "ironclad-text";
      asd = "ironclad-text";
    });
    systems = [ "ironclad-text" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  isolated = (build-asdf-system {
    pname = "isolated";
    version = "20200218-git";
    asds = [ "isolated" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-isolated/2020-02-18/cl-isolated-20200218-git.tgz";
      sha256 = "01wbis4dw2cy7d2yh30rwvmlx3dr5s9dx8hs19xhjpznjbqfyksi";
      system = "isolated";
      asd = "isolated";
    });
    systems = [ "isolated" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  issr = (build-asdf-system {
    pname = "issr";
    version = "20211020-git";
    asds = [ "issr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/hunchenissr/2021-10-20/hunchenissr-20211020-git.tgz";
      sha256 = "1dfm7zdvyj14my8giznq1vsy20nj7my71y7a657slhf6v2cap5vs";
      system = "issr";
      asd = "issr";
    });
    systems = [ "issr" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "do-urlencode" self) (getAttr "hunchentoot" self) (getAttr "jonathan" self) (getAttr "plump" self) (getAttr "portal" self) (getAttr "str" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) (getAttr "yxorp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  issr-core = (build-asdf-system {
    pname = "issr-core";
    version = "20210228-git";
    asds = [ "issr-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/core/2021-02-28/core-20210228-git.tgz";
      sha256 = "1bajb09crzadkirdpd6jrpcc55irjd4sxzavygr25l85pafyhniw";
      system = "issr-core";
      asd = "issr-core";
    });
    systems = [ "issr-core" ];
    lispLibs = [ (getAttr "global-vars" self) (getAttr "plump" self) (getAttr "str" self) (getAttr "tailrec" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  iterate = (build-asdf-system {
    pname = "iterate";
    version = "release-b0f9a9c6-git";
    asds = [ "iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iterate/2021-05-31/iterate-release-b0f9a9c6-git.tgz";
      sha256 = "09xq2mdr97hagjrjpc47mp8l9wfp697aa9qaqmsy0yskayzg6xsc";
      system = "iterate";
      asd = "iterate";
    });
    systems = [ "iterate" ];
    lispLibs = [  ];
    meta = {};
  });
  iterate-clsql = (build-asdf-system {
    pname = "iterate-clsql";
    version = "20130312-http";
    asds = [ "iterate-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/iterate-clsql/2013-03-12/iterate-clsql-20130312-http.tgz";
      sha256 = "0adfs31zin5kkg9z5kyzykf8gmcgr600vvi4mjx7nixybh326h3h";
      system = "iterate-clsql";
      asd = "iterate-clsql";
    });
    systems = [ "iterate-clsql" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ixf = (build-asdf-system {
    pname = "ixf";
    version = "20180228-git";
    asds = [ "ixf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-ixf/2018-02-28/cl-ixf-20180228-git.tgz";
      sha256 = "1wjdnf4vr9z7lcfc49kl43g6l2i23q9n81siy494k17d766cdvqa";
      system = "ixf";
      asd = "ixf";
    });
    systems = [ "ixf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "ieee-floats" self) (getAttr "local-time" self) (getAttr "md5" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jenkins_dot_api = (build-asdf-system {
    pname = "jenkins.api";
    version = "20130312-git";
    asds = [ "jenkins.api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jenkins/2013-03-12/jenkins-20130312-git.tgz";
      sha256 = "1kis95k3fwlaq2jbpia0wps4gq461w6p57dxlbvb0c6a5dgh4dwf";
      system = "jenkins.api";
      asd = "jenkins.api";
    });
    systems = [ "jenkins.api" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "drakma" self) (getAttr "iterate" self) (getAttr "let-plus" self) (getAttr "more-conditions" self) (getAttr "puri" self) (getAttr "split-sequence" self) (getAttr "xml_dot_location" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingle = (build-asdf-system {
    pname = "jingle";
    version = "20230215-git";
    asds = [ "jingle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jingle/2023-02-15/cl-jingle-20230215-git.tgz";
      sha256 = "0hp3hajhxn8g5h7jhwavmpgxgwpzjxly4wq7yzkbbzzmbgpbci0c";
      system = "jingle";
      asd = "jingle";
    });
    systems = [ "jingle" ];
    lispLibs = [ (getAttr "cl-reexport" self) (getAttr "clack" self) (getAttr "find-port" self) (getAttr "jonathan" self) (getAttr "lack" self) (getAttr "lack-app-directory" self) (getAttr "lack-middleware-mount" self) (getAttr "lack-middleware-static" self) (getAttr "local-time" self) (getAttr "myway" self) (getAttr "ningle" self) (getAttr "quri" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingle_dot_demo = (build-asdf-system {
    pname = "jingle.demo";
    version = "20230215-git";
    asds = [ "jingle.demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jingle/2023-02-15/cl-jingle-20230215-git.tgz";
      sha256 = "0hp3hajhxn8g5h7jhwavmpgxgwpzjxly4wq7yzkbbzzmbgpbci0c";
      system = "jingle.demo";
      asd = "jingle.demo";
    });
    systems = [ "jingle.demo" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ascii-table" self) (getAttr "clack-handler-hunchentoot" self) (getAttr "clingon" self) (getAttr "dexador" self) (getAttr "jingle" self) (getAttr "jonathan" self) (getAttr "lack-middleware-accesslog" self) (getAttr "local-time" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingle_dot_demo_dot_test = (build-asdf-system {
    pname = "jingle.demo.test";
    version = "20230215-git";
    asds = [ "jingle.demo.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jingle/2023-02-15/cl-jingle-20230215-git.tgz";
      sha256 = "0hp3hajhxn8g5h7jhwavmpgxgwpzjxly4wq7yzkbbzzmbgpbci0c";
      system = "jingle.demo.test";
      asd = "jingle.demo.test";
    });
    systems = [ "jingle.demo.test" ];
    lispLibs = [ (getAttr "jingle_dot_demo" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingle_dot_test = (build-asdf-system {
    pname = "jingle.test";
    version = "20230215-git";
    asds = [ "jingle.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jingle/2023-02-15/cl-jingle-20230215-git.tgz";
      sha256 = "0hp3hajhxn8g5h7jhwavmpgxgwpzjxly4wq7yzkbbzzmbgpbci0c";
      system = "jingle.test";
      asd = "jingle.test";
    });
    systems = [ "jingle.test" ];
    lispLibs = [ (getAttr "jingle" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh = (build-asdf-system {
    pname = "jingoh";
    version = "20220707-git";
    asds = [ "jingoh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh";
      asd = "jingoh";
    });
    systems = [ "jingoh" ];
    lispLibs = [ (getAttr "jingoh_dot_examiner" self) (getAttr "jingoh_dot_org" self) (getAttr "jingoh_dot_reader" self) (getAttr "jingoh_dot_tester" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_documentizer = (build-asdf-system {
    pname = "jingoh.documentizer";
    version = "20220707-git";
    asds = [ "jingoh.documentizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.documentizer";
      asd = "jingoh.documentizer";
    });
    systems = [ "jingoh.documentizer" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "cl-ppcre" self) (getAttr "eclector" self) (getAttr "read-as-string" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_documentizer_dot_test = (build-asdf-system {
    pname = "jingoh.documentizer.test";
    version = "20220707-git";
    asds = [ "jingoh.documentizer.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.documentizer.test";
      asd = "jingoh.documentizer.test";
    });
    systems = [ "jingoh.documentizer.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_examiner = (build-asdf-system {
    pname = "jingoh.examiner";
    version = "20220707-git";
    asds = [ "jingoh.examiner" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.examiner";
      asd = "jingoh.examiner";
    });
    systems = [ "jingoh.examiner" ];
    lispLibs = [ (getAttr "cl-ansi-text" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "jingoh_dot_org" self) (getAttr "jingoh_dot_tester" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_examiner_dot_test = (build-asdf-system {
    pname = "jingoh.examiner.test";
    version = "20220707-git";
    asds = [ "jingoh.examiner.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.examiner.test";
      asd = "jingoh.examiner.test";
    });
    systems = [ "jingoh.examiner.test" ];
    lispLibs = [ (getAttr "cl-ansi-text" self) (getAttr "jingoh" self) (getAttr "jingoh_dot_examiner" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_generator = (build-asdf-system {
    pname = "jingoh.generator";
    version = "20220707-git";
    asds = [ "jingoh.generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.generator";
      asd = "jingoh.generator";
    });
    systems = [ "jingoh.generator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-unification" self) (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "lambda-fiddle" self) (getAttr "millet" self) (getAttr "named-readtables" self) (getAttr "prompt-for" self) (getAttr "trivial-cltl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_generator_dot_test = (build-asdf-system {
    pname = "jingoh.generator.test";
    version = "20220707-git";
    asds = [ "jingoh.generator.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.generator.test";
      asd = "jingoh.generator.test";
    });
    systems = [ "jingoh.generator.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_generator" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_org = (build-asdf-system {
    pname = "jingoh.org";
    version = "20220707-git";
    asds = [ "jingoh.org" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.org";
      asd = "jingoh.org";
    });
    systems = [ "jingoh.org" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "check-bnf" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_org_dot_test = (build-asdf-system {
    pname = "jingoh.org.test";
    version = "20220707-git";
    asds = [ "jingoh.org.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.org.test";
      asd = "jingoh.org.test";
    });
    systems = [ "jingoh.org.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_org" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_parallel = (build-asdf-system {
    pname = "jingoh.parallel";
    version = "20220707-git";
    asds = [ "jingoh.parallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.parallel";
      asd = "jingoh.parallel";
    });
    systems = [ "jingoh.parallel" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-cpus" self) (getAttr "jingoh" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_parallel_dot_test = (build-asdf-system {
    pname = "jingoh.parallel.test";
    version = "20220707-git";
    asds = [ "jingoh.parallel.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.parallel.test";
      asd = "jingoh.parallel.test";
    });
    systems = [ "jingoh.parallel.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_parallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_reader = (build-asdf-system {
    pname = "jingoh.reader";
    version = "20220707-git";
    asds = [ "jingoh.reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.reader";
      asd = "jingoh.reader";
    });
    systems = [ "jingoh.reader" ];
    lispLibs = [ (getAttr "eclector" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "jingoh_dot_tester" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_reader_dot_test = (build-asdf-system {
    pname = "jingoh.reader.test";
    version = "20220707-git";
    asds = [ "jingoh.reader.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.reader.test";
      asd = "jingoh.reader.test";
    });
    systems = [ "jingoh.reader.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_tester = (build-asdf-system {
    pname = "jingoh.tester";
    version = "20220707-git";
    asds = [ "jingoh.tester" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.tester";
      asd = "jingoh.tester";
    });
    systems = [ "jingoh.tester" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "check-bnf" self) (getAttr "cl-ansi-text" self) (getAttr "cl-colors2" self) (getAttr "closer-mop" self) (getAttr "fuzzy-match" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "jingoh_dot_org" self) (getAttr "structure-ext" self) (getAttr "vivid-colors" self) (getAttr "vivid-diff" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jingoh_dot_tester_dot_test = (build-asdf-system {
    pname = "jingoh.tester.test";
    version = "20220707-git";
    asds = [ "jingoh.tester.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jingoh/2022-07-07/jingoh-20220707-git.tgz";
      sha256 = "02wcamw47grg5rz5spn6vl441dk1m82rdrbk6nln69nazj2af76r";
      system = "jingoh.tester.test";
      asd = "jingoh.tester.test";
    });
    systems = [ "jingoh.tester.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "jingoh_dot_tester" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jonathan = (build-asdf-system {
    pname = "jonathan";
    version = "20200925-git";
    asds = [ "jonathan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jonathan/2020-09-25/jonathan-20200925-git.tgz";
      sha256 = "1l4sfxfmijibsvkbszikzslw1yy8z52ml9may1w2s0ay7lg7rsng";
      system = "jonathan";
      asd = "jonathan";
    });
    systems = [ "jonathan" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-annot" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "fast-io" self) (getAttr "proc-parse" self) (getAttr "trivial-types" self) ];
    meta = {};
  });
  jonathan-test = (build-asdf-system {
    pname = "jonathan-test";
    version = "20200925-git";
    asds = [ "jonathan-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jonathan/2020-09-25/jonathan-20200925-git.tgz";
      sha256 = "1l4sfxfmijibsvkbszikzslw1yy8z52ml9may1w2s0ay7lg7rsng";
      system = "jonathan-test";
      asd = "jonathan-test";
    });
    systems = [ "jonathan-test" ];
    lispLibs = [ (getAttr "jonathan" self) (getAttr "legion" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jose = (build-asdf-system {
    pname = "jose";
    version = "20220331-git";
    asds = [ "jose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jose/2022-03-31/jose-20220331-git.tgz";
      sha256 = "154n6jx2f5psgzwz6k5ia6zxdjynnnbyxalxfhmm11s3rx028461";
      system = "jose";
      asd = "jose";
    });
    systems = [ "jose" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "assoc-utils" self) (getAttr "cl-base64" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "split-sequence" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  journal = (build-asdf-system {
    pname = "journal";
    version = "20230618-git";
    asds = [ "journal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/journal/2023-06-18/journal-20230618-git.tgz";
      sha256 = "0wg6kghflmg3vp2hapy255n9y3wa3qdwrvylrf81s78q6fbbc8gy";
      system = "journal";
      asd = "journal";
    });
    systems = [ "journal" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "local-time" self) (getAttr "mgl-pax" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jp-numeral = (build-asdf-system {
    pname = "jp-numeral";
    version = "20221106-git";
    asds = [ "jp-numeral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jp-numeral/2022-11-06/jp-numeral-20221106-git.tgz";
      sha256 = "1xqvah6mjd8lb2n19wzsn29q6az9kx1c48js3yj0ij73kjncby30";
      system = "jp-numeral";
      asd = "jp-numeral";
    });
    systems = [ "jp-numeral" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jp-numeral-test = (build-asdf-system {
    pname = "jp-numeral-test";
    version = "20221106-git";
    asds = [ "jp-numeral-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jp-numeral/2022-11-06/jp-numeral-20221106-git.tgz";
      sha256 = "1xqvah6mjd8lb2n19wzsn29q6az9kx1c48js3yj0ij73kjncby30";
      system = "jp-numeral-test";
      asd = "jp-numeral-test";
    });
    systems = [ "jp-numeral-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "alexandria" self) (getAttr "jp-numeral" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jpeg-turbo = (build-asdf-system {
    pname = "jpeg-turbo";
    version = "20201220-git";
    asds = [ "jpeg-turbo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jpeg-turbo/2020-12-20/jpeg-turbo-20201220-git.tgz";
      sha256 = "1andd1ibbk3224idnpsnrn96flr5d1wm9ja3di57fs04wn577sag";
      system = "jpeg-turbo";
      asd = "jpeg-turbo";
    });
    systems = [ "jpeg-turbo" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jpl-queues = (build-asdf-system {
    pname = "jpl-queues";
    version = "0.1";
    asds = [ "jpl-queues" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jpl-queues/2010-10-06/jpl-queues-0.1.tgz";
      sha256 = "1xgddsfa1gr0cjmdlc304j3msxi8w2fyk9i497x56kmkif7pkj88";
      system = "jpl-queues";
      asd = "jpl-queues";
    });
    systems = [ "jpl-queues" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "jpl-util" self) ];
    meta = {};
  });
  jpl-util = (build-asdf-system {
    pname = "jpl-util";
    version = "20151031-git";
    asds = [ "jpl-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-jpl-util/2015-10-31/cl-jpl-util-20151031-git.tgz";
      sha256 = "0nc0rk9n8grkg3045xsw34whmcmddn2sfrxki4268g7kpgz0d2yz";
      system = "jpl-util";
      asd = "jpl-util";
    });
    systems = [ "jpl-util" ];
    lispLibs = [  ];
    meta = {};
  });
  js-parser = (build-asdf-system {
    pname = "js-parser";
    version = "20150407-git";
    asds = [ "js-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js-parser/2015-04-07/js-parser-20150407-git.tgz";
      sha256 = "0hqw515vyhrv1as5sfn3l792ddjps85zbzpblr2cjyq9dmdrg89a";
      system = "js-parser";
      asd = "js-parser";
    });
    systems = [ "js-parser" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  js-parser-tests = (build-asdf-system {
    pname = "js-parser-tests";
    version = "20150407-git";
    asds = [ "js-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/js-parser/2015-04-07/js-parser-20150407-git.tgz";
      sha256 = "0hqw515vyhrv1as5sfn3l792ddjps85zbzpblr2cjyq9dmdrg89a";
      system = "js-parser-tests";
      asd = "js-parser-tests";
    });
    systems = [ "js-parser-tests" ];
    lispLibs = [ (getAttr "js-parser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-lib = (build-asdf-system {
    pname = "json-lib";
    version = "20230618-git";
    asds = [ "json-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-lib/2023-06-18/json-lib-20230618-git.tgz";
      sha256 = "08cbnj6h53ifwm6kk5pvpxmy2a11kiph9zjccd2ml3fj6257krpv";
      system = "json-lib";
      asd = "json-lib";
    });
    systems = [ "json-lib" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-fad" self) (getAttr "parse-float" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-mop = (build-asdf-system {
    pname = "json-mop";
    version = "20210411-git";
    asds = [ "json-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-mop/2021-04-11/json-mop-20210411-git.tgz";
      sha256 = "1d4k1l415iwssn8qyy3qjcfk3cclz6rzq750dgbiisys8ffmgpgp";
      system = "json-mop";
      asd = "json-mop";
    });
    systems = [ "json-mop" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "closer-mop" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-mop-tests = (build-asdf-system {
    pname = "json-mop-tests";
    version = "20210411-git";
    asds = [ "json-mop-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-mop/2021-04-11/json-mop-20210411-git.tgz";
      sha256 = "1d4k1l415iwssn8qyy3qjcfk3cclz6rzq750dgbiisys8ffmgpgp";
      system = "json-mop-tests";
      asd = "json-mop-tests";
    });
    systems = [ "json-mop-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "json-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-responses = (build-asdf-system {
    pname = "json-responses";
    version = "20190307-hg";
    asds = [ "json-responses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-responses/2019-03-07/json-responses-20190307-hg.tgz";
      sha256 = "0f1hrs3rhi6qn0r8qd3fbsknn417b8v8b4s4989yfwfvnf922g05";
      system = "json-responses";
      asd = "json-responses";
    });
    systems = [ "json-responses" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-responses-test = (build-asdf-system {
    pname = "json-responses-test";
    version = "20190307-hg";
    asds = [ "json-responses-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-responses/2019-03-07/json-responses-20190307-hg.tgz";
      sha256 = "0f1hrs3rhi6qn0r8qd3fbsknn417b8v8b4s4989yfwfvnf922g05";
      system = "json-responses-test";
      asd = "json-responses";
    });
    systems = [ "json-responses-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "json-responses" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-schema = (build-asdf-system {
    pname = "json-schema";
    version = "20221106-git";
    asds = [ "json-schema" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-schema/2022-11-06/json-schema-20221106-git.tgz";
      sha256 = "11rgnj14p8x059zx8hs02jji1p69v8kix783vf557zpcbydrw2mn";
      system = "json-schema";
      asd = "json-schema";
    });
    systems = [ "json-schema" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arrows" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "function-cache" self) (getAttr "local-time" self) (getAttr "local-time-duration" self) (getAttr "quri" self) (getAttr "sanity-clause" self) (getAttr "st-json" self) (getAttr "str" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-streams = (build-asdf-system {
    pname = "json-streams";
    version = "20171019-git";
    asds = [ "json-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-streams/2017-10-19/json-streams-20171019-git.tgz";
      sha256 = "0cia3721im04q73dfkd688d8splgpz03qa4h8s3r39kar4w3xll2";
      system = "json-streams";
      asd = "json-streams";
    });
    systems = [ "json-streams" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-streams-tests = (build-asdf-system {
    pname = "json-streams-tests";
    version = "20171019-git";
    asds = [ "json-streams-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/json-streams/2017-10-19/json-streams-20171019-git.tgz";
      sha256 = "0cia3721im04q73dfkd688d8splgpz03qa4h8s3r39kar4w3xll2";
      system = "json-streams-tests";
      asd = "json-streams-tests";
    });
    systems = [ "json-streams-tests" ];
    lispLibs = [ (getAttr "cl-quickcheck" self) (getAttr "flexi-streams" self) (getAttr "json-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  json-test-suite = (build-asdf-system {
    pname = "json-test-suite";
    version = "20230618-git";
    asds = [ "json-test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-json/2023-06-18/rs-json-20230618-git.tgz";
      sha256 = "0y71as0sg5vfijpzdhv6pj6yv064ldn2shx0y4da8kvaqv949dnq";
      system = "json-test-suite";
      asd = "json-test-suite";
    });
    systems = [ "json-test-suite" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jsonrpc = (build-asdf-system {
    pname = "jsonrpc";
    version = "20230215-git";
    asds = [ "jsonrpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsonrpc/2023-02-15/jsonrpc-20230215-git.tgz";
      sha256 = "076jm6vy4mgwzicr2lnj06ch1v0h0kmr4b9r53xd819b1j427n24";
      system = "jsonrpc";
      asd = "jsonrpc";
    });
    systems = [ "jsonrpc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "chanl" self) (getAttr "dissect" self) (getAttr "event-emitter" self) (getAttr "usocket" self) (getAttr "vom" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jsown = (build-asdf-system {
    pname = "jsown";
    version = "20200218-git";
    asds = [ "jsown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown/2020-02-18/jsown-20200218-git.tgz";
      sha256 = "0gadvmf1d9bq35s61z76psrsnzwwk12svi66jigf491hv48wigw7";
      system = "jsown";
      asd = "jsown";
    });
    systems = [ "jsown" ];
    lispLibs = [  ];
    meta = {};
  });
  jsown-tests = (build-asdf-system {
    pname = "jsown-tests";
    version = "20200218-git";
    asds = [ "jsown-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown/2020-02-18/jsown-20200218-git.tgz";
      sha256 = "0gadvmf1d9bq35s61z76psrsnzwwk12svi66jigf491hv48wigw7";
      system = "jsown-tests";
      asd = "jsown-tests";
    });
    systems = [ "jsown-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jsown-utils = (build-asdf-system {
    pname = "jsown-utils";
    version = "20220707-git";
    asds = [ "jsown-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jsown-utils/2022-07-07/jsown-utils-20220707-git.tgz";
      sha256 = "046a18fywkim0jbnpls5zqdv65j1kwl268p4dbdd2dxgx050fwak";
      system = "jsown-utils";
      asd = "jsown-utils";
    });
    systems = [ "jsown-utils" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  just-getopt-parser = (build-asdf-system {
    pname = "just-getopt-parser";
    version = "20211209-git";
    asds = [ "just-getopt-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-just-getopt-parser/2021-12-09/cl-just-getopt-parser-20211209-git.tgz";
      sha256 = "0ngh8b51ngh3bqacl40j6wwiinhwxswsy02d9k7qlzv9sbjxay4s";
      system = "just-getopt-parser";
      asd = "just-getopt-parser";
    });
    systems = [ "just-getopt-parser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jwacs = (build-asdf-system {
    pname = "jwacs";
    version = "20180228-git";
    asds = [ "jwacs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jwacs/2018-02-28/jwacs-20180228-git.tgz";
      sha256 = "1wzln3bjjmdv040i339dsm48a1sc2cnwhh4z066x2wkl5ka7j5b2";
      system = "jwacs";
      asd = "jwacs";
    });
    systems = [ "jwacs" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  jwacs-tests = (build-asdf-system {
    pname = "jwacs-tests";
    version = "20180228-git";
    asds = [ "jwacs-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/jwacs/2018-02-28/jwacs-20180228-git.tgz";
      sha256 = "1wzln3bjjmdv040i339dsm48a1sc2cnwhh4z066x2wkl5ka7j5b2";
      system = "jwacs-tests";
      asd = "jwacs-tests";
    });
    systems = [ "jwacs-tests" ];
    lispLibs = [ (getAttr "jwacs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kanren-trs = (build-asdf-system {
    pname = "kanren-trs";
    version = "20120305-svn";
    asds = [ "kanren-trs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren-trs/2012-03-05/cl-kanren-trs-20120305-svn.tgz";
      sha256 = "1r9xyickdkkqcaa7abvks4hqwjb7s95lcrym026c1w6ciibiypr7";
      system = "kanren-trs";
      asd = "kanren-trs";
    });
    systems = [ "kanren-trs" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kanren-trs-test = (build-asdf-system {
    pname = "kanren-trs-test";
    version = "20120305-svn";
    asds = [ "kanren-trs-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kanren-trs/2012-03-05/cl-kanren-trs-20120305-svn.tgz";
      sha256 = "1r9xyickdkkqcaa7abvks4hqwjb7s95lcrym026c1w6ciibiypr7";
      system = "kanren-trs-test";
      asd = "kanren-trs-test";
    });
    systems = [ "kanren-trs-test" ];
    lispLibs = [ (getAttr "kanren-trs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kaputt = (build-asdf-system {
    pname = "kaputt";
    version = "20221106-git";
    asds = [ "kaputt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-kaputt/2022-11-06/cl-kaputt-20221106-git.tgz";
      sha256 = "1jd9lmdzkjm6mawsxczg6czyv7zbmaplq0ikmda0ysh4aq3apnnj";
      system = "kaputt";
      asd = "kaputt";
    });
    systems = [ "kaputt" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kdl = (build-asdf-system {
    pname = "kdl";
    version = "20230618-git";
    asds = [ "kdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kdlcl/2023-06-18/kdlcl-20230618-git.tgz";
      sha256 = "0bqqxkd6s420ld2hmhvbbvpzss0m2kimmxaqhz7j1ksmq86bvvmj";
      system = "kdl";
      asd = "kdl";
    });
    systems = [ "kdl" ];
    lispLibs = [ (getAttr "esrap" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kdtree-jk = (build-asdf-system {
    pname = "kdtree-jk";
    version = "20230618-git";
    asds = [ "kdtree-jk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kdtree-jk/2023-06-18/kdtree-jk-20230618-git.tgz";
      sha256 = "0l311lmwp4sminl0k534s1kvfwmlk56bfnj7367zd7jl0hvs06ck";
      system = "kdtree-jk";
      asd = "kdtree-jk";
    });
    systems = [ "kdtree-jk" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kebab = (build-asdf-system {
    pname = "kebab";
    version = "20150608-git";
    asds = [ "kebab" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kebab/2015-06-08/kebab-20150608-git.tgz";
      sha256 = "0j5haabnvj0vz0rx9mwyfsb3qzpga9nickbjw8xs6vypkdzlqv1b";
      system = "kebab";
      asd = "kebab";
    });
    systems = [ "kebab" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kebab-test = (build-asdf-system {
    pname = "kebab-test";
    version = "20150608-git";
    asds = [ "kebab-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kebab/2015-06-08/kebab-20150608-git.tgz";
      sha256 = "0j5haabnvj0vz0rx9mwyfsb3qzpga9nickbjw8xs6vypkdzlqv1b";
      system = "kebab-test";
      asd = "kebab-test";
    });
    systems = [ "kebab-test" ];
    lispLibs = [ (getAttr "kebab" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kekule-clj = (build-asdf-system {
    pname = "kekule-clj";
    version = "20221106-git";
    asds = [ "kekule-clj" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kekule-clj/2022-11-06/kekule-clj-20221106-git.tgz";
      sha256 = "12bwymk9vh9bdyi85pfgi79815g0vdlj37y85zld13f9cnf4kl3v";
      system = "kekule-clj";
      asd = "kekule-clj";
    });
    systems = [ "kekule-clj" ];
    lispLibs = [ (getAttr "common-lisp-jupyter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kenzo = (build-asdf-system {
    pname = "kenzo";
    version = "20200325-git";
    asds = [ "kenzo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kenzo/2020-03-25/kenzo-20200325-git.tgz";
      sha256 = "0dg70p5pxvx2ksr66z3p2nkxxwkjd852pkckr15j6cwfaji9fr8r";
      system = "kenzo";
      asd = "kenzo";
    });
    systems = [ "kenzo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kenzo-test = (build-asdf-system {
    pname = "kenzo-test";
    version = "20200325-git";
    asds = [ "kenzo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kenzo/2020-03-25/kenzo-20200325-git.tgz";
      sha256 = "0dg70p5pxvx2ksr66z3p2nkxxwkjd852pkckr15j6cwfaji9fr8r";
      system = "kenzo-test";
      asd = "kenzo-test";
    });
    systems = [ "kenzo-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "kenzo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  keystone = (build-asdf-system {
    pname = "keystone";
    version = "20200427-git";
    asds = [ "keystone" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/keystone/2020-04-27/keystone-20200427-git.tgz";
      sha256 = "04fczbkihf87qyp9f1sv45h69xrvdmcmxkv4m868q8zqw6z48hlj";
      system = "keystone";
      asd = "keystone";
    });
    systems = [ "keystone" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "gt" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern = (build-asdf-system {
    pname = "khazern";
    version = "20230618-git";
    asds = [ "khazern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern";
      asd = "khazern";
    });
    systems = [ "khazern" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern-extrinsic = (build-asdf-system {
    pname = "khazern-extrinsic";
    version = "20230618-git";
    asds = [ "khazern-extrinsic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern-extrinsic";
      asd = "khazern-extrinsic";
    });
    systems = [ "khazern-extrinsic" ];
    lispLibs = [ (getAttr "khazern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern-intrinsic = (build-asdf-system {
    pname = "khazern-intrinsic";
    version = "20230618-git";
    asds = [ "khazern-intrinsic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern-intrinsic";
      asd = "khazern-intrinsic";
    });
    systems = [ "khazern-intrinsic" ];
    lispLibs = [ (getAttr "khazern" self) (getAttr "trivial-package-locks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern-sequence = (build-asdf-system {
    pname = "khazern-sequence";
    version = "20230618-git";
    asds = [ "khazern-sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern-sequence";
      asd = "khazern-sequence";
    });
    systems = [ "khazern-sequence" ];
    lispLibs = [ (getAttr "khazern" self) (getAttr "trivial-extensible-sequences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern-sequence-extrinsic = (build-asdf-system {
    pname = "khazern-sequence-extrinsic";
    version = "20230618-git";
    asds = [ "khazern-sequence-extrinsic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern-sequence-extrinsic";
      asd = "khazern-sequence-extrinsic";
    });
    systems = [ "khazern-sequence-extrinsic" ];
    lispLibs = [ (getAttr "khazern-extrinsic" self) (getAttr "khazern-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  khazern-sequence-intrinsic = (build-asdf-system {
    pname = "khazern-sequence-intrinsic";
    version = "20230618-git";
    asds = [ "khazern-sequence-intrinsic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/khazern/2023-06-18/khazern-20230618-git.tgz";
      sha256 = "1xspk5n18imxq081x45b7awznkyb1w1dbq34h7zf012rpcxz6jl9";
      system = "khazern-sequence-intrinsic";
      asd = "khazern-sequence-intrinsic";
    });
    systems = [ "khazern-sequence-intrinsic" ];
    lispLibs = [ (getAttr "khazern-intrinsic" self) (getAttr "khazern-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kl-verify = (build-asdf-system {
    pname = "kl-verify";
    version = "20120909-git";
    asds = [ "kl-verify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kl-verify/2012-09-09/kl-verify-20120909-git.tgz";
      sha256 = "1m5jyvvfb24idw0xzi92diyrygmq638dwxg0sl247yyvmwsqb8yj";
      system = "kl-verify";
      asd = "kl-verify";
    });
    systems = [ "kl-verify" ];
    lispLibs = [ (getAttr "image" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  km = (build-asdf-system {
    pname = "km";
    version = "2-5-33";
    asds = [ "km" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/km/2011-05-22/km-2-5-33.tgz";
      sha256 = "0vl4g7vg20l14xc1b5g1d0scak6ck5028q5s5c75pr8fp15m7wyb";
      system = "km";
      asd = "km";
    });
    systems = [ "km" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  kmrcl = (build-asdf-system {
    pname = "kmrcl";
    version = "20201016-git";
    asds = [ "kmrcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/kmrcl/2020-10-16/kmrcl-20201016-git.tgz";
      sha256 = "06gx04mah5nc8w78s0j8628divbf1s5w7af8w7pvzb2d5mgvrbd2";
      system = "kmrcl";
      asd = "kmrcl";
    });
    systems = [ "kmrcl" ];
    lispLibs = [  ];
    meta = {};
  });
  l-math = (build-asdf-system {
    pname = "l-math";
    version = "20190307-git";
    asds = [ "l-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-math/2019-03-07/l-math-20190307-git.tgz";
      sha256 = "12nhj1hrvgvmichrjf46fi0f1lzrjajw7k9i1f6qycnnqw45qan1";
      system = "l-math";
      asd = "l-math";
    });
    systems = [ "l-math" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  l-system = (build-asdf-system {
    pname = "l-system";
    version = "20180228-git";
    asds = [ "l-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-system/2018-02-28/l-system-20180228-git.tgz";
      sha256 = "1zvd90s7y936bx7sirc38vs8r2rs62064ndj06ahrc38vagv4qwd";
      system = "l-system";
      asd = "l-system";
    });
    systems = [ "l-system" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  l-system-examples = (build-asdf-system {
    pname = "l-system-examples";
    version = "20180228-git";
    asds = [ "l-system-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/l-system/2018-02-28/l-system-20180228-git.tgz";
      sha256 = "1zvd90s7y936bx7sirc38vs8r2rs62064ndj06ahrc38vagv4qwd";
      system = "l-system-examples";
      asd = "l-system-examples";
    });
    systems = [ "l-system-examples" ];
    lispLibs = [ (getAttr "l-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  laap = (build-asdf-system {
    pname = "laap";
    version = "20170830-git";
    asds = [ "laap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/laap/2017-08-30/laap-20170830-git.tgz";
      sha256 = "0rzjdi4qcv2l99mk4bk94xlpfx1mav0kvd7crpax7dx4dfwkq8k5";
      system = "laap";
      asd = "laap";
    });
    systems = [ "laap" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-base32" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack = (build-asdf-system {
    pname = "lack";
    version = "20230618-git";
    asds = [ "lack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack";
      asd = "lack";
    });
    systems = [ "lack" ];
    lispLibs = [ (getAttr "lack-component" self) (getAttr "lack-util" self) ];
    meta = {};
  });
  lack-app-directory = (build-asdf-system {
    pname = "lack-app-directory";
    version = "20230618-git";
    asds = [ "lack-app-directory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-app-directory";
      asd = "lack-app-directory";
    });
    systems = [ "lack-app-directory" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "lack-app-file" self) (getAttr "quri" self) (getAttr "trivial-mimes" self) (getAttr "trivial-rfc-1123" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-app-file = (build-asdf-system {
    pname = "lack-app-file";
    version = "20230618-git";
    asds = [ "lack-app-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-app-file";
      asd = "lack-app-file";
    });
    systems = [ "lack-app-file" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "lack-component" self) (getAttr "trivial-mimes" self) (getAttr "trivial-rfc-1123" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-component = (build-asdf-system {
    pname = "lack-component";
    version = "20230618-git";
    asds = [ "lack-component" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-component";
      asd = "lack-component";
    });
    systems = [ "lack-component" ];
    lispLibs = [  ];
    meta = {};
  });
  lack-middleware-accesslog = (build-asdf-system {
    pname = "lack-middleware-accesslog";
    version = "20230618-git";
    asds = [ "lack-middleware-accesslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-accesslog";
      asd = "lack-middleware-accesslog";
    });
    systems = [ "lack-middleware-accesslog" ];
    lispLibs = [ (getAttr "lack-util" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-anypool = (build-asdf-system {
    pname = "lack-middleware-anypool";
    version = "20210531-git";
    asds = [ "lack-middleware-anypool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/anypool/2021-05-31/anypool-20210531-git.tgz";
      sha256 = "0dr904m0qb0xf12x0rrhw0ipw3fdqyihwr59l87prqmkv23y7aig";
      system = "lack-middleware-anypool";
      asd = "lack-middleware-anypool";
    });
    systems = [ "lack-middleware-anypool" ];
    lispLibs = [ (getAttr "anypool" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-auth-basic = (build-asdf-system {
    pname = "lack-middleware-auth-basic";
    version = "20230618-git";
    asds = [ "lack-middleware-auth-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-auth-basic";
      asd = "lack-middleware-auth-basic";
    });
    systems = [ "lack-middleware-auth-basic" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-backtrace = (build-asdf-system {
    pname = "lack-middleware-backtrace";
    version = "20230618-git";
    asds = [ "lack-middleware-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-backtrace";
      asd = "lack-middleware-backtrace";
    });
    systems = [ "lack-middleware-backtrace" ];
    lispLibs = [  ];
    meta = {};
  });
  lack-middleware-clack-errors = (build-asdf-system {
    pname = "lack-middleware-clack-errors";
    version = "20190813-git";
    asds = [ "lack-middleware-clack-errors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack-errors/2019-08-13/clack-errors-20190813-git.tgz";
      sha256 = "0z6jyn37phnpq02l5wml8z0593g8ps95c0c2lzkhi3is2wcj9cpf";
      system = "lack-middleware-clack-errors";
      asd = "lack-middleware-clack-errors";
    });
    systems = [ "lack-middleware-clack-errors" ];
    lispLibs = [ (getAttr "clack-errors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-csrf = (build-asdf-system {
    pname = "lack-middleware-csrf";
    version = "20230618-git";
    asds = [ "lack-middleware-csrf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-csrf";
      asd = "lack-middleware-csrf";
    });
    systems = [ "lack-middleware-csrf" ];
    lispLibs = [ (getAttr "lack-request" self) (getAttr "lack-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-mito = (build-asdf-system {
    pname = "lack-middleware-mito";
    version = "20230214-git";
    asds = [ "lack-middleware-mito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2023-02-14/mito-20230214-git.tgz";
      sha256 = "1s12sbqi3dgxy61q3pq6c6nbi86v59ilz03dslkh1fl2mi9ln6jg";
      system = "lack-middleware-mito";
      asd = "lack-middleware-mito";
    });
    systems = [ "lack-middleware-mito" ];
    lispLibs = [ (getAttr "dbi" self) (getAttr "mito-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-mount = (build-asdf-system {
    pname = "lack-middleware-mount";
    version = "20230618-git";
    asds = [ "lack-middleware-mount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-mount";
      asd = "lack-middleware-mount";
    });
    systems = [ "lack-middleware-mount" ];
    lispLibs = [ (getAttr "lack-component" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-session = (build-asdf-system {
    pname = "lack-middleware-session";
    version = "20230618-git";
    asds = [ "lack-middleware-session" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-session";
      asd = "lack-middleware-session";
    });
    systems = [ "lack-middleware-session" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "lack-request" self) (getAttr "lack-response" self) (getAttr "lack-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-middleware-static = (build-asdf-system {
    pname = "lack-middleware-static";
    version = "20230618-git";
    asds = [ "lack-middleware-static" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-middleware-static";
      asd = "lack-middleware-static";
    });
    systems = [ "lack-middleware-static" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "lack-app-file" self) (getAttr "lack-component" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-request = (build-asdf-system {
    pname = "lack-request";
    version = "20230618-git";
    asds = [ "lack-request" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-request";
      asd = "lack-request";
    });
    systems = [ "lack-request" ];
    lispLibs = [ (getAttr "circular-streams" self) (getAttr "cl-ppcre" self) (getAttr "http-body" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-response = (build-asdf-system {
    pname = "lack-response";
    version = "20230618-git";
    asds = [ "lack-response" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-response";
      asd = "lack-response";
    });
    systems = [ "lack-response" ];
    lispLibs = [ (getAttr "local-time" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-session-store-dbi = (build-asdf-system {
    pname = "lack-session-store-dbi";
    version = "20230618-git";
    asds = [ "lack-session-store-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-session-store-dbi";
      asd = "lack-session-store-dbi";
    });
    systems = [ "lack-session-store-dbi" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "dbi" self) (getAttr "lack-middleware-session" self) (getAttr "marshal" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-session-store-redis = (build-asdf-system {
    pname = "lack-session-store-redis";
    version = "20230618-git";
    asds = [ "lack-session-store-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-session-store-redis";
      asd = "lack-session-store-redis";
    });
    systems = [ "lack-session-store-redis" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-redis" self) (getAttr "lack-middleware-session" self) (getAttr "marshal" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-test = (build-asdf-system {
    pname = "lack-test";
    version = "20230618-git";
    asds = [ "lack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-test";
      asd = "lack-test";
    });
    systems = [ "lack-test" ];
    lispLibs = [ (getAttr "cl-cookie" self) (getAttr "flexi-streams" self) (getAttr "lack" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lack-util = (build-asdf-system {
    pname = "lack-util";
    version = "20230618-git";
    asds = [ "lack-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-util";
      asd = "lack-util";
    });
    systems = [ "lack-util" ];
    lispLibs = [ (getAttr "ironclad" self) ];
    meta = {};
  });
  lack-util-writer-stream = (build-asdf-system {
    pname = "lack-util-writer-stream";
    version = "20230618-git";
    asds = [ "lack-util-writer-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "lack-util-writer-stream";
      asd = "lack-util-writer-stream";
    });
    systems = [ "lack-util-writer-stream" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lake = (build-asdf-system {
    pname = "lake";
    version = "20220220-git";
    asds = [ "lake" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake";
      asd = "lake";
    });
    systems = [ "lake" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-interpol" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lake-cli = (build-asdf-system {
    pname = "lake-cli";
    version = "20220220-git";
    asds = [ "lake-cli" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake-cli";
      asd = "lake-cli";
    });
    systems = [ "lake-cli" ];
    lispLibs = [ (getAttr "deploy" self) (getAttr "lake" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lake-test = (build-asdf-system {
    pname = "lake-test";
    version = "20220220-git";
    asds = [ "lake-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lake/2022-02-20/lake-20220220-git.tgz";
      sha256 = "1g6rr4d5vjx487ym5qjlnw5sd6rwx6l4zx1l9mj0j30lpm1k4il0";
      system = "lake-test";
      asd = "lake-test";
    });
    systems = [ "lake-test" ];
    lispLibs = [ (getAttr "lake" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lambda-fiddle = (build-asdf-system {
    pname = "lambda-fiddle";
    version = "20211020-git";
    asds = [ "lambda-fiddle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-fiddle/2021-10-20/lambda-fiddle-20211020-git.tgz";
      sha256 = "1z4s1sqkvll6rpzc40yqbyzmbn7h8lxkhinvis3c7anaar78bjs7";
      system = "lambda-fiddle";
      asd = "lambda-fiddle";
    });
    systems = [ "lambda-fiddle" ];
    lispLibs = [  ];
    meta = {};
  });
  lambda-reader = (build-asdf-system {
    pname = "lambda-reader";
    version = "20170124-git";
    asds = [ "lambda-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-reader/2017-01-24/lambda-reader-20170124-git.tgz";
      sha256 = "0s73nrnvr0d2ql1gabcasmfnckzq0f2qs9317hv2mrrh0q1giq1w";
      system = "lambda-reader";
      asd = "lambda-reader";
    });
    systems = [ "lambda-reader" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lambda-reader-8bit = (build-asdf-system {
    pname = "lambda-reader-8bit";
    version = "20170124-git";
    asds = [ "lambda-reader-8bit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambda-reader/2017-01-24/lambda-reader-20170124-git.tgz";
      sha256 = "0s73nrnvr0d2ql1gabcasmfnckzq0f2qs9317hv2mrrh0q1giq1w";
      system = "lambda-reader-8bit";
      asd = "lambda-reader-8bit";
    });
    systems = [ "lambda-reader-8bit" ];
    lispLibs = [ (getAttr "asdf-encodings" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lambdalite = (build-asdf-system {
    pname = "lambdalite";
    version = "20141217-git";
    asds = [ "lambdalite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lambdalite/2014-12-17/lambdalite-20141217-git.tgz";
      sha256 = "0bvhix74afak5bpaa4x3p1b7gskpvzvw78aqkml9d40gpd1ky8lh";
      system = "lambdalite";
      asd = "lambdalite";
    });
    systems = [ "lambdalite" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "wu-sugar" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  language-codes = (build-asdf-system {
    pname = "language-codes";
    version = "20210531-git";
    asds = [ "language-codes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/language-codes/2021-05-31/language-codes-20210531-git.tgz";
      sha256 = "0bkx5bjfaxlrxkr1yh85xbr5n39g3m9006vy1gh6wybvh95d1xwy";
      system = "language-codes";
      asd = "language-codes";
    });
    systems = [ "language-codes" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  langutils = (build-asdf-system {
    pname = "langutils";
    version = "20121125-git";
    asds = [ "langutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-langutils/2012-11-25/cl-langutils-20121125-git.tgz";
      sha256 = "15y9x5wkg3fqndc04w2sc650fnwimxp4gjgpv9xvvdm9x4v433x6";
      system = "langutils";
      asd = "langutils";
    });
    systems = [ "langutils" ];
    lispLibs = [ (getAttr "s-xml-rpc" self) (getAttr "stdutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lapack = (build-asdf-system {
    pname = "lapack";
    version = "20200925-git";
    asds = [ "lapack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "lapack";
      asd = "lapack";
    });
    systems = [ "lapack" ];
    lispLibs = [ (getAttr "blas-complex" self) (getAttr "blas-package" self) (getAttr "blas-real" self) (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lass = (build-asdf-system {
    pname = "lass";
    version = "20230214-git";
    asds = [ "lass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass/2023-02-14/lass-20230214-git.tgz";
      sha256 = "1xwwdcnaicnh16w2291vvwi4pgqbc9iw8cfjg349nmvr0dmf883q";
      system = "lass";
      asd = "lass";
    });
    systems = [ "lass" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "trivial-indent" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lass-flexbox = (build-asdf-system {
    pname = "lass-flexbox";
    version = "20160208-git";
    asds = [ "lass-flexbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass-flexbox/2016-02-08/lass-flexbox-20160208-git.tgz";
      sha256 = "143rkff1ybi3b07qyzndxxndp7j4nw1biyp51rkl0yvsk85kj1jp";
      system = "lass-flexbox";
      asd = "lass-flexbox";
    });
    systems = [ "lass-flexbox" ];
    lispLibs = [ (getAttr "lass" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lass-flexbox-test = (build-asdf-system {
    pname = "lass-flexbox-test";
    version = "20160208-git";
    asds = [ "lass-flexbox-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lass-flexbox/2016-02-08/lass-flexbox-20160208-git.tgz";
      sha256 = "143rkff1ybi3b07qyzndxxndp7j4nw1biyp51rkl0yvsk85kj1jp";
      system = "lass-flexbox-test";
      asd = "lass-flexbox-test";
    });
    systems = [ "lass-flexbox-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "lass-flexbox" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lassie = (build-asdf-system {
    pname = "lassie";
    version = "20140713-git";
    asds = [ "lassie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lassie/2014-07-13/lassie-20140713-git.tgz";
      sha256 = "06ps25422ymp9n35745xhg3qsclfli52b7mxhw58wwz9q1v1n0rn";
      system = "lassie";
      asd = "lassie";
    });
    systems = [ "lassie" ];
    lispLibs = [ (getAttr "fsvd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lastfm = (build-asdf-system {
    pname = "lastfm";
    version = "20191007-git";
    asds = [ "lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lastfm/2019-10-07/lastfm-20191007-git.tgz";
      sha256 = "1crg82fyzkm9a0czsf5vq6nwndg6gy7zqb2glbp3yaw6p2hrwkp4";
      system = "lastfm";
      asd = "lastfm";
    });
    systems = [ "lastfm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "defmemo" self) (getAttr "drakma" self) (getAttr "generators" self) (getAttr "ironclad" self) (getAttr "lquery" self) (getAttr "plump" self) (getAttr "trivial-open-browser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  latex-table = (build-asdf-system {
    pname = "latex-table";
    version = "20180328-git";
    asds = [ "latex-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/latex-table/2018-03-28/latex-table-20180328-git.tgz";
      sha256 = "04qqr62pdi7qs9p74a4a014l6sl6bk6hrlb7b7pknxx5c15xvcgv";
      system = "latex-table";
      asd = "latex-table";
    });
    systems = [ "latex-table" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "array-operations" self) (getAttr "let-plus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  latter-day-paypal = (build-asdf-system {
    pname = "latter-day-paypal";
    version = "20221106-git";
    asds = [ "latter-day-paypal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/latter-day-paypal/2022-11-06/latter-day-paypal-20221106-git.tgz";
      sha256 = "0a4xji2ymmr7s4gq0gc3bhbf62gwfs93ymmpvgsmb0afcsi5099q";
      system = "latter-day-paypal";
      asd = "latter-day-paypal";
    });
    systems = [ "latter-day-paypal" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "cl-tls" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "do-urlencode" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "ningle" self) (getAttr "quri" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lazy = (build-asdf-system {
    pname = "lazy";
    version = "20200925-git";
    asds = [ "lazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lazy/2020-09-25/lazy-20200925-git.tgz";
      sha256 = "0m099rwr7k17v984n4jnq4hadf19vza5qilxdyrr43scxbbrmw1n";
      system = "lazy";
      asd = "lazy";
    });
    systems = [ "lazy" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ledger = (build-asdf-system {
    pname = "ledger";
    version = "master-5b2475f9-git";
    asds = [ "ledger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "ledger";
      asd = "ledger";
    });
    systems = [ "ledger" ];
    lispLibs = [ (getAttr "gwl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  leech = (build-asdf-system {
    pname = "leech";
    version = "20140713-git";
    asds = [ "leech" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/bknr-web/2014-07-13/bknr-web-20140713-git.tgz";
      sha256 = "1m73z0hv7qsc9yddrg8zs7n3zmn9h64v4d62239wrvfnmzqk75x2";
      system = "leech";
      asd = "leech";
    });
    systems = [ "leech" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  legion = (build-asdf-system {
    pname = "legion";
    version = "20211020-git";
    asds = [ "legion" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legion/2021-10-20/legion-20211020-git.tgz";
      sha256 = "0583pw0mf8bd4dj42w2xrlzcwfkl8q28n1bh8dpxxfg93crx4si6";
      system = "legion";
      asd = "legion";
    });
    systems = [ "legion" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-speedy-queue" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  legion-test = (build-asdf-system {
    pname = "legion-test";
    version = "20211020-git";
    asds = [ "legion-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legion/2021-10-20/legion-20211020-git.tgz";
      sha256 = "0583pw0mf8bd4dj42w2xrlzcwfkl8q28n1bh8dpxxfg93crx4si6";
      system = "legion-test";
      asd = "legion-test";
    });
    systems = [ "legion-test" ];
    lispLibs = [ (getAttr "legion" self) (getAttr "local-time" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  legit = (build-asdf-system {
    pname = "legit";
    version = "20211020-git";
    asds = [ "legit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/legit/2021-10-20/legit-20211020-git.tgz";
      sha256 = "0crr7ya7dg15di7glk3w9sgf6j8dmny347gynmxxrdvjj9pa906m";
      system = "legit";
      asd = "legit";
    });
    systems = [ "legit" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "lambda-fiddle" self) (getAttr "simple-inferiors" self) ];
    meta = {};
  });
  lem-opengl = (build-asdf-system {
    pname = "lem-opengl";
    version = "20200427-git";
    asds = [ "lem-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "lem-opengl";
      asd = "lem-opengl";
    });
    systems = [ "lem-opengl" ];
    lispLibs = [ (getAttr "application" self) (getAttr "control" self) (getAttr "livesupport" self) (getAttr "minilem" self) (getAttr "ncurses-clone-for-lem" self) (getAttr "sucle" self) (getAttr "trivial-clipboard" self) (getAttr "uncommon-lisp" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lense = (build-asdf-system {
    pname = "lense";
    version = "20201220-git";
    asds = [ "lense" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lense/2020-12-20/lense-20201220-git.tgz";
      sha256 = "0j11m93an38d1cl6b1kaaj5azhkn64wpiiprlj2c4cjfzrc32ffv";
      system = "lense";
      asd = "lense";
    });
    systems = [ "lense" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "documentation-utils-extensions" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  let-over-lambda = (build-asdf-system {
    pname = "let-over-lambda";
    version = "20220331-git";
    asds = [ "let-over-lambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-over-lambda/2022-03-31/let-over-lambda-20220331-git.tgz";
      sha256 = "0kq94jsk6frjwnx8wqnsvss91vmyjs9g9iv603d8fiip0szkwdnn";
      system = "let-over-lambda";
      asd = "let-over-lambda";
    });
    systems = [ "let-over-lambda" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  let-over-lambda-test = (build-asdf-system {
    pname = "let-over-lambda-test";
    version = "20220331-git";
    asds = [ "let-over-lambda-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-over-lambda/2022-03-31/let-over-lambda-20220331-git.tgz";
      sha256 = "0kq94jsk6frjwnx8wqnsvss91vmyjs9g9iv603d8fiip0szkwdnn";
      system = "let-over-lambda-test";
      asd = "let-over-lambda-test";
    });
    systems = [ "let-over-lambda-test" ];
    lispLibs = [ (getAttr "let-over-lambda" self) (getAttr "named-readtables" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  let-plus = (build-asdf-system {
    pname = "let-plus";
    version = "20191130-git";
    asds = [ "let-plus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/let-plus/2019-11-30/let-plus-20191130-git.tgz";
      sha256 = "00c0nq6l4zb692rzsc9aliqzj3avrssfyz4bhxzl7f1jsz3m29jb";
      system = "let-plus";
      asd = "let-plus";
    });
    systems = [ "let-plus" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) ];
    meta = {};
  });
  letrec = (build-asdf-system {
    pname = "letrec";
    version = "20230618-git";
    asds = [ "letrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/letrec/2023-06-18/letrec-20230618-git.tgz";
      sha256 = "1iwpqrpjbapdxq37g2w65r966f5nhj5466wwvd7lb1jgb03kaghn";
      system = "letrec";
      asd = "letrec";
    });
    systems = [ "letrec" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  letv = (build-asdf-system {
    pname = "letv";
    version = "20230618-git";
    asds = [ "letv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/letv/2023-06-18/letv-20230618-git.tgz";
      sha256 = "1xig71jlsvwa2p364gngpw9l0i5ljh34d1dc20wdc1qwsyp404f5";
      system = "letv";
      asd = "letv";
    });
    systems = [ "letv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lev = (build-asdf-system {
    pname = "lev";
    version = "20150505-git";
    asds = [ "lev" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lev/2015-05-05/lev-20150505-git.tgz";
      sha256 = "14lfnrvfyg2nnvlwck896p6vgarzc6g4kijmvhi2d8wra7gxzifh";
      system = "lev";
      asd = "lev";
    });
    systems = [ "lev" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {};
  });
  leveldb = (build-asdf-system {
    pname = "leveldb";
    version = "20160531-git";
    asds = [ "leveldb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/leveldb/2016-05-31/leveldb-20160531-git.tgz";
      sha256 = "03i4qr3g8ga2vpc8qbnipan3i7y4809i036wppkkixcsbckslckv";
      system = "leveldb";
      asd = "leveldb";
    });
    systems = [ "leveldb" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  levenshtein = (build-asdf-system {
    pname = "levenshtein";
    version = "1.0";
    asds = [ "levenshtein" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/levenshtein/2010-10-06/levenshtein-1.0.tgz";
      sha256 = "0b4hdv55qcjlh3ixy3fglvb90ggmm79nl02nxkly2ls6cd7rbf5i";
      system = "levenshtein";
      asd = "levenshtein";
    });
    systems = [ "levenshtein" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lfarm-admin = (build-asdf-system {
    pname = "lfarm-admin";
    version = "20150608-git";
    asds = [ "lfarm-admin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-admin";
      asd = "lfarm-admin";
    });
    systems = [ "lfarm-admin" ];
    lispLibs = [ (getAttr "lfarm-common" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lfarm-client = (build-asdf-system {
    pname = "lfarm-client";
    version = "20150608-git";
    asds = [ "lfarm-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-client";
      asd = "lfarm-client";
    });
    systems = [ "lfarm-client" ];
    lispLibs = [ (getAttr "lfarm-common" self) (getAttr "lparallel" self) (getAttr "usocket" self) ];
    meta = {};
  });
  lfarm-common = (build-asdf-system {
    pname = "lfarm-common";
    version = "20150608-git";
    asds = [ "lfarm-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-common";
      asd = "lfarm-common";
    });
    systems = [ "lfarm-common" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-store" self) (getAttr "flexi-streams" self) (getAttr "usocket" self) ];
    meta = {};
  });
  lfarm-gss = (build-asdf-system {
    pname = "lfarm-gss";
    version = "20150608-git";
    asds = [ "lfarm-gss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-gss";
      asd = "lfarm-gss";
    });
    systems = [ "lfarm-gss" ];
    lispLibs = [ (getAttr "cl-gss" self) (getAttr "lfarm-common" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lfarm-launcher = (build-asdf-system {
    pname = "lfarm-launcher";
    version = "20150608-git";
    asds = [ "lfarm-launcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-launcher";
      asd = "lfarm-launcher";
    });
    systems = [ "lfarm-launcher" ];
    lispLibs = [ (getAttr "external-program" self) (getAttr "lfarm-admin" self) (getAttr "lfarm-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lfarm-server = (build-asdf-system {
    pname = "lfarm-server";
    version = "20150608-git";
    asds = [ "lfarm-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-server";
      asd = "lfarm-server";
    });
    systems = [ "lfarm-server" ];
    lispLibs = [ (getAttr "lfarm-common" self) (getAttr "usocket" self) ];
    meta = {};
  });
  lfarm-ssl = (build-asdf-system {
    pname = "lfarm-ssl";
    version = "20150608-git";
    asds = [ "lfarm-ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-ssl";
      asd = "lfarm-ssl";
    });
    systems = [ "lfarm-ssl" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "lfarm-common" self) ];
    meta = {};
  });
  lfarm-test = (build-asdf-system {
    pname = "lfarm-test";
    version = "20150608-git";
    asds = [ "lfarm-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lfarm/2015-06-08/lfarm-20150608-git.tgz";
      sha256 = "10kfhfx26wmaa3hk3vc7hc2fzk0rl2xdjwk8ld36x6ivvd48jlkv";
      system = "lfarm-test";
      asd = "lfarm-test";
    });
    systems = [ "lfarm-test" ];
    lispLibs = [ (getAttr "lfarm-admin" self) (getAttr "lfarm-client" self) (getAttr "lfarm-launcher" self) (getAttr "lfarm-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lhstats = (build-asdf-system {
    pname = "lhstats";
    version = "20120107-git";
    asds = [ "lhstats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lhstats/2012-01-07/lhstats-20120107-git.tgz";
      sha256 = "1x8h37vm9yd0a2g7qzili673n1c3a9rzawq27rxyzjrggv9wdnlz";
      system = "lhstats";
      asd = "lhstats";
    });
    systems = [ "lhstats" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lib-helper = (build-asdf-system {
    pname = "lib-helper";
    version = "20230618-git";
    asds = [ "lib-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lib-helper/2023-06-18/cl-lib-helper-20230618-git.tgz";
      sha256 = "1v4kfx15bahqaag3zd52gs3ycrxbiicxvi94gq9a7mj3zk9izc6p";
      system = "lib-helper";
      asd = "lib-helper";
    });
    systems = [ "lib-helper" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-containers" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lib-helper-test-system = (build-asdf-system {
    pname = "lib-helper-test-system";
    version = "20230618-git";
    asds = [ "lib-helper-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lib-helper/2023-06-18/cl-lib-helper-20230618-git.tgz";
      sha256 = "1v4kfx15bahqaag3zd52gs3ycrxbiicxvi94gq9a7mj3zk9izc6p";
      system = "lib-helper-test-system";
      asd = "lib-helper-test-system";
    });
    systems = [ "lib-helper-test-system" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  libcmark = (build-asdf-system {
    pname = "libcmark";
    version = "20230214-git";
    asds = [ "libcmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-cmark/2023-02-14/cl-cmark-20230214-git.tgz";
      sha256 = "0d61z5y7pyv2y7sjbq3i5047z4jazkxnlqypr32yvyn5qdd78yfv";
      system = "libcmark";
      asd = "libcmark";
    });
    systems = [ "libcmark" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  liblmdb = (build-asdf-system {
    pname = "liblmdb";
    version = "20170830-git";
    asds = [ "liblmdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/liblmdb/2017-08-30/liblmdb-20170830-git.tgz";
      sha256 = "0484245fcbqza40n377qhsr2v838cih6pziav5vlnml1y0cgv62b";
      system = "liblmdb";
      asd = "liblmdb";
    });
    systems = [ "liblmdb" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  libssh2 = (build-asdf-system {
    pname = "libssh2";
    version = "20160531-git";
    asds = [ "libssh2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libssh2/2016-05-31/cl-libssh2-20160531-git.tgz";
      sha256 = "1f2zq30zli0gnawclpasxsajpn20cpyy9d3q9zpqyw1sfrsn0hmk";
      system = "libssh2";
      asd = "libssh2";
    });
    systems = [ "libssh2" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "split-sequence" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  libssh2_dot_test = (build-asdf-system {
    pname = "libssh2.test";
    version = "20160531-git";
    asds = [ "libssh2.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libssh2/2016-05-31/cl-libssh2-20160531-git.tgz";
      sha256 = "1f2zq30zli0gnawclpasxsajpn20cpyy9d3q9zpqyw1sfrsn0hmk";
      system = "libssh2.test";
      asd = "libssh2.test";
    });
    systems = [ "libssh2.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "libssh2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  libusb-ffi = (build-asdf-system {
    pname = "libusb-ffi";
    version = "20210228-git";
    asds = [ "libusb-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libusb/2021-02-28/cl-libusb-20210228-git.tgz";
      sha256 = "0kyzgcflwb85q58fgn82sp0bipnq5bprg5i4h0h3jxafqqyagbnk";
      system = "libusb-ffi";
      asd = "libusb-ffi";
    });
    systems = [ "libusb-ffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-ldap = (build-asdf-system {
    pname = "lichat-ldap";
    version = "20190710-git";
    asds = [ "lichat-ldap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-ldap/2019-07-10/lichat-ldap-20190710-git.tgz";
      sha256 = "03x60jmgx4s2pkzrgl1j70xrvycfi4yj21nzi64cd0pdprqa88d5";
      system = "lichat-ldap";
      asd = "lichat-ldap";
    });
    systems = [ "lichat-ldap" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "lichat-serverlib" self) (getAttr "trivial-ldap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-protocol = (build-asdf-system {
    pname = "lichat-protocol";
    version = "20220707-git";
    asds = [ "lichat-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-protocol/2022-07-07/lichat-protocol-20220707-git.tgz";
      sha256 = "0as5fcafgga8b1gbis4wxk2w8xv5l4sjy04y3m25gqc5my59falv";
      system = "lichat-protocol";
      asd = "lichat-protocol";
    });
    systems = [ "lichat-protocol" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "documentation-utils" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-serverlib = (build-asdf-system {
    pname = "lichat-serverlib";
    version = "20220220-git";
    asds = [ "lichat-serverlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-serverlib/2022-02-20/lichat-serverlib-20220220-git.tgz";
      sha256 = "122nar4wbjck33nnzfnhzghssarrzrcwddr8i04ynws3v5y1rsdv";
      system = "lichat-serverlib";
      asd = "lichat-serverlib";
    });
    systems = [ "lichat-serverlib" ];
    lispLibs = [ (getAttr "crypto-shortcuts" self) (getAttr "documentation-utils" self) (getAttr "lichat-protocol" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-tcp-client = (build-asdf-system {
    pname = "lichat-tcp-client";
    version = "20230618-git";
    asds = [ "lichat-tcp-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-tcp-client/2023-06-18/lichat-tcp-client-20230618-git.tgz";
      sha256 = "1rzsbydwxbwlcb8z1s5qfyniw24lc28hwdpwdpr7q2dzhsss7466";
      system = "lichat-tcp-client";
      asd = "lichat-tcp-client";
    });
    systems = [ "lichat-tcp-client" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "documentation-utils" self) (getAttr "lichat-protocol" self) (getAttr "usocket" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-tcp-server = (build-asdf-system {
    pname = "lichat-tcp-server";
    version = "20230618-git";
    asds = [ "lichat-tcp-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-tcp-server/2023-06-18/lichat-tcp-server-20230618-git.tgz";
      sha256 = "0sz6hxw539lzg3glk5dq9a40jrh6w9spakjbzaxiq49i6pc4bk44";
      system = "lichat-tcp-server";
      asd = "lichat-tcp-server";
    });
    systems = [ "lichat-tcp-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "documentation-utils" self) (getAttr "lichat-protocol" self) (getAttr "lichat-serverlib" self) (getAttr "usocket" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lichat-ws-server = (build-asdf-system {
    pname = "lichat-ws-server";
    version = "20230618-git";
    asds = [ "lichat-ws-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lichat-ws-server/2023-06-18/lichat-ws-server-20230618-git.tgz";
      sha256 = "0d2rb6vn6xhz6j9wqh2bpplzmw340j6965v5xzpdzjm6ynvz1cgk";
      system = "lichat-ws-server";
      asd = "lichat-ws-server";
    });
    systems = [ "lichat-ws-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "documentation-utils" self) (getAttr "hunchensocket" self) (getAttr "lichat-protocol" self) (getAttr "lichat-serverlib" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lift = (build-asdf-system {
    pname = "lift";
    version = "20230214-git";
    asds = [ "lift" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2023-02-14/lift-20230214-git.tgz";
      sha256 = "18h7fcf3sgx9zpibcd2dqk6m5zd84vdfvzadhapsfmykjh4g3sgb";
      system = "lift";
      asd = "lift";
    });
    systems = [ "lift" ];
    lispLibs = [  ];
    meta = {};
  });
  lift-documentation = (build-asdf-system {
    pname = "lift-documentation";
    version = "20230214-git";
    asds = [ "lift-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2023-02-14/lift-20230214-git.tgz";
      sha256 = "18h7fcf3sgx9zpibcd2dqk6m5zd84vdfvzadhapsfmykjh4g3sgb";
      system = "lift-documentation";
      asd = "lift-documentation";
    });
    systems = [ "lift-documentation" ];
    lispLibs = [ (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lift-test = (build-asdf-system {
    pname = "lift-test";
    version = "20230214-git";
    asds = [ "lift-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lift/2023-02-14/lift-20230214-git.tgz";
      sha256 = "18h7fcf3sgx9zpibcd2dqk6m5zd84vdfvzadhapsfmykjh4g3sgb";
      system = "lift-test";
      asd = "lift-test";
    });
    systems = [ "lift-test" ];
    lispLibs = [ (getAttr "lift" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lil = (build-asdf-system {
    pname = "lil";
    version = "20211230-git";
    asds = [ "lil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-interface-library/2021-12-30/lisp-interface-library-20211230-git.tgz";
      sha256 = "0cd6109pzz9b4z0r0b7ibmmaph802ddpzfkk416snfn1mkrdn0gn";
      system = "lil";
      asd = "lil";
    });
    systems = [ "lil" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "fare-memoization" self) (getAttr "fare-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lila = (build-asdf-system {
    pname = "lila";
    version = "20191007-git";
    asds = [ "lila" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lila/2019-10-07/lila-20191007-git.tgz";
      sha256 = "0n29ipbcxh4fm8f1vpaywv02iaayqqk61zsfk051ksjfl5kyqypq";
      system = "lila";
      asd = "lila";
    });
    systems = [ "lila" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lime = (build-asdf-system {
    pname = "lime";
    version = "20230618-git";
    asds = [ "lime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2023-06-18/lime-20230618-git.tgz";
      sha256 = "1af1m3nxxqpaw85s1cc4qf0fkv3z061xk5k17ygfmchmv8sj1agp";
      system = "lime";
      asd = "lime";
    });
    systems = [ "lime" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "swank-protocol" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lime-example = (build-asdf-system {
    pname = "lime-example";
    version = "20230618-git";
    asds = [ "lime-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2023-06-18/lime-20230618-git.tgz";
      sha256 = "1af1m3nxxqpaw85s1cc4qf0fkv3z061xk5k17ygfmchmv8sj1agp";
      system = "lime-example";
      asd = "lime-example";
    });
    systems = [ "lime-example" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "lime" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lime-test = (build-asdf-system {
    pname = "lime-test";
    version = "20230618-git";
    asds = [ "lime-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lime/2023-06-18/lime-20230618-git.tgz";
      sha256 = "1af1m3nxxqpaw85s1cc4qf0fkv3z061xk5k17ygfmchmv8sj1agp";
      system = "lime-test";
      asd = "lime-test";
    });
    systems = [ "lime-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "external-program" self) (getAttr "fiveam" self) (getAttr "lime" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linear-programming = (build-asdf-system {
    pname = "linear-programming";
    version = "20230618-git";
    asds = [ "linear-programming" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming/2023-06-18/linear-programming-20230618-git.tgz";
      sha256 = "13q29wki7qappqrw1m3lfazvgqsyyscmnwd8y0lmjs9d877kh40m";
      system = "linear-programming";
      asd = "linear-programming";
    });
    systems = [ "linear-programming" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linear-programming-glpk = (build-asdf-system {
    pname = "linear-programming-glpk";
    version = "20221106-git";
    asds = [ "linear-programming-glpk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming-glpk/2022-11-06/linear-programming-glpk-20221106-git.tgz";
      sha256 = "0vm4qgjvw5k3v62h78j6802dm075aif06hbjw600m3hybn84rs3l";
      system = "linear-programming-glpk";
      asd = "linear-programming-glpk";
    });
    systems = [ "linear-programming-glpk" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "linear-programming" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linear-programming-test = (build-asdf-system {
    pname = "linear-programming-test";
    version = "20230618-git";
    asds = [ "linear-programming-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linear-programming/2023-06-18/linear-programming-20230618-git.tgz";
      sha256 = "13q29wki7qappqrw1m3lfazvgqsyyscmnwd8y0lmjs9d877kh40m";
      system = "linear-programming-test";
      asd = "linear-programming-test";
    });
    systems = [ "linear-programming-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "iterate" self) (getAttr "linear-programming" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linedit = (build-asdf-system {
    pname = "linedit";
    version = "20180430-git";
    asds = [ "linedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linedit/2018-04-30/linedit-20180430-git.tgz";
      sha256 = "0hhh7xn6q12rviayfihg1ym6x6csa0pdjgb88ykqbrz2rs3pgpz5";
      system = "linedit";
      asd = "linedit";
    });
    systems = [ "linedit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "osicat" self) (getAttr "terminfo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lineva = (build-asdf-system {
    pname = "lineva";
    version = "20221106-git";
    asds = [ "lineva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lineva/2022-11-06/lineva-20221106-git.tgz";
      sha256 = "193v40llsi51b4zk93fyrg5ll2309waw7ibl4z75bbw73kc4f2wx";
      system = "lineva";
      asd = "lineva";
    });
    systems = [ "lineva" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linewise-template = (build-asdf-system {
    pname = "linewise-template";
    version = "20230618-git";
    asds = [ "linewise-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linewise-template/2023-06-18/linewise-template-20230618-git.tgz";
      sha256 = "08i2426lkcfcydmm9ca71whvyairrd0lklr6w7w17zbg0bsxsaaa";
      system = "linewise-template";
      asd = "linewise-template";
    });
    systems = [ "linewise-template" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linux-packaging = (build-asdf-system {
    pname = "linux-packaging";
    version = "20211020-git";
    asds = [ "linux-packaging" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging";
      asd = "linux-packaging";
    });
    systems = [ "linux-packaging" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cffi-toolchain" self) (getAttr "cl-ppcre" self) (getAttr "wild-package-inferred-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  linux-packaging-tests = (build-asdf-system {
    pname = "linux-packaging-tests";
    version = "20211020-git";
    asds = [ "linux-packaging-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/linux-packaging/2021-10-20/linux-packaging-20211020-git.tgz";
      sha256 = "0hmahs2slfs1bznn6zdljc5yjlg16ml795rcxnmafq7941lgqjs5";
      system = "linux-packaging-tests";
      asd = "linux-packaging-tests";
    });
    systems = [ "linux-packaging-tests" ];
    lispLibs = [ (getAttr "linux-packaging" self) (getAttr "osicat" self) (getAttr "sqlite" self) (getAttr "wild-package-inferred-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisa = (build-asdf-system {
    pname = "lisa";
    version = "20120407-git";
    asds = [ "lisa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisa/2012-04-07/lisa-20120407-git.tgz";
      sha256 = "12mpwxpczfq2hridjspbg51121hngbcnji37fhlr0vv4dqrg1z15";
      system = "lisa";
      asd = "lisa";
    });
    systems = [ "lisa" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-binary = (build-asdf-system {
    pname = "lisp-binary";
    version = "20221106-git";
    asds = [ "lisp-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-binary/2022-11-06/lisp-binary-20221106-git.tgz";
      sha256 = "0vn1kjvcch9ky50rq1axg5hixf3zkbb46as99g0aks1b7y250a17";
      system = "lisp-binary";
      asd = "lisp-binary";
    });
    systems = [ "lisp-binary" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "closer-mop" self) (getAttr "flexi-streams" self) (getAttr "moptilities" self) (getAttr "quasiquote-2_dot_0" self) ];
    meta = {};
  });
  lisp-binary-test = (build-asdf-system {
    pname = "lisp-binary-test";
    version = "20221106-git";
    asds = [ "lisp-binary-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-binary/2022-11-06/lisp-binary-20221106-git.tgz";
      sha256 = "0vn1kjvcch9ky50rq1axg5hixf3zkbb46as99g0aks1b7y250a17";
      system = "lisp-binary-test";
      asd = "lisp-binary-test";
    });
    systems = [ "lisp-binary-test" ];
    lispLibs = [ (getAttr "lisp-binary" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-chat = (build-asdf-system {
    pname = "lisp-chat";
    version = "20210228-git";
    asds = [ "lisp-chat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-chat/2021-02-28/lisp-chat-20210228-git.tgz";
      sha256 = "0gh78lb6m2790j5z64qij6v1s5yr501idbppg2ccyayl4f8bdpzi";
      system = "lisp-chat";
      asd = "lisp-chat";
    });
    systems = [ "lisp-chat" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-readline" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-critic = (build-asdf-system {
    pname = "lisp-critic";
    version = "20221106-git";
    asds = [ "lisp-critic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-critic/2022-11-06/lisp-critic-20221106-git.tgz";
      sha256 = "000vp8jsvpw80by7c7nb5394akfcr6rzzpzw049am67fh5qk89rn";
      system = "lisp-critic";
      asd = "lisp-critic";
    });
    systems = [ "lisp-critic" ];
    lispLibs = [ (getAttr "ckr-tables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-executable = (build-asdf-system {
    pname = "lisp-executable";
    version = "20180831-git";
    asds = [ "lisp-executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable";
      asd = "lisp-executable";
    });
    systems = [ "lisp-executable" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-executable-example = (build-asdf-system {
    pname = "lisp-executable-example";
    version = "20180831-git";
    asds = [ "lisp-executable-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable-example";
      asd = "lisp-executable-example";
    });
    systems = [ "lisp-executable-example" ];
    lispLibs = [ (getAttr "lisp-executable" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-executable-tests = (build-asdf-system {
    pname = "lisp-executable-tests";
    version = "20180831-git";
    asds = [ "lisp-executable-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-executable/2018-08-31/lisp-executable-20180831-git.tgz";
      sha256 = "1309f7w0hks3agkhcn8nwm83yssdfrr9b5bjqkjg3rrhxs86c0z7";
      system = "lisp-executable-tests";
      asd = "lisp-executable-tests";
    });
    systems = [ "lisp-executable-tests" ];
    lispLibs = [ (getAttr "lisp-executable" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-interface-library = (build-asdf-system {
    pname = "lisp-interface-library";
    version = "20211230-git";
    asds = [ "lisp-interface-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-interface-library/2021-12-30/lisp-interface-library-20211230-git.tgz";
      sha256 = "0cd6109pzz9b4z0r0b7ibmmaph802ddpzfkk416snfn1mkrdn0gn";
      system = "lisp-interface-library";
      asd = "lisp-interface-library";
    });
    systems = [ "lisp-interface-library" ];
    lispLibs = [ (getAttr "lil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-invocation = (build-asdf-system {
    pname = "lisp-invocation";
    version = "20180228-git";
    asds = [ "lisp-invocation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-invocation/2018-02-28/lisp-invocation-20180228-git.tgz";
      sha256 = "1qwvczjd5w6mrkz7ip3gl46f72dnxgngdc5bla35l2g7br96kzsl";
      system = "lisp-invocation";
      asd = "lisp-invocation";
    });
    systems = [ "lisp-invocation" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-namespace = (build-asdf-system {
    pname = "lisp-namespace";
    version = "20221106-git";
    asds = [ "lisp-namespace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-namespace/2022-11-06/lisp-namespace-20221106-git.tgz";
      sha256 = "1p5db9mab4whapy1pl38ajw5fkrrdw266n05mnhf4xx2fb9sbx6p";
      system = "lisp-namespace";
      asd = "lisp-namespace";
    });
    systems = [ "lisp-namespace" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  lisp-namespace_dot_test = (build-asdf-system {
    pname = "lisp-namespace.test";
    version = "20221106-git";
    asds = [ "lisp-namespace.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-namespace/2022-11-06/lisp-namespace-20221106-git.tgz";
      sha256 = "1p5db9mab4whapy1pl38ajw5fkrrdw266n05mnhf4xx2fb9sbx6p";
      system = "lisp-namespace.test";
      asd = "lisp-namespace.test";
    });
    systems = [ "lisp-namespace.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "lisp-namespace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-pay = (build-asdf-system {
    pname = "lisp-pay";
    version = "20230214-git";
    asds = [ "lisp-pay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-pay/2023-02-14/lisp-pay-20230214-git.tgz";
      sha256 = "09r6qy4fipriqa0d6g9qm6dq992lr58vh24g5j0adm19i5fnjavh";
      system = "lisp-pay";
      asd = "lisp-pay";
    });
    systems = [ "lisp-pay" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "cl-tls" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "lack" self) (getAttr "ningle" self) (getAttr "shasht" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-preprocessor = (build-asdf-system {
    pname = "lisp-preprocessor";
    version = "20200715-git";
    asds = [ "lisp-preprocessor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-preprocessor/2020-07-15/lisp-preprocessor-20200715-git.tgz";
      sha256 = "0v0qhawcvgbxk06nfwyvcqwmqvzn2svq80l2rb12myr0znschhpi";
      system = "lisp-preprocessor";
      asd = "lisp-preprocessor";
    });
    systems = [ "lisp-preprocessor" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) (getAttr "trivia" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-preprocessor-tests = (build-asdf-system {
    pname = "lisp-preprocessor-tests";
    version = "20200715-git";
    asds = [ "lisp-preprocessor-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-preprocessor/2020-07-15/lisp-preprocessor-20200715-git.tgz";
      sha256 = "0v0qhawcvgbxk06nfwyvcqwmqvzn2svq80l2rb12myr0znschhpi";
      system = "lisp-preprocessor-tests";
      asd = "lisp-preprocessor";
    });
    systems = [ "lisp-preprocessor-tests" ];
    lispLibs = [ (getAttr "lisp-preprocessor" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-stat = (build-asdf-system {
    pname = "lisp-stat";
    version = "20221106-git";
    asds = [ "lisp-stat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-stat/2022-11-06/lisp-stat-20221106-git.tgz";
      sha256 = "0qwlxrbwj884mr67sf6aj0zwrndv33aiiid4bqrkji41kjhqfcz5";
      system = "lisp-stat";
      asd = "lisp-stat";
    });
    systems = [ "lisp-stat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "alexandria_plus" self) (getAttr "array-operations" self) (getAttr "data-frame" self) (getAttr "dexador" self) (getAttr "dfio" self) (getAttr "distributions" self) (getAttr "num-utils" self) (getAttr "org_dot_tfeb_dot_conduit-packages" self) (getAttr "select" self) (getAttr "statistics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-types = (build-asdf-system {
    pname = "lisp-types";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types";
      asd = "lisp-types";
    });
    systems = [ "lisp-types" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "cl-robdd" self) (getAttr "dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-types-analysis = (build-asdf-system {
    pname = "lisp-types-analysis";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types-analysis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types-analysis";
      asd = "lisp-types-analysis";
    });
    systems = [ "lisp-types-analysis" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "cl-fad" self) (getAttr "cl-robdd" self) (getAttr "cl-robdd-analysis" self) (getAttr "lisp-types" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-types-test = (build-asdf-system {
    pname = "lisp-types-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "lisp-types-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "lisp-types-test";
      asd = "lisp-types-test";
    });
    systems = [ "lisp-types-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "lisp-types" self) (getAttr "lisp-types-analysis" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lisp-unit = (build-asdf-system {
    pname = "lisp-unit";
    version = "20170124-git";
    asds = [ "lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-unit/2017-01-24/lisp-unit-20170124-git.tgz";
      sha256 = "0p6gdmgr7p383nvd66c9y9fp2bjk4jx1lpa5p09g43hr9y9pp9ry";
      system = "lisp-unit";
      asd = "lisp-unit";
    });
    systems = [ "lisp-unit" ];
    lispLibs = [  ];
    meta = {};
  });
  lisp-unit2 = (build-asdf-system {
    pname = "lisp-unit2";
    version = "20230214-git";
    asds = [ "lisp-unit2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-unit2/2023-02-14/lisp-unit2-20230214-git.tgz";
      sha256 = "140nn22n1xv3qaash3x6h2h7xmys44s3f42b7bakfhpc4qlx0b69";
      system = "lisp-unit2";
      asd = "lisp-unit2";
    });
    systems = [ "lisp-unit2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-interpol" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {};
  });
  lispbuilder-lexer = (build-asdf-system {
    pname = "lispbuilder-lexer";
    version = "20210807-git";
    asds = [ "lispbuilder-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-lexer";
      asd = "lispbuilder-lexer";
    });
    systems = [ "lispbuilder-lexer" ];
    lispLibs = [ (getAttr "lispbuilder-regex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-net = (build-asdf-system {
    pname = "lispbuilder-net";
    version = "20210807-git";
    asds = [ "lispbuilder-net" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-net";
      asd = "lispbuilder-net";
    });
    systems = [ "lispbuilder-net" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-net-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-net-cffi = (build-asdf-system {
    pname = "lispbuilder-net-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-net-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-net-cffi";
      asd = "lispbuilder-net-cffi";
    });
    systems = [ "lispbuilder-net-cffi" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-opengl-1-1 = (build-asdf-system {
    pname = "lispbuilder-opengl-1-1";
    version = "20210807-git";
    asds = [ "lispbuilder-opengl-1-1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-opengl-1-1";
      asd = "lispbuilder-opengl-1-1";
    });
    systems = [ "lispbuilder-opengl-1-1" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-opengl-examples = (build-asdf-system {
    pname = "lispbuilder-opengl-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-opengl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-opengl-examples";
      asd = "lispbuilder-opengl-examples";
    });
    systems = [ "lispbuilder-opengl-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-opengl-1-1" self) (getAttr "lispbuilder-sdl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-regex = (build-asdf-system {
    pname = "lispbuilder-regex";
    version = "20210807-git";
    asds = [ "lispbuilder-regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-regex";
      asd = "lispbuilder-regex";
    });
    systems = [ "lispbuilder-regex" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl = (build-asdf-system {
    pname = "lispbuilder-sdl";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl";
      asd = "lispbuilder-sdl";
    });
    systems = [ "lispbuilder-sdl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl-assets" self) (getAttr "lispbuilder-sdl-base" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-assets = (build-asdf-system {
    pname = "lispbuilder-sdl-assets";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-assets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-assets";
      asd = "lispbuilder-sdl-assets";
    });
    systems = [ "lispbuilder-sdl-assets" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-base = (build-asdf-system {
    pname = "lispbuilder-sdl-base";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-base";
      asd = "lispbuilder-sdl-base";
    });
    systems = [ "lispbuilder-sdl-base" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-binaries = (build-asdf-system {
    pname = "lispbuilder-sdl-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-binaries";
      asd = "lispbuilder-sdl-binaries";
    });
    systems = [ "lispbuilder-sdl-binaries" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-cffi = (build-asdf-system {
    pname = "lispbuilder-sdl-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cffi";
      asd = "lispbuilder-sdl-cffi";
    });
    systems = [ "lispbuilder-sdl-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl-binaries" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-cl-vectors = (build-asdf-system {
    pname = "lispbuilder-sdl-cl-vectors";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cl-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cl-vectors";
      asd = "lispbuilder-sdl-cl-vectors";
    });
    systems = [ "lispbuilder-sdl-cl-vectors" ];
    lispLibs = [ (getAttr "cl-aa-misc" self) (getAttr "cl-paths-ttf" self) (getAttr "cl-vectors" self) (getAttr "lispbuilder-sdl" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-cl-vectors-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-cl-vectors-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-cl-vectors-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-cl-vectors-examples";
      asd = "lispbuilder-sdl-cl-vectors-examples";
    });
    systems = [ "lispbuilder-sdl-cl-vectors-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-cl-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-examples";
      asd = "lispbuilder-sdl-examples";
    });
    systems = [ "lispbuilder-sdl-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-gfx = (build-asdf-system {
    pname = "lispbuilder-sdl-gfx";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx";
      asd = "lispbuilder-sdl-gfx";
    });
    systems = [ "lispbuilder-sdl-gfx" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-gfx-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-gfx-binaries = (build-asdf-system {
    pname = "lispbuilder-sdl-gfx-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-binaries";
      asd = "lispbuilder-sdl-gfx-binaries";
    });
    systems = [ "lispbuilder-sdl-gfx-binaries" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-gfx-cffi = (build-asdf-system {
    pname = "lispbuilder-sdl-gfx-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-cffi";
      asd = "lispbuilder-sdl-gfx-cffi";
    });
    systems = [ "lispbuilder-sdl-gfx-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-gfx-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-gfx-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-gfx-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-gfx-examples";
      asd = "lispbuilder-sdl-gfx-examples";
    });
    systems = [ "lispbuilder-sdl-gfx-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-gfx" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-image = (build-asdf-system {
    pname = "lispbuilder-sdl-image";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image";
      asd = "lispbuilder-sdl-image";
    });
    systems = [ "lispbuilder-sdl-image" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-image-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-image-binaries = (build-asdf-system {
    pname = "lispbuilder-sdl-image-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-binaries";
      asd = "lispbuilder-sdl-image-binaries";
    });
    systems = [ "lispbuilder-sdl-image-binaries" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-image-cffi = (build-asdf-system {
    pname = "lispbuilder-sdl-image-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-cffi";
      asd = "lispbuilder-sdl-image-cffi";
    });
    systems = [ "lispbuilder-sdl-image-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-image-binaries" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-image-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-image-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-image-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-image-examples";
      asd = "lispbuilder-sdl-image-examples";
    });
    systems = [ "lispbuilder-sdl-image-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-image" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-mixer = (build-asdf-system {
    pname = "lispbuilder-sdl-mixer";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer";
      asd = "lispbuilder-sdl-mixer";
    });
    systems = [ "lispbuilder-sdl-mixer" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-mixer-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-mixer-binaries = (build-asdf-system {
    pname = "lispbuilder-sdl-mixer-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-binaries";
      asd = "lispbuilder-sdl-mixer-binaries";
    });
    systems = [ "lispbuilder-sdl-mixer-binaries" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-mixer-cffi = (build-asdf-system {
    pname = "lispbuilder-sdl-mixer-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-cffi";
      asd = "lispbuilder-sdl-mixer-cffi";
    });
    systems = [ "lispbuilder-sdl-mixer-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-mixer-binaries" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-mixer-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-mixer-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-mixer-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-mixer-examples";
      asd = "lispbuilder-sdl-mixer-examples";
    });
    systems = [ "lispbuilder-sdl-mixer-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-mixer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-ttf = (build-asdf-system {
    pname = "lispbuilder-sdl-ttf";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf";
      asd = "lispbuilder-sdl-ttf";
    });
    systems = [ "lispbuilder-sdl-ttf" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-ttf-cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-ttf-binaries = (build-asdf-system {
    pname = "lispbuilder-sdl-ttf-binaries";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-binaries" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-binaries";
      asd = "lispbuilder-sdl-ttf-binaries";
    });
    systems = [ "lispbuilder-sdl-ttf-binaries" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-ttf-cffi = (build-asdf-system {
    pname = "lispbuilder-sdl-ttf-cffi";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-cffi";
      asd = "lispbuilder-sdl-ttf-cffi";
    });
    systems = [ "lispbuilder-sdl-ttf-cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-ttf-binaries" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-ttf-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-ttf-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-ttf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-ttf-examples";
      asd = "lispbuilder-sdl-ttf-examples";
    });
    systems = [ "lispbuilder-sdl-ttf-examples" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-vecto = (build-asdf-system {
    pname = "lispbuilder-sdl-vecto";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-vecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-vecto";
      asd = "lispbuilder-sdl-vecto";
    });
    systems = [ "lispbuilder-sdl-vecto" ];
    lispLibs = [ (getAttr "lispbuilder-sdl" self) (getAttr "lispbuilder-sdl-cl-vectors" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-sdl-vecto-examples = (build-asdf-system {
    pname = "lispbuilder-sdl-vecto-examples";
    version = "20210807-git";
    asds = [ "lispbuilder-sdl-vecto-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-sdl-vecto-examples";
      asd = "lispbuilder-sdl-vecto-examples";
    });
    systems = [ "lispbuilder-sdl-vecto-examples" ];
    lispLibs = [ (getAttr "lispbuilder-sdl-vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-windows = (build-asdf-system {
    pname = "lispbuilder-windows";
    version = "20210807-git";
    asds = [ "lispbuilder-windows" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-windows";
      asd = "lispbuilder-windows";
    });
    systems = [ "lispbuilder-windows" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispbuilder-yacc = (build-asdf-system {
    pname = "lispbuilder-yacc";
    version = "20210807-git";
    asds = [ "lispbuilder-yacc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispbuilder/2021-08-07/lispbuilder-20210807-git.tgz";
      sha256 = "0ssm72ss4k6gjkm7nq225miisip6kvhmnnycvxn8x1z20qld03iq";
      system = "lispbuilder-yacc";
      asd = "lispbuilder-yacc";
    });
    systems = [ "lispbuilder-yacc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispcord = (build-asdf-system {
    pname = "lispcord";
    version = "20230618-git";
    asds = [ "lispcord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispcord/2023-06-18/lispcord-20230618-git.tgz";
      sha256 = "12v3n8gqry746f94wz7djhk3f3adzfnh8jga9c9lcsnwkgsrrc6a";
      system = "lispcord";
      asd = "lispcord";
    });
    systems = [ "lispcord" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "drakma" self) (getAttr "jonathan" self) (getAttr "split-sequence" self) (getAttr "verbose" self) (getAttr "websocket-driver-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lispqr = (build-asdf-system {
    pname = "lispqr";
    version = "20210630-git";
    asds = [ "lispqr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lispqr/2021-06-30/lispqr-20210630-git.tgz";
      sha256 = "06v1xpw5r4nxll286frhkc3ysvr50m904d33marnjmiax41y8qkc";
      system = "lispqr";
      asd = "lispqr";
    });
    systems = [ "lispqr" ];
    lispLibs = [ (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  list-named-class = (build-asdf-system {
    pname = "list-named-class";
    version = "20200325-git";
    asds = [ "list-named-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/list-named-class/2020-03-25/list-named-class-20200325-git.tgz";
      sha256 = "1bdi9q9wvfj66jji3n9hpjrj9271ial2awsb0xw80bmy6wqbg8kq";
      system = "list-named-class";
      asd = "list-named-class";
    });
    systems = [ "list-named-class" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  list-of = (build-asdf-system {
    pname = "list-of";
    version = "20221106-git";
    asds = [ "list-of" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-finalizers/2022-11-06/asdf-finalizers-20221106-git.tgz";
      sha256 = "1w56c9yjjydjshsgqxz57qlp2v3r4ilbisnsgiqphvxnhvd41y0v";
      system = "list-of";
      asd = "list-of";
    });
    systems = [ "list-of" ];
    lispLibs = [ (getAttr "asdf-finalizers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  listoflist = (build-asdf-system {
    pname = "listoflist";
    version = "20140826-git";
    asds = [ "listoflist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listoflist/2014-08-26/listoflist-20140826-git.tgz";
      sha256 = "02bj2ldn7sfjbbn9zd66lwysymrv3f6g4q9hwsjbcg4fkpbk6qk3";
      system = "listoflist";
      asd = "listoflist";
    });
    systems = [ "listoflist" ];
    lispLibs = [ (getAttr "clunit" self) (getAttr "xarray" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  listopia = (build-asdf-system {
    pname = "listopia";
    version = "20210411-git";
    asds = [ "listopia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listopia/2021-04-11/listopia-20210411-git.tgz";
      sha256 = "0jd3mdv0ia8mfgdbpndzm3rdgc6nn9d9xpjzqjx582qhbnc0yji0";
      system = "listopia";
      asd = "listopia";
    });
    systems = [ "listopia" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  listopia-bench = (build-asdf-system {
    pname = "listopia-bench";
    version = "20210411-git";
    asds = [ "listopia-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/listopia/2021-04-11/listopia-20210411-git.tgz";
      sha256 = "0jd3mdv0ia8mfgdbpndzm3rdgc6nn9d9xpjzqjx582qhbnc0yji0";
      system = "listopia-bench";
      asd = "listopia-bench";
    });
    systems = [ "listopia-bench" ];
    lispLibs = [ (getAttr "listopia" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-benchmark" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  liter = (build-asdf-system {
    pname = "liter";
    version = "20211020-git";
    asds = [ "liter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "liter";
      asd = "liter";
    });
    systems = [ "liter" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  literate-demo = (build-asdf-system {
    pname = "literate-demo";
    version = "20230618-git";
    asds = [ "literate-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/literate-lisp/2023-06-18/literate-lisp-20230618-git.tgz";
      sha256 = "0smxf0a62dnwcfxsbsdkx4n5nqx9dlxdz6c2vfivxpqld6d6ap02";
      system = "literate-demo";
      asd = "literate-demo";
    });
    systems = [ "literate-demo" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "literate-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  literate-lisp = (build-asdf-system {
    pname = "literate-lisp";
    version = "20230618-git";
    asds = [ "literate-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/literate-lisp/2023-06-18/literate-lisp-20230618-git.tgz";
      sha256 = "0smxf0a62dnwcfxsbsdkx4n5nqx9dlxdz6c2vfivxpqld6d6ap02";
      system = "literate-lisp";
      asd = "literate-lisp";
    });
    systems = [ "literate-lisp" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  litterae = (build-asdf-system {
    pname = "litterae";
    version = "20200715-git";
    asds = [ "litterae" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/litterae/2020-07-15/litterae-20200715-git.tgz";
      sha256 = "05q6apkcxacis4llq8xjp468yg5v6za0ispcy5wqsb44ic0vhmsl";
      system = "litterae";
      asd = "litterae";
    });
    systems = [ "litterae" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "cl-yaml" self) (getAttr "docparser" self) (getAttr "lsx" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  litterae-test-system = (build-asdf-system {
    pname = "litterae-test-system";
    version = "20200715-git";
    asds = [ "litterae-test-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/litterae/2020-07-15/litterae-20200715-git.tgz";
      sha256 = "05q6apkcxacis4llq8xjp468yg5v6za0ispcy5wqsb44ic0vhmsl";
      system = "litterae-test-system";
      asd = "litterae-test-system";
    });
    systems = [ "litterae-test-system" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  livesupport = (build-asdf-system {
    pname = "livesupport";
    version = "release-quicklisp-71e6e412-git";
    asds = [ "livesupport" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/livesupport/2019-05-21/livesupport-release-quicklisp-71e6e412-git.tgz";
      sha256 = "1rvnl0mncylbx63608pz5llss7y92j7z3ydambk9mcnjg2mjaapg";
      system = "livesupport";
      asd = "livesupport";
    });
    systems = [ "livesupport" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lla = (build-asdf-system {
    pname = "lla";
    version = "20230618-git";
    asds = [ "lla" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lla/2023-06-18/lla-20230618-git.tgz";
      sha256 = "18k00q0q6634cjzz5mrn4vq1w7y4pwqkvn4vrnxjja3a9hmxmz22";
      system = "lla";
      asd = "lla";
    });
    systems = [ "lla" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cffi" self) (getAttr "let-plus" self) (getAttr "num-utils" self) (getAttr "select" self) ];
    meta = {};
  });
  lmdb = (build-asdf-system {
    pname = "lmdb";
    version = "20230214-git";
    asds = [ "lmdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lmdb/2023-02-14/lmdb-20230214-git.tgz";
      sha256 = "1mccswfdgg7pxvnq3rds2zh0257853zqf81q4igfpjh5lhg3czgh";
      system = "lmdb";
      asd = "lmdb";
    });
    systems = [ "lmdb" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-reexport" self) (getAttr "mgl-pax" self) (getAttr "osicat" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lml = (build-asdf-system {
    pname = "lml";
    version = "20150923-git";
    asds = [ "lml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml/2015-09-23/lml-20150923-git.tgz";
      sha256 = "1s8v9p08vwl08y6ssxn4l088zz57d6fr13lzdz93i9jb8w8884wk";
      system = "lml";
      asd = "lml";
    });
    systems = [ "lml" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lml-tests = (build-asdf-system {
    pname = "lml-tests";
    version = "20150923-git";
    asds = [ "lml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml/2015-09-23/lml-20150923-git.tgz";
      sha256 = "1s8v9p08vwl08y6ssxn4l088zz57d6fr13lzdz93i9jb8w8884wk";
      system = "lml-tests";
      asd = "lml-tests";
    });
    systems = [ "lml-tests" ];
    lispLibs = [ (getAttr "lml" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lml2 = (build-asdf-system {
    pname = "lml2";
    version = "20150923-git";
    asds = [ "lml2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml2/2015-09-23/lml2-20150923-git.tgz";
      sha256 = "0v4d30x5zq1asp4r91nrzljpk2pm1plr0jns7a5wrf1n9fay57a6";
      system = "lml2";
      asd = "lml2";
    });
    systems = [ "lml2" ];
    lispLibs = [ (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lml2-tests = (build-asdf-system {
    pname = "lml2-tests";
    version = "20150923-git";
    asds = [ "lml2-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lml2/2015-09-23/lml2-20150923-git.tgz";
      sha256 = "0v4d30x5zq1asp4r91nrzljpk2pm1plr0jns7a5wrf1n9fay57a6";
      system = "lml2-tests";
      asd = "lml2-tests";
    });
    systems = [ "lml2-tests" ];
    lispLibs = [ (getAttr "lml2" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  local-package-aliases = (build-asdf-system {
    pname = "local-package-aliases";
    version = "20201220-git";
    asds = [ "local-package-aliases" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-package-aliases/2020-12-20/local-package-aliases-20201220-git.tgz";
      sha256 = "01knnxnximj2qyg8lhv0ijw69hfwqbfbmgvfjwnm7jbdgcp9wxnr";
      system = "local-package-aliases";
      asd = "local-package-aliases";
    });
    systems = [ "local-package-aliases" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  local-time = (build-asdf-system {
    pname = "local-time";
    version = "20230214-git";
    asds = [ "local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time/2023-02-14/local-time-20230214-git.tgz";
      sha256 = "1dbp33zmkqzzshmf5k76pxqgli285wvy0p0dhcz816fdikpwn2jg";
      system = "local-time";
      asd = "local-time";
    });
    systems = [ "local-time" ];
    lispLibs = [  ];
    meta = {};
  });
  local-time-duration = (build-asdf-system {
    pname = "local-time-duration";
    version = "20180430-git";
    asds = [ "local-time-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/local-time-duration/2018-04-30/local-time-duration-20180430-git.tgz";
      sha256 = "0f13mg18lv31lclz9jvqyj8d85p1jj1366nlld8m3dxnnwsbbkd6";
      system = "local-time-duration";
      asd = "local-time-duration";
    });
    systems = [ "local-time-duration" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log4cl = (build-asdf-system {
    pname = "log4cl";
    version = "20230618-git";
    asds = [ "log4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2023-06-18/log4cl-20230618-git.tgz";
      sha256 = "0n119sy35k9yl4n18az1sw9a7saa5jh3v44863b305by1p5xdy7k";
      system = "log4cl";
      asd = "log4cl";
    });
    systems = [ "log4cl" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  log4cl-examples = (build-asdf-system {
    pname = "log4cl-examples";
    version = "20230618-git";
    asds = [ "log4cl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2023-06-18/log4cl-20230618-git.tgz";
      sha256 = "0n119sy35k9yl4n18az1sw9a7saa5jh3v44863b305by1p5xdy7k";
      system = "log4cl-examples";
      asd = "log4cl-examples";
    });
    systems = [ "log4cl-examples" ];
    lispLibs = [ (getAttr "log4cl" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log4cl-extras = (build-asdf-system {
    pname = "log4cl-extras";
    version = "20230618-git";
    asds = [ "log4cl-extras" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl-extras/2023-06-18/log4cl-extras-20230618-git.tgz";
      sha256 = "0nhzsh9sm19kd6nwn8k4j8rkfpjnkfx3i30zqr2kvjs0h27ljpjy";
      system = "log4cl-extras";
      asd = "log4cl-extras";
    });
    systems = [ "log4cl-extras" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "cl-strings" self) (getAttr "dissect" self) (getAttr "global-vars" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "with-output-to-stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log4cl-extras-test = (build-asdf-system {
    pname = "log4cl-extras-test";
    version = "20230618-git";
    asds = [ "log4cl-extras-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl-extras/2023-06-18/log4cl-extras-20230618-git.tgz";
      sha256 = "0nhzsh9sm19kd6nwn8k4j8rkfpjnkfx3i30zqr2kvjs0h27ljpjy";
      system = "log4cl-extras-test";
      asd = "log4cl-extras-test";
    });
    systems = [ "log4cl-extras-test" ];
    lispLibs = [ (getAttr "hamcrest" self) (getAttr "jonathan" self) (getAttr "rove" self) (getAttr "secret-values" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log4cl_dot_log4slime = (build-asdf-system {
    pname = "log4cl.log4slime";
    version = "20230618-git";
    asds = [ "log4cl.log4slime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2023-06-18/log4cl-20230618-git.tgz";
      sha256 = "0n119sy35k9yl4n18az1sw9a7saa5jh3v44863b305by1p5xdy7k";
      system = "log4cl.log4slime";
      asd = "log4cl.log4slime";
    });
    systems = [ "log4cl.log4slime" ];
    lispLibs = [ (getAttr "log4cl" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log4cl_dot_log4sly = (build-asdf-system {
    pname = "log4cl.log4sly";
    version = "20230618-git";
    asds = [ "log4cl.log4sly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log4cl/2023-06-18/log4cl-20230618-git.tgz";
      sha256 = "0n119sy35k9yl4n18az1sw9a7saa5jh3v44863b305by1p5xdy7k";
      system = "log4cl.log4sly";
      asd = "log4cl.log4sly";
    });
    systems = [ "log4cl.log4sly" ];
    lispLibs = [ (getAttr "log4cl" self) (getAttr "slynk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  log5 = (build-asdf-system {
    pname = "log5";
    version = "20110619-git";
    asds = [ "log5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/log5/2011-06-19/log5-20110619-git.tgz";
      sha256 = "0f7qhhphijwk6a4hq18gpgifld7hwwpma6md845hgjmpvyqvrw2g";
      system = "log5";
      asd = "log5";
    });
    systems = [ "log5" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lorem-ipsum = (build-asdf-system {
    pname = "lorem-ipsum";
    version = "20181018-git";
    asds = [ "lorem-ipsum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lorem-ipsum/2018-10-18/lorem-ipsum-20181018-git.tgz";
      sha256 = "1530qq0bk3xr25m77q96pbi1idnxdkax8cwmvq4ch03rfjy34j7n";
      system = "lorem-ipsum";
      asd = "lorem-ipsum";
    });
    systems = [ "lorem-ipsum" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lowlight = (build-asdf-system {
    pname = "lowlight";
    version = "20131211-git";
    asds = [ "lowlight" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight";
      asd = "lowlight";
    });
    systems = [ "lowlight" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "graylex" self) (getAttr "spinneret" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lowlight_dot_doc = (build-asdf-system {
    pname = "lowlight.doc";
    version = "20131211-git";
    asds = [ "lowlight.doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.doc";
      asd = "lowlight.doc";
    });
    systems = [ "lowlight.doc" ];
    lispLibs = [ (getAttr "cl-gendoc" self) (getAttr "lowlight" self) (getAttr "lowlight_dot_tests" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lowlight_dot_old = (build-asdf-system {
    pname = "lowlight.old";
    version = "20131211-git";
    asds = [ "lowlight.old" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.old";
      asd = "lowlight.old";
    });
    systems = [ "lowlight.old" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "spinneret" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lowlight_dot_tests = (build-asdf-system {
    pname = "lowlight.tests";
    version = "20131211-git";
    asds = [ "lowlight.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lowlight/2013-12-11/lowlight-20131211-git.tgz";
      sha256 = "1i27hdac7aqb27rn5cslpf5lwvkrfz52b6rf7zqq0fi42zmvgb4p";
      system = "lowlight.tests";
      asd = "lowlight.tests";
    });
    systems = [ "lowlight.tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "lowlight" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lparallel = (build-asdf-system {
    pname = "lparallel";
    version = "20160825-git";
    asds = [ "lparallel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel";
      asd = "lparallel";
    });
    systems = [ "lparallel" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  lparallel-bench = (build-asdf-system {
    pname = "lparallel-bench";
    version = "20160825-git";
    asds = [ "lparallel-bench" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel-bench";
      asd = "lparallel-bench";
    });
    systems = [ "lparallel-bench" ];
    lispLibs = [ (getAttr "lparallel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lparallel-test = (build-asdf-system {
    pname = "lparallel-test";
    version = "20160825-git";
    asds = [ "lparallel-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lparallel/2016-08-25/lparallel-20160825-git.tgz";
      sha256 = "0g0aylrbbrqsz0ahmwhvnk4cmc2931fllbpcfgzsprwnqqd7vwq9";
      system = "lparallel-test";
      asd = "lparallel-test";
    });
    systems = [ "lparallel-test" ];
    lispLibs = [ (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lquery = (build-asdf-system {
    pname = "lquery";
    version = "20230618-git";
    asds = [ "lquery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lquery/2023-06-18/lquery-20230618-git.tgz";
      sha256 = "0siis1d3rfh0kkwdrb56ivlwwr3z1wfhfvmnkn13a3kz6ssqfvbi";
      system = "lquery";
      asd = "lquery";
    });
    systems = [ "lquery" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "clss" self) (getAttr "form-fiddle" self) (getAttr "plump" self) ];
    meta = {};
  });
  lquery-test = (build-asdf-system {
    pname = "lquery-test";
    version = "20230618-git";
    asds = [ "lquery-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lquery/2023-06-18/lquery-20230618-git.tgz";
      sha256 = "0siis1d3rfh0kkwdrb56ivlwwr3z1wfhfvmnkn13a3kz6ssqfvbi";
      system = "lquery-test";
      asd = "lquery-test";
    });
    systems = [ "lquery-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "lquery" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lracer = (build-asdf-system {
    pname = "lracer";
    version = "20190710-git";
    asds = [ "lracer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/racer/2019-07-10/racer-20190710-git.tgz";
      sha256 = "120x046c6vcrj70vb6ryf04mwbr8c6a15llb68x7h1siij8vwgvk";
      system = "lracer";
      asd = "lracer";
    });
    systems = [ "lracer" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lredis = (build-asdf-system {
    pname = "lredis";
    version = "20141106-git";
    asds = [ "lredis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lredis/2014-11-06/lredis-20141106-git.tgz";
      sha256 = "08srvlys0fyslfpmhc740cana7fkxm2kc7mxds4083wgxw3prhf2";
      system = "lredis";
      asd = "lredis";
    });
    systems = [ "lredis" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "babel-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lru-cache = (build-asdf-system {
    pname = "lru-cache";
    version = "20230618-git";
    asds = [ "lru-cache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lru-cache/2023-06-18/lru-cache-20230618-git.tgz";
      sha256 = "1f8nmqf5mm6mkrlnlf4caic9b65yf1i4r7fhg7y1whssbjbsfgal";
      system = "lru-cache";
      asd = "lru-cache";
    });
    systems = [ "lru-cache" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lru-cache-test = (build-asdf-system {
    pname = "lru-cache-test";
    version = "20230618-git";
    asds = [ "lru-cache-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lru-cache/2023-06-18/lru-cache-20230618-git.tgz";
      sha256 = "1f8nmqf5mm6mkrlnlf4caic9b65yf1i4r7fhg7y1whssbjbsfgal";
      system = "lru-cache-test";
      asd = "lru-cache-test";
    });
    systems = [ "lru-cache-test" ];
    lispLibs = [ (getAttr "lru-cache" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lsx = (build-asdf-system {
    pname = "lsx";
    version = "20220220-git";
    asds = [ "lsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lsx/2022-02-20/lsx-20220220-git.tgz";
      sha256 = "1pdq6csr8pkzcq2zkhhm6wkp9zxx2aypjd16rcw4q43mff09y041";
      system = "lsx";
      asd = "lsx";
    });
    systems = [ "lsx" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ltk = (build-asdf-system {
    pname = "ltk";
    version = "20221106-git";
    asds = [ "ltk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk";
      asd = "ltk";
    });
    systems = [ "ltk" ];
    lispLibs = [  ];
    meta = {};
  });
  ltk-mw = (build-asdf-system {
    pname = "ltk-mw";
    version = "20221106-git";
    asds = [ "ltk-mw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk-mw";
      asd = "ltk-mw";
    });
    systems = [ "ltk-mw" ];
    lispLibs = [ (getAttr "ltk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ltk-remote = (build-asdf-system {
    pname = "ltk-remote";
    version = "20221106-git";
    asds = [ "ltk-remote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ltk/2022-11-06/ltk-20221106-git.tgz";
      sha256 = "0vqmdq3k235hd8d9cg0ipv0kw28aiydvr9j1igfnrs1ns9sm79va";
      system = "ltk-remote";
      asd = "ltk-remote";
    });
    systems = [ "ltk-remote" ];
    lispLibs = [ (getAttr "ltk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lucene-in-action-tests = (build-asdf-system {
    pname = "lucene-in-action-tests";
    version = "20180228-git";
    asds = [ "lucene-in-action-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "lucene-in-action-tests";
      asd = "lucene-in-action-tests";
    });
    systems = [ "lucene-in-action-tests" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "montezuma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  luckless = (build-asdf-system {
    pname = "luckless";
    version = "20221106-git";
    asds = [ "luckless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/luckless/2022-11-06/luckless-20221106-git.tgz";
      sha256 = "0mychj1rfx4hzpgbp9x09qn2y4jhjgfdi5d973mcvaqmcmby6b9p";
      system = "luckless";
      asd = "luckless";
    });
    systems = [ "luckless" ];
    lispLibs = [ (getAttr "atomics" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  luckless-test = (build-asdf-system {
    pname = "luckless-test";
    version = "20221106-git";
    asds = [ "luckless-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/luckless/2022-11-06/luckless-20221106-git.tgz";
      sha256 = "0mychj1rfx4hzpgbp9x09qn2y4jhjgfdi5d973mcvaqmcmby6b9p";
      system = "luckless-test";
      asd = "luckless-test";
    });
    systems = [ "luckless-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "luckless" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lunamech-matrix-api = (build-asdf-system {
    pname = "lunamech-matrix-api";
    version = "20230214-git";
    asds = [ "lunamech-matrix-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lunamech-matrix-api/2023-02-14/lunamech-matrix-api-20230214-git.tgz";
      sha256 = "0a664qq4m5gk4iv5ck63gmsl3218jhjsalawklj56wn2pw0cf8a0";
      system = "lunamech-matrix-api";
      asd = "lunamech-matrix-api";
    });
    systems = [ "lunamech-matrix-api" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "do-urlencode" self) (getAttr "drakma" self) (getAttr "jonathan" self) (getAttr "plump" self) (getAttr "quri" self) (getAttr "reader" self) (getAttr "shasht" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lw-compat = (build-asdf-system {
    pname = "lw-compat";
    version = "20160318-git";
    asds = [ "lw-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lw-compat/2016-03-18/lw-compat-20160318-git.tgz";
      sha256 = "131rq5k2mlv9bfhmafiv6nfsivl4cxx13d9wr06v5jrqnckh4aav";
      system = "lw-compat";
      asd = "lw-compat";
    });
    systems = [ "lw-compat" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lyrics = (build-asdf-system {
    pname = "lyrics";
    version = "20210807-git";
    asds = [ "lyrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lyrics/2021-08-07/lyrics-20210807-git.tgz";
      sha256 = "1xdhl53i9pim2mbviwqahlkgfsja7ihyvvrwz8q22ljv6bnb6011";
      system = "lyrics";
      asd = "lyrics";
    });
    systems = [ "lyrics" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "defmemo" self) (getAttr "drakma" self) (getAttr "lquery" self) (getAttr "plump" self) (getAttr "sqlite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lzlib = (build-asdf-system {
    pname = "lzlib";
    version = "20230618-git";
    asds = [ "lzlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzlib/2023-06-18/cl-lzlib-20230618-git.tgz";
      sha256 = "1nb2g6a7l1qzm1bwv8b15nflgv8rv478x0n7viv6rlwzgqs5q3b8";
      system = "lzlib";
      asd = "lzlib";
    });
    systems = [ "lzlib" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-octet-streams" self) (getAttr "lparallel" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  lzlib-tests = (build-asdf-system {
    pname = "lzlib-tests";
    version = "20230618-git";
    asds = [ "lzlib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-lzlib/2023-06-18/cl-lzlib-20230618-git.tgz";
      sha256 = "1nb2g6a7l1qzm1bwv8b15nflgv8rv478x0n7viv6rlwzgqs5q3b8";
      system = "lzlib-tests";
      asd = "lzlib-tests";
    });
    systems = [ "lzlib-tests" ];
    lispLibs = [ (getAttr "cl-octet-streams" self) (getAttr "fiveam" self) (getAttr "lzlib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  macro-html = (build-asdf-system {
    pname = "macro-html";
    version = "20151218-git";
    asds = [ "macro-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macro-html/2015-12-18/macro-html-20151218-git.tgz";
      sha256 = "05gzgijz8r3dw3ilz7d5i0g0mbcyv9k8w2dgvw7n478njp1gfj4b";
      system = "macro-html";
      asd = "macro-html";
    });
    systems = [ "macro-html" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  macro-level = (build-asdf-system {
    pname = "macro-level";
    version = "1.0.1";
    asds = [ "macro-level" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macro-level/2012-10-13/macro-level-1.0.1.tgz";
      sha256 = "14wncx6rrlkylm4cn7y8h4pmnvrcfj920nlldsspg5kvysb09g4i";
      system = "macro-level";
      asd = "macro-level";
    });
    systems = [ "macro-level" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  macrodynamics = (build-asdf-system {
    pname = "macrodynamics";
    version = "20180228-git";
    asds = [ "macrodynamics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macrodynamics/2018-02-28/macrodynamics-20180228-git.tgz";
      sha256 = "1ysgin8lzd4fdl5c63v3ga9v6lzk3gyl1h8jhl0ar6wyhd3023l4";
      system = "macrodynamics";
      asd = "macrodynamics";
    });
    systems = [ "macrodynamics" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  macroexpand-dammit = (build-asdf-system {
    pname = "macroexpand-dammit";
    version = "20131111-http";
    asds = [ "macroexpand-dammit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/macroexpand-dammit/2013-11-11/macroexpand-dammit-20131111-http.tgz";
      sha256 = "10avpq3qffrc51hrfjwp3vi5vv9b1aip1dnwncnlc3yd498b3pfl";
      system = "macroexpand-dammit";
      asd = "macroexpand-dammit";
    });
    systems = [ "macroexpand-dammit" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  madeira-port = (build-asdf-system {
    pname = "madeira-port";
    version = "20150709-git";
    asds = [ "madeira-port" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/madeira-port/2015-07-09/madeira-port-20150709-git.tgz";
      sha256 = "0zl6i11vm1akr0382zh582v3vkxjwmabsnfjcfgrp2wbkq4mvdgq";
      system = "madeira-port";
      asd = "madeira-port";
    });
    systems = [ "madeira-port" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  madeira-port-tests = (build-asdf-system {
    pname = "madeira-port-tests";
    version = "20150709-git";
    asds = [ "madeira-port-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/madeira-port/2015-07-09/madeira-port-20150709-git.tgz";
      sha256 = "0zl6i11vm1akr0382zh582v3vkxjwmabsnfjcfgrp2wbkq4mvdgq";
      system = "madeira-port-tests";
      asd = "madeira-port";
    });
    systems = [ "madeira-port-tests" ];
    lispLibs = [ (getAttr "eos" self) (getAttr "madeira-port" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magic-ed = (build-asdf-system {
    pname = "magic-ed";
    version = "20200325-git";
    asds = [ "magic-ed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magic-ed/2020-03-25/magic-ed-20200325-git.tgz";
      sha256 = "1j6il4lif0dy6hqiz6n91yl8dvii9pk1i9vz0faq5mnr42mr7i5f";
      system = "magic-ed";
      asd = "magic-ed";
    });
    systems = [ "magic-ed" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magicffi = (build-asdf-system {
    pname = "magicffi";
    version = "20210531-git";
    asds = [ "magicffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicffi/2021-05-31/magicffi-20210531-git.tgz";
      sha256 = "0l2b2irpb19b9pyxbmkxi4i5y6crx8nk7qrbihsdqahlkrwsk1il";
      system = "magicffi";
      asd = "magicffi";
    });
    systems = [ "magicffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magicl = (build-asdf-system {
    pname = "magicl";
    version = "v0.9.1";
    asds = [ "magicl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl";
      asd = "magicl";
    });
    systems = [ "magicl" ];
    lispLibs = [ (getAttr "abstract-classes" self) (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "interface" self) (getAttr "policy-cond" self) ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  magicl-examples = (build-asdf-system {
    pname = "magicl-examples";
    version = "v0.9.1";
    asds = [ "magicl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-examples";
      asd = "magicl-examples";
    });
    systems = [ "magicl-examples" ];
    lispLibs = [ (getAttr "magicl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magicl-gen = (build-asdf-system {
    pname = "magicl-gen";
    version = "v0.9.1";
    asds = [ "magicl-gen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-gen";
      asd = "magicl-gen";
    });
    systems = [ "magicl-gen" ];
    lispLibs = [ (getAttr "abstract-classes" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magicl-tests = (build-asdf-system {
    pname = "magicl-tests";
    version = "v0.9.1";
    asds = [ "magicl-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-tests";
      asd = "magicl-tests";
    });
    systems = [ "magicl-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiasco" self) (getAttr "magicl" self) (getAttr "magicl-examples" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  magicl-transcendental = (build-asdf-system {
    pname = "magicl-transcendental";
    version = "v0.9.1";
    asds = [ "magicl-transcendental" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/magicl/2021-04-11/magicl-v0.9.1.tgz";
      sha256 = "0x9p55qin399jhr5md88nij8fv78b64xjhww7ys364pkjnx8ak9v";
      system = "magicl-transcendental";
      asd = "magicl-transcendental";
    });
    systems = [ "magicl-transcendental" ];
    lispLibs = [ (getAttr "abstract-classes" self) (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "interface" self) (getAttr "policy-cond" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden = (build-asdf-system {
    pname = "maiden";
    version = "20230618-git";
    asds = [ "maiden" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden";
      asd = "maiden";
    });
    systems = [ "maiden" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "deeds" self) (getAttr "documentation-utils" self) (getAttr "form-fiddle" self) (getAttr "lambda-fiddle" self) (getAttr "trivial-garbage" self) (getAttr "trivial-indent" self) (getAttr "uuid" self) (getAttr "verbose" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-accounts = (build-asdf-system {
    pname = "maiden-accounts";
    version = "20230618-git";
    asds = [ "maiden-accounts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-accounts";
      asd = "maiden-accounts";
    });
    systems = [ "maiden-accounts" ];
    lispLibs = [ (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-activatable = (build-asdf-system {
    pname = "maiden-activatable";
    version = "20230618-git";
    asds = [ "maiden-activatable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-activatable";
      asd = "maiden-activatable";
    });
    systems = [ "maiden-activatable" ];
    lispLibs = [ (getAttr "maiden" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-api-access = (build-asdf-system {
    pname = "maiden-api-access";
    version = "20230618-git";
    asds = [ "maiden-api-access" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-api-access";
      asd = "maiden-api-access";
    });
    systems = [ "maiden-api-access" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "jsown" self) (getAttr "maiden" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-blocker = (build-asdf-system {
    pname = "maiden-blocker";
    version = "20230618-git";
    asds = [ "maiden-blocker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-blocker";
      asd = "maiden-blocker";
    });
    systems = [ "maiden-blocker" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-channel-relay = (build-asdf-system {
    pname = "maiden-channel-relay";
    version = "20230618-git";
    asds = [ "maiden-channel-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-channel-relay";
      asd = "maiden-channel-relay";
    });
    systems = [ "maiden-channel-relay" ];
    lispLibs = [ (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-chatlog = (build-asdf-system {
    pname = "maiden-chatlog";
    version = "20230618-git";
    asds = [ "maiden-chatlog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-chatlog";
      asd = "maiden-chatlog";
    });
    systems = [ "maiden-chatlog" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) (getAttr "postmodern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-client-entities = (build-asdf-system {
    pname = "maiden-client-entities";
    version = "20230618-git";
    asds = [ "maiden-client-entities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-client-entities";
      asd = "maiden-client-entities";
    });
    systems = [ "maiden-client-entities" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "maiden" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-commands = (build-asdf-system {
    pname = "maiden-commands";
    version = "20230618-git";
    asds = [ "maiden-commands" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-commands";
      asd = "maiden-commands";
    });
    systems = [ "maiden-commands" ];
    lispLibs = [ (getAttr "lambda-fiddle" self) (getAttr "maiden" self) (getAttr "maiden-client-entities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-core-manager = (build-asdf-system {
    pname = "maiden-core-manager";
    version = "20230618-git";
    asds = [ "maiden-core-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-core-manager";
      asd = "maiden-core-manager";
    });
    systems = [ "maiden-core-manager" ];
    lispLibs = [ (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-counter = (build-asdf-system {
    pname = "maiden-counter";
    version = "20230618-git";
    asds = [ "maiden-counter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-counter";
      asd = "maiden-counter";
    });
    systems = [ "maiden-counter" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "maiden-activatable" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-crimes = (build-asdf-system {
    pname = "maiden-crimes";
    version = "20230618-git";
    asds = [ "maiden-crimes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-crimes";
      asd = "maiden-crimes";
    });
    systems = [ "maiden-crimes" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-dictionary = (build-asdf-system {
    pname = "maiden-dictionary";
    version = "20230618-git";
    asds = [ "maiden-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-dictionary";
      asd = "maiden-dictionary";
    });
    systems = [ "maiden-dictionary" ];
    lispLibs = [ (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) (getAttr "oxenfurt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-emoticon = (build-asdf-system {
    pname = "maiden-emoticon";
    version = "20230618-git";
    asds = [ "maiden-emoticon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-emoticon";
      asd = "maiden-emoticon";
    });
    systems = [ "maiden-emoticon" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "maiden-activatable" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-help = (build-asdf-system {
    pname = "maiden-help";
    version = "20230618-git";
    asds = [ "maiden-help" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-help";
      asd = "maiden-help";
    });
    systems = [ "maiden-help" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-irc = (build-asdf-system {
    pname = "maiden-irc";
    version = "20230618-git";
    asds = [ "maiden-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-irc";
      asd = "maiden-irc";
    });
    systems = [ "maiden-irc" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "form-fiddle" self) (getAttr "lambda-fiddle" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-networking" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-lastfm = (build-asdf-system {
    pname = "maiden-lastfm";
    version = "20230618-git";
    asds = [ "maiden-lastfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-lastfm";
      asd = "maiden-lastfm";
    });
    systems = [ "maiden-lastfm" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-lichat = (build-asdf-system {
    pname = "maiden-lichat";
    version = "20230618-git";
    asds = [ "maiden-lichat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-lichat";
      asd = "maiden-lichat";
    });
    systems = [ "maiden-lichat" ];
    lispLibs = [ (getAttr "lichat-protocol" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-networking" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-location = (build-asdf-system {
    pname = "maiden-location";
    version = "20230618-git";
    asds = [ "maiden-location" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-location";
      asd = "maiden-location";
    });
    systems = [ "maiden-location" ];
    lispLibs = [ (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-lookup = (build-asdf-system {
    pname = "maiden-lookup";
    version = "20230618-git";
    asds = [ "maiden-lookup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-lookup";
      asd = "maiden-lookup";
    });
    systems = [ "maiden-lookup" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "lquery" self) (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-markov = (build-asdf-system {
    pname = "maiden-markov";
    version = "20230618-git";
    asds = [ "maiden-markov" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-markov";
      asd = "maiden-markov";
    });
    systems = [ "maiden-markov" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "fast-io" self) (getAttr "maiden-activatable" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-medals = (build-asdf-system {
    pname = "maiden-medals";
    version = "20230618-git";
    asds = [ "maiden-medals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-medals";
      asd = "maiden-medals";
    });
    systems = [ "maiden-medals" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "maiden-accounts" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-networking = (build-asdf-system {
    pname = "maiden-networking";
    version = "20230618-git";
    asds = [ "maiden-networking" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-networking";
      asd = "maiden-networking";
    });
    systems = [ "maiden-networking" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "maiden" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-notify = (build-asdf-system {
    pname = "maiden-notify";
    version = "20230618-git";
    asds = [ "maiden-notify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-notify";
      asd = "maiden-notify";
    });
    systems = [ "maiden-notify" ];
    lispLibs = [ (getAttr "maiden-accounts" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-permissions = (build-asdf-system {
    pname = "maiden-permissions";
    version = "20230618-git";
    asds = [ "maiden-permissions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-permissions";
      asd = "maiden-permissions";
    });
    systems = [ "maiden-permissions" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-relay = (build-asdf-system {
    pname = "maiden-relay";
    version = "20230618-git";
    asds = [ "maiden-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-relay";
      asd = "maiden-relay";
    });
    systems = [ "maiden-relay" ];
    lispLibs = [ (getAttr "maiden-networking" self) (getAttr "maiden-serialize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-serialize = (build-asdf-system {
    pname = "maiden-serialize";
    version = "20230618-git";
    asds = [ "maiden-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-serialize";
      asd = "maiden-serialize";
    });
    systems = [ "maiden-serialize" ];
    lispLibs = [ (getAttr "cl-store" self) (getAttr "gzip-stream" self) (getAttr "maiden" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-silly = (build-asdf-system {
    pname = "maiden-silly";
    version = "20230618-git";
    asds = [ "maiden-silly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-silly";
      asd = "maiden-silly";
    });
    systems = [ "maiden-silly" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "lquery" self) (getAttr "maiden-activatable" self) (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-storage = (build-asdf-system {
    pname = "maiden-storage";
    version = "20230618-git";
    asds = [ "maiden-storage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-storage";
      asd = "maiden-storage";
    });
    systems = [ "maiden-storage" ];
    lispLibs = [ (getAttr "maiden" self) (getAttr "pathname-utils" self) (getAttr "ubiquitous-concurrent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-talk = (build-asdf-system {
    pname = "maiden-talk";
    version = "20230618-git";
    asds = [ "maiden-talk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-talk";
      asd = "maiden-talk";
    });
    systems = [ "maiden-talk" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "cl-mixed-mpg123" self) (getAttr "drakma" self) (getAttr "harmony" self) (getAttr "maiden-commands" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-throttle = (build-asdf-system {
    pname = "maiden-throttle";
    version = "20230618-git";
    asds = [ "maiden-throttle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-throttle";
      asd = "maiden-throttle";
    });
    systems = [ "maiden-throttle" ];
    lispLibs = [ (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-time = (build-asdf-system {
    pname = "maiden-time";
    version = "20230618-git";
    asds = [ "maiden-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-time";
      asd = "maiden-time";
    });
    systems = [ "maiden-time" ];
    lispLibs = [ (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-location" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-trivia = (build-asdf-system {
    pname = "maiden-trivia";
    version = "20230618-git";
    asds = [ "maiden-trivia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-trivia";
      asd = "maiden-trivia";
    });
    systems = [ "maiden-trivia" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-twitter = (build-asdf-system {
    pname = "maiden-twitter";
    version = "20230618-git";
    asds = [ "maiden-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-twitter";
      asd = "maiden-twitter";
    });
    systems = [ "maiden-twitter" ];
    lispLibs = [ (getAttr "chirp" self) (getAttr "maiden-client-entities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-urlinfo = (build-asdf-system {
    pname = "maiden-urlinfo";
    version = "20230618-git";
    asds = [ "maiden-urlinfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-urlinfo";
      asd = "maiden-urlinfo";
    });
    systems = [ "maiden-urlinfo" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "maiden-activatable" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-vote = (build-asdf-system {
    pname = "maiden-vote";
    version = "20230618-git";
    asds = [ "maiden-vote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-vote";
      asd = "maiden-vote";
    });
    systems = [ "maiden-vote" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maiden-weather = (build-asdf-system {
    pname = "maiden-weather";
    version = "20230618-git";
    asds = [ "maiden-weather" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maiden/2023-06-18/maiden-20230618-git.tgz";
      sha256 = "1m16qi019cmfpfs6538hc4qsplpb8nl9ly1qlckgfxgjag0z3wdr";
      system = "maiden-weather";
      asd = "maiden-weather";
    });
    systems = [ "maiden-weather" ];
    lispLibs = [ (getAttr "local-time" self) (getAttr "maiden-api-access" self) (getAttr "maiden-client-entities" self) (getAttr "maiden-commands" self) (getAttr "maiden-location" self) (getAttr "maiden-storage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maidenhead = (build-asdf-system {
    pname = "maidenhead";
    version = "20220331-git";
    asds = [ "maidenhead" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maidenhead/2022-03-31/maidenhead-20220331-git.tgz";
      sha256 = "0bkw31jibx4sh2086jgsw4rvaz3i1dmycbwp203rjj78x7wz9743";
      system = "maidenhead";
      asd = "maidenhead";
    });
    systems = [ "maidenhead" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mailbox = (build-asdf-system {
    pname = "mailbox";
    version = "20131003-git";
    asds = [ "mailbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mailbox/2013-10-03/mailbox-20131003-git.tgz";
      sha256 = "1qgkcss8m2q29kr9d040dnjmzl17vb7zzvlz5ry3z3zgbdwgj1sy";
      system = "mailbox";
      asd = "mailbox";
    });
    systems = [ "mailbox" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mailgun = (build-asdf-system {
    pname = "mailgun";
    version = "20220707-git";
    asds = [ "mailgun" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mailgun/2022-07-07/mailgun-20220707-git.tgz";
      sha256 = "1wadkm5r2hmyz40m4kwg5rv4g4dwn3h2d8l2mn9dncg5qy37x2vl";
      system = "mailgun";
      asd = "mailgun";
    });
    systems = [ "mailgun" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "log4cl" self) (getAttr "secret-values" self) (getAttr "spinneret" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  make-hash = (build-asdf-system {
    pname = "make-hash";
    version = "20130615-git";
    asds = [ "make-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/make-hash/2013-06-15/make-hash-20130615-git.tgz";
      sha256 = "1qa4mcmb3pv44py0j129dd8hjx09c2akpnds53b69151mgwv5qz8";
      system = "make-hash";
      asd = "make-hash";
    });
    systems = [ "make-hash" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  make-hash-tests = (build-asdf-system {
    pname = "make-hash-tests";
    version = "20130615-git";
    asds = [ "make-hash-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/make-hash/2013-06-15/make-hash-20130615-git.tgz";
      sha256 = "1qa4mcmb3pv44py0j129dd8hjx09c2akpnds53b69151mgwv5qz8";
      system = "make-hash-tests";
      asd = "make-hash-tests";
    });
    systems = [ "make-hash-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "make-hash" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  manifest = (build-asdf-system {
    pname = "manifest";
    version = "20120208-git";
    asds = [ "manifest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/manifest/2012-02-08/manifest-20120208-git.tgz";
      sha256 = "0dswslnskskdbsln6vi7w8cbypw001d81xaxkfn4g7m15m9pzkgf";
      system = "manifest";
      asd = "manifest";
    });
    systems = [ "manifest" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "monkeylib-html" self) (getAttr "puri" self) (getAttr "split-sequence" self) (getAttr "toot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  map-bind = (build-asdf-system {
    pname = "map-bind";
    version = "20120811-git";
    asds = [ "map-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/map-bind/2012-08-11/map-bind-20120811-git.tgz";
      sha256 = "06z02c0ypfrd789glbidnhf95839hardd7nr3i95l1adm8pas30f";
      system = "map-bind";
      asd = "map-bind";
    });
    systems = [ "map-bind" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  map-set = (build-asdf-system {
    pname = "map-set";
    version = "20230618-git";
    asds = [ "map-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/map-set/2023-06-18/map-set-20230618-git.tgz";
      sha256 = "1jlvgyvw9v49x65xvcc6vyy5nfgih43yysqj5v2555rm75p5ipgg";
      system = "map-set";
      asd = "map-set";
    });
    systems = [ "map-set" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  marching-cubes = (build-asdf-system {
    pname = "marching-cubes";
    version = "20150709-git";
    asds = [ "marching-cubes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes";
      asd = "marching-cubes";
    });
    systems = [ "marching-cubes" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  marching-cubes-example = (build-asdf-system {
    pname = "marching-cubes-example";
    version = "20150709-git";
    asds = [ "marching-cubes-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes-example";
      asd = "marching-cubes-example";
    });
    systems = [ "marching-cubes-example" ];
    lispLibs = [ (getAttr "marching-cubes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  marching-cubes-test = (build-asdf-system {
    pname = "marching-cubes-test";
    version = "20150709-git";
    asds = [ "marching-cubes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/marching-cubes/2015-07-09/marching-cubes-20150709-git.tgz";
      sha256 = "013wyr4g82b2gk0j5jbkkshg9lal2m34px37blyclf6kr5sk6azh";
      system = "marching-cubes-test";
      asd = "marching-cubes-test";
    });
    systems = [ "marching-cubes-test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "marching-cubes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  markdown_dot_cl = (build-asdf-system {
    pname = "markdown.cl";
    version = "20210228-git";
    asds = [ "markdown.cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markdown.cl/2021-02-28/markdown.cl-20210228-git.tgz";
      sha256 = "00yxg67skx3navq7fdsjy0wds16n9n12bhdzv08f43bgbwali7v8";
      system = "markdown.cl";
      asd = "markdown.cl";
    });
    systems = [ "markdown.cl" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  markdown_dot_cl-test = (build-asdf-system {
    pname = "markdown.cl-test";
    version = "20210228-git";
    asds = [ "markdown.cl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markdown.cl/2021-02-28/markdown.cl-20210228-git.tgz";
      sha256 = "00yxg67skx3navq7fdsjy0wds16n9n12bhdzv08f43bgbwali7v8";
      system = "markdown.cl-test";
      asd = "markdown.cl-test";
    });
    systems = [ "markdown.cl-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "markdown_dot_cl" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  markup = (build-asdf-system {
    pname = "markup";
    version = "20230618-git";
    asds = [ "markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markup/2023-06-18/markup-20230618-git.tgz";
      sha256 = "1paj76r1bfq4pr6m6j1mgik8b97sl2zgzy7rvvwwfrs2j1mf8byd";
      system = "markup";
      asd = "markup";
    });
    systems = [ "markup" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "named-readtables" self) (getAttr "str" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  markup_dot_test = (build-asdf-system {
    pname = "markup.test";
    version = "20230618-git";
    asds = [ "markup.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/markup/2023-06-18/markup-20230618-git.tgz";
      sha256 = "1paj76r1bfq4pr6m6j1mgik8b97sl2zgzy7rvvwwfrs2j1mf8byd";
      system = "markup.test";
      asd = "markup.test";
    });
    systems = [ "markup.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "markup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  marshal = (build-asdf-system {
    pname = "marshal";
    version = "20221106-git";
    asds = [ "marshal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marshal/2022-11-06/cl-marshal-20221106-git.tgz";
      sha256 = "0pclq0q43f3nlb2np957i10ysmky32qlz78an3hf2adg8if776ys";
      system = "marshal";
      asd = "marshal";
    });
    systems = [ "marshal" ];
    lispLibs = [  ];
    meta = {};
  });
  marshal-tests = (build-asdf-system {
    pname = "marshal-tests";
    version = "20221106-git";
    asds = [ "marshal-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marshal/2022-11-06/cl-marshal-20221106-git.tgz";
      sha256 = "0pclq0q43f3nlb2np957i10ysmky32qlz78an3hf2adg8if776ys";
      system = "marshal-tests";
      asd = "marshal-tests";
    });
    systems = [ "marshal-tests" ];
    lispLibs = [ (getAttr "marshal" self) (getAttr "xlunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  math = (build-asdf-system {
    pname = "math";
    version = "20230618-git";
    asds = [ "math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/math/2023-06-18/math-20230618-git.tgz";
      sha256 = "0b467rgh3z57mr629xs0b7ggamgfc5x51nhnsiz6w1fgy8qm4ffd";
      system = "math";
      asd = "math";
    });
    systems = [ "math" ];
    lispLibs = [ (getAttr "cl-utilities" self) (getAttr "font-discovery" self) (getAttr "gsll" self) (getAttr "vgplot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mathkit = (build-asdf-system {
    pname = "mathkit";
    version = "20160208-git";
    asds = [ "mathkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mathkit/2016-02-08/mathkit-20160208-git.tgz";
      sha256 = "174y6ndmf52h8sml87qjfl48llmynvdizzk2h0mr85zbaysx73i3";
      system = "mathkit";
      asd = "mathkit";
    });
    systems = [ "mathkit" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  matrix-case = (build-asdf-system {
    pname = "matrix-case";
    version = "20211020-git";
    asds = [ "matrix-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/matrix-case/2021-10-20/matrix-case-20211020-git.tgz";
      sha256 = "17k7x7wcl78xw4ajd38gva2dw7snsm9jppbnnl4by2s0grsqg50a";
      system = "matrix-case";
      asd = "matrix-case";
    });
    systems = [ "matrix-case" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  matrix-case_dot_test = (build-asdf-system {
    pname = "matrix-case.test";
    version = "20211020-git";
    asds = [ "matrix-case.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/matrix-case/2021-10-20/matrix-case-20211020-git.tgz";
      sha256 = "17k7x7wcl78xw4ajd38gva2dw7snsm9jppbnnl4by2s0grsqg50a";
      system = "matrix-case.test";
      asd = "matrix-case.test";
    });
    systems = [ "matrix-case.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "matrix-case" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maxpc = (build-asdf-system {
    pname = "maxpc";
    version = "20200427-git";
    asds = [ "maxpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maxpc/2020-04-27/maxpc-20200427-git.tgz";
      sha256 = "15wrjbr2js6j67c1dd4p2qxj49q9iqv1lhb7cwdcwpn79crr39gf";
      system = "maxpc";
      asd = "maxpc";
    });
    systems = [ "maxpc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maxpc-apache = (build-asdf-system {
    pname = "maxpc-apache";
    version = "20230618-git";
    asds = [ "maxpc-apache" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "maxpc-apache";
      asd = "maxpc-apache";
    });
    systems = [ "maxpc-apache" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  maxpc-test = (build-asdf-system {
    pname = "maxpc-test";
    version = "20200427-git";
    asds = [ "maxpc-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/maxpc/2020-04-27/maxpc-20200427-git.tgz";
      sha256 = "15wrjbr2js6j67c1dd4p2qxj49q9iqv1lhb7cwdcwpn79crr39gf";
      system = "maxpc-test";
      asd = "maxpc-test";
    });
    systems = [ "maxpc-test" ];
    lispLibs = [ (getAttr "maxpc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mbe = (build-asdf-system {
    pname = "mbe";
    version = "20200218-git";
    asds = [ "mbe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mbe/2020-02-18/mbe-20200218-git.tgz";
      sha256 = "1wlhlddfv0jbqliqlvhxkmmj9pfym0f9qlvjjmlrkvx6fxpv0450";
      system = "mbe";
      asd = "mbe";
    });
    systems = [ "mbe" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcase = (build-asdf-system {
    pname = "mcase";
    version = "20211020-git";
    asds = [ "mcase" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcase/2021-10-20/mcase-20211020-git.tgz";
      sha256 = "1k0agm57xbzlskdi8cgsg2z9lsamm4jl6fw7687z3bw1s2dbsm59";
      system = "mcase";
      asd = "mcase";
    });
    systems = [ "mcase" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) (getAttr "millet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcase_dot_test = (build-asdf-system {
    pname = "mcase.test";
    version = "20211020-git";
    asds = [ "mcase.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcase/2021-10-20/mcase-20211020-git.tgz";
      sha256 = "1k0agm57xbzlskdi8cgsg2z9lsamm4jl6fw7687z3bw1s2dbsm59";
      system = "mcase.test";
      asd = "mcase.test";
    });
    systems = [ "mcase.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "mcase" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim = (build-asdf-system {
    pname = "mcclim";
    version = "20230618-git";
    asds = [ "mcclim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim";
      asd = "mcclim";
    });
    systems = [ "mcclim" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "clim-pdf" self) (getAttr "clim-postscript" self) (getAttr "conditional-commands" self) (getAttr "mcclim-bezier" self) (getAttr "mcclim-bitmaps" self) (getAttr "mcclim-clx" self) (getAttr "mcclim-clx-fb" self) (getAttr "mcclim-franz" self) (getAttr "mcclim-null" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-backend-common = (build-asdf-system {
    pname = "mcclim-backend-common";
    version = "20230618-git";
    asds = [ "mcclim-backend-common" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-backend-common";
      asd = "mcclim-backend-common";
    });
    systems = [ "mcclim-backend-common" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-bezier = (build-asdf-system {
    pname = "mcclim-bezier";
    version = "20230618-git";
    asds = [ "mcclim-bezier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-bezier";
      asd = "mcclim-bezier";
    });
    systems = [ "mcclim-bezier" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "clim-pdf" self) (getAttr "clim-postscript" self) (getAttr "flexichain" self) (getAttr "mcclim-clx" self) (getAttr "mcclim-null" self) (getAttr "mcclim-render" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-bitmaps = (build-asdf-system {
    pname = "mcclim-bitmaps";
    version = "20230618-git";
    asds = [ "mcclim-bitmaps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-bitmaps";
      asd = "mcclim-bitmaps";
    });
    systems = [ "mcclim-bitmaps" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "opticl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-clx = (build-asdf-system {
    pname = "mcclim-clx";
    version = "20230618-git";
    asds = [ "mcclim-clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-clx";
      asd = "mcclim-clx";
    });
    systems = [ "mcclim-clx" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-aa" self) (getAttr "cl-dejavu" self) (getAttr "cl-paths-ttf" self) (getAttr "cl-unicode" self) (getAttr "cl-vectors" self) (getAttr "clim" self) (getAttr "clx" self) (getAttr "flexi-streams" self) (getAttr "mcclim-backend-common" self) (getAttr "trivial-garbage" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-clx-fb = (build-asdf-system {
    pname = "mcclim-clx-fb";
    version = "20230618-git";
    asds = [ "mcclim-clx-fb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-clx-fb";
      asd = "mcclim-clx-fb";
    });
    systems = [ "mcclim-clx-fb" ];
    lispLibs = [ (getAttr "mcclim-backend-common" self) (getAttr "mcclim-clx" self) (getAttr "mcclim-render" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-dot = (build-asdf-system {
    pname = "mcclim-dot";
    version = "20230618-git";
    asds = [ "mcclim-dot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-dot";
      asd = "mcclim-dot";
    });
    systems = [ "mcclim-dot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-dot" self) (getAttr "closer-mop" self) (getAttr "mcclim" self) (getAttr "parse-number" self) (getAttr "shasht" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-fontconfig = (build-asdf-system {
    pname = "mcclim-fontconfig";
    version = "20230618-git";
    asds = [ "mcclim-fontconfig" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-fontconfig";
      asd = "mcclim-fontconfig";
    });
    systems = [ "mcclim-fontconfig" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-fonts = (build-asdf-system {
    pname = "mcclim-fonts";
    version = "20230618-git";
    asds = [ "mcclim-fonts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-fonts";
      asd = "mcclim-fonts";
    });
    systems = [ "mcclim-fonts" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-franz = (build-asdf-system {
    pname = "mcclim-franz";
    version = "20230618-git";
    asds = [ "mcclim-franz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-franz";
      asd = "mcclim-franz";
    });
    systems = [ "mcclim-franz" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-harfbuzz = (build-asdf-system {
    pname = "mcclim-harfbuzz";
    version = "20230618-git";
    asds = [ "mcclim-harfbuzz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-harfbuzz";
      asd = "mcclim-harfbuzz";
    });
    systems = [ "mcclim-harfbuzz" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-layouts = (build-asdf-system {
    pname = "mcclim-layouts";
    version = "20230618-git";
    asds = [ "mcclim-layouts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-layouts";
      asd = "mcclim-layouts";
    });
    systems = [ "mcclim-layouts" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-null = (build-asdf-system {
    pname = "mcclim-null";
    version = "20230618-git";
    asds = [ "mcclim-null" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-null";
      asd = "mcclim-null";
    });
    systems = [ "mcclim-null" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-raster-image = (build-asdf-system {
    pname = "mcclim-raster-image";
    version = "20230618-git";
    asds = [ "mcclim-raster-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-raster-image";
      asd = "mcclim-raster-image";
    });
    systems = [ "mcclim-raster-image" ];
    lispLibs = [ (getAttr "clim" self) (getAttr "mcclim-backend-common" self) (getAttr "mcclim-render" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-render = (build-asdf-system {
    pname = "mcclim-render";
    version = "20230618-git";
    asds = [ "mcclim-render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-render";
      asd = "mcclim-render";
    });
    systems = [ "mcclim-render" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-aa" self) (getAttr "cl-dejavu" self) (getAttr "cl-paths-ttf" self) (getAttr "cl-vectors" self) (getAttr "clim" self) (getAttr "flexi-streams" self) (getAttr "mcclim-backend-common" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-svg = (build-asdf-system {
    pname = "mcclim-svg";
    version = "20230618-git";
    asds = [ "mcclim-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-svg";
      asd = "mcclim-svg";
    });
    systems = [ "mcclim-svg" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-aa" self) (getAttr "cl-base64" self) (getAttr "cl-dejavu" self) (getAttr "cl-paths-ttf" self) (getAttr "cl-vectors" self) (getAttr "cl-who" self) (getAttr "clim" self) (getAttr "flexi-streams" self) (getAttr "mcclim" self) (getAttr "mcclim-bitmaps" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-tooltips = (build-asdf-system {
    pname = "mcclim-tooltips";
    version = "20230618-git";
    asds = [ "mcclim-tooltips" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-tooltips";
      asd = "mcclim-tooltips";
    });
    systems = [ "mcclim-tooltips" ];
    lispLibs = [ (getAttr "clim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mcclim-tree-with-cross-edges = (build-asdf-system {
    pname = "mcclim-tree-with-cross-edges";
    version = "20230618-git";
    asds = [ "mcclim-tree-with-cross-edges" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "mcclim-tree-with-cross-edges";
      asd = "mcclim-tree-with-cross-edges";
    });
    systems = [ "mcclim-tree-with-cross-edges" ];
    lispLibs = [ (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  md5 = (build-asdf-system {
    pname = "md5";
    version = "20210630-git";
    asds = [ "md5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/md5/2021-06-30/md5-20210630-git.tgz";
      sha256 = "1g20np6rhn3y08z8mlmlk721mw2207s52v2pwp4smm3lz25sx3q5";
      system = "md5";
      asd = "md5";
    });
    systems = [ "md5" ];
    lispLibs = [  ];
    meta = {};
  });
  media-types = (build-asdf-system {
    pname = "media-types";
    version = "20220331-git";
    asds = [ "media-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/media-types/2022-03-31/media-types-20220331-git.tgz";
      sha256 = "07ly7jr0ff2ks4gyjpq2jyj9gm47frllal5is3iqhc4xrmpyzrqc";
      system = "media-types";
      asd = "media-types";
    });
    systems = [ "media-types" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mel-base = (build-asdf-system {
    pname = "mel-base";
    version = "20180228-git";
    asds = [ "mel-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mel-base/2018-02-28/mel-base-20180228-git.tgz";
      sha256 = "1dvhmlkxasww3kb7xnwqlmdvi31w2awjrbkgk5d0hsfzqmyhhjh0";
      system = "mel-base";
      asd = "mel-base";
    });
    systems = [ "mel-base" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "flexi-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  memoize = (build-asdf-system {
    pname = "memoize";
    version = "20140826-http";
    asds = [ "memoize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/memoize/2014-08-26/memoize-20140826-http.tgz";
      sha256 = "1f1plqy9xdv40235b7kkm63gsgssk8l81azhfniy8j9yww39gihf";
      system = "memoize";
      asd = "memoize";
    });
    systems = [ "memoize" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  memory-regions = (build-asdf-system {
    pname = "memory-regions";
    version = "20230618-git";
    asds = [ "memory-regions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/memory-regions/2023-06-18/memory-regions-20230618-git.tgz";
      sha256 = "10vgadcbsdgq4c7gp7gj6smb65m4h6spr7wappihmyyfif3xs69d";
      system = "memory-regions";
      asd = "memory-regions";
    });
    systems = [ "memory-regions" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "closer-mop" self) (getAttr "documentation-utils" self) (getAttr "mmap" self) (getAttr "trivial-extensible-sequences" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  message-oo = (build-asdf-system {
    pname = "message-oo";
    version = "20130615-git";
    asds = [ "message-oo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/message-oo/2013-06-15/message-oo-20130615-git.tgz";
      sha256 = "164yypzhr6pxb84x47s9vjl97imbq5r8sxan22101q0y1jn3dznp";
      system = "message-oo";
      asd = "message-oo";
    });
    systems = [ "message-oo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  messagebox = (build-asdf-system {
    pname = "messagebox";
    version = "20230618-git";
    asds = [ "messagebox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/messagebox/2023-06-18/messagebox-20230618-git.tgz";
      sha256 = "16xv1gz6jj64xxkngfd0bnb9dhgqjp8x0vjwchj81am9s6589rbs";
      system = "messagebox";
      asd = "messagebox";
    });
    systems = [ "messagebox" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  meta = (build-asdf-system {
    pname = "meta";
    version = "20150608-git";
    asds = [ "meta" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/meta/2015-06-08/meta-20150608-git.tgz";
      sha256 = "08s53zj3mcx82kszp1bg2vsb4kydvkc70kj4hpq9h1l5a1wh44cy";
      system = "meta";
      asd = "meta";
    });
    systems = [ "meta" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  meta-sexp = (build-asdf-system {
    pname = "meta-sexp";
    version = "20201016-git";
    asds = [ "meta-sexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/meta-sexp/2020-10-16/meta-sexp-20201016-git.tgz";
      sha256 = "14z4xglybsj4pdaifhjvnki0vm0wg985x00n94djc0fdcclczv1c";
      system = "meta-sexp";
      asd = "meta-sexp";
    });
    systems = [ "meta-sexp" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metabang-bind = (build-asdf-system {
    pname = "metabang-bind";
    version = "20230618-git";
    asds = [ "metabang-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metabang-bind/2023-06-18/metabang-bind-20230618-git.tgz";
      sha256 = "14g7k3zhm8cd6bssc5mm5h6iq1dv5lfhiq33aimcmj5a6vbiq47d";
      system = "metabang-bind";
      asd = "metabang-bind";
    });
    systems = [ "metabang-bind" ];
    lispLibs = [  ];
    meta = {};
  });
  metabang-bind-test = (build-asdf-system {
    pname = "metabang-bind-test";
    version = "20230618-git";
    asds = [ "metabang-bind-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metabang-bind/2023-06-18/metabang-bind-20230618-git.tgz";
      sha256 = "14g7k3zhm8cd6bssc5mm5h6iq1dv5lfhiq33aimcmj5a6vbiq47d";
      system = "metabang-bind-test";
      asd = "metabang-bind-test";
    });
    systems = [ "metabang-bind-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metacopy = (build-asdf-system {
    pname = "metacopy";
    version = "20170403-darcs";
    asds = [ "metacopy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy";
      asd = "metacopy";
    });
    systems = [ "metacopy" ];
    lispLibs = [ (getAttr "moptilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metacopy-with-contextl = (build-asdf-system {
    pname = "metacopy-with-contextl";
    version = "20170403-darcs";
    asds = [ "metacopy-with-contextl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metacopy/2017-04-03/metacopy-20170403-darcs.tgz";
      sha256 = "1xwvc18l5fc33ffqa6jz5g0qz6mpabia81bcmqf3sz24apkpr49x";
      system = "metacopy-with-contextl";
      asd = "metacopy-with-contextl";
    });
    systems = [ "metacopy-with-contextl" ];
    lispLibs = [ (getAttr "contextl" self) (getAttr "metacopy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metalock = (build-asdf-system {
    pname = "metalock";
    version = "20200925-git";
    asds = [ "metalock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metalock/2020-09-25/metalock-20200925-git.tgz";
      sha256 = "0z2vk0s694zhnkai593q42vln5a6ykm8pilyikc4qp9aw9r43lc5";
      system = "metalock";
      asd = "metalock";
    });
    systems = [ "metalock" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metap = (build-asdf-system {
    pname = "metap";
    version = "20150505-git";
    asds = [ "metap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metap/2015-05-05/metap-20150505-git.tgz";
      sha256 = "0drqyjscl0lmhgplld6annmlqma83q76xkxnahcq4ksnhpbsz9wx";
      system = "metap";
      asd = "metap";
    });
    systems = [ "metap" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metap-test = (build-asdf-system {
    pname = "metap-test";
    version = "20150505-git";
    asds = [ "metap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metap/2015-05-05/metap-20150505-git.tgz";
      sha256 = "0drqyjscl0lmhgplld6annmlqma83q76xkxnahcq4ksnhpbsz9wx";
      system = "metap-test";
      asd = "metap-test";
    });
    systems = [ "metap-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "metap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metatilities = (build-asdf-system {
    pname = "metatilities";
    version = "20180228-git";
    asds = [ "metatilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities/2018-02-28/metatilities-20180228-git.tgz";
      sha256 = "0vqhndnhrv40ixkj5lslr0h2fy79609gi0wgbqzcz82vkyx9d6vd";
      system = "metatilities";
      asd = "metatilities";
    });
    systems = [ "metatilities" ];
    lispLibs = [ (getAttr "asdf-system-connections" self) (getAttr "cl-containers" self) (getAttr "metabang-bind" self) (getAttr "metatilities-base" self) (getAttr "moptilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metatilities-base = (build-asdf-system {
    pname = "metatilities-base";
    version = "20191227-git";
    asds = [ "metatilities-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities-base/2019-12-27/metatilities-base-20191227-git.tgz";
      sha256 = "069rk5ncwvjnnzvvky6xiriynl72yzvjpnzl6jw9jf3b8na14zrk";
      system = "metatilities-base";
      asd = "metatilities-base";
    });
    systems = [ "metatilities-base" ];
    lispLibs = [  ];
    meta = {};
  });
  metatilities-base-test = (build-asdf-system {
    pname = "metatilities-base-test";
    version = "20191227-git";
    asds = [ "metatilities-base-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities-base/2019-12-27/metatilities-base-20191227-git.tgz";
      sha256 = "069rk5ncwvjnnzvvky6xiriynl72yzvjpnzl6jw9jf3b8na14zrk";
      system = "metatilities-base-test";
      asd = "metatilities-base-test";
    });
    systems = [ "metatilities-base-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "metatilities-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metatilities-test = (build-asdf-system {
    pname = "metatilities-test";
    version = "20180228-git";
    asds = [ "metatilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metatilities/2018-02-28/metatilities-20180228-git.tgz";
      sha256 = "0vqhndnhrv40ixkj5lslr0h2fy79609gi0wgbqzcz82vkyx9d6vd";
      system = "metatilities-test";
      asd = "metatilities-test";
    });
    systems = [ "metatilities-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "metatilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  metering = (build-asdf-system {
    pname = "metering";
    version = "20200218-git";
    asds = [ "metering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/metering/2020-02-18/metering-20200218-git.tgz";
      sha256 = "0jx3ypk8m815yp7208xkcxkvila847mvna25a2p22ihnj0ms9rn1";
      system = "metering";
      asd = "metering";
    });
    systems = [ "metering" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  method-combination-utilities = (build-asdf-system {
    pname = "method-combination-utilities";
    version = "20141106-git";
    asds = [ "method-combination-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-combination-utilities/2014-11-06/method-combination-utilities-20141106-git.tgz";
      sha256 = "1lgc515j87lbb48mjys0j6p8bxzifzjw5g8i825lsdmajmwj3vis";
      system = "method-combination-utilities";
      asd = "method-combination-utilities";
    });
    systems = [ "method-combination-utilities" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  method-combination-utilities_dot_tests = (build-asdf-system {
    pname = "method-combination-utilities.tests";
    version = "20141106-git";
    asds = [ "method-combination-utilities.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-combination-utilities/2014-11-06/method-combination-utilities-20141106-git.tgz";
      sha256 = "1lgc515j87lbb48mjys0j6p8bxzifzjw5g8i825lsdmajmwj3vis";
      system = "method-combination-utilities.tests";
      asd = "method-combination-utilities";
    });
    systems = [ "method-combination-utilities.tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "method-combination-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  method-hooks = (build-asdf-system {
    pname = "method-hooks";
    version = "20200925-git";
    asds = [ "method-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-hooks/2020-09-25/method-hooks-20200925-git.tgz";
      sha256 = "0kzijk02wjzms3hihmn6n6p9r6awkrsqlkghf6ixzf6400fiy212";
      system = "method-hooks";
      asd = "method-hooks";
    });
    systems = [ "method-hooks" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  method-hooks-test = (build-asdf-system {
    pname = "method-hooks-test";
    version = "20200925-git";
    asds = [ "method-hooks-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-hooks/2020-09-25/method-hooks-20200925-git.tgz";
      sha256 = "0kzijk02wjzms3hihmn6n6p9r6awkrsqlkghf6ixzf6400fiy212";
      system = "method-hooks-test";
      asd = "method-hooks-test";
    });
    systems = [ "method-hooks-test" ];
    lispLibs = [ (getAttr "method-hooks" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  method-versions = (build-asdf-system {
    pname = "method-versions";
    version = "0.1.2011.05.18";
    asds = [ "method-versions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/method-versions/2011-05-22/method-versions_0.1.2011.05.18.tgz";
      sha256 = "119x3dbjry25issq2m8xcacknd1y9mcnla5rhqzcsrj58zsmwmwf";
      system = "method-versions";
      asd = "method-versions";
    });
    systems = [ "method-versions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mexpr = (build-asdf-system {
    pname = "mexpr";
    version = "20150709-git";
    asds = [ "mexpr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mexpr/2015-07-09/mexpr-20150709-git.tgz";
      sha256 = "0ri9cp7vhnn9sah1lhvxn523c342n0q4v0xzi6fzlfvpj84jfzqk";
      system = "mexpr";
      asd = "mexpr";
    });
    systems = [ "mexpr" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mexpr-tests = (build-asdf-system {
    pname = "mexpr-tests";
    version = "20150709-git";
    asds = [ "mexpr-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mexpr/2015-07-09/mexpr-20150709-git.tgz";
      sha256 = "0ri9cp7vhnn9sah1lhvxn523c342n0q4v0xzi6fzlfvpj84jfzqk";
      system = "mexpr-tests";
      asd = "mexpr-tests";
    });
    systems = [ "mexpr-tests" ];
    lispLibs = [ (getAttr "mexpr" self) (getAttr "named-readtables" self) (getAttr "should-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mfiano-utils = (build-asdf-system {
    pname = "mfiano-utils";
    version = "20230214-git";
    asds = [ "mfiano-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mfiano-utils/2023-02-14/mfiano-utils-20230214-git.tgz";
      sha256 = "06nrrwwlrwi4w87y6888759b5vpa5264lli5m4crl9r9lr9bnay9";
      system = "mfiano-utils";
      asd = "mfiano-utils";
    });
    systems = [ "mfiano-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mgl = (build-asdf-system {
    pname = "mgl";
    version = "20230618-git";
    asds = [ "mgl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2023-06-18/mgl-20230618-git.tgz";
      sha256 = "1jr2jill9b1rq0msy0bzzl0q2w0bm3gpd0dwrmkyazzjym2rdsjx";
      system = "mgl";
      asd = "mgl";
    });
    systems = [ "mgl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "array-operations" self) (getAttr "cl-reexport" self) (getAttr "closer-mop" self) (getAttr "lla" self) (getAttr "mgl-gnuplot" self) (getAttr "mgl-mat" self) (getAttr "mgl-pax" self) (getAttr "named-readtables" self) (getAttr "num-utils" self) (getAttr "pythonic-string-reader" self) (getAttr "swank" self) ];
    meta = {};
  });
  mgl-example = (build-asdf-system {
    pname = "mgl-example";
    version = "20230618-git";
    asds = [ "mgl-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2023-06-18/mgl-20230618-git.tgz";
      sha256 = "1jr2jill9b1rq0msy0bzzl0q2w0bm3gpd0dwrmkyazzjym2rdsjx";
      system = "mgl-example";
      asd = "mgl-example";
    });
    systems = [ "mgl-example" ];
    lispLibs = [ (getAttr "mgl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mgl-gnuplot = (build-asdf-system {
    pname = "mgl-gnuplot";
    version = "20230618-git";
    asds = [ "mgl-gnuplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl/2023-06-18/mgl-20230618-git.tgz";
      sha256 = "1jr2jill9b1rq0msy0bzzl0q2w0bm3gpd0dwrmkyazzjym2rdsjx";
      system = "mgl-gnuplot";
      asd = "mgl-gnuplot";
    });
    systems = [ "mgl-gnuplot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "external-program" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mgl-mat = (build-asdf-system {
    pname = "mgl-mat";
    version = "20230618-git";
    asds = [ "mgl-mat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-mat/2023-06-18/mgl-mat-20230618-git.tgz";
      sha256 = "1lhiwjfrlhhj8bzxzj0knsm45x8zabwf7ccf2vb51mz8rzj3gxd3";
      system = "mgl-mat";
      asd = "mgl-mat";
    });
    systems = [ "mgl-mat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-cuda" self) (getAttr "flexi-streams" self) (getAttr "ieee-floats" self) (getAttr "lla" self) (getAttr "mgl-pax" self) (getAttr "num-utils" self) (getAttr "static-vectors" self) (getAttr "trivial-garbage" self) ];
    meta = {};
  });
  mgl-pax = (build-asdf-system {
    pname = "mgl-pax";
    version = "20230618-git";
    asds = [ "mgl-pax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2023-06-18/mgl-pax-20230618-git.tgz";
      sha256 = "1s2k1vx0mdkv09h8gw9nfccnvvr3p07g8zfv70wp56lsycjsx3b9";
      system = "mgl-pax";
      asd = "mgl-pax";
    });
    systems = [ "mgl-pax" ];
    lispLibs = [ (getAttr "mgl-pax_dot_asdf" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) ];
    meta = {};
  });
  mgl-pax_dot_asdf = (build-asdf-system {
    pname = "mgl-pax.asdf";
    version = "20230618-git";
    asds = [ "mgl-pax.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgl-pax/2023-06-18/mgl-pax-20230618-git.tgz";
      sha256 = "1s2k1vx0mdkv09h8gw9nfccnvvr3p07g8zfv70wp56lsycjsx3b9";
      system = "mgl-pax.asdf";
      asd = "mgl-pax.asdf";
    });
    systems = [ "mgl-pax.asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mgrs = (build-asdf-system {
    pname = "mgrs";
    version = "20220331-git";
    asds = [ "mgrs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mgrs/2022-03-31/mgrs-20220331-git.tgz";
      sha256 = "1n4kd734qjj7mrcg0q28hml3npam1rm067iwljwc87zshnxh5gmn";
      system = "mgrs";
      asd = "mgrs";
    });
    systems = [ "mgrs" ];
    lispLibs = [ (getAttr "utm-ups" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  micmac = (build-asdf-system {
    pname = "micmac";
    version = "20230618-git";
    asds = [ "micmac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/micmac/2023-06-18/micmac-20230618-git.tgz";
      sha256 = "10zjxqc7y5spr3y5yrnfqmv881ia168scbhiq8i98rvizabgxf6x";
      system = "micmac";
      asd = "micmac";
    });
    systems = [ "micmac" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "mgl-pax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  midi = (build-asdf-system {
    pname = "midi";
    version = "20070618";
    asds = [ "midi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/midi/2010-10-06/midi-20070618.tgz";
      sha256 = "06hb6vm4dckhr1ln5jn3b31x1yampkl5fl0lfbg9zyazli7fgl87";
      system = "midi";
      asd = "midi";
    });
    systems = [ "midi" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  millet = (build-asdf-system {
    pname = "millet";
    version = "20211209-git";
    asds = [ "millet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/millet/2021-12-09/millet-20211209-git.tgz";
      sha256 = "1jdqyr1f9a6083k7n88rwc6mjmgccj6za50ybl1dlnxqvqj2pw80";
      system = "millet";
      asd = "millet";
    });
    systems = [ "millet" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  millet_dot_test = (build-asdf-system {
    pname = "millet.test";
    version = "20211209-git";
    asds = [ "millet.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/millet/2021-12-09/millet-20211209-git.tgz";
      sha256 = "1jdqyr1f9a6083k7n88rwc6mjmgccj6za50ybl1dlnxqvqj2pw80";
      system = "millet.test";
      asd = "millet.test";
    });
    systems = [ "millet.test" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "jingoh" self) (getAttr "millet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  minheap = (build-asdf-system {
    pname = "minheap";
    version = "20160628-git";
    asds = [ "minheap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minheap/2016-06-28/minheap-20160628-git.tgz";
      sha256 = "03v0dqxg4kmwvfrlrkq8bmfcv70k9n9f48p9p3z8kmfbc4p3f1vd";
      system = "minheap";
      asd = "minheap";
    });
    systems = [ "minheap" ];
    lispLibs = [  ];
    meta = {};
  });
  minheap-tests = (build-asdf-system {
    pname = "minheap-tests";
    version = "20160628-git";
    asds = [ "minheap-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minheap/2016-06-28/minheap-20160628-git.tgz";
      sha256 = "03v0dqxg4kmwvfrlrkq8bmfcv70k9n9f48p9p3z8kmfbc4p3f1vd";
      system = "minheap-tests";
      asd = "minheap-tests";
    });
    systems = [ "minheap-tests" ];
    lispLibs = [ (getAttr "lisp-unit" self) (getAttr "minheap" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mini-cas = (build-asdf-system {
    pname = "mini-cas";
    version = "20150923-git";
    asds = [ "mini-cas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mini-cas/2015-09-23/mini-cas-20150923-git.tgz";
      sha256 = "1y9a111877lkpssi651q684mj052vp6qr9pz5gl47s6swiqvqp24";
      system = "mini-cas";
      asd = "mini-cas";
    });
    systems = [ "mini-cas" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  minilem = (build-asdf-system {
    pname = "minilem";
    version = "20200218-git";
    asds = [ "minilem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/minilem/2020-02-18/minilem-20200218-git.tgz";
      sha256 = "1hpcgj8k5m11nk1pfd479hrbh15dcas7z1s8w877rqmlf69ga4cp";
      system = "minilem";
      asd = "minilem";
    });
    systems = [ "minilem" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "esrap" self) (getAttr "inquisitor" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "optima" self) (getAttr "swank" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-types" self) (getAttr "usocket" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  minpack = (build-asdf-system {
    pname = "minpack";
    version = "20200925-git";
    asds = [ "minpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "minpack";
      asd = "minpack";
    });
    systems = [ "minpack" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  misc-extensions = (build-asdf-system {
    pname = "misc-extensions";
    version = "20150608-git";
    asds = [ "misc-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/misc-extensions/2015-06-08/misc-extensions-20150608-git.tgz";
      sha256 = "0gz5f4p70qzilnxsnf5lih2n9m4wjcw8hlw4w8mpn9jyhyppyyv0";
      system = "misc-extensions";
      asd = "misc-extensions";
    });
    systems = [ "misc-extensions" ];
    lispLibs = [  ];
    meta = {};
  });
  mito = (build-asdf-system {
    pname = "mito";
    version = "20230214-git";
    asds = [ "mito" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2023-02-14/mito-20230214-git.tgz";
      sha256 = "1s12sbqi3dgxy61q3pq6c6nbi86v59ilz03dslkh1fl2mi9ln6jg";
      system = "mito";
      asd = "mito";
    });
    systems = [ "mito" ];
    lispLibs = [ (getAttr "cl-reexport" self) (getAttr "lack-middleware-mito" self) (getAttr "mito-core" self) (getAttr "mito-migration" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mito-attachment = (build-asdf-system {
    pname = "mito-attachment";
    version = "20230214-git";
    asds = [ "mito-attachment" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito-attachment/2023-02-14/mito-attachment-20230214-git.tgz";
      sha256 = "0an744m6wmnbb5zrxqxcf719r7im1n7p63z632p3m5sqv8d86fm1";
      system = "mito-attachment";
      asd = "mito-attachment";
    });
    systems = [ "mito-attachment" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "aws-sign4" self) (getAttr "lack-component" self) (getAttr "mito" self) (getAttr "quri" self) (getAttr "trivial-mimes" self) (getAttr "uuid" self) (getAttr "zs3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mito-auth = (build-asdf-system {
    pname = "mito-auth";
    version = "20171019-git";
    asds = [ "mito-auth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito-auth/2017-10-19/mito-auth-20171019-git.tgz";
      sha256 = "1q1yxjpnshzmia34a68dlscjadzynzyzz14sr4mkkkjyg5dhkazi";
      system = "mito-auth";
      asd = "mito-auth";
    });
    systems = [ "mito-auth" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "ironclad" self) (getAttr "mito" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mito-core = (build-asdf-system {
    pname = "mito-core";
    version = "20230214-git";
    asds = [ "mito-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2023-02-14/mito-20230214-git.tgz";
      sha256 = "1s12sbqi3dgxy61q3pq6c6nbi86v59ilz03dslkh1fl2mi9ln6jg";
      system = "mito-core";
      asd = "mito-core";
    });
    systems = [ "mito-core" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-reexport" self) (getAttr "closer-mop" self) (getAttr "dbi" self) (getAttr "dissect" self) (getAttr "local-time" self) (getAttr "sxql" self) (getAttr "trivia" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mito-migration = (build-asdf-system {
    pname = "mito-migration";
    version = "20230214-git";
    asds = [ "mito-migration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2023-02-14/mito-20230214-git.tgz";
      sha256 = "1s12sbqi3dgxy61q3pq6c6nbi86v59ilz03dslkh1fl2mi9ln6jg";
      system = "mito-migration";
      asd = "mito-migration";
    });
    systems = [ "mito-migration" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "chipz" self) (getAttr "cl-reexport" self) (getAttr "closer-mop" self) (getAttr "dbi" self) (getAttr "esrap" self) (getAttr "mito-core" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mito-test = (build-asdf-system {
    pname = "mito-test";
    version = "20230214-git";
    asds = [ "mito-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mito/2023-02-14/mito-20230214-git.tgz";
      sha256 = "1s12sbqi3dgxy61q3pq6c6nbi86v59ilz03dslkh1fl2mi9ln6jg";
      system = "mito-test";
      asd = "mito-test";
    });
    systems = [ "mito-test" ];
    lispLibs = [ (getAttr "mito" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mixalot = (build-asdf-system {
    pname = "mixalot";
    version = "20151218-git";
    asds = [ "mixalot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot";
      asd = "mixalot";
    });
    systems = [ "mixalot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mixalot-flac = (build-asdf-system {
    pname = "mixalot-flac";
    version = "20151218-git";
    asds = [ "mixalot-flac" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-flac";
      asd = "mixalot-flac";
    });
    systems = [ "mixalot-flac" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "flac" self) (getAttr "mixalot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mixalot-mp3 = (build-asdf-system {
    pname = "mixalot-mp3";
    version = "20151218-git";
    asds = [ "mixalot-mp3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-mp3";
      asd = "mixalot-mp3";
    });
    systems = [ "mixalot-mp3" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "mixalot" self) (getAttr "mpg123-ffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mixalot-vorbis = (build-asdf-system {
    pname = "mixalot-vorbis";
    version = "20151218-git";
    asds = [ "mixalot-vorbis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mixalot-vorbis";
      asd = "mixalot-vorbis";
    });
    systems = [ "mixalot-vorbis" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "mixalot" self) (getAttr "vorbisfile-ffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mk-defsystem = (build-asdf-system {
    pname = "mk-defsystem";
    version = "20230214-git";
    asds = [ "mk-defsystem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-defsystem/2023-02-14/mk-defsystem-20230214-git.tgz";
      sha256 = "0qrhfsyqij2kvbzwis6xa3861j37nymqdm23j92md73vbga895ma";
      system = "mk-defsystem";
      asd = "mk-defsystem";
    });
    systems = [ "mk-defsystem" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mk-string-metrics = (build-asdf-system {
    pname = "mk-string-metrics";
    version = "20180131-git";
    asds = [ "mk-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-string-metrics/2018-01-31/mk-string-metrics-20180131-git.tgz";
      sha256 = "0c50hjpylhkh5phcxxcwqdzpa94vk5pq1j7c6x0d3wfpb2yx0wkd";
      system = "mk-string-metrics";
      asd = "mk-string-metrics";
    });
    systems = [ "mk-string-metrics" ];
    lispLibs = [  ];
    meta = {};
  });
  mk-string-metrics-tests = (build-asdf-system {
    pname = "mk-string-metrics-tests";
    version = "20180131-git";
    asds = [ "mk-string-metrics-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mk-string-metrics/2018-01-31/mk-string-metrics-20180131-git.tgz";
      sha256 = "0c50hjpylhkh5phcxxcwqdzpa94vk5pq1j7c6x0d3wfpb2yx0wkd";
      system = "mk-string-metrics-tests";
      asd = "mk-string-metrics-tests";
    });
    systems = [ "mk-string-metrics-tests" ];
    lispLibs = [ (getAttr "mk-string-metrics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ml-dsl = (build-asdf-system {
    pname = "ml-dsl";
    version = "20210124-git";
    asds = [ "ml-dsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-dsl";
      asd = "ml-dsl";
    });
    systems = [ "ml-dsl" ];
    lispLibs = [ (getAttr "cl-marklogic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ml-optimizer = (build-asdf-system {
    pname = "ml-optimizer";
    version = "20210124-git";
    asds = [ "ml-optimizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-optimizer";
      asd = "ml-optimizer";
    });
    systems = [ "ml-optimizer" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-marklogic" self) (getAttr "cl-opsresearch" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ml-test = (build-asdf-system {
    pname = "ml-test";
    version = "20210124-git";
    asds = [ "ml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-marklogic/2021-01-24/cl-marklogic-20210124-git.tgz";
      sha256 = "0baq2ccb88zyr2dqdvpm32lsin4zalv11w48x4xm80cr4kw45fk5";
      system = "ml-test";
      asd = "ml-test";
    });
    systems = [ "ml-test" ];
    lispLibs = [ (getAttr "cl-marklogic" self) (getAttr "fiveam" self) (getAttr "ml-optimizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mlep = (build-asdf-system {
    pname = "mlep";
    version = "20230618-git";
    asds = [ "mlep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mlep/2023-06-18/cl-mlep-20230618-git.tgz";
      sha256 = "1vz0cbr6jqirbn4gyj5479a0xz5mpp0yzp76kyn4fqq7m9hg7xa0";
      system = "mlep";
      asd = "mlep";
    });
    systems = [ "mlep" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mlep-add = (build-asdf-system {
    pname = "mlep-add";
    version = "20230618-git";
    asds = [ "mlep-add" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mlep/2023-06-18/cl-mlep-20230618-git.tgz";
      sha256 = "1vz0cbr6jqirbn4gyj5479a0xz5mpp0yzp76kyn4fqq7m9hg7xa0";
      system = "mlep-add";
      asd = "mlep-add";
    });
    systems = [ "mlep-add" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "lla" self) (getAttr "mlep" self) (getAttr "num-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mmap = (build-asdf-system {
    pname = "mmap";
    version = "20230618-git";
    asds = [ "mmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mmap/2023-06-18/mmap-20230618-git.tgz";
      sha256 = "0zq18v6ff4y6ypnvmgfnfab1qw3mqm66068siqc4drva7026jwq4";
      system = "mmap";
      asd = "mmap";
    });
    systems = [ "mmap" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "documentation-utils" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  mmap-test = (build-asdf-system {
    pname = "mmap-test";
    version = "20230618-git";
    asds = [ "mmap-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mmap/2023-06-18/mmap-20230618-git.tgz";
      sha256 = "0zq18v6ff4y6ypnvmgfnfab1qw3mqm66068siqc4drva7026jwq4";
      system = "mmap-test";
      asd = "mmap-test";
    });
    systems = [ "mmap-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "mmap" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnas-graph = (build-asdf-system {
    pname = "mnas-graph";
    version = "20230618-git";
    asds = [ "mnas-graph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-graph/2023-06-18/mnas-graph-20230618-git.tgz";
      sha256 = "1psz8vh8s8zv9hh5pr0753r0baavfb1v6v9nc9kw50hkjvkchc1q";
      system = "mnas-graph";
      asd = "mnas-graph";
    });
    systems = [ "mnas-graph" ];
    lispLibs = [ (getAttr "mnas-hash-table" self) (getAttr "mnas-string" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnas-hash-table = (build-asdf-system {
    pname = "mnas-hash-table";
    version = "20230618-git";
    asds = [ "mnas-hash-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-hash-table/2023-06-18/mnas-hash-table-20230618-git.tgz";
      sha256 = "107fqc2wipvs2ifj12sqizv3gc7j3yqww529vkp92xhkmrnkp833";
      system = "mnas-hash-table";
      asd = "mnas-hash-table";
    });
    systems = [ "mnas-hash-table" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnas-package = (build-asdf-system {
    pname = "mnas-package";
    version = "20230618-git";
    asds = [ "mnas-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-package/2023-06-18/mnas-package-20230618-git.tgz";
      sha256 = "17w9w1ql8d0hr5wh63r2fg5wnsl5s8xyhw8db8vx1pkpp2bq6775";
      system = "mnas-package";
      asd = "mnas-package";
    });
    systems = [ "mnas-package" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "inferior-shell" self) (getAttr "mnas-graph" self) (getAttr "mnas-string" self) (getAttr "slynk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnas-path = (build-asdf-system {
    pname = "mnas-path";
    version = "20230618-git";
    asds = [ "mnas-path" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-path/2023-06-18/mnas-path-20230618-git.tgz";
      sha256 = "1kg8i912zaknnx397jvpw7sld60fqfllsh5ip814px1h4gnh5qlq";
      system = "mnas-path";
      asd = "mnas-path";
    });
    systems = [ "mnas-path" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "mnas-string" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnas-string = (build-asdf-system {
    pname = "mnas-string";
    version = "20230618-git";
    asds = [ "mnas-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mnas-string/2023-06-18/mnas-string-20230618-git.tgz";
      sha256 = "0w4wmadbvcgbciywjkfak4ljjiixq5zs5ajn2306q4k0vw453jvs";
      system = "mnas-string";
      asd = "mnas-string";
    });
    systems = [ "mnas-string" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mnst-relay = (build-asdf-system {
    pname = "mnst-relay";
    version = "20210807-git";
    asds = [ "mnst-relay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "mnst-relay";
      asd = "mnst-relay";
    });
    systems = [ "mnst-relay" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-selftest-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mockingbird = (build-asdf-system {
    pname = "mockingbird";
    version = "20211020-git";
    asds = [ "mockingbird" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mockingbird/2021-10-20/mockingbird-20211020-git.tgz";
      sha256 = "1n1mxl2qk7g63z92d943ysn12axw0bx5dvw0cmm3cs1hjpx5rdly";
      system = "mockingbird";
      asd = "mockingbird";
    });
    systems = [ "mockingbird" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "fare-utils" self) (getAttr "trivial-arguments" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mockingbird-test = (build-asdf-system {
    pname = "mockingbird-test";
    version = "20211020-git";
    asds = [ "mockingbird-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mockingbird/2021-10-20/mockingbird-20211020-git.tgz";
      sha256 = "1n1mxl2qk7g63z92d943ysn12axw0bx5dvw0cmm3cs1hjpx5rdly";
      system = "mockingbird-test";
      asd = "mockingbird-test";
    });
    systems = [ "mockingbird-test" ];
    lispLibs = [ (getAttr "mockingbird" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modest-config = (build-asdf-system {
    pname = "modest-config";
    version = "20180228-git";
    asds = [ "modest-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modest-config/2018-02-28/modest-config-20180228-git.tgz";
      sha256 = "0ali9lvg7ngzmpgaxmbc4adp4djznavbywiig8x94c2xwicvjh83";
      system = "modest-config";
      asd = "modest-config";
    });
    systems = [ "modest-config" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modest-config-test = (build-asdf-system {
    pname = "modest-config-test";
    version = "20180228-git";
    asds = [ "modest-config-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modest-config/2018-02-28/modest-config-20180228-git.tgz";
      sha256 = "0ali9lvg7ngzmpgaxmbc4adp4djznavbywiig8x94c2xwicvjh83";
      system = "modest-config-test";
      asd = "modest-config-test";
    });
    systems = [ "modest-config-test" ];
    lispLibs = [ (getAttr "modest-config" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modf = (build-asdf-system {
    pname = "modf";
    version = "20200925-git";
    asds = [ "modf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf/2020-09-25/modf-20200925-git.tgz";
      sha256 = "1aap7ldy7lv942khp026pgndgdzfkkqa9xcq1ykinrmflrgdazay";
      system = "modf";
      asd = "modf";
    });
    systems = [ "modf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modf-fset = (build-asdf-system {
    pname = "modf-fset";
    version = "20150608-git";
    asds = [ "modf-fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf-fset/2015-06-08/modf-fset-20150608-git.tgz";
      sha256 = "0xdlwsw3b31l9c6db7rgvikn42ncqk98s45zcq116f51ph3dr95y";
      system = "modf-fset";
      asd = "modf-fset";
    });
    systems = [ "modf-fset" ];
    lispLibs = [ (getAttr "fset" self) (getAttr "modf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modf-fset-test = (build-asdf-system {
    pname = "modf-fset-test";
    version = "20150608-git";
    asds = [ "modf-fset-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf-fset/2015-06-08/modf-fset-20150608-git.tgz";
      sha256 = "0xdlwsw3b31l9c6db7rgvikn42ncqk98s45zcq116f51ph3dr95y";
      system = "modf-fset-test";
      asd = "modf-fset-test";
    });
    systems = [ "modf-fset-test" ];
    lispLibs = [ (getAttr "modf" self) (getAttr "modf-fset" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modf-test = (build-asdf-system {
    pname = "modf-test";
    version = "20200925-git";
    asds = [ "modf-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modf/2020-09-25/modf-20200925-git.tgz";
      sha256 = "1aap7ldy7lv942khp026pgndgdzfkkqa9xcq1ykinrmflrgdazay";
      system = "modf-test";
      asd = "modf-test";
    });
    systems = [ "modf-test" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "modf" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modlisp = (build-asdf-system {
    pname = "modlisp";
    version = "20150923-git";
    asds = [ "modlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-modlisp/2015-09-23/cl-modlisp-20150923-git.tgz";
      sha256 = "14gfhhy8blyrhpb1jk17bq4vazgwmzgcx3misw48ja77x17bl1zf";
      system = "modlisp";
      asd = "modlisp";
    });
    systems = [ "modlisp" ];
    lispLibs = [ (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modularize = (build-asdf-system {
    pname = "modularize";
    version = "20230618-git";
    asds = [ "modularize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize/2023-06-18/modularize-20230618-git.tgz";
      sha256 = "0alyivw3q3yp3gh6mi3xsmb0shmkrfnwnmwlxd5l56068h7hrra0";
      system = "modularize";
      asd = "modularize";
    });
    systems = [ "modularize" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modularize-hooks = (build-asdf-system {
    pname = "modularize-hooks";
    version = "20190710-git";
    asds = [ "modularize-hooks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-hooks/2019-07-10/modularize-hooks-20190710-git.tgz";
      sha256 = "12kjvin8hxidwkzfb7inqv5b6g5qzcssnj9wc497v2ixc56fqdz7";
      system = "modularize-hooks";
      asd = "modularize-hooks";
    });
    systems = [ "modularize-hooks" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "lambda-fiddle" self) (getAttr "modularize" self) (getAttr "trivial-arguments" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modularize-interfaces = (build-asdf-system {
    pname = "modularize-interfaces";
    version = "20210630-git";
    asds = [ "modularize-interfaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize-interfaces/2021-06-30/modularize-interfaces-20210630-git.tgz";
      sha256 = "1jl11ffkrah3553wzysmxanhrzv3rnzi5x11ll626baf69im0v7x";
      system = "modularize-interfaces";
      asd = "modularize-interfaces";
    });
    systems = [ "modularize-interfaces" ];
    lispLibs = [ (getAttr "lambda-fiddle" self) (getAttr "modularize" self) (getAttr "trivial-arguments" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  modularize-test-module = (build-asdf-system {
    pname = "modularize-test-module";
    version = "20230618-git";
    asds = [ "modularize-test-module" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/modularize/2023-06-18/modularize-20230618-git.tgz";
      sha256 = "0alyivw3q3yp3gh6mi3xsmb0shmkrfnwnmwlxd5l56068h7hrra0";
      system = "modularize-test-module";
      asd = "modularize-test-module";
    });
    systems = [ "modularize-test-module" ];
    lispLibs = [ (getAttr "modularize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  moira = (build-asdf-system {
    pname = "moira";
    version = "20171130-git";
    asds = [ "moira" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moira/2017-11-30/moira-20171130-git.tgz";
      sha256 = "0r6hvq8j04y1i85f8jwhhafylgfrkg8c1z5746nsbv0v0348sf5h";
      system = "moira";
      asd = "moira";
    });
    systems = [ "moira" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "osicat" self) (getAttr "serapeum" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  monkeylib-html = (build-asdf-system {
    pname = "monkeylib-html";
    version = "20180228-git";
    asds = [ "monkeylib-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-html/2018-02-28/monkeylib-html-20180228-git.tgz";
      sha256 = "11a778ynyb8mhiy9fkpyg2x1p53hi1i9mry9gfin2r28mjgwj096";
      system = "monkeylib-html";
      asd = "monkeylib-html";
    });
    systems = [ "monkeylib-html" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "com_dot_gigamonkeys_dot_pathnames" self) (getAttr "com_dot_gigamonkeys_dot_test-framework" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) (getAttr "monkeylib-text-languages" self) (getAttr "monkeylib-text-output" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  monkeylib-markup-html = (build-asdf-system {
    pname = "monkeylib-markup-html";
    version = "20120208-git";
    asds = [ "monkeylib-markup-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-markup-html/2012-02-08/monkeylib-markup-html-20120208-git.tgz";
      sha256 = "1kwnlb7dka9bqyc8a06lbsap8j83kdayk4m9a1m3mazjgaxlpv2a";
      system = "monkeylib-markup-html";
      asd = "monkeylib-markup-html";
    });
    systems = [ "monkeylib-markup-html" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "com_dot_gigamonkeys_dot_markup" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) (getAttr "monkeylib-html" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  monkeylib-text-languages = (build-asdf-system {
    pname = "monkeylib-text-languages";
    version = "20111203-git";
    asds = [ "monkeylib-text-languages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-text-languages/2011-12-03/monkeylib-text-languages-20111203-git.tgz";
      sha256 = "1f6hb3r2s5phz5z4rv3llyfi30vbxlq9qpipsq9vppmw51fvdsdk";
      system = "monkeylib-text-languages";
      asd = "monkeylib-text-languages";
    });
    systems = [ "monkeylib-text-languages" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "monkeylib-text-output" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  monkeylib-text-output = (build-asdf-system {
    pname = "monkeylib-text-output";
    version = "20111203-git";
    asds = [ "monkeylib-text-output" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/monkeylib-text-output/2011-12-03/monkeylib-text-output-20111203-git.tgz";
      sha256 = "0lygfxap2ppxxi0sbz8lig1h878ad84jwbp3c895r7h9svjh1ffm";
      system = "monkeylib-text-output";
      asd = "monkeylib-text-output";
    });
    systems = [ "monkeylib-text-output" ];
    lispLibs = [ (getAttr "com_dot_gigamonkeys_dot_macro-utilities" self) (getAttr "com_dot_gigamonkeys_dot_pathnames" self) (getAttr "com_dot_gigamonkeys_dot_test-framework" self) (getAttr "com_dot_gigamonkeys_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  montezuma = (build-asdf-system {
    pname = "montezuma";
    version = "20180228-git";
    asds = [ "montezuma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma";
      asd = "montezuma";
    });
    systems = [ "montezuma" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  montezuma-indexfiles = (build-asdf-system {
    pname = "montezuma-indexfiles";
    version = "20180228-git";
    asds = [ "montezuma-indexfiles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma-indexfiles";
      asd = "montezuma-indexfiles";
    });
    systems = [ "montezuma-indexfiles" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "montezuma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  montezuma-tests = (build-asdf-system {
    pname = "montezuma-tests";
    version = "20180228-git";
    asds = [ "montezuma-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/montezuma/2018-02-28/montezuma-20180228-git.tgz";
      sha256 = "0svmvsbsirydk3c1spzfvj8qmkzcs9i69anpfvk1843i62wb7x2c";
      system = "montezuma-tests";
      asd = "montezuma";
    });
    systems = [ "montezuma-tests" ];
    lispLibs = [ (getAttr "montezuma" self) (getAttr "trivial-timeout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  moptilities = (build-asdf-system {
    pname = "moptilities";
    version = "20170403-git";
    asds = [ "moptilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moptilities/2017-04-03/moptilities-20170403-git.tgz";
      sha256 = "1q12bqjbj47lx98yim1kfnnhgfhkl80102fkgp9pdqxg0fp6g5fc";
      system = "moptilities";
      asd = "moptilities";
    });
    systems = [ "moptilities" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {};
  });
  moptilities-test = (build-asdf-system {
    pname = "moptilities-test";
    version = "20170403-git";
    asds = [ "moptilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/moptilities/2017-04-03/moptilities-20170403-git.tgz";
      sha256 = "1q12bqjbj47lx98yim1kfnnhgfhkl80102fkgp9pdqxg0fp6g5fc";
      system = "moptilities-test";
      asd = "moptilities-test";
    });
    systems = [ "moptilities-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "moptilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  more-cffi = (build-asdf-system {
    pname = "more-cffi";
    version = "20230214-git";
    asds = [ "more-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/more-cffi/2023-02-14/more-cffi-20230214-git.tgz";
      sha256 = "1f0ncvb3qix9yfmw03ald0bwlhn3p41rxawpnrxj39sx1wjwqxq1";
      system = "more-cffi";
      asd = "more-cffi";
    });
    systems = [ "more-cffi" ];
    lispLibs = [ (getAttr "adp" self) (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  more-conditions = (build-asdf-system {
    pname = "more-conditions";
    version = "20180831-git";
    asds = [ "more-conditions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/more-conditions/2018-08-31/more-conditions-20180831-git.tgz";
      sha256 = "1n0xbz0yiqn9dxf0ycm57wqvsr4gh2q4hs5fskjbv87c47d7l7zr";
      system = "more-conditions";
      asd = "more-conditions";
    });
    systems = [ "more-conditions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {};
  });
  mp3-duration = (build-asdf-system {
    pname = "mp3-duration";
    version = "20160208-git";
    asds = [ "mp3-duration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mp3-duration/2016-02-08/mp3-duration-20160208-git.tgz";
      sha256 = "1mhn9g1kz2yan178m2adg0pz3dx2nmg7hq4gfmfz7lrlsxm08bs7";
      system = "mp3-duration";
      asd = "mp3-duration";
    });
    systems = [ "mp3-duration" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mp3-duration-test = (build-asdf-system {
    pname = "mp3-duration-test";
    version = "20160208-git";
    asds = [ "mp3-duration-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mp3-duration/2016-02-08/mp3-duration-20160208-git.tgz";
      sha256 = "1mhn9g1kz2yan178m2adg0pz3dx2nmg7hq4gfmfz7lrlsxm08bs7";
      system = "mp3-duration-test";
      asd = "mp3-duration-test";
    });
    systems = [ "mp3-duration-test" ];
    lispLibs = [ (getAttr "mp3-duration" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mpc = (build-asdf-system {
    pname = "mpc";
    version = "20160929-git";
    asds = [ "mpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mpc/2016-09-29/mpc-20160929-git.tgz";
      sha256 = "1nig0v91m4ybcr19s50xijwv488qlma0b36zy6cric2y8wgclmsx";
      system = "mpc";
      asd = "mpc";
    });
    systems = [ "mpc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mpg123-ffi = (build-asdf-system {
    pname = "mpg123-ffi";
    version = "20151218-git";
    asds = [ "mpg123-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "mpg123-ffi";
      asd = "mpg123-ffi";
    });
    systems = [ "mpg123-ffi" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mra-wavelet-plot = (build-asdf-system {
    pname = "mra-wavelet-plot";
    version = "20181210-git";
    asds = [ "mra-wavelet-plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mra-wavelet-plot/2018-12-10/mra-wavelet-plot-20181210-git.tgz";
      sha256 = "0d6sdgj1zvkliga9drsqnj4l748vbcwwz744ayq5nnvp5fvhnc29";
      system = "mra-wavelet-plot";
      asd = "mra-wavelet-plot";
    });
    systems = [ "mra-wavelet-plot" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mssql = (build-asdf-system {
    pname = "mssql";
    version = "20210124-git";
    asds = [ "mssql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-mssql/2021-01-24/cl-mssql-20210124-git.tgz";
      sha256 = "09i50adppgc1ybm3ka9vbindhwa2x29f9n3n0jkrryymdhb8zknm";
      system = "mssql";
      asd = "mssql";
    });
    systems = [ "mssql" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "garbage-pools" self) (getAttr "iterate" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mstrings = (build-asdf-system {
    pname = "mstrings";
    version = "20220707-git";
    asds = [ "mstrings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mstrings/2022-07-07/mstrings-20220707-git.tgz";
      sha256 = "0s1zqwnv9agvlp79gh7y06rmly56v8nm1l594rry9gzwvvx1jj1k";
      system = "mstrings";
      asd = "mstrings";
    });
    systems = [ "mstrings" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mt19937 = (build-asdf-system {
    pname = "mt19937";
    version = "1.1.1";
    asds = [ "mt19937" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mt19937/2011-02-19/mt19937-1.1.1.tgz";
      sha256 = "0h02ssnncc760b68ipm0sbrzrbnllp6fqabvw98w43af08s36xlg";
      system = "mt19937";
      asd = "mt19937";
    });
    systems = [ "mt19937" ];
    lispLibs = [  ];
    meta = {};
  });
  mtif = (build-asdf-system {
    pname = "mtif";
    version = "20171130-git";
    asds = [ "mtif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mtif/2017-11-30/mtif-20171130-git.tgz";
      sha256 = "0fzlf0xawv579i4jp5l994d7m220py5j169klaj0l43frgxb4n7y";
      system = "mtif";
      asd = "mtif";
    });
    systems = [ "mtif" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mtlisp = (build-asdf-system {
    pname = "mtlisp";
    version = "20130615-git";
    asds = [ "mtlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mtlisp/2013-06-15/mtlisp-20130615-git.tgz";
      sha256 = "0qpbhiy2z2q7mf4lf2lpj66a13xj7bj0c584d1i7zi156s2hcnvs";
      system = "mtlisp";
      asd = "mtlisp";
    });
    systems = [ "mtlisp" ];
    lispLibs = [ (getAttr "acl-compat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multilang-documentation = (build-asdf-system {
    pname = "multilang-documentation";
    version = "20190710-git";
    asds = [ "multilang-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multilang-documentation/2019-07-10/multilang-documentation-20190710-git.tgz";
      sha256 = "13y5jskx8n2b7kimpfarr8v777w3b7zj5swg1b99nj3hk0843ixw";
      system = "multilang-documentation";
      asd = "multilang-documentation";
    });
    systems = [ "multilang-documentation" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "language-codes" self) (getAttr "system-locale" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multilang-documentation-utils = (build-asdf-system {
    pname = "multilang-documentation-utils";
    version = "20190710-git";
    asds = [ "multilang-documentation-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/documentation-utils/2019-07-10/documentation-utils-20190710-git.tgz";
      sha256 = "098qhkqskmmrh4wix34mawf7p5c87yql28r51r75yjxj577k5idq";
      system = "multilang-documentation-utils";
      asd = "multilang-documentation-utils";
    });
    systems = [ "multilang-documentation-utils" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "multilang-documentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiple-value-variants = (build-asdf-system {
    pname = "multiple-value-variants";
    version = "1.0.1";
    asds = [ "multiple-value-variants" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiple-value-variants/2014-08-26/multiple-value-variants-1.0.1.tgz";
      sha256 = "0kb7bkgg2iri89ph2lcgfk57pf8h4r6471sn2jcyp5sz13g4f6yw";
      system = "multiple-value-variants";
      asd = "multiple-value-variants";
    });
    systems = [ "multiple-value-variants" ];
    lispLibs = [ (getAttr "enhanced-multiple-value-bind" self) (getAttr "map-bind" self) (getAttr "positional-lambda" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter = (build-asdf-system {
    pname = "multiposter";
    version = "20230214-git";
    asds = [ "multiposter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter";
      asd = "multiposter";
    });
    systems = [ "multiposter" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-git = (build-asdf-system {
    pname = "multiposter-git";
    version = "20230214-git";
    asds = [ "multiposter-git" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-git";
      asd = "multiposter-git";
    });
    systems = [ "multiposter-git" ];
    lispLibs = [ (getAttr "legit" self) (getAttr "multiposter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-lichat = (build-asdf-system {
    pname = "multiposter-lichat";
    version = "20230214-git";
    asds = [ "multiposter-lichat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-lichat";
      asd = "multiposter-lichat";
    });
    systems = [ "multiposter-lichat" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "lichat-tcp-client" self) (getAttr "multiposter" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-mastodon = (build-asdf-system {
    pname = "multiposter-mastodon";
    version = "20230214-git";
    asds = [ "multiposter-mastodon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-mastodon";
      asd = "multiposter-mastodon";
    });
    systems = [ "multiposter-mastodon" ];
    lispLibs = [ (getAttr "multiposter" self) (getAttr "tooter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-studio = (build-asdf-system {
    pname = "multiposter-studio";
    version = "20230214-git";
    asds = [ "multiposter-studio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-studio";
      asd = "multiposter-studio";
    });
    systems = [ "multiposter-studio" ];
    lispLibs = [ (getAttr "multiposter" self) (getAttr "north-dexador" self) (getAttr "studio-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-tumblr = (build-asdf-system {
    pname = "multiposter-tumblr";
    version = "20230214-git";
    asds = [ "multiposter-tumblr" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-tumblr";
      asd = "multiposter-tumblr";
    });
    systems = [ "multiposter-tumblr" ];
    lispLibs = [ (getAttr "humbler" self) (getAttr "multiposter" self) (getAttr "north-dexador" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multiposter-twitter = (build-asdf-system {
    pname = "multiposter-twitter";
    version = "20230214-git";
    asds = [ "multiposter-twitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multiposter/2023-02-14/multiposter-20230214-git.tgz";
      sha256 = "02vwpzhsh07z5n1p1vi3j6wib75gsgvin0jdqllc9n9vmyal1vqd";
      system = "multiposter-twitter";
      asd = "multiposter-twitter";
    });
    systems = [ "multiposter-twitter" ];
    lispLibs = [ (getAttr "chirp" self) (getAttr "multiposter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multival-plist = (build-asdf-system {
    pname = "multival-plist";
    version = "20120305-git";
    asds = [ "multival-plist" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multival-plist/2012-03-05/multival-plist-20120305-git.tgz";
      sha256 = "0cfca0qvngbvs9v4z8qpzr6wsjvf01jzaszagmasa4zkvmjycx1b";
      system = "multival-plist";
      asd = "multival-plist";
    });
    systems = [ "multival-plist" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-annot" self) (getAttr "cl-syntax-annot" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  multival-plist-test = (build-asdf-system {
    pname = "multival-plist-test";
    version = "20120305-git";
    asds = [ "multival-plist-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/multival-plist/2012-03-05/multival-plist-20120305-git.tgz";
      sha256 = "0cfca0qvngbvs9v4z8qpzr6wsjvf01jzaszagmasa4zkvmjycx1b";
      system = "multival-plist-test";
      asd = "multival-plist-test";
    });
    systems = [ "multival-plist-test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "multival-plist" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  music-spelling = (build-asdf-system {
    pname = "music-spelling";
    version = "20230214-git";
    asds = [ "music-spelling" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/music-spelling/2023-02-14/music-spelling-20230214-git.tgz";
      sha256 = "0fgahb0jjr4sp2739d55gylmx8alsghnx3spyaqfqci4cxfrys52";
      system = "music-spelling";
      asd = "music-spelling";
    });
    systems = [ "music-spelling" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mutility = (build-asdf-system {
    pname = "mutility";
    version = "20230214-git";
    asds = [ "mutility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mutility/2023-02-14/mutility-20230214-git.tgz";
      sha256 = "1501q7rvfj2acjh36smaclxml701grff50faijbdv03ns92pbl09";
      system = "mutility";
      asd = "mutility";
    });
    systems = [ "mutility" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mw-equiv = (build-asdf-system {
    pname = "mw-equiv";
    version = "0.1.3";
    asds = [ "mw-equiv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mw-equiv/2010-10-06/mw-equiv-0.1.3.tgz";
      sha256 = "1fl90wp0jp7l90mps53fq0kzb28f10qfr739527h03xwqccyylad";
      system = "mw-equiv";
      asd = "mw-equiv";
    });
    systems = [ "mw-equiv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic = (build-asdf-system {
    pname = "mystic";
    version = "20230618-git";
    asds = [ "mystic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic";
      asd = "mystic";
    });
    systems = [ "mystic" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-mustache" self) (getAttr "local-time" self) (getAttr "split-sequence" self) (getAttr "ubiquitous" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-file-mixin = (build-asdf-system {
    pname = "mystic-file-mixin";
    version = "20230618-git";
    asds = [ "mystic-file-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-file-mixin";
      asd = "mystic-file-mixin";
    });
    systems = [ "mystic-file-mixin" ];
    lispLibs = [ (getAttr "mystic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-fiveam-mixin = (build-asdf-system {
    pname = "mystic-fiveam-mixin";
    version = "20230618-git";
    asds = [ "mystic-fiveam-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-fiveam-mixin";
      asd = "mystic-fiveam-mixin";
    });
    systems = [ "mystic-fiveam-mixin" ];
    lispLibs = [ (getAttr "mystic" self) (getAttr "mystic-file-mixin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-gitignore-mixin = (build-asdf-system {
    pname = "mystic-gitignore-mixin";
    version = "20230618-git";
    asds = [ "mystic-gitignore-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-gitignore-mixin";
      asd = "mystic-gitignore-mixin";
    });
    systems = [ "mystic-gitignore-mixin" ];
    lispLibs = [ (getAttr "mystic" self) (getAttr "mystic-file-mixin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-library-template = (build-asdf-system {
    pname = "mystic-library-template";
    version = "20230618-git";
    asds = [ "mystic-library-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-library-template";
      asd = "mystic-library-template";
    });
    systems = [ "mystic-library-template" ];
    lispLibs = [ (getAttr "mystic" self) (getAttr "mystic-fiveam-mixin" self) (getAttr "mystic-gitignore-mixin" self) (getAttr "mystic-readme-mixin" self) (getAttr "mystic-travis-mixin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-readme-mixin = (build-asdf-system {
    pname = "mystic-readme-mixin";
    version = "20230618-git";
    asds = [ "mystic-readme-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-readme-mixin";
      asd = "mystic-readme-mixin";
    });
    systems = [ "mystic-readme-mixin" ];
    lispLibs = [ (getAttr "mystic" self) (getAttr "mystic-file-mixin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-test = (build-asdf-system {
    pname = "mystic-test";
    version = "20230618-git";
    asds = [ "mystic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-test";
      asd = "mystic-test";
    });
    systems = [ "mystic-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "mystic" self) (getAttr "mystic-library-template" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  mystic-travis-mixin = (build-asdf-system {
    pname = "mystic-travis-mixin";
    version = "20230618-git";
    asds = [ "mystic-travis-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mystic/2023-06-18/mystic-20230618-git.tgz";
      sha256 = "0fa7mb326vz7ygiwzk0x2y8gna0xnq19cics5vxc6smw6a8mhxi5";
      system = "mystic-travis-mixin";
      asd = "mystic-travis-mixin";
    });
    systems = [ "mystic-travis-mixin" ];
    lispLibs = [ (getAttr "mystic" self) (getAttr "mystic-file-mixin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  myway = (build-asdf-system {
    pname = "myway";
    version = "20221106-git";
    asds = [ "myway" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myway/2022-11-06/myway-20221106-git.tgz";
      sha256 = "0xac8xpbcvq457f2jzzkf46mh5ganf1k2ix8sg61hqqmld5z4dag";
      system = "myway";
      asd = "myway";
    });
    systems = [ "myway" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-utilities" self) (getAttr "map-set" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  myway-test = (build-asdf-system {
    pname = "myway-test";
    version = "20221106-git";
    asds = [ "myway-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myway/2022-11-06/myway-20221106-git.tgz";
      sha256 = "0xac8xpbcvq457f2jzzkf46mh5ganf1k2ix8sg61hqqmld5z4dag";
      system = "myway-test";
      asd = "myway-test";
    });
    systems = [ "myway-test" ];
    lispLibs = [ (getAttr "myway" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  myweb = (build-asdf-system {
    pname = "myweb";
    version = "20150608-git";
    asds = [ "myweb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/myweb/2015-06-08/myweb-20150608-git.tgz";
      sha256 = "0yncx40mfw7yxbm5hli9hr3aw4x1lf1912adyvylldfjfh2yxcjy";
      system = "myweb";
      asd = "myweb";
    });
    systems = [ "myweb" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-log" self) (getAttr "local-time" self) (getAttr "trivial-utf-8" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nail = (build-asdf-system {
    pname = "nail";
    version = "20230214-git";
    asds = [ "nail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nail/2023-02-14/nail-20230214-git.tgz";
      sha256 = "0m5a1zx9s033mz3ypx27c26z5bvc8mcpnpzslypzdp6xah1nv0g3";
      system = "nail";
      asd = "nail";
    });
    systems = [ "nail" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cl-reexport" self) (getAttr "eazy-gnuplot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  named-closure = (build-asdf-system {
    pname = "named-closure";
    version = "20230618-git";
    asds = [ "named-closure" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-closure/2023-06-18/named-closure-20230618-git.tgz";
      sha256 = "1alifwg0vw7fskrsq2b3fiiwlq6qjvmp8q30z2cwxy8ckhlchv96";
      system = "named-closure";
      asd = "named-closure";
    });
    systems = [ "named-closure" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "hu_dot_dwim_dot_walker" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  named-read-macros = (build-asdf-system {
    pname = "named-read-macros";
    version = "20210228-git";
    asds = [ "named-read-macros" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-read-macros/2021-02-28/named-read-macros-20210228-git.tgz";
      sha256 = "0bgqy43h06nq2p9avqix2k15ab306sghrz2pkr17pli87q0qkxhi";
      system = "named-read-macros";
      asd = "named-read-macros";
    });
    systems = [ "named-read-macros" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  named-read-macros-test = (build-asdf-system {
    pname = "named-read-macros-test";
    version = "20210228-git";
    asds = [ "named-read-macros-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-read-macros/2021-02-28/named-read-macros-20210228-git.tgz";
      sha256 = "0bgqy43h06nq2p9avqix2k15ab306sghrz2pkr17pli87q0qkxhi";
      system = "named-read-macros-test";
      asd = "named-read-macros-test";
    });
    systems = [ "named-read-macros-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "named-read-macros" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  named-readtables = (build-asdf-system {
    pname = "named-readtables";
    version = "20230618-git";
    asds = [ "named-readtables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/named-readtables/2023-06-18/named-readtables-20230618-git.tgz";
      sha256 = "1m1gcfl1hsg77c99yl07j7k02gwl56l1lgg6k4cpw9i9j1x0i9wp";
      system = "named-readtables";
      asd = "named-readtables";
    });
    systems = [ "named-readtables" ];
    lispLibs = [  ];
    meta = {};
  });
  nanovg-blob = (build-asdf-system {
    pname = "nanovg-blob";
    version = "stable-git";
    asds = [ "nanovg-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nanovg-blob/2020-10-16/nanovg-blob-stable-git.tgz";
      sha256 = "1q80inrlfcqqqc912jcskfn667jgq6lcw0jvhk270x5qpj8z2pfj";
      system = "nanovg-blob";
      asd = "nanovg-blob";
    });
    systems = [ "nanovg-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "glad-blob" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  napa-fft3 = (build-asdf-system {
    pname = "napa-fft3";
    version = "20151218-git";
    asds = [ "napa-fft3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/napa-fft3/2015-12-18/napa-fft3-20151218-git.tgz";
      sha256 = "1hxjf599xgwm28gbryy7q96j9ys6hfszmv0qxpr5698hxnhknscp";
      system = "napa-fft3";
      asd = "napa-fft3";
    });
    systems = [ "napa-fft3" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  narrowed-types = (build-asdf-system {
    pname = "narrowed-types";
    version = "20180228-git";
    asds = [ "narrowed-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/narrowed-types/2018-02-28/narrowed-types-20180228-git.tgz";
      sha256 = "03v4jgdysapj3ndg2qij7liqc6n9zb07r5j4k1jhmhpml86jxg4g";
      system = "narrowed-types";
      asd = "narrowed-types";
    });
    systems = [ "narrowed-types" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  narrowed-types-test = (build-asdf-system {
    pname = "narrowed-types-test";
    version = "20180228-git";
    asds = [ "narrowed-types-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/narrowed-types/2018-02-28/narrowed-types-20180228-git.tgz";
      sha256 = "03v4jgdysapj3ndg2qij7liqc6n9zb07r5j4k1jhmhpml86jxg4g";
      system = "narrowed-types-test";
      asd = "narrowed-types-test";
    });
    systems = [ "narrowed-types-test" ];
    lispLibs = [ (getAttr "narrowed-types" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  native-lazy-seq = (build-asdf-system {
    pname = "native-lazy-seq";
    version = "20230618-git";
    asds = [ "native-lazy-seq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/native-lazy-seq/2023-06-18/native-lazy-seq-20230618-git.tgz";
      sha256 = "1p5zja0qg61girf67ic8j6wv9s1faxki0mazxmydbm92ckrns2rp";
      system = "native-lazy-seq";
      asd = "native-lazy-seq";
    });
    systems = [ "native-lazy-seq" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "serapeum" self) (getAttr "trivial-extensible-sequences" self) (getAttr "trivial-package-local-nicknames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nbd = (build-asdf-system {
    pname = "nbd";
    version = "20211020-git";
    asds = [ "nbd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nbd/2021-10-20/nbd-20211020-git.tgz";
      sha256 = "1p9dpyvlpjm32a2ymhps782dp5pjya5bnky6sb20gf4zyw6r826n";
      system = "nbd";
      asd = "nbd";
    });
    systems = [ "nbd" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "flexi-streams" self) (getAttr "lisp-binary" self) (getAttr "wild-package-inferred-system" self) ];
    meta = {};
  });
  ncurses-clone-for-lem = (build-asdf-system {
    pname = "ncurses-clone-for-lem";
    version = "20200427-git";
    asds = [ "ncurses-clone-for-lem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "ncurses-clone-for-lem";
      asd = "ncurses-clone-for-lem";
    });
    systems = [ "ncurses-clone-for-lem" ];
    lispLibs = [ (getAttr "application" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "lparallel" self) (getAttr "nsb-cga" self) (getAttr "text-subsystem" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ndebug = (build-asdf-system {
    pname = "ndebug";
    version = "20230214-git";
    asds = [ "ndebug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ndebug/2023-02-14/ndebug-20230214-git.tgz";
      sha256 = "1rph1jqcyc7b08rllkwrldzqacf7px8zkr8gvx8qf8y51bnd5bms";
      system = "ndebug";
      asd = "ndebug";
    });
    systems = [ "ndebug" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "dissect" self) (getAttr "trivial-custom-debugger" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ndfa = (build-asdf-system {
    pname = "ndfa";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "ndfa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "ndfa";
      asd = "ndfa";
    });
    systems = [ "ndfa" ];
    lispLibs = [ (getAttr "adjuvant" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ndfa-test = (build-asdf-system {
    pname = "ndfa-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "ndfa-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "ndfa-test";
      asd = "ndfa-test";
    });
    systems = [ "ndfa-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "ndfa" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net-telent-date = (build-asdf-system {
    pname = "net-telent-date";
    version = "0.42";
    asds = [ "net-telent-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/net-telent-date/2010-10-06/net-telent-date_0.42.tgz";
      sha256 = "0vgibf76hy3zy39pix367xnvpwxiqsxvv6w0gqdxprd5ljpb7g2j";
      system = "net-telent-date";
      asd = "net-telent-date";
    });
    systems = [ "net-telent-date" ];
    lispLibs = [  ];
    meta = {};
  });
  net_dot_didierverna_dot_asdf-flv = (build-asdf-system {
    pname = "net.didierverna.asdf-flv";
    version = "version-2.1";
    asds = [ "net.didierverna.asdf-flv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-flv/2016-04-21/asdf-flv-version-2.1.tgz";
      sha256 = "10094avq2whg8j5dnvla5wzqk5h36bx74lxbdbhdchv0wvn5x0g4";
      system = "net.didierverna.asdf-flv";
      asd = "net.didierverna.asdf-flv";
    });
    systems = [ "net.didierverna.asdf-flv" ];
    lispLibs = [  ];
    meta = {};
  });
  net_dot_didierverna_dot_clon = (build-asdf-system {
    pname = "net.didierverna.clon";
    version = "version-1.0b26";
    asds = [ "net.didierverna.clon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "net.didierverna.clon";
      asd = "net.didierverna.clon";
    });
    systems = [ "net.didierverna.clon" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_core" self) (getAttr "net_dot_didierverna_dot_clon_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_clon_dot_core = (build-asdf-system {
    pname = "net.didierverna.clon.core";
    version = "version-1.0b26";
    asds = [ "net.didierverna.clon.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "net.didierverna.clon.core";
      asd = "net.didierverna.clon.core";
    });
    systems = [ "net.didierverna.clon.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_clon_dot_setup = (build-asdf-system {
    pname = "net.didierverna.clon.setup";
    version = "version-1.0b26";
    asds = [ "net.didierverna.clon.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "net.didierverna.clon.setup";
      asd = "net.didierverna.clon.setup";
    });
    systems = [ "net.didierverna.clon.setup" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_clon_dot_termio = (build-asdf-system {
    pname = "net.didierverna.clon.termio";
    version = "version-1.0b26";
    asds = [ "net.didierverna.clon.termio" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "net.didierverna.clon.termio";
      asd = "net.didierverna.clon.termio";
    });
    systems = [ "net.didierverna.clon.termio" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon_dot_core" self) (getAttr "net_dot_didierverna_dot_clon_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_declt = (build-asdf-system {
    pname = "net.didierverna.declt";
    version = "4.0b2";
    asds = [ "net.didierverna.declt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt";
      asd = "net.didierverna.declt";
    });
    systems = [ "net.didierverna.declt" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_core" self) (getAttr "net_dot_didierverna_dot_declt_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_declt_dot_assess = (build-asdf-system {
    pname = "net.didierverna.declt.assess";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.assess" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.assess";
      asd = "net.didierverna.declt.assess";
    });
    systems = [ "net.didierverna.declt.assess" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_declt_dot_core = (build-asdf-system {
    pname = "net.didierverna.declt.core";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.core";
      asd = "net.didierverna.declt.core";
    });
    systems = [ "net.didierverna.declt.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_declt_dot_assess" self) (getAttr "net_dot_didierverna_dot_declt_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_declt_dot_setup = (build-asdf-system {
    pname = "net.didierverna.declt.setup";
    version = "4.0b2";
    asds = [ "net.didierverna.declt.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/declt/2022-07-07/declt-4.0b2.tgz";
      sha256 = "1xkbf1xqrkmr8na09b0spmrznsx2ml10i9q026zv9mpbsc7gh0i6";
      system = "net.didierverna.declt.setup";
      asd = "net.didierverna.declt.setup";
    });
    systems = [ "net.didierverna.declt.setup" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_focus = (build-asdf-system {
    pname = "net.didierverna.focus";
    version = "20170403-git";
    asds = [ "net.didierverna.focus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus";
      asd = "net.didierverna.focus";
    });
    systems = [ "net.didierverna.focus" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_core" self) (getAttr "net_dot_didierverna_dot_focus_dot_flv" self) (getAttr "net_dot_didierverna_dot_focus_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_focus_dot_core = (build-asdf-system {
    pname = "net.didierverna.focus.core";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.core";
      asd = "net.didierverna.focus.core";
    });
    systems = [ "net.didierverna.focus.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_focus_dot_demos_dot_quotation = (build-asdf-system {
    pname = "net.didierverna.focus.demos.quotation";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.demos.quotation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.demos.quotation";
      asd = "net.didierverna.focus.demos.quotation";
    });
    systems = [ "net.didierverna.focus.demos.quotation" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_focus_dot_flv" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_focus_dot_flv = (build-asdf-system {
    pname = "net.didierverna.focus.flv";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.flv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.flv";
      asd = "net.didierverna.focus.flv";
    });
    systems = [ "net.didierverna.focus.flv" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_asdf-flv" self) (getAttr "net_dot_didierverna_dot_focus_dot_core" self) (getAttr "net_dot_didierverna_dot_focus_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_focus_dot_setup = (build-asdf-system {
    pname = "net.didierverna.focus.setup";
    version = "20170403-git";
    asds = [ "net.didierverna.focus.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/focus/2017-04-03/focus-20170403-git.tgz";
      sha256 = "0b7nxqlkfi7irdmhsbp15r63c8fcg8q0ahmwmq5cmkf8ffq8dspc";
      system = "net.didierverna.focus.setup";
      asd = "net.didierverna.focus.setup";
    });
    systems = [ "net.didierverna.focus.setup" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_tfm = (build-asdf-system {
    pname = "net.didierverna.tfm";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm";
      asd = "net.didierverna.tfm";
    });
    systems = [ "net.didierverna.tfm" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_tfm_dot_core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_tfm_dot_core = (build-asdf-system {
    pname = "net.didierverna.tfm.core";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm.core";
      asd = "net.didierverna.tfm.core";
    });
    systems = [ "net.didierverna.tfm.core" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_tfm_dot_setup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_didierverna_dot_tfm_dot_setup = (build-asdf-system {
    pname = "net.didierverna.tfm.setup";
    version = "20210411-git";
    asds = [ "net.didierverna.tfm.setup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfm/2021-04-11/tfm-20210411-git.tgz";
      sha256 = "1wwphg315zq9213vhi5l8fyrfyzasym3rwf34dxfc5cyhsf0wbi6";
      system = "net.didierverna.tfm.setup";
      asd = "net.didierverna.tfm.setup";
    });
    systems = [ "net.didierverna.tfm.setup" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  net_dot_scipolis_dot_graphs = (build-asdf-system {
    pname = "net.scipolis.graphs";
    version = "20210411-git";
    asds = [ "net.scipolis.graphs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/femlisp/2021-04-11/femlisp-20210411-git.tgz";
      sha256 = "08l2x1jq3vfhh8m14wijd8c78n589cy5hd2py2jfj3yfiqyipasa";
      system = "net.scipolis.graphs";
      asd = "net.scipolis.graphs";
    });
    systems = [ "net.scipolis.graphs" ];
    lispLibs = [ (getAttr "femlisp-basic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  network-addresses = (build-asdf-system {
    pname = "network-addresses";
    version = "20160628-git";
    asds = [ "network-addresses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/network-addresses/2016-06-28/network-addresses-20160628-git.tgz";
      sha256 = "0zkyfdvfy9pz08vrgz40qpnqx0y7vf92aarp9dq2wipimnwy8df2";
      system = "network-addresses";
      asd = "network-addresses";
    });
    systems = [ "network-addresses" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  network-addresses-test = (build-asdf-system {
    pname = "network-addresses-test";
    version = "20160628-git";
    asds = [ "network-addresses-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/network-addresses/2016-06-28/network-addresses-20160628-git.tgz";
      sha256 = "0zkyfdvfy9pz08vrgz40qpnqx0y7vf92aarp9dq2wipimnwy8df2";
      system = "network-addresses-test";
      asd = "network-addresses-test";
    });
    systems = [ "network-addresses-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "network-addresses" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  neural-classifier = (build-asdf-system {
    pname = "neural-classifier";
    version = "20221106-git";
    asds = [ "neural-classifier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/neural-classifier/2022-11-06/neural-classifier-20221106-git.tgz";
      sha256 = "1d23q1k3i2kbjcrvp0qml2nmmdcr12lrmga3qdrgrvsbdcqarn3c";
      system = "neural-classifier";
      asd = "neural-classifier";
    });
    systems = [ "neural-classifier" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "magicl" self) (getAttr "snakes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  new-op = (build-asdf-system {
    pname = "new-op";
    version = "20230214-git";
    asds = [ "new-op" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/new-op/2023-02-14/new-op-20230214-git.tgz";
      sha256 = "0i7ail2am8s632gxz8h5w9mad68c66jszclric5yg1ihj4619qgm";
      system = "new-op";
      asd = "new-op";
    });
    systems = [ "new-op" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nibbles = (build-asdf-system {
    pname = "nibbles";
    version = "20220331-git";
    asds = [ "nibbles" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles/2022-03-31/nibbles-20220331-git.tgz";
      sha256 = "1idnscdw39zfk4h11x0jm6yjbj7i7l1wl75pd7p4iygc6zcwdi6l";
      system = "nibbles";
      asd = "nibbles";
    });
    systems = [ "nibbles" ];
    lispLibs = [  ];
    meta = {};
  });
  nibbles-streams = (build-asdf-system {
    pname = "nibbles-streams";
    version = "20230618-git";
    asds = [ "nibbles-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nibbles-streams/2023-06-18/nibbles-streams-20230618-git.tgz";
      sha256 = "05zwv0z4331ba1g48i6npas0rk88y705ww1574ivkfh870rr5yd4";
      system = "nibbles-streams";
      asd = "nibbles-streams";
    });
    systems = [ "nibbles-streams" ];
    lispLibs = [ (getAttr "nibbles" self) (getAttr "serapeum" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nineveh = (build-asdf-system {
    pname = "nineveh";
    version = "release-quicklisp-0a10a846-git";
    asds = [ "nineveh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nineveh/2019-10-07/nineveh-release-quicklisp-0a10a846-git.tgz";
      sha256 = "0bpdgqc9iz37240ypirpi489pnqpb92i94snyhjbh87i50y4br2l";
      system = "nineveh";
      asd = "nineveh";
    });
    systems = [ "nineveh" ];
    lispLibs = [ (getAttr "cepl" self) (getAttr "cl-soil" self) (getAttr "dendrite_dot_primitives" self) (getAttr "documentation-utils" self) (getAttr "easing" self) (getAttr "livesupport" self) (getAttr "rtg-math_dot_vari" self) (getAttr "with-setf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ningle = (build-asdf-system {
    pname = "ningle";
    version = "20211230-git";
    asds = [ "ningle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ningle/2021-12-30/ningle-20211230-git.tgz";
      sha256 = "0s9nn8ml1j4839rycvdjcbsynkqnhxw1zmrgpjz48smscwdf1f8p";
      system = "ningle";
      asd = "ningle";
    });
    systems = [ "ningle" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-syntax-annot" self) (getAttr "lack-component" self) (getAttr "lack-request" self) (getAttr "lack-response" self) (getAttr "myway" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ningle-test = (build-asdf-system {
    pname = "ningle-test";
    version = "20211230-git";
    asds = [ "ningle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ningle/2021-12-30/ningle-20211230-git.tgz";
      sha256 = "0s9nn8ml1j4839rycvdjcbsynkqnhxw1zmrgpjz48smscwdf1f8p";
      system = "ningle-test";
      asd = "ningle-test";
    });
    systems = [ "ningle-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "clack-test" self) (getAttr "drakma" self) (getAttr "ningle" self) (getAttr "prove" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nlopt = (build-asdf-system {
    pname = "nlopt";
    version = "20220707-git";
    asds = [ "nlopt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nlopt/2022-07-07/nlopt-20220707-git.tgz";
      sha256 = "01zw4yx38kc8x3by0m3dw5j87hwb180ggp4njfnzi1qjq1fdczp5";
      system = "nlopt";
      asd = "nlopt";
    });
    systems = [ "nlopt" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nodgui = (build-asdf-system {
    pname = "nodgui";
    version = "20230618-git";
    asds = [ "nodgui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nodgui/2023-06-18/nodgui-20230618-git.tgz";
      sha256 = "0i8jb4nyc3r76kl3kjdk4ixjiy9qhbmmr2rarviswdv2li4ril0q";
      system = "nodgui";
      asd = "nodgui";
    });
    systems = [ "nodgui" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-colors2" self) (getAttr "cl-jpeg" self) (getAttr "cl-ppcre-unicode" self) (getAttr "cl-unicode" self) (getAttr "clunit2" self) (getAttr "esrap" self) (getAttr "named-readtables" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  north = (build-asdf-system {
    pname = "north";
    version = "20230618-git";
    asds = [ "north" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2023-06-18/north-20230618-git.tgz";
      sha256 = "0q40rd0jzk69nrl3bjr5bplzqs1lhag683a51k6y3zs44k6srz3m";
      system = "north";
      asd = "north";
    });
    systems = [ "north" ];
    lispLibs = [ (getAttr "north-drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  north-core = (build-asdf-system {
    pname = "north-core";
    version = "20230618-git";
    asds = [ "north-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2023-06-18/north-20230618-git.tgz";
      sha256 = "0q40rd0jzk69nrl3bjr5bplzqs1lhag683a51k6y3zs44k6srz3m";
      system = "north-core";
      asd = "north-core";
    });
    systems = [ "north-core" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "crypto-shortcuts" self) (getAttr "documentation-utils" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  north-dexador = (build-asdf-system {
    pname = "north-dexador";
    version = "20230618-git";
    asds = [ "north-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2023-06-18/north-20230618-git.tgz";
      sha256 = "0q40rd0jzk69nrl3bjr5bplzqs1lhag683a51k6y3zs44k6srz3m";
      system = "north-dexador";
      asd = "north-dexador";
    });
    systems = [ "north-dexador" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "north-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  north-drakma = (build-asdf-system {
    pname = "north-drakma";
    version = "20230618-git";
    asds = [ "north-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2023-06-18/north-20230618-git.tgz";
      sha256 = "0q40rd0jzk69nrl3bjr5bplzqs1lhag683a51k6y3zs44k6srz3m";
      system = "north-drakma";
      asd = "north-drakma";
    });
    systems = [ "north-drakma" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "north-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  north-example = (build-asdf-system {
    pname = "north-example";
    version = "20230618-git";
    asds = [ "north-example" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/north/2023-06-18/north-20230618-git.tgz";
      sha256 = "0q40rd0jzk69nrl3bjr5bplzqs1lhag683a51k6y3zs44k6srz3m";
      system = "north-example";
      asd = "north-example";
    });
    systems = [ "north-example" ];
    lispLibs = [ (getAttr "clip" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) (getAttr "north" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nsb-cga = (build-asdf-system {
    pname = "nsb-cga";
    version = "20200427-git";
    asds = [ "nsb-cga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "nsb-cga";
      asd = "nsb-cga";
    });
    systems = [ "nsb-cga" ];
    lispLibs = [ (getAttr "cl-reexport" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nsort = (build-asdf-system {
    pname = "nsort";
    version = "20150505-git";
    asds = [ "nsort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nsort/2015-05-05/nsort-20150505-git.tgz";
      sha256 = "1q58slg8pl390av8pv16xb8g9qibgy3pm6vyl1fw75mx37yqkyd3";
      system = "nsort";
      asd = "nsort";
    });
    systems = [ "nsort" ];
    lispLibs = [ (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst = (build-asdf-system {
    pname = "nst";
    version = "20210807-git";
    asds = [ "nst" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst";
      asd = "nst";
    });
    systems = [ "nst" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "org-sampler" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-manual-tests = (build-asdf-system {
    pname = "nst-manual-tests";
    version = "20210807-git";
    asds = [ "nst-manual-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-manual-tests";
      asd = "nst-manual-tests";
    });
    systems = [ "nst-manual-tests" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-selftest-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-meta-tests = (build-asdf-system {
    pname = "nst-meta-tests";
    version = "20210807-git";
    asds = [ "nst-meta-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-meta-tests";
      asd = "nst-meta-tests";
    });
    systems = [ "nst-meta-tests" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-selftest-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-mop-utils = (build-asdf-system {
    pname = "nst-mop-utils";
    version = "20210807-git";
    asds = [ "nst-mop-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-mop-utils";
      asd = "nst-mop-utils";
    });
    systems = [ "nst-mop-utils" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "nst" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-selftest-utils = (build-asdf-system {
    pname = "nst-selftest-utils";
    version = "20210807-git";
    asds = [ "nst-selftest-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-selftest-utils";
      asd = "nst-selftest-utils";
    });
    systems = [ "nst-selftest-utils" ];
    lispLibs = [ (getAttr "nst" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-simple-tests = (build-asdf-system {
    pname = "nst-simple-tests";
    version = "20210807-git";
    asds = [ "nst-simple-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-simple-tests";
      asd = "nst-simple-tests";
    });
    systems = [ "nst-simple-tests" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-selftest-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-test = (build-asdf-system {
    pname = "nst-test";
    version = "20210807-git";
    asds = [ "nst-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-test";
      asd = "nst-test";
    });
    systems = [ "nst-test" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-meta-tests" self) (getAttr "nst-simple-tests" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nst-test-jenkins = (build-asdf-system {
    pname = "nst-test-jenkins";
    version = "20210807-git";
    asds = [ "nst-test-jenkins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nst/2021-08-07/cl-nst-20210807-git.tgz";
      sha256 = "1hf3r6pqbnd9vsd1i24qmz928kia72hdgmiafiwb6jw1hmj3r6ga";
      system = "nst-test-jenkins";
      asd = "nst-test-jenkins";
    });
    systems = [ "nst-test-jenkins" ];
    lispLibs = [ (getAttr "asdf-nst" self) (getAttr "nst" self) (getAttr "nst-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nuclblog = (build-asdf-system {
    pname = "nuclblog";
    version = "20140826-git";
    asds = [ "nuclblog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuclblog/2014-08-26/nuclblog-20140826-git.tgz";
      sha256 = "03ngrxas65l7h9ykyy100arm0imvnrxxyyf809l8iqqv87b3k1hz";
      system = "nuclblog";
      asd = "nuclblog";
    });
    systems = [ "nuclblog" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-markdown" self) (getAttr "cl-store" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) (getAttr "hunchentoot-auth" self) (getAttr "md5" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nuklear-blob = (build-asdf-system {
    pname = "nuklear-blob";
    version = "stable-git";
    asds = [ "nuklear-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuklear-blob/2020-10-16/nuklear-blob-stable-git.tgz";
      sha256 = "1qqx08sd74ix027p6w35yr0ycp72swy1zzps015hwkiwxsawkncm";
      system = "nuklear-blob";
      asd = "nuklear-blob";
    });
    systems = [ "nuklear-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "glad-blob" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nuklear-renderer-blob = (build-asdf-system {
    pname = "nuklear-renderer-blob";
    version = "stable-git";
    asds = [ "nuklear-renderer-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nuklear-renderer-blob/2020-10-16/nuklear-renderer-blob-stable-git.tgz";
      sha256 = "0f73ns9dq02v7ixpbnvrfgp52cjdvmbbbhhfwjyv0ywxx30mrdq4";
      system = "nuklear-renderer-blob";
      asd = "nuklear-renderer-blob";
    });
    systems = [ "nuklear-renderer-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "glad-blob" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  null-package = (build-asdf-system {
    pname = "null-package";
    version = "20220707-git";
    asds = [ "null-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/null-package/2022-07-07/null-package-20220707-git.tgz";
      sha256 = "1ildain46gw0nfnxdwfvasr5vg1fs93afni3k65sl5imc82g910f";
      system = "null-package";
      asd = "null-package";
    });
    systems = [ "null-package" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "core-reader" self) (getAttr "named-readtables" self) (getAttr "read-as-string" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  null-package_dot_test = (build-asdf-system {
    pname = "null-package.test";
    version = "20220707-git";
    asds = [ "null-package.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/null-package/2022-07-07/null-package-20220707-git.tgz";
      sha256 = "1ildain46gw0nfnxdwfvasr5vg1fs93afni3k65sl5imc82g910f";
      system = "null-package.test";
      asd = "null-package.test";
    });
    systems = [ "null-package.test" ];
    lispLibs = [ (getAttr "bnf" self) (getAttr "jingoh" self) (getAttr "null-package" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  num-utils = (build-asdf-system {
    pname = "num-utils";
    version = "20230214-git";
    asds = [ "num-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numerical-utilities/2023-02-14/numerical-utilities-20230214-git.tgz";
      sha256 = "1a5vv66fis7d087y1f98y8pw83sq7by4s3msji9b7y2iyq0kp2ll";
      system = "num-utils";
      asd = "num-utils";
    });
    systems = [ "num-utils" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "alexandria_plus" self) (getAttr "anaphora" self) (getAttr "array-operations" self) (getAttr "let-plus" self) (getAttr "select" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  numcl = (build-asdf-system {
    pname = "numcl";
    version = "20221106-git";
    asds = [ "numcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numcl/2022-11-06/numcl-20221106-git.tgz";
      sha256 = "1x0j4vx5w3rn18pssfwys3ghfxr2lkkrv37y47144kr890jrcad9";
      system = "numcl";
      asd = "numcl";
    });
    systems = [ "numcl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-randist" self) (getAttr "constantfold" self) (getAttr "float-features" self) (getAttr "function-cache" self) (getAttr "gtype" self) (getAttr "iterate" self) (getAttr "lisp-namespace" self) (getAttr "specialized-function" self) (getAttr "trivia" self) (getAttr "type-r" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  numcl_dot_test = (build-asdf-system {
    pname = "numcl.test";
    version = "20221106-git";
    asds = [ "numcl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numcl/2022-11-06/numcl-20221106-git.tgz";
      sha256 = "1x0j4vx5w3rn18pssfwys3ghfxr2lkkrv37y47144kr890jrcad9";
      system = "numcl.test";
      asd = "numcl.test";
    });
    systems = [ "numcl.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "numcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  numpy-file-format = (build-asdf-system {
    pname = "numpy-file-format";
    version = "20210124-git";
    asds = [ "numpy-file-format" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/numpy-file-format/2021-01-24/numpy-file-format-20210124-git.tgz";
      sha256 = "0j7jjcf6k3anvgpm4nf81g6gbhff44v0v9rai7kwm2bm3abzsjfd";
      system = "numpy-file-format";
      asd = "numpy-file-format";
    });
    systems = [ "numpy-file-format" ];
    lispLibs = [ (getAttr "ieee-floats" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nxt = (build-asdf-system {
    pname = "nxt";
    version = "20150608-git";
    asds = [ "nxt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nxt/2015-06-08/cl-nxt-20150608-git.tgz";
      sha256 = "1r9004ra140i9v2pmxnjv86dix4040jr0rgww2zwk370zxys7h2g";
      system = "nxt";
      asd = "nxt";
    });
    systems = [ "nxt" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "static-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nxt-proxy = (build-asdf-system {
    pname = "nxt-proxy";
    version = "20150608-git";
    asds = [ "nxt-proxy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-nxt/2015-06-08/cl-nxt-20150608-git.tgz";
      sha256 = "1r9004ra140i9v2pmxnjv86dix4040jr0rgww2zwk370zxys7h2g";
      system = "nxt-proxy";
      asd = "nxt-proxy";
    });
    systems = [ "nxt-proxy" ];
    lispLibs = [ (getAttr "nxt" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nyaml = (build-asdf-system {
    pname = "nyaml";
    version = "20211230-git";
    asds = [ "nyaml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nyaml/2021-12-30/nyaml-20211230-git.tgz";
      sha256 = "1gdsxhgqx9ynzrxwjidgljlkmz35wx83r6gwslxgg4v0g4vix9da";
      system = "nyaml";
      asd = "nyaml";
    });
    systems = [ "nyaml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "esrap" self) (getAttr "fare-quasiquote" self) (getAttr "fare-quasiquote-extras" self) (getAttr "parse-number" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  nytpu_dot_lisp-utils = (build-asdf-system {
    pname = "nytpu.lisp-utils";
    version = "20230618-git";
    asds = [ "nytpu.lisp-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/nytpu.lisp-utils/2023-06-18/nytpu.lisp-utils-20230618-git.tgz";
      sha256 = "132yz6f8p7f5yqz4kcykf6imfaggygg5p0s0hxlhm5g1wnsass47";
      system = "nytpu.lisp-utils";
      asd = "nytpu.lisp-utils";
    });
    systems = [ "nytpu.lisp-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  object-class = (build-asdf-system {
    pname = "object-class";
    version = "1.0";
    asds = [ "object-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/object-class/2020-09-25/object-class_1.0.tgz";
      sha256 = "0qagmd2mxbr8b60l0y3jccj0maxjchds96p935pd3q805ry50683";
      system = "object-class";
      asd = "object-class";
    });
    systems = [ "object-class" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "compatible-metaclasses" self) (getAttr "enhanced-find-class" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  object-class__tests = (build-asdf-system {
    pname = "object-class_tests";
    version = "1.0";
    asds = [ "object-class_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/object-class/2020-09-25/object-class_1.0.tgz";
      sha256 = "0qagmd2mxbr8b60l0y3jccj0maxjchds96p935pd3q805ry50683";
      system = "object-class_tests";
      asd = "object-class_tests";
    });
    systems = [ "object-class_tests" ];
    lispLibs = [ (getAttr "compatible-metaclasses" self) (getAttr "object-class" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oclcl = (build-asdf-system {
    pname = "oclcl";
    version = "20190521-git";
    asds = [ "oclcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl";
      asd = "oclcl";
    });
    systems = [ "oclcl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-pattern" self) (getAttr "cl-ppcre" self) (getAttr "cl-reexport" self) (getAttr "external-program" self) (getAttr "lisp-namespace" self) (getAttr "osicat" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oclcl-examples = (build-asdf-system {
    pname = "oclcl-examples";
    version = "20190521-git";
    asds = [ "oclcl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl-examples";
      asd = "oclcl-examples";
    });
    systems = [ "oclcl-examples" ];
    lispLibs = [ (getAttr "cl-oclapi" self) (getAttr "imago" self) (getAttr "oclcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oclcl-test = (build-asdf-system {
    pname = "oclcl-test";
    version = "20190521-git";
    asds = [ "oclcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oclcl/2019-05-21/oclcl-20190521-git.tgz";
      sha256 = "1ccyrv4fknpln5askl8cpnwbp28sikrs6i3dwzm86jwhv272zc8q";
      system = "oclcl-test";
      asd = "oclcl-test";
    });
    systems = [ "oclcl-test" ];
    lispLibs = [ (getAttr "arrow-macros" self) (getAttr "oclcl" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ode-blob = (build-asdf-system {
    pname = "ode-blob";
    version = "stable-git";
    asds = [ "ode-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ode-blob/2020-10-16/ode-blob-stable-git.tgz";
      sha256 = "1l2zq27zmivmr6h66kadbh3isnbdmkxvc7wq16wwmsvq23bhpss6";
      system = "ode-blob";
      asd = "ode-blob";
    });
    systems = [ "ode-blob" ];
    lispLibs = [ (getAttr "base-blobs" self) (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  odepack = (build-asdf-system {
    pname = "odepack";
    version = "20200925-git";
    asds = [ "odepack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "odepack";
      asd = "odepack";
    });
    systems = [ "odepack" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  odesk = (build-asdf-system {
    pname = "odesk";
    version = "20150608-git";
    asds = [ "odesk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-odesk/2015-06-08/cl-odesk-20150608-git.tgz";
      sha256 = "1j5pjq4aw83m1in0l7ljn7jq4ixckg91p4h0lwf420xks3lhi4ka";
      system = "odesk";
      asd = "odesk";
    });
    systems = [ "odesk" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "iterate" self) (getAttr "md5" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oe-encode = (build-asdf-system {
    pname = "oe-encode";
    version = "20150804-git";
    asds = [ "oe-encode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oe-encode/2015-08-04/oe-encode-20150804-git.tgz";
      sha256 = "18hd97509vpg04gaf8lzjr2jfyj3w4ql1ydb5202p2r9k4qpvnj9";
      system = "oe-encode";
      asd = "oe-encode";
    });
    systems = [ "oe-encode" ];
    lispLibs = [ (getAttr "babel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oe-encode-test = (build-asdf-system {
    pname = "oe-encode-test";
    version = "20150804-git";
    asds = [ "oe-encode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oe-encode/2015-08-04/oe-encode-20150804-git.tgz";
      sha256 = "18hd97509vpg04gaf8lzjr2jfyj3w4ql1ydb5202p2r9k4qpvnj9";
      system = "oe-encode-test";
      asd = "oe-encode";
    });
    systems = [ "oe-encode-test" ];
    lispLibs = [ (getAttr "clunit" self) (getAttr "oe-encode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  olc = (build-asdf-system {
    pname = "olc";
    version = "20220331-git";
    asds = [ "olc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/olc/2022-03-31/olc-20220331-git.tgz";
      sha256 = "02r6w9kfa6v4a12y2azmyjkxbn54r1y18c6a024vq4y6zp20fqnz";
      system = "olc";
      asd = "olc";
    });
    systems = [ "olc" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  omg = (build-asdf-system {
    pname = "omg";
    version = "20230618-git";
    asds = [ "omg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/omglib/2023-06-18/omglib-20230618-git.tgz";
      sha256 = "0468xrdbf1j06plivr7r6rqqr6crjyhs84lr5nsr6hvm08afspsz";
      system = "omg";
      asd = "omg";
    });
    systems = [ "omg" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-jpeg" self) (getAttr "clack" self) (getAttr "find-port" self) (getAttr "hunchentoot" self) (getAttr "inferior-shell" self) (getAttr "media-types" self) (getAttr "osicat" self) (getAttr "pngload" self) (getAttr "skippy" self) (getAttr "swank" self) (getAttr "trivial-utf-8" self) (getAttr "usocket" self) (getAttr "websocket-driver-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  one-more-re-nightmare = (build-asdf-system {
    pname = "one-more-re-nightmare";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare";
      asd = "one-more-re-nightmare";
    });
    systems = [ "one-more-re-nightmare" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "dynamic-mixins" self) (getAttr "esrap" self) (getAttr "stealth-mixin" self) (getAttr "trivia" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  one-more-re-nightmare-simd = (build-asdf-system {
    pname = "one-more-re-nightmare-simd";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare-simd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare-simd";
      asd = "one-more-re-nightmare-simd";
    });
    systems = [ "one-more-re-nightmare-simd" ];
    lispLibs = [ (getAttr "one-more-re-nightmare" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  one-more-re-nightmare-tests = (build-asdf-system {
    pname = "one-more-re-nightmare-tests";
    version = "20221106-git";
    asds = [ "one-more-re-nightmare-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/one-more-re-nightmare/2022-11-06/one-more-re-nightmare-20221106-git.tgz";
      sha256 = "0vc0lxvn3anjb63hr26r1l18aw5nbj80w9ja3a32fip6nbwfsrfv";
      system = "one-more-re-nightmare-tests";
      asd = "one-more-re-nightmare-tests";
    });
    systems = [ "one-more-re-nightmare-tests" ];
    lispLibs = [ (getAttr "lparallel" self) (getAttr "one-more-re-nightmare" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ook = (build-asdf-system {
    pname = "ook";
    version = "20230214-git";
    asds = [ "ook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ook/2023-02-14/ook-20230214-git.tgz";
      sha256 = "176ffzw1vr6rbn56lm9c6kg3p999apn4kb8z4889cn16v0rd6m29";
      system = "ook";
      asd = "ook";
    });
    systems = [ "ook" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oook = (build-asdf-system {
    pname = "oook";
    version = "20171130-git";
    asds = [ "oook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oook/2017-11-30/oook-20171130-git.tgz";
      sha256 = "0vxw160kbb2b624lc2aqvrx91xnmfhwz8nrzjvmbk5m55q1s4hxr";
      system = "oook";
      asd = "oook";
    });
    systems = [ "oook" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-inflector" self) (getAttr "closer-mop" self) (getAttr "clsql" self) (getAttr "jonathan" self) (getAttr "parse-number" self) (getAttr "semantic-spinneret" self) (getAttr "spinneret" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  open-geneva = (build-asdf-system {
    pname = "open-geneva";
    version = "20161204-git";
    asds = [ "open-geneva" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/geneva/2016-12-04/geneva-20161204-git.tgz";
      sha256 = "1pw18xkbndqssx6iix8a8zcw8bgjh88jxxxrklkgkghk04bmqxw3";
      system = "open-geneva";
      asd = "open-geneva";
    });
    systems = [ "open-geneva" ];
    lispLibs = [ (getAttr "geneva" self) (getAttr "geneva-cl" self) (getAttr "geneva-html" self) (getAttr "geneva-latex" self) (getAttr "geneva-mk2" self) (getAttr "geneva-plain-text" self) (getAttr "geneva-tex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  open-location-code = (build-asdf-system {
    pname = "open-location-code";
    version = "20220331-git";
    asds = [ "open-location-code" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-location-code/2022-03-31/open-location-code-20220331-git.tgz";
      sha256 = "1ii8aj9kxxikgafsycy2ngrs9f2zdvmzrhggq7z5cgmi1h0fqg1z";
      system = "open-location-code";
      asd = "open-location-code";
    });
    systems = [ "open-location-code" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  open-vrp = (build-asdf-system {
    pname = "open-vrp";
    version = "20140914-git";
    asds = [ "open-vrp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-vrp/2014-09-14/open-vrp-20140914-git.tgz";
      sha256 = "04k0kp18gpr4cfpsck7pjizawwswh372df4pvm5v87brm6xdw1fr";
      system = "open-vrp";
      asd = "open-vrp";
    });
    systems = [ "open-vrp" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiveam" self) (getAttr "open-vrp-lib" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  open-vrp-lib = (build-asdf-system {
    pname = "open-vrp-lib";
    version = "20140914-git";
    asds = [ "open-vrp-lib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/open-vrp/2014-09-14/open-vrp-20140914-git.tgz";
      sha256 = "04k0kp18gpr4cfpsck7pjizawwswh372df4pvm5v87brm6xdw1fr";
      system = "open-vrp-lib";
      asd = "open-vrp-lib";
    });
    systems = [ "open-vrp-lib" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "fiveam" self) (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openal-blob = (build-asdf-system {
    pname = "openal-blob";
    version = "stable-git";
    asds = [ "openal-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openal-blob/2020-10-16/openal-blob-stable-git.tgz";
      sha256 = "0bspdqb0xbvwvi6xkn88n4jswpds8fzbgj44ygm7mi6lpwp7lmv2";
      system = "openal-blob";
      asd = "openal-blob";
    });
    systems = [ "openal-blob" ];
    lispLibs = [ (getAttr "base-blobs" self) (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openapi-generator = (build-asdf-system {
    pname = "openapi-generator";
    version = "20230618-git";
    asds = [ "openapi-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openapi-generator/2023-06-18/openapi-generator-20230618-git.tgz";
      sha256 = "102r82ignzaplmlfy74wv558idfhb246lfzcwfznzv4ip05ff4jv";
      system = "openapi-generator";
      asd = "openapi-generator";
    });
    systems = [ "openapi-generator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-hash-util" self) (getAttr "cl-json-pointer" self) (getAttr "cl-project" self) (getAttr "cl-semver" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "dexador" self) (getAttr "json-mop" self) (getAttr "listopia" self) (getAttr "moptilities" self) (getAttr "parse-float" self) (getAttr "pathname-utils" self) (getAttr "quri" self) (getAttr "serapeum" self) (getAttr "str" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openapi-parser = (build-asdf-system {
    pname = "openapi-parser";
    version = "20230618-git";
    asds = [ "openapi-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openapi-parser/2023-06-18/cl-openapi-parser-20230618-git.tgz";
      sha256 = "1vjqmxgkd8zvsfa1m6jzp6adwv1hz79z1x662v0f567iar01rzyz";
      system = "openapi-parser";
      asd = "openapi-parser";
    });
    systems = [ "openapi-parser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-change-case" self) (getAttr "cl-package-locks" self) (getAttr "cl-yaml" self) (getAttr "closer-mop" self) (getAttr "esrap" self) (getAttr "str" self) (getAttr "trivia" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openapi-parser-tests = (build-asdf-system {
    pname = "openapi-parser-tests";
    version = "20230618-git";
    asds = [ "openapi-parser-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-openapi-parser/2023-06-18/cl-openapi-parser-20230618-git.tgz";
      sha256 = "1vjqmxgkd8zvsfa1m6jzp6adwv1hz79z1x662v0f567iar01rzyz";
      system = "openapi-parser-tests";
      asd = "openapi-parser";
    });
    systems = [ "openapi-parser-tests" ];
    lispLibs = [ (getAttr "openapi-parser" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openid-key = (build-asdf-system {
    pname = "openid-key";
    version = "20181210-git";
    asds = [ "openid-key" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openid-key/2018-12-10/openid-key-20181210-git.tgz";
      sha256 = "0ja1g4f8nrcn965376j7lnhha9krx4wjqxrg6vc57k7rmkhkzm1z";
      system = "openid-key";
      asd = "openid-key";
    });
    systems = [ "openid-key" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "dexador" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "quri" self) (getAttr "trivial-rfc-1123" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  openid-key-test = (build-asdf-system {
    pname = "openid-key-test";
    version = "20181210-git";
    asds = [ "openid-key-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/openid-key/2018-12-10/openid-key-20181210-git.tgz";
      sha256 = "0ja1g4f8nrcn965376j7lnhha9krx4wjqxrg6vc57k7rmkhkzm1z";
      system = "openid-key-test";
      asd = "openid-key-test";
    });
    systems = [ "openid-key-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "openid-key" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ops-test = (build-asdf-system {
    pname = "ops-test";
    version = "20211020-git";
    asds = [ "ops-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "ops-test";
      asd = "ops-test";
    });
    systems = [ "ops-test" ];
    lispLibs = [ (getAttr "png" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ops5 = (build-asdf-system {
    pname = "ops5";
    version = "20200218-git";
    asds = [ "ops5" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ops5/2020-02-18/ops5-20200218-git.tgz";
      sha256 = "1q2mrza40qvhny06f4ks2dghyk8a7pjjsi3vj83b9if7fmyj152a";
      system = "ops5";
      asd = "ops5";
    });
    systems = [ "ops5" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  opticl = (build-asdf-system {
    pname = "opticl";
    version = "20220220-git";
    asds = [ "opticl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl/2022-02-20/opticl-20220220-git.tgz";
      sha256 = "1jx9n78d4lf53iz24yid34l92zrpqxfihv6049ixcy0xigf7j4ac";
      system = "opticl";
      asd = "opticl";
    });
    systems = [ "opticl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-jpeg" self) (getAttr "cl-tga" self) (getAttr "opticl-core" self) (getAttr "pngload" self) (getAttr "retrospectiff" self) (getAttr "skippy" self) (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  opticl-core = (build-asdf-system {
    pname = "opticl-core";
    version = "20171019-git";
    asds = [ "opticl-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl-core/2017-10-19/opticl-core-20171019-git.tgz";
      sha256 = "0458bllabcdjghfrqx6aki49c9qmvfmkk8jl75cfpi7q0i12kh95";
      system = "opticl-core";
      asd = "opticl-core";
    });
    systems = [ "opticl-core" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  opticl-doc = (build-asdf-system {
    pname = "opticl-doc";
    version = "20220220-git";
    asds = [ "opticl-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/opticl/2022-02-20/opticl-20220220-git.tgz";
      sha256 = "1jx9n78d4lf53iz24yid34l92zrpqxfihv6049ixcy0xigf7j4ac";
      system = "opticl-doc";
      asd = "opticl-doc";
    });
    systems = [ "opticl-doc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-containers" self) (getAttr "cl-markdown" self) (getAttr "opticl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  optima = (build-asdf-system {
    pname = "optima";
    version = "20150709-git";
    asds = [ "optima" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima";
      asd = "optima";
    });
    systems = [ "optima" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) ];
    meta = {};
  });
  optima_dot_ppcre = (build-asdf-system {
    pname = "optima.ppcre";
    version = "20150709-git";
    asds = [ "optima.ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima.ppcre";
      asd = "optima.ppcre";
    });
    systems = [ "optima.ppcre" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  optima_dot_test = (build-asdf-system {
    pname = "optima.test";
    version = "20150709-git";
    asds = [ "optima.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/optima/2015-07-09/optima-20150709-git.tgz";
      sha256 = "1yw4ymq7ms89342kkvb3aqxgv0w38m9kd8ikdqxxzyybnkjhndal";
      system = "optima.test";
      asd = "optima.test";
    });
    systems = [ "optima.test" ];
    lispLibs = [ (getAttr "eos" self) (getAttr "optima" self) (getAttr "optima_dot_ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  or-cluster = (build-asdf-system {
    pname = "or-cluster";
    version = "20170403-git";
    asds = [ "or-cluster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-cluster";
      asd = "or-cluster";
    });
    systems = [ "or-cluster" ];
    lispLibs = [ (getAttr "cl-opsresearch" self) (getAttr "drakma" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  or-fann = (build-asdf-system {
    pname = "or-fann";
    version = "20170403-git";
    asds = [ "or-fann" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-fann";
      asd = "or-fann";
    });
    systems = [ "or-fann" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opsresearch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  or-glpk = (build-asdf-system {
    pname = "or-glpk";
    version = "20170403-git";
    asds = [ "or-glpk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-glpk";
      asd = "or-glpk";
    });
    systems = [ "or-glpk" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opsresearch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  or-gsl = (build-asdf-system {
    pname = "or-gsl";
    version = "20170403-git";
    asds = [ "or-gsl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-gsl";
      asd = "or-gsl";
    });
    systems = [ "or-gsl" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opsresearch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  or-test = (build-asdf-system {
    pname = "or-test";
    version = "20170403-git";
    asds = [ "or-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-opsresearch/2017-04-03/cl-opsresearch-20170403-git.tgz";
      sha256 = "1fipw6qjggswzcg8ifwx5qnhnc7mmi53s6h14l0vzj6afa5rdpm7";
      system = "or-test";
      asd = "or-test";
    });
    systems = [ "or-test" ];
    lispLibs = [ (getAttr "cl-opsresearch" self) (getAttr "fiveam" self) (getAttr "or-fann" self) (getAttr "or-glpk" self) (getAttr "or-gsl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org-davep-dict = (build-asdf-system {
    pname = "org-davep-dict";
    version = "20190521-git";
    asds = [ "org-davep-dict" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-davep-dict/2019-05-21/org-davep-dict-20190521-git.tgz";
      sha256 = "09dryqlprssrw0jpcg2313cc1hmlsasxvp1rs5z7axhasc16kl31";
      system = "org-davep-dict";
      asd = "org-davep-dict";
    });
    systems = [ "org-davep-dict" ];
    lispLibs = [ (getAttr "acl-compat" self) (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org-davep-dictrepl = (build-asdf-system {
    pname = "org-davep-dictrepl";
    version = "20190521-git";
    asds = [ "org-davep-dictrepl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-davep-dictrepl/2019-05-21/org-davep-dictrepl-20190521-git.tgz";
      sha256 = "1s461asil8cxsbcpyxsw3g7phdn5c3mwv6wswp86hsxiga5hi327";
      system = "org-davep-dictrepl";
      asd = "org-davep-dictrepl";
    });
    systems = [ "org-davep-dictrepl" ];
    lispLibs = [ (getAttr "org-davep-dict" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org-sampler = (build-asdf-system {
    pname = "org-sampler";
    version = "0.2.0";
    asds = [ "org-sampler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/org-sampler/2016-03-18/org-sampler-0.2.0.tgz";
      sha256 = "1j2i24x9afxp6s5gyqlvy11c0lq9rzhmdj1bf0qpxcaa4znj48c3";
      system = "org-sampler";
      asd = "org-sampler";
    });
    systems = [ "org-sampler" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_melusina_dot_atelier = (build-asdf-system {
    pname = "org.melusina.atelier";
    version = "20230618-git";
    asds = [ "org.melusina.atelier" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-atelier/2023-06-18/cl-atelier-20230618-git.tgz";
      sha256 = "0rff5mfh77cmv3z1r9scnql94f00hn17jmaja03v7djbrzj9bbhb";
      system = "org.melusina.atelier";
      asd = "org.melusina.atelier";
    });
    systems = [ "org.melusina.atelier" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "org_dot_melusina_dot_rashell" self) (getAttr "osicat" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_melusina_dot_confidence = (build-asdf-system {
    pname = "org.melusina.confidence";
    version = "20230618-git";
    asds = [ "org.melusina.confidence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-confidence/2023-06-18/cl-confidence-20230618-git.tgz";
      sha256 = "0g7anqvizcniv7csqrm2v42vzk6ijl1kb2mwbmpsjsc2zjd94mli";
      system = "org.melusina.confidence";
      asd = "org.melusina.confidence";
    });
    systems = [ "org.melusina.confidence" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_melusina_dot_rashell = (build-asdf-system {
    pname = "org.melusina.rashell";
    version = "20230618-git";
    asds = [ "org.melusina.rashell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rashell/2023-06-18/cl-rashell-20230618-git.tgz";
      sha256 = "0kf72s59fm797cihsral51nwdcccxl7jja4iqi93ybf49i5qa1i6";
      system = "org.melusina.rashell";
      asd = "org.melusina.rashell";
    });
    systems = [ "org.melusina.rashell" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_melusina_dot_webmachine = (build-asdf-system {
    pname = "org.melusina.webmachine";
    version = "20230618-git";
    asds = [ "org.melusina.webmachine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-webmachine/2023-06-18/cl-webmachine-20230618-git.tgz";
      sha256 = "1mj8w63008wmy6n2an297bmq6fcvwy1vwwycy5dn13l9xsiwfld2";
      system = "org.melusina.webmachine";
      asd = "org.melusina.webmachine";
    });
    systems = [ "org.melusina.webmachine" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "hunchentoot" self) (getAttr "parse-number" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_conduit-packages = (build-asdf-system {
    pname = "org.tfeb.conduit-packages";
    version = "20221106-git";
    asds = [ "org.tfeb.conduit-packages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/conduit-packages/2022-11-06/conduit-packages-20221106-git.tgz";
      sha256 = "16mqbwwgpx4k462cnh59j184530dcsr1cbps0jjh0v0yfamyvnqk";
      system = "org.tfeb.conduit-packages";
      asd = "org.tfeb.conduit-packages";
    });
    systems = [ "org.tfeb.conduit-packages" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_dsm = (build-asdf-system {
    pname = "org.tfeb.dsm";
    version = "20230214-git";
    asds = [ "org.tfeb.dsm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/dsm/2023-02-14/dsm-20230214-git.tgz";
      sha256 = "0pzhxbvkvcwzjx1lm3jmry5l79hnh82x4a0x868wabibb7ra9fx9";
      system = "org.tfeb.dsm";
      asd = "org.tfeb.dsm";
    });
    systems = [ "org.tfeb.dsm" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" self) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" self) (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" self) (getAttr "org_dot_tfeb_dot_hax_dot_spam" self) (getAttr "org_dot_tfeb_dot_hax_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax = (build-asdf-system {
    pname = "org.tfeb.hax";
    version = "20230618-git";
    asds = [ "org.tfeb.hax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax";
      asd = "org.tfeb.hax";
    });
    systems = [ "org.tfeb.hax" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_abstract-classes = (build-asdf-system {
    pname = "org.tfeb.hax.abstract-classes";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.abstract-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.abstract-classes";
      asd = "org.tfeb.hax.abstract-classes";
    });
    systems = [ "org.tfeb.hax.abstract-classes" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_binding = (build-asdf-system {
    pname = "org.tfeb.hax.binding";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.binding" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.binding";
      asd = "org.tfeb.hax.binding";
    });
    systems = [ "org.tfeb.hax.binding" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" self) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_collecting = (build-asdf-system {
    pname = "org.tfeb.hax.collecting";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.collecting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.collecting";
      asd = "org.tfeb.hax.collecting";
    });
    systems = [ "org.tfeb.hax.collecting" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_comment-form = (build-asdf-system {
    pname = "org.tfeb.hax.comment-form";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.comment-form" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.comment-form";
      asd = "org.tfeb.hax.comment-form";
    });
    systems = [ "org.tfeb.hax.comment-form" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_cs-forms = (build-asdf-system {
    pname = "org.tfeb.hax.cs-forms";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.cs-forms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.cs-forms";
      asd = "org.tfeb.hax.cs-forms";
    });
    systems = [ "org.tfeb.hax.cs-forms" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_define-functions = (build-asdf-system {
    pname = "org.tfeb.hax.define-functions";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.define-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.define-functions";
      asd = "org.tfeb.hax.define-functions";
    });
    systems = [ "org.tfeb.hax.define-functions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_dynamic-state = (build-asdf-system {
    pname = "org.tfeb.hax.dynamic-state";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.dynamic-state" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.dynamic-state";
      asd = "org.tfeb.hax.dynamic-state";
    });
    systems = [ "org.tfeb.hax.dynamic-state" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_iterate = (build-asdf-system {
    pname = "org.tfeb.hax.iterate";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.iterate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.iterate";
      asd = "org.tfeb.hax.iterate";
    });
    systems = [ "org.tfeb.hax.iterate" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_memoize = (build-asdf-system {
    pname = "org.tfeb.hax.memoize";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.memoize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.memoize";
      asd = "org.tfeb.hax.memoize";
    });
    systems = [ "org.tfeb.hax.memoize" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_metatronic = (build-asdf-system {
    pname = "org.tfeb.hax.metatronic";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.metatronic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.metatronic";
      asd = "org.tfeb.hax.metatronic";
    });
    systems = [ "org.tfeb.hax.metatronic" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_object-accessors = (build-asdf-system {
    pname = "org.tfeb.hax.object-accessors";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.object-accessors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.object-accessors";
      asd = "org.tfeb.hax.object-accessors";
    });
    systems = [ "org.tfeb.hax.object-accessors" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_read-package = (build-asdf-system {
    pname = "org.tfeb.hax.read-package";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.read-package" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.read-package";
      asd = "org.tfeb.hax.read-package";
    });
    systems = [ "org.tfeb.hax.read-package" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_simple-loops = (build-asdf-system {
    pname = "org.tfeb.hax.simple-loops";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.simple-loops" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.simple-loops";
      asd = "org.tfeb.hax.simple-loops";
    });
    systems = [ "org.tfeb.hax.simple-loops" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" self) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" self) (getAttr "org_dot_tfeb_dot_hax_dot_utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_singleton-classes = (build-asdf-system {
    pname = "org.tfeb.hax.singleton-classes";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.singleton-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.singleton-classes";
      asd = "org.tfeb.hax.singleton-classes";
    });
    systems = [ "org.tfeb.hax.singleton-classes" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_slog = (build-asdf-system {
    pname = "org.tfeb.hax.slog";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.slog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.slog";
      asd = "org.tfeb.hax.slog";
    });
    systems = [ "org.tfeb.hax.slog" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" self) (getAttr "org_dot_tfeb_dot_hax_dot_metatronic" self) (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" self) (getAttr "org_dot_tfeb_dot_hax_dot_spam" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_spam = (build-asdf-system {
    pname = "org.tfeb.hax.spam";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.spam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.spam";
      asd = "org.tfeb.hax.spam";
    });
    systems = [ "org.tfeb.hax.spam" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_simple-loops" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_stringtable = (build-asdf-system {
    pname = "org.tfeb.hax.stringtable";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.stringtable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.stringtable";
      asd = "org.tfeb.hax.stringtable";
    });
    systems = [ "org.tfeb.hax.stringtable" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_hax_dot_collecting" self) (getAttr "org_dot_tfeb_dot_hax_dot_iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_trace-macroexpand = (build-asdf-system {
    pname = "org.tfeb.hax.trace-macroexpand";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.trace-macroexpand" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.trace-macroexpand";
      asd = "org.tfeb.hax.trace-macroexpand";
    });
    systems = [ "org.tfeb.hax.trace-macroexpand" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_utilities = (build-asdf-system {
    pname = "org.tfeb.hax.utilities";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.utilities";
      asd = "org.tfeb.hax.utilities";
    });
    systems = [ "org.tfeb.hax.utilities" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_hax_dot_wrapping-standard = (build-asdf-system {
    pname = "org.tfeb.hax.wrapping-standard";
    version = "20230618-git";
    asds = [ "org.tfeb.hax.wrapping-standard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-hax/2023-06-18/tfeb-lisp-hax-20230618-git.tgz";
      sha256 = "00m2y03krlvcng71zmw6hgv8wzs8aiz6wic8lzdd0cqrn50mby8j";
      system = "org.tfeb.hax.wrapping-standard";
      asd = "org.tfeb.hax.wrapping-standard";
    });
    systems = [ "org.tfeb.hax.wrapping-standard" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools = (build-asdf-system {
    pname = "org.tfeb.tools";
    version = "20221106-git";
    asds = [ "org.tfeb.tools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools";
      asd = "org.tfeb.tools";
    });
    systems = [ "org.tfeb.tools" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_asdf-module-sysdcls = (build-asdf-system {
    pname = "org.tfeb.tools.asdf-module-sysdcls";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.asdf-module-sysdcls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.asdf-module-sysdcls";
      asd = "org.tfeb.tools.asdf-module-sysdcls";
    });
    systems = [ "org.tfeb.tools.asdf-module-sysdcls" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_build-modules = (build-asdf-system {
    pname = "org.tfeb.tools.build-modules";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.build-modules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.build-modules";
      asd = "org.tfeb.tools.build-modules";
    });
    systems = [ "org.tfeb.tools.build-modules" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_tools_dot_require-module" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_deprecations = (build-asdf-system {
    pname = "org.tfeb.tools.deprecations";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.deprecations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.deprecations";
      asd = "org.tfeb.tools.deprecations";
    });
    systems = [ "org.tfeb.tools.deprecations" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_feature-expressions = (build-asdf-system {
    pname = "org.tfeb.tools.feature-expressions";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.feature-expressions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.feature-expressions";
      asd = "org.tfeb.tools.feature-expressions";
    });
    systems = [ "org.tfeb.tools.feature-expressions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_install-providers = (build-asdf-system {
    pname = "org.tfeb.tools.install-providers";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.install-providers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.install-providers";
      asd = "org.tfeb.tools.install-providers";
    });
    systems = [ "org.tfeb.tools.install-providers" ];
    lispLibs = [ (getAttr "org_dot_tfeb_dot_tools_dot_require-module" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  org_dot_tfeb_dot_tools_dot_require-module = (build-asdf-system {
    pname = "org.tfeb.tools.require-module";
    version = "20221106-git";
    asds = [ "org.tfeb.tools.require-module" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tfeb-lisp-tools/2022-11-06/tfeb-lisp-tools-20221106-git.tgz";
      sha256 = "0c2fsp6faha741h5ppdm69vhvrwk1lzxlng030jxl1gam846h7c0";
      system = "org.tfeb.tools.require-module";
      asd = "org.tfeb.tools.require-module";
    });
    systems = [ "org.tfeb.tools.require-module" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  origin = (build-asdf-system {
    pname = "origin";
    version = "20220707-git";
    asds = [ "origin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/origin/2022-07-07/origin-20220707-git.tgz";
      sha256 = "01b5rn83w85fnd92x5jgan2a092y7ir420r55p2b0a98xpvb4a71";
      system = "origin";
      asd = "origin";
    });
    systems = [ "origin" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  origin_dot_test = (build-asdf-system {
    pname = "origin.test";
    version = "20220707-git";
    asds = [ "origin.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/origin/2022-07-07/origin-20220707-git.tgz";
      sha256 = "01b5rn83w85fnd92x5jgan2a092y7ir420r55p2b0a98xpvb4a71";
      system = "origin.test";
      asd = "origin.test";
    });
    systems = [ "origin.test" ];
    lispLibs = [ (getAttr "origin" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  orizuru-orm = (build-asdf-system {
    pname = "orizuru-orm";
    version = "20210228-git";
    asds = [ "orizuru-orm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/orizuru-orm/2021-02-28/orizuru-orm-20210228-git.tgz";
      sha256 = "0hx1qny188a1h40ns63sr291bw7fc0nmgic3mka3gnar8l6karbr";
      system = "orizuru-orm";
      asd = "orizuru-orm";
    });
    systems = [ "orizuru-orm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre-unicode" self) (getAttr "clos-fixtures" self) (getAttr "closer-mop" self) (getAttr "clunit2" self) (getAttr "dbi" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  osc = (build-asdf-system {
    pname = "osc";
    version = "20230618-git";
    asds = [ "osc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osc/2023-06-18/osc-20230618-git.tgz";
      sha256 = "0gh29zcl9pmy3xlmwzpf9www2z06ah6b4jk06sj2cvxbc15nblqa";
      system = "osc";
      asd = "osc";
    });
    systems = [ "osc" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  osicat = (build-asdf-system {
    pname = "osicat";
    version = "20230214-git";
    asds = [ "osicat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/osicat/2023-02-14/osicat-20230214-git.tgz";
      sha256 = "0g7qzh9x1kh7spm0gz9q127kra3wd3d9ns9qzgwig1jjwix55g0w";
      system = "osicat";
      asd = "osicat";
    });
    systems = [ "osicat" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  ospm = (build-asdf-system {
    pname = "ospm";
    version = "20230618-git";
    asds = [ "ospm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ospm/2023-06-18/ospm-20230618-git.tgz";
      sha256 = "13am2bii3993yhry6wwnpczbvlbbs1ja75jdkiw7ngmysw9lsajd";
      system = "ospm";
      asd = "ospm";
    });
    systems = [ "ospm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "calispel" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "local-time" self) (getAttr "moptilities" self) (getAttr "named-readtables" self) (getAttr "serapeum" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  overlord = (build-asdf-system {
    pname = "overlord";
    version = "20230618-git";
    asds = [ "overlord" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/overlord/2023-06-18/overlord-20230618-git.tgz";
      sha256 = "05lnagv4vlvap0k1pg5yfkhl1pjl0vlbflwjhl0rb9apyh7kkgia";
      system = "overlord";
      asd = "overlord";
    });
    systems = [ "overlord" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "bit-smasher" self) (getAttr "bordeaux-threads" self) (getAttr "cl-murmurhash" self) (getAttr "cl-ppcre" self) (getAttr "cl-strftime" self) (getAttr "cmd" self) (getAttr "exit-hooks" self) (getAttr "fset" self) (getAttr "global-vars" self) (getAttr "local-time" self) (getAttr "lparallel" self) (getAttr "named-readtables" self) (getAttr "quickproject" self) (getAttr "serapeum" self) (getAttr "trivia" self) (getAttr "trivial-file-size" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oxenfurt = (build-asdf-system {
    pname = "oxenfurt";
    version = "20190710-git";
    asds = [ "oxenfurt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt";
      asd = "oxenfurt";
    });
    systems = [ "oxenfurt" ];
    lispLibs = [ (getAttr "oxenfurt-dexador" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oxenfurt-core = (build-asdf-system {
    pname = "oxenfurt-core";
    version = "20190710-git";
    asds = [ "oxenfurt-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-core";
      asd = "oxenfurt-core";
    });
    systems = [ "oxenfurt-core" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "documentation-utils" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oxenfurt-dexador = (build-asdf-system {
    pname = "oxenfurt-dexador";
    version = "20190710-git";
    asds = [ "oxenfurt-dexador" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-dexador";
      asd = "oxenfurt-dexador";
    });
    systems = [ "oxenfurt-dexador" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "oxenfurt-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  oxenfurt-drakma = (build-asdf-system {
    pname = "oxenfurt-drakma";
    version = "20190710-git";
    asds = [ "oxenfurt-drakma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/oxenfurt/2019-07-10/oxenfurt-20190710-git.tgz";
      sha256 = "0cd3z3b79q641cnpxva749isxfyk52y6s06l7iqx1lsl06yp19j3";
      system = "oxenfurt-drakma";
      asd = "oxenfurt-drakma";
    });
    systems = [ "oxenfurt-drakma" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "oxenfurt-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pack = (build-asdf-system {
    pname = "pack";
    version = "20110619-git";
    asds = [ "pack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pack/2011-06-19/pack-20110619-git.tgz";
      sha256 = "1b3qi04v1wj9nig0mx591sl4phqcalwdl0vsnf4kqp4d2qx2czi1";
      system = "pack";
      asd = "pack";
    });
    systems = [ "pack" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  package-renaming = (build-asdf-system {
    pname = "package-renaming";
    version = "20120407-git";
    asds = [ "package-renaming" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/package-renaming/2012-04-07/package-renaming-20120407-git.tgz";
      sha256 = "15kgd15r9bib8wfnn3hmv42rlifr4ph3rv2mji5i9d5ixhyqqwgq";
      system = "package-renaming";
      asd = "package-renaming";
    });
    systems = [ "package-renaming" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  package-renaming-test = (build-asdf-system {
    pname = "package-renaming-test";
    version = "20120407-git";
    asds = [ "package-renaming-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/package-renaming/2012-04-07/package-renaming-20120407-git.tgz";
      sha256 = "15kgd15r9bib8wfnn3hmv42rlifr4ph3rv2mji5i9d5ixhyqqwgq";
      system = "package-renaming-test";
      asd = "package-renaming-test";
    });
    systems = [ "package-renaming-test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "package-renaming" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  packet = (build-asdf-system {
    pname = "packet";
    version = "20150302-git";
    asds = [ "packet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/packet/2015-03-02/packet-20150302-git.tgz";
      sha256 = "1vcmxwrliwczz161nz3ysx9cbfia4cmlqgnjgrx5016lp394pnx1";
      system = "packet";
      asd = "packet";
    });
    systems = [ "packet" ];
    lispLibs = [ (getAttr "ieee-floats" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  packet-crafting = (build-asdf-system {
    pname = "packet-crafting";
    version = "20200610-git";
    asds = [ "packet-crafting" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/packet-crafting/2020-06-10/packet-crafting-20200610-git.tgz";
      sha256 = "1ivnvkbqckqf5hm6khffc2wkbjl64fn03w9i0kypkb0mrazxdpdq";
      system = "packet-crafting";
      asd = "packet-crafting";
    });
    systems = [ "packet-crafting" ];
    lispLibs = [ (getAttr "lisp-binary" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  paiprolog = (build-asdf-system {
    pname = "paiprolog";
    version = "20180228-git";
    asds = [ "paiprolog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paiprolog/2018-02-28/paiprolog-20180228-git.tgz";
      sha256 = "1nxz01i6f8s920gm69r2kwjdpq9pli8b2ayqwijhzgjwi0r4jj9r";
      system = "paiprolog";
      asd = "paiprolog";
    });
    systems = [ "paiprolog" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pal = (build-asdf-system {
    pname = "pal";
    version = "20150608-git";
    asds = [ "pal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pal/2015-06-08/pal-20150608-git.tgz";
      sha256 = "0kn6jxirrn7wzqymzsi0kx2ivl0nrrcgbl4dm1714s48qw0jwhcw";
      system = "pal";
      asd = "pal";
    });
    systems = [ "pal" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pandocl = (build-asdf-system {
    pname = "pandocl";
    version = "20150923-git";
    asds = [ "pandocl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pandocl/2015-09-23/pandocl-20150923-git.tgz";
      sha256 = "1fmlpx5m7ivdkqss1fa3xqbpcwzqrpyyx2nny12aqxn8f13vpvmg";
      system = "pandocl";
      asd = "pandocl";
    });
    systems = [ "pandocl" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "common-doc-contrib" self) (getAttr "common-html" self) (getAttr "parenml" self) (getAttr "scriba" self) (getAttr "thorn" self) (getAttr "vertex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pango-markup = (build-asdf-system {
    pname = "pango-markup";
    version = "20200325-git";
    asds = [ "pango-markup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pango-markup/2020-03-25/pango-markup-20200325-git.tgz";
      sha256 = "0m1hc6lasbzjz5gc5mk9hqmmxgq7mpc9q94fmni109yncpqawxvr";
      system = "pango-markup";
      asd = "pango-markup";
    });
    systems = [ "pango-markup" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  papyrus = (build-asdf-system {
    pname = "papyrus";
    version = "20221106-git";
    asds = [ "papyrus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/papyrus/2022-11-06/papyrus-20221106-git.tgz";
      sha256 = "0swpsxir553cs2pj6xz8cgyr3y9fh88hiv527ssa8cm7qkxcbbg9";
      system = "papyrus";
      asd = "papyrus";
    });
    systems = [ "papyrus" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parachute = (build-asdf-system {
    pname = "parachute";
    version = "20230618-git";
    asds = [ "parachute" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2023-06-18/parachute-20230618-git.tgz";
      sha256 = "0svllc00gkhqkw1xhqcsdgx9ap7pyr7mfa4phkvaggxsk7lfknlm";
      system = "parachute";
      asd = "parachute";
    });
    systems = [ "parachute" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "form-fiddle" self) (getAttr "trivial-custom-debugger" self) ];
    meta = {};
  });
  parachute-fiveam = (build-asdf-system {
    pname = "parachute-fiveam";
    version = "20230618-git";
    asds = [ "parachute-fiveam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2023-06-18/parachute-20230618-git.tgz";
      sha256 = "0svllc00gkhqkw1xhqcsdgx9ap7pyr7mfa4phkvaggxsk7lfknlm";
      system = "parachute-fiveam";
      asd = "parachute-fiveam";
    });
    systems = [ "parachute-fiveam" ];
    lispLibs = [ (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parachute-lisp-unit = (build-asdf-system {
    pname = "parachute-lisp-unit";
    version = "20230618-git";
    asds = [ "parachute-lisp-unit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2023-06-18/parachute-20230618-git.tgz";
      sha256 = "0svllc00gkhqkw1xhqcsdgx9ap7pyr7mfa4phkvaggxsk7lfknlm";
      system = "parachute-lisp-unit";
      asd = "parachute-lisp-unit";
    });
    systems = [ "parachute-lisp-unit" ];
    lispLibs = [ (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parachute-prove = (build-asdf-system {
    pname = "parachute-prove";
    version = "20230618-git";
    asds = [ "parachute-prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parachute/2023-06-18/parachute-20230618-git.tgz";
      sha256 = "0svllc00gkhqkw1xhqcsdgx9ap7pyr7mfa4phkvaggxsk7lfknlm";
      system = "parachute-prove";
      asd = "parachute-prove";
    });
    systems = [ "parachute-prove" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parachute" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parameterized-function = (build-asdf-system {
    pname = "parameterized-function";
    version = "20230618-git";
    asds = [ "parameterized-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parameterized-function/2023-06-18/parameterized-function-20230618-git.tgz";
      sha256 = "0pjdk4il83izd4iiavg6z7ighmjfmg39j8gp82qq2kikzlmklxxf";
      system = "parameterized-function";
      asd = "parameterized-function";
    });
    systems = [ "parameterized-function" ];
    lispLibs = [ (getAttr "interface" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  paren-files = (build-asdf-system {
    pname = "paren-files";
    version = "20110418-git";
    asds = [ "paren-files" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-files/2011-04-18/paren-files-20110418-git.tgz";
      sha256 = "19lwzvdn9gpn28x6ismkwzs49vr4cbc6drsivkmll3dxb950wgw9";
      system = "paren-files";
      asd = "paren-files";
    });
    systems = [ "paren-files" ];
    lispLibs = [ (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  paren-test = (build-asdf-system {
    pname = "paren-test";
    version = "20170830-git";
    asds = [ "paren-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-test/2017-08-30/paren-test-20170830-git.tgz";
      sha256 = "0b2d3kcv3n4b0dm67pzhxx8wxjsgnb32bw2dsprblc7149gaczdr";
      system = "paren-test";
      asd = "paren-test";
    });
    systems = [ "paren-test" ];
    lispLibs = [ (getAttr "paren-files" self) (getAttr "parenscript" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  paren-util = (build-asdf-system {
    pname = "paren-util";
    version = "20110418-git";
    asds = [ "paren-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren-util/2011-04-18/paren-util-20110418-git.tgz";
      sha256 = "0jn7sgndhpn9ndn3xfmsp03alj2qksqz6p1c5h6x8hvi46caqvpy";
      system = "paren-util";
      asd = "paren-util";
    });
    systems = [ "paren-util" ];
    lispLibs = [ (getAttr "paren-files" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  paren6 = (build-asdf-system {
    pname = "paren6";
    version = "20220331-git";
    asds = [ "paren6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren6/2022-03-31/paren6-20220331-git.tgz";
      sha256 = "0m7z7zkc1vrwmp68f3yx0mdsb0j45dmw3iddnbvf94dpv8aywwpx";
      system = "paren6";
      asd = "paren6";
    });
    systems = [ "paren6" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parenml = (build-asdf-system {
    pname = "parenml";
    version = "20150923-git";
    asds = [ "parenml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenml/2015-09-23/parenml-20150923-git.tgz";
      sha256 = "0g6s5phinpcfhixgsfqniwxd3kd4bwh78s90ixs2fwk3qjhh9zsb";
      system = "parenml";
      asd = "parenml";
    });
    systems = [ "parenml" ];
    lispLibs = [ (getAttr "common-doc-plump" self) (getAttr "esrap" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parenml-test = (build-asdf-system {
    pname = "parenml-test";
    version = "20150923-git";
    asds = [ "parenml-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenml/2015-09-23/parenml-20150923-git.tgz";
      sha256 = "0g6s5phinpcfhixgsfqniwxd3kd4bwh78s90ixs2fwk3qjhh9zsb";
      system = "parenml-test";
      asd = "parenml-test";
    });
    systems = [ "parenml-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "parenml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parenscript = (build-asdf-system {
    pname = "parenscript";
    version = "Parenscript-2.7.1";
    asds = [ "parenscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript/2018-12-10/Parenscript-2.7.1.tgz";
      sha256 = "0vg9b9j5psil5iba1d9k6vfxl5rn133qvy750dny20qkp9mf3a13";
      system = "parenscript";
      asd = "parenscript";
    });
    systems = [ "parenscript" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-ppcre" self) (getAttr "named-readtables" self) ];
    meta = {};
  });
  parenscript-classic = (build-asdf-system {
    pname = "parenscript-classic";
    version = "20111203-darcs";
    asds = [ "parenscript-classic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript-classic/2011-12-03/parenscript-classic-20111203-darcs.tgz";
      sha256 = "19zsiyjlz938la2dd39cy6lwh95m10j4nx8837xm6qk8rz5f8dgy";
      system = "parenscript-classic";
      asd = "parenscript-classic";
    });
    systems = [ "parenscript-classic" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parenscript_dot_tests = (build-asdf-system {
    pname = "parenscript.tests";
    version = "Parenscript-2.7.1";
    asds = [ "parenscript.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parenscript/2018-12-10/Parenscript-2.7.1.tgz";
      sha256 = "0vg9b9j5psil5iba1d9k6vfxl5rn133qvy750dny20qkp9mf3a13";
      system = "parenscript.tests";
      asd = "parenscript.tests";
    });
    systems = [ "parenscript.tests" ];
    lispLibs = [ (getAttr "cl-js" self) (getAttr "fiveam" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse = (build-asdf-system {
    pname = "parse";
    version = "20200925-git";
    asds = [ "parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse/2020-09-25/parse-20200925-git.tgz";
      sha256 = "0l18yabyh7jizm5lgvra0jxi8s1cfwghidi6ix1pyixjkdbjlmvy";
      system = "parse";
      asd = "parse";
    });
    systems = [ "parse" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-declarations-1_dot_0 = (build-asdf-system {
    pname = "parse-declarations-1.0";
    version = "20101006-darcs";
    asds = [ "parse-declarations-1.0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-declarations/2010-10-06/parse-declarations-20101006-darcs.tgz";
      sha256 = "04l3s180wxq6xyhgd77mbd03a1w1m0j9snag961g2f9dd77w6q1r";
      system = "parse-declarations-1.0";
      asd = "parse-declarations-1.0";
    });
    systems = [ "parse-declarations-1.0" ];
    lispLibs = [  ];
    meta = {};
  });
  parse-float = (build-asdf-system {
    pname = "parse-float";
    version = "20200218-git";
    asds = [ "parse-float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-float/2020-02-18/parse-float-20200218-git.tgz";
      sha256 = "0jd2spawc3v8vzqf8ky4cngl45jm65fhkrdf20mf6dcbn3mzpkmr";
      system = "parse-float";
      asd = "parse-float";
    });
    systems = [ "parse-float" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  parse-float-tests = (build-asdf-system {
    pname = "parse-float-tests";
    version = "20200218-git";
    asds = [ "parse-float-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-float/2020-02-18/parse-float-20200218-git.tgz";
      sha256 = "0jd2spawc3v8vzqf8ky4cngl45jm65fhkrdf20mf6dcbn3mzpkmr";
      system = "parse-float-tests";
      asd = "parse-float";
    });
    systems = [ "parse-float-tests" ];
    lispLibs = [ (getAttr "lisp-unit" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-front-matter = (build-asdf-system {
    pname = "parse-front-matter";
    version = "20160825-git";
    asds = [ "parse-front-matter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-front-matter/2016-08-25/parse-front-matter-20160825-git.tgz";
      sha256 = "1yzadrjwycvyzlzb0mixxmwi5bjzkjwylnv3aslnr1j14q44vq58";
      system = "parse-front-matter";
      asd = "parse-front-matter";
    });
    systems = [ "parse-front-matter" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-front-matter-test = (build-asdf-system {
    pname = "parse-front-matter-test";
    version = "20160825-git";
    asds = [ "parse-front-matter-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-front-matter/2016-08-25/parse-front-matter-20160825-git.tgz";
      sha256 = "1yzadrjwycvyzlzb0mixxmwi5bjzkjwylnv3aslnr1j14q44vq58";
      system = "parse-front-matter-test";
      asd = "parse-front-matter-test";
    });
    systems = [ "parse-front-matter-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "parse-front-matter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-js = (build-asdf-system {
    pname = "parse-js";
    version = "20160421-git";
    asds = [ "parse-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-js/2016-04-21/parse-js-20160421-git.tgz";
      sha256 = "1wddrnr5kiya5s3gp4cdq6crbfy9fqcz7fr44p81502sj3bvdv39";
      system = "parse-js";
      asd = "parse-js";
    });
    systems = [ "parse-js" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-number = (build-asdf-system {
    pname = "parse-number";
    version = "v1.7";
    asds = [ "parse-number" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-number/2018-02-28/parse-number-v1.7.tgz";
      sha256 = "0sk06ib1bhqv9y39vwnnw44vmbc4b0kvqm37xxmkxd4dwchq82d7";
      system = "parse-number";
      asd = "parse-number";
    });
    systems = [ "parse-number" ];
    lispLibs = [  ];
    meta = {};
  });
  parse-number-range = (build-asdf-system {
    pname = "parse-number-range";
    version = "1.0";
    asds = [ "parse-number-range" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parse-number-range/2012-11-25/parse-number-range-1.0.tgz";
      sha256 = "176j9rabpqdkxd7b1cdy3dk8b8x05bdk0ypnxg2i41zbp9ww2f8d";
      system = "parse-number-range";
      asd = "parse-number-range";
    });
    systems = [ "parse-number-range" ];
    lispLibs = [ (getAttr "cartesian-product-switch" self) (getAttr "enhanced-multiple-value-bind" self) (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parse-rgb = (build-asdf-system {
    pname = "parse-rgb";
    version = "20201220-git";
    asds = [ "parse-rgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tcod/2020-12-20/cl-tcod-20201220-git.tgz";
      sha256 = "145h0dhxm1idblcld456cv7k00vi6p0zyn5rxkky5y4gk85ws8l5";
      system = "parse-rgb";
      asd = "parse-rgb";
    });
    systems = [ "parse-rgb" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "tcod" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parseltongue = (build-asdf-system {
    pname = "parseltongue";
    version = "20130312-git";
    asds = [ "parseltongue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parseltongue/2013-03-12/parseltongue-20130312-git.tgz";
      sha256 = "1cjy7p0snms604zp6x0jlm4v9divqc5r38ns737hffj9q6pi1nlx";
      system = "parseltongue";
      asd = "parseltongue";
    });
    systems = [ "parseltongue" ];
    lispLibs = [ (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parseq = (build-asdf-system {
    pname = "parseq";
    version = "20210531-git";
    asds = [ "parseq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parseq/2021-05-31/parseq-20210531-git.tgz";
      sha256 = "0yv9wdziiwv6yqbaiabijd4lcyg8djrml0qbg22jfixkxyqxhxqw";
      system = "parseq";
      asd = "parseq";
    });
    systems = [ "parseq" ];
    lispLibs = [  ];
    meta = {};
  });
  parser-combinators = (build-asdf-system {
    pname = "parser-combinators";
    version = "20131111-git";
    asds = [ "parser-combinators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators";
      asd = "parser-combinators";
    });
    systems = [ "parser-combinators" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {};
  });
  parser-combinators-cl-ppcre = (build-asdf-system {
    pname = "parser-combinators-cl-ppcre";
    version = "20131111-git";
    asds = [ "parser-combinators-cl-ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-cl-ppcre";
      asd = "parser-combinators-cl-ppcre";
    });
    systems = [ "parser-combinators-cl-ppcre" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "parser-combinators" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parser-combinators-debug = (build-asdf-system {
    pname = "parser-combinators-debug";
    version = "20131111-git";
    asds = [ "parser-combinators-debug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-debug";
      asd = "parser-combinators-debug";
    });
    systems = [ "parser-combinators-debug" ];
    lispLibs = [ (getAttr "cl-containers" self) (getAttr "parser-combinators" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parser-combinators-tests = (build-asdf-system {
    pname = "parser-combinators-tests";
    version = "20131111-git";
    asds = [ "parser-combinators-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-parser-combinators/2013-11-11/cl-parser-combinators-20131111-git.tgz";
      sha256 = "1k49vha5xm2cklayzpqwg73n4v93xwsbs5in6342pkkiimnidhs8";
      system = "parser-combinators-tests";
      asd = "parser-combinators-tests";
    });
    systems = [ "parser-combinators-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "infix" self) (getAttr "iterate" self) (getAttr "parser-combinators" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parser_dot_common-rules = (build-asdf-system {
    pname = "parser.common-rules";
    version = "20200715-git";
    asds = [ "parser.common-rules" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules";
      asd = "parser.common-rules";
    });
    systems = [ "parser.common-rules" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "esrap" self) (getAttr "let-plus" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  parser_dot_common-rules_dot_operators = (build-asdf-system {
    pname = "parser.common-rules.operators";
    version = "20200715-git";
    asds = [ "parser.common-rules.operators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.common-rules/2020-07-15/parser.common-rules-20200715-git.tgz";
      sha256 = "138ygj0qp58jl4h79szg3i2gnwzywwc48qn1gj6dw113wasrnkwa";
      system = "parser.common-rules.operators";
      asd = "parser.common-rules.operators";
    });
    systems = [ "parser.common-rules.operators" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "esrap" self) (getAttr "let-plus" self) (getAttr "parser_dot_common-rules" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parser_dot_ini = (build-asdf-system {
    pname = "parser.ini";
    version = "20181018-git";
    asds = [ "parser.ini" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parser.ini/2018-10-18/parser.ini-20181018-git.tgz";
      sha256 = "0ri4c7877i9val67z5sm8nfhz04p9l6brajx2fkavs8556l1wm1d";
      system = "parser.ini";
      asd = "parser.ini";
    });
    systems = [ "parser.ini" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "architecture_dot_builder-protocol" self) (getAttr "esrap" self) (getAttr "let-plus" self) (getAttr "more-conditions" self) (getAttr "parser_dot_common-rules" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  parsnip = (build-asdf-system {
    pname = "parsnip";
    version = "20220331-git";
    asds = [ "parsnip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/parsnip/2022-03-31/parsnip-20220331-git.tgz";
      sha256 = "0gl7z8kn37qiz0vab89wawn78iczii7iqw43jy2ls7nw0l5jv13w";
      system = "parsnip";
      asd = "parsnip";
    });
    systems = [ "parsnip" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  patchwork = (build-asdf-system {
    pname = "patchwork";
    version = "20220707-git";
    asds = [ "patchwork" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/patchwork/2022-07-07/patchwork-20220707-git.tgz";
      sha256 = "08d08hslcs69509wj56mlklv1cz5lq2rz0sl870zcxyn4j1nnf3f";
      system = "patchwork";
      asd = "patchwork";
    });
    systems = [ "patchwork" ];
    lispLibs = [ (getAttr "binpack" self) (getAttr "mfiano-utils" self) (getAttr "opticl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  path-parse = (build-asdf-system {
    pname = "path-parse";
    version = "20160421-git";
    asds = [ "path-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-parse/2016-04-21/path-parse-20160421-git.tgz";
      sha256 = "10mxm6q62cfpv3hw2w8k968ba8a1xglqdkwlkqs4l4nby3b11aaq";
      system = "path-parse";
      asd = "path-parse";
    });
    systems = [ "path-parse" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  path-parse-test = (build-asdf-system {
    pname = "path-parse-test";
    version = "20160421-git";
    asds = [ "path-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-parse/2016-04-21/path-parse-20160421-git.tgz";
      sha256 = "10mxm6q62cfpv3hw2w8k968ba8a1xglqdkwlkqs4l4nby3b11aaq";
      system = "path-parse-test";
      asd = "path-parse-test";
    });
    systems = [ "path-parse-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "path-parse" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  path-string = (build-asdf-system {
    pname = "path-string";
    version = "20160825-git";
    asds = [ "path-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-string/2016-08-25/path-string-20160825-git.tgz";
      sha256 = "0hs36kf4njxafxrngs1m1sh9c7b9wv7sa8n316dq4icx3kf3v6yp";
      system = "path-string";
      asd = "path-string";
    });
    systems = [ "path-string" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  path-string-test = (build-asdf-system {
    pname = "path-string-test";
    version = "20160825-git";
    asds = [ "path-string-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/path-string/2016-08-25/path-string-20160825-git.tgz";
      sha256 = "0hs36kf4njxafxrngs1m1sh9c7b9wv7sa8n316dq4icx3kf3v6yp";
      system = "path-string-test";
      asd = "path-string-test";
    });
    systems = [ "path-string-test" ];
    lispLibs = [ (getAttr "path-string" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pathname-utils = (build-asdf-system {
    pname = "pathname-utils";
    version = "20230618-git";
    asds = [ "pathname-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pathname-utils/2023-06-18/pathname-utils-20230618-git.tgz";
      sha256 = "1cnx5kl6429ny2k9janjs8rxyi6a3n679c468q2899fcic4hlhh6";
      system = "pathname-utils";
      asd = "pathname-utils";
    });
    systems = [ "pathname-utils" ];
    lispLibs = [ (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pathname-utils-test = (build-asdf-system {
    pname = "pathname-utils-test";
    version = "20230618-git";
    asds = [ "pathname-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pathname-utils/2023-06-18/pathname-utils-20230618-git.tgz";
      sha256 = "1cnx5kl6429ny2k9janjs8rxyi6a3n679c468q2899fcic4hlhh6";
      system = "pathname-utils-test";
      asd = "pathname-utils-test";
    });
    systems = [ "pathname-utils-test" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "pathname-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  patron = (build-asdf-system {
    pname = "patron";
    version = "20130420-git";
    asds = [ "patron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/patron/2013-04-20/patron-20130420-git.tgz";
      sha256 = "0i2vlwspnssjxdnq7dsrb98q3y8c8drd0a11nxn9808q76sqzsqc";
      system = "patron";
      asd = "patron";
    });
    systems = [ "patron" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcall = (build-asdf-system {
    pname = "pcall";
    version = "0.3";
    asds = [ "pcall" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall";
      asd = "pcall";
    });
    systems = [ "pcall" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "pcall-queue" self) ];
    meta = {};
  });
  pcall-queue = (build-asdf-system {
    pname = "pcall-queue";
    version = "0.3";
    asds = [ "pcall-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall-queue";
      asd = "pcall-queue";
    });
    systems = [ "pcall-queue" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {};
  });
  pcall-tests = (build-asdf-system {
    pname = "pcall-tests";
    version = "0.3";
    asds = [ "pcall-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pcall/2010-10-06/pcall-0.3.tgz";
      sha256 = "00ix5d9ljymrrpwsri0hhh3d592jqr2lvgbvkhav3k96rwq974ps";
      system = "pcall-tests";
      asd = "pcall";
    });
    systems = [ "pcall-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "pcall" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-binary-data = (build-asdf-system {
    pname = "pcl-binary-data";
    version = "20180430-git";
    asds = [ "pcl-binary-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-binary-data";
      asd = "pcl-binary-data";
    });
    systems = [ "pcl-binary-data" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-html = (build-asdf-system {
    pname = "pcl-html";
    version = "20180430-git";
    asds = [ "pcl-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-html";
      asd = "pcl-html";
    });
    systems = [ "pcl-html" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-id3v2 = (build-asdf-system {
    pname = "pcl-id3v2";
    version = "20180430-git";
    asds = [ "pcl-id3v2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-id3v2";
      asd = "pcl-id3v2";
    });
    systems = [ "pcl-id3v2" ];
    lispLibs = [ (getAttr "pcl-binary-data" self) (getAttr "pcl-pathnames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-macro-utilities = (build-asdf-system {
    pname = "pcl-macro-utilities";
    version = "20180430-git";
    asds = [ "pcl-macro-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-macro-utilities";
      asd = "pcl-macro-utilities";
    });
    systems = [ "pcl-macro-utilities" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-mp3-browser = (build-asdf-system {
    pname = "pcl-mp3-browser";
    version = "20180430-git";
    asds = [ "pcl-mp3-browser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-mp3-browser";
      asd = "pcl-mp3-browser";
    });
    systems = [ "pcl-mp3-browser" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "pcl-html" self) (getAttr "pcl-id3v2" self) (getAttr "pcl-mp3-database" self) (getAttr "pcl-shoutcast" self) (getAttr "pcl-url-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-mp3-database = (build-asdf-system {
    pname = "pcl-mp3-database";
    version = "20180430-git";
    asds = [ "pcl-mp3-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-mp3-database";
      asd = "pcl-mp3-database";
    });
    systems = [ "pcl-mp3-database" ];
    lispLibs = [ (getAttr "pcl-id3v2" self) (getAttr "pcl-macro-utilities" self) (getAttr "pcl-pathnames" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-pathnames = (build-asdf-system {
    pname = "pcl-pathnames";
    version = "20180430-git";
    asds = [ "pcl-pathnames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-pathnames";
      asd = "pcl-pathnames";
    });
    systems = [ "pcl-pathnames" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-shoutcast = (build-asdf-system {
    pname = "pcl-shoutcast";
    version = "20180430-git";
    asds = [ "pcl-shoutcast" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-shoutcast";
      asd = "pcl-shoutcast";
    });
    systems = [ "pcl-shoutcast" ];
    lispLibs = [ (getAttr "pcl-html" self) (getAttr "pcl-id3v2" self) (getAttr "pcl-macro-utilities" self) (getAttr "pcl-mp3-database" self) (getAttr "pcl-pathnames" self) (getAttr "pcl-url-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-simple-database = (build-asdf-system {
    pname = "pcl-simple-database";
    version = "20180430-git";
    asds = [ "pcl-simple-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-simple-database";
      asd = "pcl-simple-database";
    });
    systems = [ "pcl-simple-database" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-spam = (build-asdf-system {
    pname = "pcl-spam";
    version = "20180430-git";
    asds = [ "pcl-spam" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-spam";
      asd = "pcl-spam";
    });
    systems = [ "pcl-spam" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "pcl-pathnames" self) (getAttr "pcl-test-framework" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-test-framework = (build-asdf-system {
    pname = "pcl-test-framework";
    version = "20180430-git";
    asds = [ "pcl-test-framework" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-test-framework";
      asd = "pcl-test-framework";
    });
    systems = [ "pcl-test-framework" ];
    lispLibs = [ (getAttr "pcl-macro-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-unit-test = (build-asdf-system {
    pname = "pcl-unit-test";
    version = "20121125-git";
    asds = [ "pcl-unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "pcl-unit-test";
      asd = "pcl-unit-test";
    });
    systems = [ "pcl-unit-test" ];
    lispLibs = [ (getAttr "standard-cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pcl-url-function = (build-asdf-system {
    pname = "pcl-url-function";
    version = "20180430-git";
    asds = [ "pcl-url-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "pcl-url-function";
      asd = "pcl-url-function";
    });
    systems = [ "pcl-url-function" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "pcl-html" self) (getAttr "pcl-macro-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  peppol = (build-asdf-system {
    pname = "peppol";
    version = "20201016-git";
    asds = [ "peppol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-peppol/2020-10-16/cl-peppol-20201016-git.tgz";
      sha256 = "02wc6h1fiaqzf14py2kwsvx0dmb22wdkd54pl0ixnmivj436ln99";
      system = "peppol";
      asd = "peppol";
    });
    systems = [ "peppol" ];
    lispLibs = [ (getAttr "cxml" self) (getAttr "xpath" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  percent-encoding = (build-asdf-system {
    pname = "percent-encoding";
    version = "20121013-git";
    asds = [ "percent-encoding" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/percent-encoding/2012-10-13/percent-encoding-20121013-git.tgz";
      sha256 = "0q1lh3sa6mkjr5gcdkgimkpc29rgf9cjhv90f61h8ridj28grq0h";
      system = "percent-encoding";
      asd = "percent-encoding";
    });
    systems = [ "percent-encoding" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "babel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  percent-encoding-test = (build-asdf-system {
    pname = "percent-encoding-test";
    version = "20121013-git";
    asds = [ "percent-encoding-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/percent-encoding/2012-10-13/percent-encoding-20121013-git.tgz";
      sha256 = "0q1lh3sa6mkjr5gcdkgimkpc29rgf9cjhv90f61h8ridj28grq0h";
      system = "percent-encoding-test";
      asd = "percent-encoding";
    });
    systems = [ "percent-encoding-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "percent-encoding" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  perceptual-hashes = (build-asdf-system {
    pname = "perceptual-hashes";
    version = "20220707-git";
    asds = [ "perceptual-hashes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/perceptual-hashes/2022-07-07/perceptual-hashes-20220707-git.tgz";
      sha256 = "1hg2vxi4avmjwscgab7wqf3c4d60x933lac4d86fmfk0wgl5nzzd";
      system = "perceptual-hashes";
      asd = "perceptual-hashes";
    });
    systems = [ "perceptual-hashes" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "array-operations" self) (getAttr "imago" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  periodic-table = (build-asdf-system {
    pname = "periodic-table";
    version = "1.0";
    asds = [ "periodic-table" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periodic-table/2011-10-01/periodic-table-1.0.tgz";
      sha256 = "147j9kn0afsvlz09vdjmvw5si08ix3dyypg21vrc5xvn9nsalrxx";
      system = "periodic-table";
      asd = "periodic-table";
    });
    systems = [ "periodic-table" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  periods = (build-asdf-system {
    pname = "periods";
    version = "20221106-git";
    asds = [ "periods" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periods/2022-11-06/periods-20221106-git.tgz";
      sha256 = "0ynhdmlzb499mlm7c7zy6vgw8vglkkf14zr0v40jcl1sgq3236ry";
      system = "periods";
      asd = "periods";
    });
    systems = [ "periods" ];
    lispLibs = [ (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  periods-series = (build-asdf-system {
    pname = "periods-series";
    version = "20221106-git";
    asds = [ "periods-series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/periods/2022-11-06/periods-20221106-git.tgz";
      sha256 = "0ynhdmlzb499mlm7c7zy6vgw8vglkkf14zr0v40jcl1sgq3236ry";
      system = "periods-series";
      asd = "periods-series";
    });
    systems = [ "periods-series" ];
    lispLibs = [ (getAttr "periods" self) (getAttr "series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  perlre = (build-asdf-system {
    pname = "perlre";
    version = "20200715-git";
    asds = [ "perlre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/perlre/2020-07-15/perlre-20200715-git.tgz";
      sha256 = "1izhrn1xd0mi2nl0p6930ln3nb4wp3y5ngg81wy5g5s4vqy2h54a";
      system = "perlre";
      asd = "perlre";
    });
    systems = [ "perlre" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "let-over-lambda" self) (getAttr "prove" self) (getAttr "trivia" self) (getAttr "trivia_dot_ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pero = (build-asdf-system {
    pname = "pero";
    version = "20230214-git";
    asds = [ "pero" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pero/2023-02-14/pero-20230214-git.tgz";
      sha256 = "1q513lvnq4m8l332glriid0vxcdcnakcdag3lck1wmrfaxhdpnmc";
      system = "pero";
      asd = "pero";
    });
    systems = [ "pero" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  persistent = (build-asdf-system {
    pname = "persistent";
    version = "20230618-git";
    asds = [ "persistent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "persistent";
      asd = "persistent";
    });
    systems = [ "persistent" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  persistent-tables = (build-asdf-system {
    pname = "persistent-tables";
    version = "20120208-git";
    asds = [ "persistent-tables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-tables/2012-02-08/persistent-tables-20120208-git.tgz";
      sha256 = "0klfjza85mgj2z42x2lhcqy9q66avac7zw0cpbmwwng3m7679hpa";
      system = "persistent-tables";
      asd = "persistent-tables";
    });
    systems = [ "persistent-tables" ];
    lispLibs = [ (getAttr "lisp-unit" self) (getAttr "random-access-lists" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  persistent-variables = (build-asdf-system {
    pname = "persistent-variables";
    version = "20130312-git";
    asds = [ "persistent-variables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-variables/2013-03-12/persistent-variables-20130312-git.tgz";
      sha256 = "0r72cbjkb5q4sn109svlcsvrwgvwdsn5c63rv5cpaf3jrfv1z8xn";
      system = "persistent-variables";
      asd = "persistent-variables";
    });
    systems = [ "persistent-variables" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  persistent-variables_dot_test = (build-asdf-system {
    pname = "persistent-variables.test";
    version = "20130312-git";
    asds = [ "persistent-variables.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/persistent-variables/2013-03-12/persistent-variables-20130312-git.tgz";
      sha256 = "0r72cbjkb5q4sn109svlcsvrwgvwdsn5c63rv5cpaf3jrfv1z8xn";
      system = "persistent-variables.test";
      asd = "persistent-variables";
    });
    systems = [ "persistent-variables.test" ];
    lispLibs = [ (getAttr "persistent-variables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp = (build-asdf-system {
    pname = "petalisp";
    version = "20230618-git";
    asds = [ "petalisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp";
      asd = "petalisp";
    });
    systems = [ "petalisp" ];
    lispLibs = [ (getAttr "petalisp_dot_api" self) (getAttr "petalisp_dot_test-suite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_api = (build-asdf-system {
    pname = "petalisp.api";
    version = "20230618-git";
    asds = [ "petalisp.api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.api";
      asd = "petalisp.api";
    });
    systems = [ "petalisp.api" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "petalisp_dot_codegen" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_ir" self) (getAttr "petalisp_dot_native-backend" self) (getAttr "petalisp_dot_utilities" self) (getAttr "petalisp_dot_xmas-backend" self) (getAttr "split-sequence" self) (getAttr "trivia" self) (getAttr "trivial-macroexpand-all" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_codegen = (build-asdf-system {
    pname = "petalisp.codegen";
    version = "20230618-git";
    asds = [ "petalisp.codegen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.codegen";
      asd = "petalisp.codegen";
    });
    systems = [ "petalisp.codegen" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_ir" self) (getAttr "petalisp_dot_utilities" self) (getAttr "trivia" self) (getAttr "trivial-macroexpand-all" self) (getAttr "ucons" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_core = (build-asdf-system {
    pname = "petalisp.core";
    version = "20230618-git";
    asds = [ "petalisp.core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.core";
      asd = "petalisp.core";
    });
    systems = [ "petalisp.core" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "lparallel" self) (getAttr "petalisp_dot_utilities" self) (getAttr "trivia" self) (getAttr "typo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_examples = (build-asdf-system {
    pname = "petalisp.examples";
    version = "20230618-git";
    asds = [ "petalisp.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.examples";
      asd = "petalisp.examples";
    });
    systems = [ "petalisp.examples" ];
    lispLibs = [ (getAttr "numpy-file-format" self) (getAttr "petalisp_dot_api" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_graphviz = (build-asdf-system {
    pname = "petalisp.graphviz";
    version = "20230618-git";
    asds = [ "petalisp.graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.graphviz";
      asd = "petalisp.graphviz";
    });
    systems = [ "petalisp.graphviz" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-dot" self) (getAttr "closer-mop" self) (getAttr "petalisp" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_ir" self) (getAttr "petalisp_dot_utilities" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_ir = (build-asdf-system {
    pname = "petalisp.ir";
    version = "20230618-git";
    asds = [ "petalisp.ir" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.ir";
      asd = "petalisp.ir";
    });
    systems = [ "petalisp.ir" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_utilities" self) (getAttr "priority-queue" self) (getAttr "split-sequence" self) (getAttr "ucons" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_native-backend = (build-asdf-system {
    pname = "petalisp.native-backend";
    version = "20230618-git";
    asds = [ "petalisp.native-backend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.native-backend";
      asd = "petalisp.native-backend";
    });
    systems = [ "petalisp.native-backend" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "lparallel" self) (getAttr "petalisp_dot_codegen" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_ir" self) (getAttr "petalisp_dot_utilities" self) (getAttr "static-vectors" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) (getAttr "typo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_test-suite = (build-asdf-system {
    pname = "petalisp.test-suite";
    version = "20230618-git";
    asds = [ "petalisp.test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.test-suite";
      asd = "petalisp.test-suite";
    });
    systems = [ "petalisp.test-suite" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "petalisp_dot_examples" self) (getAttr "petalisp_dot_xmas-backend" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_utilities = (build-asdf-system {
    pname = "petalisp.utilities";
    version = "20230618-git";
    asds = [ "petalisp.utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.utilities";
      asd = "petalisp.utilities";
    });
    systems = [ "petalisp.utilities" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "queues_dot_priority-queue" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petalisp_dot_xmas-backend = (build-asdf-system {
    pname = "petalisp.xmas-backend";
    version = "20230618-git";
    asds = [ "petalisp.xmas-backend" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petalisp/2023-06-18/petalisp-20230618-git.tgz";
      sha256 = "0id7q42pr24jj28xamxdi06n0cf9r91ql20wn847d103bva7h3n2";
      system = "petalisp.xmas-backend";
      asd = "petalisp.xmas-backend";
    });
    systems = [ "petalisp.xmas-backend" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "lparallel" self) (getAttr "petalisp_dot_codegen" self) (getAttr "petalisp_dot_core" self) (getAttr "petalisp_dot_ir" self) (getAttr "petalisp_dot_utilities" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) (getAttr "typo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petit_dot_package-utils = (build-asdf-system {
    pname = "petit.package-utils";
    version = "20140826-git";
    asds = [ "petit.package-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.package-utils/2014-08-26/petit.package-utils-20140826-git.tgz";
      sha256 = "0jj4c1jpcqfy9mrlxhjmq4ypwlzk84h09i8nr34wjwh6z7idhpyv";
      system = "petit.package-utils";
      asd = "petit.package-utils";
    });
    systems = [ "petit.package-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petit_dot_string-utils = (build-asdf-system {
    pname = "petit.string-utils";
    version = "20141106-git";
    asds = [ "petit.string-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.string-utils/2014-11-06/petit.string-utils-20141106-git.tgz";
      sha256 = "04kqdj69x53wzvpp54zp6767186in24p8yrr82wdg2bwzw4qh4yl";
      system = "petit.string-utils";
      asd = "petit.string-utils";
    });
    systems = [ "petit.string-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petit_dot_string-utils-test = (build-asdf-system {
    pname = "petit.string-utils-test";
    version = "20141106-git";
    asds = [ "petit.string-utils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petit.string-utils/2014-11-06/petit.string-utils-20141106-git.tgz";
      sha256 = "04kqdj69x53wzvpp54zp6767186in24p8yrr82wdg2bwzw4qh4yl";
      system = "petit.string-utils-test";
      asd = "petit.string-utils-test";
    });
    systems = [ "petit.string-utils-test" ];
    lispLibs = [ (getAttr "petit_dot_string-utils" self) (getAttr "rt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  petri = (build-asdf-system {
    pname = "petri";
    version = "20200427-git";
    asds = [ "petri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/petri/2020-04-27/petri-20200427-git.tgz";
      sha256 = "1y78s3jndyxll46zq7s5is9pwv8f6jr2npjkcpd48ik7xkj2269b";
      system = "petri";
      asd = "petri";
    });
    systems = [ "petri" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "phoe-toolbox" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pettomato-deque = (build-asdf-system {
    pname = "pettomato-deque";
    version = "20120107-git";
    asds = [ "pettomato-deque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-deque/2012-01-07/pettomato-deque-20120107-git.tgz";
      sha256 = "07ai4fa64cg6shfvnx9xk7pscbsz64ys80482zz2fb9q0rba80b7";
      system = "pettomato-deque";
      asd = "pettomato-deque";
    });
    systems = [ "pettomato-deque" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pettomato-deque-tests = (build-asdf-system {
    pname = "pettomato-deque-tests";
    version = "20120107-git";
    asds = [ "pettomato-deque-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-deque/2012-01-07/pettomato-deque-20120107-git.tgz";
      sha256 = "07ai4fa64cg6shfvnx9xk7pscbsz64ys80482zz2fb9q0rba80b7";
      system = "pettomato-deque-tests";
      asd = "pettomato-deque-tests";
    });
    systems = [ "pettomato-deque-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "pettomato-deque" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pettomato-indexed-priority-queue = (build-asdf-system {
    pname = "pettomato-indexed-priority-queue";
    version = "20120909-git";
    asds = [ "pettomato-indexed-priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-indexed-priority-queue/2012-09-09/pettomato-indexed-priority-queue-20120909-git.tgz";
      sha256 = "14i36qbdnif28xcbxdbr5abzmzxr7vzv64n1aix0f6khxg99pylz";
      system = "pettomato-indexed-priority-queue";
      asd = "pettomato-indexed-priority-queue";
    });
    systems = [ "pettomato-indexed-priority-queue" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pettomato-indexed-priority-queue-tests = (build-asdf-system {
    pname = "pettomato-indexed-priority-queue-tests";
    version = "20120909-git";
    asds = [ "pettomato-indexed-priority-queue-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pettomato-indexed-priority-queue/2012-09-09/pettomato-indexed-priority-queue-20120909-git.tgz";
      sha256 = "14i36qbdnif28xcbxdbr5abzmzxr7vzv64n1aix0f6khxg99pylz";
      system = "pettomato-indexed-priority-queue-tests";
      asd = "pettomato-indexed-priority-queue-tests";
    });
    systems = [ "pettomato-indexed-priority-queue-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "pettomato-indexed-priority-queue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pfft = (build-asdf-system {
    pname = "pfft";
    version = "20180711-git";
    asds = [ "pfft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/fft/2018-07-11/fft-20180711-git.tgz";
      sha256 = "0ymnfplap2cncw49mhq7crapgxphfwsvqdgrcckpgsvw6qsymasd";
      system = "pfft";
      asd = "pfft";
    });
    systems = [ "pfft" ];
    lispLibs = [ (getAttr "fft" self) (getAttr "pcall" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pg = (build-asdf-system {
    pname = "pg";
    version = "20150608-git";
    asds = [ "pg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pg/2015-06-08/pg-20150608-git.tgz";
      sha256 = "1c7axd2yxw9lxf7l5djrnfkp197mmr88qpigy2cjgim8vxab4n2l";
      system = "pg";
      asd = "pg";
    });
    systems = [ "pg" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pgloader = (build-asdf-system {
    pname = "pgloader";
    version = "v3.6.9";
    asds = [ "pgloader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pgloader/2022-11-06/pgloader-v3.6.9.tgz";
      sha256 = "03kp3ms2sjz4gwb94xs404mi63fnv1bq00hyqxyvc9csmicxzawn";
      system = "pgloader";
      asd = "pgloader";
    });
    systems = [ "pgloader" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-base64" self) (getAttr "cl-csv" self) (getAttr "cl-fad" self) (getAttr "cl-log" self) (getAttr "cl-markdown" self) (getAttr "cl-mustache" self) (getAttr "cl-postgres" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "command-line-arguments" self) (getAttr "db3" self) (getAttr "drakma" self) (getAttr "esrap" self) (getAttr "flexi-streams" self) (getAttr "ixf" self) (getAttr "local-time" self) (getAttr "lparallel" self) (getAttr "metabang-bind" self) (getAttr "mssql" self) (getAttr "postmodern" self) (getAttr "py-configparser" self) (getAttr "qmynd" self) (getAttr "quri" self) (getAttr "simple-date" self) (getAttr "split-sequence" self) (getAttr "sqlite" self) (getAttr "trivial-backtrace" self) (getAttr "usocket" self) (getAttr "uuid" self) (getAttr "yason" self) (getAttr "zs3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  phoe-toolbox = (build-asdf-system {
    pname = "phoe-toolbox";
    version = "20210124-git";
    asds = [ "phoe-toolbox" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phoe-toolbox/2021-01-24/phoe-toolbox-20210124-git.tgz";
      sha256 = "0bzbgs4lkhw93y1cwrs9kp5yiyz8sg4885cnvi83dzzbla9b74kv";
      system = "phoe-toolbox";
      asd = "phoe-toolbox";
    });
    systems = [ "phoe-toolbox" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  phonon = (build-asdf-system {
    pname = "phonon";
    version = "20210531-git";
    asds = [ "phonon" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "phonon";
      asd = "phonon";
    });
    systems = [ "phonon" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtdbus" self) (getAttr "qtgui" self) (getAttr "qtxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  phos = (build-asdf-system {
    pname = "phos";
    version = "20220220-git";
    asds = [ "phos" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/phos/2022-02-20/phos-20220220-git.tgz";
      sha256 = "1zwci86rkbaiix0w2gd5q6nr8v2vv945pkvwp0j240iyzd4hfxr3";
      system = "phos";
      asd = "phos";
    });
    systems = [ "phos" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "cl-ppcre" self) (getAttr "quri" self) (getAttr "trivia" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  physical-dimension = (build-asdf-system {
    pname = "physical-dimension";
    version = "master-df14cb8c-git";
    asds = [ "physical-dimension" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "physical-dimension";
      asd = "physical-dimension";
    });
    systems = [ "physical-dimension" ];
    lispLibs = [ (getAttr "fare-utils" self) (getAttr "foreign-array" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  physical-quantities = (build-asdf-system {
    pname = "physical-quantities";
    version = "20211020-git";
    asds = [ "physical-quantities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/physical-quantities/2021-10-20/physical-quantities-20211020-git.tgz";
      sha256 = "0mb2s94s6fhw5vfa89naalw7ld11sdsszlqpz0c65dvpfyfmmdmh";
      system = "physical-quantities";
      asd = "physical-quantities";
    });
    systems = [ "physical-quantities" ];
    lispLibs = [ (getAttr "parseq" self) ];
    meta = {};
  });
  picl = (build-asdf-system {
    pname = "picl";
    version = "20210124-git";
    asds = [ "picl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/picl/2021-01-24/picl-20210124-git.tgz";
      sha256 = "14jwx7hv6h563ppvxicdkrqx0cxlz15im9a4grd9yvwdfxl70l4c";
      system = "picl";
      asd = "picl";
    });
    systems = [ "picl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "defclass-std" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  piggyback-parameters = (build-asdf-system {
    pname = "piggyback-parameters";
    version = "20200610-git";
    asds = [ "piggyback-parameters" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/piggyback-parameters/2020-06-10/piggyback-parameters-20200610-git.tgz";
      sha256 = "1187bgnz9pvs8xdxapqhrm4yqzwlp368ijmc5szm8r8q3zrb219n";
      system = "piggyback-parameters";
      asd = "piggyback-parameters";
    });
    systems = [ "piggyback-parameters" ];
    lispLibs = [ (getAttr "trivial-hashtable-serialize" self) (getAttr "trivial-json-codec" self) (getAttr "trivial-pooled-database" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pileup = (build-asdf-system {
    pname = "pileup";
    version = "20150709-git";
    asds = [ "pileup" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pileup/2015-07-09/pileup-20150709-git.tgz";
      sha256 = "01gvshpxil0ggjgfmgcymbgmpsfaxy6aggm0bywkn40rck3038vb";
      system = "pileup";
      asd = "pileup";
    });
    systems = [ "pileup" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pileup-tests = (build-asdf-system {
    pname = "pileup-tests";
    version = "20150709-git";
    asds = [ "pileup-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pileup/2015-07-09/pileup-20150709-git.tgz";
      sha256 = "01gvshpxil0ggjgfmgcymbgmpsfaxy6aggm0bywkn40rck3038vb";
      system = "pileup-tests";
      asd = "pileup";
    });
    systems = [ "pileup-tests" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "pileup" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pipes = (build-asdf-system {
    pname = "pipes";
    version = "20150923-git";
    asds = [ "pipes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pipes/2015-09-23/pipes-20150923-git.tgz";
      sha256 = "17qcxalbdip20nkbwiv3kpdjjsy0g1y9s4a0zv38ch47bdl9yxpc";
      system = "pipes";
      asd = "pipes";
    });
    systems = [ "pipes" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  piping = (build-asdf-system {
    pname = "piping";
    version = "20221106-git";
    asds = [ "piping" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/piping/2022-11-06/piping-20221106-git.tgz";
      sha256 = "0kmjpa3wjinsfiik50n2c9b5g9n39qf7p2piy4237xddx2a0300r";
      system = "piping";
      asd = "piping";
    });
    systems = [ "piping" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pithy-xml = (build-asdf-system {
    pname = "pithy-xml";
    version = "20101006-git";
    asds = [ "pithy-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pithy-xml/2010-10-06/pithy-xml-20101006-git.tgz";
      sha256 = "05zw5adiw7jgvi9w9c661s4r49fidpcxn6m7azmn0pzc936dg17h";
      system = "pithy-xml";
      asd = "pithy-xml";
    });
    systems = [ "pithy-xml" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pixman = (build-asdf-system {
    pname = "pixman";
    version = "20170830-git";
    asds = [ "pixman" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-pixman/2017-08-30/cl-pixman-20170830-git.tgz";
      sha256 = "068hh7cv6f2wqwd8092wqh3rgdix6sa319qpm648mss8jfnjjbgj";
      system = "pixman";
      asd = "pixman";
    });
    systems = [ "pixman" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pjlink = (build-asdf-system {
    pname = "pjlink";
    version = "20220331-git";
    asds = [ "pjlink" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pjlink/2022-03-31/pjlink-20220331-git.tgz";
      sha256 = "1rsmg0x7fd32na36x9ahj6vji3xs6ckg5pyng8nf33fmdj8dscbc";
      system = "pjlink";
      asd = "pjlink";
    });
    systems = [ "pjlink" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "ip-interfaces" self) (getAttr "md5" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pk-serialize = (build-asdf-system {
    pname = "pk-serialize";
    version = "20221106-git";
    asds = [ "pk-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pk-serialize/2022-11-06/pk-serialize-20221106-git.tgz";
      sha256 = "1fi9xxdlg2z9dnqb2sc7wg37aqzqjz43h2l1wxa5zvk73qqzapyn";
      system = "pk-serialize";
      asd = "pk-serialize";
    });
    systems = [ "pk-serialize" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pkg-doc = (build-asdf-system {
    pname = "pkg-doc";
    version = "20200925-git";
    asds = [ "pkg-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pkg-doc/2020-09-25/pkg-doc-20200925-git.tgz";
      sha256 = "1y4dcc0q3iizgvavnkl8q4bjxq0dngvqw5dhrf9bxf4d3q3vrbd4";
      system = "pkg-doc";
      asd = "pkg-doc";
    });
    systems = [ "pkg-doc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clim-widgets" self) (getAttr "manifest" self) (getAttr "nsort" self) (getAttr "repl-utilities" self) (getAttr "stdutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  place-modifiers = (build-asdf-system {
    pname = "place-modifiers";
    version = "2.1";
    asds = [ "place-modifiers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/place-modifiers/2012-11-25/place-modifiers-2.1.tgz";
      sha256 = "13nd911h6i7gks78l30bzdqzygcqh47946jwaf50ak2iraagknvf";
      system = "place-modifiers";
      asd = "place-modifiers";
    });
    systems = [ "place-modifiers" ];
    lispLibs = [ (getAttr "cartesian-product-switch" self) (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  place-utils = (build-asdf-system {
    pname = "place-utils";
    version = "0.2";
    asds = [ "place-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/place-utils/2018-10-18/place-utils-0.2.tgz";
      sha256 = "1riaxxafn2xbyy6776yqns1bhz5jnzzpd177wb5xzvwlxiix6yf9";
      system = "place-utils";
      asd = "place-utils";
    });
    systems = [ "place-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  planks = (build-asdf-system {
    pname = "planks";
    version = "20110522-git";
    asds = [ "planks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/planks/2011-05-22/planks-20110522-git.tgz";
      sha256 = "1y7cg9xb75j1yslbxsmw0fyg738f4d28lnlm7w7hzgc51fc7875k";
      system = "planks";
      asd = "planks";
    });
    systems = [ "planks" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "ironclad" self) (getAttr "rucksack" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plokami = (build-asdf-system {
    pname = "plokami";
    version = "20200218-git";
    asds = [ "plokami" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plokami/2020-02-18/plokami-20200218-git.tgz";
      sha256 = "1k78lpbaqqa2gnwi9k0y646md4s9xnijm774knl11p05r83w5ycb";
      system = "plokami";
      asd = "plokami";
    });
    systems = [ "plokami" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plot = (build-asdf-system {
    pname = "plot";
    version = "20230214-git";
    asds = [ "plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plot/2023-02-14/plot-20230214-git.tgz";
      sha256 = "1k0izbqrp1dvb2i301zb28m9wqh986jrk6qrm2hkx7dr4vmlsc68";
      system = "plot";
      asd = "plot";
    });
    systems = [ "plot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "alexandria_plus" self) (getAttr "cl-ppcre" self) (getAttr "data-frame" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plplot-examples = (build-asdf-system {
    pname = "plplot-examples";
    version = "20180228-git";
    asds = [ "plplot-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-plplot/2018-02-28/cl-plplot-20180228-git.tgz";
      sha256 = "0hfgq47ga2r764jfc3ywaz5ynnvp701fjhbw0s4j1mrw4gaf6y6w";
      system = "plplot-examples";
      asd = "cl-plplot";
    });
    systems = [ "plplot-examples" ];
    lispLibs = [ (getAttr "cl-plplot" self) (getAttr "png" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pludeck = (build-asdf-system {
    pname = "pludeck";
    version = "20180831-git";
    asds = [ "pludeck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pludeck/2018-08-31/pludeck-20180831-git.tgz";
      sha256 = "0p6v7fxs48fxr76kvkh6z2mjjyz3vf2rp698jq1fl6p3hihbgl0m";
      system = "pludeck";
      asd = "pludeck";
    });
    systems = [ "pludeck" ];
    lispLibs = [ (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump = (build-asdf-system {
    pname = "plump";
    version = "20230618-git";
    asds = [ "plump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2023-06-18/plump-20230618-git.tgz";
      sha256 = "15fngj5rmh2mbnd504q1cgj9q2hfvjnhnyiksg983s296jazij18";
      system = "plump";
      asd = "plump";
    });
    systems = [ "plump" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "documentation-utils" self) ];
    meta = {};
  });
  plump-bundle = (build-asdf-system {
    pname = "plump-bundle";
    version = "20190710-git";
    asds = [ "plump-bundle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-bundle/2019-07-10/plump-bundle-20190710-git.tgz";
      sha256 = "1r9k4fh9vqszvsdsa101m1nqn3wmnb89cis2sj2asbssrmcllgn3";
      system = "plump-bundle";
      asd = "plump-bundle";
    });
    systems = [ "plump-bundle" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "closer-mop" self) (getAttr "fast-io" self) (getAttr "plump-dom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-dom = (build-asdf-system {
    pname = "plump-dom";
    version = "20230618-git";
    asds = [ "plump-dom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2023-06-18/plump-20230618-git.tgz";
      sha256 = "15fngj5rmh2mbnd504q1cgj9q2hfvjnhnyiksg983s296jazij18";
      system = "plump-dom";
      asd = "plump-dom";
    });
    systems = [ "plump-dom" ];
    lispLibs = [ (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-lexer = (build-asdf-system {
    pname = "plump-lexer";
    version = "20230618-git";
    asds = [ "plump-lexer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2023-06-18/plump-20230618-git.tgz";
      sha256 = "15fngj5rmh2mbnd504q1cgj9q2hfvjnhnyiksg983s296jazij18";
      system = "plump-lexer";
      asd = "plump-lexer";
    });
    systems = [ "plump-lexer" ];
    lispLibs = [ (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-parser = (build-asdf-system {
    pname = "plump-parser";
    version = "20230618-git";
    asds = [ "plump-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump/2023-06-18/plump-20230618-git.tgz";
      sha256 = "15fngj5rmh2mbnd504q1cgj9q2hfvjnhnyiksg983s296jazij18";
      system = "plump-parser";
      asd = "plump-parser";
    });
    systems = [ "plump-parser" ];
    lispLibs = [ (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-sexp = (build-asdf-system {
    pname = "plump-sexp";
    version = "20210531-git";
    asds = [ "plump-sexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-sexp/2021-05-31/plump-sexp-20210531-git.tgz";
      sha256 = "0zm9h0assjb8766z2v6l1k1s60y90y6f8smrl1dczwqlvc8xyln5";
      system = "plump-sexp";
      asd = "plump-sexp";
    });
    systems = [ "plump-sexp" ];
    lispLibs = [ (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-tex = (build-asdf-system {
    pname = "plump-tex";
    version = "20210531-git";
    asds = [ "plump-tex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-tex/2021-05-31/plump-tex-20210531-git.tgz";
      sha256 = "1qjiyw0kh8i2rd8rdznfz9vnvklcf9iffdbm8xvp3z1086frzfms";
      system = "plump-tex";
      asd = "plump-tex";
    });
    systems = [ "plump-tex" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  plump-tex-test = (build-asdf-system {
    pname = "plump-tex-test";
    version = "20210531-git";
    asds = [ "plump-tex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plump-tex/2021-05-31/plump-tex-20210531-git.tgz";
      sha256 = "1qjiyw0kh8i2rd8rdznfz9vnvklcf9iffdbm8xvp3z1086frzfms";
      system = "plump-tex-test";
      asd = "plump-tex-test";
    });
    systems = [ "plump-tex-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "plump-tex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  png = (build-asdf-system {
    pname = "png";
    version = "20211020-git";
    asds = [ "png" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "png";
      asd = "png";
    });
    systems = [ "png" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  png-read = (build-asdf-system {
    pname = "png-read";
    version = "20170830-git";
    asds = [ "png-read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/png-read/2017-08-30/png-read-20170830-git.tgz";
      sha256 = "0vyczbcwskrygrf1hgrsnk0jil8skmvf1kiaalw5jps4fjrfdkw0";
      system = "png-read";
      asd = "png-read";
    });
    systems = [ "png-read" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "chipz" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  png-test = (build-asdf-system {
    pname = "png-test";
    version = "20211020-git";
    asds = [ "png-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-png/2021-10-20/cl-png-20211020-git.tgz";
      sha256 = "17xcb9ps5vf3if61blmx7cpfrz3gsw7jk8d5zv3f4cq8jrriqdx4";
      system = "png-test";
      asd = "png-test";
    });
    systems = [ "png-test" ];
    lispLibs = [ (getAttr "png" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pngload = (build-asdf-system {
    pname = "pngload";
    version = "20220707-git";
    asds = [ "pngload" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pngload/2022-07-07/pngload-20220707-git.tgz";
      sha256 = "1qnd2pz6ckdm5nnf4ipli3zgiyisfqjyf1aiy7iigijv4018lrlx";
      system = "pngload";
      asd = "pngload";
    });
    systems = [ "pngload" ];
    lispLibs = [ (getAttr "_3bz" self) (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "mmap" self) (getAttr "parse-float" self) (getAttr "static-vectors" self) (getAttr "swap-bytes" self) (getAttr "zpb-exif" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pngload_dot_test = (build-asdf-system {
    pname = "pngload.test";
    version = "20220707-git";
    asds = [ "pngload.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pngload/2022-07-07/pngload-20220707-git.tgz";
      sha256 = "1qnd2pz6ckdm5nnf4ipli3zgiyisfqjyf1aiy7iigijv4018lrlx";
      system = "pngload.test";
      asd = "pngload.test";
    });
    systems = [ "pngload.test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "local-time" self) (getAttr "opticl" self) (getAttr "png-read" self) (getAttr "pngload" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  poler = (build-asdf-system {
    pname = "poler";
    version = "20181210-git";
    asds = [ "poler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/poler/2018-12-10/poler-20181210-git.tgz";
      sha256 = "1lcyjxmz5vm5is1kgxqjvpkllywvbsj6wqx5v2ac0py5vqws1l8z";
      system = "poler";
      asd = "poler";
    });
    systems = [ "poler" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  poler-test = (build-asdf-system {
    pname = "poler-test";
    version = "20181210-git";
    asds = [ "poler-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/poler/2018-12-10/poler-20181210-git.tgz";
      sha256 = "1lcyjxmz5vm5is1kgxqjvpkllywvbsj6wqx5v2ac0py5vqws1l8z";
      system = "poler-test";
      asd = "poler-test";
    });
    systems = [ "poler-test" ];
    lispLibs = [ (getAttr "poler" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  policy-cond = (build-asdf-system {
    pname = "policy-cond";
    version = "20200427-git";
    asds = [ "policy-cond" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/policy-cond/2020-04-27/policy-cond-20200427-git.tgz";
      sha256 = "0xj2a6lcg7i7g4038sc4f641din6m8vdiha8c5afz9fik80bshxk";
      system = "policy-cond";
      asd = "policy-cond";
    });
    systems = [ "policy-cond" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  polisher = (build-asdf-system {
    pname = "polisher";
    version = "20211230-git";
    asds = [ "polisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polisher/2021-12-30/polisher-20211230-git.tgz";
      sha256 = "1i63kgk4vfisiyrfqdz0wc8ldvfh9jpkivsasgdhc97cad095ln0";
      system = "polisher";
      asd = "polisher";
    });
    systems = [ "polisher" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  polisher_dot_test = (build-asdf-system {
    pname = "polisher.test";
    version = "20211230-git";
    asds = [ "polisher.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polisher/2021-12-30/polisher-20211230-git.tgz";
      sha256 = "1i63kgk4vfisiyrfqdz0wc8ldvfh9jpkivsasgdhc97cad095ln0";
      system = "polisher.test";
      asd = "polisher.test";
    });
    systems = [ "polisher.test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "polisher" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  polymorphic-functions = (build-asdf-system {
    pname = "polymorphic-functions";
    version = "20230618-git";
    asds = [ "polymorphic-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/polymorphic-functions/2023-06-18/polymorphic-functions-20230618-git.tgz";
      sha256 = "1059l2i50ld3jm6rqarwkafgw6jnk3hcycfkjh5v64maw5q1rkyi";
      system = "polymorphic-functions";
      asd = "polymorphic-functions";
    });
    systems = [ "polymorphic-functions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-form-types" self) (getAttr "closer-mop" self) (getAttr "compiler-macro-notes" self) (getAttr "ctype" self) (getAttr "extensible-compound-types" self) (getAttr "fiveam" self) (getAttr "introspect-environment" self) (getAttr "let-plus" self) (getAttr "optima" self) (getAttr "split-sequence" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pooler = (build-asdf-system {
    pname = "pooler";
    version = "20150608-git";
    asds = [ "pooler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pooler/2015-06-08/pooler-20150608-git.tgz";
      sha256 = "18vdl06cckk07m7r477qzcz24j3sid1agfa69fp91jna5aqi46kb";
      system = "pooler";
      asd = "pooler";
    });
    systems = [ "pooler" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portable-condition-system = (build-asdf-system {
    pname = "portable-condition-system";
    version = "20210807-git";
    asds = [ "portable-condition-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system";
      asd = "portable-condition-system";
    });
    systems = [ "portable-condition-system" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portable-condition-system_dot_integration = (build-asdf-system {
    pname = "portable-condition-system.integration";
    version = "20210807-git";
    asds = [ "portable-condition-system.integration" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-condition-system/2021-08-07/portable-condition-system-20210807-git.tgz";
      sha256 = "099lb9f4bavj95wik99wla5rf6fk1gdw9pvn0cqlaf0wf20csd3h";
      system = "portable-condition-system.integration";
      asd = "portable-condition-system.integration";
    });
    systems = [ "portable-condition-system.integration" ];
    lispLibs = [ (getAttr "portable-condition-system" self) (getAttr "trivial-custom-debugger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portable-threads = (build-asdf-system {
    pname = "portable-threads";
    version = "20210531-git";
    asds = [ "portable-threads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portable-threads/2021-05-31/portable-threads-20210531-git.tgz";
      sha256 = "05y00mlvwlfas4jj50qas2v2rxa0hyc9834lpnbh61a3g8sz0d1f";
      system = "portable-threads";
      asd = "portable-threads";
    });
    systems = [ "portable-threads" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portal = (build-asdf-system {
    pname = "portal";
    version = "20211209-git";
    asds = [ "portal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portal/2021-12-09/portal-20211209-git.tgz";
      sha256 = "1012jc068qdd8df6mmbn8vmmqlniqm5j2jbyrraw3yz8c13c8280";
      system = "portal";
      asd = "portal";
    });
    systems = [ "portal" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arrows" self) (getAttr "cl-base64" self) (getAttr "flexi-streams" self) (getAttr "global-vars" self) (getAttr "ironclad" self) (getAttr "parse-float" self) (getAttr "str" self) (getAttr "usocket-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portmanteau = (build-asdf-system {
    pname = "portmanteau";
    version = "20181018-git";
    asds = [ "portmanteau" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portmanteau/2018-10-18/cl-portmanteau-20181018-git.tgz";
      sha256 = "0430yixy722zkiljc6kh68hx2pyf2pbylgyp7n4qnnky86c0z0ip";
      system = "portmanteau";
      asd = "portmanteau";
    });
    systems = [ "portmanteau" ];
    lispLibs = [ (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  portmanteau-tests = (build-asdf-system {
    pname = "portmanteau-tests";
    version = "20181018-git";
    asds = [ "portmanteau-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-portmanteau/2018-10-18/cl-portmanteau-20181018-git.tgz";
      sha256 = "0430yixy722zkiljc6kh68hx2pyf2pbylgyp7n4qnnky86c0z0ip";
      system = "portmanteau-tests";
      asd = "portmanteau-tests";
    });
    systems = [ "portmanteau-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "portmanteau" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  positional-lambda = (build-asdf-system {
    pname = "positional-lambda";
    version = "2.0";
    asds = [ "positional-lambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/positional-lambda/2012-10-13/positional-lambda-2.0.tgz";
      sha256 = "00jbr42czv7piza5sm5hmmls7xnhq1pnzl09j6c28xrknr61cj8r";
      system = "positional-lambda";
      asd = "positional-lambda";
    });
    systems = [ "positional-lambda" ];
    lispLibs = [ (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  posix-shm = (build-asdf-system {
    pname = "posix-shm";
    version = "20221106-git";
    asds = [ "posix-shm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/posix-shm/2022-11-06/posix-shm-20221106-git.tgz";
      sha256 = "057qm9db502a86q60rsp5g7f8n4a997iwsfcid41gqadyd9rcjjz";
      system = "posix-shm";
      asd = "posix-shm";
    });
    systems = [ "posix-shm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  postmodern = (build-asdf-system {
    pname = "postmodern";
    version = "20230214-git";
    asds = [ "postmodern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2023-02-14/postmodern-20230214-git.tgz";
      sha256 = "19pk3jinlv70arcz6073lglg4mf972h03rxynn4z9qabqc2gk9kw";
      system = "postmodern";
      asd = "postmodern";
    });
    systems = [ "postmodern" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-postgres" self) (getAttr "closer-mop" self) (getAttr "global-vars" self) (getAttr "s-sql" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  postmodern-localtime = (build-asdf-system {
    pname = "postmodern-localtime";
    version = "20200610-git";
    asds = [ "postmodern-localtime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern-localtime/2020-06-10/postmodern-localtime-20200610-git.tgz";
      sha256 = "0kiswbdr3vsl7xfs43h0w9c2s6fm6ammff6mpab6zba7rdmfg6d3";
      system = "postmodern-localtime";
      asd = "postmodern-localtime";
    });
    systems = [ "postmodern-localtime" ];
    lispLibs = [ (getAttr "cl-postgres" self) (getAttr "local-time" self) (getAttr "postmodern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  postmodernity = (build-asdf-system {
    pname = "postmodernity";
    version = "20170124-git";
    asds = [ "postmodernity" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodernity/2017-01-24/postmodernity-20170124-git.tgz";
      sha256 = "06mwlp79dgzsgfhgbhvqk4691nm52v3lqm99y72dm7pm4gmc2m9m";
      system = "postmodernity";
      asd = "postmodernity";
    });
    systems = [ "postmodernity" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "postmodern" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  postoffice = (build-asdf-system {
    pname = "postoffice";
    version = "20120909-git";
    asds = [ "postoffice" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postoffice/2012-09-09/postoffice-20120909-git.tgz";
      sha256 = "041k8nc969xyjdmbn6348pra3v5jb1sw4mrnxmamv0flngyv12fg";
      system = "postoffice";
      asd = "postoffice";
    });
    systems = [ "postoffice" ];
    lispLibs = [ (getAttr "acl-compat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pounds = (build-asdf-system {
    pname = "pounds";
    version = "20160208-git";
    asds = [ "pounds" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pounds/2016-02-08/pounds-20160208-git.tgz";
      sha256 = "17hz0ywzfirmlwkrd9zrbl07ihhm03zhzqrz3rkmh1j9v95sy2kl";
      system = "pounds";
      asd = "pounds";
    });
    systems = [ "pounds" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "nibbles" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pp-toml = (build-asdf-system {
    pname = "pp-toml";
    version = "20221106-git";
    asds = [ "pp-toml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pp-toml/2022-11-06/pp-toml-20221106-git.tgz";
      sha256 = "136d7jzz7l2ck9wwld0ac46jmpm94lvja6m50sy73s232slka2hg";
      system = "pp-toml";
      asd = "pp-toml";
    });
    systems = [ "pp-toml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "esrap" self) (getAttr "generic-comparability" self) (getAttr "local-time" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pp-toml-tests = (build-asdf-system {
    pname = "pp-toml-tests";
    version = "20221106-git";
    asds = [ "pp-toml-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pp-toml/2022-11-06/pp-toml-20221106-git.tgz";
      sha256 = "136d7jzz7l2ck9wwld0ac46jmpm94lvja6m50sy73s232slka2hg";
      system = "pp-toml-tests";
      asd = "pp-toml-tests";
    });
    systems = [ "pp-toml-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "esrap" self) (getAttr "fiveam" self) (getAttr "generic-comparability" self) (getAttr "local-time" self) (getAttr "parse-number" self) (getAttr "pp-toml" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ppath = (build-asdf-system {
    pname = "ppath";
    version = "20230618-git";
    asds = [ "ppath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ppath/2023-06-18/ppath-20230618-git.tgz";
      sha256 = "1vqs5m76a3bx9isli4wns7zb54rkjfsp3ahaihmh4kbcj80lca6p";
      system = "ppath";
      asd = "ppath";
    });
    systems = [ "ppath" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "osicat" self) (getAttr "split-sequence" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ppath-test = (build-asdf-system {
    pname = "ppath-test";
    version = "20230618-git";
    asds = [ "ppath-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ppath/2023-06-18/ppath-20230618-git.tgz";
      sha256 = "1vqs5m76a3bx9isli4wns7zb54rkjfsp3ahaihmh4kbcj80lca6p";
      system = "ppath-test";
      asd = "ppath-test";
    });
    systems = [ "ppath-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fad" self) (getAttr "ppath" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  practical-cl = (build-asdf-system {
    pname = "practical-cl";
    version = "20180430-git";
    asds = [ "practical-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/practical-cl/2018-04-30/practical-cl-20180430-git.tgz";
      sha256 = "0bjwnnxkqw0cf2p1fyx9ihy6hgsxhljm4bns2blvgv63s3j1znd9";
      system = "practical-cl";
      asd = "practical-cl";
    });
    systems = [ "practical-cl" ];
    lispLibs = [ (getAttr "pcl-binary-data" self) (getAttr "pcl-html" self) (getAttr "pcl-id3v2" self) (getAttr "pcl-macro-utilities" self) (getAttr "pcl-mp3-browser" self) (getAttr "pcl-mp3-database" self) (getAttr "pcl-pathnames" self) (getAttr "pcl-shoutcast" self) (getAttr "pcl-simple-database" self) (getAttr "pcl-spam" self) (getAttr "pcl-test-framework" self) (getAttr "pcl-url-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prbs = (build-asdf-system {
    pname = "prbs";
    version = "20180228-git";
    asds = [ "prbs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prbs/2018-02-28/prbs-20180228-git.tgz";
      sha256 = "0qbvbmxa66b367z9px4nyxqb21b9w2hr82rw7hfq5aynmwfk3fzi";
      system = "prbs";
      asd = "prbs";
    });
    systems = [ "prbs" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prbs-docs = (build-asdf-system {
    pname = "prbs-docs";
    version = "20180228-git";
    asds = [ "prbs-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prbs/2018-02-28/prbs-20180228-git.tgz";
      sha256 = "0qbvbmxa66b367z9px4nyxqb21b9w2hr82rw7hfq5aynmwfk3fzi";
      system = "prbs-docs";
      asd = "prbs-docs";
    });
    systems = [ "prbs-docs" ];
    lispLibs = [ (getAttr "cl-gendoc" self) (getAttr "prbs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prettier-builtins = (build-asdf-system {
    pname = "prettier-builtins";
    version = "20230618-git";
    asds = [ "prettier-builtins" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prettier-builtins/2023-06-18/prettier-builtins-20230618-git.tgz";
      sha256 = "104wqvkb5gv3y2v6yssk4q9gbrkgbly1lyxqfcinri3pqxqkdhg2";
      system = "prettier-builtins";
      asd = "prettier-builtins";
    });
    systems = [ "prettier-builtins" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pretty-function = (build-asdf-system {
    pname = "pretty-function";
    version = "20130615-git";
    asds = [ "pretty-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pretty-function/2013-06-15/pretty-function-20130615-git.tgz";
      sha256 = "1hzfjwsp6r5nki6h8kry8k2bgj19mrp0jbq7jhsz3kz6y4ll0hb5";
      system = "pretty-function";
      asd = "pretty-function";
    });
    systems = [ "pretty-function" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  primecount = (build-asdf-system {
    pname = "primecount";
    version = "20200325-git";
    asds = [ "primecount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/primecount/2020-03-25/primecount-20200325-git.tgz";
      sha256 = "1fw855qp82b887azww7z3yhd2zafaxjnzyff1ldf2wa6mb4f0dj8";
      system = "primecount";
      asd = "primecount";
    });
    systems = [ "primecount" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  print-html = (build-asdf-system {
    pname = "print-html";
    version = "20181018-git";
    asds = [ "print-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/print-html/2018-10-18/print-html-20181018-git.tgz";
      sha256 = "1ihr2yy6fvli3awrkfn4v8pm41wab5wsj30v84rr75v4p5irqmz8";
      system = "print-html";
      asd = "print-html";
    });
    systems = [ "print-html" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  print-licenses = (build-asdf-system {
    pname = "print-licenses";
    version = "20230618-git";
    asds = [ "print-licenses" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/print-licenses/2023-06-18/print-licenses-20230618-git.tgz";
      sha256 = "14i6r6mf16dlj1g4xk0alg2912y3wy0qbfpyvvgsgxkkar63cmi5";
      system = "print-licenses";
      asd = "print-licenses";
    });
    systems = [ "print-licenses" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  printv = (build-asdf-system {
    pname = "printv";
    version = "20211230-git";
    asds = [ "printv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/printv/2021-12-30/printv-20211230-git.tgz";
      sha256 = "07agyzkwp3w2r4d2anrmr8h00yngpr5dq9mjd3m4kzhn1jcmilfb";
      system = "printv";
      asd = "printv";
    });
    systems = [ "printv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  priority-queue = (build-asdf-system {
    pname = "priority-queue";
    version = "20150709-git";
    asds = [ "priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/priority-queue/2015-07-09/priority-queue-20150709-git.tgz";
      sha256 = "0y5a1fid8xzzl58hfdj64n8mrzq0kr06a0lnmdjpgi0czc3x0jcy";
      system = "priority-queue";
      asd = "priority-queue";
    });
    systems = [ "priority-queue" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  priority-queue-benchmark = (build-asdf-system {
    pname = "priority-queue-benchmark";
    version = "20221106-git";
    asds = [ "priority-queue-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/damn-fast-priority-queue/2022-11-06/damn-fast-priority-queue-20221106-git.tgz";
      sha256 = "14917b1z7ag3a7f88p4fk4649iy07kn9vpq6bszdxcp1irnc5a13";
      system = "priority-queue-benchmark";
      asd = "priority-queue-benchmark";
    });
    systems = [ "priority-queue-benchmark" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bodge-heap" self) (getAttr "cl-heap" self) (getAttr "damn-fast-priority-queue" self) (getAttr "damn-fast-stable-priority-queue" self) (getAttr "heap" self) (getAttr "minheap" self) (getAttr "pettomato-indexed-priority-queue" self) (getAttr "pileup" self) (getAttr "priority-queue" self) (getAttr "queues_dot_priority-queue" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  proc-parse = (build-asdf-system {
    pname = "proc-parse";
    version = "20190813-git";
    asds = [ "proc-parse" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/proc-parse/2019-08-13/proc-parse-20190813-git.tgz";
      sha256 = "07vbj26bfq4ywlcmamsqyac29rsdsa8lamjqx1ycla1bcvgmi4w2";
      system = "proc-parse";
      asd = "proc-parse";
    });
    systems = [ "proc-parse" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) ];
    meta = {};
  });
  proc-parse-test = (build-asdf-system {
    pname = "proc-parse-test";
    version = "20190813-git";
    asds = [ "proc-parse-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/proc-parse/2019-08-13/proc-parse-20190813-git.tgz";
      sha256 = "07vbj26bfq4ywlcmamsqyac29rsdsa8lamjqx1ycla1bcvgmi4w2";
      system = "proc-parse-test";
      asd = "proc-parse-test";
    });
    systems = [ "proc-parse-test" ];
    lispLibs = [ (getAttr "proc-parse" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_document = (build-asdf-system {
    pname = "projectured.document";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.document" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.document";
      asd = "projectured.document";
    });
    systems = [ "projectured.document" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "parse-number" self) (getAttr "projectured_dot_editor" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_editor = (build-asdf-system {
    pname = "projectured.editor";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.editor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.editor";
      asd = "projectured.editor";
    });
    systems = [ "projectured.editor" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_common" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "hu_dot_dwim_dot_defclass-star" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_serializer" self) (getAttr "hu_dot_dwim_dot_syntax-sugar" self) (getAttr "hu_dot_dwim_dot_util" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_executable = (build-asdf-system {
    pname = "projectured.executable";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.executable";
      asd = "projectured.executable";
    });
    systems = [ "projectured.executable" ];
    lispLibs = [ (getAttr "command-line-arguments" self) (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "projectured_dot_sdl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_projection = (build-asdf-system {
    pname = "projectured.projection";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.projection" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.projection";
      asd = "projectured.projection";
    });
    systems = [ "projectured.projection" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "projectured_dot_document" self) (getAttr "projectured_dot_editor" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_sdl = (build-asdf-system {
    pname = "projectured.sdl";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.sdl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.sdl";
      asd = "projectured.sdl";
    });
    systems = [ "projectured.sdl" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_sdl" self) (getAttr "projectured_dot_document" self) (getAttr "projectured_dot_editor" self) (getAttr "projectured_dot_projection" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_sdl_dot_test = (build-asdf-system {
    pname = "projectured.sdl.test";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.sdl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.sdl.test";
      asd = "projectured.sdl.test";
    });
    systems = [ "projectured.sdl.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "projectured_dot_sdl" self) (getAttr "projectured_dot_test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_swank = (build-asdf-system {
    pname = "projectured.swank";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.swank";
      asd = "projectured.swank";
    });
    systems = [ "projectured.swank" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "projectured_dot_editor" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  projectured_dot_test = (build-asdf-system {
    pname = "projectured.test";
    version = "quicklisp-c3a60e76-git";
    asds = [ "projectured.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/projectured/2017-12-27/projectured-quicklisp-c3a60e76-git.tgz";
      sha256 = "1gbsqaw571xgh2glg4386545b5sqjgbaiqa3x4j1gr70kirbzydn";
      system = "projectured.test";
      asd = "projectured.test";
    });
    systems = [ "projectured.test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_asdf" self) (getAttr "hu_dot_dwim_dot_logger" self) (getAttr "hu_dot_dwim_dot_stefil_plus_hu_dot_dwim_dot_def_plus_swank" self) (getAttr "projectured_dot_document" self) (getAttr "projectured_dot_editor" self) (getAttr "projectured_dot_projection" self) (getAttr "projectured_dot_swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus = (build-asdf-system {
    pname = "prometheus";
    version = "20201220-git";
    asds = [ "prometheus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus";
      asd = "prometheus";
    });
    systems = [ "prometheus" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "quantile-estimator" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus-gc = (build-asdf-system {
    pname = "prometheus-gc";
    version = "20230618-git";
    asds = [ "prometheus-gc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus-gc/2023-06-18/prometheus-gc-20230618-git.tgz";
      sha256 = "1i9hif2yyb2bgxngqg1imvw5jkdykx13fvqgs60kkq6ww6jjxwwf";
      system = "prometheus-gc";
      asd = "prometheus-gc";
    });
    systems = [ "prometheus-gc" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "prometheus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus-gc-ci = (build-asdf-system {
    pname = "prometheus-gc-ci";
    version = "20230618-git";
    asds = [ "prometheus-gc-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus-gc/2023-06-18/prometheus-gc-20230618-git.tgz";
      sha256 = "1i9hif2yyb2bgxngqg1imvw5jkdykx13fvqgs60kkq6ww6jjxwwf";
      system = "prometheus-gc-ci";
      asd = "prometheus-gc-ci";
    });
    systems = [ "prometheus-gc-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus-gc-tests = (build-asdf-system {
    pname = "prometheus-gc-tests";
    version = "20230618-git";
    asds = [ "prometheus-gc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus-gc/2023-06-18/prometheus-gc-20230618-git.tgz";
      sha256 = "1i9hif2yyb2bgxngqg1imvw5jkdykx13fvqgs60kkq6ww6jjxwwf";
      system = "prometheus-gc-tests";
      asd = "prometheus-gc-tests";
    });
    systems = [ "prometheus-gc-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_collectors_dot_process = (build-asdf-system {
    pname = "prometheus.collectors.process";
    version = "20201220-git";
    asds = [ "prometheus.collectors.process" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.process";
      asd = "prometheus.collectors.process";
    });
    systems = [ "prometheus.collectors.process" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "prometheus" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_collectors_dot_process_dot_test = (build-asdf-system {
    pname = "prometheus.collectors.process.test";
    version = "20201220-git";
    asds = [ "prometheus.collectors.process.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.process.test";
      asd = "prometheus.collectors.process.test";
    });
    systems = [ "prometheus.collectors.process.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus_dot_collectors_dot_process" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_collectors_dot_sbcl = (build-asdf-system {
    pname = "prometheus.collectors.sbcl";
    version = "20201220-git";
    asds = [ "prometheus.collectors.sbcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.sbcl";
      asd = "prometheus.collectors.sbcl";
    });
    systems = [ "prometheus.collectors.sbcl" ];
    lispLibs = [ (getAttr "prometheus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_collectors_dot_sbcl_dot_test = (build-asdf-system {
    pname = "prometheus.collectors.sbcl.test";
    version = "20201220-git";
    asds = [ "prometheus.collectors.sbcl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.collectors.sbcl.test";
      asd = "prometheus.collectors.sbcl.test";
    });
    systems = [ "prometheus.collectors.sbcl.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus_dot_collectors_dot_sbcl" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_examples = (build-asdf-system {
    pname = "prometheus.examples";
    version = "20201220-git";
    asds = [ "prometheus.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.examples";
      asd = "prometheus.examples";
    });
    systems = [ "prometheus.examples" ];
    lispLibs = [ (getAttr "prometheus" self) (getAttr "prometheus_dot_collectors_dot_process" self) (getAttr "prometheus_dot_collectors_dot_sbcl" self) (getAttr "prometheus_dot_exposers_dot_hunchentoot" self) (getAttr "prometheus_dot_formats_dot_text" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_exposers_dot_hunchentoot = (build-asdf-system {
    pname = "prometheus.exposers.hunchentoot";
    version = "20201220-git";
    asds = [ "prometheus.exposers.hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.exposers.hunchentoot";
      asd = "prometheus.exposers.hunchentoot";
    });
    systems = [ "prometheus.exposers.hunchentoot" ];
    lispLibs = [ (getAttr "hunchentoot" self) (getAttr "prometheus" self) (getAttr "prometheus_dot_formats_dot_text" self) (getAttr "salza2" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_exposers_dot_hunchentoot_dot_test = (build-asdf-system {
    pname = "prometheus.exposers.hunchentoot.test";
    version = "20201220-git";
    asds = [ "prometheus.exposers.hunchentoot.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.exposers.hunchentoot.test";
      asd = "prometheus.exposers.hunchentoot.test";
    });
    systems = [ "prometheus.exposers.hunchentoot.test" ];
    lispLibs = [ (getAttr "chipz" self) (getAttr "cl-interpol" self) (getAttr "drakma" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus_dot_exposers_dot_hunchentoot" self) (getAttr "prometheus_dot_formats_dot_text" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_formats_dot_text = (build-asdf-system {
    pname = "prometheus.formats.text";
    version = "20201220-git";
    asds = [ "prometheus.formats.text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.formats.text";
      asd = "prometheus.formats.text";
    });
    systems = [ "prometheus.formats.text" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "prometheus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_formats_dot_text_dot_test = (build-asdf-system {
    pname = "prometheus.formats.text.test";
    version = "20201220-git";
    asds = [ "prometheus.formats.text.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.formats.text.test";
      asd = "prometheus.formats.text.test";
    });
    systems = [ "prometheus.formats.text.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus_dot_formats_dot_text" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_pushgateway = (build-asdf-system {
    pname = "prometheus.pushgateway";
    version = "20201220-git";
    asds = [ "prometheus.pushgateway" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.pushgateway";
      asd = "prometheus.pushgateway";
    });
    systems = [ "prometheus.pushgateway" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "prometheus" self) (getAttr "prometheus_dot_formats_dot_text" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_pushgateway_dot_test = (build-asdf-system {
    pname = "prometheus.pushgateway.test";
    version = "20201220-git";
    asds = [ "prometheus.pushgateway.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.pushgateway.test";
      asd = "prometheus.pushgateway.test";
    });
    systems = [ "prometheus.pushgateway.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "hunchentoot" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus_dot_pushgateway" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_test = (build-asdf-system {
    pname = "prometheus.test";
    version = "20201220-git";
    asds = [ "prometheus.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test";
      asd = "prometheus.test";
    });
    systems = [ "prometheus.test" ];
    lispLibs = [ (getAttr "cl-interpol" self) (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prometheus" self) (getAttr "prometheus_dot_test_dot_support" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_test_dot_all = (build-asdf-system {
    pname = "prometheus.test.all";
    version = "20201220-git";
    asds = [ "prometheus.test.all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test.all";
      asd = "prometheus.test.all";
    });
    systems = [ "prometheus.test.all" ];
    lispLibs = [ (getAttr "cl-coveralls" self) (getAttr "prometheus_dot_collectors_dot_process_dot_test" self) (getAttr "prometheus_dot_collectors_dot_sbcl_dot_test" self) (getAttr "prometheus_dot_exposers_dot_hunchentoot_dot_test" self) (getAttr "prometheus_dot_formats_dot_text_dot_test" self) (getAttr "prometheus_dot_pushgateway_dot_test" self) (getAttr "prometheus_dot_test" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prometheus_dot_test_dot_support = (build-asdf-system {
    pname = "prometheus.test.support";
    version = "20201220-git";
    asds = [ "prometheus.test.support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prometheus.cl/2020-12-20/prometheus.cl-20201220-git.tgz";
      sha256 = "15ab4c7yfm83nmfvaq5kbsqrgx558k292szm9frfda7nlycfnmyp";
      system = "prometheus.test.support";
      asd = "prometheus.test.support";
    });
    systems = [ "prometheus.test.support" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "prometheus" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  promise = (build-asdf-system {
    pname = "promise";
    version = "20230618-git";
    asds = [ "promise" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/promise/2023-06-18/promise-20230618-git.tgz";
      sha256 = "07cvz6vb5y1d9vndcwq7q1cp54aqvyqzv6wk8vmymbz3lawq2wsn";
      system = "promise";
      asd = "promise";
    });
    systems = [ "promise" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  promise-test = (build-asdf-system {
    pname = "promise-test";
    version = "20230618-git";
    asds = [ "promise-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/promise/2023-06-18/promise-20230618-git.tgz";
      sha256 = "07cvz6vb5y1d9vndcwq7q1cp54aqvyqzv6wk8vmymbz3lawq2wsn";
      system = "promise-test";
      asd = "promise-test";
    });
    systems = [ "promise-test" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "promise" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prompt-for = (build-asdf-system {
    pname = "prompt-for";
    version = "20220707-git";
    asds = [ "prompt-for" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prompt-for/2022-07-07/prompt-for-20220707-git.tgz";
      sha256 = "1zjc96ryyzsr5519s7yji40askqyymjrbdwx3r2r7bv146siqs5m";
      system = "prompt-for";
      asd = "prompt-for";
    });
    systems = [ "prompt-for" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prompt-for_dot_test = (build-asdf-system {
    pname = "prompt-for.test";
    version = "20220707-git";
    asds = [ "prompt-for.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prompt-for/2022-07-07/prompt-for-20220707-git.tgz";
      sha256 = "1zjc96ryyzsr5519s7yji40askqyymjrbdwx3r2r7bv146siqs5m";
      system = "prompt-for.test";
      asd = "prompt-for.test";
    });
    systems = [ "prompt-for.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "prompt-for" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  protest = (build-asdf-system {
    pname = "protest";
    version = "20201220-git";
    asds = [ "protest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protest/2020-12-20/protest-20201220-git.tgz";
      sha256 = "0q7vk7ji4mjd0xfp18sim5daqzgb3k7mmbm93vvwz18bdwy6cj9h";
      system = "protest";
      asd = "protest";
    });
    systems = [ "protest" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "moptilities" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  proto = (build-asdf-system {
    pname = "proto";
    version = "quicklisp-dd18337d-git";
    asds = [ "proto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "proto";
      asd = "gtirb";
    });
    systems = [ "proto" ];
    lispLibs = [ (getAttr "protobuf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  proto-v0 = (build-asdf-system {
    pname = "proto-v0";
    version = "quicklisp-dd18337d-git";
    asds = [ "proto-v0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gtirb/2021-10-20/gtirb-quicklisp-dd18337d-git.tgz";
      sha256 = "0dpchsshnlh3jb9rg1zdf63mr5l33vhjdxgxx2vqg0nh1sh41zn1";
      system = "proto-v0";
      asd = "gtirb";
    });
    systems = [ "proto-v0" ];
    lispLibs = [ (getAttr "protobuf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  protobuf = (build-asdf-system {
    pname = "protobuf";
    version = "20230618-git";
    asds = [ "protobuf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2023-06-18/protobuf-20230618-git.tgz";
      sha256 = "0pp8i2i72p6cng11sxj83klw45jqv05l5024h7c2rl0pvsg8f6bc";
      system = "protobuf";
      asd = "protobuf";
    });
    systems = [ "protobuf" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "varint" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  protobuf-conformance = (build-asdf-system {
    pname = "protobuf-conformance";
    version = "20230618-git";
    asds = [ "protobuf-conformance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2023-06-18/protobuf-20230618-git.tgz";
      sha256 = "0pp8i2i72p6cng11sxj83klw45jqv05l5024h7c2rl0pvsg8f6bc";
      system = "protobuf-conformance";
      asd = "protobuf-conformance";
    });
    systems = [ "protobuf-conformance" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "nibbles" self) (getAttr "protobuf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  prove = (build-asdf-system {
    pname = "prove";
    version = "20200218-git";
    asds = [ "prove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove";
      asd = "prove";
    });
    systems = [ "prove" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ansi-text" self) (getAttr "cl-colors" self) (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  prove-asdf = (build-asdf-system {
    pname = "prove-asdf";
    version = "20200218-git";
    asds = [ "prove-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove-asdf";
      asd = "prove-asdf";
    });
    systems = [ "prove-asdf" ];
    lispLibs = [  ];
    meta = {};
  });
  prove-test = (build-asdf-system {
    pname = "prove-test";
    version = "20200218-git";
    asds = [ "prove-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/prove/2020-02-18/prove-20200218-git.tgz";
      sha256 = "0ca6ha3zhmckq3ad9lxm6sbg4i0hg3m81xhan4dkxd3x9898jzpc";
      system = "prove-test";
      asd = "prove-test";
    });
    systems = [ "prove-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pseudonyms = (build-asdf-system {
    pname = "pseudonyms";
    version = "20200325-git";
    asds = [ "pseudonyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pseudonyms/2020-03-25/pseudonyms-20200325-git.tgz";
      sha256 = "0ph7l130hr8gz88gw8i15zbsbq96519srfhzgm6zzkw85vab1ysn";
      system = "pseudonyms";
      asd = "pseudonyms";
    });
    systems = [ "pseudonyms" ];
    lispLibs = [ (getAttr "named-readtables" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  psgraph = (build-asdf-system {
    pname = "psgraph";
    version = "1.2";
    asds = [ "psgraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psgraph/2010-10-06/psgraph-1.2.tgz";
      sha256 = "19x1lvzfj2c2h83y5bng6jsp2300qfvd25mmf157qiss15al22vs";
      system = "psgraph";
      asd = "psgraph";
    });
    systems = [ "psgraph" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  psychiq = (build-asdf-system {
    pname = "psychiq";
    version = "20200925-git";
    asds = [ "psychiq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psychiq/2020-09-25/psychiq-20200925-git.tgz";
      sha256 = "1g8m0nglhqn5zf79hcdx3kafa0y9h3f4yqvjn7diddimqckf0fw6";
      system = "psychiq";
      asd = "psychiq";
    });
    systems = [ "psychiq" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-redis" self) (getAttr "cl-reexport" self) (getAttr "dissect" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  psychiq-test = (build-asdf-system {
    pname = "psychiq-test";
    version = "20200925-git";
    asds = [ "psychiq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/psychiq/2020-09-25/psychiq-20200925-git.tgz";
      sha256 = "1g8m0nglhqn5zf79hcdx3kafa0y9h3f4yqvjn7diddimqckf0fw6";
      system = "psychiq-test";
      asd = "psychiq-test";
    });
    systems = [ "psychiq-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "psychiq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ptester = (build-asdf-system {
    pname = "ptester";
    version = "20160929-git";
    asds = [ "ptester" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ptester/2016-09-29/ptester-20160929-git.tgz";
      sha256 = "1l0lfl7cdnr2qf4zh38hi4llxg22c49zkm639bdkmvlkzwj3ndwf";
      system = "ptester";
      asd = "ptester";
    });
    systems = [ "ptester" ];
    lispLibs = [  ];
    meta = {};
  });
  punycode = (build-asdf-system {
    pname = "punycode";
    version = "20230618-git";
    asds = [ "punycode" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/punycode/2023-06-18/punycode-20230618-git.tgz";
      sha256 = "058il0jblc3w90ha332g0j3760yx1pcwvp2kcccdcxgb42d80p3n";
      system = "punycode";
      asd = "punycode";
    });
    systems = [ "punycode" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  punycode-test = (build-asdf-system {
    pname = "punycode-test";
    version = "20230618-git";
    asds = [ "punycode-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/punycode/2023-06-18/punycode-20230618-git.tgz";
      sha256 = "058il0jblc3w90ha332g0j3760yx1pcwvp2kcccdcxgb42d80p3n";
      system = "punycode-test";
      asd = "punycode-test";
    });
    systems = [ "punycode-test" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "punycode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  purgatory = (build-asdf-system {
    pname = "purgatory";
    version = "20220707-git";
    asds = [ "purgatory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purgatory/2022-07-07/purgatory-20220707-git.tgz";
      sha256 = "0iy2jdgrwqrq9cph7bwf79d8l4zdsgcd9sfcn0lclzai2v0yizp9";
      system = "purgatory";
      asd = "purgatory";
    });
    systems = [ "purgatory" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  purgatory-tests = (build-asdf-system {
    pname = "purgatory-tests";
    version = "20220707-git";
    asds = [ "purgatory-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purgatory/2022-07-07/purgatory-20220707-git.tgz";
      sha256 = "0iy2jdgrwqrq9cph7bwf79d8l4zdsgcd9sfcn0lclzai2v0yizp9";
      system = "purgatory-tests";
      asd = "purgatory-tests";
    });
    systems = [ "purgatory-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-ppcre" self) (getAttr "clunit2" self) (getAttr "purgatory" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  puri = (build-asdf-system {
    pname = "puri";
    version = "20201016-git";
    asds = [ "puri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/puri/2020-10-16/puri-20201016-git.tgz";
      sha256 = "0gq2rsr0aihs0z20v4zqvmdl4szq53b52rh97pvnmwrlbn4mapmd";
      system = "puri";
      asd = "puri";
    });
    systems = [ "puri" ];
    lispLibs = [  ];
    meta = {};
  });
  purl = (build-asdf-system {
    pname = "purl";
    version = "20160929-git";
    asds = [ "purl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/purl/2016-09-29/purl-20160929-git.tgz";
      sha256 = "1fw3ip4b7n3q6kimh683apg381p7y4w6s4mb8mmv9n3dw0p0sdww";
      system = "purl";
      asd = "purl";
    });
    systems = [ "purl" ];
    lispLibs = [ (getAttr "maxpc" self) (getAttr "percent-encoding" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pvars = (build-asdf-system {
    pname = "pvars";
    version = "20210228-git";
    asds = [ "pvars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pvars/2021-02-28/pvars-20210228-git.tgz";
      sha256 = "1x9mmz53sj0mgd288pa65x963mrd27sw47a8vbggsc4ykwacqf1d";
      system = "pvars";
      asd = "pvars";
    });
    systems = [ "pvars" ];
    lispLibs = [ (getAttr "cl-store" self) (getAttr "global-vars" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  py-configparser = (build-asdf-system {
    pname = "py-configparser";
    version = "20170830-svn";
    asds = [ "py-configparser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py-configparser/2017-08-30/py-configparser-20170830-svn.tgz";
      sha256 = "1mpzhrys1b1mp1kp2xvryl6v01gfqfccb1zdiib49nf4bms4irvw";
      system = "py-configparser";
      asd = "py-configparser";
    });
    systems = [ "py-configparser" ];
    lispLibs = [ (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  py4cl = (build-asdf-system {
    pname = "py4cl";
    version = "20220707-git";
    asds = [ "py4cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py4cl/2022-07-07/py4cl-20220707-git.tgz";
      sha256 = "14pps4r9dx9wx36vwv0r45g0fw1z6739bqacqmzwmyvdilxip977";
      system = "py4cl";
      asd = "py4cl";
    });
    systems = [ "py4cl" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "numpy-file-format" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  py4cl2 = (build-asdf-system {
    pname = "py4cl2";
    version = "v2.9.2";
    asds = [ "py4cl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py4cl2/2023-06-18/py4cl2-v2.9.2.tgz";
      sha256 = "136145y8mys2brsvc1lcdi6zpykvwn59vgavc8r9kmsdyd5aqi8v";
      system = "py4cl2";
      asd = "py4cl2";
    });
    systems = [ "py4cl2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-json" self) (getAttr "float-features" self) (getAttr "iterate" self) (getAttr "numpy-file-format" self) (getAttr "parse-number" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  py4cl2-cffi = (build-asdf-system {
    pname = "py4cl2-cffi";
    version = "20230618-git";
    asds = [ "py4cl2-cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/py4cl2-cffi/2023-06-18/py4cl2-cffi-20230618-git.tgz";
      sha256 = "0amx1mmaz01ybnwiwh1wc45m67lghphiby6vg0z7rgmnyrvqg3gr";
      system = "py4cl2-cffi";
      asd = "py4cl2-cffi";
    });
    systems = [ "py4cl2-cffi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "float-features" self) (getAttr "iterate" self) (getAttr "optima" self) (getAttr "parse-number" self) (getAttr "swank" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  pythonic-string-reader = (build-asdf-system {
    pname = "pythonic-string-reader";
    version = "20180711-git";
    asds = [ "pythonic-string-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pythonic-string-reader/2018-07-11/pythonic-string-reader-20180711-git.tgz";
      sha256 = "1b5iryqw8xsh36swckmz8rrngmc39k92si33fgy5pml3n9l5rq3j";
      system = "pythonic-string-reader";
      asd = "pythonic-string-reader";
    });
    systems = [ "pythonic-string-reader" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {};
  });
  pzmq = (build-asdf-system {
    pname = "pzmq";
    version = "20210531-git";
    asds = [ "pzmq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq";
      asd = "pzmq";
    });
    systems = [ "pzmq" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {};
  });
  pzmq-compat = (build-asdf-system {
    pname = "pzmq-compat";
    version = "20210531-git";
    asds = [ "pzmq-compat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-compat";
      asd = "pzmq";
    });
    systems = [ "pzmq-compat" ];
    lispLibs = [ (getAttr "pzmq" self) ];
    meta = {};
  });
  pzmq-examples = (build-asdf-system {
    pname = "pzmq-examples";
    version = "20210531-git";
    asds = [ "pzmq-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-examples";
      asd = "pzmq";
    });
    systems = [ "pzmq-examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "pzmq" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  pzmq-test = (build-asdf-system {
    pname = "pzmq-test";
    version = "20210531-git";
    asds = [ "pzmq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/pzmq/2021-05-31/pzmq-20210531-git.tgz";
      sha256 = "19mdhxhzzghlmff1fic4chg5iz0psglkim09z6dgpijm26biny05";
      system = "pzmq-test";
      asd = "pzmq";
    });
    systems = [ "pzmq-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "let-plus" self) (getAttr "pzmq" self) ];
    meta = {};
  });
  q_plus = (build-asdf-system {
    pname = "q+";
    version = "20230214-git";
    asds = [ "q+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "q+";
      asd = "q+";
    });
    systems = [ "q+" ];
    lispLibs = [ (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qbase64 = (build-asdf-system {
    pname = "qbase64";
    version = "20220220-git";
    asds = [ "qbase64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qbase64/2022-02-20/qbase64-20220220-git.tgz";
      sha256 = "06daqqfdd51wkx0pyxgz7zq4ibzsqsgn3qs04jabx67gyybgnmjm";
      system = "qbase64";
      asd = "qbase64";
    });
    systems = [ "qbase64" ];
    lispLibs = [ (getAttr "metabang-bind" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qbook = (build-asdf-system {
    pname = "qbook";
    version = "20130312-darcs";
    asds = [ "qbook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qbook/2013-03-12/qbook-20130312-darcs.tgz";
      sha256 = "0l5hc2v73416jpwc2nsnj03z85fisirgm4av2anvlpv5m1291p6g";
      system = "qbook";
      asd = "qbook";
    });
    systems = [ "qbook" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "yaclml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qimageblitz = (build-asdf-system {
    pname = "qimageblitz";
    version = "20210531-git";
    asds = [ "qimageblitz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qimageblitz";
      asd = "qimageblitz";
    });
    systems = [ "qimageblitz" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ql-checkout = (build-asdf-system {
    pname = "ql-checkout";
    version = "20190521-git";
    asds = [ "ql-checkout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ql-checkout/2019-05-21/ql-checkout-20190521-git.tgz";
      sha256 = "1zp3wa7g1wn7sypfsla7510ywvldqavlmv90pncanwpwn79klyhw";
      system = "ql-checkout";
      asd = "ql-checkout";
    });
    systems = [ "ql-checkout" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qlot = (build-asdf-system {
    pname = "qlot";
    version = "20220331-git";
    asds = [ "qlot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qlot/2022-03-31/qlot-20220331-git.tgz";
      sha256 = "18dzrjy66a4xrzm4ap7kvzbi0xvp2s2nm0l04jjwy7vgizbw29y1";
      system = "qlot";
      asd = "qlot";
    });
    systems = [ "qlot" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qmynd = (build-asdf-system {
    pname = "qmynd";
    version = "20190710-git";
    asds = [ "qmynd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qmynd/2019-07-10/qmynd-20190710-git.tgz";
      sha256 = "06gw5wxcpdclb6a5i5k9lbmdlyqsp182czrm9bm1cpklzbj0ihrl";
      system = "qmynd";
      asd = "qmynd";
    });
    systems = [ "qmynd" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "chipz" self) (getAttr "cl_plus_ssl" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) (getAttr "list-of" self) (getAttr "salza2" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qmynd-test = (build-asdf-system {
    pname = "qmynd-test";
    version = "20190710-git";
    asds = [ "qmynd-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qmynd/2019-07-10/qmynd-20190710-git.tgz";
      sha256 = "06gw5wxcpdclb6a5i5k9lbmdlyqsp182czrm9bm1cpklzbj0ihrl";
      system = "qmynd-test";
      asd = "qmynd-test";
    });
    systems = [ "qmynd-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "flexi-streams" self) (getAttr "qmynd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qoi = (build-asdf-system {
    pname = "qoi";
    version = "20220707-git";
    asds = [ "qoi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qoi/2022-07-07/qoi-20220707-git.tgz";
      sha256 = "12j762h599cc9qpdpcmxiddixm168sxd2i60mbyka8x6dab64mla";
      system = "qoi";
      asd = "qoi";
    });
    systems = [ "qoi" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qsci = (build-asdf-system {
    pname = "qsci";
    version = "20210531-git";
    asds = [ "qsci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qsci";
      asd = "qsci";
    });
    systems = [ "qsci" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qt_plus_libs = (build-asdf-system {
    pname = "qt+libs";
    version = "20230214-git";
    asds = [ "qt+libs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/commonqt/2023-02-14/commonqt-20230214-git.tgz";
      sha256 = "1s66z48plfwiq4qhf6whpvnjy4n7r9zhipri7lc8k67x817k020q";
      system = "qt+libs";
      asd = "qt+libs";
    });
    systems = [ "qt+libs" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "named-readtables" self) (getAttr "qt-libs" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qt-lib-generator = (build-asdf-system {
    pname = "qt-lib-generator";
    version = "20210531-git";
    asds = [ "qt-lib-generator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt-lib-generator";
      asd = "qt-lib-generator";
    });
    systems = [ "qt-lib-generator" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "pathname-utils" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qt-libs = (build-asdf-system {
    pname = "qt-libs";
    version = "20210531-git";
    asds = [ "qt-libs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt-libs";
      asd = "qt-libs";
    });
    systems = [ "qt-libs" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "qt-lib-generator" self) ];
    meta = {};
  });
  qt3support = (build-asdf-system {
    pname = "qt3support";
    version = "20210531-git";
    asds = [ "qt3support" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qt3support";
      asd = "qt3support";
    });
    systems = [ "qt3support" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtnetwork" self) (getAttr "qtsql" self) (getAttr "qtxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtcore = (build-asdf-system {
    pname = "qtcore";
    version = "20210531-git";
    asds = [ "qtcore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtcore";
      asd = "qtcore";
    });
    systems = [ "qtcore" ];
    lispLibs = [ (getAttr "commonqt" self) (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtdbus = (build-asdf-system {
    pname = "qtdbus";
    version = "20210531-git";
    asds = [ "qtdbus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtdbus";
      asd = "qtdbus";
    });
    systems = [ "qtdbus" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtdeclarative = (build-asdf-system {
    pname = "qtdeclarative";
    version = "20210531-git";
    asds = [ "qtdeclarative" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtdeclarative";
      asd = "qtdeclarative";
    });
    systems = [ "qtdeclarative" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtnetwork" self) (getAttr "qtscript" self) (getAttr "qtsql" self) (getAttr "qtxmlpatterns" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtgui = (build-asdf-system {
    pname = "qtgui";
    version = "20210531-git";
    asds = [ "qtgui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtgui";
      asd = "qtgui";
    });
    systems = [ "qtgui" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qthelp = (build-asdf-system {
    pname = "qthelp";
    version = "20210531-git";
    asds = [ "qthelp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qthelp";
      asd = "qthelp";
    });
    systems = [ "qthelp" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtnetwork" self) (getAttr "qtsql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtnetwork = (build-asdf-system {
    pname = "qtnetwork";
    version = "20210531-git";
    asds = [ "qtnetwork" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtnetwork";
      asd = "qtnetwork";
    });
    systems = [ "qtnetwork" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools = (build-asdf-system {
    pname = "qtools";
    version = "20230214-git";
    asds = [ "qtools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools";
      asd = "qtools";
    });
    systems = [ "qtools" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "deploy" self) (getAttr "documentation-utils" self) (getAttr "form-fiddle" self) (getAttr "named-readtables" self) (getAttr "qt_plus_libs" self) (getAttr "trivial-garbage" self) (getAttr "trivial-indent" self) (getAttr "trivial-main-thread" self) ];
    meta = {};
  });
  qtools-evaluator = (build-asdf-system {
    pname = "qtools-evaluator";
    version = "20230214-git";
    asds = [ "qtools-evaluator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-evaluator";
      asd = "qtools-evaluator";
    });
    systems = [ "qtools-evaluator" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-game = (build-asdf-system {
    pname = "qtools-game";
    version = "20230214-git";
    asds = [ "qtools-game" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-game";
      asd = "qtools-game";
    });
    systems = [ "qtools-game" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) (getAttr "qtopengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-helloworld = (build-asdf-system {
    pname = "qtools-helloworld";
    version = "20230214-git";
    asds = [ "qtools-helloworld" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-helloworld";
      asd = "qtools-helloworld";
    });
    systems = [ "qtools-helloworld" ];
    lispLibs = [ (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-melody = (build-asdf-system {
    pname = "qtools-melody";
    version = "20230214-git";
    asds = [ "qtools-melody" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-melody";
      asd = "qtools-melody";
    });
    systems = [ "qtools-melody" ];
    lispLibs = [ (getAttr "phonon" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-opengl = (build-asdf-system {
    pname = "qtools-opengl";
    version = "20230214-git";
    asds = [ "qtools-opengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-opengl";
      asd = "qtools-opengl";
    });
    systems = [ "qtools-opengl" ];
    lispLibs = [ (getAttr "cl-opengl" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) (getAttr "qtopengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-titter = (build-asdf-system {
    pname = "qtools-titter";
    version = "20230214-git";
    asds = [ "qtools-titter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools/2023-02-14/qtools-20230214-git.tgz";
      sha256 = "1w9v2swdqqalvlc36kbb1fbvqmwlndisp2dnqbkx8s8h67k1m4lx";
      system = "qtools-titter";
      asd = "qtools-titter";
    });
    systems = [ "qtools-titter" ];
    lispLibs = [ (getAttr "chirp" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui = (build-asdf-system {
    pname = "qtools-ui";
    version = "20200218-git";
    asds = [ "qtools-ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui";
      asd = "qtools-ui";
    });
    systems = [ "qtools-ui" ];
    lispLibs = [ (getAttr "qtools-ui-auto-resizing-textedit" self) (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-cell" self) (getAttr "qtools-ui-color-history" self) (getAttr "qtools-ui-color-picker" self) (getAttr "qtools-ui-color-sliders" self) (getAttr "qtools-ui-color-triangle" self) (getAttr "qtools-ui-compass" self) (getAttr "qtools-ui-container" self) (getAttr "qtools-ui-debugger" self) (getAttr "qtools-ui-dialog" self) (getAttr "qtools-ui-dictionary" self) (getAttr "qtools-ui-drag-and-drop" self) (getAttr "qtools-ui-fixed-qtextedit" self) (getAttr "qtools-ui-flow-layout" self) (getAttr "qtools-ui-helpers" self) (getAttr "qtools-ui-imagetools" self) (getAttr "qtools-ui-keychord-editor" self) (getAttr "qtools-ui-layout" self) (getAttr "qtools-ui-listing" self) (getAttr "qtools-ui-notification" self) (getAttr "qtools-ui-options" self) (getAttr "qtools-ui-panels" self) (getAttr "qtools-ui-placeholder-text-edit" self) (getAttr "qtools-ui-plot" self) (getAttr "qtools-ui-repl" self) (getAttr "qtools-ui-slider" self) (getAttr "qtools-ui-spellchecked-text-edit" self) (getAttr "qtools-ui-splitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-auto-resizing-textedit = (build-asdf-system {
    pname = "qtools-ui-auto-resizing-textedit";
    version = "20200218-git";
    asds = [ "qtools-ui-auto-resizing-textedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-auto-resizing-textedit";
      asd = "qtools-ui-auto-resizing-textedit";
    });
    systems = [ "qtools-ui-auto-resizing-textedit" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-fixed-qtextedit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-base = (build-asdf-system {
    pname = "qtools-ui-base";
    version = "20200218-git";
    asds = [ "qtools-ui-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-base";
      asd = "qtools-ui-base";
    });
    systems = [ "qtools-ui-base" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "documentation-utils" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-bytearray = (build-asdf-system {
    pname = "qtools-ui-bytearray";
    version = "20200218-git";
    asds = [ "qtools-ui-bytearray" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-bytearray";
      asd = "qtools-ui-bytearray";
    });
    systems = [ "qtools-ui-bytearray" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-cell = (build-asdf-system {
    pname = "qtools-ui-cell";
    version = "20200218-git";
    asds = [ "qtools-ui-cell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-cell";
      asd = "qtools-ui-cell";
    });
    systems = [ "qtools-ui-cell" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) (getAttr "qtools-ui-layout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-color-history = (build-asdf-system {
    pname = "qtools-ui-color-history";
    version = "20200218-git";
    asds = [ "qtools-ui-color-history" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-history";
      asd = "qtools-ui-color-history";
    });
    systems = [ "qtools-ui-color-history" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-flow-layout" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-color-picker = (build-asdf-system {
    pname = "qtools-ui-color-picker";
    version = "20200218-git";
    asds = [ "qtools-ui-color-picker" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-picker";
      asd = "qtools-ui-color-picker";
    });
    systems = [ "qtools-ui-color-picker" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-color-history" self) (getAttr "qtools-ui-color-sliders" self) (getAttr "qtools-ui-color-triangle" self) (getAttr "qtools-ui-dialog" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-color-sliders = (build-asdf-system {
    pname = "qtools-ui-color-sliders";
    version = "20200218-git";
    asds = [ "qtools-ui-color-sliders" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-sliders";
      asd = "qtools-ui-color-sliders";
    });
    systems = [ "qtools-ui-color-sliders" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-color-triangle = (build-asdf-system {
    pname = "qtools-ui-color-triangle";
    version = "20200218-git";
    asds = [ "qtools-ui-color-triangle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-color-triangle";
      asd = "qtools-ui-color-triangle";
    });
    systems = [ "qtools-ui-color-triangle" ];
    lispLibs = [ (getAttr "cl-opengl" self) (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) (getAttr "qtopengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-compass = (build-asdf-system {
    pname = "qtools-ui-compass";
    version = "20200218-git";
    asds = [ "qtools-ui-compass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-compass";
      asd = "qtools-ui-compass";
    });
    systems = [ "qtools-ui-compass" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-layout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-container = (build-asdf-system {
    pname = "qtools-ui-container";
    version = "20200218-git";
    asds = [ "qtools-ui-container" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-container";
      asd = "qtools-ui-container";
    });
    systems = [ "qtools-ui-container" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-layout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-debugger = (build-asdf-system {
    pname = "qtools-ui-debugger";
    version = "20200218-git";
    asds = [ "qtools-ui-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-debugger";
      asd = "qtools-ui-debugger";
    });
    systems = [ "qtools-ui-debugger" ];
    lispLibs = [ (getAttr "dissect" self) (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-dialog = (build-asdf-system {
    pname = "qtools-ui-dialog";
    version = "20200218-git";
    asds = [ "qtools-ui-dialog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-dialog";
      asd = "qtools-ui-dialog";
    });
    systems = [ "qtools-ui-dialog" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-dictionary = (build-asdf-system {
    pname = "qtools-ui-dictionary";
    version = "20200218-git";
    asds = [ "qtools-ui-dictionary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-dictionary";
      asd = "qtools-ui-dictionary";
    });
    systems = [ "qtools-ui-dictionary" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-fixed-qtextedit" self) (getAttr "qtools-ui-helpers" self) (getAttr "wordnet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-drag-and-drop = (build-asdf-system {
    pname = "qtools-ui-drag-and-drop";
    version = "20200218-git";
    asds = [ "qtools-ui-drag-and-drop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-drag-and-drop";
      asd = "qtools-ui-drag-and-drop";
    });
    systems = [ "qtools-ui-drag-and-drop" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-executable = (build-asdf-system {
    pname = "qtools-ui-executable";
    version = "20200218-git";
    asds = [ "qtools-ui-executable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-executable";
      asd = "qtools-ui-executable";
    });
    systems = [ "qtools-ui-executable" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-fixed-qtextedit = (build-asdf-system {
    pname = "qtools-ui-fixed-qtextedit";
    version = "20200218-git";
    asds = [ "qtools-ui-fixed-qtextedit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-fixed-qtextedit";
      asd = "qtools-ui-fixed-qtextedit";
    });
    systems = [ "qtools-ui-fixed-qtextedit" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-flow-layout = (build-asdf-system {
    pname = "qtools-ui-flow-layout";
    version = "20200218-git";
    asds = [ "qtools-ui-flow-layout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-flow-layout";
      asd = "qtools-ui-flow-layout";
    });
    systems = [ "qtools-ui-flow-layout" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-container" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-helpers = (build-asdf-system {
    pname = "qtools-ui-helpers";
    version = "20200218-git";
    asds = [ "qtools-ui-helpers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-helpers";
      asd = "qtools-ui-helpers";
    });
    systems = [ "qtools-ui-helpers" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-layout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-imagetools = (build-asdf-system {
    pname = "qtools-ui-imagetools";
    version = "20200218-git";
    asds = [ "qtools-ui-imagetools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-imagetools";
      asd = "qtools-ui-imagetools";
    });
    systems = [ "qtools-ui-imagetools" ];
    lispLibs = [ (getAttr "qimageblitz" self) (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-keychord-editor = (build-asdf-system {
    pname = "qtools-ui-keychord-editor";
    version = "20200218-git";
    asds = [ "qtools-ui-keychord-editor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-keychord-editor";
      asd = "qtools-ui-keychord-editor";
    });
    systems = [ "qtools-ui-keychord-editor" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-layout = (build-asdf-system {
    pname = "qtools-ui-layout";
    version = "20200218-git";
    asds = [ "qtools-ui-layout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-layout";
      asd = "qtools-ui-layout";
    });
    systems = [ "qtools-ui-layout" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-listing = (build-asdf-system {
    pname = "qtools-ui-listing";
    version = "20200218-git";
    asds = [ "qtools-ui-listing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-listing";
      asd = "qtools-ui-listing";
    });
    systems = [ "qtools-ui-listing" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-cell" self) (getAttr "qtools-ui-container" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-notification = (build-asdf-system {
    pname = "qtools-ui-notification";
    version = "20200218-git";
    asds = [ "qtools-ui-notification" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-notification";
      asd = "qtools-ui-notification";
    });
    systems = [ "qtools-ui-notification" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-options = (build-asdf-system {
    pname = "qtools-ui-options";
    version = "20200218-git";
    asds = [ "qtools-ui-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-options";
      asd = "qtools-ui-options";
    });
    systems = [ "qtools-ui-options" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-color-picker" self) (getAttr "qtools-ui-color-triangle" self) (getAttr "qtools-ui-helpers" self) (getAttr "qtools-ui-listing" self) (getAttr "qtools-ui-slider" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-panels = (build-asdf-system {
    pname = "qtools-ui-panels";
    version = "20200218-git";
    asds = [ "qtools-ui-panels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-panels";
      asd = "qtools-ui-panels";
    });
    systems = [ "qtools-ui-panels" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-compass" self) (getAttr "qtools-ui-helpers" self) (getAttr "qtools-ui-splitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-placeholder-text-edit = (build-asdf-system {
    pname = "qtools-ui-placeholder-text-edit";
    version = "20200218-git";
    asds = [ "qtools-ui-placeholder-text-edit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-placeholder-text-edit";
      asd = "qtools-ui-placeholder-text-edit";
    });
    systems = [ "qtools-ui-placeholder-text-edit" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-fixed-qtextedit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-plot = (build-asdf-system {
    pname = "qtools-ui-plot";
    version = "20200218-git";
    asds = [ "qtools-ui-plot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-plot";
      asd = "qtools-ui-plot";
    });
    systems = [ "qtools-ui-plot" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-progress-bar = (build-asdf-system {
    pname = "qtools-ui-progress-bar";
    version = "20200218-git";
    asds = [ "qtools-ui-progress-bar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-progress-bar";
      asd = "qtools-ui-progress-bar";
    });
    systems = [ "qtools-ui-progress-bar" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-repl = (build-asdf-system {
    pname = "qtools-ui-repl";
    version = "20200218-git";
    asds = [ "qtools-ui-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-repl";
      asd = "qtools-ui-repl";
    });
    systems = [ "qtools-ui-repl" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "qtools-ui-base" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-slider = (build-asdf-system {
    pname = "qtools-ui-slider";
    version = "20200218-git";
    asds = [ "qtools-ui-slider" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-slider";
      asd = "qtools-ui-slider";
    });
    systems = [ "qtools-ui-slider" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-spellchecked-text-edit = (build-asdf-system {
    pname = "qtools-ui-spellchecked-text-edit";
    version = "20200218-git";
    asds = [ "qtools-ui-spellchecked-text-edit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-spellchecked-text-edit";
      asd = "qtools-ui-spellchecked-text-edit";
    });
    systems = [ "qtools-ui-spellchecked-text-edit" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-fixed-qtextedit" self) (getAttr "qtools-ui-helpers" self) (getAttr "spell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-splitter = (build-asdf-system {
    pname = "qtools-ui-splitter";
    version = "20200218-git";
    asds = [ "qtools-ui-splitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-splitter";
      asd = "qtools-ui-splitter";
    });
    systems = [ "qtools-ui-splitter" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtools-ui-container" self) (getAttr "qtools-ui-helpers" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtools-ui-svgtools = (build-asdf-system {
    pname = "qtools-ui-svgtools";
    version = "20200218-git";
    asds = [ "qtools-ui-svgtools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qtools-ui/2020-02-18/qtools-ui-20200218-git.tgz";
      sha256 = "0zlygq42mi2ngk8q7a36k2rp6ydb98gryfxvcbg3dijg34i70f2z";
      system = "qtools-ui-svgtools";
      asd = "qtools-ui-svgtools";
    });
    systems = [ "qtools-ui-svgtools" ];
    lispLibs = [ (getAttr "qtools-ui-base" self) (getAttr "qtsvg" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtopengl = (build-asdf-system {
    pname = "qtopengl";
    version = "20210531-git";
    asds = [ "qtopengl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtopengl";
      asd = "qtopengl";
    });
    systems = [ "qtopengl" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtscript = (build-asdf-system {
    pname = "qtscript";
    version = "20210531-git";
    asds = [ "qtscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtscript";
      asd = "qtscript";
    });
    systems = [ "qtscript" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtsql = (build-asdf-system {
    pname = "qtsql";
    version = "20210531-git";
    asds = [ "qtsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtsql";
      asd = "qtsql";
    });
    systems = [ "qtsql" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtsvg = (build-asdf-system {
    pname = "qtsvg";
    version = "20210531-git";
    asds = [ "qtsvg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtsvg";
      asd = "qtsvg";
    });
    systems = [ "qtsvg" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qttest = (build-asdf-system {
    pname = "qttest";
    version = "20210531-git";
    asds = [ "qttest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qttest";
      asd = "qttest";
    });
    systems = [ "qttest" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtuitools = (build-asdf-system {
    pname = "qtuitools";
    version = "20210531-git";
    asds = [ "qtuitools" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtuitools";
      asd = "qtuitools";
    });
    systems = [ "qtuitools" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtwebkit = (build-asdf-system {
    pname = "qtwebkit";
    version = "20210531-git";
    asds = [ "qtwebkit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtwebkit";
      asd = "qtwebkit";
    });
    systems = [ "qtwebkit" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtnetwork" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtxml = (build-asdf-system {
    pname = "qtxml";
    version = "20210531-git";
    asds = [ "qtxml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtxml";
      asd = "qtxml";
    });
    systems = [ "qtxml" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qtxmlpatterns = (build-asdf-system {
    pname = "qtxmlpatterns";
    version = "20210531-git";
    asds = [ "qtxmlpatterns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qtxmlpatterns";
      asd = "qtxmlpatterns";
    });
    systems = [ "qtxmlpatterns" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtnetwork" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quad-tree = (build-asdf-system {
    pname = "quad-tree";
    version = "20220707-git";
    asds = [ "quad-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quad-tree/2022-07-07/quad-tree-20220707-git.tgz";
      sha256 = "1pg43zw75dbqxs8vca3fynqfvza59v1fmwh9m4x0jrnw7ysgkl6j";
      system = "quad-tree";
      asd = "quad-tree";
    });
    systems = [ "quad-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "origin" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quadpack = (build-asdf-system {
    pname = "quadpack";
    version = "20200925-git";
    asds = [ "quadpack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "quadpack";
      asd = "quadpack";
    });
    systems = [ "quadpack" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quads = (build-asdf-system {
    pname = "quads";
    version = "20200427-git";
    asds = [ "quads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "quads";
      asd = "quads";
    });
    systems = [ "quads" ];
    lispLibs = [ (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quadtree = (build-asdf-system {
    pname = "quadtree";
    version = "20150709-git";
    asds = [ "quadtree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quadtree/2015-07-09/quadtree-20150709-git.tgz";
      sha256 = "0590f0sbv4qg590d2bb7ypncg3wn5xjapi24w78mnzr9bdnhh4vx";
      system = "quadtree";
      asd = "quadtree";
    });
    systems = [ "quadtree" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quadtree-test = (build-asdf-system {
    pname = "quadtree-test";
    version = "20150709-git";
    asds = [ "quadtree-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quadtree/2015-07-09/quadtree-20150709-git.tgz";
      sha256 = "0590f0sbv4qg590d2bb7ypncg3wn5xjapi24w78mnzr9bdnhh4vx";
      system = "quadtree-test";
      asd = "quadtree-test";
    });
    systems = [ "quadtree-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "quadtree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quantile-estimator = (build-asdf-system {
    pname = "quantile-estimator";
    version = "20160825-git";
    asds = [ "quantile-estimator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quantile-estimator.cl/2016-08-25/quantile-estimator.cl-20160825-git.tgz";
      sha256 = "1rrazbl0gbsymynlxp7ild6wvwp6csmdig4hwrp3wjvqhdl8j3mj";
      system = "quantile-estimator";
      asd = "quantile-estimator";
    });
    systems = [ "quantile-estimator" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quantile-estimator_dot_test = (build-asdf-system {
    pname = "quantile-estimator.test";
    version = "20160825-git";
    asds = [ "quantile-estimator.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quantile-estimator.cl/2016-08-25/quantile-estimator.cl-20160825-git.tgz";
      sha256 = "1rrazbl0gbsymynlxp7ild6wvwp6csmdig4hwrp3wjvqhdl8j3mj";
      system = "quantile-estimator.test";
      asd = "quantile-estimator.test";
    });
    systems = [ "quantile-estimator.test" ];
    lispLibs = [ (getAttr "log4cl" self) (getAttr "mw-equiv" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "quantile-estimator" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quasiquote-2_dot_0 = (build-asdf-system {
    pname = "quasiquote-2.0";
    version = "20150505-git";
    asds = [ "quasiquote-2.0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quasiquote-2.0/2015-05-05/quasiquote-2.0-20150505-git.tgz";
      sha256 = "1g0s3aplrgmdjj8k1wrx3dkqdsl4lka2nmgdng0rcd93xp11q6hn";
      system = "quasiquote-2.0";
      asd = "quasiquote-2.0";
    });
    systems = [ "quasiquote-2.0" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {};
  });
  quasiquote-2_dot_0-tests = (build-asdf-system {
    pname = "quasiquote-2.0-tests";
    version = "20150505-git";
    asds = [ "quasiquote-2.0-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quasiquote-2.0/2015-05-05/quasiquote-2.0-20150505-git.tgz";
      sha256 = "1g0s3aplrgmdjj8k1wrx3dkqdsl4lka2nmgdng0rcd93xp11q6hn";
      system = "quasiquote-2.0-tests";
      asd = "quasiquote-2.0";
    });
    systems = [ "quasiquote-2.0-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "quasiquote-2_dot_0" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queen = (build-asdf-system {
    pname = "queen";
    version = "20230618-git";
    asds = [ "queen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queen.lisp/2023-06-18/queen.lisp-20230618-git.tgz";
      sha256 = "14y4688f9gazdxh03k2jnxnla2bygcsz6wk55yc0id1achak95fa";
      system = "queen";
      asd = "queen";
    });
    systems = [ "queen" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-ppcre-unicode" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  query-fs = (build-asdf-system {
    pname = "query-fs";
    version = "20221106-git";
    asds = [ "query-fs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-fs/2022-11-06/query-fs-20221106-git.tgz";
      sha256 = "010ljk1p8r5rm6b5fpznk9m241362fwy3qk8xdx836ncs8pzzyqf";
      system = "query-fs";
      asd = "query-fs";
    });
    systems = [ "query-fs" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-fuse" self) (getAttr "cl-fuse-meta-fs" self) (getAttr "cl-ppcre" self) (getAttr "command-line-arguments" self) (getAttr "iterate" self) (getAttr "trivial-backtrace" self) ];
    meta = {};
  });
  query-repl = (build-asdf-system {
    pname = "query-repl";
    version = "20220331-git";
    asds = [ "query-repl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-repl/2022-03-31/query-repl-20220331-git.tgz";
      sha256 = "0gzrr1k7071hdmd64i5lqmg62i3yqim7nmcc9r94sry47bkp16v2";
      system = "query-repl";
      asd = "query-repl";
    });
    systems = [ "query-repl" ];
    lispLibs = [ (getAttr "check-bnf" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  query-repl_dot_test = (build-asdf-system {
    pname = "query-repl.test";
    version = "20220331-git";
    asds = [ "query-repl.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/query-repl/2022-03-31/query-repl-20220331-git.tgz";
      sha256 = "0gzrr1k7071hdmd64i5lqmg62i3yqim7nmcc9r94sry47bkp16v2";
      system = "query-repl.test";
      asd = "query-repl.test";
    });
    systems = [ "query-repl.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "query-repl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queues = (build-asdf-system {
    pname = "queues";
    version = "20170124-git";
    asds = [ "queues" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues";
      asd = "queues";
    });
    systems = [ "queues" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queues_dot_priority-cqueue = (build-asdf-system {
    pname = "queues.priority-cqueue";
    version = "20170124-git";
    asds = [ "queues.priority-cqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.priority-cqueue";
      asd = "queues.priority-cqueue";
    });
    systems = [ "queues.priority-cqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "queues" self) (getAttr "queues_dot_priority-queue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queues_dot_priority-queue = (build-asdf-system {
    pname = "queues.priority-queue";
    version = "20170124-git";
    asds = [ "queues.priority-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.priority-queue";
      asd = "queues.priority-queue";
    });
    systems = [ "queues.priority-queue" ];
    lispLibs = [ (getAttr "queues" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queues_dot_simple-cqueue = (build-asdf-system {
    pname = "queues.simple-cqueue";
    version = "20170124-git";
    asds = [ "queues.simple-cqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.simple-cqueue";
      asd = "queues.simple-cqueue";
    });
    systems = [ "queues.simple-cqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "queues" self) (getAttr "queues_dot_simple-queue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  queues_dot_simple-queue = (build-asdf-system {
    pname = "queues.simple-queue";
    version = "20170124-git";
    asds = [ "queues.simple-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/queues/2017-01-24/queues-20170124-git.tgz";
      sha256 = "0wdhfnzi4v6d97pggzj2aw55si94w4327br94jrmyvwf351wqjvv";
      system = "queues.simple-queue";
      asd = "queues.simple-queue";
    });
    systems = [ "queues.simple-queue" ];
    lispLibs = [ (getAttr "queues" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quick-patch = (build-asdf-system {
    pname = "quick-patch";
    version = "20230618-git";
    asds = [ "quick-patch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quick-patch/2023-06-18/quick-patch-20230618-git.tgz";
      sha256 = "0finjayzf42an5a20hs80r1dnjpcln6ml3k5krhzwr46ps0qka4w";
      system = "quick-patch";
      asd = "quick-patch";
    });
    systems = [ "quick-patch" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickapp = (build-asdf-system {
    pname = "quickapp";
    version = "20160825-git";
    asds = [ "quickapp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickapp/2016-08-25/quickapp-20160825-git.tgz";
      sha256 = "0rhhxwggbh9sf3c4c9fv39c5imy48416mwf0dkhqpnm8x55xbw22";
      system = "quickapp";
      asd = "quickapp";
    });
    systems = [ "quickapp" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickhull = (build-asdf-system {
    pname = "quickhull";
    version = "20230618-git";
    asds = [ "quickhull" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickhull/2023-06-18/quickhull-20230618-git.tgz";
      sha256 = "0af5ca0sjybf0wns0hwrfnv2ga0w2v7bqsbladjhlcxagdvaz7kf";
      system = "quickhull";
      asd = "quickhull";
    });
    systems = [ "quickhull" ];
    lispLibs = [ (getAttr "_3d-vectors" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quicklisp-slime-helper = (build-asdf-system {
    pname = "quicklisp-slime-helper";
    version = "20150709-git";
    asds = [ "quicklisp-slime-helper" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicklisp-slime-helper/2015-07-09/quicklisp-slime-helper-20150709-git.tgz";
      sha256 = "14b1zg26h75pnhj3ic0h9i5jbmwf8wjp91scbcg1ra9fyhh73pa6";
      system = "quicklisp-slime-helper";
      asd = "quicklisp-slime-helper";
    });
    systems = [ "quicklisp-slime-helper" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quicklisp-stats = (build-asdf-system {
    pname = "quicklisp-stats";
    version = "20210411-git";
    asds = [ "quicklisp-stats" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicklisp-stats/2021-04-11/quicklisp-stats-20210411-git.tgz";
      sha256 = "0v8dgmlgd283n1g486q4sj2mghgdvgywg2nqp43nnrfc04mkvgc0";
      system = "quicklisp-stats";
      asd = "quicklisp-stats";
    });
    systems = [ "quicklisp-stats" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickproject = (build-asdf-system {
    pname = "quickproject";
    version = "1.4.1";
    asds = [ "quickproject" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickproject/2019-12-27/quickproject-1.4.1.tgz";
      sha256 = "1szs8p2wr1yr9mjmj3h3557l6wxzzga0iszimb68z0hb1jj3lva6";
      system = "quickproject";
      asd = "quickproject";
    });
    systems = [ "quickproject" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "html-template" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quicksearch = (build-asdf-system {
    pname = "quicksearch";
    version = "20171019-git";
    asds = [ "quicksearch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quicksearch/2017-10-19/quicksearch-20171019-git.tgz";
      sha256 = "16k19zjkhh7r64vjq371k5jwjs7cdfjz83flh561n4h4v1z89fps";
      system = "quicksearch";
      asd = "quicksearch";
    });
    systems = [ "quicksearch" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "do-urlencode" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "html-entities" self) (getAttr "iterate" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil = (build-asdf-system {
    pname = "quickutil";
    version = "20210807-git";
    asds = [ "quickutil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil";
      asd = "quickutil";
    });
    systems = [ "quickutil" ];
    lispLibs = [ (getAttr "quickutil-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil-client = (build-asdf-system {
    pname = "quickutil-client";
    version = "20210807-git";
    asds = [ "quickutil-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-client";
      asd = "quickutil-client";
    });
    systems = [ "quickutil-client" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "quickutil-client-management" self) (getAttr "quickutil-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil-client-management = (build-asdf-system {
    pname = "quickutil-client-management";
    version = "20210807-git";
    asds = [ "quickutil-client-management" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-client-management";
      asd = "quickutil-client-management";
    });
    systems = [ "quickutil-client-management" ];
    lispLibs = [ (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil-server = (build-asdf-system {
    pname = "quickutil-server";
    version = "20210807-git";
    asds = [ "quickutil-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-server";
      asd = "quickutil-server";
    });
    systems = [ "quickutil-server" ];
    lispLibs = [ (getAttr "assoc-utils" self) (getAttr "cl-fad" self) (getAttr "cl-markdown" self) (getAttr "cl-ppcre" self) (getAttr "cl-syntax" self) (getAttr "cl-syntax-annot" self) (getAttr "clack" self) (getAttr "closure-template" self) (getAttr "dbi" self) (getAttr "lack" self) (getAttr "lack-component" self) (getAttr "lack-middleware-csrf" self) (getAttr "lack-request" self) (getAttr "lack-response" self) (getAttr "ningle" self) (getAttr "quickutil-utilities" self) (getAttr "trivial-shell" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil-utilities = (build-asdf-system {
    pname = "quickutil-utilities";
    version = "20210807-git";
    asds = [ "quickutil-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-utilities";
      asd = "quickutil-utilities";
    });
    systems = [ "quickutil-utilities" ];
    lispLibs = [ (getAttr "cl-heredoc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quickutil-utilities-test = (build-asdf-system {
    pname = "quickutil-utilities-test";
    version = "20210807-git";
    asds = [ "quickutil-utilities-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quickutil/2021-08-07/quickutil-20210807-git.tgz";
      sha256 = "0d4xrgsh5pj4cgj1mqsdyi4xvq04jyb2m4c3sdx94jsx3r83hldz";
      system = "quickutil-utilities-test";
      asd = "quickutil-utilities-test";
    });
    systems = [ "quickutil-utilities-test" ];
    lispLibs = [ (getAttr "quickutil-client" self) (getAttr "quickutil-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quilc = (build-asdf-system {
    pname = "quilc";
    version = "v1.26.0";
    asds = [ "quilc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "quilc";
      asd = "quilc";
    });
    systems = [ "quilc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "cl-quil" self) (getAttr "cl-quil-benchmarking" self) (getAttr "cl-syslog" self) (getAttr "command-line-arguments" self) (getAttr "drakma" self) (getAttr "magicl" self) (getAttr "rpcq" self) (getAttr "split-sequence" self) (getAttr "swank" self) (getAttr "trivial-features" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quilc-tests = (build-asdf-system {
    pname = "quilc-tests";
    version = "v1.26.0";
    asds = [ "quilc-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quilc/2021-12-09/quilc-v1.26.0.tgz";
      sha256 = "09qp2d6xgq4cmg6nfsdz0gbs3rvz3ln0kawmry6cls14lxnljjrr";
      system = "quilc-tests";
      asd = "quilc-tests";
    });
    systems = [ "quilc-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "fiasco" self) (getAttr "quilc" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quine-mccluskey = (build-asdf-system {
    pname = "quine-mccluskey";
    version = "20141217-git";
    asds = [ "quine-mccluskey" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-logic/2014-12-17/cl-logic-20141217-git.tgz";
      sha256 = "17n2wzqali3j6b7pqbydipwlxgwdrj4mdnsgwjdyz32n8jvfyjwh";
      system = "quine-mccluskey";
      asd = "cl-logic";
    });
    systems = [ "quine-mccluskey" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quri = (build-asdf-system {
    pname = "quri";
    version = "20230618-git";
    asds = [ "quri" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quri/2023-06-18/quri-20230618-git.tgz";
      sha256 = "0l1jnvvkyaxbf08lnqfdbv6lrkq02iqr3y3rwvqxm4fvnzp7mnpz";
      system = "quri";
      asd = "quri";
    });
    systems = [ "quri" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cl-utilities" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  quri-test = (build-asdf-system {
    pname = "quri-test";
    version = "20230618-git";
    asds = [ "quri-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quri/2023-06-18/quri-20230618-git.tgz";
      sha256 = "0l1jnvvkyaxbf08lnqfdbv6lrkq02iqr3y3rwvqxm4fvnzp7mnpz";
      system = "quri-test";
      asd = "quri-test";
    });
    systems = [ "quri-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "quri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quux-hunchentoot = (build-asdf-system {
    pname = "quux-hunchentoot";
    version = "20211230-git";
    asds = [ "quux-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quux-hunchentoot/2021-12-30/quux-hunchentoot-20211230-git.tgz";
      sha256 = "0v0x4hzzfm835blqbp00vmj74gaq8wyldrnfj0x5s6zfl64w135y";
      system = "quux-hunchentoot";
      asd = "quux-hunchentoot";
    });
    systems = [ "quux-hunchentoot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "hunchentoot" self) (getAttr "lil" self) (getAttr "lparallel" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  quux-time = (build-asdf-system {
    pname = "quux-time";
    version = "20150407-git";
    asds = [ "quux-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/quux-time/2015-04-07/quux-time-20150407-git.tgz";
      sha256 = "0hsa2n1j0abhw8na9fql47rq1rxpf2vkwg2mbb1c3ax56r8dsh0v";
      system = "quux-time";
      asd = "quux-time";
    });
    systems = [ "quux-time" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm = (build-asdf-system {
    pname = "qvm";
    version = "v1.17.2";
    asds = [ "qvm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm";
      asd = "qvm";
    });
    systems = [ "qvm" ];
    lispLibs = [ (getAttr "abstract-classes" self) (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-quil" self) (getAttr "global-vars" self) (getAttr "ieee-floats" self) (getAttr "lparallel" self) (getAttr "magicl" self) (getAttr "mt19937" self) (getAttr "static-vectors" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-app = (build-asdf-system {
    pname = "qvm-app";
    version = "v1.17.2";
    asds = [ "qvm-app" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app";
      asd = "qvm-app";
    });
    systems = [ "qvm-app" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-quil" self) (getAttr "cl-syslog" self) (getAttr "command-line-arguments" self) (getAttr "drakma" self) (getAttr "global-vars" self) (getAttr "hunchentoot" self) (getAttr "ieee-floats" self) (getAttr "qvm" self) (getAttr "qvm-benchmarks" self) (getAttr "swank" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-app-ng = (build-asdf-system {
    pname = "qvm-app-ng";
    version = "v1.17.2";
    asds = [ "qvm-app-ng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-ng";
      asd = "qvm-app-ng";
    });
    systems = [ "qvm-app-ng" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-algebraic-data-type" self) (getAttr "cl-quil" self) (getAttr "cl-syslog" self) (getAttr "command-line-arguments" self) (getAttr "global-vars" self) (getAttr "hunchentoot" self) (getAttr "qvm" self) (getAttr "trivial-features" self) (getAttr "uuid" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-app-ng-tests = (build-asdf-system {
    pname = "qvm-app-ng-tests";
    version = "v1.17.2";
    asds = [ "qvm-app-ng-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-ng-tests";
      asd = "qvm-app-ng-tests";
    });
    systems = [ "qvm-app-ng-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "fiasco" self) (getAttr "lparallel" self) (getAttr "qvm-app-ng" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-app-tests = (build-asdf-system {
    pname = "qvm-app-tests";
    version = "v1.17.2";
    asds = [ "qvm-app-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-app-tests";
      asd = "qvm-app-tests";
    });
    systems = [ "qvm-app-tests" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "qvm-app" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-benchmarks = (build-asdf-system {
    pname = "qvm-benchmarks";
    version = "v1.17.2";
    asds = [ "qvm-benchmarks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-benchmarks";
      asd = "qvm-benchmarks";
    });
    systems = [ "qvm-benchmarks" ];
    lispLibs = [ (getAttr "cl-quil" self) (getAttr "qvm" self) (getAttr "trivial-benchmark" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-examples = (build-asdf-system {
    pname = "qvm-examples";
    version = "v1.17.2";
    asds = [ "qvm-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-examples";
      asd = "qvm-examples";
    });
    systems = [ "qvm-examples" ];
    lispLibs = [ (getAttr "cl-grnm" self) (getAttr "cl-quil" self) (getAttr "qvm" self) (getAttr "qvm-app" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qvm-tests = (build-asdf-system {
    pname = "qvm-tests";
    version = "v1.17.2";
    asds = [ "qvm-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qvm/2021-06-30/qvm-v1.17.2.tgz";
      sha256 = "1cvmkqfcy7rv5jlim4kh4dvqhd3jk6mw1kwrphaqghjymrf72yp8";
      system = "qvm-tests";
      asd = "qvm-tests";
    });
    systems = [ "qvm-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-quil" self) (getAttr "fiasco" self) (getAttr "qvm" self) (getAttr "qvm-examples" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  qwt = (build-asdf-system {
    pname = "qwt";
    version = "20210531-git";
    asds = [ "qwt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "qwt";
      asd = "qwt";
    });
    systems = [ "qwt" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) (getAttr "qtcore" self) (getAttr "qtgui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  racer = (build-asdf-system {
    pname = "racer";
    version = "20190710-git";
    asds = [ "racer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/racer/2019-07-10/racer-20190710-git.tgz";
      sha256 = "120x046c6vcrj70vb6ryf04mwbr8c6a15llb68x7h1siij8vwgvk";
      system = "racer";
      asd = "racer";
    });
    systems = [ "racer" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "deflate" self) (getAttr "flexi-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rail = (build-asdf-system {
    pname = "rail";
    version = "20171227-git";
    asds = [ "rail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rail/2017-12-27/cl-rail-20171227-git.tgz";
      sha256 = "0vxbxyfl5lw7na8iki1cjp0cd31z2bnxcpdv0x25hq0vch1cb5rj";
      system = "rail";
      asd = "rail";
    });
    systems = [ "rail" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rail-test = (build-asdf-system {
    pname = "rail-test";
    version = "20171227-git";
    asds = [ "rail-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rail/2017-12-27/cl-rail-20171227-git.tgz";
      sha256 = "0vxbxyfl5lw7na8iki1cjp0cd31z2bnxcpdv0x25hq0vch1cb5rj";
      system = "rail-test";
      asd = "rail";
    });
    systems = [ "rail-test" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "rail" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random = (build-asdf-system {
    pname = "random";
    version = "20191007-git";
    asds = [ "random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "random";
      asd = "random";
    });
    systems = [ "random" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-access-lists = (build-asdf-system {
    pname = "random-access-lists";
    version = "20120208-git";
    asds = [ "random-access-lists" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-access-lists/2012-02-08/random-access-lists-20120208-git.tgz";
      sha256 = "0wslxxdmmr25hvmcyscph1bjlknm3nzh5g79cif22was1z411m5c";
      system = "random-access-lists";
      asd = "random-access-lists";
    });
    systems = [ "random-access-lists" ];
    lispLibs = [ (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-sample = (build-asdf-system {
    pname = "random-sample";
    version = "20230618-git";
    asds = [ "random-sample" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-sample/2023-06-18/random-sample-20230618-git.tgz";
      sha256 = "13g5wgq6z3gx07qr3q17mgwfn2rsck5p1b9cfswajagl0m8z3f51";
      system = "random-sample";
      asd = "random-sample";
    });
    systems = [ "random-sample" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "infix-math" self) (getAttr "named-readtables" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-state = (build-asdf-system {
    pname = "random-state";
    version = "20230618-git";
    asds = [ "random-state" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-state/2023-06-18/random-state-20230618-git.tgz";
      sha256 = "1p82r43drqh29pc28ak92d9a7qqlpg8vbvc9ynxbngavgq1xlnww";
      system = "random-state";
      asd = "random-state";
    });
    systems = [ "random-state" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-state-test = (build-asdf-system {
    pname = "random-state-test";
    version = "20230618-git";
    asds = [ "random-state-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-state/2023-06-18/random-state-20230618-git.tgz";
      sha256 = "1p82r43drqh29pc28ak92d9a7qqlpg8vbvc9ynxbngavgq1xlnww";
      system = "random-state-test";
      asd = "random-state-test";
    });
    systems = [ "random-state-test" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "random-state" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-state-viewer = (build-asdf-system {
    pname = "random-state-viewer";
    version = "20230618-git";
    asds = [ "random-state-viewer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-state/2023-06-18/random-state-20230618-git.tgz";
      sha256 = "1p82r43drqh29pc28ak92d9a7qqlpg8vbvc9ynxbngavgq1xlnww";
      system = "random-state-viewer";
      asd = "random-state-viewer";
    });
    systems = [ "random-state-viewer" ];
    lispLibs = [ (getAttr "qtcore" self) (getAttr "qtgui" self) (getAttr "qtools" self) (getAttr "random-state" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-test = (build-asdf-system {
    pname = "random-test";
    version = "20191007-git";
    asds = [ "random-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random/2019-10-07/random-20191007-git.tgz";
      sha256 = "1fb4mnp85jm9s667y4dgz07klhkr9pvi5xbxws28lbb8iip75y2p";
      system = "random-test";
      asd = "random-test";
    });
    systems = [ "random-test" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "random" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  random-uuid = (build-asdf-system {
    pname = "random-uuid";
    version = "20220707-git";
    asds = [ "random-uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/random-uuid/2022-07-07/random-uuid-20220707-git.tgz";
      sha256 = "09yfi16gh12qg4pi13gbr5n881q5zvw7acq27a6sbqbkny35a6wj";
      system = "random-uuid";
      asd = "random-uuid";
    });
    systems = [ "random-uuid" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "seedable-rng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rate-monotonic = (build-asdf-system {
    pname = "rate-monotonic";
    version = "20200325-git";
    asds = [ "rate-monotonic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rate-monotonic/2020-03-25/rate-monotonic-20200325-git.tgz";
      sha256 = "0v9m704zy3834whldx2fbs8x92hp7hlrzdlcxm1rd17wqpv7pvrv";
      system = "rate-monotonic";
      asd = "rate-monotonic";
    });
    systems = [ "rate-monotonic" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "timer-wheel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rate-monotonic_dot_examples = (build-asdf-system {
    pname = "rate-monotonic.examples";
    version = "20200325-git";
    asds = [ "rate-monotonic.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rate-monotonic/2020-03-25/rate-monotonic-20200325-git.tgz";
      sha256 = "0v9m704zy3834whldx2fbs8x92hp7hlrzdlcxm1rd17wqpv7pvrv";
      system = "rate-monotonic.examples";
      asd = "rate-monotonic.examples";
    });
    systems = [ "rate-monotonic.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "rate-monotonic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ratify = (build-asdf-system {
    pname = "ratify";
    version = "20191007-git";
    asds = [ "ratify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ratify/2019-10-07/ratify-20191007-git.tgz";
      sha256 = "0lhz3g85sc8ral59bs6g32f9nvxvbz126wchr8c3f5jj95xhngma";
      system = "ratify";
      asd = "ratify";
    });
    systems = [ "ratify" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ratmath = (build-asdf-system {
    pname = "ratmath";
    version = "20200218-git";
    asds = [ "ratmath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ratmath/2020-02-18/ratmath-20200218-git.tgz";
      sha256 = "1p5rl1bam8qjsgscn7gwk2w55hdjawfgjikka59lwb6ia13v4rj9";
      system = "ratmath";
      asd = "ratmath";
    });
    systems = [ "ratmath" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rcl = (build-asdf-system {
    pname = "rcl";
    version = "20201220-http";
    asds = [ "rcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rcl/2020-12-20/rcl-20201220-http.tgz";
      sha256 = "1s6cvqs0s7fxh63zwc5zj7ryrffmv780rscm7aq3alzb9njwmg14";
      system = "rcl";
      asd = "rcl";
    });
    systems = [ "rcl" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "named-readtables" self) (getAttr "prove-asdf" self) (getAttr "simple-tasks" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  re = (build-asdf-system {
    pname = "re";
    version = "20210630-git";
    asds = [ "re" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/re/2021-06-30/re-20210630-git.tgz";
      sha256 = "15q4zvvzkxf1j0wxw0b1kz4d03js9cbgv82ndl8z6riz40kbffdp";
      system = "re";
      asd = "re";
    });
    systems = [ "re" ];
    lispLibs = [ (getAttr "parse" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  read-as-string = (build-asdf-system {
    pname = "read-as-string";
    version = "20220707-git";
    asds = [ "read-as-string" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-as-string/2022-07-07/read-as-string-20220707-git.tgz";
      sha256 = "08dnnqmbadsrbsqr4n1x7rf0p46j9al0hw6la0z3jclp604dd0k3";
      system = "read-as-string";
      asd = "read-as-string";
    });
    systems = [ "read-as-string" ];
    lispLibs = [ (getAttr "core-reader" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  read-as-string_dot_test = (build-asdf-system {
    pname = "read-as-string.test";
    version = "20220707-git";
    asds = [ "read-as-string.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-as-string/2022-07-07/read-as-string-20220707-git.tgz";
      sha256 = "08dnnqmbadsrbsqr4n1x7rf0p46j9al0hw6la0z3jclp604dd0k3";
      system = "read-as-string.test";
      asd = "read-as-string.test";
    });
    systems = [ "read-as-string.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "read-as-string" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  read-csv = (build-asdf-system {
    pname = "read-csv";
    version = "20181018-git";
    asds = [ "read-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-csv/2018-10-18/read-csv-20181018-git.tgz";
      sha256 = "1wr6n8z7jm611xf2jwp3pw03qzq76440cmb75495l5p907lmrbcs";
      system = "read-csv";
      asd = "read-csv";
    });
    systems = [ "read-csv" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  read-csv_dot_test = (build-asdf-system {
    pname = "read-csv.test";
    version = "20181018-git";
    asds = [ "read-csv.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-csv/2018-10-18/read-csv-20181018-git.tgz";
      sha256 = "1wr6n8z7jm611xf2jwp3pw03qzq76440cmb75495l5p907lmrbcs";
      system = "read-csv.test";
      asd = "read-csv";
    });
    systems = [ "read-csv.test" ];
    lispLibs = [ (getAttr "read-csv" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  read-number = (build-asdf-system {
    pname = "read-number";
    version = "20230214-git";
    asds = [ "read-number" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/read-number/2023-02-14/read-number-20230214-git.tgz";
      sha256 = "1y2g2vbg9zccm9h8r7dabgb315z7jhr91d81wa2cccibpgccdyac";
      system = "read-number";
      asd = "read-number";
    });
    systems = [ "read-number" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reader = (build-asdf-system {
    pname = "reader";
    version = "v0.10.0";
    asds = [ "reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader/2020-12-20/reader-v0.10.0.tgz";
      sha256 = "0pbv6w0d8d4qmfkdsz2rk21bp1las9r7pyvpmd95qjz7kpxrirl7";
      system = "reader";
      asd = "reader";
    });
    systems = [ "reader" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiveam" self) (getAttr "hash-set" self) (getAttr "iterate" self) (getAttr "split-sequence" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reader_plus_swank = (build-asdf-system {
    pname = "reader+swank";
    version = "v0.10.0";
    asds = [ "reader+swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader/2020-12-20/reader-v0.10.0.tgz";
      sha256 = "0pbv6w0d8d4qmfkdsz2rk21bp1las9r7pyvpmd95qjz7kpxrirl7";
      system = "reader+swank";
      asd = "reader+swank";
    });
    systems = [ "reader+swank" ];
    lispLibs = [ (getAttr "reader" self) (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reader-interception = (build-asdf-system {
    pname = "reader-interception";
    version = "20150608-git";
    asds = [ "reader-interception" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader-interception/2015-06-08/reader-interception-20150608-git.tgz";
      sha256 = "1f6xblayqb9q01qclvqx2gllqxm0qk8rmlp38rz433vgjxbq79y0";
      system = "reader-interception";
      asd = "reader-interception";
    });
    systems = [ "reader-interception" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reader-interception-test = (build-asdf-system {
    pname = "reader-interception-test";
    version = "20150608-git";
    asds = [ "reader-interception-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reader-interception/2015-06-08/reader-interception-20150608-git.tgz";
      sha256 = "1f6xblayqb9q01qclvqx2gllqxm0qk8rmlp38rz433vgjxbq79y0";
      system = "reader-interception-test";
      asd = "reader-interception-test";
    });
    systems = [ "reader-interception-test" ];
    lispLibs = [ (getAttr "fare-utils" self) (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "reader-interception" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks = (build-asdf-system {
    pname = "reblocks";
    version = "20230618-git";
    asds = [ "reblocks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks/2023-06-18/reblocks-20230618-git.tgz";
      sha256 = "1ikvmmawlp79i7wck5pv75876798504538n7pna3r1ib9xmxcbmd";
      system = "reblocks";
      asd = "reblocks";
    });
    systems = [ "reblocks" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-cookie" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-strings" self) (getAttr "clack" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "f-underscore" self) (getAttr "find-port" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "lack" self) (getAttr "lack-middleware-session" self) (getAttr "lack-request" self) (getAttr "lack-response" self) (getAttr "lack-util" self) (getAttr "local-time" self) (getAttr "log4cl" self) (getAttr "log4cl-extras" self) (getAttr "metacopy" self) (getAttr "metatilities" self) (getAttr "named-readtables" self) (getAttr "parenscript" self) (getAttr "puri" self) (getAttr "pythonic-string-reader" self) (getAttr "quri" self) (getAttr "routes" self) (getAttr "salza2" self) (getAttr "serapeum" self) (getAttr "spinneret" self) (getAttr "str" self) (getAttr "trivial-garbage" self) (getAttr "trivial-open-browser" self) (getAttr "trivial-timeout" self) (getAttr "uuid" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-auth = (build-asdf-system {
    pname = "reblocks-auth";
    version = "20230618-git";
    asds = [ "reblocks-auth" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-auth/2023-06-18/reblocks-auth-20230618-git.tgz";
      sha256 = "00ih0cvb8fk5mp2wrg7v1nnzi1az7gcyb4119xzz2pfjk7m1illn";
      system = "reblocks-auth";
      asd = "reblocks-auth";
    });
    systems = [ "reblocks-auth" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "alexandria" self) (getAttr "cl-strings" self) (getAttr "dexador" self) (getAttr "jonathan" self) (getAttr "log4cl" self) (getAttr "mito" self) (getAttr "quri" self) (getAttr "reblocks" self) (getAttr "secret-values" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-auth-ci = (build-asdf-system {
    pname = "reblocks-auth-ci";
    version = "20230618-git";
    asds = [ "reblocks-auth-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-auth/2023-06-18/reblocks-auth-20230618-git.tgz";
      sha256 = "00ih0cvb8fk5mp2wrg7v1nnzi1az7gcyb4119xzz2pfjk7m1illn";
      system = "reblocks-auth-ci";
      asd = "reblocks-auth-ci";
    });
    systems = [ "reblocks-auth-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-auth-docs = (build-asdf-system {
    pname = "reblocks-auth-docs";
    version = "20230618-git";
    asds = [ "reblocks-auth-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-auth/2023-06-18/reblocks-auth-20230618-git.tgz";
      sha256 = "00ih0cvb8fk5mp2wrg7v1nnzi1az7gcyb4119xzz2pfjk7m1illn";
      system = "reblocks-auth-docs";
      asd = "reblocks-auth-docs";
    });
    systems = [ "reblocks-auth-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-auth" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-auth-tests = (build-asdf-system {
    pname = "reblocks-auth-tests";
    version = "20230618-git";
    asds = [ "reblocks-auth-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-auth/2023-06-18/reblocks-auth-20230618-git.tgz";
      sha256 = "00ih0cvb8fk5mp2wrg7v1nnzi1az7gcyb4119xzz2pfjk7m1illn";
      system = "reblocks-auth-tests";
      asd = "reblocks-auth-tests";
    });
    systems = [ "reblocks-auth-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-docs = (build-asdf-system {
    pname = "reblocks-docs";
    version = "20230618-git";
    asds = [ "reblocks-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks/2023-06-18/reblocks-20230618-git.tgz";
      sha256 = "1ikvmmawlp79i7wck5pv75876798504538n7pna3r1ib9xmxcbmd";
      system = "reblocks-docs";
      asd = "reblocks-docs";
    });
    systems = [ "reblocks-docs" ];
    lispLibs = [ (getAttr "reblocks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-file-server = (build-asdf-system {
    pname = "reblocks-file-server";
    version = "20230618-git";
    asds = [ "reblocks-file-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-file-server/2023-06-18/reblocks-file-server-20230618-git.tgz";
      sha256 = "0qwfqas3ip8c9jc2hf6rywfl8j3zz6k0k4f6jcf6jv9i5bdzqdvm";
      system = "reblocks-file-server";
      asd = "reblocks-file-server";
    });
    systems = [ "reblocks-file-server" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "reblocks" self) (getAttr "routes" self) (getAttr "trivial-mimes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-file-server-ci = (build-asdf-system {
    pname = "reblocks-file-server-ci";
    version = "20230618-git";
    asds = [ "reblocks-file-server-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-file-server/2023-06-18/reblocks-file-server-20230618-git.tgz";
      sha256 = "0qwfqas3ip8c9jc2hf6rywfl8j3zz6k0k4f6jcf6jv9i5bdzqdvm";
      system = "reblocks-file-server-ci";
      asd = "reblocks-file-server-ci";
    });
    systems = [ "reblocks-file-server-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-file-server-docs = (build-asdf-system {
    pname = "reblocks-file-server-docs";
    version = "20230618-git";
    asds = [ "reblocks-file-server-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-file-server/2023-06-18/reblocks-file-server-20230618-git.tgz";
      sha256 = "0qwfqas3ip8c9jc2hf6rywfl8j3zz6k0k4f6jcf6jv9i5bdzqdvm";
      system = "reblocks-file-server-docs";
      asd = "reblocks-file-server-docs";
    });
    systems = [ "reblocks-file-server-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-file-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-file-server-tests = (build-asdf-system {
    pname = "reblocks-file-server-tests";
    version = "20230618-git";
    asds = [ "reblocks-file-server-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-file-server/2023-06-18/reblocks-file-server-20230618-git.tgz";
      sha256 = "0qwfqas3ip8c9jc2hf6rywfl8j3zz6k0k4f6jcf6jv9i5bdzqdvm";
      system = "reblocks-file-server-tests";
      asd = "reblocks-file-server-tests";
    });
    systems = [ "reblocks-file-server-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-lass = (build-asdf-system {
    pname = "reblocks-lass";
    version = "20230618-git";
    asds = [ "reblocks-lass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-lass/2023-06-18/reblocks-lass-20230618-git.tgz";
      sha256 = "0dc7m6r1dbwrslb18d6gdscfz04s38rs62bcb4w0h9vv71x75s2m";
      system = "reblocks-lass";
      asd = "reblocks-lass";
    });
    systems = [ "reblocks-lass" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "lass" self) (getAttr "reblocks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-lass-ci = (build-asdf-system {
    pname = "reblocks-lass-ci";
    version = "20230618-git";
    asds = [ "reblocks-lass-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-lass/2023-06-18/reblocks-lass-20230618-git.tgz";
      sha256 = "0dc7m6r1dbwrslb18d6gdscfz04s38rs62bcb4w0h9vv71x75s2m";
      system = "reblocks-lass-ci";
      asd = "reblocks-lass-ci";
    });
    systems = [ "reblocks-lass-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-lass-docs = (build-asdf-system {
    pname = "reblocks-lass-docs";
    version = "20230618-git";
    asds = [ "reblocks-lass-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-lass/2023-06-18/reblocks-lass-20230618-git.tgz";
      sha256 = "0dc7m6r1dbwrslb18d6gdscfz04s38rs62bcb4w0h9vv71x75s2m";
      system = "reblocks-lass-docs";
      asd = "reblocks-lass-docs";
    });
    systems = [ "reblocks-lass-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-lass" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-lass-tests = (build-asdf-system {
    pname = "reblocks-lass-tests";
    version = "20230618-git";
    asds = [ "reblocks-lass-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-lass/2023-06-18/reblocks-lass-20230618-git.tgz";
      sha256 = "0dc7m6r1dbwrslb18d6gdscfz04s38rs62bcb4w0h9vv71x75s2m";
      system = "reblocks-lass-tests";
      asd = "reblocks-lass-tests";
    });
    systems = [ "reblocks-lass-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-navigation-widget = (build-asdf-system {
    pname = "reblocks-navigation-widget";
    version = "20230618-git";
    asds = [ "reblocks-navigation-widget" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-navigation-widget/2023-06-18/reblocks-navigation-widget-20230618-git.tgz";
      sha256 = "0hcfw0855rmlhjdawm8zqn24w5hkbs8xndlwvg5xd8nz6b0z40z6";
      system = "reblocks-navigation-widget";
      asd = "reblocks-navigation-widget";
    });
    systems = [ "reblocks-navigation-widget" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "log4cl" self) (getAttr "reblocks" self) (getAttr "reblocks-ui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-navigation-widget-ci = (build-asdf-system {
    pname = "reblocks-navigation-widget-ci";
    version = "20230618-git";
    asds = [ "reblocks-navigation-widget-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-navigation-widget/2023-06-18/reblocks-navigation-widget-20230618-git.tgz";
      sha256 = "0hcfw0855rmlhjdawm8zqn24w5hkbs8xndlwvg5xd8nz6b0z40z6";
      system = "reblocks-navigation-widget-ci";
      asd = "reblocks-navigation-widget-ci";
    });
    systems = [ "reblocks-navigation-widget-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-navigation-widget-docs = (build-asdf-system {
    pname = "reblocks-navigation-widget-docs";
    version = "20230618-git";
    asds = [ "reblocks-navigation-widget-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-navigation-widget/2023-06-18/reblocks-navigation-widget-20230618-git.tgz";
      sha256 = "0hcfw0855rmlhjdawm8zqn24w5hkbs8xndlwvg5xd8nz6b0z40z6";
      system = "reblocks-navigation-widget-docs";
      asd = "reblocks-navigation-widget-docs";
    });
    systems = [ "reblocks-navigation-widget-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-navigation-widget" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-navigation-widget-tests = (build-asdf-system {
    pname = "reblocks-navigation-widget-tests";
    version = "20230618-git";
    asds = [ "reblocks-navigation-widget-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-navigation-widget/2023-06-18/reblocks-navigation-widget-20230618-git.tgz";
      sha256 = "0hcfw0855rmlhjdawm8zqn24w5hkbs8xndlwvg5xd8nz6b0z40z6";
      system = "reblocks-navigation-widget-tests";
      asd = "reblocks-navigation-widget-tests";
    });
    systems = [ "reblocks-navigation-widget-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-parenscript = (build-asdf-system {
    pname = "reblocks-parenscript";
    version = "20230618-git";
    asds = [ "reblocks-parenscript" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-parenscript/2023-06-18/reblocks-parenscript-20230618-git.tgz";
      sha256 = "1rivsj5qq9bnhwb897r9cdg9ajlqsplvq4ipcprx6gnkqb7wydkp";
      system = "reblocks-parenscript";
      asd = "reblocks-parenscript";
    });
    systems = [ "reblocks-parenscript" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "parenscript" self) (getAttr "reblocks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-parenscript-ci = (build-asdf-system {
    pname = "reblocks-parenscript-ci";
    version = "20230618-git";
    asds = [ "reblocks-parenscript-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-parenscript/2023-06-18/reblocks-parenscript-20230618-git.tgz";
      sha256 = "1rivsj5qq9bnhwb897r9cdg9ajlqsplvq4ipcprx6gnkqb7wydkp";
      system = "reblocks-parenscript-ci";
      asd = "reblocks-parenscript-ci";
    });
    systems = [ "reblocks-parenscript-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-parenscript-docs = (build-asdf-system {
    pname = "reblocks-parenscript-docs";
    version = "20230618-git";
    asds = [ "reblocks-parenscript-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-parenscript/2023-06-18/reblocks-parenscript-20230618-git.tgz";
      sha256 = "1rivsj5qq9bnhwb897r9cdg9ajlqsplvq4ipcprx6gnkqb7wydkp";
      system = "reblocks-parenscript-docs";
      asd = "reblocks-parenscript-docs";
    });
    systems = [ "reblocks-parenscript-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-parenscript-tests = (build-asdf-system {
    pname = "reblocks-parenscript-tests";
    version = "20230618-git";
    asds = [ "reblocks-parenscript-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-parenscript/2023-06-18/reblocks-parenscript-20230618-git.tgz";
      sha256 = "1rivsj5qq9bnhwb897r9cdg9ajlqsplvq4ipcprx6gnkqb7wydkp";
      system = "reblocks-parenscript-tests";
      asd = "reblocks-parenscript-tests";
    });
    systems = [ "reblocks-parenscript-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-prometheus = (build-asdf-system {
    pname = "reblocks-prometheus";
    version = "20230618-git";
    asds = [ "reblocks-prometheus" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-prometheus/2023-06-18/reblocks-prometheus-20230618-git.tgz";
      sha256 = "1snx2nywmj5f0wkdg8j18fdjip1lk35v3vhkzqrwq1966z8qkl4l";
      system = "reblocks-prometheus";
      asd = "reblocks-prometheus";
    });
    systems = [ "reblocks-prometheus" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "cffi-grovel" self) (getAttr "log4cl-extras" self) (getAttr "prometheus" self) (getAttr "prometheus-gc" self) (getAttr "prometheus_dot_collectors_dot_process" self) (getAttr "prometheus_dot_collectors_dot_sbcl" self) (getAttr "prometheus_dot_formats_dot_text" self) (getAttr "reblocks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-prometheus-ci = (build-asdf-system {
    pname = "reblocks-prometheus-ci";
    version = "20230618-git";
    asds = [ "reblocks-prometheus-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-prometheus/2023-06-18/reblocks-prometheus-20230618-git.tgz";
      sha256 = "1snx2nywmj5f0wkdg8j18fdjip1lk35v3vhkzqrwq1966z8qkl4l";
      system = "reblocks-prometheus-ci";
      asd = "reblocks-prometheus-ci";
    });
    systems = [ "reblocks-prometheus-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-prometheus-tests = (build-asdf-system {
    pname = "reblocks-prometheus-tests";
    version = "20230618-git";
    asds = [ "reblocks-prometheus-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-prometheus/2023-06-18/reblocks-prometheus-20230618-git.tgz";
      sha256 = "1snx2nywmj5f0wkdg8j18fdjip1lk35v3vhkzqrwq1966z8qkl4l";
      system = "reblocks-prometheus-tests";
      asd = "reblocks-prometheus-tests";
    });
    systems = [ "reblocks-prometheus-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-tests = (build-asdf-system {
    pname = "reblocks-tests";
    version = "20230618-git";
    asds = [ "reblocks-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks/2023-06-18/reblocks-20230618-git.tgz";
      sha256 = "1ikvmmawlp79i7wck5pv75876798504538n7pna3r1ib9xmxcbmd";
      system = "reblocks-tests";
      asd = "reblocks-tests";
    });
    systems = [ "reblocks-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-mock" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "hamcrest" self) (getAttr "lack-request" self) (getAttr "lack-test" self) (getAttr "reblocks" self) (getAttr "rove" self) (getAttr "serapeum" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-typeahead = (build-asdf-system {
    pname = "reblocks-typeahead";
    version = "20230618-git";
    asds = [ "reblocks-typeahead" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-typeahead/2023-06-18/reblocks-typeahead-20230618-git.tgz";
      sha256 = "1j8ng31gaznhhmd536ch9r1zlmlhyarzpgsvpy1nnjizkagp06ky";
      system = "reblocks-typeahead";
      asd = "reblocks-typeahead";
    });
    systems = [ "reblocks-typeahead" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "parenscript" self) (getAttr "reblocks" self) (getAttr "reblocks-lass" self) (getAttr "reblocks-parenscript" self) (getAttr "reblocks-ui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-typeahead-ci = (build-asdf-system {
    pname = "reblocks-typeahead-ci";
    version = "20230618-git";
    asds = [ "reblocks-typeahead-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-typeahead/2023-06-18/reblocks-typeahead-20230618-git.tgz";
      sha256 = "1j8ng31gaznhhmd536ch9r1zlmlhyarzpgsvpy1nnjizkagp06ky";
      system = "reblocks-typeahead-ci";
      asd = "reblocks-typeahead-ci";
    });
    systems = [ "reblocks-typeahead-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-typeahead-docs = (build-asdf-system {
    pname = "reblocks-typeahead-docs";
    version = "20230618-git";
    asds = [ "reblocks-typeahead-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-typeahead/2023-06-18/reblocks-typeahead-20230618-git.tgz";
      sha256 = "1j8ng31gaznhhmd536ch9r1zlmlhyarzpgsvpy1nnjizkagp06ky";
      system = "reblocks-typeahead-docs";
      asd = "reblocks-typeahead-docs";
    });
    systems = [ "reblocks-typeahead-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-typeahead" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-typeahead-tests = (build-asdf-system {
    pname = "reblocks-typeahead-tests";
    version = "20230618-git";
    asds = [ "reblocks-typeahead-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-typeahead/2023-06-18/reblocks-typeahead-20230618-git.tgz";
      sha256 = "1j8ng31gaznhhmd536ch9r1zlmlhyarzpgsvpy1nnjizkagp06ky";
      system = "reblocks-typeahead-tests";
      asd = "reblocks-typeahead-tests";
    });
    systems = [ "reblocks-typeahead-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-ui = (build-asdf-system {
    pname = "reblocks-ui";
    version = "20230618-git";
    asds = [ "reblocks-ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-ui/2023-06-18/reblocks-ui-20230618-git.tgz";
      sha256 = "0c67xjnq0lccc4y1pkpf0ndhlqcrvm1g637p4z3d1r79la36wq4y";
      system = "reblocks-ui";
      asd = "reblocks-ui";
    });
    systems = [ "reblocks-ui" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "log4cl" self) (getAttr "log4cl-extras" self) (getAttr "parenscript" self) (getAttr "quri" self) (getAttr "reblocks" self) (getAttr "reblocks-parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-ui-docs = (build-asdf-system {
    pname = "reblocks-ui-docs";
    version = "20230618-git";
    asds = [ "reblocks-ui-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-ui/2023-06-18/reblocks-ui-20230618-git.tgz";
      sha256 = "0c67xjnq0lccc4y1pkpf0ndhlqcrvm1g637p4z3d1r79la36wq4y";
      system = "reblocks-ui-docs";
      asd = "reblocks-ui-docs";
    });
    systems = [ "reblocks-ui-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "reblocks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-ui-examples = (build-asdf-system {
    pname = "reblocks-ui-examples";
    version = "20230618-git";
    asds = [ "reblocks-ui-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-ui/2023-06-18/reblocks-ui-20230618-git.tgz";
      sha256 = "0c67xjnq0lccc4y1pkpf0ndhlqcrvm1g637p4z3d1r79la36wq4y";
      system = "reblocks-ui-examples";
      asd = "reblocks-ui-examples";
    });
    systems = [ "reblocks-ui-examples" ];
    lispLibs = [ (getAttr "reblocks" self) (getAttr "reblocks-lass" self) (getAttr "reblocks-ui" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-websocket = (build-asdf-system {
    pname = "reblocks-websocket";
    version = "20230618-git";
    asds = [ "reblocks-websocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-websocket/2023-06-18/reblocks-websocket-20230618-git.tgz";
      sha256 = "1nh1mskyqy5y1ar84vy7qwjqgxv8ykxg1jdlrhh0r2khal2az4cj";
      system = "reblocks-websocket";
      asd = "reblocks-websocket";
    });
    systems = [ "reblocks-websocket" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "jonathan" self) (getAttr "log4cl-extras" self) (getAttr "parenscript" self) (getAttr "reblocks" self) (getAttr "reblocks-parenscript" self) (getAttr "serapeum" self) (getAttr "websocket-driver" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-websocket-ci = (build-asdf-system {
    pname = "reblocks-websocket-ci";
    version = "20230618-git";
    asds = [ "reblocks-websocket-ci" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-websocket/2023-06-18/reblocks-websocket-20230618-git.tgz";
      sha256 = "1nh1mskyqy5y1ar84vy7qwjqgxv8ykxg1jdlrhh0r2khal2az4cj";
      system = "reblocks-websocket-ci";
      asd = "reblocks-websocket-ci";
    });
    systems = [ "reblocks-websocket-ci" ];
    lispLibs = [ (getAttr "_40ants-ci" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-websocket-docs = (build-asdf-system {
    pname = "reblocks-websocket-docs";
    version = "20230618-git";
    asds = [ "reblocks-websocket-docs" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-websocket/2023-06-18/reblocks-websocket-20230618-git.tgz";
      sha256 = "1nh1mskyqy5y1ar84vy7qwjqgxv8ykxg1jdlrhh0r2khal2az4cj";
      system = "reblocks-websocket-docs";
      asd = "reblocks-websocket-docs";
    });
    systems = [ "reblocks-websocket-docs" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "docs-config" self) (getAttr "named-readtables" self) (getAttr "pythonic-string-reader" self) (getAttr "reblocks-websocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reblocks-websocket-tests = (build-asdf-system {
    pname = "reblocks-websocket-tests";
    version = "20230618-git";
    asds = [ "reblocks-websocket-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reblocks-websocket/2023-06-18/reblocks-websocket-20230618-git.tgz";
      sha256 = "1nh1mskyqy5y1ar84vy7qwjqgxv8ykxg1jdlrhh0r2khal2az4cj";
      system = "reblocks-websocket-tests";
      asd = "reblocks-websocket-tests";
    });
    systems = [ "reblocks-websocket-tests" ];
    lispLibs = [ (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rectangle-packing = (build-asdf-system {
    pname = "rectangle-packing";
    version = "20130615-git";
    asds = [ "rectangle-packing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rectangle-packing/2013-06-15/rectangle-packing-20130615-git.tgz";
      sha256 = "1m31qbgkrgbp753mr012hpzjfddwmfzvazaadp3s6wd34vmbbv01";
      system = "rectangle-packing";
      asd = "rectangle-packing";
    });
    systems = [ "rectangle-packing" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  recur = (build-asdf-system {
    pname = "recur";
    version = "20230618-git";
    asds = [ "recur" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recur/2023-06-18/recur-20230618-git.tgz";
      sha256 = "1wlw378h3k4ganw49kk5zrhx3w692yfdb4zaiciwqzviwz52c7gc";
      system = "recur";
      asd = "recur";
    });
    systems = [ "recur" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  recursive-regex = (build-asdf-system {
    pname = "recursive-regex";
    version = "20120407-git";
    asds = [ "recursive-regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-regex/2012-04-07/recursive-regex-20120407-git.tgz";
      sha256 = "1alsfqfa85dwms7i3xrbp6ahlqk9a3sl8d4llxy1ydb0rlb09l4r";
      system = "recursive-regex";
      asd = "recursive-regex";
    });
    systems = [ "recursive-regex" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  recursive-regex-test = (build-asdf-system {
    pname = "recursive-regex-test";
    version = "20120407-git";
    asds = [ "recursive-regex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-regex/2012-04-07/recursive-regex-20120407-git.tgz";
      sha256 = "1alsfqfa85dwms7i3xrbp6ahlqk9a3sl8d4llxy1ydb0rlb09l4r";
      system = "recursive-regex-test";
      asd = "recursive-regex";
    });
    systems = [ "recursive-regex-test" ];
    lispLibs = [ (getAttr "lisp-unit" self) (getAttr "recursive-regex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  recursive-restart = (build-asdf-system {
    pname = "recursive-restart";
    version = "20161031-git";
    asds = [ "recursive-restart" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/recursive-restart/2016-10-31/recursive-restart-20161031-git.tgz";
      sha256 = "0lgw95bnzw99avrb7vcg02fbw3y5mazfgnkim8gsazfjliaj21m7";
      system = "recursive-restart";
      asd = "recursive-restart";
    });
    systems = [ "recursive-restart" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  red-black-tree = (build-asdf-system {
    pname = "red-black-tree";
    version = "20220707-git";
    asds = [ "red-black-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/red-black-tree/2022-07-07/red-black-tree-20220707-git.tgz";
      sha256 = "0dbl6y4l7k30a13d6rfdfby6p27li5b17nvz7xgyajxl9q5zz5kk";
      system = "red-black-tree";
      asd = "red-black-tree";
    });
    systems = [ "red-black-tree" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  redirect-stream = (build-asdf-system {
    pname = "redirect-stream";
    version = "20190710-git";
    asds = [ "redirect-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/redirect-stream/2019-07-10/redirect-stream-20190710-git.tgz";
      sha256 = "1l1mwkk3pxbahx2m2v9yw19na45sjdxfy1dv59if738x5mvaqb05";
      system = "redirect-stream";
      asd = "redirect-stream";
    });
    systems = [ "redirect-stream" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  regex = (build-asdf-system {
    pname = "regex";
    version = "20120909-git";
    asds = [ "regex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regex/2012-09-09/regex-20120909-git.tgz";
      sha256 = "0wq5wlafrxv13wg28hg5b10sc48b88swsvznpy2zg7x37m4nmm6a";
      system = "regex";
      asd = "regex";
    });
    systems = [ "regex" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  remote-js = (build-asdf-system {
    pname = "remote-js";
    version = "20190710-git";
    asds = [ "remote-js" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/remote-js/2019-07-10/remote-js-20190710-git.tgz";
      sha256 = "1z8apvfng8i7x4dsnz9da4y2l9mr7jykm19lmq3070qra7r3lby6";
      system = "remote-js";
      asd = "remote-js";
    });
    systems = [ "remote-js" ];
    lispLibs = [ (getAttr "cl-markup" self) (getAttr "find-port" self) (getAttr "trivial-ws" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  remote-js-test = (build-asdf-system {
    pname = "remote-js-test";
    version = "20190710-git";
    asds = [ "remote-js-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/remote-js/2019-07-10/remote-js-20190710-git.tgz";
      sha256 = "1z8apvfng8i7x4dsnz9da4y2l9mr7jykm19lmq3070qra7r3lby6";
      system = "remote-js-test";
      asd = "remote-js-test";
    });
    systems = [ "remote-js-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "remote-js" self) (getAttr "trivial-open-browser" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  repl-utilities = (build-asdf-system {
    pname = "repl-utilities";
    version = "20210228-git";
    asds = [ "repl-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/repl-utilities/2021-02-28/repl-utilities-20210228-git.tgz";
      sha256 = "1hh56pq5nw3l4b83dzlyss69f06r038byj2cnjwvci4hfjhdfcc3";
      system = "repl-utilities";
      asd = "repl-utilities";
    });
    systems = [ "repl-utilities" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  replic = (build-asdf-system {
    pname = "replic";
    version = "20230214-git";
    asds = [ "replic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/replic/2023-02-14/replic-20230214-git.tgz";
      sha256 = "1jq0ysgpkcsw2fbxjy0v9kqvfnrdwzvrzc1a7fykihds548z3slf";
      system = "replic";
      asd = "replic";
    });
    systems = [ "replic" ];
    lispLibs = [ (getAttr "cl-ansi-text" self) (getAttr "cl-readline" self) (getAttr "py-configparser" self) (getAttr "shlex" self) (getAttr "str" self) (getAttr "unix-opts" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  replic-test = (build-asdf-system {
    pname = "replic-test";
    version = "20230214-git";
    asds = [ "replic-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/replic/2023-02-14/replic-20230214-git.tgz";
      sha256 = "1jq0ysgpkcsw2fbxjy0v9kqvfnrdwzvrzc1a7fykihds548z3slf";
      system = "replic-test";
      asd = "replic-test";
    });
    systems = [ "replic-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "replic" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  research = (build-asdf-system {
    pname = "research";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "research" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "research";
      asd = "research";
    });
    systems = [ "research" ];
    lispLibs = [ (getAttr "_2d-array-test" self) (getAttr "adjuvant" self) (getAttr "adjuvant-test" self) (getAttr "dispatch-test" self) (getAttr "ndfa-test" self) (getAttr "rte-regexp-test" self) (getAttr "rte-test" self) (getAttr "scrutiny" self) (getAttr "scrutiny-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  resignal-bind = (build-asdf-system {
    pname = "resignal-bind";
    version = "20211020-git";
    asds = [ "resignal-bind" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/resignal-bind/2021-10-20/resignal-bind-20211020-git.tgz";
      sha256 = "109b5bf2h3yqax87r16dsbnb0xdd9kqi0zdisy0wja1h622yrxhc";
      system = "resignal-bind";
      asd = "resignal-bind";
    });
    systems = [ "resignal-bind" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  resignal-bind_dot_test = (build-asdf-system {
    pname = "resignal-bind.test";
    version = "20211020-git";
    asds = [ "resignal-bind.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/resignal-bind/2021-10-20/resignal-bind-20211020-git.tgz";
      sha256 = "109b5bf2h3yqax87r16dsbnb0xdd9kqi0zdisy0wja1h622yrxhc";
      system = "resignal-bind.test";
      asd = "resignal-bind.test";
    });
    systems = [ "resignal-bind.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "resignal-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restas = (build-asdf-system {
    pname = "restas";
    version = "20191008-git";
    asds = [ "restas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas/2019-10-08/restas-20191008-git.tgz";
      sha256 = "00ng6jik1lwjw3bbxhijy8s0ml24lgm73liwrr01gcsb0r6wrjjn";
      system = "restas";
      asd = "restas";
    });
    systems = [ "restas" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "data-sift" self) (getAttr "hunchentoot" self) (getAttr "routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restas-directory-publisher = (build-asdf-system {
    pname = "restas-directory-publisher";
    version = "20130128-git";
    asds = [ "restas-directory-publisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas-directory-publisher/2013-01-28/restas-directory-publisher-20130128-git.tgz";
      sha256 = "1ra4bxsg9v507zrqjx78ak3797clagl6n62d3bx0aghrnkal1gmp";
      system = "restas-directory-publisher";
      asd = "restas-directory-publisher";
    });
    systems = [ "restas-directory-publisher" ];
    lispLibs = [ (getAttr "closure-template" self) (getAttr "local-time" self) (getAttr "restas" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restas-doc = (build-asdf-system {
    pname = "restas-doc";
    version = "20191008-git";
    asds = [ "restas-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas/2019-10-08/restas-20191008-git.tgz";
      sha256 = "00ng6jik1lwjw3bbxhijy8s0ml24lgm73liwrr01gcsb0r6wrjjn";
      system = "restas-doc";
      asd = "restas-doc";
    });
    systems = [ "restas-doc" ];
    lispLibs = [ (getAttr "restas" self) (getAttr "restas-directory-publisher" self) (getAttr "sphinx" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restas_dot_file-publisher = (build-asdf-system {
    pname = "restas.file-publisher";
    version = "20120107-git";
    asds = [ "restas.file-publisher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restas.file-publisher/2012-01-07/restas.file-publisher-20120107-git.tgz";
      sha256 = "12h291as21ziqb1l6p2p4hy429z6zznacp1gn0m2vah7f811q75l";
      system = "restas.file-publisher";
      asd = "restas.file-publisher";
    });
    systems = [ "restas.file-publisher" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "restas" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restful = (build-asdf-system {
    pname = "restful";
    version = "20150608-git";
    asds = [ "restful" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restful/2015-06-08/restful-20150608-git.tgz";
      sha256 = "1imcpd9zm1dbb1675pf3g3d6w9vyxk07g7r33174qdw470j8ml5n";
      system = "restful";
      asd = "restful";
    });
    systems = [ "restful" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "hunchentoot" self) (getAttr "jonathan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restful-test = (build-asdf-system {
    pname = "restful-test";
    version = "20150608-git";
    asds = [ "restful-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restful/2015-06-08/restful-20150608-git.tgz";
      sha256 = "1imcpd9zm1dbb1675pf3g3d6w9vyxk07g7r33174qdw470j8ml5n";
      system = "restful-test";
      asd = "restful-test";
    });
    systems = [ "restful-test" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "restful" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  restricted-functions = (build-asdf-system {
    pname = "restricted-functions";
    version = "20190521-git";
    asds = [ "restricted-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/restricted-functions/2019-05-21/restricted-functions-20190521-git.tgz";
      sha256 = "092k7bp6n8kppf2wdqf1kf1h8lrww6k1dcxp05dby779b8c6kfz4";
      system = "restricted-functions";
      asd = "restricted-functions";
    });
    systems = [ "restricted-functions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "simplified-types" self) (getAttr "trivia" self) (getAttr "trivial-arguments" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  retrospectiff = (build-asdf-system {
    pname = "retrospectiff";
    version = "20211209-git";
    asds = [ "retrospectiff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/retrospectiff/2021-12-09/retrospectiff-20211209-git.tgz";
      sha256 = "1vfcbfzhkm2wkxnjg7y6gg93wlib9cqpbdbhyqcm5kc7170ci3vz";
      system = "retrospectiff";
      asd = "retrospectiff";
    });
    systems = [ "retrospectiff" ];
    lispLibs = [ (getAttr "cl-jpeg" self) (getAttr "com_dot_gigamonkeys_dot_binary-data" self) (getAttr "deflate" self) (getAttr "flexi-streams" self) (getAttr "ieee-floats" self) (getAttr "opticl-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  reversi = (build-asdf-system {
    pname = "reversi";
    version = "20201016-git";
    asds = [ "reversi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/reversi/2020-10-16/reversi-20201016-git.tgz";
      sha256 = "1vwjk207hvn5skazmkrcifkv4ia9nm5312rj0fr3w5423dr56swx";
      system = "reversi";
      asd = "reversi";
    });
    systems = [ "reversi" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rfc2109 = (build-asdf-system {
    pname = "rfc2109";
    version = "20151218-darcs";
    asds = [ "rfc2109" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2109/2015-12-18/rfc2109-20151218-darcs.tgz";
      sha256 = "1y767qjv5jxyfqzp0zpw96yz95mb8hhpjj9dn2i6b92r0z2vr42d";
      system = "rfc2109";
      asd = "rfc2109";
    });
    systems = [ "rfc2109" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rfc2388 = (build-asdf-system {
    pname = "rfc2388";
    version = "20180831-git";
    asds = [ "rfc2388" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2388/2018-08-31/rfc2388-20180831-git.tgz";
      sha256 = "0phh5n3clhl9ji8jaxrajidn22d3f0aq87mlbfkkxlnx2pnw694k";
      system = "rfc2388";
      asd = "rfc2388";
    });
    systems = [ "rfc2388" ];
    lispLibs = [  ];
    meta = {};
  });
  rfc2388-binary = (build-asdf-system {
    pname = "rfc2388-binary";
    version = "20170124-darcs";
    asds = [ "rfc2388-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rfc2388-binary/2017-01-24/rfc2388-binary-20170124-darcs.tgz";
      sha256 = "1ddjhd9vqramg93963d4py9a2hqpy1fr1ly517r3bpjx7a5mffwk";
      system = "rfc2388-binary";
      asd = "rfc2388-binary";
    });
    systems = [ "rfc2388-binary" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rlc = (build-asdf-system {
    pname = "rlc";
    version = "20150923-git";
    asds = [ "rlc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rlc/2015-09-23/rlc-20150923-git.tgz";
      sha256 = "1c37as5x45yizs76s7115a0w3fgas80bjb8xzq7yylpmxq44s2rk";
      system = "rlc";
      asd = "rlc";
    });
    systems = [ "rlc" ];
    lispLibs = [ (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  roan = (build-asdf-system {
    pname = "roan";
    version = "20201220-git";
    asds = [ "roan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/roan/2020-12-20/roan-20201220-git.tgz";
      sha256 = "032znprz03x4apzssb5vzs55cfdfyvca56bcrwxwm9dgkh3cnh7z";
      system = "roan";
      asd = "roan";
    });
    systems = [ "roan" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-encodings" self) (getAttr "binascii" self) (getAttr "cl-fad" self) (getAttr "cl-interpol" self) (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "named-readtables" self) (getAttr "plump" self) (getAttr "uuid" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  robot = (build-asdf-system {
    pname = "robot";
    version = "master-5b2475f9-git";
    asds = [ "robot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "robot";
      asd = "robot";
    });
    systems = [ "robot" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rock = (build-asdf-system {
    pname = "rock";
    version = "20150608-git";
    asds = [ "rock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock";
      asd = "rock";
    });
    systems = [ "rock" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "trivial-download" self) (getAttr "trivial-extract" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rock-test = (build-asdf-system {
    pname = "rock-test";
    version = "20150608-git";
    asds = [ "rock-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock-test";
      asd = "rock-test";
    });
    systems = [ "rock-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "rock" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rock-web = (build-asdf-system {
    pname = "rock-web";
    version = "20150608-git";
    asds = [ "rock-web" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rock/2015-06-08/rock-20150608-git.tgz";
      sha256 = "1ckvxswinv25vzwmyrr6k7m9cx99kl04b4543mlxad9688np91y8";
      system = "rock-web";
      asd = "rock-web";
    });
    systems = [ "rock-web" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "_3bmd-ext-definition-lists" self) (getAttr "cl-markup" self) (getAttr "lass" self) (getAttr "rock" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  romreader = (build-asdf-system {
    pname = "romreader";
    version = "20140713-git";
    asds = [ "romreader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/romreader/2014-07-13/romreader-20140713-git.tgz";
      sha256 = "1k3fnh48vy5wdbqif4hmflmxc3xnihyi1222cldcjvxl294yk6xx";
      system = "romreader";
      asd = "romreader";
    });
    systems = [ "romreader" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  routes = (build-asdf-system {
    pname = "routes";
    version = "20170124-git";
    asds = [ "routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-routes/2017-01-24/cl-routes-20170124-git.tgz";
      sha256 = "1zpk3cp2v8hm50ppjl10yxr437vv4552r8hylvizglzrq2ibsbr1";
      system = "routes";
      asd = "routes";
    });
    systems = [ "routes" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "puri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  routes-test = (build-asdf-system {
    pname = "routes-test";
    version = "20170124-git";
    asds = [ "routes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-routes/2017-01-24/cl-routes-20170124-git.tgz";
      sha256 = "1zpk3cp2v8hm50ppjl10yxr437vv4552r8hylvizglzrq2ibsbr1";
      system = "routes-test";
      asd = "routes";
    });
    systems = [ "routes-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rove = (build-asdf-system {
    pname = "rove";
    version = "20230214-git";
    asds = [ "rove" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rove/2023-02-14/rove-20230214-git.tgz";
      sha256 = "1w99c0795ykhn14pfhyhvfzxzz0k1z1bb846xgz3iv19s0j2vykr";
      system = "rove";
      asd = "rove";
    });
    systems = [ "rove" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "dissect" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  rovers-problem-translator = (build-asdf-system {
    pname = "rovers-problem-translator";
    version = "20230618-git";
    asds = [ "rovers-problem-translator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2023-06-18/shop3-20230618-git.tgz";
      sha256 = "1gvlclqf95gb5j2cwv94yc80jflhnvzr1hsk2ylpbvjigzhphlvn";
      system = "rovers-problem-translator";
      asd = "rovers-problem-translator";
    });
    systems = [ "rovers-problem-translator" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "shop3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rpcq = (build-asdf-system {
    pname = "rpcq";
    version = "v3.10.0";
    asds = [ "rpcq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpcq/2022-07-07/rpcq-v3.10.0.tgz";
      sha256 = "1bvppxlacvp0pfdbpn7ls1zxd127jacl225ds7lph5s8f8cyvf17";
      system = "rpcq";
      asd = "rpcq";
    });
    systems = [ "rpcq" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-messagepack" self) (getAttr "cl-ppcre" self) (getAttr "cl-syslog" self) (getAttr "flexi-streams" self) (getAttr "local-time" self) (getAttr "parse-float" self) (getAttr "pzmq" self) (getAttr "trivial-backtrace" self) (getAttr "uuid" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rpcq-tests = (build-asdf-system {
    pname = "rpcq-tests";
    version = "v3.10.0";
    asds = [ "rpcq-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpcq/2022-07-07/rpcq-v3.10.0.tgz";
      sha256 = "1bvppxlacvp0pfdbpn7ls1zxd127jacl225ds7lph5s8f8cyvf17";
      system = "rpcq-tests";
      asd = "rpcq-tests";
    });
    systems = [ "rpcq-tests" ];
    lispLibs = [ (getAttr "cl-messagepack" self) (getAttr "cl-syslog" self) (getAttr "fiasco" self) (getAttr "rpcq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rpm = (build-asdf-system {
    pname = "rpm";
    version = "20160421-git";
    asds = [ "rpm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rpm/2016-04-21/rpm-20160421-git.tgz";
      sha256 = "0qn4vw3pvjm0maksl57mwikcmv7calzlblp5s01ixrn3nrgxmd9k";
      system = "rpm";
      asd = "rpm";
    });
    systems = [ "rpm" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "fare-utils" self) (getAttr "inferior-shell" self) (getAttr "lambda-reader" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors = (build-asdf-system {
    pname = "rs-colors";
    version = "20220331-git";
    asds = [ "rs-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors";
      asd = "rs-colors";
    });
    systems = [ "rs-colors" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "read-number" self) (getAttr "rs-colors-internal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-html = (build-asdf-system {
    pname = "rs-colors-html";
    version = "20220331-git";
    asds = [ "rs-colors-html" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-html";
      asd = "rs-colors-html";
    });
    systems = [ "rs-colors-html" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-internal = (build-asdf-system {
    pname = "rs-colors-internal";
    version = "20220331-git";
    asds = [ "rs-colors-internal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-internal";
      asd = "rs-colors-internal";
    });
    systems = [ "rs-colors-internal" ];
    lispLibs = [ (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-material-io = (build-asdf-system {
    pname = "rs-colors-material-io";
    version = "20220331-git";
    asds = [ "rs-colors-material-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-material-io";
      asd = "rs-colors-material-io";
    });
    systems = [ "rs-colors-material-io" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-ral = (build-asdf-system {
    pname = "rs-colors-ral";
    version = "20220331-git";
    asds = [ "rs-colors-ral" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-ral";
      asd = "rs-colors-ral";
    });
    systems = [ "rs-colors-ral" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-ral-design = (build-asdf-system {
    pname = "rs-colors-ral-design";
    version = "20220331-git";
    asds = [ "rs-colors-ral-design" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-ral-design";
      asd = "rs-colors-ral-design";
    });
    systems = [ "rs-colors-ral-design" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-svg = (build-asdf-system {
    pname = "rs-colors-svg";
    version = "20220331-git";
    asds = [ "rs-colors-svg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-svg";
      asd = "rs-colors-svg";
    });
    systems = [ "rs-colors-svg" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-tango = (build-asdf-system {
    pname = "rs-colors-tango";
    version = "20220331-git";
    asds = [ "rs-colors-tango" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-tango";
      asd = "rs-colors-tango";
    });
    systems = [ "rs-colors-tango" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-colors-x11 = (build-asdf-system {
    pname = "rs-colors-x11";
    version = "20220331-git";
    asds = [ "rs-colors-x11" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-colors/2022-03-31/rs-colors-20220331-git.tgz";
      sha256 = "06akjly9s4pfix39yca8n3dpazbby09wc8cj0fsfvkg61lvacic5";
      system = "rs-colors-x11";
      asd = "rs-colors-x11";
    });
    systems = [ "rs-colors-x11" ];
    lispLibs = [ (getAttr "rs-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rs-json = (build-asdf-system {
    pname = "rs-json";
    version = "20230618-git";
    asds = [ "rs-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rs-json/2023-06-18/rs-json-20230618-git.tgz";
      sha256 = "0y71as0sg5vfijpzdhv6pj6yv064ldn2shx0y4da8kvaqv949dnq";
      system = "rs-json";
      asd = "rs-json";
    });
    systems = [ "rs-json" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-unicode" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rss = (build-asdf-system {
    pname = "rss";
    version = "20201016-git";
    asds = [ "rss" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-rss/2020-10-16/cl-rss-20201016-git.tgz";
      sha256 = "0wv3j13fj73gigriw5r9vi920hz05ld7zllsvbxdxvmyfy9k1kly";
      system = "rss";
      asd = "rss";
    });
    systems = [ "rss" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "kmrcl" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rt = (build-asdf-system {
    pname = "rt";
    version = "20101006-git";
    asds = [ "rt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt/2010-10-06/rt-20101006-git.tgz";
      sha256 = "13si2rrxaagbr0bkvg6sqicxxpyshabx6ad6byc9n2ik5ysna69b";
      system = "rt";
      asd = "rt";
    });
    systems = [ "rt" ];
    lispLibs = [  ];
    meta = {};
  });
  rt-events = (build-asdf-system {
    pname = "rt-events";
    version = "20160318-git";
    asds = [ "rt-events" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt-events/2016-03-18/rt-events-20160318-git.tgz";
      sha256 = "17wqhczsi4mq00fp5hfc38b9ijdiaqjh7cvxhy714qqz3f5mxzdw";
      system = "rt-events";
      asd = "rt-events";
    });
    systems = [ "rt-events" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rt-events_dot_examples = (build-asdf-system {
    pname = "rt-events.examples";
    version = "20160318-git";
    asds = [ "rt-events.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rt-events/2016-03-18/rt-events-20160318-git.tgz";
      sha256 = "17wqhczsi4mq00fp5hfc38b9ijdiaqjh7cvxhy714qqz3f5mxzdw";
      system = "rt-events.examples";
      asd = "rt-events.examples";
    });
    systems = [ "rt-events.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "rt-events" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rte = (build-asdf-system {
    pname = "rte";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte";
      asd = "rte";
    });
    systems = [ "rte" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "lisp-types" self) (getAttr "ndfa" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rte-regexp = (build-asdf-system {
    pname = "rte-regexp";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-regexp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-regexp";
      asd = "rte-regexp";
    });
    systems = [ "rte-regexp" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "rte" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rte-regexp-test = (build-asdf-system {
    pname = "rte-regexp-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-regexp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-regexp-test";
      asd = "rte-regexp-test";
    });
    systems = [ "rte-regexp-test" ];
    lispLibs = [ (getAttr "adjuvant" self) (getAttr "rte" self) (getAttr "rte-regexp" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rte-test = (build-asdf-system {
    pname = "rte-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "rte-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "rte-test";
      asd = "rte-test";
    });
    systems = [ "rte-test" ];
    lispLibs = [ (getAttr "_2d-array" self) (getAttr "_2d-array-test" self) (getAttr "adjuvant" self) (getAttr "lisp-types-test" self) (getAttr "ndfa-test" self) (getAttr "rte" self) (getAttr "rte-regexp-test" self) (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rtg-math = (build-asdf-system {
    pname = "rtg-math";
    version = "release-quicklisp-29fc5b3d-git";
    asds = [ "rtg-math" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rtg-math/2019-10-07/rtg-math-release-quicklisp-29fc5b3d-git.tgz";
      sha256 = "0bhxxnv7ldkkb18zdxyz2rj2a3iawzq2kcp7cn5i91iby7n0082x";
      system = "rtg-math";
      asd = "rtg-math";
    });
    systems = [ "rtg-math" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "documentation-utils" self) (getAttr "glsl-symbols" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rtg-math_dot_vari = (build-asdf-system {
    pname = "rtg-math.vari";
    version = "release-quicklisp-29fc5b3d-git";
    asds = [ "rtg-math.vari" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rtg-math/2019-10-07/rtg-math-release-quicklisp-29fc5b3d-git.tgz";
      sha256 = "0bhxxnv7ldkkb18zdxyz2rj2a3iawzq2kcp7cn5i91iby7n0082x";
      system = "rtg-math.vari";
      asd = "rtg-math.vari";
    });
    systems = [ "rtg-math.vari" ];
    lispLibs = [ (getAttr "glsl-symbols" self) (getAttr "rtg-math" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rucksack = (build-asdf-system {
    pname = "rucksack";
    version = "20150608-git";
    asds = [ "rucksack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rucksack/2015-06-08/rucksack-20150608-git.tgz";
      sha256 = "0d6lvhc18i0brh75vp3n974ssx52b42rvwd24llhnphlnhryxh86";
      system = "rucksack";
      asd = "rucksack";
    });
    systems = [ "rucksack" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rucksack-test = (build-asdf-system {
    pname = "rucksack-test";
    version = "20150608-git";
    asds = [ "rucksack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rucksack/2015-06-08/rucksack-20150608-git.tgz";
      sha256 = "0d6lvhc18i0brh75vp3n974ssx52b42rvwd24llhnphlnhryxh86";
      system = "rucksack-test";
      asd = "rucksack-test";
    });
    systems = [ "rucksack-test" ];
    lispLibs = [ (getAttr "rucksack" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rutils = (build-asdf-system {
    pname = "rutils";
    version = "20221106-git";
    asds = [ "rutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutils";
      asd = "rutils";
    });
    systems = [ "rutils" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rutils-test = (build-asdf-system {
    pname = "rutils-test";
    version = "20221106-git";
    asds = [ "rutils-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutils-test";
      asd = "rutils-test";
    });
    systems = [ "rutils-test" ];
    lispLibs = [ (getAttr "rutils" self) (getAttr "should-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  rutilsx = (build-asdf-system {
    pname = "rutilsx";
    version = "20221106-git";
    asds = [ "rutilsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/rutils/2022-11-06/rutils-20221106-git.tgz";
      sha256 = "108l64k7qhbhmgp0wa4krm23wakyfc41wzyl2fgc9k59gf47axhq";
      system = "rutilsx";
      asd = "rutilsx";
    });
    systems = [ "rutilsx" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "named-readtables" self) (getAttr "rutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ryeboy = (build-asdf-system {
    pname = "ryeboy";
    version = "20201016-git";
    asds = [ "ryeboy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ryeboy/2020-10-16/ryeboy-20201016-git.tgz";
      sha256 = "0div6m6861damksxdxcycpdyyjn50bjsxfdkksm34w6162zdjcla";
      system = "ryeboy";
      asd = "ryeboy";
    });
    systems = [ "ryeboy" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "com_dot_google_dot_base" self) (getAttr "protobuf" self) (getAttr "prove-asdf" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-base64 = (build-asdf-system {
    pname = "s-base64";
    version = "20130128-git";
    asds = [ "s-base64" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-base64/2013-01-28/s-base64-20130128-git.tgz";
      sha256 = "0zrr8zhnkdy97c5g54605nhjlf7fly79ylr1yf6wwyssia04cagg";
      system = "s-base64";
      asd = "s-base64";
    });
    systems = [ "s-base64" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-dot2 = (build-asdf-system {
    pname = "s-dot2";
    version = "20181018-git";
    asds = [ "s-dot2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-dot2/2018-10-18/s-dot2-20181018-git.tgz";
      sha256 = "0q8293fhdb1i2mgmck5611z92p71g9fcarrm87nsr6s21w29hzrz";
      system = "s-dot2";
      asd = "s-dot2";
    });
    systems = [ "s-dot2" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-graphviz = (build-asdf-system {
    pname = "s-graphviz";
    version = "20201220-git";
    asds = [ "s-graphviz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-graphviz/2020-12-20/s-graphviz-20201220-git.tgz";
      sha256 = "1841xwci6y1gfhg15464wrlnw8xgsh1mwbg4yy2y7di02q4fbma2";
      system = "s-graphviz";
      asd = "s-graphviz";
    });
    systems = [ "s-graphviz" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "literate-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-http-client = (build-asdf-system {
    pname = "s-http-client";
    version = "20200427-git";
    asds = [ "s-http-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-http-client/2020-04-27/s-http-client-20200427-git.tgz";
      sha256 = "1fb2901h91rgfxz3cm1lb2dnd84m1fr745nd2kswd1mj2xz94zn8";
      system = "s-http-client";
      asd = "s-http-client";
    });
    systems = [ "s-http-client" ];
    lispLibs = [ (getAttr "chipz" self) (getAttr "puri" self) (getAttr "s-base64" self) (getAttr "s-sysdeps" self) (getAttr "s-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-http-server = (build-asdf-system {
    pname = "s-http-server";
    version = "20200427-git";
    asds = [ "s-http-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-http-server/2020-04-27/s-http-server-20200427-git.tgz";
      sha256 = "025mvnqhxx2c092aam3s4fk9v0p65hzdw39y4lamm0bdralda4bk";
      system = "s-http-server";
      asd = "s-http-server";
    });
    systems = [ "s-http-server" ];
    lispLibs = [ (getAttr "puri" self) (getAttr "s-base64" self) (getAttr "s-sysdeps" self) (getAttr "s-utils" self) (getAttr "salza2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-sql = (build-asdf-system {
    pname = "s-sql";
    version = "20230214-git";
    asds = [ "s-sql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2023-02-14/postmodern-20230214-git.tgz";
      sha256 = "19pk3jinlv70arcz6073lglg4mf972h03rxynn4z9qabqc2gk9kw";
      system = "s-sql";
      asd = "s-sql";
    });
    systems = [ "s-sql" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-postgres" self) ];
    meta = {};
  });
  s-sysdeps = (build-asdf-system {
    pname = "s-sysdeps";
    version = "20210228-git";
    asds = [ "s-sysdeps" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-sysdeps/2021-02-28/s-sysdeps-20210228-git.tgz";
      sha256 = "0rp81iq0rgl48qdwbmfy89glga81hmry2lp8adjbr5h5ybr92b4n";
      system = "s-sysdeps";
      asd = "s-sysdeps";
    });
    systems = [ "s-sysdeps" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "usocket" self) (getAttr "usocket-server" self) ];
    meta = {};
  });
  s-utils = (build-asdf-system {
    pname = "s-utils";
    version = "20200427-git";
    asds = [ "s-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-utils/2020-04-27/s-utils-20200427-git.tgz";
      sha256 = "0xggbcvjmj4sdqcs6vaccryqp2piaqxkc0ygkczrd5m14bwrmlp6";
      system = "s-utils";
      asd = "s-utils";
    });
    systems = [ "s-utils" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-xml = (build-asdf-system {
    pname = "s-xml";
    version = "20150608-git";
    asds = [ "s-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml";
      asd = "s-xml";
    });
    systems = [ "s-xml" ];
    lispLibs = [  ];
    meta = {};
  });
  s-xml-rpc = (build-asdf-system {
    pname = "s-xml-rpc";
    version = "20190521-git";
    asds = [ "s-xml-rpc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml-rpc/2019-05-21/s-xml-rpc-20190521-git.tgz";
      sha256 = "0z42awkz124xphkahw0mhg1pk029l2799rhyy51387ndd6gbqscx";
      system = "s-xml-rpc";
      asd = "s-xml-rpc";
    });
    systems = [ "s-xml-rpc" ];
    lispLibs = [ (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-xml_dot_examples = (build-asdf-system {
    pname = "s-xml.examples";
    version = "20150608-git";
    asds = [ "s-xml.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml.examples";
      asd = "s-xml";
    });
    systems = [ "s-xml.examples" ];
    lispLibs = [ (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  s-xml_dot_test = (build-asdf-system {
    pname = "s-xml.test";
    version = "20150608-git";
    asds = [ "s-xml.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/s-xml/2015-06-08/s-xml-20150608-git.tgz";
      sha256 = "1zsf5zrlf47g5cp70kb9b8d4v88315g633q5jcdx22csw7sd7if1";
      system = "s-xml.test";
      asd = "s-xml";
    });
    systems = [ "s-xml.test" ];
    lispLibs = [ (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  safe-queue = (build-asdf-system {
    pname = "safe-queue";
    version = "20200325-git";
    asds = [ "safe-queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safe-queue/2020-03-25/safe-queue-20200325-git.tgz";
      sha256 = "1agvp8y2k5c6w35kly6d9a7hi1y6csn4k0hqqdv7i87lgjdi7vrq";
      system = "safe-queue";
      asd = "safe-queue";
    });
    systems = [ "safe-queue" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  safe-read = (build-asdf-system {
    pname = "safe-read";
    version = "20220220-git";
    asds = [ "safe-read" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safe-read/2022-02-20/safe-read-20220220-git.tgz";
      sha256 = "1r9k8danfnqgpbn2vb90n6wdc6jd92h1ig565yplrbh6232lhi26";
      system = "safe-read";
      asd = "safe-read";
    });
    systems = [ "safe-read" ];
    lispLibs = [ (getAttr "local-time" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  safety-params = (build-asdf-system {
    pname = "safety-params";
    version = "20190202-git";
    asds = [ "safety-params" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/safety-params/2019-02-02/safety-params-20190202-git.tgz";
      sha256 = "1y69b9aw3vsnsk0vdjyxw011j0lgc5gdwv6ay6vzfipa9gzi92ki";
      system = "safety-params";
      asd = "safety-params";
    });
    systems = [ "safety-params" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  salza2 = (build-asdf-system {
    pname = "salza2";
    version = "2.1";
    asds = [ "salza2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/salza2/2021-10-20/salza2-2.1.tgz";
      sha256 = "1p48lxdibnps5rpyh5cmnk0vc77bmmxb32qdzfz93zadr8wwas10";
      system = "salza2";
      asd = "salza2";
    });
    systems = [ "salza2" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  sandalphon_dot_lambda-list = (build-asdf-system {
    pname = "sandalphon.lambda-list";
    version = "20180711-git";
    asds = [ "sandalphon.lambda-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sandalphon.lambda-list/2018-07-11/sandalphon.lambda-list-20180711-git.tgz";
      sha256 = "1iihs05cwy4xyms2vl3fjc9xpivyxb2mpmb60nylxrkvlm0l7v7h";
      system = "sandalphon.lambda-list";
      asd = "sandalphon.lambda-list";
    });
    systems = [ "sandalphon.lambda-list" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sanitize = (build-asdf-system {
    pname = "sanitize";
    version = "20130720-git";
    asds = [ "sanitize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sanitize/2013-07-20/cl-sanitize-20130720-git.tgz";
      sha256 = "101qqgi53scz3aaca57yg5wk9ana2axpwssmgrcb5c2ip5a2lwi3";
      system = "sanitize";
      asd = "sanitize";
    });
    systems = [ "sanitize" ];
    lispLibs = [ (getAttr "cl-libxml2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sanitize-test = (build-asdf-system {
    pname = "sanitize-test";
    version = "20130720-git";
    asds = [ "sanitize-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sanitize/2013-07-20/cl-sanitize-20130720-git.tgz";
      sha256 = "101qqgi53scz3aaca57yg5wk9ana2axpwssmgrcb5c2ip5a2lwi3";
      system = "sanitize-test";
      asd = "sanitize";
    });
    systems = [ "sanitize-test" ];
    lispLibs = [ (getAttr "eos" self) (getAttr "sanitize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sanity-clause = (build-asdf-system {
    pname = "sanity-clause";
    version = "20210807-git";
    asds = [ "sanity-clause" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sanity-clause/2021-08-07/sanity-clause-20210807-git.tgz";
      sha256 = "0dzh00zpaqv48pn0xhbibiy33j8fwd2scsy5i466c9x9mcbhjz4f";
      system = "sanity-clause";
      asd = "sanity-clause";
    });
    systems = [ "sanity-clause" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arrows" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "local-time" self) (getAttr "parse-float" self) (getAttr "quri" self) (getAttr "str" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sapaclisp = (build-asdf-system {
    pname = "sapaclisp";
    version = "1.0a";
    asds = [ "sapaclisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sapaclisp/2012-05-20/sapaclisp-1.0a.tgz";
      sha256 = "1bgqvwvjq8g5wrmp5r1dn1v99hgin9gihwkihz455n9dn90l3pyq";
      system = "sapaclisp";
      asd = "sapaclisp";
    });
    systems = [ "sapaclisp" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sb-cga = (build-asdf-system {
    pname = "sb-cga";
    version = "20210531-git";
    asds = [ "sb-cga" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-cga/2021-05-31/sb-cga-20210531-git.tgz";
      sha256 = "1y54qlwfrhch9aghk7nsbdx7x2qsvgsws1g2k631l9dsgdakw4w8";
      system = "sb-cga";
      asd = "sb-cga";
    });
    systems = [ "sb-cga" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sb-fastcgi = (build-asdf-system {
    pname = "sb-fastcgi";
    version = "20210124-git";
    asds = [ "sb-fastcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-fastcgi/2021-01-24/sb-fastcgi-20210124-git.tgz";
      sha256 = "15arl39xq0wp9marrgf36grv7z5w2z4zaigllypx96b3kbmw6qb5";
      system = "sb-fastcgi";
      asd = "sb-fastcgi";
    });
    systems = [ "sb-fastcgi" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sb-vector-io = (build-asdf-system {
    pname = "sb-vector-io";
    version = "20110829-git";
    asds = [ "sb-vector-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sb-vector-io/2011-08-29/sb-vector-io-20110829-git.tgz";
      sha256 = "0pwc0nxhv8ba33i8z2f1y7r7ldik4a4xrqrb69dvvasz838k6r22";
      system = "sb-vector-io";
      asd = "sb-vector-io";
    });
    systems = [ "sb-vector-io" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sc-extensions = (build-asdf-system {
    pname = "sc-extensions";
    version = "20230618-git";
    asds = [ "sc-extensions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sc-extensions/2023-06-18/sc-extensions-20230618-git.tgz";
      sha256 = "0i4cclpw3xbks86mjm8ywyd206a0vz021ai0dcngns6q3zssqk3a";
      system = "sc-extensions";
      asd = "sc-extensions";
    });
    systems = [ "sc-extensions" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-collider" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sc-osc = (build-asdf-system {
    pname = "sc-osc";
    version = "20230618-git";
    asds = [ "sc-osc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-collider/2023-06-18/cl-collider-20230618-git.tgz";
      sha256 = "0q6qp5cy7fc98dqb81j5blqg2da6jf22zzp8r8czzvsg5pgjipgz";
      system = "sc-osc";
      asd = "sc-osc";
    });
    systems = [ "sc-osc" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "ieee-floats" self) (getAttr "osc" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  schannel = (build-asdf-system {
    pname = "schannel";
    version = "20211230-git";
    asds = [ "schannel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/schannel/2021-12-30/schannel-20211230-git.tgz";
      sha256 = "1f7dncrjsswrr8wrm7qzxdvrmzg3n2ap607ad74mnfd806rwldnw";
      system = "schannel";
      asd = "schannel";
    });
    systems = [ "schannel" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scheduler = (build-asdf-system {
    pname = "scheduler";
    version = "20230618-git";
    asds = [ "scheduler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scheduler/2023-06-18/scheduler-20230618-git.tgz";
      sha256 = "0559hxypgyg9863mb51wil777prspfsjbslj6psm3wndvl6xiprg";
      system = "scheduler";
      asd = "scheduler";
    });
    systems = [ "scheduler" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "local-time" self) (getAttr "optima" self) (getAttr "optima_dot_ppcre" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  science-data = (build-asdf-system {
    pname = "science-data";
    version = "master-df14cb8c-git";
    asds = [ "science-data" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/antik/2019-10-08/antik-master-df14cb8c-git.tgz";
      sha256 = "1n08cx4n51z8v4bxyak166lp495xda3x7llfxcdpxndxqxcammr0";
      system = "science-data";
      asd = "science-data";
    });
    systems = [ "science-data" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "physical-dimension" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scigraph = (build-asdf-system {
    pname = "scigraph";
    version = "20230618-git";
    asds = [ "scigraph" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "scigraph";
      asd = "scigraph";
    });
    systems = [ "scigraph" ];
    lispLibs = [ (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scratch-buffer = (build-asdf-system {
    pname = "scratch-buffer";
    version = "20200427-git";
    asds = [ "scratch-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "scratch-buffer";
      asd = "scratch-buffer";
    });
    systems = [ "scratch-buffer" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  screamer = (build-asdf-system {
    pname = "screamer";
    version = "20210807-git";
    asds = [ "screamer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/screamer/2021-08-07/screamer-20210807-git.tgz";
      sha256 = "0913wmy0fpf6shvbz40ay9gnjhgyjglf661d1p5ld2glkw1ky8hm";
      system = "screamer";
      asd = "screamer";
    });
    systems = [ "screamer" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  screamer-tests = (build-asdf-system {
    pname = "screamer-tests";
    version = "20210807-git";
    asds = [ "screamer-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/screamer/2021-08-07/screamer-20210807-git.tgz";
      sha256 = "0913wmy0fpf6shvbz40ay9gnjhgyjglf661d1p5ld2glkw1ky8hm";
      system = "screamer-tests";
      asd = "screamer-tests";
    });
    systems = [ "screamer-tests" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_stefil" self) (getAttr "iterate" self) (getAttr "screamer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scriba = (build-asdf-system {
    pname = "scriba";
    version = "20220707-git";
    asds = [ "scriba" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriba/2022-07-07/scriba-20220707-git.tgz";
      sha256 = "1n32bxf3b1cgb7y4015y3vahjgnbw59pi6d08by78pnpa2nx43sa";
      system = "scriba";
      asd = "scriba";
    });
    systems = [ "scriba" ];
    lispLibs = [ (getAttr "common-doc-plump" self) (getAttr "esrap" self) (getAttr "plump-sexp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scriba-test = (build-asdf-system {
    pname = "scriba-test";
    version = "20220707-git";
    asds = [ "scriba-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriba/2022-07-07/scriba-20220707-git.tgz";
      sha256 = "1n32bxf3b1cgb7y4015y3vahjgnbw59pi6d08by78pnpa2nx43sa";
      system = "scriba-test";
      asd = "scriba-test";
    });
    systems = [ "scriba-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "scriba" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scribble = (build-asdf-system {
    pname = "scribble";
    version = "20160628-git";
    asds = [ "scribble" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scribble/2016-06-28/scribble-20160628-git.tgz";
      sha256 = "056qi6vw9bk19s42mapyg55mimhhvhlwgny080v9mhv4fhnqi196";
      system = "scribble";
      asd = "scribble";
    });
    systems = [ "scribble" ];
    lispLibs = [ (getAttr "fare-memoization" self) (getAttr "fare-quasiquote-readtable" self) (getAttr "fare-utils" self) (getAttr "meta" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scriptl = (build-asdf-system {
    pname = "scriptl";
    version = "20180228-git";
    asds = [ "scriptl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl";
      asd = "scriptl";
    });
    systems = [ "scriptl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "defpackage-plus" self) (getAttr "iolib" self) (getAttr "osicat" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-gray-streams" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scriptl-examples = (build-asdf-system {
    pname = "scriptl-examples";
    version = "20180228-git";
    asds = [ "scriptl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl-examples";
      asd = "scriptl-examples";
    });
    systems = [ "scriptl-examples" ];
    lispLibs = [ (getAttr "scriptl" self) (getAttr "unix-options" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scriptl-util = (build-asdf-system {
    pname = "scriptl-util";
    version = "20180228-git";
    asds = [ "scriptl-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/scriptl/2018-02-28/scriptl-20180228-git.tgz";
      sha256 = "1q0d64syglfdjrzx2x7hlvznljpfwr9scn7rliigbm5z326lygg4";
      system = "scriptl-util";
      asd = "scriptl-util";
    });
    systems = [ "scriptl-util" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "scriptl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scrutiny = (build-asdf-system {
    pname = "scrutiny";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "scrutiny" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "scrutiny";
      asd = "scrutiny";
    });
    systems = [ "scrutiny" ];
    lispLibs = [ (getAttr "adjuvant" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  scrutiny-test = (build-asdf-system {
    pname = "scrutiny-test";
    version = "export-to-quicklisp-502a46e2-git";
    asds = [ "scrutiny-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/regular-type-expression/2020-02-18/regular-type-expression-export-to-quicklisp-502a46e2-git.tgz";
      sha256 = "1im07p7sbbhdjx9v8fx3v1xdqx1085lra6fsb4sh2bssw7m5xfxi";
      system = "scrutiny-test";
      asd = "scrutiny-test";
    });
    systems = [ "scrutiny-test" ];
    lispLibs = [ (getAttr "scrutiny" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2 = (build-asdf-system {
    pname = "sdl2";
    version = "20220707-git";
    asds = [ "sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2/2022-07-07/cl-sdl2-20220707-git.tgz";
      sha256 = "0kh4k9622aykgz2n3kmqcr9lhk2qh3sw7k70sqksfpz891w5y97j";
      system = "sdl2";
      asd = "sdl2";
    });
    systems = [ "sdl2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-autowrap" self) (getAttr "cl-plus-c" self) (getAttr "cl-ppcre" self) (getAttr "trivial-channels" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2-game-controller-db = (build-asdf-system {
    pname = "sdl2-game-controller-db";
    version = "release-quicklisp-335d2b68-git";
    asds = [ "sdl2-game-controller-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2-game-controller-db/2018-02-28/sdl2-game-controller-db-release-quicklisp-335d2b68-git.tgz";
      sha256 = "0yf4ygndmacs0pf3ws5197k51c4fdximvxcmvn56bqmsvil56kcd";
      system = "sdl2-game-controller-db";
      asd = "sdl2-game-controller-db";
    });
    systems = [ "sdl2-game-controller-db" ];
    lispLibs = [ (getAttr "sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2-image = (build-asdf-system {
    pname = "sdl2-image";
    version = "20190202-git";
    asds = [ "sdl2-image" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-image/2019-02-02/cl-sdl2-image-20190202-git.tgz";
      sha256 = "1nr7mdl125q32m15m8rdlza5kwi7m0birh1cq846pyy6zl1sjms7";
      system = "sdl2-image";
      asd = "sdl2-image";
    });
    systems = [ "sdl2-image" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-autowrap" self) (getAttr "defpackage-plus" self) (getAttr "sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2-mixer = (build-asdf-system {
    pname = "sdl2-mixer";
    version = "20211020-git";
    asds = [ "sdl2-mixer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-mixer/2021-10-20/cl-sdl2-mixer-20211020-git.tgz";
      sha256 = "0g6ywb3gqr0rif4z6kkz6m8vyv8nrr5wr1w9sc6d3zypbbnqgbp6";
      system = "sdl2-mixer";
      asd = "sdl2-mixer";
    });
    systems = [ "sdl2-mixer" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-autowrap" self) (getAttr "sdl2" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2-ttf = (build-asdf-system {
    pname = "sdl2-ttf";
    version = "20200925-git";
    asds = [ "sdl2-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-ttf/2020-09-25/cl-sdl2-ttf-20200925-git.tgz";
      sha256 = "15mvb7hr5l284s56gbf1xyb9v5xv95b2043zaysswhn5x20ylcnb";
      system = "sdl2-ttf";
      asd = "sdl2-ttf";
    });
    systems = [ "sdl2-ttf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi-libffi" self) (getAttr "cl-autowrap" self) (getAttr "defpackage-plus" self) (getAttr "sdl2" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2-ttf-examples = (build-asdf-system {
    pname = "sdl2-ttf-examples";
    version = "20200925-git";
    asds = [ "sdl2-ttf-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sdl2-ttf/2020-09-25/cl-sdl2-ttf-20200925-git.tgz";
      sha256 = "15mvb7hr5l284s56gbf1xyb9v5xv95b2043zaysswhn5x20ylcnb";
      system = "sdl2-ttf-examples";
      asd = "sdl2-ttf-examples";
    });
    systems = [ "sdl2-ttf-examples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-opengl" self) (getAttr "mathkit" self) (getAttr "sdl2" self) (getAttr "sdl2-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2kit = (build-asdf-system {
    pname = "sdl2kit";
    version = "20171130-git";
    asds = [ "sdl2kit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2kit/2017-11-30/sdl2kit-20171130-git.tgz";
      sha256 = "10ymmxqsvdn7ndda9k2qcixj75l7namgqdxc5y2w3v5r1313fy2d";
      system = "sdl2kit";
      asd = "sdl2kit";
    });
    systems = [ "sdl2kit" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-opengl" self) (getAttr "defpackage-plus" self) (getAttr "sdl2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sdl2kit-examples = (build-asdf-system {
    pname = "sdl2kit-examples";
    version = "20171130-git";
    asds = [ "sdl2kit-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sdl2kit/2017-11-30/sdl2kit-20171130-git.tgz";
      sha256 = "10ymmxqsvdn7ndda9k2qcixj75l7namgqdxc5y2w3v5r1313fy2d";
      system = "sdl2kit-examples";
      asd = "sdl2kit-examples";
    });
    systems = [ "sdl2kit-examples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "defpackage-plus" self) (getAttr "glkit" self) (getAttr "mathkit" self) (getAttr "sdl2kit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sealable-metaobjects = (build-asdf-system {
    pname = "sealable-metaobjects";
    version = "20200610-git";
    asds = [ "sealable-metaobjects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sealable-metaobjects/2020-06-10/sealable-metaobjects-20200610-git.tgz";
      sha256 = "0hz1ivlpfhnk1w2cw4q2i000j2dc7maay06ndzziyywg7li6zf2p";
      system = "sealable-metaobjects";
      asd = "sealable-metaobjects";
    });
    systems = [ "sealable-metaobjects" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  secp256k1 = (build-asdf-system {
    pname = "secp256k1";
    version = "20220707-git";
    asds = [ "secp256k1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-secp256k1/2022-07-07/cl-secp256k1-20220707-git.tgz";
      sha256 = "0lg84jkwwp95nnk865yfhg16z0d04wk3dzf5yilkfm2yxnmjnv85";
      system = "secp256k1";
      asd = "secp256k1";
    });
    systems = [ "secp256k1" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  secret-values = (build-asdf-system {
    pname = "secret-values";
    version = "20201220-git";
    asds = [ "secret-values" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/secret-values/2020-12-20/secret-values-20201220-git.tgz";
      sha256 = "07ph49s27gvjzx60yy094bb9ddwiys34r8cx5l837i34nm2fn3nh";
      system = "secret-values";
      asd = "secret-values";
    });
    systems = [ "secret-values" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  secure-random = (build-asdf-system {
    pname = "secure-random";
    version = "20160208-git";
    asds = [ "secure-random" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/secure-random/2016-02-08/secure-random-20160208-git.tgz";
      sha256 = "09cnclnivkc87ja3z12ihcm02vkwp0cflcfa6hpjlbd5m75hvgsd";
      system = "secure-random";
      asd = "secure-random";
    });
    systems = [ "secure-random" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  seedable-rng = (build-asdf-system {
    pname = "seedable-rng";
    version = "20220707-git";
    asds = [ "seedable-rng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/seedable-rng/2022-07-07/seedable-rng-20220707-git.tgz";
      sha256 = "1pr2flvrj32m055apwn5f2cddki2ws5xldmj2v367iyry3lz2vm1";
      system = "seedable-rng";
      asd = "seedable-rng";
    });
    systems = [ "seedable-rng" ];
    lispLibs = [ (getAttr "cl-pcg" self) (getAttr "ironclad" self) (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  select = (build-asdf-system {
    pname = "select";
    version = "20221106-git";
    asds = [ "select" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/select/2022-11-06/select-20221106-git.tgz";
      sha256 = "0bhpvfqp7n33pia4y62qi31bx86gjl2nxjy529rfawac57c9rxv3";
      system = "select";
      asd = "select";
    });
    systems = [ "select" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "let-plus" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  select-file = (build-asdf-system {
    pname = "select-file";
    version = "20200427-git";
    asds = [ "select-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/select-file/2020-04-27/select-file-20200427-git.tgz";
      sha256 = "1v89k5vvn1a3gdhlwbb4wxggzzr1ic7iqzvrrxgsh90fr129rmzq";
      system = "select-file";
      asd = "select-file";
    });
    systems = [ "select-file" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  selenium = (build-asdf-system {
    pname = "selenium";
    version = "20160531-git";
    asds = [ "selenium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-selenium/2016-05-31/cl-selenium-20160531-git.tgz";
      sha256 = "1wx3343gkmyb25vbbpv6g5d1m2c5qxrkq7hsz1v2fcchgdgvwgxl";
      system = "selenium";
      asd = "selenium";
    });
    systems = [ "selenium" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "puri" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  semantic-spinneret = (build-asdf-system {
    pname = "semantic-spinneret";
    version = "20170830-git";
    asds = [ "semantic-spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/semantic-spinneret/2017-08-30/semantic-spinneret-20170830-git.tgz";
      sha256 = "0ghd4lwwcbcidj70j26hj9vic1nqrj78ksrqlxj29q61bnji05ix";
      system = "semantic-spinneret";
      asd = "semantic-spinneret";
    });
    systems = [ "semantic-spinneret" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "spinneret" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  semz_dot_decompress = (build-asdf-system {
    pname = "semz.decompress";
    version = "20230618-git";
    asds = [ "semz.decompress" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/decompress/2023-06-18/decompress-20230618-git.tgz";
      sha256 = "0skp094c25hjvjj1qp1mbnjpk5z9wgwbmgrqr72c6sdw0c3j1bmx";
      system = "semz.decompress";
      asd = "semz.decompress";
    });
    systems = [ "semz.decompress" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sendgrid = (build-asdf-system {
    pname = "sendgrid";
    version = "20221106-git";
    asds = [ "sendgrid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sendgrid/2022-11-06/cl-sendgrid-20221106-git.tgz";
      sha256 = "0safsw9if83mv76y8fiaaa3a6akn7icqc6fmmacfypy3vkykr8i9";
      system = "sendgrid";
      asd = "sendgrid";
    });
    systems = [ "sendgrid" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "jonathan" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sento = (build-asdf-system {
    pname = "sento";
    version = "20230618-git";
    asds = [ "sento" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-gserver/2023-06-18/cl-gserver-20230618-git.tgz";
      sha256 = "1r0nrn0y4sbiyf8nmv38fqz0sbhk6xz5r9ydj0v72n70xpw9h5fy";
      system = "sento";
      asd = "sento";
    });
    systems = [ "sento" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "binding-arrows" self) (getAttr "blackbird" self) (getAttr "bordeaux-threads" self) (getAttr "jpl-queues" self) (getAttr "log4cl" self) (getAttr "str" self) (getAttr "timer-wheel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sentry-client = (build-asdf-system {
    pname = "sentry-client";
    version = "20230618-git";
    asds = [ "sentry-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2023-06-18/cl-sentry-client-20230618-git.tgz";
      sha256 = "1n9byyrag4f6ah1lxhv7r0v6z1p5mpiw656m5pdis9ps9nw7a6ar";
      system = "sentry-client";
      asd = "sentry-client";
    });
    systems = [ "sentry-client" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "dexador" self) (getAttr "local-time" self) (getAttr "salza2" self) (getAttr "swank" self) (getAttr "trivial-backtrace" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sentry-client_dot_async = (build-asdf-system {
    pname = "sentry-client.async";
    version = "20230618-git";
    asds = [ "sentry-client.async" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2023-06-18/cl-sentry-client-20230618-git.tgz";
      sha256 = "1n9byyrag4f6ah1lxhv7r0v6z1p5mpiw656m5pdis9ps9nw7a6ar";
      system = "sentry-client.async";
      asd = "sentry-client.async";
    });
    systems = [ "sentry-client.async" ];
    lispLibs = [ (getAttr "sentry-client" self) (getAttr "simple-tasks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sentry-client_dot_hunchentoot = (build-asdf-system {
    pname = "sentry-client.hunchentoot";
    version = "20230618-git";
    asds = [ "sentry-client.hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sentry-client/2023-06-18/cl-sentry-client-20230618-git.tgz";
      sha256 = "1n9byyrag4f6ah1lxhv7r0v6z1p5mpiw656m5pdis9ps9nw7a6ar";
      system = "sentry-client.hunchentoot";
      asd = "sentry-client.hunchentoot";
    });
    systems = [ "sentry-client.hunchentoot" ];
    lispLibs = [ (getAttr "hunchentoot" self) (getAttr "sentry-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sequence-iterators = (build-asdf-system {
    pname = "sequence-iterators";
    version = "20130813-darcs";
    asds = [ "sequence-iterators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "sequence-iterators";
      asd = "sequence-iterators";
    });
    systems = [ "sequence-iterators" ];
    lispLibs = [ (getAttr "parse-declarations-1_dot_0" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sequence-iterators-test = (build-asdf-system {
    pname = "sequence-iterators-test";
    version = "20130813-darcs";
    asds = [ "sequence-iterators-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sequence-iterators/2013-08-13/sequence-iterators-20130813-darcs.tgz";
      sha256 = "12flvy6hysqw0fa2jfkxrgphlk6b25hg2w2dxm1ylax0gw9fh1l5";
      system = "sequence-iterators-test";
      asd = "sequence-iterators";
    });
    systems = [ "sequence-iterators-test" ];
    lispLibs = [ (getAttr "sequence-iterators" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  serapeum = (build-asdf-system {
    pname = "serapeum";
    version = "20230618-git";
    asds = [ "serapeum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serapeum/2023-06-18/serapeum-20230618-git.tgz";
      sha256 = "19x33smn1iff0nm3g42p15v04pa4n71gcvpvcwz72f65y5lyc4w6";
      system = "serapeum";
      asd = "serapeum";
    });
    systems = [ "serapeum" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "global-vars" self) (getAttr "introspect-environment" self) (getAttr "parse-declarations-1_dot_0" self) (getAttr "parse-number" self) (getAttr "split-sequence" self) (getAttr "string-case" self) (getAttr "trivia" self) (getAttr "trivial-cltl2" self) (getAttr "trivial-file-size" self) (getAttr "trivial-garbage" self) (getAttr "trivial-macroexpand-all" self) ];
    meta = {};
  });
  serializable-object = (build-asdf-system {
    pname = "serializable-object";
    version = "20191227-git";
    asds = [ "serializable-object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serializable-object/2019-12-27/serializable-object-20191227-git.tgz";
      sha256 = "0978ljw998ypryiiqmb1s11ymwg4h5qz9bv7ig1i29wf5s14s2i0";
      system = "serializable-object";
      asd = "serializable-object";
    });
    systems = [ "serializable-object" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  serializable-object_dot_test = (build-asdf-system {
    pname = "serializable-object.test";
    version = "20191227-git";
    asds = [ "serializable-object.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/serializable-object/2019-12-27/serializable-object-20191227-git.tgz";
      sha256 = "0978ljw998ypryiiqmb1s11ymwg4h5qz9bv7ig1i29wf5s14s2i0";
      system = "serializable-object.test";
      asd = "serializable-object.test";
    });
    systems = [ "serializable-object.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "serializable-object" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  series = (build-asdf-system {
    pname = "series";
    version = "20131111-git";
    asds = [ "series" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/series/2013-11-11/series-20131111-git.tgz";
      sha256 = "07hk2lhfx42zk018pxqvn4gs77vd4n4g8m4xxbqaxgca76mifwfw";
      system = "series";
      asd = "series";
    });
    systems = [ "series" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  series-tests = (build-asdf-system {
    pname = "series-tests";
    version = "20131111-git";
    asds = [ "series-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/series/2013-11-11/series-20131111-git.tgz";
      sha256 = "07hk2lhfx42zk018pxqvn4gs77vd4n4g8m4xxbqaxgca76mifwfw";
      system = "series-tests";
      asd = "series";
    });
    systems = [ "series-tests" ];
    lispLibs = [ (getAttr "series" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  session-token = (build-asdf-system {
    pname = "session-token";
    version = "20141106-git";
    asds = [ "session-token" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/session-token/2014-11-06/session-token-20141106-git.tgz";
      sha256 = "1yb6m8nbh4gaskplrd2bwsnpkq6dl9dkvbjmvhzls6vh4lp6cc2z";
      system = "session-token";
      asd = "session-token";
    });
    systems = [ "session-token" ];
    lispLibs = [ (getAttr "cl-isaac" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  setup-cl_plus_ssl = (build-asdf-system {
    pname = "setup-cl+ssl";
    version = "20230618-git";
    asds = [ "setup-cl+ssl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zacl/2023-06-18/zacl-20230618-git.tgz";
      sha256 = "1s31d47zx8hczim78zrqzg4bvj4bshj31gmrff065q6racx3q1dk";
      system = "setup-cl+ssl";
      asd = "setup-cl+ssl";
    });
    systems = [ "setup-cl+ssl" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sexml = (build-asdf-system {
    pname = "sexml";
    version = "20140713-git";
    asds = [ "sexml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sexml/2014-07-13/sexml-20140713-git.tgz";
      sha256 = "1s7isk9v7qh03sf60zw32kaa1rgvdh24bsc37q173r282m8plbk3";
      system = "sexml";
      asd = "sexml";
    });
    systems = [ "sexml" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "contextl" self) (getAttr "cxml" self) (getAttr "macroexpand-dammit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sexml-objects = (build-asdf-system {
    pname = "sexml-objects";
    version = "20140713-git";
    asds = [ "sexml-objects" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sexml/2014-07-13/sexml-20140713-git.tgz";
      sha256 = "1s7isk9v7qh03sf60zw32kaa1rgvdh24bsc37q173r282m8plbk3";
      system = "sexml-objects";
      asd = "sexml-objects";
    });
    systems = [ "sexml-objects" ];
    lispLibs = [ (getAttr "sexml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sha1 = (build-asdf-system {
    pname = "sha1";
    version = "20211020-git";
    asds = [ "sha1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sha1/2021-10-20/sha1-20211020-git.tgz";
      sha256 = "1cfn0j5yfwqkwr2dm73wr9hz8dmws3ngxlbk9886ahxkg544qx4z";
      system = "sha1";
      asd = "sha1";
    });
    systems = [ "sha1" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sha3 = (build-asdf-system {
    pname = "sha3";
    version = "20180228-git";
    asds = [ "sha3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sha3/2018-02-28/sha3-20180228-git.tgz";
      sha256 = "112pwx8jzraxn0xqssmjlgd7j4sbl19vz6l8ansdq1zd69dryzy6";
      system = "sha3";
      asd = "sha3";
    });
    systems = [ "sha3" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shadchen = (build-asdf-system {
    pname = "shadchen";
    version = "20131003-git";
    asds = [ "shadchen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shadchen/2013-10-03/shadchen-20131003-git.tgz";
      sha256 = "0731hrpzf9pn1hyvs9wl0w3mnv13mr9ky3jx3dc4baj4nmjyb1k6";
      system = "shadchen";
      asd = "shadchen";
    });
    systems = [ "shadchen" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shadow = (build-asdf-system {
    pname = "shadow";
    version = "20220707-git";
    asds = [ "shadow" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shadow/2022-07-07/shadow-20220707-git.tgz";
      sha256 = "1lw98ir9381kmmranaa111f8jh47adsx0v4hzlw3qkf2xjcfah3l";
      system = "shadow";
      asd = "shadow";
    });
    systems = [ "shadow" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-opengl" self) (getAttr "glsl-packing" self) (getAttr "mfiano-utils" self) (getAttr "static-vectors" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shared-preferences = (build-asdf-system {
    pname = "shared-preferences";
    version = "1.1.1";
    asds = [ "shared-preferences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shared-preferences/2021-02-28/shared-preferences_1.1.1.tgz";
      sha256 = "12m4kaba2lxndkjw30a6y2rq16fflh5016lp74l7pf3v0y3j1ydf";
      system = "shared-preferences";
      asd = "shared-preferences";
    });
    systems = [ "shared-preferences" ];
    lispLibs = [ (getAttr "inheriting-readers" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shared-preferences__tests = (build-asdf-system {
    pname = "shared-preferences_tests";
    version = "1.1.1";
    asds = [ "shared-preferences_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shared-preferences/2021-02-28/shared-preferences_1.1.1.tgz";
      sha256 = "12m4kaba2lxndkjw30a6y2rq16fflh5016lp74l7pf3v0y3j1ydf";
      system = "shared-preferences_tests";
      asd = "shared-preferences_tests";
    });
    systems = [ "shared-preferences_tests" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "shared-preferences" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shasht = (build-asdf-system {
    pname = "shasht";
    version = "20230618-git";
    asds = [ "shasht" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shasht/2023-06-18/shasht-20230618-git.tgz";
      sha256 = "0zb0pydljbx2vrvqh8v43rqlzn6zsbi0l8lrxzvqgzlq4j9prkk1";
      system = "shasht";
      asd = "shasht";
    });
    systems = [ "shasht" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "trivial-do" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sheeple = (build-asdf-system {
    pname = "sheeple";
    version = "20210124-git";
    asds = [ "sheeple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sheeple/2021-01-24/sheeple-20210124-git.tgz";
      sha256 = "13k6xm8a29xxkrwgc5j3bk2wr9skg4bzdnc4krrzgcdmx4gbcca3";
      system = "sheeple";
      asd = "sheeple";
    });
    systems = [ "sheeple" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sheeple-tests = (build-asdf-system {
    pname = "sheeple-tests";
    version = "20210124-git";
    asds = [ "sheeple-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sheeple/2021-01-24/sheeple-20210124-git.tgz";
      sha256 = "13k6xm8a29xxkrwgc5j3bk2wr9skg4bzdnc4krrzgcdmx4gbcca3";
      system = "sheeple-tests";
      asd = "sheeple";
    });
    systems = [ "sheeple-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "sheeple" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shellpool = (build-asdf-system {
    pname = "shellpool";
    version = "20200925-git";
    asds = [ "shellpool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shellpool/2020-09-25/shellpool-20200925-git.tgz";
      sha256 = "1bpv58i2l2a3ayk3jvi2wwd90gjczp0qk24bj82775qp8miw9vz0";
      system = "shellpool";
      asd = "shellpool";
    });
    systems = [ "shellpool" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "bt-semaphore" self) (getAttr "cl-fad" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shelly = (build-asdf-system {
    pname = "shelly";
    version = "20141106-git";
    asds = [ "shelly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shelly/2014-11-06/shelly-20141106-git.tgz";
      sha256 = "07whfcd2ygq07lw73bqby74cqbp2bx0rnyx7c0v7s16y9xfqxw7b";
      system = "shelly";
      asd = "shelly";
    });
    systems = [ "shelly" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "local-time" self) (getAttr "split-sequence" self) (getAttr "trivial-signal" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shelly-test = (build-asdf-system {
    pname = "shelly-test";
    version = "20141106-git";
    asds = [ "shelly-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shelly/2014-11-06/shelly-20141106-git.tgz";
      sha256 = "07whfcd2ygq07lw73bqby74cqbp2bx0rnyx7c0v7s16y9xfqxw7b";
      system = "shelly-test";
      asd = "shelly-test";
    });
    systems = [ "shelly-test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "shelly" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shlex = (build-asdf-system {
    pname = "shlex";
    version = "20210411-git";
    asds = [ "shlex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-shlex/2021-04-11/cl-shlex-20210411-git.tgz";
      sha256 = "16ag48sswgimr1fzr582vhym4s03idpd4lkydw5s58lv80ibpim8";
      system = "shlex";
      asd = "shlex";
    });
    systems = [ "shlex" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "cl-unicode" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shop3 = (build-asdf-system {
    pname = "shop3";
    version = "20230618-git";
    asds = [ "shop3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2023-06-18/shop3-20230618-git.tgz";
      sha256 = "1gvlclqf95gb5j2cwv94yc80jflhnvzr1hsk2ylpbvjigzhphlvn";
      system = "shop3";
      asd = "shop3";
    });
    systems = [ "shop3" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiveam-asdf" self) (getAttr "iterate" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shop3-thmpr-api = (build-asdf-system {
    pname = "shop3-thmpr-api";
    version = "20230618-git";
    asds = [ "shop3-thmpr-api" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shop3/2023-06-18/shop3-20230618-git.tgz";
      sha256 = "1gvlclqf95gb5j2cwv94yc80jflhnvzr1hsk2ylpbvjigzhphlvn";
      system = "shop3-thmpr-api";
      asd = "shop3-thmpr-api";
    });
    systems = [ "shop3-thmpr-api" ];
    lispLibs = [ (getAttr "shop3" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  should-test = (build-asdf-system {
    pname = "should-test";
    version = "20191007-git";
    asds = [ "should-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/should-test/2019-10-07/should-test-20191007-git.tgz";
      sha256 = "1fqqa7lhf28qg60ji9libkylkcy747x576qpjn1y7c945j2fxmnm";
      system = "should-test";
      asd = "should-test";
    });
    systems = [ "should-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "local-time" self) (getAttr "osicat" self) (getAttr "rutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  shuffletron = (build-asdf-system {
    pname = "shuffletron";
    version = "20181018-git";
    asds = [ "shuffletron" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/shuffletron/2018-10-18/shuffletron-20181018-git.tgz";
      sha256 = "10626wp2xdk0wxj0kl49m9gyb2bp6f0vp67563mw6zrzfs7ynpkb";
      system = "shuffletron";
      asd = "shuffletron";
    });
    systems = [ "shuffletron" ];
    lispLibs = [ (getAttr "mixalot" self) (getAttr "mixalot-flac" self) (getAttr "mixalot-mp3" self) (getAttr "mixalot-vorbis" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  si-kanren = (build-asdf-system {
    pname = "si-kanren";
    version = "20230618-git";
    asds = [ "si-kanren" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/si-kanren/2023-06-18/si-kanren-20230618-git.tgz";
      sha256 = "1adj4c7br5sp84f9wb1p8j6mqfsg1cixq29sgmc35szhai9raj6y";
      system = "si-kanren";
      asd = "si-kanren";
    });
    systems = [ "si-kanren" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  silo = (build-asdf-system {
    pname = "silo";
    version = "20211020-git";
    asds = [ "silo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/colliflower/2021-10-20/colliflower-20211020-git.tgz";
      sha256 = "1fzn9s7wm7wmffrdm21lpvry9jb320456cmmprn976a533lp704r";
      system = "silo";
      asd = "silo";
    });
    systems = [ "silo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple = (build-asdf-system {
    pname = "simple";
    version = "version-1.0b26";
    asds = [ "simple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-clon/2023-06-18/cl-clon-version-1.0b26.tgz";
      sha256 = "1vg2r788vh86i2cnc4yy9w05y5rv6rk0ybxb91wqzjykn0wc4kx3";
      system = "simple";
      asd = "simple";
    });
    systems = [ "simple" ];
    lispLibs = [ (getAttr "net_dot_didierverna_dot_clon" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-actors = (build-asdf-system {
    pname = "simple-actors";
    version = "20200925-git";
    asds = [ "simple-actors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-actors/2020-09-25/simple-actors-20200925-git.tgz";
      sha256 = "1q843l1bh0xipp535gwm7713gpp04cycvq0i8yz54b6ym3dzkql4";
      system = "simple-actors";
      asd = "simple-actors";
    });
    systems = [ "simple-actors" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-config = (build-asdf-system {
    pname = "simple-config";
    version = "20230618-git";
    asds = [ "simple-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-config/2023-06-18/simple-config-20230618-git.tgz";
      sha256 = "1ihw5yr5jwlpixaa011611q6i4j406rvc42bkm0da1arzd76pfhn";
      system = "simple-config";
      asd = "simple-config";
    });
    systems = [ "simple-config" ];
    lispLibs = [ (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-config-test = (build-asdf-system {
    pname = "simple-config-test";
    version = "20230618-git";
    asds = [ "simple-config-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-config/2023-06-18/simple-config-20230618-git.tgz";
      sha256 = "1ihw5yr5jwlpixaa011611q6i4j406rvc42bkm0da1arzd76pfhn";
      system = "simple-config-test";
      asd = "simple-config-test";
    });
    systems = [ "simple-config-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "simple-config" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-currency = (build-asdf-system {
    pname = "simple-currency";
    version = "20171130-git";
    asds = [ "simple-currency" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-currency/2017-11-30/simple-currency-20171130-git.tgz";
      sha256 = "1qrxaj5v25165vyjp2fmasasjri2cn53y6ckv3rlv04skifvnq2s";
      system = "simple-currency";
      asd = "simple-currency";
    });
    systems = [ "simple-currency" ];
    lispLibs = [ (getAttr "cl-store" self) (getAttr "dexador" self) (getAttr "plump" self) (getAttr "simple-date" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-date = (build-asdf-system {
    pname = "simple-date";
    version = "20230214-git";
    asds = [ "simple-date" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/postmodern/2023-02-14/postmodern-20230214-git.tgz";
      sha256 = "19pk3jinlv70arcz6073lglg4mf972h03rxynn4z9qabqc2gk9kw";
      system = "simple-date";
      asd = "simple-date";
    });
    systems = [ "simple-date" ];
    lispLibs = [  ];
    meta = {};
  });
  simple-date-time = (build-asdf-system {
    pname = "simple-date-time";
    version = "20160421-git";
    asds = [ "simple-date-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-date-time/2016-04-21/simple-date-time-20160421-git.tgz";
      sha256 = "06iwf13gcdyqhkzfkcsfdl8iqbdl44cx01c3fjsmhl0v1pp8h2m4";
      system = "simple-date-time";
      asd = "simple-date-time";
    });
    systems = [ "simple-date-time" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {};
  });
  simple-finalizer = (build-asdf-system {
    pname = "simple-finalizer";
    version = "20101006-git";
    asds = [ "simple-finalizer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-finalizer/2010-10-06/simple-finalizer-20101006-git.tgz";
      sha256 = "1qdm48zjlkbygz9ip006xwpas59fhijrswv1k7pzvhdwl04vkq65";
      system = "simple-finalizer";
      asd = "simple-finalizer";
    });
    systems = [ "simple-finalizer" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-flow-dispatcher = (build-asdf-system {
    pname = "simple-flow-dispatcher";
    version = "stable-git";
    asds = [ "simple-flow-dispatcher" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-flow-dispatcher/2020-10-16/simple-flow-dispatcher-stable-git.tgz";
      sha256 = "11k16svq4mgf0pagrs4drvf57hawffghv9g96b1n071nqyk2ald2";
      system = "simple-flow-dispatcher";
      asd = "simple-flow-dispatcher";
    });
    systems = [ "simple-flow-dispatcher" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bodge-queue" self) (getAttr "cl-muth" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-guess = (build-asdf-system {
    pname = "simple-guess";
    version = "1.0";
    asds = [ "simple-guess" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-guess/2020-09-25/simple-guess_1.0.tgz";
      sha256 = "11v3wxj3k036r0kazn69vi580qm593ir1yf7j5d737j4rb382682";
      system = "simple-guess";
      asd = "simple-guess";
    });
    systems = [ "simple-guess" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-guess__tests = (build-asdf-system {
    pname = "simple-guess_tests";
    version = "1.0";
    asds = [ "simple-guess_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-guess/2020-09-25/simple-guess_1.0.tgz";
      sha256 = "11v3wxj3k036r0kazn69vi580qm593ir1yf7j5d737j4rb382682";
      system = "simple-guess_tests";
      asd = "simple-guess_tests";
    });
    systems = [ "simple-guess_tests" ];
    lispLibs = [ (getAttr "fakenil" self) (getAttr "parachute" self) (getAttr "simple-guess" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-inferiors = (build-asdf-system {
    pname = "simple-inferiors";
    version = "20230618-git";
    asds = [ "simple-inferiors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-inferiors/2023-06-18/simple-inferiors-20230618-git.tgz";
      sha256 = "0jlznixywa1ix19qsdvvwkabxff7cjwqjrhddxbpfpdn2gni8dn8";
      system = "simple-inferiors";
      asd = "simple-inferiors";
    });
    systems = [ "simple-inferiors" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "documentation-utils" self) ];
    meta = {};
  });
  simple-neural-network = (build-asdf-system {
    pname = "simple-neural-network";
    version = "20230214-git";
    asds = [ "simple-neural-network" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-neural-network/2023-02-14/simple-neural-network-20230214-git.tgz";
      sha256 = "14ix2f560bhvccfzi30ghmmg79785nmg8c3lpq5hg99djgigxyfw";
      system = "simple-neural-network";
      asd = "simple-neural-network";
    });
    systems = [ "simple-neural-network" ];
    lispLibs = [ (getAttr "cl-store" self) (getAttr "lparallel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-parallel-tasks = (build-asdf-system {
    pname = "simple-parallel-tasks";
    version = "20201220-git";
    asds = [ "simple-parallel-tasks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-parallel-tasks/2020-12-20/simple-parallel-tasks-20201220-git.tgz";
      sha256 = "0gvbpyff4siifp3cp86cpr9ksmakn66fx21f3h0hpn647zl07nj7";
      system = "simple-parallel-tasks";
      asd = "simple-parallel-tasks";
    });
    systems = [ "simple-parallel-tasks" ];
    lispLibs = [ (getAttr "chanl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-parallel-tasks-tests = (build-asdf-system {
    pname = "simple-parallel-tasks-tests";
    version = "20201220-git";
    asds = [ "simple-parallel-tasks-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-parallel-tasks/2020-12-20/simple-parallel-tasks-20201220-git.tgz";
      sha256 = "0gvbpyff4siifp3cp86cpr9ksmakn66fx21f3h0hpn647zl07nj7";
      system = "simple-parallel-tasks-tests";
      asd = "simple-parallel-tasks-tests";
    });
    systems = [ "simple-parallel-tasks-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "simple-parallel-tasks" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-rgb = (build-asdf-system {
    pname = "simple-rgb";
    version = "20190521-git";
    asds = [ "simple-rgb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-rgb/2019-05-21/simple-rgb-20190521-git.tgz";
      sha256 = "0ggv0h2n4mvwnggjr1b40gw667gnyykzki2zadaczi38ydzyzlp1";
      system = "simple-rgb";
      asd = "simple-rgb";
    });
    systems = [ "simple-rgb" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-routes = (build-asdf-system {
    pname = "simple-routes";
    version = "20180228-git";
    asds = [ "simple-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simple-routes";
      asd = "simple-routes";
    });
    systems = [ "simple-routes" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "hunchentoot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-scanf = (build-asdf-system {
    pname = "simple-scanf";
    version = "20211209-git";
    asds = [ "simple-scanf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-string-match/2021-12-09/cl-string-match-20211209-git.tgz";
      sha256 = "0zndlkw3qy3vw4px4qv884z6232w8zfaliyc88irjwizdv35wcq9";
      system = "simple-scanf";
      asd = "simple-scanf";
    });
    systems = [ "simple-scanf" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "parse-float" self) (getAttr "proc-parse" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simple-tasks = (build-asdf-system {
    pname = "simple-tasks";
    version = "20230618-git";
    asds = [ "simple-tasks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-tasks/2023-06-18/simple-tasks-20230618-git.tgz";
      sha256 = "0rini8i4l7ic463xsv9fmxnvq61wj6ayiirlchn3xvznls9z0pix";
      system = "simple-tasks";
      asd = "simple-tasks";
    });
    systems = [ "simple-tasks" ];
    lispLibs = [ (getAttr "array-utils" self) (getAttr "bordeaux-threads" self) (getAttr "dissect" self) ];
    meta = {};
  });
  simpleroutes-demo = (build-asdf-system {
    pname = "simpleroutes-demo";
    version = "20180228-git";
    asds = [ "simpleroutes-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simpleroutes-demo";
      asd = "simple-routes";
    });
    systems = [ "simpleroutes-demo" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) (getAttr "simple-routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simpleroutes-test = (build-asdf-system {
    pname = "simpleroutes-test";
    version = "20180228-git";
    asds = [ "simpleroutes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simple-routes/2018-02-28/simple-routes-20180228-git.tgz";
      sha256 = "0zkjl69zf1ynmqmvwccdbip3wxfyi7xplivv70qwxzd27mc0kh3k";
      system = "simpleroutes-test";
      asd = "simple-routes";
    });
    systems = [ "simpleroutes-test" ];
    lispLibs = [ (getAttr "simple-routes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simplet = (build-asdf-system {
    pname = "simplet";
    version = "20191227-git";
    asds = [ "simplet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplet/2019-12-27/simplet-20191227-git.tgz";
      sha256 = "1scsalzbwxk6z48b61zq532c02l36yr3vl2jdy0xjm2diycq6jgs";
      system = "simplet";
      asd = "simplet";
    });
    systems = [ "simplet" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simplet-asdf = (build-asdf-system {
    pname = "simplet-asdf";
    version = "20191227-git";
    asds = [ "simplet-asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplet/2019-12-27/simplet-20191227-git.tgz";
      sha256 = "1scsalzbwxk6z48b61zq532c02l36yr3vl2jdy0xjm2diycq6jgs";
      system = "simplet-asdf";
      asd = "simplet-asdf";
    });
    systems = [ "simplet-asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simplified-types = (build-asdf-system {
    pname = "simplified-types";
    version = "20190813-git";
    asds = [ "simplified-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplified-types/2019-08-13/simplified-types-20190813-git.tgz";
      sha256 = "1hdwmn5lz717aj6qdqmfmr3cbjl8l3giwn0fb5ca9pj83cx7fg8y";
      system = "simplified-types";
      asd = "simplified-types";
    });
    systems = [ "simplified-types" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simplified-types-test-suite = (build-asdf-system {
    pname = "simplified-types-test-suite";
    version = "20190813-git";
    asds = [ "simplified-types-test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simplified-types/2019-08-13/simplified-types-20190813-git.tgz";
      sha256 = "1hdwmn5lz717aj6qdqmfmr3cbjl8l3giwn0fb5ca9pj83cx7fg8y";
      system = "simplified-types-test-suite";
      asd = "simplified-types-test-suite";
    });
    systems = [ "simplified-types-test-suite" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "simplified-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  simpsamp = (build-asdf-system {
    pname = "simpsamp";
    version = "0.1";
    asds = [ "simpsamp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/simpsamp/2010-10-06/simpsamp-0.1.tgz";
      sha256 = "0i85andjaz16lh4wwpdvd5kgg7lsfp206g7kniy16gs78xjy5jlc";
      system = "simpsamp";
      asd = "simpsamp";
    });
    systems = [ "simpsamp" ];
    lispLibs = [ (getAttr "jpl-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  single-threaded-ccl = (build-asdf-system {
    pname = "single-threaded-ccl";
    version = "20150608-git";
    asds = [ "single-threaded-ccl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/single-threaded-ccl/2015-06-08/single-threaded-ccl-20150608-git.tgz";
      sha256 = "0d8cf8x77b3f7qh2cr3fnkc6i7dm7pwlnldmv9k4q033rmmhnfxb";
      system = "single-threaded-ccl";
      asd = "single-threaded-ccl";
    });
    systems = [ "single-threaded-ccl" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  singleton-classes = (build-asdf-system {
    pname = "singleton-classes";
    version = "20190307-hg";
    asds = [ "singleton-classes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-abstract-classes/2019-03-07/cl-abstract-classes-20190307-hg.tgz";
      sha256 = "0q03j3ksgn56j9xvs3d3hhasplj3hvg488f4cx1z97nlyqxr5w1d";
      system = "singleton-classes";
      asd = "singleton-classes";
    });
    systems = [ "singleton-classes" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sip-hash = (build-asdf-system {
    pname = "sip-hash";
    version = "20200610-git";
    asds = [ "sip-hash" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sip-hash/2020-06-10/sip-hash-20200610-git.tgz";
      sha256 = "0cd6g37lxd5i5fyg9my4jja27ki5agbpr9d635rcwpf32yhc4sh9";
      system = "sip-hash";
      asd = "sip-hash";
    });
    systems = [ "sip-hash" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "nibbles" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skeleton = (build-asdf-system {
    pname = "skeleton";
    version = "20230214-git";
    asds = [ "skeleton" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ahungry-fleece/2023-02-14/ahungry-fleece-20230214-git.tgz";
      sha256 = "1q0bd4fhfypfdvv338gf0gbc8fh65m0p662ik7c9rraijgddi9ry";
      system = "skeleton";
      asd = "skeleton";
    });
    systems = [ "skeleton" ];
    lispLibs = [ (getAttr "ahungry-fleece" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skeleton-creator = (build-asdf-system {
    pname = "skeleton-creator";
    version = "20191227-git";
    asds = [ "skeleton-creator" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skeleton-creator/2019-12-27/skeleton-creator-20191227-git.tgz";
      sha256 = "1yj8w9lpb2jzyf02zg65ngmjfsakzc7k1kcw90w52gk14hv1lk6s";
      system = "skeleton-creator";
      asd = "skeleton-creator";
    });
    systems = [ "skeleton-creator" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "conf" self) (getAttr "simplet-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sketch = (build-asdf-system {
    pname = "sketch";
    version = "20230214-git";
    asds = [ "sketch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sketch/2023-02-14/sketch-20230214-git.tgz";
      sha256 = "07n8pgbfhr9k13jkwn5kzsbq45kf8dmq9mlax5dn7xvpmlpnsild";
      system = "sketch";
      asd = "sketch";
    });
    systems = [ "sketch" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-geometry" self) (getAttr "glkit" self) (getAttr "mathkit" self) (getAttr "md5" self) (getAttr "sdl2-image" self) (getAttr "sdl2-ttf" self) (getAttr "sdl2kit" self) (getAttr "split-sequence" self) (getAttr "static-vectors" self) (getAttr "zpng" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sketch-examples = (build-asdf-system {
    pname = "sketch-examples";
    version = "20230214-git";
    asds = [ "sketch-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sketch/2023-02-14/sketch-20230214-git.tgz";
      sha256 = "07n8pgbfhr9k13jkwn5kzsbq45kf8dmq9mlax5dn7xvpmlpnsild";
      system = "sketch-examples";
      asd = "sketch-examples";
    });
    systems = [ "sketch-examples" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "sketch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skippy = (build-asdf-system {
    pname = "skippy";
    version = "1.3.12";
    asds = [ "skippy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skippy/2015-04-07/skippy-1.3.12.tgz";
      sha256 = "1n8925qz19w00qc67z3hc97fpmfhi0r54dd50fzqm24vhyb7qwc2";
      system = "skippy";
      asd = "skippy";
    });
    systems = [ "skippy" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skippy-renderer = (build-asdf-system {
    pname = "skippy-renderer";
    version = "20221106-git";
    asds = [ "skippy-renderer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skippy-renderer/2022-11-06/skippy-renderer-20221106-git.tgz";
      sha256 = "0x9zv8zchxn48axl5rwfnywg9kb9m0pz3gwjk7gpg9m574jw8x0c";
      system = "skippy-renderer";
      asd = "skippy-renderer";
    });
    systems = [ "skippy-renderer" ];
    lispLibs = [ (getAttr "skippy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skitter = (build-asdf-system {
    pname = "skitter";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter";
      asd = "skitter";
    });
    systems = [ "skitter" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "rtg-math" self) (getAttr "structy-defclass" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skitter_dot_glop = (build-asdf-system {
    pname = "skitter.glop";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter.glop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter.glop";
      asd = "skitter.glop";
    });
    systems = [ "skitter.glop" ];
    lispLibs = [ (getAttr "glop" self) (getAttr "skitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  skitter_dot_sdl2 = (build-asdf-system {
    pname = "skitter.sdl2";
    version = "release-quicklisp-620772ae-git";
    asds = [ "skitter.sdl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/skitter/2018-02-28/skitter-release-quicklisp-620772ae-git.tgz";
      sha256 = "1rixcav388fnal9v139kvagjfc60sbwd8ikbmd48lppq2nq5anwl";
      system = "skitter.sdl2";
      asd = "skitter.sdl2";
    });
    systems = [ "skitter.sdl2" ];
    lispLibs = [ (getAttr "sdl2" self) (getAttr "skitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slack-client = (build-asdf-system {
    pname = "slack-client";
    version = "20160825-git";
    asds = [ "slack-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slack-client/2016-08-25/slack-client-20160825-git.tgz";
      sha256 = "1yl2wqhx1h2kw3s5dkkq5c4hk1r7679yzq41j2j2bscbl3xk3jp9";
      system = "slack-client";
      asd = "slack-client";
    });
    systems = [ "slack-client" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "blackbird" self) (getAttr "cl-async" self) (getAttr "drakma-async" self) (getAttr "event-glue" self) (getAttr "jonathan" self) (getAttr "safe-queue" self) (getAttr "websocket-driver" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slack-client-test = (build-asdf-system {
    pname = "slack-client-test";
    version = "20160825-git";
    asds = [ "slack-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slack-client/2016-08-25/slack-client-20160825-git.tgz";
      sha256 = "1yl2wqhx1h2kw3s5dkkq5c4hk1r7679yzq41j2j2bscbl3xk3jp9";
      system = "slack-client-test";
      asd = "slack-client-test";
    });
    systems = [ "slack-client-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "slack-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slim = (build-asdf-system {
    pname = "slim";
    version = "20230618-git";
    asds = [ "slim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mcclim/2023-06-18/mcclim-20230618-git.tgz";
      sha256 = "1p86931mw6glwlmshimn9bf4wbzp0jr1ppszc0r9fy7m6vcjlni6";
      system = "slim";
      asd = "slim";
    });
    systems = [ "slim" ];
    lispLibs = [ (getAttr "mcclim" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slite = (build-asdf-system {
    pname = "slite";
    version = "20221106-git";
    asds = [ "slite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slite/2022-11-06/slite-20221106-git.tgz";
      sha256 = "1l9b3dvmi0hf38ir3sx6005hpaqm1dc3x02hcprn4x6fik5l0zdk";
      system = "slite";
      asd = "slite";
    });
    systems = [ "slite" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slot-extra-options = (build-asdf-system {
    pname = "slot-extra-options";
    version = "20210411-git";
    asds = [ "slot-extra-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-extra-options/2021-04-11/slot-extra-options-20210411-git.tgz";
      sha256 = "1b2swhjjs0w1034cy045q8l3ndmci7rjawka39q23vncy6d90497";
      system = "slot-extra-options";
      asd = "slot-extra-options";
    });
    systems = [ "slot-extra-options" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slot-extra-options-tests = (build-asdf-system {
    pname = "slot-extra-options-tests";
    version = "20210411-git";
    asds = [ "slot-extra-options-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-extra-options/2021-04-11/slot-extra-options-20210411-git.tgz";
      sha256 = "1b2swhjjs0w1034cy045q8l3ndmci7rjawka39q23vncy6d90497";
      system = "slot-extra-options-tests";
      asd = "slot-extra-options-tests";
    });
    systems = [ "slot-extra-options-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "parachute" self) (getAttr "serapeum" self) (getAttr "slot-extra-options" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slot-map = (build-asdf-system {
    pname = "slot-map";
    version = "20220707-git";
    asds = [ "slot-map" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slot-map/2022-07-07/slot-map-20220707-git.tgz";
      sha256 = "1z9qprjqj3pwqf469bxj0fvvjni1ncap6g7w5q9gmv5hnf2a4yjb";
      system = "slot-map";
      asd = "slot-map";
    });
    systems = [ "slot-map" ];
    lispLibs = [ (getAttr "dynamic-array" self) (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slynk = (build-asdf-system {
    pname = "slynk";
    version = "20230618-git";
    asds = [ "slynk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly/2023-06-18/sly-20230618-git.tgz";
      sha256 = "0fk06gy2m036smyq57dsv5hsc9bh1879q114qfmk8ch77h0rd8dj";
      system = "slynk";
      asd = "slynk";
    });
    systems = [ "slynk" ];
    lispLibs = [  ];
    meta = {};
  });
  slynk-macrostep = (build-asdf-system {
    pname = "slynk-macrostep";
    version = "20230618-git";
    asds = [ "slynk-macrostep" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly-macrostep/2023-06-18/sly-macrostep-20230618-git.tgz";
      sha256 = "1nxf28gn4f3n0wnv7nb5sgl36fz175y470zs9hig4kq8cp0yal0r";
      system = "slynk-macrostep";
      asd = "slynk-macrostep";
    });
    systems = [ "slynk-macrostep" ];
    lispLibs = [ (getAttr "slynk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  slynk-named-readtables = (build-asdf-system {
    pname = "slynk-named-readtables";
    version = "20230618-git";
    asds = [ "slynk-named-readtables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sly-named-readtables/2023-06-18/sly-named-readtables-20230618-git.tgz";
      sha256 = "16asd119rzqrlclps2q6yrkis8jy5an5xgzzqvb7jdyq39zxg54q";
      system = "slynk-named-readtables";
      asd = "slynk-named-readtables";
    });
    systems = [ "slynk-named-readtables" ];
    lispLibs = [ (getAttr "slynk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  smackjack = (build-asdf-system {
    pname = "smackjack";
    version = "20180228-git";
    asds = [ "smackjack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smackjack/2018-02-28/smackjack-20180228-git.tgz";
      sha256 = "1n2x7qij2ci70axd2xn295qqgqrvbfbpvv2438lhwd8qa92dhk8b";
      system = "smackjack";
      asd = "smackjack";
    });
    systems = [ "smackjack" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-containers" self) (getAttr "cl-json" self) (getAttr "hunchentoot" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  smackjack-demo = (build-asdf-system {
    pname = "smackjack-demo";
    version = "20180228-git";
    asds = [ "smackjack-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smackjack/2018-02-28/smackjack-20180228-git.tgz";
      sha256 = "1n2x7qij2ci70axd2xn295qqgqrvbfbpvv2438lhwd8qa92dhk8b";
      system = "smackjack-demo";
      asd = "smackjack-demo";
    });
    systems = [ "smackjack-demo" ];
    lispLibs = [ (getAttr "cl-containers" self) (getAttr "cl-who" self) (getAttr "local-time" self) (getAttr "smackjack" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  smart-buffer = (build-asdf-system {
    pname = "smart-buffer";
    version = "20211020-git";
    asds = [ "smart-buffer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smart-buffer/2021-10-20/smart-buffer-20211020-git.tgz";
      sha256 = "1r9y61a791m7aqgg2ixs86lc63y78w7n6dwipakcpjzscqmprppr";
      system = "smart-buffer";
      asd = "smart-buffer";
    });
    systems = [ "smart-buffer" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "xsubseq" self) ];
    meta = {};
  });
  smart-buffer-test = (build-asdf-system {
    pname = "smart-buffer-test";
    version = "20211020-git";
    asds = [ "smart-buffer-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smart-buffer/2021-10-20/smart-buffer-20211020-git.tgz";
      sha256 = "1r9y61a791m7aqgg2ixs86lc63y78w7n6dwipakcpjzscqmprppr";
      system = "smart-buffer-test";
      asd = "smart-buffer-test";
    });
    systems = [ "smart-buffer-test" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "smart-buffer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  smokebase = (build-asdf-system {
    pname = "smokebase";
    version = "20210531-git";
    asds = [ "smokebase" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/qt-libs/2021-05-31/qt-libs-20210531-git.tgz";
      sha256 = "0why7cssadw20jg382k6mg2lgk5b3b3nwyyvjafaz90h0ljf0b9w";
      system = "smokebase";
      asd = "smokebase";
    });
    systems = [ "smokebase" ];
    lispLibs = [ (getAttr "qt_plus_libs" self) (getAttr "qt-libs" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  smug = (build-asdf-system {
    pname = "smug";
    version = "20211230-git";
    asds = [ "smug" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/smug/2021-12-30/smug-20211230-git.tgz";
      sha256 = "13gzkj9skya2ziwclk041v7sif392ydbvhvikhg2raa3qjcxb3rq";
      system = "smug";
      asd = "smug";
    });
    systems = [ "smug" ];
    lispLibs = [ (getAttr "asdf-package-system" self) ];
    meta = {};
  });
  snakes = (build-asdf-system {
    pname = "snakes";
    version = "20221106-git";
    asds = [ "snakes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snakes/2022-11-06/snakes-20221106-git.tgz";
      sha256 = "17fqkw256c2iacy5g37sv9h0mbrmb3fg2s9sd83gj9clrg5r4wkl";
      system = "snakes";
      asd = "snakes";
    });
    systems = [ "snakes" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-cont" self) (getAttr "cl-utilities" self) (getAttr "closer-mop" self) (getAttr "fiveam" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snappy = (build-asdf-system {
    pname = "snappy";
    version = "20211209-git";
    asds = [ "snappy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snappy/2021-12-09/snappy-20211209-git.tgz";
      sha256 = "1g0d8icbqmahywqczb8pimr63970dil6mnlxkv3y9ng31dg0npy6";
      system = "snappy";
      asd = "snappy";
    });
    systems = [ "snappy" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "nibbles" self) (getAttr "varint" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark = (build-asdf-system {
    pname = "snark";
    version = "20160421-git";
    asds = [ "snark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark";
      asd = "snark";
    });
    systems = [ "snark" ];
    lispLibs = [ (getAttr "snark-implementation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-agenda = (build-asdf-system {
    pname = "snark-agenda";
    version = "20160421-git";
    asds = [ "snark-agenda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-agenda";
      asd = "snark-agenda";
    });
    systems = [ "snark-agenda" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-deque" self) (getAttr "snark-lisp" self) (getAttr "snark-sparse-array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-auxiliary-packages = (build-asdf-system {
    pname = "snark-auxiliary-packages";
    version = "20160421-git";
    asds = [ "snark-auxiliary-packages" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-auxiliary-packages";
      asd = "snark-auxiliary-packages";
    });
    systems = [ "snark-auxiliary-packages" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-deque = (build-asdf-system {
    pname = "snark-deque";
    version = "20160421-git";
    asds = [ "snark-deque" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-deque";
      asd = "snark-deque";
    });
    systems = [ "snark-deque" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-dpll = (build-asdf-system {
    pname = "snark-dpll";
    version = "20160421-git";
    asds = [ "snark-dpll" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-dpll";
      asd = "snark-dpll";
    });
    systems = [ "snark-dpll" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-examples = (build-asdf-system {
    pname = "snark-examples";
    version = "20160421-git";
    asds = [ "snark-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-examples";
      asd = "snark-examples";
    });
    systems = [ "snark-examples" ];
    lispLibs = [ (getAttr "snark" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-feature = (build-asdf-system {
    pname = "snark-feature";
    version = "20160421-git";
    asds = [ "snark-feature" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-feature";
      asd = "snark-feature";
    });
    systems = [ "snark-feature" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-implementation = (build-asdf-system {
    pname = "snark-implementation";
    version = "20160421-git";
    asds = [ "snark-implementation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-implementation";
      asd = "snark-implementation";
    });
    systems = [ "snark-implementation" ];
    lispLibs = [ (getAttr "snark-agenda" self) (getAttr "snark-auxiliary-packages" self) (getAttr "snark-deque" self) (getAttr "snark-dpll" self) (getAttr "snark-feature" self) (getAttr "snark-infix-reader" self) (getAttr "snark-lisp" self) (getAttr "snark-numbering" self) (getAttr "snark-pkg" self) (getAttr "snark-sparse-array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-infix-reader = (build-asdf-system {
    pname = "snark-infix-reader";
    version = "20160421-git";
    asds = [ "snark-infix-reader" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-infix-reader";
      asd = "snark-infix-reader";
    });
    systems = [ "snark-infix-reader" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-lisp = (build-asdf-system {
    pname = "snark-lisp";
    version = "20160421-git";
    asds = [ "snark-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-lisp";
      asd = "snark-lisp";
    });
    systems = [ "snark-lisp" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-loads = (build-asdf-system {
    pname = "snark-loads";
    version = "20160421-git";
    asds = [ "snark-loads" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-loads";
      asd = "snark-loads";
    });
    systems = [ "snark-loads" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-numbering = (build-asdf-system {
    pname = "snark-numbering";
    version = "20160421-git";
    asds = [ "snark-numbering" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-numbering";
      asd = "snark-numbering";
    });
    systems = [ "snark-numbering" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) (getAttr "snark-sparse-array" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-pkg = (build-asdf-system {
    pname = "snark-pkg";
    version = "20160421-git";
    asds = [ "snark-pkg" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-pkg";
      asd = "snark-pkg";
    });
    systems = [ "snark-pkg" ];
    lispLibs = [ (getAttr "snark-dpll" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snark-sparse-array = (build-asdf-system {
    pname = "snark-sparse-array";
    version = "20160421-git";
    asds = [ "snark-sparse-array" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snark/2016-04-21/snark-20160421-git.tgz";
      sha256 = "0zsqaqkl9s626nk5h41z00kssjnzhbsra68zfflryp5j3gy9vgm5";
      system = "snark-sparse-array";
      asd = "snark-sparse-array";
    });
    systems = [ "snark-sparse-array" ];
    lispLibs = [ (getAttr "snark-auxiliary-packages" self) (getAttr "snark-lisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sndfile-blob = (build-asdf-system {
    pname = "sndfile-blob";
    version = "stable-git";
    asds = [ "sndfile-blob" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sndfile-blob/2020-10-16/sndfile-blob-stable-git.tgz";
      sha256 = "1csbm2cgj76smia59044vx8698w9dy223cmwv8l4i8kb95m1i3l0";
      system = "sndfile-blob";
      asd = "sndfile-blob";
    });
    systems = [ "sndfile-blob" ];
    lispLibs = [ (getAttr "bodge-blobs-support" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snmp = (build-asdf-system {
    pname = "snmp";
    version = "6.1";
    asds = [ "snmp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp";
      asd = "snmp";
    });
    systems = [ "snmp" ];
    lispLibs = [ (getAttr "ieee-floats" self) (getAttr "ironclad" self) (getAttr "portable-threads" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snmp-server = (build-asdf-system {
    pname = "snmp-server";
    version = "6.1";
    asds = [ "snmp-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-server";
      asd = "snmp-server";
    });
    systems = [ "snmp-server" ];
    lispLibs = [ (getAttr "snmp" self) (getAttr "usocket-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snmp-test = (build-asdf-system {
    pname = "snmp-test";
    version = "6.1";
    asds = [ "snmp-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-test";
      asd = "snmp-test";
    });
    systems = [ "snmp-test" ];
    lispLibs = [ (getAttr "snmp" self) (getAttr "snmp-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snmp-ui = (build-asdf-system {
    pname = "snmp-ui";
    version = "6.1";
    asds = [ "snmp-ui" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snmp/2016-10-31/snmp-6.1.tgz";
      sha256 = "0qpy6jfp0v9i80gli1gf98sj0h67x9g5a8bqxrsxnqyi3h59di5s";
      system = "snmp-ui";
      asd = "snmp-ui";
    });
    systems = [ "snmp-ui" ];
    lispLibs = [ (getAttr "snmp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snooze = (build-asdf-system {
    pname = "snooze";
    version = "20210807-git";
    asds = [ "snooze" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze";
      asd = "snooze";
    });
    systems = [ "snooze" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "parse-float" self) (getAttr "quri" self) (getAttr "rfc2388" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snooze-demo = (build-asdf-system {
    pname = "snooze-demo";
    version = "20210807-git";
    asds = [ "snooze-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze-demo";
      asd = "snooze";
    });
    systems = [ "snooze-demo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-css" self) (getAttr "cl-fad" self) (getAttr "cl-json" self) (getAttr "cl-who" self) (getAttr "hunchentoot" self) (getAttr "local-time" self) (getAttr "local-time-duration" self) (getAttr "snooze" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  snooze-tests = (build-asdf-system {
    pname = "snooze-tests";
    version = "20210807-git";
    asds = [ "snooze-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/snooze/2021-08-07/snooze-20210807-git.tgz";
      sha256 = "0y6n5k6yw6183kf00m4wa9fksad9qjy4i5qr027ys48mgw8d23fj";
      system = "snooze-tests";
      asd = "snooze";
    });
    systems = [ "snooze-tests" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "snooze" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  softdrink = (build-asdf-system {
    pname = "softdrink";
    version = "20200427-git";
    asds = [ "softdrink" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/softdrink/2020-04-27/softdrink-20200427-git.tgz";
      sha256 = "1b0by4ymvk120aaq0viqqjqnbk91g00cd7bipnrb75nfb4ahi2s9";
      system = "softdrink";
      asd = "softdrink";
    });
    systems = [ "softdrink" ];
    lispLibs = [ (getAttr "lass" self) (getAttr "lquery" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  software-evolution-library = (build-asdf-system {
    pname = "software-evolution-library";
    version = "20230618-git";
    asds = [ "software-evolution-library" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sel/2023-06-18/sel-20230618-git.tgz";
      sha256 = "0nrw04b466xrcyzlnvd15zyx45ppzxazinlrpfqh3yqf7zsfz7f9";
      system = "software-evolution-library";
      asd = "software-evolution-library";
    });
    systems = [ "software-evolution-library" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "atomics" self) (getAttr "cffi-grovel" self) (getAttr "deploy" self) (getAttr "gt" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  solid-engine = (build-asdf-system {
    pname = "solid-engine";
    version = "20190521-git";
    asds = [ "solid-engine" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/solid-engine/2019-05-21/solid-engine-20190521-git.tgz";
      sha256 = "1pxrgxfqz8br258jy35qyimsrz544fg9k7lw2jshkj4jr2pswsv0";
      system = "solid-engine";
      asd = "solid-engine";
    });
    systems = [ "solid-engine" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  soundex = (build-asdf-system {
    pname = "soundex";
    version = "1.0";
    asds = [ "soundex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/soundex/2010-10-06/soundex-1.0.tgz";
      sha256 = "00ar2x7ja35337v6gwa4h2b8w7gf7dwx5mdfz91dqay43kx1pjsi";
      system = "soundex";
      asd = "soundex";
    });
    systems = [ "soundex" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  south = (build-asdf-system {
    pname = "south";
    version = "20190710-git";
    asds = [ "south" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/south/2019-07-10/south-20190710-git.tgz";
      sha256 = "09fyqxsflc107f3g2mzh81wnr3lzbaaz2jj5js0q6rpyaq2yc39p";
      system = "south";
      asd = "south";
    });
    systems = [ "south" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "uuid" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sparse-set = (build-asdf-system {
    pname = "sparse-set";
    version = "20220707-git";
    asds = [ "sparse-set" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sparse-set/2022-07-07/sparse-set-20220707-git.tgz";
      sha256 = "0czms03lrvg20hw3sz7wzzkl1z0vm0ndb3dmbvwsjd7m89fag793";
      system = "sparse-set";
      asd = "sparse-set";
    });
    systems = [ "sparse-set" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spatial-trees = (build-asdf-system {
    pname = "spatial-trees";
    version = "20140826-git";
    asds = [ "spatial-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees";
      asd = "spatial-trees";
    });
    systems = [ "spatial-trees" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spatial-trees_dot_nns = (build-asdf-system {
    pname = "spatial-trees.nns";
    version = "20140826-git";
    asds = [ "spatial-trees.nns" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.nns";
      asd = "spatial-trees.nns";
    });
    systems = [ "spatial-trees.nns" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "optima" self) (getAttr "spatial-trees" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spatial-trees_dot_nns_dot_test = (build-asdf-system {
    pname = "spatial-trees.nns.test";
    version = "20140826-git";
    asds = [ "spatial-trees.nns.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.nns.test";
      asd = "spatial-trees.nns.test";
    });
    systems = [ "spatial-trees.nns.test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "fiveam" self) (getAttr "iterate" self) (getAttr "optima" self) (getAttr "spatial-trees" self) (getAttr "spatial-trees_dot_nns" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spatial-trees_dot_test = (build-asdf-system {
    pname = "spatial-trees.test";
    version = "20140826-git";
    asds = [ "spatial-trees.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spatial-trees/2014-08-26/spatial-trees-20140826-git.tgz";
      sha256 = "11rhc6h501dwcik2igkszz7b9n515cr99m5pjh4r2qfwgiri6ysa";
      system = "spatial-trees.test";
      asd = "spatial-trees.test";
    });
    systems = [ "spatial-trees.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "spatial-trees" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  special-functions = (build-asdf-system {
    pname = "special-functions";
    version = "20221106-git";
    asds = [ "special-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/special-functions/2022-11-06/special-functions-20221106-git.tgz";
      sha256 = "092szffy7zfxgrvfck11wnj8l0mgcym13yiafj01ad02lbj1fnnv";
      system = "special-functions";
      asd = "special-functions";
    });
    systems = [ "special-functions" ];
    lispLibs = [ (getAttr "alexandria_plus" self) (getAttr "float-features" self) (getAttr "let-plus" self) (getAttr "num-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  specialization-store = (build-asdf-system {
    pname = "specialization-store";
    version = "v0.0.5";
    asds = [ "specialization-store" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store";
      asd = "specialization-store";
    });
    systems = [ "specialization-store" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) (getAttr "specialization-store-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  specialization-store-features = (build-asdf-system {
    pname = "specialization-store-features";
    version = "v0.0.5";
    asds = [ "specialization-store-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store-features";
      asd = "specialization-store-features";
    });
    systems = [ "specialization-store-features" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  specialization-store-tests = (build-asdf-system {
    pname = "specialization-store-tests";
    version = "v0.0.5";
    asds = [ "specialization-store-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialization-store/2020-06-10/specialization-store-v0.0.5.tgz";
      sha256 = "03q0szyz8ygqmg10q4j97dy7gfr9icxay9s8bgs883yncbk42y6c";
      system = "specialization-store-tests";
      asd = "specialization-store-tests";
    });
    systems = [ "specialization-store-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "specialization-store" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  specialized-function = (build-asdf-system {
    pname = "specialized-function";
    version = "20210531-git";
    asds = [ "specialized-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialized-function/2021-05-31/specialized-function-20210531-git.tgz";
      sha256 = "19hfgc83b7as630r1w9r8yl0v6xq3dn01vcrl0bd4pza5hgjn4la";
      system = "specialized-function";
      asd = "specialized-function";
    });
    systems = [ "specialized-function" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "lisp-namespace" self) (getAttr "trivia" self) (getAttr "trivial-cltl2" self) (getAttr "type-r" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  specialized-function_dot_test = (build-asdf-system {
    pname = "specialized-function.test";
    version = "20210531-git";
    asds = [ "specialized-function.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/specialized-function/2021-05-31/specialized-function-20210531-git.tgz";
      sha256 = "19hfgc83b7as630r1w9r8yl0v6xq3dn01vcrl0bd4pza5hgjn4la";
      system = "specialized-function.test";
      asd = "specialized-function.test";
    });
    systems = [ "specialized-function.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "specialized-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  speechless = (build-asdf-system {
    pname = "speechless";
    version = "20230618-git";
    asds = [ "speechless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/speechless/2023-06-18/speechless-20230618-git.tgz";
      sha256 = "1k0kc2l98jyv04l48xnj38qwpddan80c7m41srjld64jkna0fhas";
      system = "speechless";
      asd = "speechless";
    });
    systems = [ "speechless" ];
    lispLibs = [ (getAttr "cl-markless" self) (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spell = (build-asdf-system {
    pname = "spell";
    version = "20190307-git";
    asds = [ "spell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spell/2019-03-07/spell-20190307-git.tgz";
      sha256 = "1ifhx5q0iz80i9zwgcpv3w7xpp92ar9grz25008wnqzaayhfl020";
      system = "spell";
      asd = "spell";
    });
    systems = [ "spell" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spellcheck = (build-asdf-system {
    pname = "spellcheck";
    version = "20131003-git";
    asds = [ "spellcheck" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spellcheck/2013-10-03/spellcheck-20131003-git.tgz";
      sha256 = "0a0r1dgh7y06s7j9mzxrryri8fhajzjsrrsh3i6vv65vq5zzxlka";
      system = "spellcheck";
      asd = "spellcheck";
    });
    systems = [ "spellcheck" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sphinx = (build-asdf-system {
    pname = "sphinx";
    version = "20110619-git";
    asds = [ "sphinx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sphinx/2011-06-19/cl-sphinx-20110619-git.tgz";
      sha256 = "0z1ksxz1gh12ly6lbc77l0d5f380s81vx44qakm2dl1398lgb7x1";
      system = "sphinx";
      asd = "sphinx";
    });
    systems = [ "sphinx" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "closure-template" self) (getAttr "colorize" self) (getAttr "docutils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  spinneret = (build-asdf-system {
    pname = "spinneret";
    version = "20230618-git";
    asds = [ "spinneret" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/spinneret/2023-06-18/spinneret-20230618-git.tgz";
      sha256 = "1sgfw5vjpbksdglcznc2b2j3kq1pkr08y4wjwbkbwygm68vvfksl";
      system = "spinneret";
      asd = "spinneret";
    });
    systems = [ "spinneret" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "global-vars" self) (getAttr "parenscript" self) (getAttr "serapeum" self) (getAttr "trivia" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  split-sequence = (build-asdf-system {
    pname = "split-sequence";
    version = "v2.0.1";
    asds = [ "split-sequence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/split-sequence/2021-05-31/split-sequence-v2.0.1.tgz";
      sha256 = "172k7iv775kwism6304p6z7mqpjvipl57nq1bgvmbk445943fmhq";
      system = "split-sequence";
      asd = "split-sequence";
    });
    systems = [ "split-sequence" ];
    lispLibs = [  ];
    meta = {};
  });
  sqlite = (build-asdf-system {
    pname = "sqlite";
    version = "20190813-git";
    asds = [ "sqlite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sqlite/2019-08-13/cl-sqlite-20190813-git.tgz";
      sha256 = "08iv7b4m0hh7qx2cvq4f510nrgdld0vicnvmqsh9w0fgrcgmyg4k";
      system = "sqlite";
      asd = "sqlite";
    });
    systems = [ "sqlite" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "iterate" self) ];
    meta = {};
  });
  srfi-1 = (build-asdf-system {
    pname = "srfi-1";
    version = "20200218-git";
    asds = [ "srfi-1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-1/2020-02-18/srfi-1-20200218-git.tgz";
      sha256 = "00r2ikf1ck1zz3mx3jgk3plf3ibfhhrr8sc8hzr6ix34sbfvdadg";
      system = "srfi-1";
      asd = "srfi-1";
    });
    systems = [ "srfi-1" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  srfi-1_dot_test = (build-asdf-system {
    pname = "srfi-1.test";
    version = "20200218-git";
    asds = [ "srfi-1.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-1/2020-02-18/srfi-1-20200218-git.tgz";
      sha256 = "00r2ikf1ck1zz3mx3jgk3plf3ibfhhrr8sc8hzr6ix34sbfvdadg";
      system = "srfi-1.test";
      asd = "srfi-1";
    });
    systems = [ "srfi-1.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "srfi-1" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  srfi-23 = (build-asdf-system {
    pname = "srfi-23";
    version = "20200218-git";
    asds = [ "srfi-23" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-23/2020-02-18/srfi-23-20200218-git.tgz";
      sha256 = "0hgq2bdpdjp550kk9xlrxh82n45ldb42j2zzhkndmffh4rp9hd13";
      system = "srfi-23";
      asd = "srfi-23";
    });
    systems = [ "srfi-23" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  srfi-6 = (build-asdf-system {
    pname = "srfi-6";
    version = "20200218-git";
    asds = [ "srfi-6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-6/2020-02-18/srfi-6-20200218-git.tgz";
      sha256 = "1m9316r75haig84fhcrfm69gq0zfh5xqwqw8wsccc6z6vpz7pfwm";
      system = "srfi-6";
      asd = "srfi-6";
    });
    systems = [ "srfi-6" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  srfi-98 = (build-asdf-system {
    pname = "srfi-98";
    version = "20200218-git";
    asds = [ "srfi-98" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-98/2020-02-18/srfi-98-20200218-git.tgz";
      sha256 = "0qqa7c6nas85n8mdpmk996jh12xm0nf63nhj1chi9qkwgm924fj3";
      system = "srfi-98";
      asd = "srfi-98";
    });
    systems = [ "srfi-98" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  srfi-98_dot_test = (build-asdf-system {
    pname = "srfi-98.test";
    version = "20200218-git";
    asds = [ "srfi-98.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/srfi-98/2020-02-18/srfi-98-20200218-git.tgz";
      sha256 = "0qqa7c6nas85n8mdpmk996jh12xm0nf63nhj1chi9qkwgm924fj3";
      system = "srfi-98.test";
      asd = "srfi-98";
    });
    systems = [ "srfi-98.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "srfi-98" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sse-client = (build-asdf-system {
    pname = "sse-client";
    version = "20210807-git";
    asds = [ "sse-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-client";
      asd = "sse-client";
    });
    systems = [ "sse-client" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sse-client-test = (build-asdf-system {
    pname = "sse-client-test";
    version = "20210807-git";
    asds = [ "sse-client-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-client-test";
      asd = "sse-client-test";
    });
    systems = [ "sse-client-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "sse-client" self) (getAttr "trivial-escapes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sse-demo = (build-asdf-system {
    pname = "sse-demo";
    version = "20210807-git";
    asds = [ "sse-demo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-demo";
      asd = "sse-demo";
    });
    systems = [ "sse-demo" ];
    lispLibs = [ (getAttr "easy-routes" self) (getAttr "flexi-streams" self) (getAttr "hunchentoot" self) (getAttr "sse-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sse-server = (build-asdf-system {
    pname = "sse-server";
    version = "20210807-git";
    asds = [ "sse-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-server";
      asd = "sse-server";
    });
    systems = [ "sse-server" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "trivial-escapes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sse-server-test = (build-asdf-system {
    pname = "sse-server-test";
    version = "20210807-git";
    asds = [ "sse-server-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sse/2021-08-07/cl-sse-20210807-git.tgz";
      sha256 = "1by7xx397fyplxrydhfjm7nkxb6gmqh0h5f0rp4kh5dx45gk59gl";
      system = "sse-server-test";
      asd = "sse-server-test";
    });
    systems = [ "sse-server-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "sse-server" self) (getAttr "trivial-escapes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  st-json = (build-asdf-system {
    pname = "st-json";
    version = "20210630-git";
    asds = [ "st-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/st-json/2021-06-30/st-json-20210630-git.tgz";
      sha256 = "06qrhr5iw73k96lai2x9w52l6gnmlxy7fsr0r35gz6nz1f71x7gx";
      system = "st-json";
      asd = "st-json";
    });
    systems = [ "st-json" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  standard-cl = (build-asdf-system {
    pname = "standard-cl";
    version = "20121125-git";
    asds = [ "standard-cl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-match/2012-11-25/cl-match-20121125-git.tgz";
      sha256 = "1qc8gzp7f4phgyi5whkxacrqzdqs0y1hvkf71m8n7l303jly9wjf";
      system = "standard-cl";
      asd = "standard-cl";
    });
    systems = [ "standard-cl" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple = (build-asdf-system {
    pname = "staple";
    version = "20230618-git";
    asds = [ "staple" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple";
      asd = "staple";
    });
    systems = [ "staple" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "clip" self) (getAttr "definitions" self) (getAttr "documentation-utils" self) (getAttr "language-codes" self) (getAttr "pathname-utils" self) (getAttr "staple-code-parser" self) (getAttr "staple-package-recording" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-code-parser = (build-asdf-system {
    pname = "staple-code-parser";
    version = "20230618-git";
    asds = [ "staple-code-parser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-code-parser";
      asd = "staple-code-parser";
    });
    systems = [ "staple-code-parser" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "concrete-syntax-tree" self) (getAttr "concrete-syntax-tree-destructuring" self) (getAttr "concrete-syntax-tree-lambda-list" self) (getAttr "definitions" self) (getAttr "documentation-utils" self) (getAttr "eclector" self) (getAttr "eclector-concrete-syntax-tree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-markdown = (build-asdf-system {
    pname = "staple-markdown";
    version = "20230618-git";
    asds = [ "staple-markdown" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-markdown";
      asd = "staple-markdown";
    });
    systems = [ "staple-markdown" ];
    lispLibs = [ (getAttr "_3bmd" self) (getAttr "_3bmd-ext-code-blocks" self) (getAttr "staple" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-markless = (build-asdf-system {
    pname = "staple-markless";
    version = "20230618-git";
    asds = [ "staple-markless" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-markless";
      asd = "staple-markless";
    });
    systems = [ "staple-markless" ];
    lispLibs = [ (getAttr "cl-markless-plump" self) (getAttr "staple" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-package-recording = (build-asdf-system {
    pname = "staple-package-recording";
    version = "20230618-git";
    asds = [ "staple-package-recording" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-package-recording";
      asd = "staple-package-recording";
    });
    systems = [ "staple-package-recording" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-restructured-text = (build-asdf-system {
    pname = "staple-restructured-text";
    version = "20230618-git";
    asds = [ "staple-restructured-text" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-restructured-text";
      asd = "staple-restructured-text";
    });
    systems = [ "staple-restructured-text" ];
    lispLibs = [ (getAttr "docutils" self) (getAttr "staple" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  staple-server = (build-asdf-system {
    pname = "staple-server";
    version = "20230618-git";
    asds = [ "staple-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/staple/2023-06-18/staple-20230618-git.tgz";
      sha256 = "0qf0if7py3n4rszg25lcavpsqikfz6k5dvcmh5q67y8x5r12i5m7";
      system = "staple-server";
      asd = "staple-server";
    });
    systems = [ "staple-server" ];
    lispLibs = [ (getAttr "dissect" self) (getAttr "documentation-utils" self) (getAttr "hunchentoot" self) (getAttr "staple-markdown" self) (getAttr "staple-markless" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stars = (build-asdf-system {
    pname = "stars";
    version = "20180831-git";
    asds = [ "stars" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sprint-stars/2018-08-31/sprint-stars-20180831-git.tgz";
      sha256 = "1pm6wvywfgy0vlb0b2lbybpvhw9xzyn1nlpy0wpcglxxig6mnrgi";
      system = "stars";
      asd = "stars";
    });
    systems = [ "stars" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "drakma" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  static-dispatch = (build-asdf-system {
    pname = "static-dispatch";
    version = "20211209-git";
    asds = [ "static-dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-dispatch/2021-12-09/static-dispatch-20211209-git.tgz";
      sha256 = "1cishp7nckda5hav6c907axdfn1zpmzxpsy6hk7kkb69qn81yn2i";
      system = "static-dispatch";
      asd = "static-dispatch";
    });
    systems = [ "static-dispatch" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "arrows" self) (getAttr "cl-environments" self) (getAttr "cl-form-types" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "optima" self) ];
    meta = {};
  });
  static-vectors = (build-asdf-system {
    pname = "static-vectors";
    version = "v1.8.9";
    asds = [ "static-vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/static-vectors/2021-06-30/static-vectors-v1.8.9.tgz";
      sha256 = "079qa20lhanzsz1qf4iags91n0ziylbjgbcymm5a5qj7yryas4fw";
      system = "static-vectors";
      asd = "static-vectors";
    });
    systems = [ "static-vectors" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {};
  });
  statistics = (build-asdf-system {
    pname = "statistics";
    version = "20230214-git";
    asds = [ "statistics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/statistics/2023-02-14/statistics-20230214-git.tgz";
      sha256 = "1z3yhb9pqs8xv6xjwc7qsdi07kxx87cryy7a9k8w2fa2kh3l18ns";
      system = "statistics";
      asd = "statistics";
    });
    systems = [ "statistics" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "distributions" self) (getAttr "let-plus" self) (getAttr "num-utils" self) (getAttr "org_dot_tfeb_dot_conduit-packages" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  statusor = (build-asdf-system {
    pname = "statusor";
    version = "20230618-git";
    asds = [ "statusor" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/statusor/2023-06-18/statusor-20230618-git.tgz";
      sha256 = "1mxj4q7grvma6q05vj6sw4h4f2s121mnd77271lwnp74kjwh17cq";
      system = "statusor";
      asd = "statusor";
    });
    systems = [ "statusor" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stdutils = (build-asdf-system {
    pname = "stdutils";
    version = "20111001-git";
    asds = [ "stdutils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-stdutils/2011-10-01/cl-stdutils-20111001-git.tgz";
      sha256 = "16vxxphqdq8264x0aanm36x9r6d3ci1gjf4vf46mwl59gcff4wcj";
      system = "stdutils";
      asd = "stdutils";
    });
    systems = [ "stdutils" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stealth-mixin = (build-asdf-system {
    pname = "stealth-mixin";
    version = "20211020-git";
    asds = [ "stealth-mixin" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stealth-mixin/2021-10-20/stealth-mixin-20211020-git.tgz";
      sha256 = "0ar9cdmbmdnqz1ywpw34n47hlh0vqmb6pl76f5vbfgip3c81xwyi";
      system = "stealth-mixin";
      asd = "stealth-mixin";
    });
    systems = [ "stealth-mixin" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stefil = (build-asdf-system {
    pname = "stefil";
    version = "20181210-git";
    asds = [ "stefil" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil/2018-12-10/stefil-20181210-git.tgz";
      sha256 = "0bqz64q2szzhf91zyqyssmvrz7da6442rs01808pf3wrdq28bclh";
      system = "stefil";
      asd = "stefil";
    });
    systems = [ "stefil" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) (getAttr "swank" self) ];
    meta = {};
  });
  stefil_plus = (build-asdf-system {
    pname = "stefil+";
    version = "20211209-git";
    asds = [ "stefil+" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil-/2021-12-09/stefil--20211209-git.tgz";
      sha256 = "039jjhcb3ka6vag39hz5v1bi81x444rqj6rb3np5qbm07dh1aij0";
      system = "stefil+";
      asd = "stefil+";
    });
    systems = [ "stefil+" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "gt" self) (getAttr "metabang-bind" self) (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stefil-test = (build-asdf-system {
    pname = "stefil-test";
    version = "20181210-git";
    asds = [ "stefil-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stefil/2018-12-10/stefil-20181210-git.tgz";
      sha256 = "0bqz64q2szzhf91zyqyssmvrz7da6442rs01808pf3wrdq28bclh";
      system = "stefil-test";
      asd = "stefil";
    });
    systems = [ "stefil-test" ];
    lispLibs = [ (getAttr "stefil" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stem = (build-asdf-system {
    pname = "stem";
    version = "20150608-git";
    asds = [ "stem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stem/2015-06-08/stem-20150608-git.tgz";
      sha256 = "0a2kr09c3qcwg16n8rm15qgy5p9l6z4m72jray0846hqbnji77mp";
      system = "stem";
      asd = "stem";
    });
    systems = [ "stem" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stepster = (build-asdf-system {
    pname = "stepster";
    version = "20230618-git";
    asds = [ "stepster" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stepster/2023-06-18/stepster-20230618-git.tgz";
      sha256 = "1c59168aq364id3pnp5bzzjcv9yzdj2azm5nnyxabszjh4yjg1a9";
      system = "stepster";
      asd = "stepster";
    });
    systems = [ "stepster" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-ppcre" self) (getAttr "cl-reexport" self) (getAttr "clss" self) (getAttr "dexador" self) (getAttr "jonathan" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stl = (build-asdf-system {
    pname = "stl";
    version = "20171019-git";
    asds = [ "stl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stl/2017-10-19/stl-20171019-git.tgz";
      sha256 = "12v11bsarlnx5k930gx116wbgv41kwm45ysdikq3am4x3lqsjz2n";
      system = "stl";
      asd = "stl";
    });
    systems = [ "stl" ];
    lispLibs = [ (getAttr "_3d-vectors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stmx = (build-asdf-system {
    pname = "stmx";
    version = "stable-992c9615-git";
    asds = [ "stmx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stmx/2023-06-18/stmx-stable-992c9615-git.tgz";
      sha256 = "1zhd25vr0sfw8rrlagz3y5c8jl7pgrlf35b5m06m79zjz3fv5368";
      system = "stmx";
      asd = "stmx";
    });
    systems = [ "stmx" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "closer-mop" self) (getAttr "log4cl" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stmx_dot_test = (build-asdf-system {
    pname = "stmx.test";
    version = "stable-992c9615-git";
    asds = [ "stmx.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stmx/2023-06-18/stmx-stable-992c9615-git.tgz";
      sha256 = "1zhd25vr0sfw8rrlagz3y5c8jl7pgrlf35b5m06m79zjz3fv5368";
      system = "stmx.test";
      asd = "stmx.test";
    });
    systems = [ "stmx.test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "log4cl" self) (getAttr "stmx" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stopclock = (build-asdf-system {
    pname = "stopclock";
    version = "v1.0.1";
    asds = [ "stopclock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stopclock/2023-06-18/stopclock-v1.0.1.tgz";
      sha256 = "0y4rzkc6fh2znfdv5838xaxdgdn1jsdclq4kdg9yvbqkjhj68mf1";
      system = "stopclock";
      asd = "stopclock";
    });
    systems = [ "stopclock" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  str = (build-asdf-system {
    pname = "str";
    version = "20230618-git";
    asds = [ "str" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-str/2023-06-18/cl-str-20230618-git.tgz";
      sha256 = "0l2b01mr0jxln1igxg0gdwyaxvm2fm9v5a862d2q61mdi1yadddk";
      system = "str";
      asd = "str";
    });
    systems = [ "str" ];
    lispLibs = [ (getAttr "cl-change-case" self) (getAttr "cl-ppcre" self) (getAttr "cl-ppcre-unicode" self) ];
    meta = {};
  });
  str_dot_test = (build-asdf-system {
    pname = "str.test";
    version = "20230618-git";
    asds = [ "str.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-str/2023-06-18/cl-str-20230618-git.tgz";
      sha256 = "0l2b01mr0jxln1igxg0gdwyaxvm2fm9v5a862d2q61mdi1yadddk";
      system = "str.test";
      asd = "str.test";
    });
    systems = [ "str.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  strict-function = (build-asdf-system {
    pname = "strict-function";
    version = "20211020-git";
    asds = [ "strict-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/strict-function/2021-10-20/strict-function-20211020-git.tgz";
      sha256 = "176l5024qa72my7wiag0w6mmwys1q4yk6b4n944378qbqr2zpq2a";
      system = "strict-function";
      asd = "strict-function";
    });
    systems = [ "strict-function" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  string-case = (build-asdf-system {
    pname = "string-case";
    version = "20180711-git";
    asds = [ "string-case" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/string-case/2018-07-11/string-case-20180711-git.tgz";
      sha256 = "1n5i3yh0h5s636rcnwn7jwqy3rjflikra04lymimhpcshhjsk0md";
      system = "string-case";
      asd = "string-case";
    });
    systems = [ "string-case" ];
    lispLibs = [  ];
    meta = {};
  });
  string-escape = (build-asdf-system {
    pname = "string-escape";
    version = "20150407-http";
    asds = [ "string-escape" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/string-escape/2015-04-07/string-escape-20150407-http.tgz";
      sha256 = "0r7b699332hy3qj17jax9jdhq4jx6rbw5xf0j43bwg79wddk0rq3";
      system = "string-escape";
      asd = "string-escape";
    });
    systems = [ "string-escape" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stripe = (build-asdf-system {
    pname = "stripe";
    version = "20220707-git";
    asds = [ "stripe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stripe/2022-07-07/stripe-20220707-git.tgz";
      sha256 = "1n9lv9yixzampf986vkspspr7mrvpsz2l5h919agc52hkv9wg2f7";
      system = "stripe";
      asd = "stripe";
    });
    systems = [ "stripe" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "local-time" self) (getAttr "mfiano-utils" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stripe-against-the-modern-world = (build-asdf-system {
    pname = "stripe-against-the-modern-world";
    version = "20221106-git";
    asds = [ "stripe-against-the-modern-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stripe-against-the-modern-world/2022-11-06/stripe-against-the-modern-world-20221106-git.tgz";
      sha256 = "1qp714y7b7vfdafirlphk02gixa4jffs0xgcy96fncxs6r2zq3q9";
      system = "stripe-against-the-modern-world";
      asd = "stripe-against-the-modern-world";
    });
    systems = [ "stripe-against-the-modern-world" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "do-urlencode" self) (getAttr "ironclad" self) (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "ningle" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext = (build-asdf-system {
    pname = "structure-ext";
    version = "20211209-git";
    asds = [ "structure-ext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext";
      asd = "structure-ext";
    });
    systems = [ "structure-ext" ];
    lispLibs = [ (getAttr "structure-ext_dot_as-class" self) (getAttr "structure-ext_dot_left-arrow-accessors" self) (getAttr "structure-ext_dot_make-instance" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_as-class = (build-asdf-system {
    pname = "structure-ext.as-class";
    version = "20211209-git";
    asds = [ "structure-ext.as-class" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.as-class";
      asd = "structure-ext.as-class";
    });
    systems = [ "structure-ext.as-class" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "lambda-fiddle" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_as-class_dot_test = (build-asdf-system {
    pname = "structure-ext.as-class.test";
    version = "20211209-git";
    asds = [ "structure-ext.as-class.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.as-class.test";
      asd = "structure-ext.as-class.test";
    });
    systems = [ "structure-ext.as-class.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "structure-ext_dot_as-class" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_left-arrow-accessors = (build-asdf-system {
    pname = "structure-ext.left-arrow-accessors";
    version = "20211209-git";
    asds = [ "structure-ext.left-arrow-accessors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.left-arrow-accessors";
      asd = "structure-ext.left-arrow-accessors";
    });
    systems = [ "structure-ext.left-arrow-accessors" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_left-arrow-accessors_dot_test = (build-asdf-system {
    pname = "structure-ext.left-arrow-accessors.test";
    version = "20211209-git";
    asds = [ "structure-ext.left-arrow-accessors.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.left-arrow-accessors.test";
      asd = "structure-ext.left-arrow-accessors.test";
    });
    systems = [ "structure-ext.left-arrow-accessors.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "structure-ext_dot_left-arrow-accessors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_make-instance = (build-asdf-system {
    pname = "structure-ext.make-instance";
    version = "20211209-git";
    asds = [ "structure-ext.make-instance" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.make-instance";
      asd = "structure-ext.make-instance";
    });
    systems = [ "structure-ext.make-instance" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structure-ext_dot_make-instance_dot_test = (build-asdf-system {
    pname = "structure-ext.make-instance.test";
    version = "20211209-git";
    asds = [ "structure-ext.make-instance.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structure-ext/2021-12-09/structure-ext-20211209-git.tgz";
      sha256 = "1qhny1m0r2s9bkhr9z7psczykknmb62c32bwav4hgqm96rna1pkq";
      system = "structure-ext.make-instance.test";
      asd = "structure-ext.make-instance.test";
    });
    systems = [ "structure-ext.make-instance.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "structure-ext_dot_make-instance" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  structy-defclass = (build-asdf-system {
    pname = "structy-defclass";
    version = "20170630-git";
    asds = [ "structy-defclass" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/structy-defclass/2017-06-30/structy-defclass-20170630-git.tgz";
      sha256 = "0fdlj45xzyghmg65dvs7ww7dxji84iid2y6rh9j77aip7v0l5q63";
      system = "structy-defclass";
      asd = "structy-defclass";
    });
    systems = [ "structy-defclass" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  studio-client = (build-asdf-system {
    pname = "studio-client";
    version = "20230618-git";
    asds = [ "studio-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/studio-client/2023-06-18/studio-client-20230618-git.tgz";
      sha256 = "168vb3m9k2ry3lrccs2nkv9xnhhn8b6nzr5aqfp1v8zadqsrsak1";
      system = "studio-client";
      asd = "studio-client";
    });
    systems = [ "studio-client" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "documentation-utils" self) (getAttr "north-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stumpwm = (build-asdf-system {
    pname = "stumpwm";
    version = "20230618-git";
    asds = [ "stumpwm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2023-06-18/stumpwm-20230618-git.tgz";
      sha256 = "044l7lda0ws81rgi9z8vm4482sxixb1qnlhq1gbsrbxa1x8wad0s";
      system = "stumpwm";
      asd = "stumpwm";
    });
    systems = [ "stumpwm" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "clx" self) (getAttr "dynamic-mixins-swm" self) ];
    meta = {};
  });
  stumpwm-dynamic-float = (build-asdf-system {
    pname = "stumpwm-dynamic-float";
    version = "20221106-git";
    asds = [ "stumpwm-dynamic-float" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm-dynamic-float/2022-11-06/stumpwm-dynamic-float-20221106-git.tgz";
      sha256 = "13m9864vfj4b5b0hlvp7jrb96368rxr5ydjsdqldky10yad7icxf";
      system = "stumpwm-dynamic-float";
      asd = "stumpwm-dynamic-float";
    });
    systems = [ "stumpwm-dynamic-float" ];
    lispLibs = [ (getAttr "stumpwm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stumpwm-sndioctl = (build-asdf-system {
    pname = "stumpwm-sndioctl";
    version = "20210531-git";
    asds = [ "stumpwm-sndioctl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm-sndioctl/2021-05-31/stumpwm-sndioctl-20210531-git.tgz";
      sha256 = "1q4w4grim7izvw01k95wh7bbaaq0hz2ljjhn47nyd7pzrk9dabpv";
      system = "stumpwm-sndioctl";
      asd = "stumpwm-sndioctl";
    });
    systems = [ "stumpwm-sndioctl" ];
    lispLibs = [ (getAttr "stumpwm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  stumpwm-tests = (build-asdf-system {
    pname = "stumpwm-tests";
    version = "20230618-git";
    asds = [ "stumpwm-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/stumpwm/2023-06-18/stumpwm-20230618-git.tgz";
      sha256 = "044l7lda0ws81rgi9z8vm4482sxixb1qnlhq1gbsrbxa1x8wad0s";
      system = "stumpwm-tests";
      asd = "stumpwm-tests";
    });
    systems = [ "stumpwm-tests" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "stumpwm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sucle = (build-asdf-system {
    pname = "sucle";
    version = "20200427-git";
    asds = [ "sucle" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle";
      asd = "sucle";
    });
    systems = [ "sucle" ];
    lispLibs = [ (getAttr "aabbcc" self) (getAttr "alexandria" self) (getAttr "application" self) (getAttr "black-tie" self) (getAttr "camera-matrix" self) (getAttr "cl-opengl" self) (getAttr "control" self) (getAttr "crud" self) (getAttr "fps-independent-timestep" self) (getAttr "glhelp" self) (getAttr "image-utility" self) (getAttr "livesupport" self) (getAttr "ncurses-clone-for-lem" self) (getAttr "nsb-cga" self) (getAttr "quads" self) (getAttr "scratch-buffer" self) (getAttr "sucle-multiprocessing" self) (getAttr "sucle-temp" self) (getAttr "text-subsystem" self) (getAttr "uncommon-lisp" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sucle-multiprocessing = (build-asdf-system {
    pname = "sucle-multiprocessing";
    version = "20200427-git";
    asds = [ "sucle-multiprocessing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-multiprocessing";
      asd = "sucle-multiprocessing";
    });
    systems = [ "sucle-multiprocessing" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-cpus" self) (getAttr "lparallel" self) (getAttr "uncommon-lisp" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sucle-serialize = (build-asdf-system {
    pname = "sucle-serialize";
    version = "20200427-git";
    asds = [ "sucle-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-serialize";
      asd = "sucle-serialize";
    });
    systems = [ "sucle-serialize" ];
    lispLibs = [ (getAttr "chipz" self) (getAttr "cl-conspack" self) (getAttr "salza2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sucle-temp = (build-asdf-system {
    pname = "sucle-temp";
    version = "20200427-git";
    asds = [ "sucle-temp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-temp";
      asd = "sucle-temp";
    });
    systems = [ "sucle-temp" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sucle-test = (build-asdf-system {
    pname = "sucle-test";
    version = "20200427-git";
    asds = [ "sucle-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "sucle-test";
      asd = "sucle-test";
    });
    systems = [ "sucle-test" ];
    lispLibs = [ (getAttr "aabbcc" self) (getAttr "alexandria" self) (getAttr "application" self) (getAttr "camera-matrix" self) (getAttr "character-modifier-bits" self) (getAttr "cl-opengl" self) (getAttr "control" self) (getAttr "deflazy" self) (getAttr "fps-independent-timestep" self) (getAttr "image-utility" self) (getAttr "ncurses-clone-for-lem" self) (getAttr "nsb-cga" self) (getAttr "quads" self) (getAttr "scratch-buffer" self) (getAttr "sucle" self) (getAttr "sucle-multiprocessing" self) (getAttr "sucle-serialize" self) (getAttr "text-subsystem" self) (getAttr "uncommon-lisp" self) (getAttr "window" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  surf = (build-asdf-system {
    pname = "surf";
    version = "master-5b2475f9-git";
    asds = [ "surf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "surf";
      asd = "surf";
    });
    systems = [ "surf" ];
    lispLibs = [ (getAttr "geom-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  swank = (build-asdf-system {
    pname = "swank";
    version = "v2.28";
    asds = [ "swank" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/slime/2023-02-14/slime-v2.28.tgz";
      sha256 = "155y3xld9snkfm7xhn7gz655xxxr6g7qv45znbg25k6y1lczmy4z";
      system = "swank";
      asd = "swank";
    });
    systems = [ "swank" ];
    lispLibs = [  ];
    meta = {};
  });
  swank-client = (build-asdf-system {
    pname = "swank-client";
    version = "20230618-git";
    asds = [ "swank-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-client/2023-06-18/swank-client-20230618-git.tgz";
      sha256 = "0sd0xblaxj8zi03acmfq4pwv84jcl04fvyp1jqlb7d6iq0mbxvan";
      system = "swank-client";
      asd = "swank-client";
    });
    systems = [ "swank-client" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "com_dot_google_dot_base" self) (getAttr "swank" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  swank-crew = (build-asdf-system {
    pname = "swank-crew";
    version = "20230214-git";
    asds = [ "swank-crew" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-crew/2023-02-14/swank-crew-20230214-git.tgz";
      sha256 = "0na16gby46g66b0632lgzrfnj79ml3k5z2g5d1x87p6cqhzxgrf9";
      system = "swank-crew";
      asd = "swank-crew";
    });
    systems = [ "swank-crew" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "com_dot_google_dot_base" self) (getAttr "swank-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  swank-protocol = (build-asdf-system {
    pname = "swank-protocol";
    version = "20211020-git";
    asds = [ "swank-protocol" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank-protocol/2021-10-20/swank-protocol-20211020-git.tgz";
      sha256 = "1c6cbkvcy3k56pkq5nlnj5m0zwkgbbrhfs1igwkr89xal2a4fz56";
      system = "swank-protocol";
      asd = "swank-protocol";
    });
    systems = [ "swank-protocol" ];
    lispLibs = [ (getAttr "swank" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  swank_dot_live = (build-asdf-system {
    pname = "swank.live";
    version = "20160208-git";
    asds = [ "swank.live" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swank.live/2016-02-08/swank.live-20160208-git.tgz";
      sha256 = "0p7jyf07symfan6lmbhd3r42kf5vrsbmmh9li0n1kky8rd6fhgls";
      system = "swank.live";
      asd = "swank.live";
    });
    systems = [ "swank.live" ];
    lispLibs = [ (getAttr "swank" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  swap-bytes = (build-asdf-system {
    pname = "swap-bytes";
    version = "v1.2";
    asds = [ "swap-bytes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/swap-bytes/2019-11-30/swap-bytes-v1.2.tgz";
      sha256 = "1hw1v1lw26rifyznpnj1csphha9jgzwpiic16ni3pvs6hcsni9rz";
      system = "swap-bytes";
      asd = "swap-bytes";
    });
    systems = [ "swap-bytes" ];
    lispLibs = [ (getAttr "trivial-features" self) ];
    meta = {};
  });
  sxql = (build-asdf-system {
    pname = "sxql";
    version = "20210630-git";
    asds = [ "sxql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql/2021-06-30/sxql-20210630-git.tgz";
      sha256 = "011an993amy8q3gl4hyqrgnc93cgny3cv9gbp679rrmyyp8zmywr";
      system = "sxql";
      asd = "sxql";
    });
    systems = [ "sxql" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-package-locks" self) (getAttr "cl-syntax-annot" self) (getAttr "iterate" self) (getAttr "split-sequence" self) (getAttr "trivia" self) (getAttr "trivial-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sxql-composer = (build-asdf-system {
    pname = "sxql-composer";
    version = "20200325-git";
    asds = [ "sxql-composer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql-composer/2020-03-25/sxql-composer-20200325-git.tgz";
      sha256 = "1agkrj3ymskzc3c7pxbrj123d1kygjqcls145m0ap3i07q96hh1r";
      system = "sxql-composer";
      asd = "sxql-composer";
    });
    systems = [ "sxql-composer" ];
    lispLibs = [ (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sxql-test = (build-asdf-system {
    pname = "sxql-test";
    version = "20210630-git";
    asds = [ "sxql-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sxql/2021-06-30/sxql-20210630-git.tgz";
      sha256 = "011an993amy8q3gl4hyqrgnc93cgny3cv9gbp679rrmyyp8zmywr";
      system = "sxql-test";
      asd = "sxql-test";
    });
    systems = [ "sxql-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "sxql" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sycamore = (build-asdf-system {
    pname = "sycamore";
    version = "20211020-git";
    asds = [ "sycamore" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sycamore/2021-10-20/sycamore-20211020-git.tgz";
      sha256 = "0icw7fba1ch51w24f4sinvy4xg3zc7zif0aqcjfrzxj14x108hai";
      system = "sycamore";
      asd = "sycamore";
    });
    systems = [ "sycamore" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-fuzz" self) (getAttr "cl-ppcre" self) (getAttr "lisp-unit" self) ];
    meta = {};
  });
  symath = (build-asdf-system {
    pname = "symath";
    version = "20230214-git";
    asds = [ "symath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symath/2023-02-14/symath-20230214-git.tgz";
      sha256 = "0jynx61ycbhibz7cs5rzb7ifhh0hh6iqbx4j07xlz21669vgzb65";
      system = "symath";
      asd = "symath";
    });
    systems = [ "symath" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  symbol-munger = (build-asdf-system {
    pname = "symbol-munger";
    version = "20220220-git";
    asds = [ "symbol-munger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symbol-munger/2022-02-20/symbol-munger-20220220-git.tgz";
      sha256 = "16fshnxp9212503z1vjlmx5pafv14bzpihn486x1ljakqjigfnfz";
      system = "symbol-munger";
      asd = "symbol-munger";
    });
    systems = [ "symbol-munger" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {};
  });
  symbol-namespaces = (build-asdf-system {
    pname = "symbol-namespaces";
    version = "1.0";
    asds = [ "symbol-namespaces" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/symbol-namespaces/2013-01-28/symbol-namespaces-1.0.tgz";
      sha256 = "0rw4ndhg669rkpjmv5n0zh69bzar60zn3bb4vs5ijgvxyl5f7xp1";
      system = "symbol-namespaces";
      asd = "symbol-namespaces";
    });
    systems = [ "symbol-namespaces" ];
    lispLibs = [ (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  synonyms = (build-asdf-system {
    pname = "synonyms";
    version = "20230618-git";
    asds = [ "synonyms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/synonyms/2023-06-18/synonyms-20230618-git.tgz";
      sha256 = "1373m0h765r60lif0jz3frqbq7phrm2jhc30b5dh51spd7732v3x";
      system = "synonyms";
      asd = "synonyms";
    });
    systems = [ "synonyms" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  sysexits = (build-asdf-system {
    pname = "sysexits";
    version = "20220707-git";
    asds = [ "sysexits" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-sysexits/2022-07-07/cl-sysexits-20220707-git.tgz";
      sha256 = "1khkj0qqvmgylnvl32sks8v3iabasbcr9sj9zl89xh3rajc67z73";
      system = "sysexits";
      asd = "sysexits";
    });
    systems = [ "sysexits" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  system-locale = (build-asdf-system {
    pname = "system-locale";
    version = "20200610-git";
    asds = [ "system-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/system-locale/2020-06-10/system-locale-20200610-git.tgz";
      sha256 = "00p5c053kmgq4ks6l9mxsqz6g3bjcybvkvj0bh3r90qgpkaawm1p";
      system = "system-locale";
      asd = "system-locale";
    });
    systems = [ "system-locale" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-clack-handler-fcgi = (build-asdf-system {
    pname = "t-clack-handler-fcgi";
    version = "20230618-git";
    asds = [ "t-clack-handler-fcgi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "t-clack-handler-fcgi";
      asd = "t-clack-handler-fcgi";
    });
    systems = [ "t-clack-handler-fcgi" ];
    lispLibs = [ (getAttr "clack-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-clack-handler-hunchentoot = (build-asdf-system {
    pname = "t-clack-handler-hunchentoot";
    version = "20230618-git";
    asds = [ "t-clack-handler-hunchentoot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "t-clack-handler-hunchentoot";
      asd = "t-clack-handler-hunchentoot";
    });
    systems = [ "t-clack-handler-hunchentoot" ];
    lispLibs = [ (getAttr "clack-handler-hunchentoot" self) (getAttr "clack-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-clack-handler-toot = (build-asdf-system {
    pname = "t-clack-handler-toot";
    version = "20230618-git";
    asds = [ "t-clack-handler-toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "t-clack-handler-toot";
      asd = "t-clack-handler-toot";
    });
    systems = [ "t-clack-handler-toot" ];
    lispLibs = [ (getAttr "clack-handler-toot" self) (getAttr "clack-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-clack-handler-wookie = (build-asdf-system {
    pname = "t-clack-handler-wookie";
    version = "20230618-git";
    asds = [ "t-clack-handler-wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clack/2023-06-18/clack-20230618-git.tgz";
      sha256 = "1xvxgzzd8jv0ig2hwq4yaxsshs5j55v144c34wqyva3c56j3640i";
      system = "t-clack-handler-wookie";
      asd = "t-clack-handler-wookie";
    });
    systems = [ "t-clack-handler-wookie" ];
    lispLibs = [ (getAttr "clack-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack = (build-asdf-system {
    pname = "t-lack";
    version = "20230618-git";
    asds = [ "t-lack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack";
      asd = "t-lack";
    });
    systems = [ "t-lack" ];
    lispLibs = [ (getAttr "clack" self) (getAttr "lack" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-component = (build-asdf-system {
    pname = "t-lack-component";
    version = "20230618-git";
    asds = [ "t-lack-component" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-component";
      asd = "t-lack-component";
    });
    systems = [ "t-lack-component" ];
    lispLibs = [ (getAttr "lack-component" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-accesslog = (build-asdf-system {
    pname = "t-lack-middleware-accesslog";
    version = "20230618-git";
    asds = [ "t-lack-middleware-accesslog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-accesslog";
      asd = "t-lack-middleware-accesslog";
    });
    systems = [ "t-lack-middleware-accesslog" ];
    lispLibs = [ (getAttr "lack" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-auth-basic = (build-asdf-system {
    pname = "t-lack-middleware-auth-basic";
    version = "20230618-git";
    asds = [ "t-lack-middleware-auth-basic" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-auth-basic";
      asd = "t-lack-middleware-auth-basic";
    });
    systems = [ "t-lack-middleware-auth-basic" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-base64" self) (getAttr "lack" self) (getAttr "lack-middleware-auth-basic" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-backtrace = (build-asdf-system {
    pname = "t-lack-middleware-backtrace";
    version = "20230618-git";
    asds = [ "t-lack-middleware-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-backtrace";
      asd = "t-lack-middleware-backtrace";
    });
    systems = [ "t-lack-middleware-backtrace" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "lack" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-csrf = (build-asdf-system {
    pname = "t-lack-middleware-csrf";
    version = "20230618-git";
    asds = [ "t-lack-middleware-csrf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-csrf";
      asd = "t-lack-middleware-csrf";
    });
    systems = [ "t-lack-middleware-csrf" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "lack" self) (getAttr "lack-middleware-csrf" self) (getAttr "lack-request" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-mount = (build-asdf-system {
    pname = "t-lack-middleware-mount";
    version = "20230618-git";
    asds = [ "t-lack-middleware-mount" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-mount";
      asd = "t-lack-middleware-mount";
    });
    systems = [ "t-lack-middleware-mount" ];
    lispLibs = [ (getAttr "lack" self) (getAttr "lack-component" self) (getAttr "lack-middleware-mount" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-session = (build-asdf-system {
    pname = "t-lack-middleware-session";
    version = "20230618-git";
    asds = [ "t-lack-middleware-session" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-session";
      asd = "t-lack-middleware-session";
    });
    systems = [ "t-lack-middleware-session" ];
    lispLibs = [ (getAttr "cl-cookie" self) (getAttr "lack" self) (getAttr "lack-middleware-session" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-middleware-static = (build-asdf-system {
    pname = "t-lack-middleware-static";
    version = "20230618-git";
    asds = [ "t-lack-middleware-static" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-middleware-static";
      asd = "t-lack-middleware-static";
    });
    systems = [ "t-lack-middleware-static" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "lack" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-request = (build-asdf-system {
    pname = "t-lack-request";
    version = "20230618-git";
    asds = [ "t-lack-request" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-request";
      asd = "t-lack-request";
    });
    systems = [ "t-lack-request" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clack-test" self) (getAttr "dexador" self) (getAttr "flexi-streams" self) (getAttr "hunchentoot" self) (getAttr "lack-request" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-session-store-dbi = (build-asdf-system {
    pname = "t-lack-session-store-dbi";
    version = "20230618-git";
    asds = [ "t-lack-session-store-dbi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-session-store-dbi";
      asd = "t-lack-session-store-dbi";
    });
    systems = [ "t-lack-session-store-dbi" ];
    lispLibs = [ (getAttr "dbi" self) (getAttr "lack" self) (getAttr "lack-session-store-dbi" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "sqlite" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-session-store-redis = (build-asdf-system {
    pname = "t-lack-session-store-redis";
    version = "20230618-git";
    asds = [ "t-lack-session-store-redis" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-session-store-redis";
      asd = "t-lack-session-store-redis";
    });
    systems = [ "t-lack-session-store-redis" ];
    lispLibs = [ (getAttr "lack" self) (getAttr "lack-session-store-redis" self) (getAttr "lack-test" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  t-lack-util = (build-asdf-system {
    pname = "t-lack-util";
    version = "20230618-git";
    asds = [ "t-lack-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lack/2023-06-18/lack-20230618-git.tgz";
      sha256 = "01w3ichb705kwkvx2vj95n6b05fcj50rm8qlfqcv3baav5lp4z90";
      system = "t-lack-util";
      asd = "t-lack-util";
    });
    systems = [ "t-lack-util" ];
    lispLibs = [ (getAttr "lack-test" self) (getAttr "lack-util" self) (getAttr "prove" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ta2 = (build-asdf-system {
    pname = "ta2";
    version = "master-5b2475f9-git";
    asds = [ "ta2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "ta2";
      asd = "ta2";
    });
    systems = [ "ta2" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tagger = (build-asdf-system {
    pname = "tagger";
    version = "20200715-git";
    asds = [ "tagger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tagger/2020-07-15/tagger-20200715-git.tgz";
      sha256 = "1mxkr5hx8p4rxc7vajgrpl49zh018wyspvww5fg50164if0n7j2q";
      system = "tagger";
      asd = "tagger";
    });
    systems = [ "tagger" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  taglib = (build-asdf-system {
    pname = "taglib";
    version = "20210411-git";
    asds = [ "taglib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/taglib/2021-04-11/taglib-20210411-git.tgz";
      sha256 = "13291kb95hwb2nbkjscjb2abn5l267cjwspaqsmr3bsdvvf0033b";
      system = "taglib";
      asd = "taglib";
    });
    systems = [ "taglib" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "flexi-streams" self) (getAttr "optima" self) (getAttr "optima_dot_ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  taglib-tests = (build-asdf-system {
    pname = "taglib-tests";
    version = "20210411-git";
    asds = [ "taglib-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/taglib/2021-04-11/taglib-20210411-git.tgz";
      sha256 = "13291kb95hwb2nbkjscjb2abn5l267cjwspaqsmr3bsdvvf0033b";
      system = "taglib-tests";
      asd = "taglib-tests";
    });
    systems = [ "taglib-tests" ];
    lispLibs = [ (getAttr "chanl" self) (getAttr "cl-fad" self) (getAttr "taglib" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tailrec = (build-asdf-system {
    pname = "tailrec";
    version = "20210807-git";
    asds = [ "tailrec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tailrec/2021-08-07/tailrec-20210807-git.tgz";
      sha256 = "1h8m2npdzd2cpnl75pvv4yvvfwxa7kl6qvalc9s0y4yws0kaih3i";
      system = "tailrec";
      asd = "tailrec";
    });
    systems = [ "tailrec" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-macroexpand-all" self) (getAttr "trivial-with-current-source-form" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  talcl = (build-asdf-system {
    pname = "talcl";
    version = "20180228-git";
    asds = [ "talcl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl";
      asd = "talcl";
    });
    systems = [ "talcl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "buildnode" self) (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "iterate" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  talcl-examples = (build-asdf-system {
    pname = "talcl-examples";
    version = "20180228-git";
    asds = [ "talcl-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-examples";
      asd = "talcl";
    });
    systems = [ "talcl-examples" ];
    lispLibs = [ (getAttr "buildnode-xhtml" self) (getAttr "talcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  talcl-speed-tests = (build-asdf-system {
    pname = "talcl-speed-tests";
    version = "20180228-git";
    asds = [ "talcl-speed-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-speed-tests";
      asd = "talcl";
    });
    systems = [ "talcl-speed-tests" ];
    lispLibs = [ (getAttr "buildnode-xhtml" self) (getAttr "lisp-unit2" self) (getAttr "talcl" self) (getAttr "talcl-examples" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  talcl-test = (build-asdf-system {
    pname = "talcl-test";
    version = "20180228-git";
    asds = [ "talcl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/talcl/2018-02-28/talcl-20180228-git.tgz";
      sha256 = "18pm3vz82dwcckhp4lkwjv8431hkdj3ghxb4v5qdjsyw2jm56v1p";
      system = "talcl-test";
      asd = "talcl";
    });
    systems = [ "talcl-test" ];
    lispLibs = [ (getAttr "buildnode-xhtml" self) (getAttr "lisp-unit2" self) (getAttr "talcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tap-unit-test = (build-asdf-system {
    pname = "tap-unit-test";
    version = "20171227-git";
    asds = [ "tap-unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tap-unit-test/2017-12-27/tap-unit-test-20171227-git.tgz";
      sha256 = "1fzsnpng7y4sghasl29sjicbs4v6m5mgfj8wf2izhhcn1hbhr694";
      system = "tap-unit-test";
      asd = "tap-unit-test";
    });
    systems = [ "tap-unit-test" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tar = (build-asdf-system {
    pname = "tar";
    version = "20230618-git";
    asds = [ "tar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar/2023-06-18/cl-tar-20230618-git.tgz";
      sha256 = "0wp23cs3i6a89dibifiz6559la5nk58d1n17xvbxq4nrl8cqsllf";
      system = "tar";
      asd = "tar";
    });
    systems = [ "tar" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "local-time" self) (getAttr "split-sequence" self) (getAttr "tar-file" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tar-file = (build-asdf-system {
    pname = "tar-file";
    version = "20220220-git";
    asds = [ "tar-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tar-file/2022-02-20/cl-tar-file-20220220-git.tgz";
      sha256 = "0i8j05fkgdqy4c4pqj0c68sh4s3klpx9kc5wp73qwzrl3xqd2svy";
      system = "tar-file";
      asd = "tar-file";
    });
    systems = [ "tar-file" ];
    lispLibs = [ (getAttr "_40ants-doc" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "chipz" self) (getAttr "flexi-streams" self) (getAttr "salza2" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  targa = (build-asdf-system {
    pname = "targa";
    version = "20181018-git";
    asds = [ "targa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/targa/2018-10-18/targa-20181018-git.tgz";
      sha256 = "0fslb2alp4pfmp8md2q89xh8n43r8awwf343wfvkywwqdnls2zws";
      system = "targa";
      asd = "targa";
    });
    systems = [ "targa" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tasty = (build-asdf-system {
    pname = "tasty";
    version = "master-5b2475f9-git";
    asds = [ "tasty" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "tasty";
      asd = "tasty";
    });
    systems = [ "tasty" ];
    lispLibs = [ (getAttr "gwl-graphics" self) (getAttr "tree" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tclcs-code = (build-asdf-system {
    pname = "tclcs-code";
    version = "20210124-git";
    asds = [ "tclcs-code" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tclcs-code/2021-01-24/tclcs-code-20210124-git.tgz";
      sha256 = "0p0g8shy284sj9ncq27zn8yj7xsrdcg2aiy2q783l6sl2ip6nfxa";
      system = "tclcs-code";
      asd = "tclcs-code";
    });
    systems = [ "tclcs-code" ];
    lispLibs = [ (getAttr "trivial-custom-debugger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tcod = (build-asdf-system {
    pname = "tcod";
    version = "20201220-git";
    asds = [ "tcod" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-tcod/2020-12-20/cl-tcod-20201220-git.tgz";
      sha256 = "145h0dhxm1idblcld456cv7k00vi6p0zyn5rxkky5y4gk85ws8l5";
      system = "tcod";
      asd = "tcod";
    });
    systems = [ "tcod" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-libffi" self) (getAttr "defstar" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  teddy = (build-asdf-system {
    pname = "teddy";
    version = "20211020-git";
    asds = [ "teddy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teddy/2021-10-20/teddy-20211020-git.tgz";
      sha256 = "108cdxckzpdixi975rr2q1kkga6jngwj7j3nhfss9pzqcsf9w9ks";
      system = "teddy";
      asd = "teddy";
    });
    systems = [ "teddy" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "asdf-finalizers" self) (getAttr "cl-ascii-table" self) (getAttr "eazy-gnuplot" self) (getAttr "hu_dot_dwim_dot_def" self) (getAttr "lhstats" self) (getAttr "list-of" self) (getAttr "rutils" self) (getAttr "simplified-types" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  teepeedee2 = (build-asdf-system {
    pname = "teepeedee2";
    version = "20230214-git";
    asds = [ "teepeedee2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teepeedee2/2023-02-14/teepeedee2-20230214-git.tgz";
      sha256 = "16mfc1hcjdjcj1iiihdn9a725xry8hpvxijf5ic6yi4ydcv84pni";
      system = "teepeedee2";
      asd = "teepeedee2";
    });
    systems = [ "teepeedee2" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-cont" self) (getAttr "cl-fad" self) (getAttr "cl-irregsexp" self) (getAttr "iterate" self) (getAttr "parenscript" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  teepeedee2-test = (build-asdf-system {
    pname = "teepeedee2-test";
    version = "20230214-git";
    asds = [ "teepeedee2-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/teepeedee2/2023-02-14/teepeedee2-20230214-git.tgz";
      sha256 = "16mfc1hcjdjcj1iiihdn9a725xry8hpvxijf5ic6yi4ydcv84pni";
      system = "teepeedee2-test";
      asd = "teepeedee2-test";
    });
    systems = [ "teepeedee2-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "teepeedee2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  telnetlib = (build-asdf-system {
    pname = "telnetlib";
    version = "20141217-git";
    asds = [ "telnetlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/telnetlib/2014-12-17/telnetlib-20141217-git.tgz";
      sha256 = "1gdf6i352qkmp27nqbv6qfi7sqn5wjzdaffh6ls1y5jznqh3nb0h";
      system = "telnetlib";
      asd = "telnetlib";
    });
    systems = [ "telnetlib" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  template = (build-asdf-system {
    pname = "template";
    version = "20230618-git";
    asds = [ "template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template/2023-06-18/template-20230618-git.tgz";
      sha256 = "1ccnjawxwjqk8gavqga7waqrxv0pmncbycyfwylyly7a1c7zjadr";
      system = "template";
      asd = "template";
    });
    systems = [ "template" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "parameterized-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  template-function = (build-asdf-system {
    pname = "template-function";
    version = "v0.0.1-git";
    asds = [ "template-function" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template-function/2017-11-30/template-function-v0.0.1-git.tgz";
      sha256 = "1nq782cdi9vr3hgqqyzvvng2sbyc09biggwq4zp7k1vmqnm6qdaf";
      system = "template-function";
      asd = "template-function";
    });
    systems = [ "template-function" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) (getAttr "specialization-store" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  template-function-tests = (build-asdf-system {
    pname = "template-function-tests";
    version = "v0.0.1-git";
    asds = [ "template-function-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/template-function/2017-11-30/template-function-v0.0.1-git.tgz";
      sha256 = "1nq782cdi9vr3hgqqyzvvng2sbyc09biggwq4zp7k1vmqnm6qdaf";
      system = "template-function-tests";
      asd = "template-function-tests";
    });
    systems = [ "template-function-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "template-function" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  temporal-functions = (build-asdf-system {
    pname = "temporal-functions";
    version = "20171019-git";
    asds = [ "temporal-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/temporal-functions/2017-10-19/temporal-functions-20171019-git.tgz";
      sha256 = "03cbgw949g68n72nqp0nmjq9nx0kfz5zs6kpk0pwchy3i8bwf22j";
      system = "temporal-functions";
      asd = "temporal-functions";
    });
    systems = [ "temporal-functions" ];
    lispLibs = [ (getAttr "fn" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  temporary-file = (build-asdf-system {
    pname = "temporary-file";
    version = "20150608-git";
    asds = [ "temporary-file" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/temporary-file/2015-06-08/temporary-file-20150608-git.tgz";
      sha256 = "0m38lncj6bmj7gwq8vp7l0gwzmk7pfasl4samzgl2fah8hzb064a";
      system = "temporary-file";
      asd = "temporary-file";
    });
    systems = [ "temporary-file" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "unit-test" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ten = (build-asdf-system {
    pname = "ten";
    version = "20230618-git";
    asds = [ "ten" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2023-06-18/ten-20230618-git.tgz";
      sha256 = "1z1aqdlmjagdfyl3d9m92g96cdbnbdvbxbfixcl1qifbkzxka739";
      system = "ten";
      asd = "ten";
    });
    systems = [ "ten" ];
    lispLibs = [ (getAttr "access" self) (getAttr "cl-who" self) (getAttr "esrap" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ten_dot_examples = (build-asdf-system {
    pname = "ten.examples";
    version = "20230618-git";
    asds = [ "ten.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2023-06-18/ten-20230618-git.tgz";
      sha256 = "1z1aqdlmjagdfyl3d9m92g96cdbnbdvbxbfixcl1qifbkzxka739";
      system = "ten.examples";
      asd = "ten.examples";
    });
    systems = [ "ten.examples" ];
    lispLibs = [ (getAttr "ten" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ten_dot_i18n_dot_cl-locale = (build-asdf-system {
    pname = "ten.i18n.cl-locale";
    version = "20230618-git";
    asds = [ "ten.i18n.cl-locale" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2023-06-18/ten-20230618-git.tgz";
      sha256 = "1z1aqdlmjagdfyl3d9m92g96cdbnbdvbxbfixcl1qifbkzxka739";
      system = "ten.i18n.cl-locale";
      asd = "ten.i18n.cl-locale";
    });
    systems = [ "ten.i18n.cl-locale" ];
    lispLibs = [ (getAttr "cl-locale" self) (getAttr "ten" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ten_dot_i18n_dot_gettext = (build-asdf-system {
    pname = "ten.i18n.gettext";
    version = "20230618-git";
    asds = [ "ten.i18n.gettext" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2023-06-18/ten-20230618-git.tgz";
      sha256 = "1z1aqdlmjagdfyl3d9m92g96cdbnbdvbxbfixcl1qifbkzxka739";
      system = "ten.i18n.gettext";
      asd = "ten.i18n.gettext";
    });
    systems = [ "ten.i18n.gettext" ];
    lispLibs = [ (getAttr "gettext" self) (getAttr "ten" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ten_dot_tests = (build-asdf-system {
    pname = "ten.tests";
    version = "20230618-git";
    asds = [ "ten.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ten/2023-06-18/ten-20230618-git.tgz";
      sha256 = "1z1aqdlmjagdfyl3d9m92g96cdbnbdvbxbfixcl1qifbkzxka739";
      system = "ten.tests";
      asd = "ten.tests";
    });
    systems = [ "ten.tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "ten" self) (getAttr "ten_dot_examples" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  terminfo = (build-asdf-system {
    pname = "terminfo";
    version = "20210124-git";
    asds = [ "terminfo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/terminfo/2021-01-24/terminfo-20210124-git.tgz";
      sha256 = "1nmin9rr6f75xdhxysba66xa1dh62fh27w9ad1cvmj0062armf6b";
      system = "terminfo";
      asd = "terminfo";
    });
    systems = [ "terminfo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  terrable = (build-asdf-system {
    pname = "terrable";
    version = "20190710-git";
    asds = [ "terrable" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/terrable/2019-07-10/terrable-20190710-git.tgz";
      sha256 = "0pnqflgz410zydc1ivwnd8hcl24bgr7x12yjzr7g4lq3ibc8y97b";
      system = "terrable";
      asd = "terrable";
    });
    systems = [ "terrable" ];
    lispLibs = [ (getAttr "documentation-utils" self) (getAttr "fast-io" self) (getAttr "ieee-floats" self) (getAttr "static-vectors" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tesseract-capi = (build-asdf-system {
    pname = "tesseract-capi";
    version = "20201220-git";
    asds = [ "tesseract-capi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tesseract-capi/2020-12-20/tesseract-capi-20201220-git.tgz";
      sha256 = "1g8afgzbvfk80gi05nbwp9cmmrsqm5knhqi04v1cx556vrbp6ks1";
      system = "tesseract-capi";
      asd = "tesseract-capi";
    });
    systems = [ "tesseract-capi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test-40ants-system = (build-asdf-system {
    pname = "test-40ants-system";
    version = "20230214-git";
    asds = [ "test-40ants-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/40ants-asdf-system/2023-02-14/40ants-asdf-system-20230214-git.tgz";
      sha256 = "02r6frx4xcv7qfkmdks1zpv0b3qamywdcwd6zvznfcnmfa8jbfmy";
      system = "test-40ants-system";
      asd = "test-40ants-system";
    });
    systems = [ "test-40ants-system" ];
    lispLibs = [ (getAttr "_40ants-asdf-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test-gadgets = (build-asdf-system {
    pname = "test-gadgets";
    version = "20220220-git";
    asds = [ "test-gadgets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gadgets/2022-02-20/gadgets-20220220-git.tgz";
      sha256 = "0g06wb3dciri2q93x2dcf58x5r8gq2kb86fgd2w4pr5r1wxwd1sm";
      system = "test-gadgets";
      asd = "test-gadgets";
    });
    systems = [ "test-gadgets" ];
    lispLibs = [ (getAttr "gadgets" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test-paren6 = (build-asdf-system {
    pname = "test-paren6";
    version = "20220331-git";
    asds = [ "test-paren6" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paren6/2022-03-31/paren6-20220331-git.tgz";
      sha256 = "0m7z7zkc1vrwmp68f3yx0mdsb0j45dmw3iddnbvf94dpv8aywwpx";
      system = "test-paren6";
      asd = "test-paren6";
    });
    systems = [ "test-paren6" ];
    lispLibs = [ (getAttr "external-program" self) (getAttr "paren6" self) (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test-serial-system = (build-asdf-system {
    pname = "test-serial-system";
    version = "20170403-git";
    asds = [ "test-serial-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/asdf-dependency-grovel/2017-04-03/asdf-dependency-grovel-20170403-git.tgz";
      sha256 = "1y4kdqsda4ira4r9dws6kxzzv6mg45q3lkmb2c9mg9q7ksc5glif";
      system = "test-serial-system";
      asd = "test-serial-system";
    });
    systems = [ "test-serial-system" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test-utils = (build-asdf-system {
    pname = "test-utils";
    version = "20200610-git";
    asds = [ "test-utils" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/test-utils/2020-06-10/test-utils-20200610-git.tgz";
      sha256 = "036a8wvs37lnsf9dy3c810qk54963v7hnxx0zas25b50ikcmiqm5";
      system = "test-utils";
      asd = "test-utils";
    });
    systems = [ "test-utils" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "alexandria" self) (getAttr "cl-quickcheck" self) (getAttr "prove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test_dot_eager-future2 = (build-asdf-system {
    pname = "test.eager-future2";
    version = "20191130-git";
    asds = [ "test.eager-future2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/eager-future2/2019-11-30/eager-future2-20191130-git.tgz";
      sha256 = "1qs1bv3m0ki8l5czhsflxcryh22r9d9g9a3a3b0cr0pl954q5rld";
      system = "test.eager-future2";
      asd = "test.eager-future2";
    });
    systems = [ "test.eager-future2" ];
    lispLibs = [ (getAttr "eager-future2" self) (getAttr "eos" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  test_dot_vas-string-metrics = (build-asdf-system {
    pname = "test.vas-string-metrics";
    version = "20211209-git";
    asds = [ "test.vas-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vas-string-metrics/2021-12-09/vas-string-metrics-20211209-git.tgz";
      sha256 = "1yvkwc939dckv070nlgqfj5ys9ii2rm32m5wfx7qxdjrb4n19sx9";
      system = "test.vas-string-metrics";
      asd = "test.vas-string-metrics";
    });
    systems = [ "test.vas-string-metrics" ];
    lispLibs = [ (getAttr "vas-string-metrics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  testbild = (build-asdf-system {
    pname = "testbild";
    version = "20101207-git";
    asds = [ "testbild" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testbild/2010-12-07/testbild-20101207-git.tgz";
      sha256 = "024b6rlgljcjazwg302zkdmkpxs2hirjg7g39ypppz81ns2v65sw";
      system = "testbild";
      asd = "testbild";
    });
    systems = [ "testbild" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "graylex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  testbild-test = (build-asdf-system {
    pname = "testbild-test";
    version = "20101207-git";
    asds = [ "testbild-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testbild/2010-12-07/testbild-20101207-git.tgz";
      sha256 = "024b6rlgljcjazwg302zkdmkpxs2hirjg7g39ypppz81ns2v65sw";
      system = "testbild-test";
      asd = "testbild-test";
    });
    systems = [ "testbild-test" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-heredoc" self) (getAttr "testbild" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  testiere = (build-asdf-system {
    pname = "testiere";
    version = "20230214-git";
    asds = [ "testiere" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/testiere/2023-02-14/testiere-20230214-git.tgz";
      sha256 = "0cbdhl5rrmymci0dy2lmc8w7l3vpv1phjl05yahch226wjd2z8fq";
      system = "testiere";
      asd = "testiere";
    });
    systems = [ "testiere" ];
    lispLibs = [ (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  texp = (build-asdf-system {
    pname = "texp";
    version = "20151218-git";
    asds = [ "texp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/texp/2015-12-18/texp-20151218-git.tgz";
      sha256 = "1sbll7jwmzd86hg0zva8r7db2565nnliasv2x6rkrm9xl97q0kg5";
      system = "texp";
      asd = "texp";
    });
    systems = [ "texp" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  text-query = (build-asdf-system {
    pname = "text-query";
    version = "1.1";
    asds = [ "text-query" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/text-query/2011-11-05/text-query-1.1.tgz";
      sha256 = "082xqpfchmg2752m1lw78q6c0z3walzsmqk8gl6qnj6bdwbhf4dm";
      system = "text-query";
      asd = "text-query";
    });
    systems = [ "text-query" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  text-subsystem = (build-asdf-system {
    pname = "text-subsystem";
    version = "20200427-git";
    asds = [ "text-subsystem" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "text-subsystem";
      asd = "text-subsystem";
    });
    systems = [ "text-subsystem" ];
    lispLibs = [ (getAttr "application" self) (getAttr "deflazy" self) (getAttr "image-utility" self) (getAttr "nsb-cga" self) (getAttr "quads" self) (getAttr "sucle-temp" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  text-subsystem-generate-font = (build-asdf-system {
    pname = "text-subsystem-generate-font";
    version = "20200427-git";
    asds = [ "text-subsystem-generate-font" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "text-subsystem-generate-font";
      asd = "text-subsystem-generate-font";
    });
    systems = [ "text-subsystem-generate-font" ];
    lispLibs = [ (getAttr "cl-freetype2" self) (getAttr "opticl" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  textery = (build-asdf-system {
    pname = "textery";
    version = "20201220-git";
    asds = [ "textery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/textery/2020-12-20/textery-20201220-git.tgz";
      sha256 = "0v8zk1s18fi462qwvjbci8nikgs5wqjpl97ckfk0spvhybrdgwcc";
      system = "textery";
      asd = "textery";
    });
    systems = [ "textery" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "str" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  the-cost-of-nothing = (build-asdf-system {
    pname = "the-cost-of-nothing";
    version = "20191130-git";
    asds = [ "the-cost-of-nothing" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/the-cost-of-nothing/2019-11-30/the-cost-of-nothing-20191130-git.tgz";
      sha256 = "1ccrglyr1wnnfp218w1qj7yfl4yzlxkki3hqaifi5axgbi5dmmh8";
      system = "the-cost-of-nothing";
      asd = "the-cost-of-nothing";
    });
    systems = [ "the-cost-of-nothing" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "local-time" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thnappy = (build-asdf-system {
    pname = "thnappy";
    version = "20180831-git";
    asds = [ "thnappy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thnappy/2018-08-31/thnappy-20180831-git.tgz";
      sha256 = "0p03w2mcc655gm9x3rpgixhap9l56imjyblkwv05rk6mjx7wfnrp";
      system = "thnappy";
      asd = "thnappy";
    });
    systems = [ "thnappy" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thorn = (build-asdf-system {
    pname = "thorn";
    version = "20150608-git";
    asds = [ "thorn" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn";
      asd = "thorn";
    });
    systems = [ "thorn" ];
    lispLibs = [ (getAttr "common-doc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thorn-doc = (build-asdf-system {
    pname = "thorn-doc";
    version = "20150608-git";
    asds = [ "thorn-doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn-doc";
      asd = "thorn-doc";
    });
    systems = [ "thorn-doc" ];
    lispLibs = [ (getAttr "thorn" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thorn-test = (build-asdf-system {
    pname = "thorn-test";
    version = "20150608-git";
    asds = [ "thorn-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thorn/2015-06-08/thorn-20150608-git.tgz";
      sha256 = "1d4w5358yxgccna91pxz9526w932j5ig17gp19zysjxvca57hqy7";
      system = "thorn-test";
      asd = "thorn-test";
    });
    systems = [ "thorn-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "thorn" self) (getAttr "thorn-doc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thread-pool = (build-asdf-system {
    pname = "thread-pool";
    version = "20120107-git";
    asds = [ "thread-pool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread-pool/2012-01-07/thread-pool-20120107-git.tgz";
      sha256 = "0wi9l0m660332w9pnc3w08m5hlsry9s0cgc3rznb5kyap68iv847";
      system = "thread-pool";
      asd = "thread-pool";
    });
    systems = [ "thread-pool" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thread_dot_comm_dot_rendezvous = (build-asdf-system {
    pname = "thread.comm.rendezvous";
    version = "20121013-git";
    asds = [ "thread.comm.rendezvous" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread.comm.rendezvous/2012-10-13/thread.comm.rendezvous-20121013-git.tgz";
      sha256 = "16crdy09zm20iclgln1vj0psd8ifz4rqb6g9255p0d2rkjk2rgfx";
      system = "thread.comm.rendezvous";
      asd = "thread.comm.rendezvous";
    });
    systems = [ "thread.comm.rendezvous" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-annot" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  thread_dot_comm_dot_rendezvous_dot_test = (build-asdf-system {
    pname = "thread.comm.rendezvous.test";
    version = "20121013-git";
    asds = [ "thread.comm.rendezvous.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/thread.comm.rendezvous/2012-10-13/thread.comm.rendezvous-20121013-git.tgz";
      sha256 = "16crdy09zm20iclgln1vj0psd8ifz4rqb6g9255p0d2rkjk2rgfx";
      system = "thread.comm.rendezvous.test";
      asd = "thread.comm.rendezvous.test";
    });
    systems = [ "thread.comm.rendezvous.test" ];
    lispLibs = [ (getAttr "cl-test-more" self) (getAttr "thread_dot_comm_dot_rendezvous" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tile-grid = (build-asdf-system {
    pname = "tile-grid";
    version = "20220707-git";
    asds = [ "tile-grid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tile-grid/2022-07-07/tile-grid-20220707-git.tgz";
      sha256 = "10sqiqspiljnk4i1v4w0dkr640cgf9nvkgmkaww3smmhyjsd9270";
      system = "tile-grid";
      asd = "tile-grid";
    });
    systems = [ "tile-grid" ];
    lispLibs = [ (getAttr "mfiano-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  time-interval = (build-asdf-system {
    pname = "time-interval";
    version = "20190202-git";
    asds = [ "time-interval" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/time-interval/2019-02-02/time-interval-20190202-git.tgz";
      sha256 = "0dydlg42bwcd7sr57v8hhrd86n80d5cb5r6r2id0zyqbrijabdw5";
      system = "time-interval";
      asd = "time-interval";
    });
    systems = [ "time-interval" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  timer-wheel = (build-asdf-system {
    pname = "timer-wheel";
    version = "20180228-git";
    asds = [ "timer-wheel" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/timer-wheel/2018-02-28/timer-wheel-20180228-git.tgz";
      sha256 = "12pc1dpnkwj43n1sdqhg8n8h0mb16zcx4wxly85b7bqf00s962bc";
      system = "timer-wheel";
      asd = "timer-wheel";
    });
    systems = [ "timer-wheel" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  timer-wheel_dot_examples = (build-asdf-system {
    pname = "timer-wheel.examples";
    version = "20180228-git";
    asds = [ "timer-wheel.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/timer-wheel/2018-02-28/timer-wheel-20180228-git.tgz";
      sha256 = "12pc1dpnkwj43n1sdqhg8n8h0mb16zcx4wxly85b7bqf00s962bc";
      system = "timer-wheel.examples";
      asd = "timer-wheel.examples";
    });
    systems = [ "timer-wheel.examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "timer-wheel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tinaa = (build-asdf-system {
    pname = "tinaa";
    version = "20171227-git";
    asds = [ "tinaa" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tinaa/2017-12-27/tinaa-20171227-git.tgz";
      sha256 = "10r1ypxphs5h7xxkl7v7r9pi2wdz1ik948mp63006hn44j7s1sa1";
      system = "tinaa";
      asd = "tinaa";
    });
    systems = [ "tinaa" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "asdf-system-connections" self) (getAttr "cl-containers" self) (getAttr "cl-graph" self) (getAttr "defsystem-compatibility" self) (getAttr "dynamic-classes" self) (getAttr "lml2" self) (getAttr "metatilities" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tinaa-test = (build-asdf-system {
    pname = "tinaa-test";
    version = "20171227-git";
    asds = [ "tinaa-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tinaa/2017-12-27/tinaa-20171227-git.tgz";
      sha256 = "10r1ypxphs5h7xxkl7v7r9pi2wdz1ik948mp63006hn44j7s1sa1";
      system = "tinaa-test";
      asd = "tinaa-test";
    });
    systems = [ "tinaa-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "tinaa" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tiny-routes = (build-asdf-system {
    pname = "tiny-routes";
    version = "20220331-git";
    asds = [ "tiny-routes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tiny-routes/2022-03-31/tiny-routes-20220331-git.tgz";
      sha256 = "1210j7wd9rgh95p8ccwrz5axvganag14wg10giwmj236p08869ww";
      system = "tiny-routes";
      asd = "tiny-routes";
    });
    systems = [ "tiny-routes" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tm = (build-asdf-system {
    pname = "tm";
    version = "v0.8";
    asds = [ "tm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tm/2018-02-28/tm-v0.8.tgz";
      sha256 = "0lhqg5jpkzni1vzni0nnw7jb8ick1pbp04gfij2iczbi82qsw8x1";
      system = "tm";
      asd = "tm";
    });
    systems = [ "tm" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tmpdir = (build-asdf-system {
    pname = "tmpdir";
    version = "20200218-git";
    asds = [ "tmpdir" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tmpdir/2020-02-18/tmpdir-20200218-git.tgz";
      sha256 = "11yshmg2wyd75ywwfybklm131d5rdw246pg35a6ksndiq3w5n4k8";
      system = "tmpdir";
      asd = "tmpdir";
    });
    systems = [ "tmpdir" ];
    lispLibs = [ (getAttr "cl-fad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tmpdir_dot_tests = (build-asdf-system {
    pname = "tmpdir.tests";
    version = "20200218-git";
    asds = [ "tmpdir.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tmpdir/2020-02-18/tmpdir-20200218-git.tgz";
      sha256 = "11yshmg2wyd75ywwfybklm131d5rdw246pg35a6ksndiq3w5n4k8";
      system = "tmpdir.tests";
      asd = "tmpdir.tests";
    });
    systems = [ "tmpdir.tests" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "fiveam" self) (getAttr "osicat" self) (getAttr "tmpdir" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toadstool = (build-asdf-system {
    pname = "toadstool";
    version = "20130615-git";
    asds = [ "toadstool" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toadstool/2013-06-15/toadstool-20130615-git.tgz";
      sha256 = "0njb1mdzk0247h87db90zv7bk40mw54pq8sj35l1dwa30d5yhi6r";
      system = "toadstool";
      asd = "toadstool";
    });
    systems = [ "toadstool" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toadstool-tests = (build-asdf-system {
    pname = "toadstool-tests";
    version = "20130615-git";
    asds = [ "toadstool-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toadstool/2013-06-15/toadstool-20130615-git.tgz";
      sha256 = "0njb1mdzk0247h87db90zv7bk40mw54pq8sj35l1dwa30d5yhi6r";
      system = "toadstool-tests";
      asd = "toadstool-tests";
    });
    systems = [ "toadstool-tests" ];
    lispLibs = [ (getAttr "stefil" self) (getAttr "toadstool" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toms419 = (build-asdf-system {
    pname = "toms419";
    version = "20200925-git";
    asds = [ "toms419" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms419";
      asd = "toms419";
    });
    systems = [ "toms419" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toms715 = (build-asdf-system {
    pname = "toms715";
    version = "20200925-git";
    asds = [ "toms715" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms715";
      asd = "toms715";
    });
    systems = [ "toms715" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toms717 = (build-asdf-system {
    pname = "toms717";
    version = "20200925-git";
    asds = [ "toms717" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/f2cl/2020-09-25/f2cl-20200925-git.tgz";
      sha256 = "0kq1lrz0sg4kj64w0ysihnfwi65pami362fs2mvpyf1yhgxmq08y";
      system = "toms717";
      asd = "toms717";
    });
    systems = [ "toms717" ];
    lispLibs = [ (getAttr "f2cl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  toot = (build-asdf-system {
    pname = "toot";
    version = "20121125-git";
    asds = [ "toot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/toot/2012-11-25/toot-20121125-git.tgz";
      sha256 = "1235qhkjrg1mmy6kx1vhsqvgjjgc7hk2sjssapv7xr43m71n6ivx";
      system = "toot";
      asd = "toot";
    });
    systems = [ "toot" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "chunga" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "md5" self) (getAttr "puri" self) (getAttr "trivial-backtrace" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tooter = (build-asdf-system {
    pname = "tooter";
    version = "20230618-git";
    asds = [ "tooter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tooter/2023-06-18/tooter-20230618-git.tgz";
      sha256 = "1gq76b8sr7rs3finnmnizql6n3sw108bb2k3va60rvc4zqkzk058";
      system = "tooter";
      asd = "tooter";
    });
    systems = [ "tooter" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "com_dot_inuoe_dot_jzon" self) (getAttr "documentation-utils" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  torrents = (build-asdf-system {
    pname = "torrents";
    version = "20221106-git";
    asds = [ "torrents" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-torrents/2022-11-06/cl-torrents-20221106-git.tgz";
      sha256 = "1icz98icnisz8cz669adin5x68y3ybcajy69yrma1djgd3v7inl5";
      system = "torrents";
      asd = "torrents";
    });
    systems = [ "torrents" ];
    lispLibs = [ (getAttr "access" self) (getAttr "cl-ansi-text" self) (getAttr "cl-readline" self) (getAttr "cl-transmission" self) (getAttr "clache" self) (getAttr "dexador" self) (getAttr "jonathan" self) (getAttr "log4cl" self) (getAttr "lparallel" self) (getAttr "lquery" self) (getAttr "mockingbird" self) (getAttr "parse-float" self) (getAttr "plump" self) (getAttr "py-configparser" self) (getAttr "replic" self) (getAttr "str" self) (getAttr "unix-opts" self) (getAttr "x_dot_let-star" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  torrents-test = (build-asdf-system {
    pname = "torrents-test";
    version = "20221106-git";
    asds = [ "torrents-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-torrents/2022-11-06/cl-torrents-20221106-git.tgz";
      sha256 = "1icz98icnisz8cz669adin5x68y3ybcajy69yrma1djgd3v7inl5";
      system = "torrents-test";
      asd = "torrents-test";
    });
    systems = [ "torrents-test" ];
    lispLibs = [ (getAttr "mockingbird" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "torrents" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  towers = (build-asdf-system {
    pname = "towers";
    version = "20141217-git";
    asds = [ "towers" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/towers/2014-12-17/towers-20141217-git.tgz";
      sha256 = "0r89z1hfb7kmj0a4qm7ih599hlin8rhxk6pb7nnvsdjgn436dkga";
      system = "towers";
      asd = "towers";
    });
    systems = [ "towers" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-glu" self) (getAttr "cl-glut" self) (getAttr "cl-opengl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trace-db = (build-asdf-system {
    pname = "trace-db";
    version = "20230618-git";
    asds = [ "trace-db" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trace-db/2023-06-18/trace-db-20230618-git.tgz";
      sha256 = "1n2mj8nzd0c3clz5xjllajfad50i6yhir27i9q41r4sc5z1k0x63";
      system = "trace-db";
      asd = "trace-db";
    });
    systems = [ "trace-db" ];
    lispLibs = [ (getAttr "asdf-package-system" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  track-best = (build-asdf-system {
    pname = "track-best";
    version = "20220220-git";
    asds = [ "track-best" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/track-best/2022-02-20/track-best-20220220-git.tgz";
      sha256 = "1f59bn57y1mdq18l1ji5q8yazv73g85y1mns2xzwbmx8sgxsa6pq";
      system = "track-best";
      asd = "track-best";
    });
    systems = [ "track-best" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trainable-object = (build-asdf-system {
    pname = "trainable-object";
    version = "20191227-git";
    asds = [ "trainable-object" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trainable-object/2019-12-27/trainable-object-20191227-git.tgz";
      sha256 = "06hfv039xx5vwm3qpm4kwlzlxc4zxlfcpxnbbq8x12a32ngqykwm";
      system = "trainable-object";
      asd = "trainable-object";
    });
    systems = [ "trainable-object" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "serializable-object" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trainable-object_dot_test = (build-asdf-system {
    pname = "trainable-object.test";
    version = "20191227-git";
    asds = [ "trainable-object.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trainable-object/2019-12-27/trainable-object-20191227-git.tgz";
      sha256 = "06hfv039xx5vwm3qpm4kwlzlxc4zxlfcpxnbbq8x12a32ngqykwm";
      system = "trainable-object.test";
      asd = "trainable-object.test";
    });
    systems = [ "trainable-object.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trainable-object" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  translate = (build-asdf-system {
    pname = "translate";
    version = "20180228-git";
    asds = [ "translate" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/translate/2018-02-28/translate-20180228-git.tgz";
      sha256 = "07bvdmj8x77k8pw24yhfp1xv9h40n5w717vgj3wmq703159kyjia";
      system = "translate";
      asd = "translate";
    });
    systems = [ "translate" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  translate-client = (build-asdf-system {
    pname = "translate-client";
    version = "20180228-git";
    asds = [ "translate-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/translate-client/2018-02-28/translate-client-20180228-git.tgz";
      sha256 = "0mjzzahy5wrycik37dirwnvcd5bj5xm20cnw6cmzh0ncvb442mdx";
      system = "translate-client";
      asd = "translate-client";
    });
    systems = [ "translate-client" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "assoc-utils" self) (getAttr "dexador" self) (getAttr "quri" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  translators = (build-asdf-system {
    pname = "translators";
    version = "master-5b2475f9-git";
    asds = [ "translators" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "translators";
      asd = "translators";
    });
    systems = [ "translators" ];
    lispLibs = [ (getAttr "gwl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  transparent-wrap = (build-asdf-system {
    pname = "transparent-wrap";
    version = "20200925-git";
    asds = [ "transparent-wrap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/transparent-wrap/2020-09-25/transparent-wrap-20200925-git.tgz";
      sha256 = "0ghva34ksdvczfwpjdaf97bkjxrp35fjqkxamyqf7fbadh4wmfqj";
      system = "transparent-wrap";
      asd = "transparent-wrap";
    });
    systems = [ "transparent-wrap" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" self) (getAttr "named-readtables" self) (getAttr "optima" self) (getAttr "trivial-arguments" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tree = (build-asdf-system {
    pname = "tree";
    version = "master-5b2475f9-git";
    asds = [ "tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "tree";
      asd = "tree";
    });
    systems = [ "tree" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tree-search = (build-asdf-system {
    pname = "tree-search";
    version = "0.0.1";
    asds = [ "tree-search" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tree-search/2020-12-20/tree-search-0.0.1.tgz";
      sha256 = "10qgd5yj3n2w4j6wsq1xly0hnpdi1bhhzpia4s1gpkywhglw84zq";
      system = "tree-search";
      asd = "tree-search";
    });
    systems = [ "tree-search" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  treedb = (build-asdf-system {
    pname = "treedb";
    version = "20160825-git";
    asds = [ "treedb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb";
      asd = "treedb";
    });
    systems = [ "treedb" ];
    lispLibs = [ (getAttr "cl-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  treedb_dot_doc = (build-asdf-system {
    pname = "treedb.doc";
    version = "20160825-git";
    asds = [ "treedb.doc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb.doc";
      asd = "treedb.doc";
    });
    systems = [ "treedb.doc" ];
    lispLibs = [ (getAttr "cl-gendoc" self) (getAttr "treedb" self) (getAttr "treedb_dot_tests" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  treedb_dot_tests = (build-asdf-system {
    pname = "treedb.tests";
    version = "20160825-git";
    asds = [ "treedb.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/treedb/2016-08-25/treedb-20160825-git.tgz";
      sha256 = "02xsm4han0m0vj1j2ly2a6ncjcv7z8p3lcpkyj27xygag2vlchbq";
      system = "treedb.tests";
      asd = "treedb.tests";
    });
    systems = [ "treedb.tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "treedb" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trees = (build-asdf-system {
    pname = "trees";
    version = "20180131-git";
    asds = [ "trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trees/2018-01-31/trees-20180131-git.tgz";
      sha256 = "1xvydf3qc17rd7ia8sffxcpclgm3l0iyhx8k72ddk59v3pg5is4k";
      system = "trees";
      asd = "trees";
    });
    systems = [ "trees" ];
    lispLibs = [  ];
    meta = {};
  });
  trees-tests = (build-asdf-system {
    pname = "trees-tests";
    version = "20180131-git";
    asds = [ "trees-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trees/2018-01-31/trees-20180131-git.tgz";
      sha256 = "1xvydf3qc17rd7ia8sffxcpclgm3l0iyhx8k72ddk59v3pg5is4k";
      system = "trees-tests";
      asd = "trees";
    });
    systems = [ "trees-tests" ];
    lispLibs = [ (getAttr "trees" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trestrul = (build-asdf-system {
    pname = "trestrul";
    version = "20211020-git";
    asds = [ "trestrul" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trestrul/2021-10-20/trestrul-20211020-git.tgz";
      sha256 = "12bghcfnfxq8l4a1jzh6vx4yna9da1xvp0b7kfdcfylnyga9ivy6";
      system = "trestrul";
      asd = "trestrul";
    });
    systems = [ "trestrul" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trestrul_dot_test = (build-asdf-system {
    pname = "trestrul.test";
    version = "20211020-git";
    asds = [ "trestrul.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trestrul/2021-10-20/trestrul-20211020-git.tgz";
      sha256 = "12bghcfnfxq8l4a1jzh6vx4yna9da1xvp0b7kfdcfylnyga9ivy6";
      system = "trestrul.test";
      asd = "trestrul.test";
    });
    systems = [ "trestrul.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "trestrul" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia = (build-asdf-system {
    pname = "trivia";
    version = "20230618-git";
    asds = [ "trivia" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia";
      asd = "trivia";
    });
    systems = [ "trivia" ];
    lispLibs = [ (getAttr "trivia_dot_balland2006" self) ];
    meta = {};
  });
  trivia_dot_balland2006 = (build-asdf-system {
    pname = "trivia.balland2006";
    version = "20230618-git";
    asds = [ "trivia.balland2006" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.balland2006";
      asd = "trivia.balland2006";
    });
    systems = [ "trivia.balland2006" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) (getAttr "trivia_dot_trivial" self) (getAttr "type-i" self) ];
    meta = {};
  });
  trivia_dot_benchmark = (build-asdf-system {
    pname = "trivia.benchmark";
    version = "20230618-git";
    asds = [ "trivia.benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.benchmark";
      asd = "trivia.benchmark";
    });
    systems = [ "trivia.benchmark" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "optima" self) (getAttr "trivia" self) (getAttr "trivia_dot_balland2006" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia_dot_cffi = (build-asdf-system {
    pname = "trivia.cffi";
    version = "20230618-git";
    asds = [ "trivia.cffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.cffi";
      asd = "trivia.cffi";
    });
    systems = [ "trivia.cffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "trivia_dot_trivial" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia_dot_fset = (build-asdf-system {
    pname = "trivia.fset";
    version = "20230618-git";
    asds = [ "trivia.fset" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.fset";
      asd = "trivia.fset";
    });
    systems = [ "trivia.fset" ];
    lispLibs = [ (getAttr "fset" self) (getAttr "trivia_dot_trivial" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia_dot_level0 = (build-asdf-system {
    pname = "trivia.level0";
    version = "20230618-git";
    asds = [ "trivia.level0" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.level0";
      asd = "trivia.level0";
    });
    systems = [ "trivia.level0" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  trivia_dot_level1 = (build-asdf-system {
    pname = "trivia.level1";
    version = "20230618-git";
    asds = [ "trivia.level1" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.level1";
      asd = "trivia.level1";
    });
    systems = [ "trivia.level1" ];
    lispLibs = [ (getAttr "trivia_dot_level0" self) ];
    meta = {};
  });
  trivia_dot_level2 = (build-asdf-system {
    pname = "trivia.level2";
    version = "20230618-git";
    asds = [ "trivia.level2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.level2";
      asd = "trivia.level2";
    });
    systems = [ "trivia.level2" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "lisp-namespace" self) (getAttr "trivia_dot_level1" self) (getAttr "trivial-cltl2" self) ];
    meta = {};
  });
  trivia_dot_ppcre = (build-asdf-system {
    pname = "trivia.ppcre";
    version = "20230618-git";
    asds = [ "trivia.ppcre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.ppcre";
      asd = "trivia.ppcre";
    });
    systems = [ "trivia.ppcre" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "trivia_dot_trivial" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia_dot_quasiquote = (build-asdf-system {
    pname = "trivia.quasiquote";
    version = "20230618-git";
    asds = [ "trivia.quasiquote" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.quasiquote";
      asd = "trivia.quasiquote";
    });
    systems = [ "trivia.quasiquote" ];
    lispLibs = [ (getAttr "fare-quasiquote-readtable" self) (getAttr "trivia_dot_trivial" self) ];
    meta = {};
  });
  trivia_dot_test = (build-asdf-system {
    pname = "trivia.test";
    version = "20230618-git";
    asds = [ "trivia.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.test";
      asd = "trivia.test";
    });
    systems = [ "trivia.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "optima" self) (getAttr "trivia" self) (getAttr "trivia_dot_cffi" self) (getAttr "trivia_dot_fset" self) (getAttr "trivia_dot_ppcre" self) (getAttr "trivia_dot_quasiquote" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivia_dot_trivial = (build-asdf-system {
    pname = "trivia.trivial";
    version = "20230618-git";
    asds = [ "trivia.trivial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivia/2023-06-18/trivia-20230618-git.tgz";
      sha256 = "13q261kc4y3g16zswfs1f2y57jpg04d7cx3xig76wp8wfgaq5g1m";
      system = "trivia.trivial";
      asd = "trivia.trivial";
    });
    systems = [ "trivia.trivial" ];
    lispLibs = [ (getAttr "trivia_dot_level2" self) ];
    meta = {};
  });
  trivial-arguments = (build-asdf-system {
    pname = "trivial-arguments";
    version = "20230618-git";
    asds = [ "trivial-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-arguments/2023-06-18/trivial-arguments-20230618-git.tgz";
      sha256 = "0z9kb9pji1np3jd2yp39k8db0sjxaip2vdz27pzvir2cykkxwaf4";
      system = "trivial-arguments";
      asd = "trivial-arguments";
    });
    systems = [ "trivial-arguments" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-backtrace = (build-asdf-system {
    pname = "trivial-backtrace";
    version = "20230214-git";
    asds = [ "trivial-backtrace" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-backtrace/2023-02-14/trivial-backtrace-20230214-git.tgz";
      sha256 = "11j0p3vgmnn5q84xw7sacr5p3cvff2hfhsh2is8xpm2iwxc723kn";
      system = "trivial-backtrace";
      asd = "trivial-backtrace";
    });
    systems = [ "trivial-backtrace" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-backtrace-test = (build-asdf-system {
    pname = "trivial-backtrace-test";
    version = "20230214-git";
    asds = [ "trivial-backtrace-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-backtrace/2023-02-14/trivial-backtrace-20230214-git.tgz";
      sha256 = "11j0p3vgmnn5q84xw7sacr5p3cvff2hfhsh2is8xpm2iwxc723kn";
      system = "trivial-backtrace-test";
      asd = "trivial-backtrace-test";
    });
    systems = [ "trivial-backtrace-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "trivial-backtrace" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-battery = (build-asdf-system {
    pname = "trivial-battery";
    version = "20211020-git";
    asds = [ "trivial-battery" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-battery/2021-10-20/trivial-battery-20211020-git.tgz";
      sha256 = "12ni2502v9gjszhjsh0aai08cm64gl8g815xghdjhcf7y34ffl2b";
      system = "trivial-battery";
      asd = "trivial-battery";
    });
    systems = [ "trivial-battery" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-benchmark = (build-asdf-system {
    pname = "trivial-benchmark";
    version = "20220707-git";
    asds = [ "trivial-benchmark" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-benchmark/2022-07-07/trivial-benchmark-20220707-git.tgz";
      sha256 = "1n8p3gjkv1fx8qfjykjvzf1b02mpv1d5s58583c1vyvc5ikjm389";
      system = "trivial-benchmark";
      asd = "trivial-benchmark";
    });
    systems = [ "trivial-benchmark" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-bit-streams = (build-asdf-system {
    pname = "trivial-bit-streams";
    version = "20190710-git";
    asds = [ "trivial-bit-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-bit-streams/2019-07-10/trivial-bit-streams-20190710-git.tgz";
      sha256 = "01xcs069934pzm8gi1xkwgd4lw37ams30i6rcgrlw8gnx4zc4zc9";
      system = "trivial-bit-streams";
      asd = "trivial-bit-streams";
    });
    systems = [ "trivial-bit-streams" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-bit-streams-tests = (build-asdf-system {
    pname = "trivial-bit-streams-tests";
    version = "20190710-git";
    asds = [ "trivial-bit-streams-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-bit-streams/2019-07-10/trivial-bit-streams-20190710-git.tgz";
      sha256 = "01xcs069934pzm8gi1xkwgd4lw37ams30i6rcgrlw8gnx4zc4zc9";
      system = "trivial-bit-streams-tests";
      asd = "trivial-bit-streams-tests";
    });
    systems = [ "trivial-bit-streams-tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "flexi-streams" self) (getAttr "trivial-bit-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-build = (build-asdf-system {
    pname = "trivial-build";
    version = "20151218-git";
    asds = [ "trivial-build" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-build/2015-12-18/trivial-build-20151218-git.tgz";
      sha256 = "10h1igvryaqz6f72i57ppifysnw8swnss9395sijnk595icja7q0";
      system = "trivial-build";
      asd = "trivial-build";
    });
    systems = [ "trivial-build" ];
    lispLibs = [ (getAttr "lisp-invocation" self) (getAttr "trivial-exe" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-build-test = (build-asdf-system {
    pname = "trivial-build-test";
    version = "20151218-git";
    asds = [ "trivial-build-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-build/2015-12-18/trivial-build-20151218-git.tgz";
      sha256 = "10h1igvryaqz6f72i57ppifysnw8swnss9395sijnk595icja7q0";
      system = "trivial-build-test";
      asd = "trivial-build-test";
    });
    systems = [ "trivial-build-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-build" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-channels = (build-asdf-system {
    pname = "trivial-channels";
    version = "20160421-git";
    asds = [ "trivial-channels" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-channels/2016-04-21/trivial-channels-20160421-git.tgz";
      sha256 = "04wnxcgk40x8p0gxnz9arv1a5wasdqrdxa8c4p5v7r2mycfps6jj";
      system = "trivial-channels";
      asd = "trivial-channels";
    });
    systems = [ "trivial-channels" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "trivial-timeout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-clipboard = (build-asdf-system {
    pname = "trivial-clipboard";
    version = "20230618-git";
    asds = [ "trivial-clipboard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-clipboard/2023-06-18/trivial-clipboard-20230618-git.tgz";
      sha256 = "0z77mymg1a4phxgxc627pw778wbpsqqpiyxr10vkqjzpqz8f8a2j";
      system = "trivial-clipboard";
      asd = "trivial-clipboard";
    });
    systems = [ "trivial-clipboard" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-clipboard-test = (build-asdf-system {
    pname = "trivial-clipboard-test";
    version = "20230618-git";
    asds = [ "trivial-clipboard-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-clipboard/2023-06-18/trivial-clipboard-20230618-git.tgz";
      sha256 = "0z77mymg1a4phxgxc627pw778wbpsqqpiyxr10vkqjzpqz8f8a2j";
      system = "trivial-clipboard-test";
      asd = "trivial-clipboard-test";
    });
    systems = [ "trivial-clipboard-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-clipboard" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-cltl2 = (build-asdf-system {
    pname = "trivial-cltl2";
    version = "20211230-git";
    asds = [ "trivial-cltl2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-cltl2/2021-12-30/trivial-cltl2-20211230-git.tgz";
      sha256 = "0xx5vr0dp623m111zbfdk6x7l4jgd4wwyp6iarbj6ijq514wi3a3";
      system = "trivial-cltl2";
      asd = "trivial-cltl2";
    });
    systems = [ "trivial-cltl2" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-compress = (build-asdf-system {
    pname = "trivial-compress";
    version = "20201220-git";
    asds = [ "trivial-compress" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-compress/2020-12-20/trivial-compress-20201220-git.tgz";
      sha256 = "1pbaz0phvzi27dgnfknscak1h27bsi16gys23kchg8y8zbm0z0g7";
      system = "trivial-compress";
      asd = "trivial-compress";
    });
    systems = [ "trivial-compress" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "archive" self) (getAttr "which" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-compress-test = (build-asdf-system {
    pname = "trivial-compress-test";
    version = "20201220-git";
    asds = [ "trivial-compress-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-compress/2020-12-20/trivial-compress-20201220-git.tgz";
      sha256 = "1pbaz0phvzi27dgnfknscak1h27bsi16gys23kchg8y8zbm0z0g7";
      system = "trivial-compress-test";
      asd = "trivial-compress-test";
    });
    systems = [ "trivial-compress-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-compress" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-continuation = (build-asdf-system {
    pname = "trivial-continuation";
    version = "20191007-git";
    asds = [ "trivial-continuation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-continuation/2019-10-07/trivial-continuation-20191007-git.tgz";
      sha256 = "1j8d8q86r60qr9pi5p3q7rqn16xpzbzygs0i9b8sn3qyxnnz5037";
      system = "trivial-continuation";
      asd = "trivial-continuation";
    });
    systems = [ "trivial-continuation" ];
    lispLibs = [ (getAttr "log4cl" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-coverage = (build-asdf-system {
    pname = "trivial-coverage";
    version = "20200218-git";
    asds = [ "trivial-coverage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-coverage/2020-02-18/trivial-coverage-20200218-git.tgz";
      sha256 = "1ak4mjcvzdjsjjh7j89zlnwgaamfrspxmjh2i9kg67kqn36prbsp";
      system = "trivial-coverage";
      asd = "trivial-coverage";
    });
    systems = [ "trivial-coverage" ];
    lispLibs = [ (getAttr "lquery" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-custom-debugger = (build-asdf-system {
    pname = "trivial-custom-debugger";
    version = "20200925-git";
    asds = [ "trivial-custom-debugger" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-custom-debugger/2020-09-25/trivial-custom-debugger-20200925-git.tgz";
      sha256 = "1iri5wsp9sc1f5q934cj87zd79r5dc8fda0gl7x1pz95v0wx28yk";
      system = "trivial-custom-debugger";
      asd = "trivial-custom-debugger";
    });
    systems = [ "trivial-custom-debugger" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-debug-console = (build-asdf-system {
    pname = "trivial-debug-console";
    version = "20150407-git";
    asds = [ "trivial-debug-console" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-debug-console/2015-04-07/trivial-debug-console-20150407-git.tgz";
      sha256 = "07r42k57vldg01hfwjhkic2hsy84c2s5zj7pl60xjl960i0lqnam";
      system = "trivial-debug-console";
      asd = "trivial-debug-console";
    });
    systems = [ "trivial-debug-console" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-do = (build-asdf-system {
    pname = "trivial-do";
    version = "20220331-git";
    asds = [ "trivial-do" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-do/2022-03-31/trivial-do-20220331-git.tgz";
      sha256 = "0vql7am4zyg6zav3l6n6q3qgdxlnchdxpgdxp8lr9sm7jra7sdsf";
      system = "trivial-do";
      asd = "trivial-do";
    });
    systems = [ "trivial-do" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-documentation = (build-asdf-system {
    pname = "trivial-documentation";
    version = "20161204-git";
    asds = [ "trivial-documentation" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-documentation/2016-12-04/trivial-documentation-20161204-git.tgz";
      sha256 = "0y90zi6kaw7226xc089dl47677fz594a5ck1ld8yggk9ww7cdaav";
      system = "trivial-documentation";
      asd = "trivial-documentation";
    });
    systems = [ "trivial-documentation" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-documentation-test = (build-asdf-system {
    pname = "trivial-documentation-test";
    version = "20161204-git";
    asds = [ "trivial-documentation-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-documentation/2016-12-04/trivial-documentation-20161204-git.tgz";
      sha256 = "0y90zi6kaw7226xc089dl47677fz594a5ck1ld8yggk9ww7cdaav";
      system = "trivial-documentation-test";
      asd = "trivial-documentation-test";
    });
    systems = [ "trivial-documentation-test" ];
    lispLibs = [ (getAttr "trivial-documentation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-download = (build-asdf-system {
    pname = "trivial-download";
    version = "20230214-git";
    asds = [ "trivial-download" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-download/2023-02-14/trivial-download-20230214-git.tgz";
      sha256 = "17kag2zi1r766n2mg4knz4ix268bll2acl0150cksibfa4dbq1k7";
      system = "trivial-download";
      asd = "trivial-download";
    });
    systems = [ "trivial-download" ];
    lispLibs = [ (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-dump-core = (build-asdf-system {
    pname = "trivial-dump-core";
    version = "20170227-git";
    asds = [ "trivial-dump-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-dump-core/2017-02-27/trivial-dump-core-20170227-git.tgz";
      sha256 = "08lnp84gbf3yd3gpnbjbl8jm9p42j3m4hf2f355l7lylb8kabxn8";
      system = "trivial-dump-core";
      asd = "trivial-dump-core";
    });
    systems = [ "trivial-dump-core" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ed-functions = (build-asdf-system {
    pname = "trivial-ed-functions";
    version = "20210807-git";
    asds = [ "trivial-ed-functions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ed-functions/2021-08-07/trivial-ed-functions-20210807-git.tgz";
      sha256 = "05r8n4jjcg2lci5qrjwqz913wivckgk01ivjg1barpnm0nr29qn1";
      system = "trivial-ed-functions";
      asd = "trivial-ed-functions";
    });
    systems = [ "trivial-ed-functions" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-escapes = (build-asdf-system {
    pname = "trivial-escapes";
    version = "20180228-git";
    asds = [ "trivial-escapes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-escapes/2018-02-28/trivial-escapes-20180228-git.tgz";
      sha256 = "0v6h8lk17iqv1qkxgqjyzn8gi6v0hvq2vmfbb01md3zjvjqxn6lr";
      system = "trivial-escapes";
      asd = "trivial-escapes";
    });
    systems = [ "trivial-escapes" ];
    lispLibs = [ (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-escapes-test = (build-asdf-system {
    pname = "trivial-escapes-test";
    version = "20180228-git";
    asds = [ "trivial-escapes-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-escapes/2018-02-28/trivial-escapes-20180228-git.tgz";
      sha256 = "0v6h8lk17iqv1qkxgqjyzn8gi6v0hvq2vmfbb01md3zjvjqxn6lr";
      system = "trivial-escapes-test";
      asd = "trivial-escapes-test";
    });
    systems = [ "trivial-escapes-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-escapes" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-exe = (build-asdf-system {
    pname = "trivial-exe";
    version = "20151218-git";
    asds = [ "trivial-exe" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-exe/2015-12-18/trivial-exe-20151218-git.tgz";
      sha256 = "1ryn7gh3n057czj3hwq6lx7h25ipfjxsvddywpm2ngfdwywaqzvc";
      system = "trivial-exe";
      asd = "trivial-exe";
    });
    systems = [ "trivial-exe" ];
    lispLibs = [ (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-exe-test = (build-asdf-system {
    pname = "trivial-exe-test";
    version = "20151218-git";
    asds = [ "trivial-exe-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-exe/2015-12-18/trivial-exe-20151218-git.tgz";
      sha256 = "1ryn7gh3n057czj3hwq6lx7h25ipfjxsvddywpm2ngfdwywaqzvc";
      system = "trivial-exe-test";
      asd = "trivial-exe-test";
    });
    systems = [ "trivial-exe-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-exe" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-extensible-sequences = (build-asdf-system {
    pname = "trivial-extensible-sequences";
    version = "20230618-git";
    asds = [ "trivial-extensible-sequences" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extensible-sequences/2023-06-18/trivial-extensible-sequences-20230618-git.tgz";
      sha256 = "00g52mf7j13s52hzqmkh1z8j6z9zlwf62y1gp924a5xpqx4vxgnq";
      system = "trivial-extensible-sequences";
      asd = "trivial-extensible-sequences";
    });
    systems = [ "trivial-extensible-sequences" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-extract = (build-asdf-system {
    pname = "trivial-extract";
    version = "20160421-git";
    asds = [ "trivial-extract" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extract/2016-04-21/trivial-extract-20160421-git.tgz";
      sha256 = "0083x71f4x6b64wd8ywgaiqi0ygmdhl5rv101jcv44l3l61839sx";
      system = "trivial-extract";
      asd = "trivial-extract";
    });
    systems = [ "trivial-extract" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "archive" self) (getAttr "cl-fad" self) (getAttr "deflate" self) (getAttr "which" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-extract-test = (build-asdf-system {
    pname = "trivial-extract-test";
    version = "20160421-git";
    asds = [ "trivial-extract-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-extract/2016-04-21/trivial-extract-20160421-git.tgz";
      sha256 = "0083x71f4x6b64wd8ywgaiqi0ygmdhl5rv101jcv44l3l61839sx";
      system = "trivial-extract-test";
      asd = "trivial-extract-test";
    });
    systems = [ "trivial-extract-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-extract" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-features = (build-asdf-system {
    pname = "trivial-features";
    version = "20230618-git";
    asds = [ "trivial-features" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-features/2023-06-18/trivial-features-20230618-git.tgz";
      sha256 = "0r33ycg1wsmglbsychglzkd6fachnnqfzd0w9mhpwi6cz94hx7c3";
      system = "trivial-features";
      asd = "trivial-features";
    });
    systems = [ "trivial-features" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-features-tests = (build-asdf-system {
    pname = "trivial-features-tests";
    version = "20230618-git";
    asds = [ "trivial-features-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-features/2023-06-18/trivial-features-20230618-git.tgz";
      sha256 = "0r33ycg1wsmglbsychglzkd6fachnnqfzd0w9mhpwi6cz94hx7c3";
      system = "trivial-features-tests";
      asd = "trivial-features-tests";
    });
    systems = [ "trivial-features-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "rt" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-file-size = (build-asdf-system {
    pname = "trivial-file-size";
    version = "20221106-git";
    asds = [ "trivial-file-size" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-file-size/2022-11-06/trivial-file-size-20221106-git.tgz";
      sha256 = "0ji5j3zgshmfgxwg2yh599r47zaivzky646zk12jg48sb3i7q8fw";
      system = "trivial-file-size";
      asd = "trivial-file-size";
    });
    systems = [ "trivial-file-size" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-garbage = (build-asdf-system {
    pname = "trivial-garbage";
    version = "20211230-git";
    asds = [ "trivial-garbage" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-garbage/2021-12-30/trivial-garbage-20211230-git.tgz";
      sha256 = "1kmx5kdl4zfa8cfdjyi75z43fqzxvywavwg1s8fl5zxpflfdj8h8";
      system = "trivial-garbage";
      asd = "trivial-garbage";
    });
    systems = [ "trivial-garbage" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-gray-streams = (build-asdf-system {
    pname = "trivial-gray-streams";
    version = "20210124-git";
    asds = [ "trivial-gray-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-gray-streams/2021-01-24/trivial-gray-streams-20210124-git.tgz";
      sha256 = "1hipqwwd5ylskybd173rvlsk7ds4w4nq1cmh9952ivm6dgh7pwzn";
      system = "trivial-gray-streams";
      asd = "trivial-gray-streams";
    });
    systems = [ "trivial-gray-streams" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-gray-streams-test = (build-asdf-system {
    pname = "trivial-gray-streams-test";
    version = "20210124-git";
    asds = [ "trivial-gray-streams-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-gray-streams/2021-01-24/trivial-gray-streams-20210124-git.tgz";
      sha256 = "1hipqwwd5ylskybd173rvlsk7ds4w4nq1cmh9952ivm6dgh7pwzn";
      system = "trivial-gray-streams-test";
      asd = "trivial-gray-streams-test";
    });
    systems = [ "trivial-gray-streams-test" ];
    lispLibs = [ (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-hashtable-serialize = (build-asdf-system {
    pname = "trivial-hashtable-serialize";
    version = "20191007-git";
    asds = [ "trivial-hashtable-serialize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-hashtable-serialize/2019-10-07/trivial-hashtable-serialize-20191007-git.tgz";
      sha256 = "06xdci47h6rpfkmrf7p9kd217jbkmkmf90ygqcmkkgf3sv5623bh";
      system = "trivial-hashtable-serialize";
      asd = "trivial-hashtable-serialize";
    });
    systems = [ "trivial-hashtable-serialize" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-http = (build-asdf-system {
    pname = "trivial-http";
    version = "20110219-http";
    asds = [ "trivial-http" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-http/2011-02-19/trivial-http-20110219-http.tgz";
      sha256 = "06mrh2bjzhfdzi48dnq0bhl2cac4v41aqck53rfm4rnsygcjsn78";
      system = "trivial-http";
      asd = "trivial-http";
    });
    systems = [ "trivial-http" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-http-test = (build-asdf-system {
    pname = "trivial-http-test";
    version = "20110219-http";
    asds = [ "trivial-http-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-http/2011-02-19/trivial-http-20110219-http.tgz";
      sha256 = "06mrh2bjzhfdzi48dnq0bhl2cac4v41aqck53rfm4rnsygcjsn78";
      system = "trivial-http-test";
      asd = "trivial-http-test";
    });
    systems = [ "trivial-http-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "trivial-http" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-indent = (build-asdf-system {
    pname = "trivial-indent";
    version = "20230618-git";
    asds = [ "trivial-indent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-indent/2023-06-18/trivial-indent-20230618-git.tgz";
      sha256 = "1zg8cyy1xqpcjrxxqz5zb5xixhwcszkv4p2vq305lb2rka6f3dyx";
      system = "trivial-indent";
      asd = "trivial-indent";
    });
    systems = [ "trivial-indent" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-inspector-hook = (build-asdf-system {
    pname = "trivial-inspector-hook";
    version = "20210807-git";
    asds = [ "trivial-inspector-hook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-inspector-hook/2021-08-07/trivial-inspector-hook-20210807-git.tgz";
      sha256 = "0h9m1ps5sqgrr171czj6rq84wpy2xvggfzspvy667xsldv4xi0c2";
      system = "trivial-inspector-hook";
      asd = "trivial-inspector-hook";
    });
    systems = [ "trivial-inspector-hook" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-irc = (build-asdf-system {
    pname = "trivial-irc";
    version = "20171019-git";
    asds = [ "trivial-irc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-irc/2017-10-19/trivial-irc-20171019-git.tgz";
      sha256 = "0jjgx6ld2gcr0w0g5k62dr0rl6202ydih6ylmypv6m5jmrarcbza";
      system = "trivial-irc";
      asd = "trivial-irc";
    });
    systems = [ "trivial-irc" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-irc-echobot = (build-asdf-system {
    pname = "trivial-irc-echobot";
    version = "20171019-git";
    asds = [ "trivial-irc-echobot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-irc/2017-10-19/trivial-irc-20171019-git.tgz";
      sha256 = "0jjgx6ld2gcr0w0g5k62dr0rl6202ydih6ylmypv6m5jmrarcbza";
      system = "trivial-irc-echobot";
      asd = "trivial-irc-echobot";
    });
    systems = [ "trivial-irc-echobot" ];
    lispLibs = [ (getAttr "trivial-irc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-json-codec = (build-asdf-system {
    pname = "trivial-json-codec";
    version = "20220707-git";
    asds = [ "trivial-json-codec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-json-codec/2022-07-07/trivial-json-codec-20220707-git.tgz";
      sha256 = "1k0nnsn3nsb83gzmkrf81zqz6ydn21gzfq96r2d5690v5zkrg1kg";
      system = "trivial-json-codec";
      asd = "trivial-json-codec";
    });
    systems = [ "trivial-json-codec" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "parse-number" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-jumptables = (build-asdf-system {
    pname = "trivial-jumptables";
    version = "1.1";
    asds = [ "trivial-jumptables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-jumptables/2019-11-30/trivial-jumptables_1.1.tgz";
      sha256 = "10ih84hkscj0l4ki3s196d9b85iil8f56ps5r8ng222i0lln1ni9";
      system = "trivial-jumptables";
      asd = "trivial-jumptables";
    });
    systems = [ "trivial-jumptables" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-jumptables__tests = (build-asdf-system {
    pname = "trivial-jumptables_tests";
    version = "1.1";
    asds = [ "trivial-jumptables_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-jumptables/2019-11-30/trivial-jumptables_1.1.tgz";
      sha256 = "10ih84hkscj0l4ki3s196d9b85iil8f56ps5r8ng222i0lln1ni9";
      system = "trivial-jumptables_tests";
      asd = "trivial-jumptables_tests";
    });
    systems = [ "trivial-jumptables_tests" ];
    lispLibs = [ (getAttr "bubble-operator-upwards" self) (getAttr "parachute" self) (getAttr "trivial-jumptables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-lazy = (build-asdf-system {
    pname = "trivial-lazy";
    version = "20150709-git";
    asds = [ "trivial-lazy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-lazy/2015-07-09/trivial-lazy-20150709-git.tgz";
      sha256 = "0fnsz2kdb0v5cz4xl5a2c1szcif7jmnkxhbzvk6lrhzjccgyhjc7";
      system = "trivial-lazy";
      asd = "trivial-lazy";
    });
    systems = [ "trivial-lazy" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ldap = (build-asdf-system {
    pname = "trivial-ldap";
    version = "20180711-git";
    asds = [ "trivial-ldap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ldap/2018-07-11/trivial-ldap-20180711-git.tgz";
      sha256 = "1zaa4wnk5y5ff211pkg6dl27j4pjwh56hq0246slxsdxv6kvp1z9";
      system = "trivial-ldap";
      asd = "trivial-ldap";
    });
    systems = [ "trivial-ldap" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "usocket" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-left-pad = (build-asdf-system {
    pname = "trivial-left-pad";
    version = "20190813-git";
    asds = [ "trivial-left-pad" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-left-pad/2019-08-13/trivial-left-pad-20190813-git.tgz";
      sha256 = "0q68j0x0x3z8rl577jsl3y0s3x5xiqv54sla6kds43q7821qfnwk";
      system = "trivial-left-pad";
      asd = "trivial-left-pad";
    });
    systems = [ "trivial-left-pad" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "prove-asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-left-pad-test = (build-asdf-system {
    pname = "trivial-left-pad-test";
    version = "20190813-git";
    asds = [ "trivial-left-pad-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-left-pad/2019-08-13/trivial-left-pad-20190813-git.tgz";
      sha256 = "0q68j0x0x3z8rl577jsl3y0s3x5xiqv54sla6kds43q7821qfnwk";
      system = "trivial-left-pad-test";
      asd = "trivial-left-pad";
    });
    systems = [ "trivial-left-pad-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-left-pad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-macroexpand-all = (build-asdf-system {
    pname = "trivial-macroexpand-all";
    version = "20171023-git";
    asds = [ "trivial-macroexpand-all" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-macroexpand-all/2017-10-23/trivial-macroexpand-all-20171023-git.tgz";
      sha256 = "191hnn4b5j4i3crydmlzbm231kj0h7l8zj6mzj69r1npbzkas4bd";
      system = "trivial-macroexpand-all";
      asd = "trivial-macroexpand-all";
    });
    systems = [ "trivial-macroexpand-all" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-main-thread = (build-asdf-system {
    pname = "trivial-main-thread";
    version = "20190710-git";
    asds = [ "trivial-main-thread" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-main-thread/2019-07-10/trivial-main-thread-20190710-git.tgz";
      sha256 = "0bw1887i7396lqg75qvmgjfzz4xbiq9w5dp8wxdgrcsm0qwlraw7";
      system = "trivial-main-thread";
      asd = "trivial-main-thread";
    });
    systems = [ "trivial-main-thread" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "simple-tasks" self) (getAttr "trivial-features" self) ];
    meta = {};
  });
  trivial-method-combinations = (build-asdf-system {
    pname = "trivial-method-combinations";
    version = "20191130-git";
    asds = [ "trivial-method-combinations" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-method-combinations/2019-11-30/trivial-method-combinations-20191130-git.tgz";
      sha256 = "0w9w8bj835sfp797rdm7b5crpnz0xrz2q5vgbzm2p9n9jskxnxnv";
      system = "trivial-method-combinations";
      asd = "trivial-method-combinations";
    });
    systems = [ "trivial-method-combinations" ];
    lispLibs = [ (getAttr "closer-mop" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-mimes = (build-asdf-system {
    pname = "trivial-mimes";
    version = "20230214-git";
    asds = [ "trivial-mimes" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-mimes/2023-02-14/trivial-mimes-20230214-git.tgz";
      sha256 = "0sx2f3mi87as64l64pqplh4slylvv1rgvk958z9ggd41h5iz077k";
      system = "trivial-mimes";
      asd = "trivial-mimes";
    });
    systems = [ "trivial-mimes" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-mmap = (build-asdf-system {
    pname = "trivial-mmap";
    version = "20210124-git";
    asds = [ "trivial-mmap" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-mmap/2021-01-24/trivial-mmap-20210124-git.tgz";
      sha256 = "1ckhd7b0ll9xcmwdh42g0v38grk2acs3kv66k1gwh539f99kzcps";
      system = "trivial-mmap";
      asd = "trivial-mmap";
    });
    systems = [ "trivial-mmap" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "osicat" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-monitored-thread = (build-asdf-system {
    pname = "trivial-monitored-thread";
    version = "20220707-git";
    asds = [ "trivial-monitored-thread" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-monitored-thread/2022-07-07/trivial-monitored-thread-20220707-git.tgz";
      sha256 = "1vmhc5id0qk5yh8az4j1znqc73r18pygmrnfxmwwndh1a9yf98z4";
      system = "trivial-monitored-thread";
      asd = "trivial-monitored-thread";
    });
    systems = [ "trivial-monitored-thread" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-msi = (build-asdf-system {
    pname = "trivial-msi";
    version = "20160208-git";
    asds = [ "trivial-msi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-msi/2016-02-08/trivial-msi-20160208-git.tgz";
      sha256 = "1mbpwnsvv30gf7z8m96kv8933s6csg4q0frx03vazp4ckplwff8w";
      system = "trivial-msi";
      asd = "trivial-msi";
    });
    systems = [ "trivial-msi" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-msi-test = (build-asdf-system {
    pname = "trivial-msi-test";
    version = "20160208-git";
    asds = [ "trivial-msi-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-msi/2016-02-08/trivial-msi-20160208-git.tgz";
      sha256 = "1mbpwnsvv30gf7z8m96kv8933s6csg4q0frx03vazp4ckplwff8w";
      system = "trivial-msi-test";
      asd = "trivial-msi-test";
    });
    systems = [ "trivial-msi-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-msi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-nntp = (build-asdf-system {
    pname = "trivial-nntp";
    version = "20161204-git";
    asds = [ "trivial-nntp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-nntp/2016-12-04/trivial-nntp-20161204-git.tgz";
      sha256 = "0ywwrjx4vaz117zaxqhk2b4xrb75cw1ac5xir9zhvgzkyl6wf867";
      system = "trivial-nntp";
      asd = "trivial-nntp";
    });
    systems = [ "trivial-nntp" ];
    lispLibs = [ (getAttr "cl_plus_ssl" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-object-lock = (build-asdf-system {
    pname = "trivial-object-lock";
    version = "20220707-git";
    asds = [ "trivial-object-lock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-object-lock/2022-07-07/trivial-object-lock-20220707-git.tgz";
      sha256 = "18xwwgvshib4l2bs6m16mk0kzdp40482yf7v72nzk13v0bgnw91s";
      system = "trivial-object-lock";
      asd = "trivial-object-lock";
    });
    systems = [ "trivial-object-lock" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-octet-streams = (build-asdf-system {
    pname = "trivial-octet-streams";
    version = "20130128-git";
    asds = [ "trivial-octet-streams" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-octet-streams/2013-01-28/trivial-octet-streams-20130128-git.tgz";
      sha256 = "0ysnsarlzynb7jf4b63b6kkxjancxc66jwmn0sb3vxyh87siiv6n";
      system = "trivial-octet-streams";
      asd = "trivial-octet-streams";
    });
    systems = [ "trivial-octet-streams" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-open-browser = (build-asdf-system {
    pname = "trivial-open-browser";
    version = "20160825-git";
    asds = [ "trivial-open-browser" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-open-browser/2016-08-25/trivial-open-browser-20160825-git.tgz";
      sha256 = "0ixay1piq420i6adx642qhw45l6ik7rvgk52lyz27dvx5f8yqsdb";
      system = "trivial-open-browser";
      asd = "trivial-open-browser";
    });
    systems = [ "trivial-open-browser" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-openstack = (build-asdf-system {
    pname = "trivial-openstack";
    version = "20160628-git";
    asds = [ "trivial-openstack" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-openstack/2016-06-28/trivial-openstack-20160628-git.tgz";
      sha256 = "0sdc6rhjqv1i7wknn44jg5xxnz70087bhfslh0izggny9d9s015i";
      system = "trivial-openstack";
      asd = "trivial-openstack";
    });
    systems = [ "trivial-openstack" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "drakma" self) (getAttr "local-time" self) (getAttr "st-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-openstack-test = (build-asdf-system {
    pname = "trivial-openstack-test";
    version = "20160628-git";
    asds = [ "trivial-openstack-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-openstack/2016-06-28/trivial-openstack-20160628-git.tgz";
      sha256 = "0sdc6rhjqv1i7wknn44jg5xxnz70087bhfslh0izggny9d9s015i";
      system = "trivial-openstack-test";
      asd = "trivial-openstack-test";
    });
    systems = [ "trivial-openstack-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "hunchentoot" self) (getAttr "local-time" self) (getAttr "st-json" self) (getAttr "trivial-openstack" self) (getAttr "uri-template" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-package-local-nicknames = (build-asdf-system {
    pname = "trivial-package-local-nicknames";
    version = "20220220-git";
    asds = [ "trivial-package-local-nicknames" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-local-nicknames/2022-02-20/trivial-package-local-nicknames-20220220-git.tgz";
      sha256 = "0p80s474czfqh7phd4qq5yjcy8q2160vxmn8pi6qlkqgdd7ix37r";
      system = "trivial-package-local-nicknames";
      asd = "trivial-package-local-nicknames";
    });
    systems = [ "trivial-package-local-nicknames" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-package-locks = (build-asdf-system {
    pname = "trivial-package-locks";
    version = "20230618-git";
    asds = [ "trivial-package-locks" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-locks/2023-06-18/trivial-package-locks-20230618-git.tgz";
      sha256 = "0zkc1k43r08yh7p62br1n48yc2fyn2xpph9pbfwip0g3q38vhx2k";
      system = "trivial-package-locks";
      asd = "trivial-package-locks";
    });
    systems = [ "trivial-package-locks" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-package-manager = (build-asdf-system {
    pname = "trivial-package-manager";
    version = "20171227-git";
    asds = [ "trivial-package-manager" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-manager/2017-12-27/trivial-package-manager-20171227-git.tgz";
      sha256 = "0v61x4wzamilnjyq35ki46zl9443fslv9slwqwlazfknnbp3vcq8";
      system = "trivial-package-manager";
      asd = "trivial-package-manager";
    });
    systems = [ "trivial-package-manager" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-features" self) (getAttr "trivial-open-browser" self) ];
    meta = {};
  });
  trivial-package-manager_dot_test = (build-asdf-system {
    pname = "trivial-package-manager.test";
    version = "20171227-git";
    asds = [ "trivial-package-manager.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-package-manager/2017-12-27/trivial-package-manager-20171227-git.tgz";
      sha256 = "0v61x4wzamilnjyq35ki46zl9443fslv9slwqwlazfknnbp3vcq8";
      system = "trivial-package-manager.test";
      asd = "trivial-package-manager.test";
    });
    systems = [ "trivial-package-manager.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-package-manager" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-pooled-database = (build-asdf-system {
    pname = "trivial-pooled-database";
    version = "20201220-git";
    asds = [ "trivial-pooled-database" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-pooled-database/2020-12-20/trivial-pooled-database-20201220-git.tgz";
      sha256 = "0a7c8bjl13k37b83lksklcw9sch570wgqv58cgs0dw9jcmsihqmx";
      system = "trivial-pooled-database";
      asd = "trivial-pooled-database";
    });
    systems = [ "trivial-pooled-database" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-dbi" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "parse-number" self) (getAttr "trivial-object-lock" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-project = (build-asdf-system {
    pname = "trivial-project";
    version = "quicklisp-9e3fe231-git";
    asds = [ "trivial-project" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-project/2017-08-30/trivial-project-quicklisp-9e3fe231-git.tgz";
      sha256 = "1s5h0fgs0rq00j492xln716w9i52v90rnfcr0idjzyimicx7hk22";
      system = "trivial-project";
      asd = "trivial-project";
    });
    systems = [ "trivial-project" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-raw-io = (build-asdf-system {
    pname = "trivial-raw-io";
    version = "20141217-git";
    asds = [ "trivial-raw-io" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-raw-io/2014-12-17/trivial-raw-io-20141217-git.tgz";
      sha256 = "19290zw2b64k78wr62gv30pp7cmqg07q85vfwjknaffjdd73xwi1";
      system = "trivial-raw-io";
      asd = "trivial-raw-io";
    });
    systems = [ "trivial-raw-io" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-renamer = (build-asdf-system {
    pname = "trivial-renamer";
    version = "quicklisp-1282597d-git";
    asds = [ "trivial-renamer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-renamer/2017-08-30/trivial-renamer-quicklisp-1282597d-git.tgz";
      sha256 = "1nlgsayx4iw6gskg0d5vc823p0lmh414k9jiccvcsk1r17684mp8";
      system = "trivial-renamer";
      asd = "trivial-renamer";
    });
    systems = [ "trivial-renamer" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-rfc-1123 = (build-asdf-system {
    pname = "trivial-rfc-1123";
    version = "20220707-git";
    asds = [ "trivial-rfc-1123" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-rfc-1123/2022-07-07/trivial-rfc-1123-20220707-git.tgz";
      sha256 = "1w4ywpj10fnp7cya62dzlxlg8nyk4lppn2pnmfixsndwr4ib1h6x";
      system = "trivial-rfc-1123";
      asd = "trivial-rfc-1123";
    });
    systems = [ "trivial-rfc-1123" ];
    lispLibs = [ (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-sanitize = (build-asdf-system {
    pname = "trivial-sanitize";
    version = "20221106-git";
    asds = [ "trivial-sanitize" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sanitize/2022-11-06/trivial-sanitize-20221106-git.tgz";
      sha256 = "1pv36ywkqcck1vrxdwhlwjw80qkzbr6aqwyrghfng6qfc90r05f6";
      system = "trivial-sanitize";
      asd = "trivial-sanitize";
    });
    systems = [ "trivial-sanitize" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-html5-parser" self) (getAttr "cl-ppcre-unicode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-sanitize-tests = (build-asdf-system {
    pname = "trivial-sanitize-tests";
    version = "20221106-git";
    asds = [ "trivial-sanitize-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sanitize/2022-11-06/trivial-sanitize-20221106-git.tgz";
      sha256 = "1pv36ywkqcck1vrxdwhlwjw80qkzbr6aqwyrghfng6qfc90r05f6";
      system = "trivial-sanitize-tests";
      asd = "trivial-sanitize-tests";
    });
    systems = [ "trivial-sanitize-tests" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "clunit2" self) (getAttr "trivial-sanitize" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-shell = (build-asdf-system {
    pname = "trivial-shell";
    version = "20230214-git";
    asds = [ "trivial-shell" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-shell/2023-02-14/trivial-shell-20230214-git.tgz";
      sha256 = "0nj6d4adifp8pqzbq82n668vlc0nh7rnx4lbrsrvcx2pkq7i5551";
      system = "trivial-shell";
      asd = "trivial-shell";
    });
    systems = [ "trivial-shell" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-shell-test = (build-asdf-system {
    pname = "trivial-shell-test";
    version = "20230214-git";
    asds = [ "trivial-shell-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-shell/2023-02-14/trivial-shell-20230214-git.tgz";
      sha256 = "0nj6d4adifp8pqzbq82n668vlc0nh7rnx4lbrsrvcx2pkq7i5551";
      system = "trivial-shell-test";
      asd = "trivial-shell-test";
    });
    systems = [ "trivial-shell-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-signal = (build-asdf-system {
    pname = "trivial-signal";
    version = "20190710-git";
    asds = [ "trivial-signal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-signal/2019-07-10/trivial-signal-20190710-git.tgz";
      sha256 = "13rh1jwh786xg235rkgqbdqga4b9jwn99zlxm0wr73rs2a5ga8ad";
      system = "trivial-signal";
      asd = "trivial-signal";
    });
    systems = [ "trivial-signal" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-sockets = (build-asdf-system {
    pname = "trivial-sockets";
    version = "20190107-git";
    asds = [ "trivial-sockets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-sockets/2019-01-07/trivial-sockets-20190107-git.tgz";
      sha256 = "0xj9x5z3psxqap9c29qz1xswx5fiqxyzd35kmbw2g6z08cgb7nd0";
      system = "trivial-sockets";
      asd = "trivial-sockets";
    });
    systems = [ "trivial-sockets" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ssh = (build-asdf-system {
    pname = "trivial-ssh";
    version = "20191130-git";
    asds = [ "trivial-ssh" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh";
      asd = "trivial-ssh";
    });
    systems = [ "trivial-ssh" ];
    lispLibs = [ (getAttr "trivial-ssh-libssh2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ssh-libssh2 = (build-asdf-system {
    pname = "trivial-ssh-libssh2";
    version = "20191130-git";
    asds = [ "trivial-ssh-libssh2" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh-libssh2";
      asd = "trivial-ssh-libssh2";
    });
    systems = [ "trivial-ssh-libssh2" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-fad" self) (getAttr "split-sequence" self) (getAttr "trivial-gray-streams" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ssh-test = (build-asdf-system {
    pname = "trivial-ssh-test";
    version = "20191130-git";
    asds = [ "trivial-ssh-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ssh/2019-11-30/trivial-ssh-20191130-git.tgz";
      sha256 = "1hjd8bhbymq4s2jglid5i9m2b19cnf6c793gvkh6mawcjd37vjmb";
      system = "trivial-ssh-test";
      asd = "trivial-ssh-test";
    });
    systems = [ "trivial-ssh-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivial-ssh" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-tco = (build-asdf-system {
    pname = "trivial-tco";
    version = "20131003-git";
    asds = [ "trivial-tco" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-tco/2013-10-03/trivial-tco-20131003-git.tgz";
      sha256 = "0j6mkchrk6bzkpdkrahagip9lxxr8rx3qj4547wg8bdqr7mm2nmi";
      system = "trivial-tco";
      asd = "trivial-tco";
    });
    systems = [ "trivial-tco" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-tco-test = (build-asdf-system {
    pname = "trivial-tco-test";
    version = "20131003-git";
    asds = [ "trivial-tco-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-tco/2013-10-03/trivial-tco-20131003-git.tgz";
      sha256 = "0j6mkchrk6bzkpdkrahagip9lxxr8rx3qj4547wg8bdqr7mm2nmi";
      system = "trivial-tco-test";
      asd = "trivial-tco-test";
    });
    systems = [ "trivial-tco-test" ];
    lispLibs = [ (getAttr "clunit" self) (getAttr "trivial-tco" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-thumbnail = (build-asdf-system {
    pname = "trivial-thumbnail";
    version = "20190710-git";
    asds = [ "trivial-thumbnail" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-thumbnail/2019-07-10/trivial-thumbnail-20190710-git.tgz";
      sha256 = "0d1jdfab1wrc3xfzhdbq7bgjwc78qb6gs1llyjsj4cq04yhlc57a";
      system = "trivial-thumbnail";
      asd = "trivial-thumbnail";
    });
    systems = [ "trivial-thumbnail" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-timeout = (build-asdf-system {
    pname = "trivial-timeout";
    version = "20230618-git";
    asds = [ "trivial-timeout" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-timeout/2023-06-18/trivial-timeout-20230618-git.tgz";
      sha256 = "1sgq0rbl7j3dk0cyfibg4h5m4fld5b50vljggw16zzqg4mndw7d2";
      system = "trivial-timeout";
      asd = "trivial-timeout";
    });
    systems = [ "trivial-timeout" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-timer = (build-asdf-system {
    pname = "trivial-timer";
    version = "20210531-git";
    asds = [ "trivial-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-timer/2021-05-31/trivial-timer-20210531-git.tgz";
      sha256 = "1b8pnw613h1dngzmv3qglmfrl1jdjbxrsbqnh7rfdj0lnv43h1il";
      system = "trivial-timer";
      asd = "trivial-timer";
    });
    systems = [ "trivial-timer" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "chanl" self) (getAttr "iterate" self) (getAttr "log4cl" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-types = (build-asdf-system {
    pname = "trivial-types";
    version = "20120407-git";
    asds = [ "trivial-types" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-types/2012-04-07/trivial-types-20120407-git.tgz";
      sha256 = "1s4cp9bdlbn8447q7w7f1wkgwrbvfzp20mgs307l5pxvdslin341";
      system = "trivial-types";
      asd = "trivial-types";
    });
    systems = [ "trivial-types" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-update = (build-asdf-system {
    pname = "trivial-update";
    version = "20180131-git";
    asds = [ "trivial-update" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-update/2018-01-31/trivial-update-20180131-git.tgz";
      sha256 = "0dpijh9alljk0jmnkp37hfliylscs7xwvlmjkfshizmyh0qjjxir";
      system = "trivial-update";
      asd = "trivial-update";
    });
    systems = [ "trivial-update" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-utf-8 = (build-asdf-system {
    pname = "trivial-utf-8";
    version = "20220220-git";
    asds = [ "trivial-utf-8" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utf-8/2022-02-20/trivial-utf-8-20220220-git.tgz";
      sha256 = "0gzgbyzbbhny5y1lq2x82vfy4b4p1snq1sy9lj82hdq7lkyj03ss";
      system = "trivial-utf-8";
      asd = "trivial-utf-8";
    });
    systems = [ "trivial-utf-8" ];
    lispLibs = [  ];
    meta = {};
  });
  trivial-utilities = (build-asdf-system {
    pname = "trivial-utilities";
    version = "20220707-git";
    asds = [ "trivial-utilities" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-utilities/2022-07-07/trivial-utilities-20220707-git.tgz";
      sha256 = "0k1xmn5f5dik7scadw0vyy67mik4ypnfqbhlv2vsg9afxzbpx2dz";
      system = "trivial-utilities";
      asd = "trivial-utilities";
    });
    systems = [ "trivial-utilities" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-variable-bindings = (build-asdf-system {
    pname = "trivial-variable-bindings";
    version = "20191007-git";
    asds = [ "trivial-variable-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-variable-bindings/2019-10-07/trivial-variable-bindings-20191007-git.tgz";
      sha256 = "08lx5m1bspxsnv572zma1hxk3yfyk9fkmi5cvcr5riannyimdqgy";
      system = "trivial-variable-bindings";
      asd = "trivial-variable-bindings";
    });
    systems = [ "trivial-variable-bindings" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "trivial-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-wish = (build-asdf-system {
    pname = "trivial-wish";
    version = "quicklisp-910afeea-git";
    asds = [ "trivial-wish" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-wish/2017-06-30/trivial-wish-quicklisp-910afeea-git.tgz";
      sha256 = "1ydb9vsanrv6slbddhxc38pq5s88k0rzgqnwabw5cgc8cp5gqvyp";
      system = "trivial-wish";
      asd = "trivial-wish";
    });
    systems = [ "trivial-wish" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-with = (build-asdf-system {
    pname = "trivial-with";
    version = "quicklisp-2fd8ca54-git";
    asds = [ "trivial-with" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-with/2017-08-30/trivial-with-quicklisp-2fd8ca54-git.tgz";
      sha256 = "1h880j9k7piq6y5a6sywn1r43h439dd6vfymqvhgnbx458wy69sq";
      system = "trivial-with";
      asd = "trivial-with";
    });
    systems = [ "trivial-with" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-with-current-source-form = (build-asdf-system {
    pname = "trivial-with-current-source-form";
    version = "20230618-git";
    asds = [ "trivial-with-current-source-form" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-with-current-source-form/2023-06-18/trivial-with-current-source-form-20230618-git.tgz";
      sha256 = "1856m234mcg8l0p63h0j76isx8n2iji569b4r4zf7qs135xbw930";
      system = "trivial-with-current-source-form";
      asd = "trivial-with-current-source-form";
    });
    systems = [ "trivial-with-current-source-form" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  trivial-ws = (build-asdf-system {
    pname = "trivial-ws";
    version = "20180131-git";
    asds = [ "trivial-ws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws";
      asd = "trivial-ws";
    });
    systems = [ "trivial-ws" ];
    lispLibs = [ (getAttr "hunchensocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ws-client = (build-asdf-system {
    pname = "trivial-ws-client";
    version = "20180131-git";
    asds = [ "trivial-ws-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws-client";
      asd = "trivial-ws-client";
    });
    systems = [ "trivial-ws-client" ];
    lispLibs = [ (getAttr "cl-async" self) (getAttr "websocket-driver" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-ws-test = (build-asdf-system {
    pname = "trivial-ws-test";
    version = "20180131-git";
    asds = [ "trivial-ws-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-ws/2018-01-31/trivial-ws-20180131-git.tgz";
      sha256 = "0qmsf0dhmyhjgqjzdgj2yb1nkrijwp4p1j411613i45xjc2zd6m7";
      system = "trivial-ws-test";
      asd = "trivial-ws-test";
    });
    systems = [ "trivial-ws-test" ];
    lispLibs = [ (getAttr "find-port" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "trivial-ws" self) (getAttr "trivial-ws-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivial-yenc = (build-asdf-system {
    pname = "trivial-yenc";
    version = "20161204-git";
    asds = [ "trivial-yenc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivial-yenc/2016-12-04/trivial-yenc-20161204-git.tgz";
      sha256 = "0jsqwixgikdinc1rq22c4dh9kgg6z0kvw9rh9sbssbmxv99sb5bf";
      system = "trivial-yenc";
      asd = "trivial-yenc";
    });
    systems = [ "trivial-yenc" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivialib_dot_bdd = (build-asdf-system {
    pname = "trivialib.bdd";
    version = "20211209-git";
    asds = [ "trivialib.bdd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.bdd/2021-12-09/trivialib.bdd-20211209-git.tgz";
      sha256 = "1iqpcihpm6glr0afi35z6qifj0ppl7s4h1k94fn6lqpv2js6lzbr";
      system = "trivialib.bdd";
      asd = "trivialib.bdd";
    });
    systems = [ "trivialib.bdd" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "immutable-struct" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivialib_dot_bdd_dot_test = (build-asdf-system {
    pname = "trivialib.bdd.test";
    version = "20211209-git";
    asds = [ "trivialib.bdd.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.bdd/2021-12-09/trivialib.bdd-20211209-git.tgz";
      sha256 = "1iqpcihpm6glr0afi35z6qifj0ppl7s4h1k94fn6lqpv2js6lzbr";
      system = "trivialib.bdd.test";
      asd = "trivialib.bdd.test";
    });
    systems = [ "trivialib.bdd.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivialib_dot_bdd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivialib_dot_type-unify = (build-asdf-system {
    pname = "trivialib.type-unify";
    version = "20200325-git";
    asds = [ "trivialib.type-unify" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.type-unify/2020-03-25/trivialib.type-unify-20200325-git.tgz";
      sha256 = "0b5ck9ldn1w3imgpxyh164bypy28kvjzkwlcyyfsc0h1njnm5jmy";
      system = "trivialib.type-unify";
      asd = "trivialib.type-unify";
    });
    systems = [ "trivialib.type-unify" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) (getAttr "trivia" self) (getAttr "type-r" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trivialib_dot_type-unify_dot_test = (build-asdf-system {
    pname = "trivialib.type-unify.test";
    version = "20200325-git";
    asds = [ "trivialib.type-unify.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trivialib.type-unify/2020-03-25/trivialib.type-unify-20200325-git.tgz";
      sha256 = "0b5ck9ldn1w3imgpxyh164bypy28kvjzkwlcyyfsc0h1njnm5jmy";
      system = "trivialib.type-unify.test";
      asd = "trivialib.type-unify.test";
    });
    systems = [ "trivialib.type-unify.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "trivialib_dot_type-unify" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trucler = (build-asdf-system {
    pname = "trucler";
    version = "20230618-git";
    asds = [ "trucler" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2023-06-18/trucler-20230618-git.tgz";
      sha256 = "1p9dndrvql3b467ava55f5gi56jxsjdp4rjfinfb7y15b6sv8jh2";
      system = "trucler";
      asd = "trucler";
    });
    systems = [ "trucler" ];
    lispLibs = [ (getAttr "trucler-base" self) (getAttr "trucler-native" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trucler-base = (build-asdf-system {
    pname = "trucler-base";
    version = "20230618-git";
    asds = [ "trucler-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2023-06-18/trucler-20230618-git.tgz";
      sha256 = "1p9dndrvql3b467ava55f5gi56jxsjdp4rjfinfb7y15b6sv8jh2";
      system = "trucler-base";
      asd = "trucler-base";
    });
    systems = [ "trucler-base" ];
    lispLibs = [ (getAttr "acclimation" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trucler-native = (build-asdf-system {
    pname = "trucler-native";
    version = "20230618-git";
    asds = [ "trucler-native" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2023-06-18/trucler-20230618-git.tgz";
      sha256 = "1p9dndrvql3b467ava55f5gi56jxsjdp4rjfinfb7y15b6sv8jh2";
      system = "trucler-native";
      asd = "trucler-native";
    });
    systems = [ "trucler-native" ];
    lispLibs = [ (getAttr "trucler-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trucler-native-test = (build-asdf-system {
    pname = "trucler-native-test";
    version = "20230618-git";
    asds = [ "trucler-native-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2023-06-18/trucler-20230618-git.tgz";
      sha256 = "1p9dndrvql3b467ava55f5gi56jxsjdp4rjfinfb7y15b6sv8jh2";
      system = "trucler-native-test";
      asd = "trucler-native-test";
    });
    systems = [ "trucler-native-test" ];
    lispLibs = [ (getAttr "trucler-base" self) (getAttr "trucler-native" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  trucler-reference = (build-asdf-system {
    pname = "trucler-reference";
    version = "20230618-git";
    asds = [ "trucler-reference" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/trucler/2023-06-18/trucler-20230618-git.tgz";
      sha256 = "1p9dndrvql3b467ava55f5gi56jxsjdp4rjfinfb7y15b6sv8jh2";
      system = "trucler-reference";
      asd = "trucler-reference";
    });
    systems = [ "trucler-reference" ];
    lispLibs = [ (getAttr "trucler-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  truetype-clx = (build-asdf-system {
    pname = "truetype-clx";
    version = "20200218-git";
    asds = [ "truetype-clx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/truetype-clx/2020-02-18/truetype-clx-20200218-git.tgz";
      sha256 = "1k46xa0nclj0mpd7khnlpam6q5hgnp23jixryhvv96gx47swhddr";
      system = "truetype-clx";
      asd = "truetype-clx";
    });
    systems = [ "truetype-clx" ];
    lispLibs = [ (getAttr "cl-aa" self) (getAttr "cl-paths-ttf" self) (getAttr "cl-vectors" self) (getAttr "zpb-ttf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  try = (build-asdf-system {
    pname = "try";
    version = "20230618-git";
    asds = [ "try" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2023-06-18/try-20230618-git.tgz";
      sha256 = "142g534ipcq4a55xa4sk2ahdq4x1pj51cs1406dhi3m4sk2dzb6r";
      system = "try";
      asd = "try";
    });
    systems = [ "try" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "ieee-floats" self) (getAttr "mgl-pax" self) (getAttr "trivial-gray-streams" self) (getAttr "try_dot_asdf" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  try_dot_asdf = (build-asdf-system {
    pname = "try.asdf";
    version = "20230618-git";
    asds = [ "try.asdf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/try/2023-06-18/try-20230618-git.tgz";
      sha256 = "142g534ipcq4a55xa4sk2ahdq4x1pj51cs1406dhi3m4sk2dzb6r";
      system = "try.asdf";
      asd = "try.asdf";
    });
    systems = [ "try.asdf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  tsqueue = (build-asdf-system {
    pname = "tsqueue";
    version = "20221106-git";
    asds = [ "tsqueue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/tsqueue/2022-11-06/tsqueue-20221106-git.tgz";
      sha256 = "1ifq53b95a1sdpgx1hlz31pjbh0z6izh3wrgsiqvzgkbiyxq513q";
      system = "tsqueue";
      asd = "tsqueue";
    });
    systems = [ "tsqueue" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ttt = (build-asdf-system {
    pname = "ttt";
    version = "20220707-git";
    asds = [ "ttt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ttt/2022-07-07/ttt-20220707-git.tgz";
      sha256 = "0g6p8gpl8hl427mfrrf8824zq6wmkj11v1xq7pyv7v0b5cwp5ccv";
      system = "ttt";
      asd = "ttt";
    });
    systems = [ "ttt" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  twfy = (build-asdf-system {
    pname = "twfy";
    version = "20130420-git";
    asds = [ "twfy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/twfy/2013-04-20/twfy-20130420-git.tgz";
      sha256 = "1srns5ayg7q8dzviizgm7j767dxbbyzh2ca8a5wdz3bc0qmwrsbs";
      system = "twfy";
      asd = "twfy";
    });
    systems = [ "twfy" ];
    lispLibs = [ (getAttr "cl-json" self) (getAttr "drakma" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  twitter-mongodb-driver = (build-asdf-system {
    pname = "twitter-mongodb-driver";
    version = "20180228-git";
    asds = [ "twitter-mongodb-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-twitter/2018-02-28/cl-twitter-20180228-git.tgz";
      sha256 = "07l86c63ssahpz3s9f7d99mbzmh60askkpdrhjrdbzd1vxlwkhcr";
      system = "twitter-mongodb-driver";
      asd = "twitter-mongodb-driver";
    });
    systems = [ "twitter-mongodb-driver" ];
    lispLibs = [ (getAttr "cl-mongo" self) (getAttr "cl-twitter" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  type-i = (build-asdf-system {
    pname = "type-i";
    version = "20230214-git";
    asds = [ "type-i" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-i/2023-02-14/type-i-20230214-git.tgz";
      sha256 = "1y9dh1iziv3gwpf5yls0amwjhdqjidfibcla04mz6dqdv3zrg3hs";
      system = "type-i";
      asd = "type-i";
    });
    systems = [ "type-i" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "introspect-environment" self) (getAttr "lisp-namespace" self) (getAttr "trivia_dot_trivial" self) ];
    meta = {};
  });
  type-i_dot_test = (build-asdf-system {
    pname = "type-i.test";
    version = "20230214-git";
    asds = [ "type-i.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-i/2023-02-14/type-i-20230214-git.tgz";
      sha256 = "1y9dh1iziv3gwpf5yls0amwjhdqjidfibcla04mz6dqdv3zrg3hs";
      system = "type-i.test";
      asd = "type-i.test";
    });
    systems = [ "type-i.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "type-i" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  type-r = (build-asdf-system {
    pname = "type-r";
    version = "20191227-git";
    asds = [ "type-r" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-r/2019-12-27/type-r-20191227-git.tgz";
      sha256 = "1arsxc2539rg8vbrdirz4xxj1b06mc6g6rqndz7a02g127qvk2sm";
      system = "type-r";
      asd = "type-r";
    });
    systems = [ "type-r" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  type-r_dot_test = (build-asdf-system {
    pname = "type-r.test";
    version = "20191227-git";
    asds = [ "type-r.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/type-r/2019-12-27/type-r-20191227-git.tgz";
      sha256 = "1arsxc2539rg8vbrdirz4xxj1b06mc6g6rqndz7a02g127qvk2sm";
      system = "type-r.test";
      asd = "type-r.test";
    });
    systems = [ "type-r.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "type-r" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  typo = (build-asdf-system {
    pname = "typo";
    version = "20230618-git";
    asds = [ "typo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/typo/2023-06-18/typo-20230618-git.tgz";
      sha256 = "1y7flnb6rmxjdf1k9vjsbh4b7xjl6v1zrwwckxg1mdqx571baprx";
      system = "typo";
      asd = "typo";
    });
    systems = [ "typo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "introspect-environment" self) (getAttr "trivia" self) (getAttr "trivial-arguments" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  typo_dot_test-suite = (build-asdf-system {
    pname = "typo.test-suite";
    version = "20230618-git";
    asds = [ "typo.test-suite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/typo/2023-06-18/typo-20230618-git.tgz";
      sha256 = "1y7flnb6rmxjdf1k9vjsbh4b7xjl6v1zrwwckxg1mdqx571baprx";
      system = "typo.test-suite";
      asd = "typo.test-suite";
    });
    systems = [ "typo.test-suite" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "typo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uax-14 = (build-asdf-system {
    pname = "uax-14";
    version = "20200925-git";
    asds = [ "uax-14" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-14/2020-09-25/uax-14-20200925-git.tgz";
      sha256 = "1sb2s58k01yjaggaq8i7kbyfsh6mzyqbiz1vm59smxn9qqwd8apm";
      system = "uax-14";
      asd = "uax-14";
    });
    systems = [ "uax-14" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uax-14-test = (build-asdf-system {
    pname = "uax-14-test";
    version = "20200925-git";
    asds = [ "uax-14-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-14/2020-09-25/uax-14-20200925-git.tgz";
      sha256 = "1sb2s58k01yjaggaq8i7kbyfsh6mzyqbiz1vm59smxn9qqwd8apm";
      system = "uax-14-test";
      asd = "uax-14-test";
    });
    systems = [ "uax-14-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parachute" self) (getAttr "uax-14" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uax-15 = (build-asdf-system {
    pname = "uax-15";
    version = "20221106-git";
    asds = [ "uax-15" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-15/2022-11-06/uax-15-20221106-git.tgz";
      sha256 = "0kkr3sw3hqsb8ciyn8dzb1cfz260fk1y39vydc98gsfrn6nqh3vw";
      system = "uax-15";
      asd = "uax-15";
    });
    systems = [ "uax-15" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "split-sequence" self) ];
    meta = {};
  });
  uax-9 = (build-asdf-system {
    pname = "uax-9";
    version = "20230618-git";
    asds = [ "uax-9" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-9/2023-06-18/uax-9-20230618-git.tgz";
      sha256 = "122vaafwvavxjy1hxp3i39n8si57x34f3qi8klss8a1nmycs591h";
      system = "uax-9";
      asd = "uax-9";
    });
    systems = [ "uax-9" ];
    lispLibs = [ (getAttr "documentation-utils" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uax-9-test = (build-asdf-system {
    pname = "uax-9-test";
    version = "20230618-git";
    asds = [ "uax-9-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uax-9/2023-06-18/uax-9-20230618-git.tgz";
      sha256 = "122vaafwvavxjy1hxp3i39n8si57x34f3qi8klss8a1nmycs591h";
      system = "uax-9-test";
      asd = "uax-9-test";
    });
    systems = [ "uax-9-test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parachute" self) (getAttr "uax-9" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ubiquitous = (build-asdf-system {
    pname = "ubiquitous";
    version = "20230618-git";
    asds = [ "ubiquitous" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ubiquitous/2023-06-18/ubiquitous-20230618-git.tgz";
      sha256 = "1xr7zqzfl6lgwpld7hb2wnqdw8r1xbl8gk8c11kpzama8caggakd";
      system = "ubiquitous";
      asd = "ubiquitous";
    });
    systems = [ "ubiquitous" ];
    lispLibs = [  ];
    meta = {
      broken = true;
      hydraPlatforms = [  ];
    };
  });
  ubiquitous-concurrent = (build-asdf-system {
    pname = "ubiquitous-concurrent";
    version = "20230618-git";
    asds = [ "ubiquitous-concurrent" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ubiquitous/2023-06-18/ubiquitous-20230618-git.tgz";
      sha256 = "1xr7zqzfl6lgwpld7hb2wnqdw8r1xbl8gk8c11kpzama8caggakd";
      system = "ubiquitous-concurrent";
      asd = "ubiquitous-concurrent";
    });
    systems = [ "ubiquitous-concurrent" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "ubiquitous" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucons = (build-asdf-system {
    pname = "ucons";
    version = "20230618-git";
    asds = [ "ucons" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucons/2023-06-18/ucons-20230618-git.tgz";
      sha256 = "0pisf8sswh1wainabpnczla8c98kr0lv0qvh0zapwkf1lq1drzp1";
      system = "ucons";
      asd = "ucons";
    });
    systems = [ "ucons" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "bordeaux-threads" self) (getAttr "named-readtables" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw = (build-asdf-system {
    pname = "ucw";
    version = "20160208-darcs";
    asds = [ "ucw" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw";
      asd = "ucw";
    });
    systems = [ "ucw" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "ucw-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw-core = (build-asdf-system {
    pname = "ucw-core";
    version = "20160208-darcs";
    asds = [ "ucw-core" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw-core";
      asd = "ucw-core";
    });
    systems = [ "ucw-core" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "bordeaux-threads" self) (getAttr "cl-fad" self) (getAttr "closer-mop" self) (getAttr "iterate" self) (getAttr "local-time" self) (getAttr "net-telent-date" self) (getAttr "rfc2109" self) (getAttr "swank" self) (getAttr "trivial-garbage" self) (getAttr "usocket" self) (getAttr "yaclml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw-core_dot_test = (build-asdf-system {
    pname = "ucw-core.test";
    version = "20160208-darcs";
    asds = [ "ucw-core.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw-core.test";
      asd = "ucw-core";
    });
    systems = [ "ucw-core.test" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "iterate" self) (getAttr "stefil" self) (getAttr "ucw-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw_dot_examples = (build-asdf-system {
    pname = "ucw.examples";
    version = "20160208-darcs";
    asds = [ "ucw.examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.examples";
      asd = "ucw";
    });
    systems = [ "ucw.examples" ];
    lispLibs = [ (getAttr "ucw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw_dot_httpd = (build-asdf-system {
    pname = "ucw.httpd";
    version = "20160208-darcs";
    asds = [ "ucw.httpd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.httpd";
      asd = "ucw-core";
    });
    systems = [ "ucw.httpd" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "puri" self) (getAttr "rfc2388-binary" self) (getAttr "ucw-core" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ucw_dot_manual-examples = (build-asdf-system {
    pname = "ucw.manual-examples";
    version = "20160208-darcs";
    asds = [ "ucw.manual-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ucw/2016-02-08/ucw-20160208-darcs.tgz";
      sha256 = "0wd7816zr53bw9z9a48cx1khj15d1jii5wzgqns1c5x70brgy89z";
      system = "ucw.manual-examples";
      asd = "ucw";
    });
    systems = [ "ucw.manual-examples" ];
    lispLibs = [ (getAttr "ucw" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uffi = (build-asdf-system {
    pname = "uffi";
    version = "20180228-git";
    asds = [ "uffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uffi/2018-02-28/uffi-20180228-git.tgz";
      sha256 = "0ywly04k8vir39ld7ids80yjn34y3y3mlpky1pr1fh9p8q412a85";
      system = "uffi";
      asd = "uffi";
    });
    systems = [ "uffi" ];
    lispLibs = [  ];
    meta = {};
  });
  uffi-tests = (build-asdf-system {
    pname = "uffi-tests";
    version = "20180228-git";
    asds = [ "uffi-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uffi/2018-02-28/uffi-20180228-git.tgz";
      sha256 = "0ywly04k8vir39ld7ids80yjn34y3y3mlpky1pr1fh9p8q412a85";
      system = "uffi-tests";
      asd = "uffi-tests";
    });
    systems = [ "uffi-tests" ];
    lispLibs = [ (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ufo = (build-asdf-system {
    pname = "ufo";
    version = "20210807-git";
    asds = [ "ufo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ufo/2021-08-07/ufo-20210807-git.tgz";
      sha256 = "0bbq4pjnbmf1zpmh11jlriv0qnvrhw1xxnjj2y35gk75rr8rvizy";
      system = "ufo";
      asd = "ufo";
    });
    systems = [ "ufo" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ufo-test = (build-asdf-system {
    pname = "ufo-test";
    version = "20210807-git";
    asds = [ "ufo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ufo/2021-08-07/ufo-20210807-git.tgz";
      sha256 = "0bbq4pjnbmf1zpmh11jlriv0qnvrhw1xxnjj2y35gk75rr8rvizy";
      system = "ufo-test";
      asd = "ufo-test";
    });
    systems = [ "ufo-test" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "ufo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ugly-tiny-infix-macro = (build-asdf-system {
    pname = "ugly-tiny-infix-macro";
    version = "20160825-git";
    asds = [ "ugly-tiny-infix-macro" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ugly-tiny-infix-macro/2016-08-25/ugly-tiny-infix-macro-20160825-git.tgz";
      sha256 = "15bbnr3kzy3p35skm6bkyyl5ck4d264am0zyjsix5k58d9fli3ii";
      system = "ugly-tiny-infix-macro";
      asd = "ugly-tiny-infix-macro";
    });
    systems = [ "ugly-tiny-infix-macro" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  umbra = (build-asdf-system {
    pname = "umbra";
    version = "20220707-git";
    asds = [ "umbra" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umbra/2022-07-07/umbra-20220707-git.tgz";
      sha256 = "125bsf69gzdy0r6jh6fz8000rqww1rji354x0yrgmkz9x3mvz4k4";
      system = "umbra";
      asd = "umbra";
    });
    systems = [ "umbra" ];
    lispLibs = [ (getAttr "mfiano-utils" self) (getAttr "shadow" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  umlisp = (build-asdf-system {
    pname = "umlisp";
    version = "20210411-git";
    asds = [ "umlisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp/2021-04-11/umlisp-20210411-git.tgz";
      sha256 = "1yyyn1qka4iw3hwii7i8k939dbwvhn543m8qclk2ajggkdky4mqb";
      system = "umlisp";
      asd = "umlisp";
    });
    systems = [ "umlisp" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-mysql" self) (getAttr "hyperobject" self) (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  umlisp-orf = (build-asdf-system {
    pname = "umlisp-orf";
    version = "20150923-git";
    asds = [ "umlisp-orf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp-orf/2015-09-23/umlisp-orf-20150923-git.tgz";
      sha256 = "187i9rcj3rymi8hmlvglvig7yqandzzx57x0rzr4yfv8sgnb82qx";
      system = "umlisp-orf";
      asd = "umlisp-orf";
    });
    systems = [ "umlisp-orf" ];
    lispLibs = [ (getAttr "clsql" self) (getAttr "clsql-postgresql-socket" self) (getAttr "hyperobject" self) (getAttr "kmrcl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  umlisp-tests = (build-asdf-system {
    pname = "umlisp-tests";
    version = "20210411-git";
    asds = [ "umlisp-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/umlisp/2021-04-11/umlisp-20210411-git.tgz";
      sha256 = "1yyyn1qka4iw3hwii7i8k939dbwvhn543m8qclk2ajggkdky4mqb";
      system = "umlisp-tests";
      asd = "umlisp-tests";
    });
    systems = [ "umlisp-tests" ];
    lispLibs = [ (getAttr "rt" self) (getAttr "umlisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unboxables = (build-asdf-system {
    pname = "unboxables";
    version = "20230618-git";
    asds = [ "unboxables" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unboxables/2023-06-18/unboxables-20230618-git.tgz";
      sha256 = "0jzimaq654s5lc5qvlsdw3wpyai8fnw5bxk78ryc4b5p26b711g7";
      system = "unboxables";
      asd = "unboxables";
    });
    systems = [ "unboxables" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uncommon-lisp = (build-asdf-system {
    pname = "uncommon-lisp";
    version = "20200427-git";
    asds = [ "uncommon-lisp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "uncommon-lisp";
      asd = "uncommon-lisp";
    });
    systems = [ "uncommon-lisp" ];
    lispLibs = [ (getAttr "structy-defclass" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uncursed = (build-asdf-system {
    pname = "uncursed";
    version = "20220220-git";
    asds = [ "uncursed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uncursed/2022-02-20/uncursed-20220220-git.tgz";
      sha256 = "1hydiwh12851rrm12y0a6pb2jml2cjdk8wxvz4c00d2xwraqc6mr";
      system = "uncursed";
      asd = "uncursed";
    });
    systems = [ "uncursed" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "cl-setlocale" self) (getAttr "terminfo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uncursed-examples = (build-asdf-system {
    pname = "uncursed-examples";
    version = "20220220-git";
    asds = [ "uncursed-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uncursed/2022-02-20/uncursed-20220220-git.tgz";
      sha256 = "1hydiwh12851rrm12y0a6pb2jml2cjdk8wxvz4c00d2xwraqc6mr";
      system = "uncursed-examples";
      asd = "uncursed-examples";
    });
    systems = [ "uncursed-examples" ];
    lispLibs = [ (getAttr "cffi-grovel" self) (getAttr "uncursed" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unicly = (build-asdf-system {
    pname = "unicly";
    version = "20210124-git";
    asds = [ "unicly" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unicly/2021-01-24/unicly-20210124-git.tgz";
      sha256 = "1f29zc1gmnsmb84hbsvacg02bqfiq2mv9wgr0hhf3bjbji5jh5zb";
      system = "unicly";
      asd = "unicly";
    });
    systems = [ "unicly" ];
    lispLibs = [ (getAttr "ironclad" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unifgram = (build-asdf-system {
    pname = "unifgram";
    version = "20180228-git";
    asds = [ "unifgram" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/paiprolog/2018-02-28/paiprolog-20180228-git.tgz";
      sha256 = "1nxz01i6f8s920gm69r2kwjdpq9pli8b2ayqwijhzgjwi0r4jj9r";
      system = "unifgram";
      asd = "unifgram";
    });
    systems = [ "unifgram" ];
    lispLibs = [ (getAttr "paiprolog" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unit-formulas = (build-asdf-system {
    pname = "unit-formulas";
    version = "20180711-git";
    asds = [ "unit-formulas" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unit-formula/2018-07-11/unit-formula-20180711-git.tgz";
      sha256 = "1j9zcnyj2ik7f2130pkfwr2bhh5ldlgc83n1024w0dy95ksl1f20";
      system = "unit-formulas";
      asd = "unit-formulas";
    });
    systems = [ "unit-formulas" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unit-test = (build-asdf-system {
    pname = "unit-test";
    version = "20120520-git";
    asds = [ "unit-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unit-test/2012-05-20/unit-test-20120520-git.tgz";
      sha256 = "11hpksz56iqkv7jw25p2a8r3n9dj922fyarn16d98589g6hdskj9";
      system = "unit-test";
      asd = "unit-test";
    });
    systems = [ "unit-test" ];
    lispLibs = [  ];
    meta = {};
  });
  universal-config = (build-asdf-system {
    pname = "universal-config";
    version = "20180430-git";
    asds = [ "universal-config" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/universal-config/2018-04-30/universal-config-20180430-git.tgz";
      sha256 = "17sjd37jwsi47yhsj9qsnfyhyrlhlxdrxa4szklwjh489hf01hd0";
      system = "universal-config";
      asd = "universal-config";
    });
    systems = [ "universal-config" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "parse-float" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unix-options = (build-asdf-system {
    pname = "unix-options";
    version = "20151031-git";
    asds = [ "unix-options" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unix-options/2015-10-31/unix-options-20151031-git.tgz";
      sha256 = "17q7irrbmaja7gj86h01ali9n9p782jxisgkb1r2q5ajf4lr1rsv";
      system = "unix-options";
      asd = "unix-options";
    });
    systems = [ "unix-options" ];
    lispLibs = [  ];
    meta = {};
  });
  unix-opts = (build-asdf-system {
    pname = "unix-opts";
    version = "20210124-git";
    asds = [ "unix-opts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/unix-opts/2021-01-24/unix-opts-20210124-git.tgz";
      sha256 = "16mcqpzwrz808p9n3wwl99ckg3hg7yihw08y1i4l7c92aldbkasq";
      system = "unix-opts";
      asd = "unix-opts";
    });
    systems = [ "unix-opts" ];
    lispLibs = [  ];
    meta = {};
  });
  unix-sockets = (build-asdf-system {
    pname = "unix-sockets";
    version = "20230618-git";
    asds = [ "unix-sockets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unix-sockets/2023-06-18/cl-unix-sockets-20230618-git.tgz";
      sha256 = "13v1kv5d862mn8imkcdwhsfxsn1h6f735xqm8kxi5v901c7mdg3w";
      system = "unix-sockets";
      asd = "unix-sockets";
    });
    systems = [ "unix-sockets" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "flexi-streams" self) (getAttr "log4cl" self) (getAttr "trivial-garbage" self) (getAttr "trivial-gray-streams" self) (getAttr "uffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  unix-sockets_dot_tests = (build-asdf-system {
    pname = "unix-sockets.tests";
    version = "20230618-git";
    asds = [ "unix-sockets.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-unix-sockets/2023-06-18/cl-unix-sockets-20230618-git.tgz";
      sha256 = "13v1kv5d862mn8imkcdwhsfxsn1h6f735xqm8kxi5v901c7mdg3w";
      system = "unix-sockets.tests";
      asd = "unix-sockets.tests";
    });
    systems = [ "unix-sockets.tests" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "fiveam" self) (getAttr "tmpdir" self) (getAttr "trivial-timeout" self) (getAttr "unix-sockets" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uri-template = (build-asdf-system {
    pname = "uri-template";
    version = "1.3.1";
    asds = [ "uri-template" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uri-template/2019-08-13/uri-template-1.3.1.tgz";
      sha256 = "06n5kmjax64kv57ng5g2030a67z131i4wm53npg9zq2xlj9sprd8";
      system = "uri-template";
      asd = "uri-template";
    });
    systems = [ "uri-template" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "named-readtables" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uri-template_dot_test = (build-asdf-system {
    pname = "uri-template.test";
    version = "1.3.1";
    asds = [ "uri-template.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uri-template/2019-08-13/uri-template-1.3.1.tgz";
      sha256 = "06n5kmjax64kv57ng5g2030a67z131i4wm53npg9zq2xlj9sprd8";
      system = "uri-template.test";
      asd = "uri-template.test";
    });
    systems = [ "uri-template.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "uri-template" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  url-rewrite = (build-asdf-system {
    pname = "url-rewrite";
    version = "20171227-git";
    asds = [ "url-rewrite" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/url-rewrite/2017-12-27/url-rewrite-20171227-git.tgz";
      sha256 = "0d3awcb938ajiylyfnbqsc7nndy6csx0qz1bcyr4f0p862w3xbqf";
      system = "url-rewrite";
      asd = "url-rewrite";
    });
    systems = [ "url-rewrite" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  userial = (build-asdf-system {
    pname = "userial";
    version = "0.8.2011.06.02";
    asds = [ "userial" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/userial/2011-06-19/userial_0.8.2011.06.02.tgz";
      sha256 = "08f8hc1f81gyn4br9p732p8r2gl6cvccd4yzc9ydz4i0ijclpp2m";
      system = "userial";
      asd = "userial";
    });
    systems = [ "userial" ];
    lispLibs = [ (getAttr "contextl" self) (getAttr "ieee-floats" self) (getAttr "trivial-utf-8" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  userial-tests = (build-asdf-system {
    pname = "userial-tests";
    version = "0.8.2011.06.02";
    asds = [ "userial-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/userial/2011-06-19/userial_0.8.2011.06.02.tgz";
      sha256 = "08f8hc1f81gyn4br9p732p8r2gl6cvccd4yzc9ydz4i0ijclpp2m";
      system = "userial-tests";
      asd = "userial-tests";
    });
    systems = [ "userial-tests" ];
    lispLibs = [ (getAttr "nst" self) (getAttr "userial" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  usocket = (build-asdf-system {
    pname = "usocket";
    version = "0.8.6";
    asds = [ "usocket" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2023-06-18/usocket-0.8.6.tgz";
      sha256 = "0by8hhg6gijdbq5vjykd374rmvqyikp4synpyk0wjcl7rk3r0vgn";
      system = "usocket";
      asd = "usocket";
    });
    systems = [ "usocket" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {};
  });
  usocket-server = (build-asdf-system {
    pname = "usocket-server";
    version = "0.8.6";
    asds = [ "usocket-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2023-06-18/usocket-0.8.6.tgz";
      sha256 = "0by8hhg6gijdbq5vjykd374rmvqyikp4synpyk0wjcl7rk3r0vgn";
      system = "usocket-server";
      asd = "usocket-server";
    });
    systems = [ "usocket-server" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "usocket" self) ];
    meta = {};
  });
  usocket-test = (build-asdf-system {
    pname = "usocket-test";
    version = "0.8.6";
    asds = [ "usocket-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/usocket/2023-06-18/usocket-0.8.6.tgz";
      sha256 = "0by8hhg6gijdbq5vjykd374rmvqyikp4synpyk0wjcl7rk3r0vgn";
      system = "usocket-test";
      asd = "usocket-test";
    });
    systems = [ "usocket-test" ];
    lispLibs = [ (getAttr "rt" self) (getAttr "usocket-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utilities_dot_binary-dump = (build-asdf-system {
    pname = "utilities.binary-dump";
    version = "20181210-git";
    asds = [ "utilities.binary-dump" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.binary-dump/2018-12-10/utilities.binary-dump-20181210-git.tgz";
      sha256 = "1l20r1782bskyy50ca6vsyxrvbxlgfq4nm33wl8as761dcjpj4d4";
      system = "utilities.binary-dump";
      asd = "utilities.binary-dump";
    });
    systems = [ "utilities.binary-dump" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "let-plus" self) (getAttr "nibbles" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utilities_dot_print-items = (build-asdf-system {
    pname = "utilities.print-items";
    version = "20221106-git";
    asds = [ "utilities.print-items" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-items/2022-11-06/utilities.print-items-20221106-git.tgz";
      sha256 = "0qn0w7cyl76c3ssipqsx4ngb1641ajfkaihnb31w374zrzbns8wi";
      system = "utilities.print-items";
      asd = "utilities.print-items";
    });
    systems = [ "utilities.print-items" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  utilities_dot_print-tree = (build-asdf-system {
    pname = "utilities.print-tree";
    version = "20221106-git";
    asds = [ "utilities.print-tree" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utilities.print-tree/2022-11-06/utilities.print-tree-20221106-git.tgz";
      sha256 = "0i7371qvlnwjcybh3c2ac88xz39vjdynhgxwz4acjbcnsw0jqsls";
      system = "utilities.print-tree";
      asd = "utilities.print-tree";
    });
    systems = [ "utilities.print-tree" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {};
  });
  utility = (build-asdf-system {
    pname = "utility";
    version = "20190202-git";
    asds = [ "utility" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utility/2019-02-02/utility-20190202-git.tgz";
      sha256 = "0nc83kxp2c0wy5ai7dm6w4anx5266j99pxzr0c7fxgllc7d0g1qd";
      system = "utility";
      asd = "utility";
    });
    systems = [ "utility" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utility-arguments = (build-asdf-system {
    pname = "utility-arguments";
    version = "20161204-git";
    asds = [ "utility-arguments" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utility-arguments/2016-12-04/utility-arguments-20161204-git.tgz";
      sha256 = "0dzbzzrla9709zl5dqdfw02mxa3rvcpca466qrcprgs3hnxdvgwb";
      system = "utility-arguments";
      asd = "utility-arguments";
    });
    systems = [ "utility-arguments" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utils-kt = (build-asdf-system {
    pname = "utils-kt";
    version = "20200218-git";
    asds = [ "utils-kt" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utils-kt/2020-02-18/utils-kt-20200218-git.tgz";
      sha256 = "016x3w034brz02z9mrsrkhk2djizg3yqsvhl9k62xqcnpy3b87dn";
      system = "utils-kt";
      asd = "utils-kt";
    });
    systems = [ "utils-kt" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utm = (build-asdf-system {
    pname = "utm";
    version = "20200218-git";
    asds = [ "utm" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm/2020-02-18/utm-20200218-git.tgz";
      sha256 = "1a5dp5fls26ppc6fnvd941nfvk2qs72grl0a3pycq7vzw6580v01";
      system = "utm";
      asd = "utm";
    });
    systems = [ "utm" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utm-ups = (build-asdf-system {
    pname = "utm-ups";
    version = "20230618-git";
    asds = [ "utm-ups" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm-ups/2023-06-18/utm-ups-20230618-git.tgz";
      sha256 = "19nnnqagfg1c1vzwlqpp8mq2d0hrk8r6r07a46nvdyzmwbnmbwyr";
      system = "utm-ups";
      asd = "utm-ups";
    });
    systems = [ "utm-ups" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  utm_dot_test = (build-asdf-system {
    pname = "utm.test";
    version = "20200218-git";
    asds = [ "utm.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/utm/2020-02-18/utm-20200218-git.tgz";
      sha256 = "1a5dp5fls26ppc6fnvd941nfvk2qs72grl0a3pycq7vzw6580v01";
      system = "utm.test";
      asd = "utm.test";
    });
    systems = [ "utm.test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "utm" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  uuid = (build-asdf-system {
    pname = "uuid";
    version = "20200715-git";
    asds = [ "uuid" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/uuid/2020-07-15/uuid-20200715-git.tgz";
      sha256 = "1ncwhyw0zggwpkzjsw7d4pkrlldi34xvb69c0bzxmyz2krg8rpx0";
      system = "uuid";
      asd = "uuid";
    });
    systems = [ "uuid" ];
    lispLibs = [ (getAttr "ironclad" self) (getAttr "trivial-utf-8" self) ];
    meta = {};
  });
  validate-list = (build-asdf-system {
    pname = "validate-list";
    version = "20210411-git";
    asds = [ "validate-list" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/validate-list/2021-04-11/validate-list-20210411-git.tgz";
      sha256 = "1rb7glqvlaz84cfd2wjk49si9jh4ffysmva5007gjhqfhr9z23lj";
      system = "validate-list";
      asd = "validate-list";
    });
    systems = [ "validate-list" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "arithmetic-operators-as-words" self) (getAttr "lisp-unit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  varint = (build-asdf-system {
    pname = "varint";
    version = "20230618-git";
    asds = [ "varint" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/protobuf/2023-06-18/protobuf-20230618-git.tgz";
      sha256 = "0pp8i2i72p6cng11sxj83klw45jqv05l5024h7c2rl0pvsg8f6bc";
      system = "varint";
      asd = "varint";
    });
    systems = [ "varint" ];
    lispLibs = [ (getAttr "com_dot_google_dot_base" self) (getAttr "nibbles" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  varjo = (build-asdf-system {
    pname = "varjo";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo";
      asd = "varjo";
    });
    systems = [ "varjo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "documentation-utils" self) (getAttr "fn" self) (getAttr "glsl-docs" self) (getAttr "glsl-spec" self) (getAttr "glsl-symbols" self) (getAttr "named-readtables" self) (getAttr "parse-float" self) (getAttr "vas-string-metrics" self) ];
    meta = {};
  });
  varjo_dot_import = (build-asdf-system {
    pname = "varjo.import";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo.import" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo.import";
      asd = "varjo.import";
    });
    systems = [ "varjo.import" ];
    lispLibs = [ (getAttr "fare-quasiquote-extras" self) (getAttr "glsl-toolkit" self) (getAttr "rtg-math_dot_vari" self) (getAttr "split-sequence" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  varjo_dot_tests = (build-asdf-system {
    pname = "varjo.tests";
    version = "release-quicklisp-92f9c75b-git";
    asds = [ "varjo.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/varjo/2021-01-24/varjo-release-quicklisp-92f9c75b-git.tgz";
      sha256 = "0gga4wq74qxql4zxh8zq1ab2xnsz8ygdaf8wxy7w15vv4czgamr9";
      system = "varjo.tests";
      asd = "varjo.tests";
    });
    systems = [ "varjo.tests" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "rtg-math_dot_vari" self) (getAttr "varjo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  varray = (build-asdf-system {
    pname = "varray";
    version = "20230618-git";
    asds = [ "varray" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "varray";
      asd = "varray";
    });
    systems = [ "varray" ];
    lispLibs = [ (getAttr "aplesque" self) (getAttr "lparallel" self) (getAttr "random-state" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vas-string-metrics = (build-asdf-system {
    pname = "vas-string-metrics";
    version = "20211209-git";
    asds = [ "vas-string-metrics" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vas-string-metrics/2021-12-09/vas-string-metrics-20211209-git.tgz";
      sha256 = "1yvkwc939dckv070nlgqfj5ys9ii2rm32m5wfx7qxdjrb4n19sx9";
      system = "vas-string-metrics";
      asd = "vas-string-metrics";
    });
    systems = [ "vas-string-metrics" ];
    lispLibs = [  ];
    meta = {};
  });
  vecto = (build-asdf-system {
    pname = "vecto";
    version = "1.6";
    asds = [ "vecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vecto/2021-12-30/vecto-1.6.tgz";
      sha256 = "1s3ii9absili7yiv89byjikxcxlbagsvcxdwkxgsm1rahgggyk5x";
      system = "vecto";
      asd = "vecto";
    });
    systems = [ "vecto" ];
    lispLibs = [ (getAttr "cl-vectors" self) (getAttr "zpb-ttf" self) (getAttr "zpng" self) ];
    meta = {};
  });
  vectometry = (build-asdf-system {
    pname = "vectometry";
    version = "1.6";
    asds = [ "vectometry" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vecto/2021-12-30/vecto-1.6.tgz";
      sha256 = "1s3ii9absili7yiv89byjikxcxlbagsvcxdwkxgsm1rahgggyk5x";
      system = "vectometry";
      asd = "vectometry";
    });
    systems = [ "vectometry" ];
    lispLibs = [ (getAttr "vecto" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vectors = (build-asdf-system {
    pname = "vectors";
    version = "20171227-git";
    asds = [ "vectors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vectors/2017-12-27/vectors-20171227-git.tgz";
      sha256 = "1sflb1wz6fcszdbqrcfh52bp5ch6wbizzp7jx97ni8lrqq2r6cqy";
      system = "vectors";
      asd = "vectors";
    });
    systems = [ "vectors" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum = (build-asdf-system {
    pname = "vellum";
    version = "20230618-git";
    asds = [ "vellum" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum/2023-06-18/vellum-20230618-git.tgz";
      sha256 = "138g1hb02245345y4zdkrfb2mfmx6darymb0kz3fl60mfslc3zrz";
      system = "vellum";
      asd = "vellum";
    });
    systems = [ "vellum" ];
    lispLibs = [ (getAttr "agnostic-lizard" self) (getAttr "alexandria" self) (getAttr "cl-data-structures" self) (getAttr "closer-mop" self) (getAttr "documentation-utils-extensions" self) (getAttr "iterate" self) (getAttr "lparallel" self) (getAttr "metabang-bind" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-binary = (build-asdf-system {
    pname = "vellum-binary";
    version = "20230618-git";
    asds = [ "vellum-binary" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-binary/2023-06-18/vellum-binary-20230618-git.tgz";
      sha256 = "1mrmxzhqfqrbndsy3pf4ksq3kgg705vdaklf9ayc1vcp49jmy60x";
      system = "vellum-binary";
      asd = "vellum-binary";
    });
    systems = [ "vellum-binary" ];
    lispLibs = [ (getAttr "chipz" self) (getAttr "cl-conspack" self) (getAttr "ieee-floats" self) (getAttr "nibbles" self) (getAttr "salza2" self) (getAttr "vellum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-clim = (build-asdf-system {
    pname = "vellum-clim";
    version = "20210531-git";
    asds = [ "vellum-clim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-clim/2021-05-31/vellum-clim-20210531-git.tgz";
      sha256 = "06g1pw0r60yd13hzbjrbpa1p0pnlwkqfn06ipk1gs0kc76gf2im5";
      system = "vellum-clim";
      asd = "vellum-clim";
    });
    systems = [ "vellum-clim" ];
    lispLibs = [ (getAttr "iterate" self) (getAttr "mcclim" self) (getAttr "vellum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-csv = (build-asdf-system {
    pname = "vellum-csv";
    version = "20220707-git";
    asds = [ "vellum-csv" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-csv/2022-07-07/vellum-csv-20220707-git.tgz";
      sha256 = "1spx6hig55056k32s0fysfwqjnwkfr8j63v6zmfv84x2v90ppclj";
      system = "vellum-csv";
      asd = "vellum-csv";
    });
    systems = [ "vellum-csv" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "documentation-utils-extensions" self) (getAttr "iterate" self) (getAttr "parse-float" self) (getAttr "serapeum" self) (getAttr "vellum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-csv-tests = (build-asdf-system {
    pname = "vellum-csv-tests";
    version = "20220707-git";
    asds = [ "vellum-csv-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-csv/2022-07-07/vellum-csv-20220707-git.tgz";
      sha256 = "1spx6hig55056k32s0fysfwqjnwkfr8j63v6zmfv84x2v90ppclj";
      system = "vellum-csv-tests";
      asd = "vellum-csv-tests";
    });
    systems = [ "vellum-csv-tests" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "vellum-csv" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-postmodern = (build-asdf-system {
    pname = "vellum-postmodern";
    version = "20230618-git";
    asds = [ "vellum-postmodern" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum-postmodern/2023-06-18/vellum-postmodern-20230618-git.tgz";
      sha256 = "10k6hh0110k0lrajky6smm5i7ijgk0cfgy0x24gap522m3pg81n0";
      system = "vellum-postmodern";
      asd = "vellum-postmodern";
    });
    systems = [ "vellum-postmodern" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-postgres" self) (getAttr "documentation-utils-extensions" self) (getAttr "iterate" self) (getAttr "postmodern" self) (getAttr "s-sql" self) (getAttr "serapeum" self) (getAttr "vellum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vellum-tests = (build-asdf-system {
    pname = "vellum-tests";
    version = "20230618-git";
    asds = [ "vellum-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vellum/2023-06-18/vellum-20230618-git.tgz";
      sha256 = "138g1hb02245345y4zdkrfb2mfmx6darymb0kz3fl60mfslc3zrz";
      system = "vellum-tests";
      asd = "vellum-tests";
    });
    systems = [ "vellum-tests" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "vellum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  veq = (build-asdf-system {
    pname = "veq";
    version = "v4.5.3";
    asds = [ "veq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-veq/2023-06-18/cl-veq-v4.5.3.tgz";
      sha256 = "0nsc63yh9cypm44qqz1c9w61m8m8rps0bqdzja7df041bz2i0yg8";
      system = "veq";
      asd = "veq";
    });
    systems = [ "veq" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  verbose = (build-asdf-system {
    pname = "verbose";
    version = "20230618-git";
    asds = [ "verbose" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verbose/2023-06-18/verbose-20230618-git.tgz";
      sha256 = "1ig7b9mp2v81y69p7g71xp0wvnhi9r45bvx24lbdzsa3lzbq7x8v";
      system = "verbose";
      asd = "verbose";
    });
    systems = [ "verbose" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "dissect" self) (getAttr "documentation-utils" self) (getAttr "local-time" self) (getAttr "piping" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  verlet = (build-asdf-system {
    pname = "verlet";
    version = "20211209-git";
    asds = [ "verlet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verlet/2021-12-09/verlet-20211209-git.tgz";
      sha256 = "0n6wgjwwbrr13ldwa4y59n2ixn47rr0ad7n3jbb58635z6ahfvd4";
      system = "verlet";
      asd = "verlet";
    });
    systems = [ "verlet" ];
    lispLibs = [ (getAttr "chain" self) (getAttr "fset" self) (getAttr "metabang-bind" self) (getAttr "mgl-pax" self) (getAttr "rtg-math" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vernacular = (build-asdf-system {
    pname = "vernacular";
    version = "20211020-git";
    asds = [ "vernacular" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vernacular/2021-10-20/vernacular-20211020-git.tgz";
      sha256 = "19vzn28hw4is4sgmvzqin18ds89s0pai21vcm0ky10vmfv6wg745";
      system = "vernacular";
      asd = "vernacular";
    });
    systems = [ "vernacular" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "local-time" self) (getAttr "named-readtables" self) (getAttr "overlord" self) (getAttr "serapeum" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) (getAttr "trivial-macroexpand-all" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  verrazano = (build-asdf-system {
    pname = "verrazano";
    version = "20120909-darcs";
    asds = [ "verrazano" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verrazano/2012-09-09/verrazano-20120909-darcs.tgz";
      sha256 = "0d7qv5jwv5p1r64g4rfqb844b5fh71p82b5983gjz0a5p391p270";
      system = "verrazano";
      asd = "verrazano";
    });
    systems = [ "verrazano" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "cl-ppcre" self) (getAttr "closer-mop" self) (getAttr "cxml" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) (getAttr "parse-number" self) (getAttr "trivial-shell" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  verrazano-runtime = (build-asdf-system {
    pname = "verrazano-runtime";
    version = "20120909-darcs";
    asds = [ "verrazano-runtime" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/verrazano/2012-09-09/verrazano-20120909-darcs.tgz";
      sha256 = "0d7qv5jwv5p1r64g4rfqb844b5fh71p82b5983gjz0a5p391p270";
      system = "verrazano-runtime";
      asd = "verrazano-runtime";
    });
    systems = [ "verrazano-runtime" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vertex = (build-asdf-system {
    pname = "vertex";
    version = "20150608-git";
    asds = [ "vertex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vertex/2015-06-08/vertex-20150608-git.tgz";
      sha256 = "0g3ck1kvp6x9874ffizjz3fsd35a3m4hcr2x5gq9fdql680ic4k2";
      system = "vertex";
      asd = "vertex";
    });
    systems = [ "vertex" ];
    lispLibs = [ (getAttr "common-doc" self) (getAttr "common-doc-plump" self) (getAttr "plump-tex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vertex-test = (build-asdf-system {
    pname = "vertex-test";
    version = "20150608-git";
    asds = [ "vertex-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vertex/2015-06-08/vertex-20150608-git.tgz";
      sha256 = "0g3ck1kvp6x9874ffizjz3fsd35a3m4hcr2x5gq9fdql680ic4k2";
      system = "vertex-test";
      asd = "vertex-test";
    });
    systems = [ "vertex-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "vertex" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vex = (build-asdf-system {
    pname = "vex";
    version = "20230618-git";
    asds = [ "vex" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/april/2023-06-18/april-20230618-git.tgz";
      sha256 = "0p98kw46c3sd9mdi44mmdzb9zq7b9firxsinwn8f3wgqgdydlfsq";
      system = "vex";
      asd = "vex";
    });
    systems = [ "vex" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "array-operations" self) (getAttr "cl-ppcre" self) (getAttr "maxpc-apache" self) (getAttr "prove" self) (getAttr "symbol-munger" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vgplot = (build-asdf-system {
    pname = "vgplot";
    version = "20220707-git";
    asds = [ "vgplot" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vgplot/2022-07-07/vgplot-20220707-git.tgz";
      sha256 = "1vc5fd787xa8831wjbmwrpg17f9isi5k8dmb85fsysz47plbvi1y";
      system = "vgplot";
      asd = "vgplot";
    });
    systems = [ "vgplot" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "ltk" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors = (build-asdf-system {
    pname = "vivid-colors";
    version = "20220707-git";
    asds = [ "vivid-colors" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors";
      asd = "vivid-colors";
    });
    systems = [ "vivid-colors" ];
    lispLibs = [ (getAttr "cl-colors2" self) (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "lambda-fiddle" self) (getAttr "millet" self) (getAttr "vivid-colors_dot_content" self) (getAttr "vivid-colors_dot_dispatch" self) (getAttr "vivid-colors_dot_stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_content = (build-asdf-system {
    pname = "vivid-colors.content";
    version = "20220707-git";
    asds = [ "vivid-colors.content" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.content";
      asd = "vivid-colors.content";
    });
    systems = [ "vivid-colors.content" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ansi-text" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "mcase" self) (getAttr "vivid-colors_dot_queue" self) (getAttr "vivid-colors_dot_shared" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_content_dot_test = (build-asdf-system {
    pname = "vivid-colors.content.test";
    version = "20220707-git";
    asds = [ "vivid-colors.content.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.content.test";
      asd = "vivid-colors.content.test";
    });
    systems = [ "vivid-colors.content.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors_dot_content" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_dispatch = (build-asdf-system {
    pname = "vivid-colors.dispatch";
    version = "20220707-git";
    asds = [ "vivid-colors.dispatch" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.dispatch";
      asd = "vivid-colors.dispatch";
    });
    systems = [ "vivid-colors.dispatch" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "millet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_dispatch_dot_test = (build-asdf-system {
    pname = "vivid-colors.dispatch.test";
    version = "20220707-git";
    asds = [ "vivid-colors.dispatch.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.dispatch.test";
      asd = "vivid-colors.dispatch.test";
    });
    systems = [ "vivid-colors.dispatch.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors_dot_dispatch" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_queue = (build-asdf-system {
    pname = "vivid-colors.queue";
    version = "20220707-git";
    asds = [ "vivid-colors.queue" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.queue";
      asd = "vivid-colors.queue";
    });
    systems = [ "vivid-colors.queue" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "millet" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_queue_dot_test = (build-asdf-system {
    pname = "vivid-colors.queue.test";
    version = "20220707-git";
    asds = [ "vivid-colors.queue.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.queue.test";
      asd = "vivid-colors.queue.test";
    });
    systems = [ "vivid-colors.queue.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors_dot_queue" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_shared = (build-asdf-system {
    pname = "vivid-colors.shared";
    version = "20220707-git";
    asds = [ "vivid-colors.shared" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.shared";
      asd = "vivid-colors.shared";
    });
    systems = [ "vivid-colors.shared" ];
    lispLibs = [ (getAttr "jingoh_dot_documentizer" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_shared_dot_test = (build-asdf-system {
    pname = "vivid-colors.shared.test";
    version = "20220707-git";
    asds = [ "vivid-colors.shared.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.shared.test";
      asd = "vivid-colors.shared.test";
    });
    systems = [ "vivid-colors.shared.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors_dot_shared" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_stream = (build-asdf-system {
    pname = "vivid-colors.stream";
    version = "20220707-git";
    asds = [ "vivid-colors.stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.stream";
      asd = "vivid-colors.stream";
    });
    systems = [ "vivid-colors.stream" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ansi-text" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "trivial-gray-streams" self) (getAttr "vivid-colors_dot_content" self) (getAttr "vivid-colors_dot_dispatch" self) (getAttr "vivid-colors_dot_shared" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_stream_dot_test = (build-asdf-system {
    pname = "vivid-colors.stream.test";
    version = "20220707-git";
    asds = [ "vivid-colors.stream.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.stream.test";
      asd = "vivid-colors.stream.test";
    });
    systems = [ "vivid-colors.stream.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors_dot_stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-colors_dot_test = (build-asdf-system {
    pname = "vivid-colors.test";
    version = "20220707-git";
    asds = [ "vivid-colors.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-colors/2022-07-07/vivid-colors-20220707-git.tgz";
      sha256 = "0a1q1dgfgd7kqdziw80z1hhyp7l0mrd768lq68jva7vdv1r049ww";
      system = "vivid-colors.test";
      asd = "vivid-colors.test";
    });
    systems = [ "vivid-colors.test" ];
    lispLibs = [ (getAttr "jingoh" self) (getAttr "vivid-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-diff = (build-asdf-system {
    pname = "vivid-diff";
    version = "20220707-git";
    asds = [ "vivid-diff" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-diff/2022-07-07/vivid-diff-20220707-git.tgz";
      sha256 = "195hqx304x4na56qpiblz30ahp1qj55kan50mkr0xyjhcx75nsdk";
      system = "vivid-diff";
      asd = "vivid-diff";
    });
    systems = [ "vivid-diff" ];
    lispLibs = [ (getAttr "cl-colors2" self) (getAttr "closer-mop" self) (getAttr "jingoh_dot_documentizer" self) (getAttr "matrix-case" self) (getAttr "vivid-colors" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vivid-diff_dot_test = (build-asdf-system {
    pname = "vivid-diff.test";
    version = "20220707-git";
    asds = [ "vivid-diff.test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vivid-diff/2022-07-07/vivid-diff-20220707-git.tgz";
      sha256 = "195hqx304x4na56qpiblz30ahp1qj55kan50mkr0xyjhcx75nsdk";
      system = "vivid-diff.test";
      asd = "vivid-diff.test";
    });
    systems = [ "vivid-diff.test" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "jingoh" self) (getAttr "vivid-diff" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vk = (build-asdf-system {
    pname = "vk";
    version = "20230214-git";
    asds = [ "vk" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vk/2023-02-14/vk-20230214-git.tgz";
      sha256 = "14986kss2rggdjiql3rr34qnfjwb8w73j0ggn6c3w4y9dny3l31j";
      system = "vk";
      asd = "vk";
    });
    systems = [ "vk" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cffi" self) (getAttr "rove" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  voipms = (build-asdf-system {
    pname = "voipms";
    version = "20220707-git";
    asds = [ "voipms" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-voipms/2022-07-07/cl-voipms-20220707-git.tgz";
      sha256 = "08ghirkmia8jn03r6z1025v321ygc2xalrwsqfvl3xy377xxrd3d";
      system = "voipms";
      asd = "voipms";
    });
    systems = [ "voipms" ];
    lispLibs = [ (getAttr "erjoalgo-webutil" self) (getAttr "local-time" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vom = (build-asdf-system {
    pname = "vom";
    version = "20160825-git";
    asds = [ "vom" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vom/2016-08-25/vom-20160825-git.tgz";
      sha256 = "0536kppj76ax4lrxhv42npkfjsmx45km2g439vf9jmw3apinz9cy";
      system = "vom";
      asd = "vom";
    });
    systems = [ "vom" ];
    lispLibs = [  ];
    meta = {};
  });
  vom-json = (build-asdf-system {
    pname = "vom-json";
    version = "20200610-git";
    asds = [ "vom-json" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vom-json/2020-06-10/vom-json-20200610-git.tgz";
      sha256 = "14b39kqbjpibh545gh9mb6w5g0kz7fhd5zxfmlf9a0fpdbwhw41c";
      system = "vom-json";
      asd = "vom-json";
    });
    systems = [ "vom-json" ];
    lispLibs = [ (getAttr "jonathan" self) (getAttr "local-time" self) (getAttr "vom" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vorbisfile-ffi = (build-asdf-system {
    pname = "vorbisfile-ffi";
    version = "20151218-git";
    asds = [ "vorbisfile-ffi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/mixalot/2015-12-18/mixalot-20151218-git.tgz";
      sha256 = "0kqx933k8kly4yhzvspizzki556s1lfd4zafap42jcsqqhr4i5q9";
      system = "vorbisfile-ffi";
      asd = "vorbisfile-ffi";
    });
    systems = [ "vorbisfile-ffi" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  vp-trees = (build-asdf-system {
    pname = "vp-trees";
    version = "20230214-git";
    asds = [ "vp-trees" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/vp-trees/2023-02-14/vp-trees-20230214-git.tgz";
      sha256 = "0fk41c97p5ck5g9nsvq6h9hzxz7yssyqz3v4f4qiavdnw6a9va1m";
      system = "vp-trees";
      asd = "vp-trees";
    });
    systems = [ "vp-trees" ];
    lispLibs = [ (getAttr "float-features" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wallstreetflets = (build-asdf-system {
    pname = "wallstreetflets";
    version = "20211209-git";
    asds = [ "wallstreetflets" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wallstreetflets/2021-12-09/wallstreetflets-20211209-git.tgz";
      sha256 = "0d9anws4gk16an1kl4kads6lhm8a4mpiwxg74i3235d5874gbdj5";
      system = "wallstreetflets";
      asd = "wallstreetflets";
    });
    systems = [ "wallstreetflets" ];
    lispLibs = [ (getAttr "dexador" self) (getAttr "lquery" self) (getAttr "parse-number" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wasm-encoder = (build-asdf-system {
    pname = "wasm-encoder";
    version = "20210630-git";
    asds = [ "wasm-encoder" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wasm-encoder/2021-06-30/wasm-encoder-20210630-git.tgz";
      sha256 = "1h094d8www9ydg96fjj17pi0lb63ikgyp5237cl6n3rmg4jpy9w6";
      system = "wasm-encoder";
      asd = "wasm-encoder";
    });
    systems = [ "wasm-encoder" ];
    lispLibs = [ (getAttr "agutil" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "flexi-streams" self) (getAttr "generic-cl" self) (getAttr "ieee-floats" self) (getAttr "trivia" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  water = (build-asdf-system {
    pname = "water";
    version = "20190107-git";
    asds = [ "water" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/water/2019-01-07/water-20190107-git.tgz";
      sha256 = "0w9b6mh10rfv7rg1zq28pivad6435i9h839km6nlbhq9xmx0g27s";
      system = "water";
      asd = "water";
    });
    systems = [ "water" ];
    lispLibs = [ (getAttr "parenscript" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wayflan = (build-asdf-system {
    pname = "wayflan";
    version = "20230214-git";
    asds = [ "wayflan" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2023-02-14/wayflan-20230214-git.tgz";
      sha256 = "0y6hzskp1vgaigzj5b3i695sc6dn5mk7nlxs21nh5ybzmf4chhyy";
      system = "wayflan";
      asd = "wayflan";
    });
    systems = [ "wayflan" ];
    lispLibs = [ (getAttr "cffi-grovel" self) (getAttr "wayflan-client" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wayflan-client = (build-asdf-system {
    pname = "wayflan-client";
    version = "20230214-git";
    asds = [ "wayflan-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wayflan/2023-02-14/wayflan-20230214-git.tgz";
      sha256 = "0y6hzskp1vgaigzj5b3i695sc6dn5mk7nlxs21nh5ybzmf4chhyy";
      system = "wayflan-client";
      asd = "wayflan-client";
    });
    systems = [ "wayflan-client" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "closer-mop" self) (getAttr "plump" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  webactions = (build-asdf-system {
    pname = "webactions";
    version = "20190813-git";
    asds = [ "webactions" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/portableaserve/2019-08-13/portableaserve-20190813-git.tgz";
      sha256 = "0ak6mqp84sjr0a7h5svr16vra4bf4fcx6wpir0n88dc1vjwy5xqa";
      system = "webactions";
      asd = "webactions";
    });
    systems = [ "webactions" ];
    lispLibs = [ (getAttr "acl-compat" self) (getAttr "aserve" self) (getAttr "htmlgen" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  webapi = (build-asdf-system {
    pname = "webapi";
    version = "20230618-git";
    asds = [ "webapi" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/webapi/2023-06-18/webapi-20230618-git.tgz";
      sha256 = "1irp18a0rq61xfr3944ahy2spj0095l15xf7j0245jd0qw7gmg03";
      system = "webapi";
      asd = "webapi";
    });
    systems = [ "webapi" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "dexador" self) (getAttr "kebab" self) (getAttr "quri" self) (getAttr "st-json" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-clsql = (build-asdf-system {
    pname = "weblocks-clsql";
    version = "20211020-git";
    asds = [ "weblocks-clsql" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-clsql";
      asd = "weblocks-clsql";
    });
    systems = [ "weblocks-clsql" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "clsql" self) (getAttr "clsql-fluid" self) (getAttr "metatilities" self) (getAttr "weblocks-stores" self) (getAttr "weblocks-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-memory = (build-asdf-system {
    pname = "weblocks-memory";
    version = "20211020-git";
    asds = [ "weblocks-memory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-memory";
      asd = "weblocks-memory";
    });
    systems = [ "weblocks-memory" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "metatilities" self) (getAttr "weblocks-stores" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-montezuma = (build-asdf-system {
    pname = "weblocks-montezuma";
    version = "20211020-git";
    asds = [ "weblocks-montezuma" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-montezuma";
      asd = "weblocks-montezuma";
    });
    systems = [ "weblocks-montezuma" ];
    lispLibs = [ (getAttr "montezuma" self) (getAttr "weblocks-stores" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-perec = (build-asdf-system {
    pname = "weblocks-perec";
    version = "20211020-git";
    asds = [ "weblocks-perec" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-perec";
      asd = "weblocks-perec";
    });
    systems = [ "weblocks-perec" ];
    lispLibs = [ (getAttr "hu_dot_dwim_dot_perec" self) (getAttr "weblocks-stores" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-prevalence = (build-asdf-system {
    pname = "weblocks-prevalence";
    version = "20211020-git";
    asds = [ "weblocks-prevalence" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-prevalence";
      asd = "weblocks-prevalence";
    });
    systems = [ "weblocks-prevalence" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "cl-prevalence" self) (getAttr "metatilities" self) (getAttr "weblocks-memory" self) (getAttr "weblocks-stores" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-scripts = (build-asdf-system {
    pname = "weblocks-scripts";
    version = "20211020-git";
    asds = [ "weblocks-scripts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks/2021-10-20/weblocks-20211020-git.tgz";
      sha256 = "1hilpzm1p3hrp2hxghjr9y8sy5a9bgk96n8kc8bphvn7dvlbm78j";
      system = "weblocks-scripts";
      asd = "weblocks-scripts";
    });
    systems = [ "weblocks-scripts" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-stores = (build-asdf-system {
    pname = "weblocks-stores";
    version = "20211020-git";
    asds = [ "weblocks-stores" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks-stores/2021-10-20/weblocks-stores-20211020-git.tgz";
      sha256 = "1k44dad18fkp80xjm04fiy6bciirs71ljvm8a2rb33xndrbxiiya";
      system = "weblocks-stores";
      asd = "weblocks-stores";
    });
    systems = [ "weblocks-stores" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "metatilities" self) (getAttr "weblocks-util" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weblocks-util = (build-asdf-system {
    pname = "weblocks-util";
    version = "20211020-git";
    asds = [ "weblocks-util" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weblocks/2021-10-20/weblocks-20211020-git.tgz";
      sha256 = "1hilpzm1p3hrp2hxghjr9y8sy5a9bgk96n8kc8bphvn7dvlbm78j";
      system = "weblocks-util";
      asd = "weblocks-util";
    });
    systems = [ "weblocks-util" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "bordeaux-threads" self) (getAttr "cl-cont" self) (getAttr "cl-fad" self) (getAttr "cl-json" self) (getAttr "cl-ppcre" self) (getAttr "cl-who" self) (getAttr "closer-mop" self) (getAttr "f-underscore" self) (getAttr "html-template" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "metatilities" self) (getAttr "optima" self) (getAttr "parenscript" self) (getAttr "parse-number" self) (getAttr "pretty-function" self) (getAttr "puri" self) (getAttr "salza2" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-timeout" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  websocket-driver = (build-asdf-system {
    pname = "websocket-driver";
    version = "20220331-git";
    asds = [ "websocket-driver" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver";
      asd = "websocket-driver";
    });
    systems = [ "websocket-driver" ];
    lispLibs = [ (getAttr "websocket-driver-client" self) (getAttr "websocket-driver-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  websocket-driver-base = (build-asdf-system {
    pname = "websocket-driver-base";
    version = "20220331-git";
    asds = [ "websocket-driver-base" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-base";
      asd = "websocket-driver-base";
    });
    systems = [ "websocket-driver-base" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-base64" self) (getAttr "event-emitter" self) (getAttr "fast-io" self) (getAttr "fast-websocket" self) (getAttr "sha1" self) (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  websocket-driver-client = (build-asdf-system {
    pname = "websocket-driver-client";
    version = "20220331-git";
    asds = [ "websocket-driver-client" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-client";
      asd = "websocket-driver-client";
    });
    systems = [ "websocket-driver-client" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "fast-websocket" self) (getAttr "quri" self) (getAttr "usocket" self) (getAttr "websocket-driver-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  websocket-driver-server = (build-asdf-system {
    pname = "websocket-driver-server";
    version = "20220331-git";
    asds = [ "websocket-driver-server" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/websocket-driver/2022-03-31/websocket-driver-20220331-git.tgz";
      sha256 = "183jb9m4y5drc4i9l3c03q0sx8rlqn2d2290c7whl4r3dnginnnf";
      system = "websocket-driver-server";
      asd = "websocket-driver-server";
    });
    systems = [ "websocket-driver-server" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "clack-socket" self) (getAttr "fast-io" self) (getAttr "fast-websocket" self) (getAttr "websocket-driver-base" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  weft = (build-asdf-system {
    pname = "weft";
    version = "20180228-git";
    asds = [ "weft" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/weft/2018-02-28/weft-20180228-git.tgz";
      sha256 = "1ia38xcpp9g4v6sij99lyl9b8p59ysg2cj9k92nb683f8pzv9pl3";
      system = "weft";
      asd = "weft";
    });
    systems = [ "weft" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "log4cl" self) (getAttr "trivial-timeout" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  westbrook = (build-asdf-system {
    pname = "westbrook";
    version = "20180131-git";
    asds = [ "westbrook" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/westbrook/2018-01-31/westbrook-20180131-git.tgz";
      sha256 = "08qs5lpg34d1mn6warrrq1wimyqqrjb8jih62g1pbysgni4ihm2v";
      system = "westbrook";
      asd = "westbrook";
    });
    systems = [ "westbrook" ];
    lispLibs = [ (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  westbrook-tests = (build-asdf-system {
    pname = "westbrook-tests";
    version = "20180131-git";
    asds = [ "westbrook-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/westbrook/2018-01-31/westbrook-20180131-git.tgz";
      sha256 = "08qs5lpg34d1mn6warrrq1wimyqqrjb8jih62g1pbysgni4ihm2v";
      system = "westbrook-tests";
      asd = "westbrook-tests";
    });
    systems = [ "westbrook-tests" ];
    lispLibs = [ (getAttr "fiasco" self) (getAttr "westbrook" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  what3words = (build-asdf-system {
    pname = "what3words";
    version = "20161204-git";
    asds = [ "what3words" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/what3words/2016-12-04/what3words-20161204-git.tgz";
      sha256 = "0nlrpi8phrf2mpgbw9bj9w4vksqb0baj542bhnq39sjalc8bj73r";
      system = "what3words";
      asd = "what3words";
    });
    systems = [ "what3words" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "drakma" self) (getAttr "jsown" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  which = (build-asdf-system {
    pname = "which";
    version = "20160421-git";
    asds = [ "which" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/which/2016-04-21/which-20160421-git.tgz";
      sha256 = "127pm9h4rm4w9aadw5yvamnfzhk2rr69kchx10rf9k7sk7izqqfk";
      system = "which";
      asd = "which";
    });
    systems = [ "which" ];
    lispLibs = [ (getAttr "cl-fad" self) (getAttr "path-parse" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  which-test = (build-asdf-system {
    pname = "which-test";
    version = "20160421-git";
    asds = [ "which-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/which/2016-04-21/which-20160421-git.tgz";
      sha256 = "127pm9h4rm4w9aadw5yvamnfzhk2rr69kchx10rf9k7sk7izqqfk";
      system = "which-test";
      asd = "which-test";
    });
    systems = [ "which-test" ];
    lispLibs = [ (getAttr "fiveam" self) (getAttr "which" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  whirlog = (build-asdf-system {
    pname = "whirlog";
    version = "20211020-git";
    asds = [ "whirlog" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/whirlog/2021-10-20/whirlog-20211020-git.tgz";
      sha256 = "0sf1kc8ln1gszzrz3qh3bx11k42lpccrv6kp2ihlrg3d6lsa6i26";
      system = "whirlog";
      asd = "whirlog";
    });
    systems = [ "whirlog" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  whofields = (build-asdf-system {
    pname = "whofields";
    version = "20211020-git";
    asds = [ "whofields" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/whofields/2021-10-20/whofields-20211020-git.tgz";
      sha256 = "1scpzzfdw5g7qsayhznjyzns8lxx4fvv2jxd0vr9vnxad3vm977x";
      system = "whofields";
      asd = "whofields";
    });
    systems = [ "whofields" ];
    lispLibs = [ (getAttr "asdf-package-system" self) (getAttr "cl-who" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wilbur = (build-asdf-system {
    pname = "wilbur";
    version = "20181210-git";
    asds = [ "wilbur" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/de.setf.wilbur/2018-12-10/de.setf.wilbur-20181210-git.tgz";
      sha256 = "0w4qssyarim4v64vv7jmspmyba7xghx9bkalyyhvccf6zrf7b2v7";
      system = "wilbur";
      asd = "wilbur";
    });
    systems = [ "wilbur" ];
    lispLibs = [ (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wild-package-inferred-system = (build-asdf-system {
    pname = "wild-package-inferred-system";
    version = "20210531-git";
    asds = [ "wild-package-inferred-system" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wild-package-inferred-system/2021-05-31/wild-package-inferred-system-20210531-git.tgz";
      sha256 = "0sp3j3i83aqyq9bl3djs490nilryi9sh1wjbcqd9z94d9wfbfz80";
      system = "wild-package-inferred-system";
      asd = "wild-package-inferred-system";
    });
    systems = [ "wild-package-inferred-system" ];
    lispLibs = [  ];
    meta = {};
  });
  window = (build-asdf-system {
    pname = "window";
    version = "20200427-git";
    asds = [ "window" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/sucle/2020-04-27/sucle-20200427-git.tgz";
      sha256 = "033akkn9zxc6qdgycgxgybx3v23638245xrx29x2cbwnvg3i1q34";
      system = "window";
      asd = "window";
    });
    systems = [ "window" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bodge-glfw" self) (getAttr "cffi" self) (getAttr "trivial-features" self) (getAttr "utility" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  winhttp = (build-asdf-system {
    pname = "winhttp";
    version = "20200610-git";
    asds = [ "winhttp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/winhttp/2020-06-10/winhttp-20200610-git.tgz";
      sha256 = "121mpn14kfj86bp4qlc69a139ffrsvgiisa7rax9mvbj361s8dna";
      system = "winhttp";
      asd = "winhttp";
    });
    systems = [ "winhttp" ];
    lispLibs = [ (getAttr "cffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  winlock = (build-asdf-system {
    pname = "winlock";
    version = "20191130-git";
    asds = [ "winlock" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/winlock/2019-11-30/winlock-20191130-git.tgz";
      sha256 = "0sgjq1cjbmshnh2zwyqws7rkr93zkjl0rrzyf04542gb1grj0vd8";
      system = "winlock";
      asd = "winlock";
    });
    systems = [ "winlock" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "named-readtables" self) (getAttr "serapeum" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wire-world = (build-asdf-system {
    pname = "wire-world";
    version = "master-5b2475f9-git";
    asds = [ "wire-world" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "wire-world";
      asd = "wire-world";
    });
    systems = [ "wire-world" ];
    lispLibs = [ (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-branching = (build-asdf-system {
    pname = "with-branching";
    version = "20220220-git";
    asds = [ "with-branching" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-branching/2022-02-20/with-branching-20220220-git.tgz";
      sha256 = "0jaaz2b1k6pbh9hyvvsxp8dn18gqjz24kgri9wazqxyn0n05jpl9";
      system = "with-branching";
      asd = "with-branching";
    });
    systems = [ "with-branching" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-indent" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-c-syntax = (build-asdf-system {
    pname = "with-c-syntax";
    version = "20221106-git";
    asds = [ "with-c-syntax" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-c-syntax/2022-11-06/with-c-syntax-20221106-git.tgz";
      sha256 = "12gdwdyxyl9xm8n04qvmvyc1s06dkckb87i6hdysal5lsf1gwc41";
      system = "with-c-syntax";
      asd = "with-c-syntax";
    });
    systems = [ "with-c-syntax" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-ppcre" self) (getAttr "float-features" self) (getAttr "floating-point-contractions" self) (getAttr "named-readtables" self) (getAttr "split-sequence" self) (getAttr "trivial-gray-streams" self) (getAttr "yacc" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-c-syntax-test = (build-asdf-system {
    pname = "with-c-syntax-test";
    version = "20221106-git";
    asds = [ "with-c-syntax-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-c-syntax/2022-11-06/with-c-syntax-20221106-git.tgz";
      sha256 = "12gdwdyxyl9xm8n04qvmvyc1s06dkckb87i6hdysal5lsf1gwc41";
      system = "with-c-syntax-test";
      asd = "with-c-syntax-test";
    });
    systems = [ "with-c-syntax-test" ];
    lispLibs = [ (getAttr "_1am" self) (getAttr "floating-point" self) (getAttr "trivial-cltl2" self) (getAttr "with-c-syntax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-cached-reader-conditionals = (build-asdf-system {
    pname = "with-cached-reader-conditionals";
    version = "20170630-git";
    asds = [ "with-cached-reader-conditionals" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-cached-reader-conditionals/2017-06-30/with-cached-reader-conditionals-20170630-git.tgz";
      sha256 = "0n7a089d0wb13l1nsdh3xlgwxwlqynkbjl8fg2x56h52a5i9gkv4";
      system = "with-cached-reader-conditionals";
      asd = "with-cached-reader-conditionals";
    });
    systems = [ "with-cached-reader-conditionals" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-contexts = (build-asdf-system {
    pname = "with-contexts";
    version = "20230214-git";
    asds = [ "with-contexts" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-contexts/2023-02-14/with-contexts-20230214-git.tgz";
      sha256 = "11cfvsj594nms6652l2vvwgbl6zhk6cp46v0vd1y8b5ygi8fcarm";
      system = "with-contexts";
      asd = "with-contexts";
    });
    systems = [ "with-contexts" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-output-to-stream = (build-asdf-system {
    pname = "with-output-to-stream";
    version = "1.0";
    asds = [ "with-output-to-stream" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-output-to-stream/2019-10-07/with-output-to-stream_1.0.tgz";
      sha256 = "0pv9kccjbxkgcv7wbcfpnzas9pq0n2rs2aq9kdnqkx55k12366sm";
      system = "with-output-to-stream";
      asd = "with-output-to-stream";
    });
    systems = [ "with-output-to-stream" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-output-to-stream__tests = (build-asdf-system {
    pname = "with-output-to-stream_tests";
    version = "1.0";
    asds = [ "with-output-to-stream_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-output-to-stream/2019-10-07/with-output-to-stream_1.0.tgz";
      sha256 = "0pv9kccjbxkgcv7wbcfpnzas9pq0n2rs2aq9kdnqkx55k12366sm";
      system = "with-output-to-stream_tests";
      asd = "with-output-to-stream_tests";
    });
    systems = [ "with-output-to-stream_tests" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "with-output-to-stream" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-setf = (build-asdf-system {
    pname = "with-setf";
    version = "release-quicklisp-df3eed9d-git";
    asds = [ "with-setf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-setf/2018-02-28/with-setf-release-quicklisp-df3eed9d-git.tgz";
      sha256 = "090v39kdxk4py3axjrjjac2pn1p0109q14hvl818pik479xr4inz";
      system = "with-setf";
      asd = "with-setf";
    });
    systems = [ "with-setf" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-shadowed-bindings = (build-asdf-system {
    pname = "with-shadowed-bindings";
    version = "1.0";
    asds = [ "with-shadowed-bindings" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-shadowed-bindings/2019-01-07/with-shadowed-bindings-1.0.tgz";
      sha256 = "0kxy86a21v4fm4xwd44c6kpdadgkcj8iv6a68xavhirhjhngcwy5";
      system = "with-shadowed-bindings";
      asd = "with-shadowed-bindings";
    });
    systems = [ "with-shadowed-bindings" ];
    lispLibs = [ (getAttr "map-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-shadowed-bindings__tests = (build-asdf-system {
    pname = "with-shadowed-bindings_tests";
    version = "1.0";
    asds = [ "with-shadowed-bindings_tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-shadowed-bindings/2019-01-07/with-shadowed-bindings-1.0.tgz";
      sha256 = "0kxy86a21v4fm4xwd44c6kpdadgkcj8iv6a68xavhirhjhngcwy5";
      system = "with-shadowed-bindings_tests";
      asd = "with-shadowed-bindings_tests";
    });
    systems = [ "with-shadowed-bindings_tests" ];
    lispLibs = [ (getAttr "parachute" self) (getAttr "with-shadowed-bindings" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  with-user-abort = (build-asdf-system {
    pname = "with-user-abort";
    version = "20230214-git";
    asds = [ "with-user-abort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/with-user-abort/2023-02-14/with-user-abort-20230214-git.tgz";
      sha256 = "0yidlm92dk8kvz137zlm2f0d198kmgqpdswkinr2x4snbgkhd98j";
      system = "with-user-abort";
      asd = "with-user-abort";
    });
    systems = [ "with-user-abort" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  woo = (build-asdf-system {
    pname = "woo";
    version = "20220707-git";
    asds = [ "woo" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "woo";
      asd = "woo";
    });
    systems = [ "woo" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "clack-socket" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "lev" self) (getAttr "quri" self) (getAttr "smart-buffer" self) (getAttr "static-vectors" self) (getAttr "swap-bytes" self) (getAttr "trivial-mimes" self) (getAttr "trivial-utf-8" self) (getAttr "vom" self) ];
    meta = {};
  });
  woo-test = (build-asdf-system {
    pname = "woo-test";
    version = "20220707-git";
    asds = [ "woo-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/woo/2022-07-07/woo-20220707-git.tgz";
      sha256 = "0ar7w2nfxhxirlcxxq4j1v4cnmvfkw3ip4i53b853g0pfb84m3kz";
      system = "woo-test";
      asd = "woo-test";
    });
    systems = [ "woo-test" ];
    lispLibs = [ (getAttr "clack-test" self) (getAttr "rove" self) (getAttr "woo" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wookie = (build-asdf-system {
    pname = "wookie";
    version = "20230214-git";
    asds = [ "wookie" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wookie/2023-02-14/wookie-20230214-git.tgz";
      sha256 = "1i5l9isahww9zwizj6dmdcplck8wr8gxm31i43i8hf3rfxmvfjwn";
      system = "wookie";
      asd = "wookie";
    });
    systems = [ "wookie" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "blackbird" self) (getAttr "chunga" self) (getAttr "cl-async" self) (getAttr "cl-async-ssl" self) (getAttr "cl-fad" self) (getAttr "cl-ppcre" self) (getAttr "do-urlencode" self) (getAttr "fast-http" self) (getAttr "fast-io" self) (getAttr "quri" self) (getAttr "vom" self) ];
    meta = {};
  });
  wordnet = (build-asdf-system {
    pname = "wordnet";
    version = "20220220-git";
    asds = [ "wordnet" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wordnet/2022-02-20/wordnet-20220220-git.tgz";
      sha256 = "07p60k295fsfcp0gmkqhrxd68hb38aqva8f4k8xk8bqqxxf42vkq";
      system = "wordnet";
      asd = "wordnet";
    });
    systems = [ "wordnet" ];
    lispLibs = [ (getAttr "split-sequence" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  workout-timer = (build-asdf-system {
    pname = "workout-timer";
    version = "20230214-git";
    asds = [ "workout-timer" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/workout-timer/2023-02-14/workout-timer-20230214-git.tgz";
      sha256 = "1f8qj6la93k95xqkliv59r6dkyhyhzqp2zgk0s893a3mrar0gfrx";
      system = "workout-timer";
      asd = "workout-timer";
    });
    systems = [ "workout-timer" ];
    lispLibs = [ (getAttr "cffi-toolchain" self) (getAttr "command-line-arguments" self) (getAttr "local-time" self) (getAttr "mixalot" self) (getAttr "mixalot-vorbis" self) (getAttr "vorbisfile-ffi" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wu-decimal = (build-asdf-system {
    pname = "wu-decimal";
    version = "20130128-git";
    asds = [ "wu-decimal" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wu-decimal/2013-01-28/wu-decimal-20130128-git.tgz";
      sha256 = "1p7na4hic7297amwm4idfwkyx664ny8cdssncyra37pmv4wzp8dm";
      system = "wu-decimal";
      asd = "wu-decimal";
    });
    systems = [ "wu-decimal" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wu-sugar = (build-asdf-system {
    pname = "wu-sugar";
    version = "20160825-git";
    asds = [ "wu-sugar" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wu-sugar/2016-08-25/wu-sugar-20160825-git.tgz";
      sha256 = "0ypn5195krfd1rva5myla8j7n2ilfs5gxh81flx7v0mr4r70fayl";
      system = "wu-sugar";
      asd = "wu-sugar";
    });
    systems = [ "wu-sugar" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wuwei = (build-asdf-system {
    pname = "wuwei";
    version = "20221106-git";
    asds = [ "wuwei" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wuwei/2022-11-06/wuwei-20221106-git.tgz";
      sha256 = "1k5yhxdqcx250kd56qgbch5z0hvjpjwch38c3949nf790pmrhl8f";
      system = "wuwei";
      asd = "wuwei";
    });
    systems = [ "wuwei" ];
    lispLibs = [ (getAttr "aserve" self) (getAttr "cl-json" self) (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "mtlisp" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  wuwei-examples = (build-asdf-system {
    pname = "wuwei-examples";
    version = "20221106-git";
    asds = [ "wuwei-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/wuwei/2022-11-06/wuwei-20221106-git.tgz";
      sha256 = "1k5yhxdqcx250kd56qgbch5z0hvjpjwch38c3949nf790pmrhl8f";
      system = "wuwei-examples";
      asd = "wuwei";
    });
    systems = [ "wuwei-examples" ];
    lispLibs = [ (getAttr "drakma" self) (getAttr "wuwei" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  x_dot_let-star = (build-asdf-system {
    pname = "x.let-star";
    version = "20200325-git";
    asds = [ "x.let-star" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/x.let-star/2020-03-25/x.let-star-20200325-git.tgz";
      sha256 = "0qk0rpqzb7vaivggsqch06nmdjzp6b31a88w40y3864clajpcrnr";
      system = "x.let-star";
      asd = "x.let-star";
    });
    systems = [ "x.let-star" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xarray = (build-asdf-system {
    pname = "xarray";
    version = "20140113-git";
    asds = [ "xarray" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xarray/2014-01-13/xarray-20140113-git.tgz";
      sha256 = "031h1bvy9s6qas2160dgf7gc0y6inrhpzp8j3wrb6fjxkb0524yl";
      system = "xarray";
      asd = "xarray";
    });
    systems = [ "xarray" ];
    lispLibs = [ (getAttr "anaphora" self) (getAttr "cl-utilities" self) (getAttr "iterate" self) (getAttr "metabang-bind" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xarray-test = (build-asdf-system {
    pname = "xarray-test";
    version = "20140113-git";
    asds = [ "xarray-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xarray/2014-01-13/xarray-20140113-git.tgz";
      sha256 = "031h1bvy9s6qas2160dgf7gc0y6inrhpzp8j3wrb6fjxkb0524yl";
      system = "xarray-test";
      asd = "xarray-test";
    });
    systems = [ "xarray-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "xarray" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xcat = (build-asdf-system {
    pname = "xcat";
    version = "20200925-git";
    asds = [ "xcat" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xcat/2020-09-25/xcat-20200925-git.tgz";
      sha256 = "1v8mcz8bidcbfl587b5lm07l91xan6z1y3zikjkyzagiigd4byvi";
      system = "xcat";
      asd = "xcat";
    });
    systems = [ "xcat" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "flexi-streams" self) (getAttr "log4cl" self) (getAttr "trivial-features" self) (getAttr "trivial-garbage" self) (getAttr "usocket-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xecto = (build-asdf-system {
    pname = "xecto";
    version = "20151218-git";
    asds = [ "xecto" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xecto/2015-12-18/xecto-20151218-git.tgz";
      sha256 = "1m81cl02k28v9sgscl8qhig735x5qybhw69szs6bkkqml7hbl12q";
      system = "xecto";
      asd = "xecto";
    });
    systems = [ "xecto" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xembed = (build-asdf-system {
    pname = "xembed";
    version = "20191130-git";
    asds = [ "xembed" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xembed/2019-11-30/clx-xembed-20191130-git.tgz";
      sha256 = "1abx4v36ycmfjdwpjk4hh8058ya8whwia7ds9vd96q2qsrs57f12";
      system = "xembed";
      asd = "xembed";
    });
    systems = [ "xembed" ];
    lispLibs = [ (getAttr "clx" self) ];
    meta = {};
  });
  xfactory = (build-asdf-system {
    pname = "xfactory";
    version = "20130615-git";
    asds = [ "xfactory" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xfactory";
      asd = "xfactory";
    });
    systems = [ "xfactory" ];
    lispLibs = [ (getAttr "cl-libxml2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xfactory-test = (build-asdf-system {
    pname = "xfactory-test";
    version = "20130615-git";
    asds = [ "xfactory-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xfactory-test";
      asd = "xfactory";
    });
    systems = [ "xfactory-test" ];
    lispLibs = [ (getAttr "lift" self) (getAttr "xfactory" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xhtmlambda = (build-asdf-system {
    pname = "xhtmlambda";
    version = "20230214-git";
    asds = [ "xhtmlambda" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlambda/2023-02-14/xhtmlambda-20230214-git.tgz";
      sha256 = "0narbzz06ry1wn048avm1fwihvnjvvc4wfcv5hmdazkilpvnqz2y";
      system = "xhtmlambda";
      asd = "xhtmlambda";
    });
    systems = [ "xhtmlambda" ];
    lispLibs = [ (getAttr "cl-unicode" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xhtmlgen = (build-asdf-system {
    pname = "xhtmlgen";
    version = "20170124-git";
    asds = [ "xhtmlgen" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlgen/2017-01-24/xhtmlgen-20170124-git.tgz";
      sha256 = "0br4pqhl7y7rd95l9xx2p96gds3dh4pgk9v038wbshl2dnhjv82k";
      system = "xhtmlgen";
      asd = "xhtmlgen";
    });
    systems = [ "xhtmlgen" ];
    lispLibs = [ (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xhtmlgen-test = (build-asdf-system {
    pname = "xhtmlgen-test";
    version = "20170124-git";
    asds = [ "xhtmlgen-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xhtmlgen/2017-01-24/xhtmlgen-20170124-git.tgz";
      sha256 = "0br4pqhl7y7rd95l9xx2p96gds3dh4pgk9v038wbshl2dnhjv82k";
      system = "xhtmlgen-test";
      asd = "xhtmlgen";
    });
    systems = [ "xhtmlgen-test" ];
    lispLibs = [ (getAttr "rt" self) (getAttr "xhtmlgen" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xkeyboard = (build-asdf-system {
    pname = "xkeyboard";
    version = "20120811-git";
    asds = [ "xkeyboard" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xkeyboard/2012-08-11/clx-xkeyboard-20120811-git.tgz";
      sha256 = "1nxky9wsmm7nmwz372jgb4iy0ywlm22jw0vl8yi0k9slsfklvcqi";
      system = "xkeyboard";
      asd = "xkeyboard";
    });
    systems = [ "xkeyboard" ];
    lispLibs = [ (getAttr "clx" self) ];
    meta = {};
  });
  xkeyboard-test = (build-asdf-system {
    pname = "xkeyboard-test";
    version = "20120811-git";
    asds = [ "xkeyboard-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/clx-xkeyboard/2012-08-11/clx-xkeyboard-20120811-git.tgz";
      sha256 = "1nxky9wsmm7nmwz372jgb4iy0ywlm22jw0vl8yi0k9slsfklvcqi";
      system = "xkeyboard-test";
      asd = "xkeyboard";
    });
    systems = [ "xkeyboard-test" ];
    lispLibs = [ (getAttr "xkeyboard" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xlsx = (build-asdf-system {
    pname = "xlsx";
    version = "20180711-git";
    asds = [ "xlsx" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlsx/2018-07-11/xlsx-20180711-git.tgz";
      sha256 = "15vw5zl13jg9b1rla7w2wv6ss93mijrnn9fzsh0fakgvfikqq1n6";
      system = "xlsx";
      asd = "xlsx";
    });
    systems = [ "xlsx" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "xmls" self) (getAttr "zip" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xlunit = (build-asdf-system {
    pname = "xlunit";
    version = "20150923-git";
    asds = [ "xlunit" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlunit/2015-09-23/xlunit-20150923-git.tgz";
      sha256 = "0argfmp9nghs4sihyj3f8ch9qfib2b7ll07v5m9ziajgzsfl5xw3";
      system = "xlunit";
      asd = "xlunit";
    });
    systems = [ "xlunit" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xlunit-tests = (build-asdf-system {
    pname = "xlunit-tests";
    version = "20150923-git";
    asds = [ "xlunit-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xlunit/2015-09-23/xlunit-20150923-git.tgz";
      sha256 = "0argfmp9nghs4sihyj3f8ch9qfib2b7ll07v5m9ziajgzsfl5xw3";
      system = "xlunit-tests";
      asd = "xlunit";
    });
    systems = [ "xlunit-tests" ];
    lispLibs = [ (getAttr "xlunit" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xml-emitter = (build-asdf-system {
    pname = "xml-emitter";
    version = "20221106-git";
    asds = [ "xml-emitter" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml-emitter/2022-11-06/xml-emitter-20221106-git.tgz";
      sha256 = "0yvcrzqz14kx90i6sm7kpi8l8hy61a1yjj0a8wvgryjbgp6abqvc";
      system = "xml-emitter";
      asd = "xml-emitter";
    });
    systems = [ "xml-emitter" ];
    lispLibs = [ (getAttr "cl-utilities" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xml-mop = (build-asdf-system {
    pname = "xml-mop";
    version = "20110418-git";
    asds = [ "xml-mop" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml-mop/2011-04-18/xml-mop-20110418-git.tgz";
      sha256 = "1vfa3h5dghnpc7qbqqm80mm1ri6x7x5r528kvkwzngghrbxyhgjr";
      system = "xml-mop";
      asd = "xml-mop";
    });
    systems = [ "xml-mop" ];
    lispLibs = [ (getAttr "closer-mop" self) (getAttr "s-xml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xml-render = (build-asdf-system {
    pname = "xml-render";
    version = "20210531-git";
    asds = [ "xml-render" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-typesetting/2021-05-31/cl-typesetting-20210531-git.tgz";
      sha256 = "0fcs5mq0gxfczbrg7ay8r4bf5r4g6blvpdbjkhcl8dapcikyn35h";
      system = "xml-render";
      asd = "xml-render";
    });
    systems = [ "xml-render" ];
    lispLibs = [ (getAttr "cl-typesetting" self) (getAttr "xmls" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xml_dot_location = (build-asdf-system {
    pname = "xml.location";
    version = "20200325-git";
    asds = [ "xml.location" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml.location/2020-03-25/xml.location-20200325-git.tgz";
      sha256 = "0ajl03k7krns6b0z3ykmngq3i77yd2j85z3h76drlc9whxvm2kii";
      system = "xml.location";
      asd = "xml.location";
    });
    systems = [ "xml.location" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "closer-mop" self) (getAttr "cxml-stp" self) (getAttr "iterate" self) (getAttr "let-plus" self) (getAttr "more-conditions" self) (getAttr "split-sequence" self) (getAttr "xpath" self) ];
    meta = {};
  });
  xml_dot_location-and-local-time = (build-asdf-system {
    pname = "xml.location-and-local-time";
    version = "20200325-git";
    asds = [ "xml.location-and-local-time" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xml.location/2020-03-25/xml.location-20200325-git.tgz";
      sha256 = "0ajl03k7krns6b0z3ykmngq3i77yd2j85z3h76drlc9whxvm2kii";
      system = "xml.location-and-local-time";
      asd = "xml.location-and-local-time";
    });
    systems = [ "xml.location-and-local-time" ];
    lispLibs = [ (getAttr "local-time" self) (getAttr "xml_dot_location" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xmls = (build-asdf-system {
    pname = "xmls";
    version = "release-c6ca1b39-git";
    asds = [ "xmls" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xmls/2022-07-07/xmls-release-c6ca1b39-git.tgz";
      sha256 = "050c9z0xq8wagga2mbdhjm0j1530m4rz942sll4w6pxr0s6fmg3g";
      system = "xmls";
      asd = "xmls";
    });
    systems = [ "xmls" ];
    lispLibs = [  ];
    meta = {};
  });
  xoverlay = (build-asdf-system {
    pname = "xoverlay";
    version = "20130615-git";
    asds = [ "xoverlay" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-libxml2/2013-06-15/cl-libxml2-20130615-git.tgz";
      sha256 = "09049c13cfp5sc6x9lrw762jd7a9qkfq5jgngqgrzn4kn9qscarw";
      system = "xoverlay";
      asd = "xoverlay";
    });
    systems = [ "xoverlay" ];
    lispLibs = [ (getAttr "cl-libxml2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xpath = (build-asdf-system {
    pname = "xpath";
    version = "20190521-git";
    asds = [ "xpath" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/plexippus-xpath/2019-05-21/plexippus-xpath-20190521-git.tgz";
      sha256 = "1fb03fgnzrvh22lw1jdg04pmyja5fib5n42rzwp5mhr829yvxkvp";
      system = "xpath";
      asd = "xpath";
    });
    systems = [ "xpath" ];
    lispLibs = [ (getAttr "cl-ppcre" self) (getAttr "cxml" self) (getAttr "parse-number" self) (getAttr "yacc" self) ];
    meta = {};
  });
  xptest = (build-asdf-system {
    pname = "xptest";
    version = "20150923-git";
    asds = [ "xptest" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xptest/2015-09-23/xptest-20150923-git.tgz";
      sha256 = "02jwncq5d60l77gf87ahabzg6k6c878gfc4x1mf6ld97rj5lzp3b";
      system = "xptest";
      asd = "xptest";
    });
    systems = [ "xptest" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xsubseq = (build-asdf-system {
    pname = "xsubseq";
    version = "20170830-git";
    asds = [ "xsubseq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xsubseq/2017-08-30/xsubseq-20170830-git.tgz";
      sha256 = "1xz79q0p2mclf3sqjiwf6izdpb6xrsr350bv4mlmdlm6rg5r99px";
      system = "xsubseq";
      asd = "xsubseq";
    });
    systems = [ "xsubseq" ];
    lispLibs = [  ];
    meta = {};
  });
  xsubseq-test = (build-asdf-system {
    pname = "xsubseq-test";
    version = "20170830-git";
    asds = [ "xsubseq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xsubseq/2017-08-30/xsubseq-20170830-git.tgz";
      sha256 = "1xz79q0p2mclf3sqjiwf6izdpb6xrsr350bv4mlmdlm6rg5r99px";
      system = "xsubseq-test";
      asd = "xsubseq-test";
    });
    systems = [ "xsubseq-test" ];
    lispLibs = [ (getAttr "prove" self) (getAttr "prove-asdf" self) (getAttr "xsubseq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  xuriella = (build-asdf-system {
    pname = "xuriella";
    version = "20120305-git";
    asds = [ "xuriella" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/xuriella/2012-03-05/xuriella-20120305-git.tgz";
      sha256 = "0wz98bfvr7h7g0r7dy815brq5sz3x40281hp0qk801q17aa4qhqh";
      system = "xuriella";
      asd = "xuriella";
    });
    systems = [ "xuriella" ];
    lispLibs = [ (getAttr "closure-html" self) (getAttr "cxml" self) (getAttr "cxml-stp" self) (getAttr "split-sequence" self) (getAttr "xpath" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  yacc = (build-asdf-system {
    pname = "yacc";
    version = "20230214-git";
    asds = [ "yacc" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yacc/2023-02-14/cl-yacc-20230214-git.tgz";
      sha256 = "1f974ysi7mlrksnqg63iwwxgbypkng4n240q29imkrz6m5pwdig7";
      system = "yacc";
      asd = "yacc";
    });
    systems = [ "yacc" ];
    lispLibs = [  ];
    meta = {};
  });
  yaclml = (build-asdf-system {
    pname = "yaclml";
    version = "20180131-git";
    asds = [ "yaclml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yaclml/2018-01-31/yaclml-20180131-git.tgz";
      sha256 = "0wq6clk4qwbdaf0hcfjz4vg27nyf6ng0rrip1ay4rlkb03hdnssq";
      system = "yaclml";
      asd = "yaclml";
    });
    systems = [ "yaclml" ];
    lispLibs = [ (getAttr "arnesi" self) (getAttr "iterate" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  yadd = (build-asdf-system {
    pname = "yadd";
    version = "master-5b2475f9-git";
    asds = [ "yadd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/gendl/2023-06-18/gendl-master-5b2475f9-git.tgz";
      sha256 = "1w8xn2vg527g1s7cfhw669sdgbq1v5i927g00qzsq9di0syxvczg";
      system = "yadd";
      asd = "yadd";
    });
    systems = [ "yadd" ];
    lispLibs = [ (getAttr "cl-html-parse" self) (getAttr "gwl-graphics" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  yah = (build-asdf-system {
    pname = "yah";
    version = "20221106-git";
    asds = [ "yah" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yah/2022-11-06/yah-20221106-git.tgz";
      sha256 = "1bxz8b7fb15yzipkpkaxgqr8yj4kqnbrzjf52zx0s3z1h7fg1vfd";
      system = "yah";
      asd = "yah";
    });
    systems = [ "yah" ];
    lispLibs = [ (getAttr "mgl-pax" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  yason = (build-asdf-system {
    pname = "yason";
    version = "20230214-git";
    asds = [ "yason" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/yason/2023-02-14/yason-20230214-git.tgz";
      sha256 = "00iwpdv04rwwb6y63dbgdz4925ih5kl0wc8dy91rsga15cbniqyd";
      system = "yason";
      asd = "yason";
    });
    systems = [ "yason" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "trivial-gray-streams" self) ];
    meta = {};
  });
  youtube = (build-asdf-system {
    pname = "youtube";
    version = "20191227-git";
    asds = [ "youtube" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/youtube/2019-12-27/youtube-20191227-git.tgz";
      sha256 = "0rqbyxgb9v3m8rwx2agaz7cq83w9k8gy5wl5wbw0rfg7r88ah5z0";
      system = "youtube";
      asd = "youtube";
    });
    systems = [ "youtube" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "cl-ppcre" self) (getAttr "yason" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  yxorp = (build-asdf-system {
    pname = "yxorp";
    version = "20221106-git";
    asds = [ "yxorp" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-yxorp/2022-11-06/cl-yxorp-20221106-git.tgz";
      sha256 = "0k93xmfpp5j1hr7jwvrxhi7v1h759y5b8kfxfygs0dv2p2801k6y";
      system = "yxorp";
      asd = "yxorp";
    });
    systems = [ "yxorp" ];
    lispLibs = [ (getAttr "binding-arrows" self) (getAttr "chipz" self) (getAttr "chunga" self) (getAttr "cl_plus_ssl" self) (getAttr "flexi-streams" self) (getAttr "rutils" self) (getAttr "salza2" self) (getAttr "smart-buffer" self) (getAttr "str" self) (getAttr "trivial-garbage" self) (getAttr "usocket" self) (getAttr "usocket-server" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zacl = (build-asdf-system {
    pname = "zacl";
    version = "20230618-git";
    asds = [ "zacl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zacl/2023-06-18/zacl-20230618-git.tgz";
      sha256 = "1s31d47zx8hczim78zrqzg4bvj4bshj31gmrff065q6racx3q1dk";
      system = "zacl";
      asd = "zacl";
    });
    systems = [ "zacl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "atomics" self) (getAttr "babel-streams" self) (getAttr "bordeaux-threads" self) (getAttr "cl_plus_ssl" self) (getAttr "cl-base64" self) (getAttr "cl-ppcre" self) (getAttr "cl-store" self) (getAttr "local-time" self) (getAttr "md5" self) (getAttr "queues_dot_simple-queue" self) (getAttr "quri" self) (getAttr "setup-cl_plus_ssl" self) (getAttr "split-sequence" self) (getAttr "trivial-backtrace" self) (getAttr "trivial-garbage" self) (getAttr "usocket" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zaserve = (build-asdf-system {
    pname = "zaserve";
    version = "20230618-git";
    asds = [ "zaserve" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/aserve/2023-06-18/aserve-20230618-git.tgz";
      sha256 = "1i88264yghlb4brdh58hn9cps695gh63b6w6i8dmsd9rqwhlsibi";
      system = "zaserve";
      asd = "zaserve";
    });
    systems = [ "zaserve" ];
    lispLibs = [ (getAttr "setup-cl_plus_ssl" self) (getAttr "zacl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zaws = (build-asdf-system {
    pname = "zaws";
    version = "20150407-git";
    asds = [ "zaws" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zaws/2015-04-07/zaws-20150407-git.tgz";
      sha256 = "1iwjyqzm4b44in7i53z5lp8n4gzsi27ch02ql6y2vxbmq3sqffaw";
      system = "zaws";
      asd = "zaws";
    });
    systems = [ "zaws" ];
    lispLibs = [ (getAttr "cl-base64" self) (getAttr "drakma" self) (getAttr "flexi-streams" self) (getAttr "ironclad" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zaws-xml = (build-asdf-system {
    pname = "zaws-xml";
    version = "20150407-git";
    asds = [ "zaws-xml" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zaws/2015-04-07/zaws-20150407-git.tgz";
      sha256 = "1iwjyqzm4b44in7i53z5lp8n4gzsi27ch02ql6y2vxbmq3sqffaw";
      system = "zaws-xml";
      asd = "zaws-xml";
    });
    systems = [ "zaws-xml" ];
    lispLibs = [ (getAttr "cxml" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zbucium = (build-asdf-system {
    pname = "zbucium";
    version = "20190710-git";
    asds = [ "zbucium" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zbucium/2019-07-10/zbucium-20190710-git.tgz";
      sha256 = "112qx8lwcsaipnnypv2jr57lwhlgzb5n53wgck3r66b8vjjb91gy";
      system = "zbucium";
      asd = "zbucium";
    });
    systems = [ "zbucium" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "bordeaux-threads" self) (getAttr "drakma" self) (getAttr "fare-memoization" self) (getAttr "generators" self) (getAttr "lastfm" self) (getAttr "local-time" self) (getAttr "lquery" self) (getAttr "lyrics" self) (getAttr "plump" self) (getAttr "yason" self) (getAttr "youtube" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zcdb = (build-asdf-system {
    pname = "zcdb";
    version = "1.0.4";
    asds = [ "zcdb" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zcdb/2015-04-07/zcdb-1.0.4.tgz";
      sha256 = "1g83hqivh40xrpifm9v1vx92h13g5kzn12fjrlk57fyl1qwjqdi7";
      system = "zcdb";
      asd = "zcdb";
    });
    systems = [ "zcdb" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zenekindarl = (build-asdf-system {
    pname = "zenekindarl";
    version = "20171130-git";
    asds = [ "zenekindarl" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zenekindarl/2017-11-30/zenekindarl-20171130-git.tgz";
      sha256 = "104y98j8fjj4wry55mhgv3g6358h5n1qcbhpn19b27b8cs8gqwib";
      system = "zenekindarl";
      asd = "zenekindarl";
    });
    systems = [ "zenekindarl" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "anaphora" self) (getAttr "babel" self) (getAttr "cl-annot" self) (getAttr "cl-ppcre" self) (getAttr "fast-io" self) (getAttr "html-encode" self) (getAttr "maxpc" self) (getAttr "optima" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zenekindarl-test = (build-asdf-system {
    pname = "zenekindarl-test";
    version = "20171130-git";
    asds = [ "zenekindarl-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zenekindarl/2017-11-30/zenekindarl-20171130-git.tgz";
      sha256 = "104y98j8fjj4wry55mhgv3g6358h5n1qcbhpn19b27b8cs8gqwib";
      system = "zenekindarl-test";
      asd = "zenekindarl-test";
    });
    systems = [ "zenekindarl-test" ];
    lispLibs = [ (getAttr "flexi-streams" self) (getAttr "prove" self) (getAttr "zenekindarl" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zeromq = (build-asdf-system {
    pname = "zeromq";
    version = "20160318-git";
    asds = [ "zeromq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zmq/2016-03-18/cl-zmq-20160318-git.tgz";
      sha256 = "0g19ych3n57qdd42m0bcdcrq8c1p0fqzz07xrxl0s0g8bms3a3ga";
      system = "zeromq";
      asd = "zeromq";
    });
    systems = [ "zeromq" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zeromq_dot_tests = (build-asdf-system {
    pname = "zeromq.tests";
    version = "20160318-git";
    asds = [ "zeromq.tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zmq/2016-03-18/cl-zmq-20160318-git.tgz";
      sha256 = "0g19ych3n57qdd42m0bcdcrq8c1p0fqzz07xrxl0s0g8bms3a3ga";
      system = "zeromq.tests";
      asd = "zeromq";
    });
    systems = [ "zeromq.tests" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "zeromq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zip = (build-asdf-system {
    pname = "zip";
    version = "20150608-git";
    asds = [ "zip" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zip/2015-06-08/zip-20150608-git.tgz";
      sha256 = "0s08a6fq182fzsbfyvihqbdllq6gxcwkvphxnrd9wwz65dhg5y66";
      system = "zip";
      asd = "zip";
    });
    systems = [ "zip" ];
    lispLibs = [ (getAttr "babel" self) (getAttr "cl-fad" self) (getAttr "salza2" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zippy = (build-asdf-system {
    pname = "zippy";
    version = "20230618-git";
    asds = [ "zippy" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zippy/2023-06-18/zippy-20230618-git.tgz";
      sha256 = "0hiadc3q89h2p639hsmd0gjml0f5y8pnwj9baza3pvqi9y100vvp";
      system = "zippy";
      asd = "zippy";
    });
    systems = [ "zippy" ];
    lispLibs = [ (getAttr "_3bz" self) (getAttr "alexandria" self) (getAttr "babel" self) (getAttr "documentation-utils" self) (getAttr "file-attributes" self) (getAttr "filesystem-utils" self) (getAttr "nibbles" self) (getAttr "pathname-utils" self) (getAttr "salza2" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zippy-dwim = (build-asdf-system {
    pname = "zippy-dwim";
    version = "20230618-git";
    asds = [ "zippy-dwim" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zippy/2023-06-18/zippy-20230618-git.tgz";
      sha256 = "0hiadc3q89h2p639hsmd0gjml0f5y8pnwj9baza3pvqi9y100vvp";
      system = "zippy-dwim";
      asd = "zippy-dwim";
    });
    systems = [ "zippy-dwim" ];
    lispLibs = [ (getAttr "deploy" self) (getAttr "zippy" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  ziz = (build-asdf-system {
    pname = "ziz";
    version = "20191007-git";
    asds = [ "ziz" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/ziz/2019-10-07/ziz-20191007-git.tgz";
      sha256 = "1rh6ixkyyj7y9jkw046m4ilmr8a12ylzm0a7sm8mjybdpkh6bk30";
      system = "ziz";
      asd = "ziz";
    });
    systems = [ "ziz" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "hunchentoot" self) (getAttr "ironclad" self) (getAttr "trivial-file-size" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zlib = (build-asdf-system {
    pname = "zlib";
    version = "20170403-git";
    asds = [ "zlib" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zlib/2017-04-03/zlib-20170403-git.tgz";
      sha256 = "1gz771h2q3xhw1yxpwki5zr9mqysa818vn21501w6fsi8wlmlffa";
      system = "zlib";
      asd = "zlib";
    });
    systems = [ "zlib" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zmq = (build-asdf-system {
    pname = "zmq";
    version = "20200218-git";
    asds = [ "zmq" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq";
      asd = "zmq";
    });
    systems = [ "zmq" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivial-features" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zmq-examples = (build-asdf-system {
    pname = "zmq-examples";
    version = "20200218-git";
    asds = [ "zmq-examples" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq-examples";
      asd = "zmq-examples";
    });
    systems = [ "zmq-examples" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "zmq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zmq-test = (build-asdf-system {
    pname = "zmq-test";
    version = "20200218-git";
    asds = [ "zmq-test" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/lisp-zmq/2020-02-18/lisp-zmq-20200218-git.tgz";
      sha256 = "01aavmnn2lbsaq957p1qll21hmhvhkrqhq3kazmz88sc40x1n0ld";
      system = "zmq-test";
      asd = "zmq-test";
    });
    systems = [ "zmq-test" ];
    lispLibs = [ (getAttr "bordeaux-threads" self) (getAttr "fiveam" self) (getAttr "zmq" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zpb-exif = (build-asdf-system {
    pname = "zpb-exif";
    version = "release-1.2.5";
    asds = [ "zpb-exif" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpb-exif/2021-01-24/zpb-exif-release-1.2.5.tgz";
      sha256 = "0h1n36lfl8xn8rfyl5jxz9m8zlg0if2avmryas79f684yczrvdnd";
      system = "zpb-exif";
      asd = "zpb-exif";
    });
    systems = [ "zpb-exif" ];
    lispLibs = [  ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zpb-ttf = (build-asdf-system {
    pname = "zpb-ttf";
    version = "release-1.0.6";
    asds = [ "zpb-ttf" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpb-ttf/2023-06-18/zpb-ttf-release-1.0.6.tgz";
      sha256 = "043xga76jms7dipcwnyh8lkj3gx66cvrkwhc728hjaf7axarvcmv";
      system = "zpb-ttf";
      asd = "zpb-ttf";
    });
    systems = [ "zpb-ttf" ];
    lispLibs = [  ];
    meta = {};
  });
  zpng = (build-asdf-system {
    pname = "zpng";
    version = "1.2.2";
    asds = [ "zpng" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zpng/2015-04-07/zpng-1.2.2.tgz";
      sha256 = "0b3ag3jhl3z7kdls3ahdsdxsfhhw5qrizk769984f4wkxhb69rcm";
      system = "zpng";
      asd = "zpng";
    });
    systems = [ "zpng" ];
    lispLibs = [ (getAttr "salza2" self) ];
    meta = {};
  });
  zs3 = (build-asdf-system {
    pname = "zs3";
    version = "1.3.3";
    asds = [ "zs3" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zs3/2019-10-07/zs3-1.3.3.tgz";
      sha256 = "186v95wgsj2hkxdw2jl9x1w4fddjclp7arp0rrd9vf5ly8h8sbf3";
      system = "zs3";
      asd = "zs3";
    });
    systems = [ "zs3" ];
    lispLibs = [ (getAttr "alexandria" self) (getAttr "cl-base64" self) (getAttr "cxml" self) (getAttr "drakma" self) (getAttr "ironclad" self) (getAttr "puri" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zsort = (build-asdf-system {
    pname = "zsort";
    version = "20120520-git";
    asds = [ "zsort" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/zsort/2012-05-20/zsort-20120520-git.tgz";
      sha256 = "1vyklyh99712zsll4qi0m4mm8yb1nz04403vl8i57bjv5p5max49";
      system = "zsort";
      asd = "zsort";
    });
    systems = [ "zsort" ];
    lispLibs = [ (getAttr "alexandria" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zstd = (build-asdf-system {
    pname = "zstd";
    version = "20230618-git";
    asds = [ "zstd" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zstd/2023-06-18/cl-zstd-20230618-git.tgz";
      sha256 = "037igr1v849smcs6svjb5s850k5s5yfg74d4gb3ir4b4v9g4k97i";
      system = "zstd";
      asd = "zstd";
    });
    systems = [ "zstd" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cl-octet-streams" self) (getAttr "trivial-gray-streams" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zstd-tests = (build-asdf-system {
    pname = "zstd-tests";
    version = "20230618-git";
    asds = [ "zstd-tests" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zstd/2023-06-18/cl-zstd-20230618-git.tgz";
      sha256 = "037igr1v849smcs6svjb5s850k5s5yfg74d4gb3ir4b4v9g4k97i";
      system = "zstd-tests";
      asd = "zstd-tests";
    });
    systems = [ "zstd-tests" ];
    lispLibs = [ (getAttr "cl-octet-streams" self) (getAttr "fiveam" self) (getAttr "zstd" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
  zyre = (build-asdf-system {
    pname = "zyre";
    version = "20200925-git";
    asds = [ "zyre" ];
    src = (createAsd {
      url = "http://beta.quicklisp.org/archive/cl-zyre/2020-09-25/cl-zyre-20200925-git.tgz";
      sha256 = "1pfb176k655hxksyrans5j43ridvpkl8q8h6d37zgi2z4iiz15wv";
      system = "zyre";
      asd = "zyre";
    });
    systems = [ "zyre" ];
    lispLibs = [ (getAttr "cffi" self) (getAttr "cffi-grovel" self) (getAttr "trivia" self) (getAttr "trivial-garbage" self) ];
    meta = {
      hydraPlatforms = [  ];
    };
  });
})
