{ lib
, buildPythonPackage
, fetchPypi
, gitpython
, pytestCheckHook
, pythonOlder
, requests
}:

buildPythonPackage rec {
  pname = "pyexploitdb";
  version = "0.2.9";
  format = "setuptools";

  disabled = pythonOlder "3.7";

  src = fetchPypi {
    pname = "pyExploitDb";
    inherit version;
    hash = "sha256-q16YB0lLlw9nXohcT20l41Bv40CqshWzE8nVBBSEppE=";
  };

  propagatedBuildInputs = [
    gitpython
    requests
  ];

  # Module has no tests
  doCheck = false;

  pythonImportsCheck = [
    "pyExploitDb"
  ];

  meta = with lib; {
    description = "Library to fetch the most recent exploit-database";
    homepage = "https://github.com/GoVanguard/pyExploitDb";
    changelog = "https://github.com/GoVanguard/pyExploitDb/blob/master/Changelog.txt";
    license = licenses.gpl3Plus;
    maintainers = with maintainers; [ fab ];
  };
}
